/* DUPLICATOR-LITE (PHP BUILD MODE) MYSQL SCRIPT CREATED ON : 2020-04-14 23:38:25 */

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext COLLATE utf8mb4_unicode_ci NOT NULL,
  `comment_author_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_duplicator_packages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
  `hash` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `status` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) COLLATE utf8_unicode_ci NOT NULL,
  `package` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `wp_gmwd_circles` (
  `id` int(16) NOT NULL AUTO_INCREMENT,
  `map_id` int(16) NOT NULL,
  `title` varchar(256) NOT NULL,
  `link` varchar(256) NOT NULL,
  `center_address` varchar(256) NOT NULL,
  `center_lat` varchar(256) NOT NULL,
  `center_lng` varchar(256) NOT NULL,
  `show_marker` tinyint(1) NOT NULL,
  `radius` varchar(256) NOT NULL,
  `line_width` varchar(256) NOT NULL,
  `line_color` varchar(256) NOT NULL,
  `line_opacity` varchar(256) NOT NULL,
  `fill_color` varchar(256) NOT NULL,
  `fill_opacity` varchar(256) NOT NULL,
  `line_color_hover` varchar(256) NOT NULL,
  `line_opacity_hover` varchar(256) NOT NULL,
  `fill_color_hover` varchar(256) NOT NULL,
  `fill_opacity_hover` varchar(256) NOT NULL,
  `enable_info_window` tinyint(1) NOT NULL,
  `published` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `wp_gmwd_maps` (
  `id` int(16) NOT NULL AUTO_INCREMENT,
  `title` varchar(256) NOT NULL,
  `width` varchar(256) NOT NULL,
  `height` varchar(256) NOT NULL,
  `center_address` varchar(256) NOT NULL,
  `center_lat` varchar(256) NOT NULL,
  `center_lng` varchar(256) NOT NULL,
  `width_percent` varchar(16) NOT NULL,
  `map_alignment` varchar(16) NOT NULL,
  `border_radius` varchar(16) NOT NULL,
  `zoom_level` int(16) NOT NULL,
  `min_zoom` int(16) NOT NULL,
  `max_zoom` int(16) NOT NULL,
  `enable_zoom_control` tinyint(1) NOT NULL,
  `zoom_control_position` int(16) NOT NULL,
  `enable_map_type_control` tinyint(1) NOT NULL,
  `map_type_control_position` int(16) NOT NULL,
  `map_type_control_style` int(16) NOT NULL,
  `enable_scale_control` tinyint(1) NOT NULL,
  `enable_street_view_control` tinyint(1) NOT NULL,
  `street_view_control_position` int(16) NOT NULL,
  `enable_fullscreen_control` tinyint(1) NOT NULL,
  `fullscreen_control_position` int(16) NOT NULL,
  `enable_rotate_control` tinyint(1) NOT NULL,
  `whell_scrolling` tinyint(1) NOT NULL,
  `map_draggable` tinyint(1) NOT NULL,
  `map_db_click_zoom` tinyint(1) NOT NULL,
  `enable_directions` tinyint(1) NOT NULL,
  `directions_window_open` tinyint(1) NOT NULL,
  `info_window_open_on` varchar(16) NOT NULL,
  `direction_position` int(16) NOT NULL,
  `directions_window_width` varchar(16) NOT NULL,
  `directions_window_width_unit` varchar(16) NOT NULL,
  `enable_store_locator` tinyint(1) NOT NULL,
  `store_locator_header_title` varchar(256) NOT NULL,
  `store_locator_window_width` varchar(16) NOT NULL,
  `store_locator_window_width_unit` varchar(16) NOT NULL,
  `store_locator_position` varchar(16) NOT NULL,
  `restrict_to_country` varchar(256) NOT NULL,
  `distance_in` varchar(256) NOT NULL,
  `show_bouncing_icon` tinyint(1) NOT NULL,
  `enable_bicycle_layer` tinyint(1) NOT NULL,
  `enable_traffic_layer` tinyint(1) NOT NULL,
  `enable_transit_layer` tinyint(1) NOT NULL,
  `georss_url` varchar(256) NOT NULL,
  `kml_url` varchar(256) NOT NULL,
  `fusion_table_id` varchar(256) NOT NULL,
  `geolocate_user` tinyint(1) NOT NULL,
  `marker_listing_type` int(16) NOT NULL,
  `marker_list_position` int(16) NOT NULL,
  `enable_category_filter` tinyint(1) NOT NULL,
  `type` tinyint(1) NOT NULL,
  `marker_list_inside_map` tinyint(1) NOT NULL,
  `marker_list_inside_map_position` int(16) NOT NULL,
  `advanced_info_window_position` int(16) NOT NULL,
  `circle_line_color` varchar(256) NOT NULL,
  `circle_line_opacity` varchar(256) NOT NULL,
  `circle_fill_color` varchar(256) NOT NULL,
  `circle_fill_opacity` varchar(256) NOT NULL,
  `circle_line_width` int(16) NOT NULL,
  `shortcode_id` int(16) NOT NULL,
  `theme_id` int(16) NOT NULL,
  `enable_searchbox` tinyint(1) NOT NULL,
  `searchbox_position` int(16) NOT NULL,
  `info_window_info` varchar(256) NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_gmwd_mapstyles` (
  `id` int(16) NOT NULL AUTO_INCREMENT,
  `title` varchar(256) NOT NULL,
  `styles` longtext NOT NULL,
  `image` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `wp_gmwd_markercategories` (
  `id` int(16) NOT NULL AUTO_INCREMENT,
  `title` varchar(256) NOT NULL,
  `category_picture` varchar(256) NOT NULL,
  `parent` int(16) NOT NULL,
  `level` int(16) NOT NULL,
  `published` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `wp_gmwd_markers` (
  `id` int(16) NOT NULL AUTO_INCREMENT,
  `map_id` int(16) NOT NULL,
  `lat` varchar(256) NOT NULL,
  `lng` varchar(256) NOT NULL,
  `category` varchar(256) NOT NULL,
  `title` varchar(256) NOT NULL,
  `address` varchar(256) NOT NULL,
  `animation` varchar(16) NOT NULL,
  `enable_info_window` tinyint(1) NOT NULL,
  `info_window_open` tinyint(1) NOT NULL,
  `marker_size` int(16) NOT NULL,
  `custom_marker_url` varchar(256) NOT NULL,
  `choose_marker_icon` tinyint(1) NOT NULL,
  `description` longtext NOT NULL,
  `link_url` varchar(256) NOT NULL,
  `pic_url` varchar(256) NOT NULL,
  `published` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_gmwd_options` (
  `id` int(16) NOT NULL AUTO_INCREMENT,
  `name` varchar(256) NOT NULL,
  `value` varchar(256) NOT NULL,
  `default_value` varchar(256) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_gmwd_polygons` (
  `id` int(16) NOT NULL AUTO_INCREMENT,
  `map_id` int(16) NOT NULL,
  `title` varchar(256) NOT NULL,
  `link` varchar(256) NOT NULL,
  `line_width` varchar(256) NOT NULL,
  `line_color` varchar(256) NOT NULL,
  `line_opacity` varchar(256) NOT NULL,
  `fill_color` varchar(256) NOT NULL,
  `fill_opacity` varchar(256) NOT NULL,
  `line_color_hover` varchar(256) NOT NULL,
  `line_opacity_hover` varchar(256) NOT NULL,
  `fill_color_hover` varchar(256) NOT NULL,
  `fill_opacity_hover` varchar(256) NOT NULL,
  `data` text NOT NULL,
  `show_markers` tinyint(1) NOT NULL,
  `enable_info_windows` tinyint(1) NOT NULL,
  `published` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_gmwd_polylines` (
  `id` int(16) NOT NULL AUTO_INCREMENT,
  `map_id` int(16) NOT NULL,
  `title` varchar(256) NOT NULL,
  `line_width` varchar(256) NOT NULL,
  `line_color` varchar(256) NOT NULL,
  `line_opacity` varchar(256) NOT NULL,
  `line_color_hover` varchar(256) NOT NULL,
  `line_opacity_hover` varchar(256) NOT NULL,
  `data` text NOT NULL,
  `show_markers` tinyint(1) NOT NULL,
  `enable_info_windows` tinyint(1) NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_gmwd_rectangles` (
  `id` int(16) NOT NULL AUTO_INCREMENT,
  `map_id` int(16) NOT NULL,
  `title` varchar(256) NOT NULL,
  `link` varchar(256) NOT NULL,
  `line_width` varchar(256) NOT NULL,
  `line_color` varchar(256) NOT NULL,
  `line_opacity` varchar(256) NOT NULL,
  `fill_color` varchar(256) NOT NULL,
  `fill_opacity` varchar(256) NOT NULL,
  `line_color_hover` varchar(256) NOT NULL,
  `line_opacity_hover` varchar(256) NOT NULL,
  `fill_color_hover` varchar(256) NOT NULL,
  `fill_opacity_hover` varchar(256) NOT NULL,
  `south_west` varchar(256) NOT NULL,
  `north_east` varchar(256) NOT NULL,
  `show_markers` tinyint(1) NOT NULL,
  `enable_info_windows` tinyint(1) NOT NULL,
  `published` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `wp_gmwd_shortcodes` (
  `id` int(16) NOT NULL AUTO_INCREMENT,
  `tag_text` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_gmwd_themes` (
  `id` int(16) NOT NULL AUTO_INCREMENT,
  `title` varchar(256) NOT NULL,
  `map_style_id` int(16) NOT NULL,
  `map_style_code` longtext NOT NULL,
  `map_border_radius` varchar(16) NOT NULL,
  `directions_title_color` varchar(16) NOT NULL,
  `directions_window_background_color` varchar(16) NOT NULL,
  `directions_window_border_radius` varchar(16) NOT NULL,
  `directions_input_border_radius` varchar(16) NOT NULL,
  `directions_input_border_color` varchar(16) NOT NULL,
  `directions_label_color` varchar(16) NOT NULL,
  `directions_label_background_color` varchar(16) NOT NULL,
  `directions_label_border_radius` varchar(16) NOT NULL,
  `directions_button_width` varchar(16) NOT NULL,
  `directions_button_border_radius` varchar(16) NOT NULL,
  `directions_button_background_color` varchar(16) NOT NULL,
  `directions_button_color` varchar(16) NOT NULL,
  `directions_button_alignment` tinyint(1) NOT NULL,
  `directions_columns` tinyint(1) NOT NULL,
  `store_locator_title_color` varchar(16) NOT NULL,
  `store_locator_window_bgcolor` varchar(16) NOT NULL,
  `store_locator_window_border_radius` varchar(16) NOT NULL,
  `store_locator_input_border_radius` varchar(16) NOT NULL,
  `store_locator_input_border_color` varchar(16) NOT NULL,
  `store_locator_label_color` varchar(16) NOT NULL,
  `store_locator_label_background_color` varchar(16) NOT NULL,
  `store_locator_label_border_radius` varchar(16) NOT NULL,
  `store_locator_buttons_alignment` tinyint(1) NOT NULL,
  `store_locator_button_width` varchar(16) NOT NULL,
  `store_locator_button_border_radius` varchar(16) NOT NULL,
  `store_locator_search_button_background_color` varchar(16) NOT NULL,
  `store_locator_search_button_color` varchar(16) NOT NULL,
  `store_locator_reset_button_background_color` varchar(16) NOT NULL,
  `store_locator_reset_button_color` varchar(16) NOT NULL,
  `store_locator_columns` tinyint(1) NOT NULL,
  `marker_listsing_basic_title_color` varchar(16) NOT NULL,
  `marker_listsing_basic_bgcolor` varchar(16) NOT NULL,
  `marker_listsing_basic_marker_title_color` varchar(16) NOT NULL,
  `marker_listsing_basic_marker_desc_color` varchar(16) NOT NULL,
  `marker_listsing_basic_dir_border_radius` varchar(16) NOT NULL,
  `marker_listsing_basic_dir_width` varchar(16) NOT NULL,
  `marker_listsing_basic_dir_height` varchar(16) NOT NULL,
  `marker_listsing_basic_dir_background_color` varchar(16) NOT NULL,
  `marker_listsing_basic_dir_color` varchar(16) NOT NULL,
  `marker_advanced_title_color` varchar(16) NOT NULL,
  `marker_advanced_table_background` varchar(16) NOT NULL,
  `marker_advanced_table_border_radius` varchar(16) NOT NULL,
  `marker_advanced_table_color` varchar(16) NOT NULL,
  `marker_advanced_table_header_background` varchar(16) NOT NULL,
  `marker_advanced_table_header_color` varchar(16) NOT NULL,
  `advanced_info_window_background` varchar(16) NOT NULL,
  `advanced_info_window_title_color` varchar(16) NOT NULL,
  `advanced_info_window_title_background_color` varchar(16) NOT NULL,
  `advanced_info_window_desc_color` varchar(16) NOT NULL,
  `advanced_info_window_dir_color` varchar(16) NOT NULL,
  `advanced_info_window_dir_background_color` varchar(16) NOT NULL,
  `advanced_info_window_dir_border_radius` varchar(16) NOT NULL,
  `carousel_item_height` int(16) NOT NULL,
  `carousel_item_border_radius` int(16) NOT NULL,
  `carousel_items_count` int(16) NOT NULL,
  `carousel_color` varchar(16) NOT NULL,
  `carousel_background_color` varchar(16) NOT NULL,
  `carousel_hover_color` varchar(16) NOT NULL,
  `carousel_hover_background_color` varchar(16) NOT NULL,
  `marker_listsing_inside_map_color` varchar(16) NOT NULL,
  `marker_listsing_inside_map_bgcolor` varchar(16) NOT NULL,
  `marker_listsing_inside_map_width` varchar(16) NOT NULL,
  `marker_listsing_inside_map_height` varchar(16) NOT NULL,
  `marker_listsing_inside_map_border_radius` varchar(16) NOT NULL,
  `auto_generate_style_code` tinyint(1) NOT NULL,
  `default` tinyint(1) NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_hugeit_slider_slide` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `slider_id` int(11) unsigned NOT NULL,
  `title` varchar(512) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(2048) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `url` varchar(2048) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `attachment_id` bigint(20) unsigned DEFAULT NULL,
  `in_new_tab` int(1) unsigned NOT NULL DEFAULT '1',
  `type` enum('image','video','post') COLLATE utf8mb4_unicode_ci NOT NULL,
  `order` int(5) unsigned NOT NULL,
  `post_term_id` bigint(20) unsigned DEFAULT NULL,
  `post_show_title` int(1) unsigned DEFAULT NULL,
  `post_show_description` int(1) unsigned DEFAULT NULL,
  `post_go_to_post` int(1) unsigned DEFAULT NULL,
  `post_max_post_count` int(4) unsigned DEFAULT NULL,
  `video_quality` int(5) unsigned DEFAULT NULL,
  `video_volume` int(3) unsigned DEFAULT NULL,
  `video_show_controls` int(1) unsigned DEFAULT NULL,
  `video_show_info` int(1) unsigned DEFAULT NULL,
  `video_control_color` int(8) unsigned DEFAULT NULL,
  `draft` int(1) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_hugeit_slider_slider` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'My New Slider',
  `width` int(4) unsigned NOT NULL DEFAULT '600',
  `height` int(4) unsigned NOT NULL DEFAULT '375',
  `effect` enum('none','cube_h','cube_v','fade','slice_h','slice_v','slide_h','slide_v','scale_out','scale_in','block_scale','kaleidoscope','fan','blind_h','blind_v','random') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'none',
  `pause_time` int(5) unsigned NOT NULL DEFAULT '4000',
  `change_speed` int(5) unsigned NOT NULL DEFAULT '1000',
  `position` enum('left','right','center') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'center',
  `show_loading_icon` int(1) unsigned DEFAULT '0',
  `navigate_by` enum('dot','thumbnail','none') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'none',
  `pause_on_hover` int(1) unsigned NOT NULL DEFAULT '1',
  `video_autoplay` int(1) unsigned DEFAULT '0',
  `random` int(1) unsigned DEFAULT '0',
  `arrows_style` enum('arrows_1','arrows_2','arrows_3','arrows_4','arrows_5','arrows_6') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'arrows_1',
  `itemscount` int(2) NOT NULL DEFAULT '5',
  `view` enum('none','carousel1','thumb_view') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'none',
  `thumbmargin` int(2) unsigned NOT NULL DEFAULT '5',
  `lightbox` int(1) unsigned DEFAULT '0',
  `slide_effect` enum('effect_1','effect_2','effect_3','effect_4','effect_5','effect_6','effect_7','effect_8','effect_9','effect_10') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'effect_1',
  `open_close_effect` enum('none','unfold','unfold_r','blowup','blowup_r','roadrunner','roadrunner_r','runner','runner_r','rotate','rotate_r') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'none',
  `controls` int(1) unsigned DEFAULT '1',
  `fullscreen` int(1) unsigned DEFAULT '1',
  `vertical` int(1) unsigned DEFAULT '1',
  `thumbposition` int(1) unsigned DEFAULT '0',
  `thumbcontrols` int(1) unsigned DEFAULT '0',
  `dragdrop` int(1) unsigned DEFAULT '0',
  `swipe` int(1) unsigned DEFAULT '1',
  `thumbdragdrop` int(1) unsigned DEFAULT '0',
  `thumbswipe` int(1) unsigned DEFAULT '0',
  `titleonoff` int(1) unsigned DEFAULT '1',
  `desconoff` int(1) unsigned DEFAULT '1',
  `titlesymbollimit` int(3) unsigned DEFAULT '20',
  `descsymbollimit` int(3) unsigned DEFAULT '70',
  `pager` int(1) unsigned DEFAULT '1',
  `mode` enum('slide','fade') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'slide',
  `vthumbwidth` int(3) unsigned NOT NULL DEFAULT '100',
  `hthumbheight` int(3) unsigned NOT NULL DEFAULT '80',
  `thumbitem` int(3) unsigned NOT NULL DEFAULT '10',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_target` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_description` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_visible` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_notes` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `link_rss` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_mlw_qm_audit_trail` (
  `trail_id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `action_user` text NOT NULL,
  `action` text NOT NULL,
  `time` text NOT NULL,
  PRIMARY KEY (`trail_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_mlw_questions` (
  `question_id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `quiz_id` int(11) NOT NULL,
  `question_name` text NOT NULL,
  `answer_array` text NOT NULL,
  `answer_one` text NOT NULL,
  `answer_one_points` int(11) NOT NULL,
  `answer_two` text NOT NULL,
  `answer_two_points` int(11) NOT NULL,
  `answer_three` text NOT NULL,
  `answer_three_points` int(11) NOT NULL,
  `answer_four` text NOT NULL,
  `answer_four_points` int(11) NOT NULL,
  `answer_five` text NOT NULL,
  `answer_five_points` int(11) NOT NULL,
  `answer_six` text NOT NULL,
  `answer_six_points` int(11) NOT NULL,
  `correct_answer` int(11) NOT NULL,
  `question_answer_info` text NOT NULL,
  `comments` int(11) NOT NULL,
  `hints` text NOT NULL,
  `question_order` int(11) NOT NULL,
  `question_type` int(11) NOT NULL,
  `question_type_new` text NOT NULL,
  `question_settings` text NOT NULL,
  `category` text NOT NULL,
  `deleted` int(11) NOT NULL,
  PRIMARY KEY (`question_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_mlw_quizzes` (
  `quiz_id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `quiz_name` text NOT NULL,
  `message_before` text NOT NULL,
  `message_after` text NOT NULL,
  `message_comment` text NOT NULL,
  `message_end_template` text NOT NULL,
  `user_email_template` text NOT NULL,
  `admin_email_template` text NOT NULL,
  `submit_button_text` text NOT NULL,
  `name_field_text` text NOT NULL,
  `business_field_text` text NOT NULL,
  `email_field_text` text NOT NULL,
  `phone_field_text` text NOT NULL,
  `comment_field_text` text NOT NULL,
  `email_from_text` text NOT NULL,
  `question_answer_template` text NOT NULL,
  `leaderboard_template` text NOT NULL,
  `system` int(11) NOT NULL,
  `randomness_order` int(11) NOT NULL,
  `loggedin_user_contact` int(11) NOT NULL,
  `show_score` int(11) NOT NULL,
  `send_user_email` int(11) NOT NULL,
  `send_admin_email` int(11) NOT NULL,
  `contact_info_location` int(11) NOT NULL,
  `user_name` int(11) NOT NULL,
  `user_comp` int(11) NOT NULL,
  `user_email` int(11) NOT NULL,
  `user_phone` int(11) NOT NULL,
  `admin_email` text NOT NULL,
  `comment_section` int(11) NOT NULL,
  `question_from_total` int(11) NOT NULL,
  `total_user_tries` int(11) NOT NULL,
  `total_user_tries_text` text NOT NULL,
  `certificate_template` text NOT NULL,
  `social_media` int(11) NOT NULL,
  `social_media_text` text NOT NULL,
  `pagination` int(11) NOT NULL,
  `pagination_text` text NOT NULL,
  `timer_limit` int(11) NOT NULL,
  `quiz_stye` text NOT NULL,
  `question_numbering` int(11) NOT NULL,
  `quiz_settings` text NOT NULL,
  `theme_selected` text NOT NULL,
  `last_activity` datetime NOT NULL,
  `require_log_in` int(11) NOT NULL,
  `require_log_in_text` text NOT NULL,
  `limit_total_entries` int(11) NOT NULL,
  `limit_total_entries_text` text NOT NULL,
  `scheduled_timeframe` text NOT NULL,
  `scheduled_timeframe_text` text NOT NULL,
  `disable_answer_onselect` int(11) NOT NULL,
  `ajax_show_correct` int(11) NOT NULL,
  `quiz_views` int(11) NOT NULL,
  `quiz_taken` int(11) NOT NULL,
  `deleted` int(11) NOT NULL,
  PRIMARY KEY (`quiz_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_mlw_results` (
  `result_id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `quiz_id` int(11) NOT NULL,
  `quiz_name` text NOT NULL,
  `quiz_system` int(11) NOT NULL,
  `point_score` int(11) NOT NULL,
  `correct_score` int(11) NOT NULL,
  `correct` int(11) NOT NULL,
  `total` int(11) NOT NULL,
  `name` text NOT NULL,
  `business` text NOT NULL,
  `email` text NOT NULL,
  `phone` text NOT NULL,
  `user` int(11) NOT NULL,
  `user_ip` text NOT NULL,
  `time_taken` text NOT NULL,
  `time_taken_real` datetime NOT NULL,
  `quiz_results` text NOT NULL,
  `deleted` int(11) NOT NULL,
  PRIMARY KEY (`result_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `option_value` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `autoload` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`),
  KEY `autoload` (`autoload`)
) ENGINE=InnoDB AUTO_INCREMENT=160629 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=2105 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_title` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_excerpt` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `post_password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `post_name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `to_ping` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `pinged` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=InnoDB AUTO_INCREMENT=2130 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_redirection_404` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `created` datetime NOT NULL,
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `agent` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `referrer` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ip` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `created` (`created`),
  KEY `url` (`url`(250)),
  KEY `ip` (`ip`),
  KEY `referrer` (`referrer`(250))
) ENGINE=MyISAM AUTO_INCREMENT=1713295 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_redirection_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tracking` int(11) NOT NULL DEFAULT '1',
  `module_id` int(11) unsigned NOT NULL DEFAULT '0',
  `status` enum('enabled','disabled') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'enabled',
  `position` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `module_id` (`module_id`),
  KEY `status` (`status`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_redirection_items` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `url` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `regex` int(11) unsigned NOT NULL DEFAULT '0',
  `position` int(11) unsigned NOT NULL DEFAULT '0',
  `last_count` int(10) unsigned NOT NULL DEFAULT '0',
  `last_access` datetime NOT NULL,
  `group_id` int(11) NOT NULL DEFAULT '0',
  `status` enum('enabled','disabled') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'enabled',
  `action_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `action_code` int(11) unsigned NOT NULL,
  `action_data` mediumtext COLLATE utf8mb4_unicode_ci,
  `match_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `title` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `url` (`url`(200)),
  KEY `status` (`status`),
  KEY `regex` (`regex`),
  KEY `group_idpos` (`group_id`,`position`),
  KEY `group` (`group_id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_redirection_logs` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `created` datetime NOT NULL,
  `url` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `sent_to` mediumtext COLLATE utf8mb4_unicode_ci,
  `agent` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `referrer` mediumtext COLLATE utf8mb4_unicode_ci,
  `redirection_id` int(11) unsigned DEFAULT NULL,
  `ip` varchar(17) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `module_id` int(11) unsigned NOT NULL,
  `group_id` int(11) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `created` (`created`),
  KEY `redirection_id` (`redirection_id`),
  KEY `ip` (`ip`),
  KEY `group_id` (`group_id`),
  KEY `module_id` (`module_id`)
) ENGINE=MyISAM AUTO_INCREMENT=5215 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_sl_setting` (
  `sl_setting_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `sl_setting_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `sl_setting_value` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`sl_setting_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `wp_sl_tag` (
  `sl_tag_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `sl_tag_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `sl_tag_slug` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `sl_id` mediumint(8) DEFAULT NULL,
  PRIMARY KEY (`sl_tag_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `wp_store_locator` (
  `sl_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `sl_store` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `sl_address` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `sl_address2` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `sl_city` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `sl_state` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `sl_zip` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `sl_latitude` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `sl_longitude` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `sl_tags` mediumtext COLLATE utf8_unicode_ci NOT NULL,
  `sl_description` mediumtext COLLATE utf8_unicode_ci,
  `sl_url` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `sl_hours` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `sl_phone` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `sl_image` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `sl_private` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `sl_neat_title` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `sl_country` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `sl_fax` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `sl_email` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`sl_id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_tm_taskmeta` (
  `meta_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `task_id` bigint(20) NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `meta_key` (`meta_key`(191)),
  KEY `task_id` (`task_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_tm_tasks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) NOT NULL,
  `type` varchar(300) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `class_identifier` varchar(300) COLLATE utf8mb4_unicode_520_ci DEFAULT '0',
  `attempts` int(11) DEFAULT '0',
  `description` varchar(300) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `time_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `last_locked_at` bigint(20) DEFAULT '0',
  `status` varchar(300) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_totalsoft_new_plugin` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `New_Plugin_Name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `Our_Plugin_Name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `Dismiss` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_answers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Question_ID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoftPoll_Ans` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoftPoll_Ans_Im` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoftPoll_Ans_Vd` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoftPoll_Ans_Cl` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoftPoll_Ans_01` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoftPoll_Ans_02` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoftPoll_Ans_03` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoftPoll_Ans_04` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoftPoll_Ans_05` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_dbt` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_TTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=19 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_id` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Poll_ID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_iminqu` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_TID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_MW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BoxSh_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BoxSh_Type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BoxSh` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BoxShC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_Q_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_Q_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_Q_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_Q_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_Q_TA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_I_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_I_Ra` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_V_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_LAQ_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_LAQ_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_LAQ_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_LAQ_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_A_CA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_A_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_A_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_A_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_A_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_A_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_A_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_A_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_CH_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_CH_TBC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_CH_CBC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_CH_TAC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_CH_CAC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_A_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_A_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_LAA_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_LAA_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_LAA_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_LAA_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_TV_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_TV_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_TV_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_TV_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VT_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VT_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_iminqu_01` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_TID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_MW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BoxSh_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BoxSh_Type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BoxSh` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BoxShC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_Q_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_Q_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_Q_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_Q_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_Q_TA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_I_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_I_Ra` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_V_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_LAQ_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_LAQ_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_LAQ_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_LAQ_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_A_CA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_A_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_A_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_A_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_A_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_A_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_A_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_A_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_CH_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_CH_TBC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_CH_CBC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_CH_TAC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_CH_CAC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_A_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_A_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_LAA_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_LAA_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_LAA_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_LAA_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_TV_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_TV_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_TV_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_TV_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VT_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VT_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_iminqu_02` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_TID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_IS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_IS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_V_CA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_V_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_V_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_V_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_V_T` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_V_Eff` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BB_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_TV_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_iminqu_1` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_TID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_IS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_IS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_V_CA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_V_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_V_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_V_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_V_T` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_V_Eff` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BB_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_TV_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_BB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_RB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_5_VB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_impoll` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_TID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_MW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_BoxSh_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_BoxSh_Type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_BoxSh` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_BoxShC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_Q_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_Q_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_Q_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_Q_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_Q_TA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_LAQ_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_LAQ_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_LAQ_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_LAQ_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_CC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_IH` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_CA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_CH_CM` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_CH_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_CH_TBC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_CH_CBC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_CH_TAC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_CH_CAC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_HSh_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_HShC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_LAA_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_LAA_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_LAA_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_LAA_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_A_OC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_A_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_A_VT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_A_VEff` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_Play_IC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_Play_IS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_Play_IOvC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_Play_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_impoll_01` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_TID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_MW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_BoxSh_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_BoxSh_Type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_BoxSh` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_BoxShC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_Q_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_Q_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_Q_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_Q_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_Q_TA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_LAQ_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_LAQ_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_LAQ_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_LAQ_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_CC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_IH` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_CA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_CH_CM` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_CH_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_CH_TBC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_CH_CBC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_CH_TAC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_CH_CAC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_HSh_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_A_HShC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_LAA_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_LAA_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_LAA_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_LAA_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_A_OC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_A_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_A_VT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_A_VEff` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_Play_IC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_Play_IS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_Play_IOvC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_Play_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_impoll_02` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_TID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_IS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_IS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_BB_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_BB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_BB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_BB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_BB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_BB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_BB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_BB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_BB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_BB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_impoll_1` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_TID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_IS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_VB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_IS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_RB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_BB_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_BB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_BB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_BB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_BB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_BB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_BB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_BB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_BB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_2_P_BB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_imwibu` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_TID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_MW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BoxSh_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BoxSh_Type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BoxSh` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BoxShC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Q_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Q_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Q_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Q_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Q_TA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_LAQ_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_LAQ_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_LAQ_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_LAQ_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_CA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_I_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_I_Ra` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_I_OC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_I_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_I_IC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_I_IS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Pop_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Pop_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Pop_IC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Pop_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Pop_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_LAA_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_LAA_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_LAA_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_LAA_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_TV_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_TV_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_TV_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_imwibu_01` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_TID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_MW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BoxSh_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BoxSh_Type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BoxSh` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BoxShC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Q_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Q_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Q_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Q_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Q_TA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_LAQ_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_LAQ_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_LAQ_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_LAQ_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_CA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_A_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_I_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_I_Ra` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_I_OC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_I_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_I_IC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_I_IS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Pop_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Pop_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Pop_IC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Pop_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_Pop_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_LAA_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_LAA_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_LAA_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_LAA_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_TV_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_TV_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_TV_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_imwibu_02` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_TID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_TV_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_TV_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_VT_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_VT_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_IS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_V_CA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_V_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_V_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_V_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_V_T` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_V_Eff` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BB_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_imwibu_1` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_TID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_TV_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_TV_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_VT_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_VT_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_IS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_RB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_V_CA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_V_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_V_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_V_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_V_T` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_V_Eff` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BB_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_4_BB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_inform` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Poll_ID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `IPAddress` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `City` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `Region` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `CountryCode` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `CountryName` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `CountryFlag` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `Data` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `Votes` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_manager` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoftPoll_Question` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoftPoll_Theme` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoftPoll_Ans_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_quest_im` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Question_ID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoftPoll_Q_Im` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoftPoll_Q_Vd` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoftPoll_Q_01` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoftPoll_Q_02` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoftPoll_Q_03` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoftPoll_Q_04` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoftPoll_Q_05` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_results` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Poll_ID` int(10) NOT NULL,
  `Poll_A_ID` int(10) NOT NULL,
  `Poll_A_Votes` int(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_setting` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_SetTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_01` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_02` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_03` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_04` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_05` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_06` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_07` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_08` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_09` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_10` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_11` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_12` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_13` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_14` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_15` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_16` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_17` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_18` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_19` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_20` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_21` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_22` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_23` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_24` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_25` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_26` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_27` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_28` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_29` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_30` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_31` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_32` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_33` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_34` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_35` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_36` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_37` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_38` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_39` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_40` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_Set_41` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_stpoll` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_TID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_MW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_BoxSh_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_BoxSh_Type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_BoxSh` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_BoxShC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_Q_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_Q_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_Q_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_Q_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_Q_TA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_LAQ_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_LAQ_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_LAQ_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_LAQ_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_A_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_A_CTF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_A_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_A_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_CH_CM` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_CH_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_CH_TBC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_CH_CBC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_CH_TAC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_CH_CAC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_A_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_A_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_LAA_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_LAA_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_LAA_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_LAA_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_IS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_stpoll_01` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_TID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_MW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_BoxSh_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_BoxSh_Type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_BoxSh` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_BoxShC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_Q_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_Q_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_Q_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_Q_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_Q_TA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_LAQ_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_LAQ_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_LAQ_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_LAQ_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_A_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_A_CTF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_A_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_A_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_CH_CM` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_CH_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_CH_TBC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_CH_CBC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_CH_TAC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_CH_CAC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_A_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_A_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_LAA_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_LAA_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_LAA_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_LAA_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_IS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_VB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_stpoll_02` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_TID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_IS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_ShPop` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_ShEff` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_Q_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_Q_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_LAQ_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_LAQ_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_LAQ_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_LAQ_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_A_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_A_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_A_VT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_A_VC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_A_VEff` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_LAA_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_LAA_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_LAA_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_LAA_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BB_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_A_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_A_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_stpoll_1` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_TID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_IS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_RB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_ShPop` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_ShEff` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_Q_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_Q_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_LAQ_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_LAQ_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_LAQ_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_LAQ_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_A_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_A_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_A_VT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_A_VC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_A_VEff` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_LAA_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_LAA_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_LAA_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_LAA_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_BB_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_P_A_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_1_A_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_stwibu` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_TID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_MW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BoxSh_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BoxSh_Type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BoxSh` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BoxShC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_Q_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_Q_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_Q_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_Q_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_Q_TA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_LAQ_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_LAQ_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_LAQ_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_LAQ_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_A_CA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_A_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_A_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_A_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_A_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_A_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_A_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_A_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_CH_Sh` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_CH_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_CH_TBC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_CH_CBC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_CH_TAC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_CH_CAC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_A_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_A_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_LAA_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_LAA_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_LAA_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_LAA_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_stwibu_01` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_TID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_MW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BoxSh_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BoxSh_Type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BoxSh` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BoxShC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_Q_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_Q_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_Q_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_Q_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_Q_TA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_LAQ_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_LAQ_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_LAQ_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_LAQ_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_A_CA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_A_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_A_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_A_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_A_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_A_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_A_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_A_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_CH_Sh` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_CH_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_CH_TBC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_CH_CBC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_CH_TAC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_CH_CAC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_A_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_A_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_LAA_W` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_LAA_H` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_LAA_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_LAA_S` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_stwibu_02` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_TID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_TV_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_TV_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_TV_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_TV_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_TV_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_VT_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_IS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_V_CA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_V_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_V_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_V_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_V_T` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_V_Eff` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BB_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_VT_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_totalsoft_poll_stwibu_1` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `TotalSoft_Poll_TID` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TTitle` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_TType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_TV_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_TV_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_TV_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_TV_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_TV_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_VT_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_Show` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_BW` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_BR` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_FS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_FF` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_IS` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_RB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_V_CA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_V_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_V_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_V_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_V_T` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_V_Eff` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BB_MBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BB_Pos` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BB_BC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BB_BgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BB_C` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BB_Text` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BB_IT` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BB_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BB_HBgC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_BB_HC` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `TotalSoft_Poll_3_VT_IA` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=129 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_pass` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_nicename` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_url` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_wp_sap_answers` (
  `survey_id` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `question_id` mediumint(9) NOT NULL,
  `answer` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `count` mediumint(9) NOT NULL DEFAULT '0',
  `autoid` mediumint(9) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_wp_sap_questions` (
  `id` mediumint(9) NOT NULL,
  `survey_id` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `question` text COLLATE utf8mb4_unicode_520_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_wp_sap_surveys` (
  `id` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `options` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `start_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `expiry_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `global` tinyint(1) NOT NULL,
  `autoid` mediumint(9) NOT NULL AUTO_INCREMENT,
  UNIQUE KEY `autoid` (`autoid`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_wpfm_backup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `backup_name` text COLLATE utf8mb4_unicode_520_ci,
  `backup_date` text COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_wpgmza` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `map_id` int(11) NOT NULL,
  `address` varchar(700) NOT NULL,
  `description` mediumtext NOT NULL,
  `pic` varchar(700) NOT NULL,
  `link` varchar(700) NOT NULL,
  `icon` varchar(700) NOT NULL,
  `lat` varchar(100) NOT NULL,
  `lng` varchar(100) NOT NULL,
  `anim` varchar(3) NOT NULL,
  `title` varchar(700) NOT NULL,
  `infoopen` varchar(3) NOT NULL,
  `category` varchar(500) NOT NULL,
  `approved` tinyint(1) DEFAULT '1',
  `retina` tinyint(1) DEFAULT '0',
  `type` tinyint(1) DEFAULT '0',
  `did` varchar(500) NOT NULL,
  `other_data` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_wpgmza_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `active` tinyint(1) NOT NULL,
  `category_name` varchar(50) NOT NULL,
  `category_icon` varchar(700) NOT NULL,
  `retina` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `wp_wpgmza_category_maps` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cat_id` int(11) NOT NULL,
  `map_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `wp_wpgmza_maps` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `map_title` varchar(55) NOT NULL,
  `map_width` varchar(6) NOT NULL,
  `map_height` varchar(6) NOT NULL,
  `map_start_lat` varchar(700) NOT NULL,
  `map_start_lng` varchar(700) NOT NULL,
  `map_start_location` varchar(700) NOT NULL,
  `map_start_zoom` int(10) NOT NULL,
  `default_marker` varchar(700) NOT NULL,
  `type` int(10) NOT NULL,
  `alignment` int(10) NOT NULL,
  `directions_enabled` int(10) NOT NULL,
  `styling_enabled` int(10) NOT NULL,
  `styling_json` longtext NOT NULL,
  `active` int(1) NOT NULL,
  `kml` varchar(700) NOT NULL,
  `bicycle` int(10) NOT NULL,
  `traffic` int(10) NOT NULL,
  `dbox` int(10) NOT NULL,
  `dbox_width` varchar(10) NOT NULL,
  `listmarkers` int(10) NOT NULL,
  `listmarkers_advanced` int(10) NOT NULL,
  `filterbycat` tinyint(1) NOT NULL,
  `ugm_enabled` int(10) NOT NULL,
  `ugm_category_enabled` tinyint(1) NOT NULL,
  `fusion` varchar(100) NOT NULL,
  `map_width_type` varchar(3) NOT NULL,
  `map_height_type` varchar(3) NOT NULL,
  `mass_marker_support` int(10) NOT NULL,
  `ugm_access` int(10) NOT NULL,
  `order_markers_by` int(10) NOT NULL,
  `order_markers_choice` int(10) NOT NULL,
  `show_user_location` int(3) NOT NULL,
  `default_to` varchar(700) NOT NULL,
  `other_settings` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_wpgmza_polygon` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `map_id` int(11) NOT NULL,
  `polydata` longtext NOT NULL,
  `linecolor` varchar(7) NOT NULL,
  `lineopacity` varchar(7) NOT NULL,
  `fillcolor` varchar(7) NOT NULL,
  `opacity` varchar(3) NOT NULL,
  `title` varchar(250) NOT NULL,
  `link` varchar(700) NOT NULL,
  `ohfillcolor` varchar(7) NOT NULL,
  `ohlinecolor` varchar(7) NOT NULL,
  `ohopacity` varchar(3) NOT NULL,
  `polyname` varchar(100) NOT NULL,
  `innerpolydata` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `wp_wpgmza_polylines` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `map_id` int(11) NOT NULL,
  `polydata` longtext NOT NULL,
  `linecolor` varchar(7) NOT NULL,
  `linethickness` varchar(3) NOT NULL,
  `opacity` varchar(3) NOT NULL,
  `polyname` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `wp_yoast_seo_links` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_id` bigint(20) unsigned NOT NULL,
  `target_post_id` bigint(20) unsigned NOT NULL,
  `type` varchar(8) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `link_direction` (`post_id`,`type`)
) ENGINE=MyISAM AUTO_INCREMENT=4761 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_yoast_seo_meta` (
  `object_id` bigint(20) unsigned NOT NULL,
  `internal_link_count` int(10) unsigned DEFAULT NULL,
  `incoming_link_count` int(10) unsigned DEFAULT NULL,
  UNIQUE KEY `object_id` (`object_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


/* INSERT TABLE DATA: wp_duplicator_packages */
INSERT INTO `wp_duplicator_packages` VALUES("1", "20160922_buckspizza", "57e463c223ce53092160922230538", "100", "2016-09-22 23:05:48", "BucksAdmin", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2016-09-22 23:05:38\";s:7:\"Version\";s:6:\"1.1.16\";s:9:\"VersionWP\";s:5:\"4.6.1\";s:9:\"VersionDB\";s:6:\"5.5.48\";s:10:\"VersionPHP\";s:6:\"5.4.45\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";i:1;s:4:\"Name\";s:19:\"20160922_buckspizza\";s:4:\"Hash\";s:29:\"57e463c223ce53092160922230538\";s:8:\"NameHash\";s:49:\"20160922_buckspizza_57e463c223ce53092160922230538\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:46:\"/home1/joshbenton/public_html/wp-snapshots/tmp\";s:8:\"StoreURL\";s:35:\"http://buckspizza.com/wp-snapshots/\";s:8:\"ScanFile\";s:59:\"20160922_buckspizza_57e463c223ce53092160922230538_scan.json\";s:7:\"Runtime\";s:10:\"23.43 sec.\";s:7:\"ExeSize\";s:8:\"347.61KB\";s:7:\"ZipSize\";s:8:\"110.62MB\";s:6:\"Status\";N;s:6:\"WPUser\";s:10:\"BucksAdmin\";s:7:\"Archive\";O:11:\"DUP_Archive\":13:{s:10:\"FilterDirs\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:4:\"File\";s:61:\"20160922_buckspizza_57e463c223ce53092160922230538_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:29:\"/home1/joshbenton/public_html\";s:4:\"Size\";i:115997465;s:4:\"Dirs\";a:0:{}s:5:\"Files\";a:0:{}s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":6:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":4:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":5:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":2:{s:4:\"Core\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;}s:10:\"\0*\0Package\";r:1;}s:9:\"Installer\";O:13:\"DUP_Installer\":12:{s:4:\"File\";s:63:\"20160922_buckspizza_57e463c223ce53092160922230538_installer.php\";s:4:\"Size\";i:355951;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:12:\"OptsSSLAdmin\";i:0;s:12:\"OptsSSLLogin\";i:0;s:11:\"OptsCacheWP\";i:0;s:13:\"OptsCachePath\";i:0;s:10:\"OptsURLNew\";s:0:\"\";s:10:\"\0*\0Package\";r:1;}s:8:\"Database\";O:12:\"DUP_Database\":12:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";i:2180222;s:4:\"File\";s:62:\"20160922_buckspizza_57e463c223ce53092160922230538_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:10:\"\0*\0Package\";r:1;s:25:\"\0DUP_Database\0dbStorePath\";s:109:\"/home1/joshbenton/public_html/wp-snapshots/tmp/20160922_buckspizza_57e463c223ce53092160922230538_database.sql\";s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}}");
INSERT INTO `wp_duplicator_packages` VALUES("2", "20160922_buckspizza", "b2bd6420010a55c44544180911161818", "100", "2018-09-11 16:18:32", "BucksAdmin", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2018-09-11 16:18:18\";s:7:\"Version\";s:6:\"1.2.42\";s:9:\"VersionWP\";s:5:\"4.9.8\";s:9:\"VersionDB\";s:6:\"5.6.39\";s:10:\"VersionPHP\";s:6:\"5.4.45\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";i:2;s:4:\"Name\";s:19:\"20160922_buckspizza\";s:4:\"Hash\";s:32:\"b2bd6420010a55c44544180911161818\";s:8:\"NameHash\";s:52:\"20160922_buckspizza_b2bd6420010a55c44544180911161818\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:46:\"/home1/joshbenton/public_html/wp-snapshots/tmp\";s:8:\"StoreURL\";s:35:\"http://buckspizza.com/wp-snapshots/\";s:8:\"ScanFile\";s:62:\"20160922_buckspizza_b2bd6420010a55c44544180911161818_scan.json\";s:7:\"Runtime\";s:10:\"35.50 sec.\";s:7:\"ExeSize\";s:8:\"472.45KB\";s:7:\"ZipSize\";s:7:\"118.1MB\";s:6:\"Status\";N;s:6:\"WPUser\";s:10:\"BucksAdmin\";s:7:\"Archive\";O:11:\"DUP_Archive\":19:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";s:64:\"20160922_buckspizza_b2bd6420010a55c44544180911161818_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:29:\"/home1/joshbenton/public_html\";s:4:\"Size\";i:123834252;s:4:\"Dirs\";a:0:{}s:5:\"Files\";a:0:{}s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":4:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":5:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":2:{s:4:\"Core\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"\0*\0Package\";r:1;s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:6:{i:0;s:38:\"/home1/joshbenton/public_html/wp-admin\";i:1;s:48:\"/home1/joshbenton/public_html/wp-content/uploads\";i:2;s:50:\"/home1/joshbenton/public_html/wp-content/languages\";i:3;s:48:\"/home1/joshbenton/public_html/wp-content/plugins\";i:4;s:47:\"/home1/joshbenton/public_html/wp-content/themes\";i:5;s:41:\"/home1/joshbenton/public_html/wp-includes\";}}s:9:\"Installer\";O:13:\"DUP_Installer\":9:{s:4:\"File\";s:66:\"20160922_buckspizza_b2bd6420010a55c44544180911161818_installer.php\";s:4:\"Size\";i:483790;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:10:\"\0*\0Package\";r:1;}s:8:\"Database\";O:12:\"DUP_Database\":13:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";i:3255079;s:4:\"File\";s:65:\"20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:56:\"Percona Server (GPL), Release 83.1, Revision da5a1c2923f\";s:10:\"\0*\0Package\";r:1;s:25:\"\0DUP_Database\0dbStorePath\";s:112:\"/home1/joshbenton/public_html/wp-snapshots/tmp/20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql\";s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}}");
INSERT INTO `wp_duplicator_packages` VALUES("3", "20160922_buckspizza", "fe6fb605c0c45b586857_20190521175740", "100", "2019-05-21 17:57:54", "unknown", "O:11:\"DUP_Package\":25:{s:7:\"Created\";s:19:\"2019-05-21 17:57:40\";s:7:\"Version\";s:6:\"1.3.14\";s:9:\"VersionWP\";s:5:\"5.1.1\";s:9:\"VersionDB\";s:6:\"5.6.41\";s:10:\"VersionPHP\";s:6:\"5.4.45\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";i:3;s:4:\"Name\";s:19:\"20160922_buckspizza\";s:4:\"Hash\";s:35:\"fe6fb605c0c45b586857_20190521175740\";s:8:\"NameHash\";s:55:\"20160922_buckspizza_fe6fb605c0c45b586857_20190521175740\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:46:\"/home1/joshbenton/public_html/wp-snapshots/tmp\";s:8:\"StoreURL\";s:35:\"http://buckspizza.com/wp-snapshots/\";s:8:\"ScanFile\";s:65:\"20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";s:10:\"69.10 sec.\";s:7:\"ExeSize\";s:6:\"47.4KB\";s:7:\"ZipSize\";s:8:\"164.42MB\";s:6:\"Status\";i:100;s:6:\"WPUser\";s:7:\"unknown\";s:7:\"Archive\";O:11:\"DUP_Archive\":23:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";s:67:\"20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:29:\"/home1/joshbenton/public_html\";s:4:\"Size\";i:172402694;s:4:\"Dirs\";a:0:{}s:5:\"Files\";a:0:{}s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":5:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":6:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:10691;s:10:\"\0*\0Package\";r:1;s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:5:{i:0;s:38:\"/home1/joshbenton/public_html/wp-admin\";i:1;s:48:\"/home1/joshbenton/public_html/wp-content/uploads\";i:2;s:50:\"/home1/joshbenton/public_html/wp-content/languages\";i:3;s:47:\"/home1/joshbenton/public_html/wp-content/themes\";i:4;s:41:\"/home1/joshbenton/public_html/wp-includes\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:2:{i:0;s:29:\"/home1/joshbenton/public_html\";i:1;s:40:\"/home1/joshbenton/public_html/wp-content\";}s:19:\"isOuterWPContentDir\";b:0;s:25:\"wpContentDirNormalizePath\";s:41:\"/home1/joshbenton/public_html/wp-content/\";}s:9:\"Installer\";O:13:\"DUP_Installer\":11:{s:4:\"File\";s:69:\"20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_installer.php\";s:4:\"Size\";i:48540;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:1;}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";i:3572459;s:4:\"File\";s:68:\"20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:52:\"Percona Server (GPL), Release 84.1, Revision b308619\";s:4:\"info\";O:16:\"DUP_DatabaseInfo\":15:{s:9:\"buildMode\";s:3:\"PHP\";s:13:\"collationList\";a:4:{i:0;s:18:\"utf8mb4_unicode_ci\";i:1;s:15:\"utf8_unicode_ci\";i:2;s:15:\"utf8_general_ci\";i:3;s:22:\"utf8mb4_unicode_520_ci\";}s:17:\"isTablesUpperCase\";i:0;s:15:\"isNameUpperCase\";i:0;s:4:\"name\";s:14:\"joshbent_wrdp1\";s:15:\"tablesBaseCount\";i:44;s:16:\"tablesFinalCount\";i:44;s:14:\"tablesRowCount\";s:5:\"4,338\";s:16:\"tablesSizeOnDisk\";s:5:\"6.6MB\";s:18:\"varLowerCaseTables\";s:1:\"0\";s:7:\"version\";s:6:\"5.6.41\";s:14:\"versionComment\";s:52:\"Percona Server (GPL), Release 84.1, Revision b308619\";s:18:\"tableWiseRowCounts\";a:44:{s:14:\"wp_commentmeta\";s:1:\"0\";s:11:\"wp_comments\";s:1:\"0\";s:22:\"wp_duplicator_packages\";s:1:\"3\";s:15:\"wp_gmwd_circles\";s:1:\"0\";s:12:\"wp_gmwd_maps\";s:1:\"1\";s:17:\"wp_gmwd_mapstyles\";s:1:\"0\";s:24:\"wp_gmwd_markercategories\";s:1:\"0\";s:15:\"wp_gmwd_markers\";s:1:\"7\";s:15:\"wp_gmwd_options\";s:2:\"10\";s:16:\"wp_gmwd_polygons\";s:1:\"2\";s:17:\"wp_gmwd_polylines\";s:1:\"1\";s:18:\"wp_gmwd_rectangles\";s:1:\"0\";s:18:\"wp_gmwd_shortcodes\";s:1:\"1\";s:14:\"wp_gmwd_themes\";s:1:\"1\";s:22:\"wp_hugeit_slider_slide\";s:1:\"3\";s:23:\"wp_hugeit_slider_slider\";s:1:\"1\";s:8:\"wp_links\";s:1:\"0\";s:10:\"wp_options\";s:3:\"548\";s:11:\"wp_postmeta\";s:4:\"1588\";s:8:\"wp_posts\";s:3:\"544\";s:18:\"wp_redirection_404\";s:3:\"423\";s:21:\"wp_redirection_groups\";s:1:\"2\";s:20:\"wp_redirection_items\";s:1:\"3\";s:19:\"wp_redirection_logs\";s:1:\"0\";s:13:\"wp_sl_setting\";s:1:\"2\";s:9:\"wp_sl_tag\";s:1:\"0\";s:16:\"wp_store_locator\";s:2:\"15\";s:21:\"wp_term_relationships\";s:2:\"98\";s:16:\"wp_term_taxonomy\";s:2:\"30\";s:11:\"wp_termmeta\";s:1:\"0\";s:8:\"wp_terms\";s:2:\"30\";s:14:\"wp_tm_taskmeta\";s:1:\"0\";s:11:\"wp_tm_tasks\";s:1:\"0\";s:11:\"wp_usermeta\";s:2:\"69\";s:8:\"wp_users\";s:1:\"2\";s:14:\"wp_wpfm_backup\";s:1:\"0\";s:9:\"wp_wpgmza\";s:1:\"3\";s:20:\"wp_wpgmza_categories\";s:1:\"0\";s:23:\"wp_wpgmza_category_maps\";s:1:\"0\";s:14:\"wp_wpgmza_maps\";s:1:\"1\";s:17:\"wp_wpgmza_polygon\";s:1:\"0\";s:19:\"wp_wpgmza_polylines\";s:1:\"0\";s:18:\"wp_yoast_seo_links\";s:3:\"278\";s:17:\"wp_yoast_seo_meta\";s:3:\"690\";}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:1;s:25:\"\0DUP_Database\0dbStorePath\";s:115:\"/home1/joshbenton/public_html/wp-snapshots/tmp/20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\";s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;s:19:\"sameNameTableExists\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:1;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";O:11:\"DUP_Package\":25:{s:7:\"Created\";s:19:\"2019-05-21 17:57:40\";s:7:\"Version\";s:6:\"1.3.14\";s:9:\"VersionWP\";s:5:\"5.1.1\";s:9:\"VersionDB\";s:6:\"5.6.41\";s:10:\"VersionPHP\";s:6:\"5.4.45\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:19:\"20160922_buckspizza\";s:4:\"Hash\";s:35:\"fe6fb605c0c45b586857_20190521175740\";s:8:\"NameHash\";s:55:\"20160922_buckspizza_fe6fb605c0c45b586857_20190521175740\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:46:\"/home1/joshbenton/public_html/wp-snapshots/tmp\";s:8:\"StoreURL\";s:35:\"http://buckspizza.com/wp-snapshots/\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:23;s:9:\"Installer\";r:76;s:8:\"Database\";r:88;s:13:\"BuildProgress\";r:167;}}}");
INSERT INTO `wp_duplicator_packages` VALUES("4", "20160922_buckspizza", "d04761272b2ae6638049_20200414233721", "20", "2020-04-14 23:38:25", "unknown", "O:11:\"DUP_Package\":25:{s:7:\"Created\";s:19:\"2020-04-14 23:37:21\";s:7:\"Version\";s:6:\"1.3.28\";s:9:\"VersionWP\";s:3:\"5.4\";s:9:\"VersionDB\";s:6:\"5.6.41\";s:10:\"VersionPHP\";s:6:\"7.0.25\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";i:4;s:4:\"Name\";s:19:\"20160922_buckspizza\";s:4:\"Hash\";s:35:\"d04761272b2ae6638049_20200414233721\";s:8:\"NameHash\";s:55:\"20160922_buckspizza_d04761272b2ae6638049_20200414233721\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:46:\"/home1/joshbenton/public_html/wp-snapshots/tmp\";s:8:\"StoreURL\";s:36:\"https://buckspizza.com/wp-snapshots/\";s:8:\"ScanFile\";s:65:\"20160922_buckspizza_d04761272b2ae6638049_20200414233721_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";s:4:\"20.3\";s:6:\"WPUser\";s:7:\"unknown\";s:7:\"Archive\";O:11:\"DUP_Archive\":21:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";s:67:\"20160922_buckspizza_d04761272b2ae6638049_20200414233721_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:29:\"/home1/joshbenton/public_html\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:5:\"Files\";a:0:{}s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":5:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":6:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":25:{s:7:\"Created\";s:19:\"2020-04-14 23:37:21\";s:7:\"Version\";s:6:\"1.3.28\";s:9:\"VersionWP\";s:3:\"5.4\";s:9:\"VersionDB\";s:6:\"5.6.41\";s:10:\"VersionPHP\";s:6:\"7.0.25\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:19:\"20160922_buckspizza\";s:4:\"Hash\";s:35:\"d04761272b2ae6638049_20200414233721\";s:8:\"NameHash\";s:55:\"20160922_buckspizza_d04761272b2ae6638049_20200414233721\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:46:\"/home1/joshbenton/public_html/wp-snapshots/tmp\";s:8:\"StoreURL\";s:36:\"https://buckspizza.com/wp-snapshots/\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:23;s:9:\"Installer\";O:13:\"DUP_Installer\":11:{s:4:\"File\";s:69:\"20160922_buckspizza_d04761272b2ae6638049_20200414233721_installer.php\";s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:63;}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";s:68:\"20160922_buckspizza_d04761272b2ae6638049_20200414233721_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:52:\"Percona Server (GPL), Release 84.1, Revision b308619\";s:4:\"info\";O:16:\"DUP_DatabaseInfo\":15:{s:9:\"buildMode\";N;s:13:\"collationList\";a:0:{}s:17:\"isTablesUpperCase\";N;s:15:\"isNameUpperCase\";N;s:4:\"name\";N;s:15:\"tablesBaseCount\";N;s:16:\"tablesFinalCount\";N;s:14:\"tablesRowCount\";N;s:16:\"tablesSizeOnDisk\";N;s:18:\"varLowerCaseTables\";i:0;s:7:\"version\";N;s:14:\"versionComment\";N;s:18:\"tableWiseRowCounts\";a:1:{s:14:\"wp_commentmeta\";s:1:\"0\";}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:1;s:25:\"\0DUP_Database\0dbStorePath\";s:115:\"/home1/joshbenton/public_html/wp-snapshots/tmp/20160922_buckspizza_d04761272b2ae6638049_20200414233721_database.sql\";s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;s:19:\"sameNameTableExists\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:63;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:5:{i:0;s:38:\"/home1/joshbenton/public_html/wp-admin\";i:1;s:48:\"/home1/joshbenton/public_html/wp-content/uploads\";i:2;s:50:\"/home1/joshbenton/public_html/wp-content/languages\";i:3;s:47:\"/home1/joshbenton/public_html/wp-content/themes\";i:4;s:41:\"/home1/joshbenton/public_html/wp-includes\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:2:{i:0;s:29:\"/home1/joshbenton/public_html\";i:1;s:40:\"/home1/joshbenton/public_html/wp-content\";}}s:9:\"Installer\";r:86;s:8:\"Database\";r:98;s:13:\"BuildProgress\";r:130;}");

/* INSERT TABLE DATA: wp_gmwd_maps */
INSERT INTO `wp_gmwd_maps` VALUES("1", "My First Map", "100", "", "R. do Celeiros 2, 7780, Portugal", "42.45362248301644", "-21.056485250000033", "%", "left", "", "3", "2", "22", "1", "0", "1", "0", "0", "1", "1", "0", "0", "0", "1", "0", "1", "0", "0", "0", "click", "0", "100", "%", "1", "", "100", "%", "", "", "km", "0", "0", "0", "0", "", "", "", "0", "0", "0", "0", "0", "0", "0", "0", "000", "0.6", "7FDF16", "0.3", "2", "1", "1", "0", "0", "title,address,desc,pic", "1");

/* INSERT TABLE DATA: wp_gmwd_markers */
INSERT INTO `wp_gmwd_markers` VALUES("1", "1", "41.87194", "12.567379999999957", "0", "Italia", "Italia", "DROP", "1", "0", "32", "", "1", "", "", "", "1");
INSERT INTO `wp_gmwd_markers` VALUES("2", "1", "40.6356899", "-73.60066499999999", "0", "CIDNEY PHILLIPS, Washington Street, Baldwin, NY, United States", "CIDNEY PHILLIPS, Washington Street, Baldwin, NY, United States", "NONE", "1", "0", "32", "", "1", "", "", "", "1");
INSERT INTO `wp_gmwd_markers` VALUES("3", "1", "40.4167754", "-3.7037901999999576", "0", "Madrid, España", "Madrid, España", "NONE", "1", "0", "32", "", "1", "", "", "", "1");
INSERT INTO `wp_gmwd_markers` VALUES("4", "1", "48.85661400000001", "2.3522219000000177", "0", "Paris, France", "Paris, France", "DROP", "1", "0", "32", "", "1", "", "", "", "1");
INSERT INTO `wp_gmwd_markers` VALUES("5", "1", "51.5073509", "-0.12775829999998223", "0", "London, UK", "London, UK", "NONE", "1", "0", "32", "", "1", "", "", "", "1");
INSERT INTO `wp_gmwd_markers` VALUES("6", "1", "39.9525839", "-75.16522150000003", "0", "Philadelphia, PA, United States", "Philadelphia, PA, United States", "NONE", "1", "0", "32", "", "1", "", "", "", "1");
INSERT INTO `wp_gmwd_markers` VALUES("7", "1", "40.7127837", "-74.00594130000002", "0", "New York, NY, United States", "New York, NY, United States", "BOUNCE", "1", "0", "32", "", "1", "", "", "", "1");

/* INSERT TABLE DATA: wp_gmwd_options */
INSERT INTO `wp_gmwd_options` VALUES("1", "map_api_key", "", "");
INSERT INTO `wp_gmwd_options` VALUES("2", "map_language", "", "");
INSERT INTO `wp_gmwd_options` VALUES("3", "choose_marker_icon", "", "1");
INSERT INTO `wp_gmwd_options` VALUES("4", "marker_default_icon", "", "");
INSERT INTO `wp_gmwd_options` VALUES("5", "center_address", "", "New York, NY, United States");
INSERT INTO `wp_gmwd_options` VALUES("6", "center_lat", "", "40.7127837");
INSERT INTO `wp_gmwd_options` VALUES("7", "center_lng", "", "-74.00594130000002");
INSERT INTO `wp_gmwd_options` VALUES("8", "zoom_level", "", "7");
INSERT INTO `wp_gmwd_options` VALUES("9", "whell_scrolling", "", "0");
INSERT INTO `wp_gmwd_options` VALUES("10", "map_draggable", "", "1");

/* INSERT TABLE DATA: wp_gmwd_polygons */
INSERT INTO `wp_gmwd_polygons` VALUES("1", "1", "Polygon 1", "", "2", "0B0833", "0.8", "7AF6FF", "0.3", "000000", "0.9", "FF0000", "0.4", "(48.28502057399577, -117.59765625),(37.51190453731693, -116.01562000000001),(37.37233994582321, -106.87499999999994),(50.3472131272189, -106.34764874999001),", "1", "0", "1");
INSERT INTO `wp_gmwd_polygons` VALUES("2", "1", "Polygon 2", "", "4", "072908", "0.8", "87FF1F", "0.3", "000000", "0.9", "FF0000", "0.4", "(48.750756296177386, 8.96484375),(61.649466740560335, 26.19140625),(47.22143353240337, 42.714843700000074),", "0", "0", "1");

/* INSERT TABLE DATA: wp_gmwd_polylines */
INSERT INTO `wp_gmwd_polylines` VALUES("1", "1", "Polyline", "3", "0C5413", "0.8", "000000", "0.9", "(-28.84226783718747, 17.40234375),(-18.393623895475326, 27.7734375),(-8.83893716666915, 34.27734375),(2.3751129338801293, 35.859375),(11.784014005457768, 33.3984375),(19.06471383653978, 25.48828125),", "0", "0", "1");

/* INSERT TABLE DATA: wp_gmwd_shortcodes */
INSERT INTO `wp_gmwd_shortcodes` VALUES("1", "id=1 map=1");

/* INSERT TABLE DATA: wp_gmwd_themes */
INSERT INTO `wp_gmwd_themes` VALUES("1", "Default", "1", "", "", "000000", "F2F2F2", "", "", "000000", "000000", "F2F2F2", "", "100", "", "000000", "FFFFFF", "0", "0", "000000", "F2F2F2", "", "", "000000", "000000", "F2F2F2", "", "0", "", "", "000000", "FFFFFF", "000000", "FFFFFF", "0", "000000", "F2F2F2", "000000", "000000", "", "130", "30", "000000", "FFFFFF", "000000", "F2F2F2", "", "000000", "000000", "FFFFFF", "FFFFFF", "000000", "F2F2F2", "000000", "FFFFFF", "000000", "", "45", "0", "3", "000000", "F2F2F2", "F2F2F2", "000000", "000000", "F2F2F2", "250", "", "", "1", "1", "1");

/* INSERT TABLE DATA: wp_hugeit_slider_slide */
INSERT INTO `wp_hugeit_slider_slide` VALUES("1", "1", "Pizza and Wings!", "Choose Hand-Tossed or Deep-Dish pizza and 12 wing sauces!", "http://buckspizza.com/locations/", "947", "0", "image", "0", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_hugeit_slider_slide` VALUES("2", "1", "Fettuccine Alfredo", "A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.", "http://buckspizza.com/locations/", "1079", "0", "image", "1", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wp_hugeit_slider_slide` VALUES("3", "1", "Greek Pizza", "A light garlic sauce, mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.", "http://buckspizza.com/locations/", "1080", "0", "image", "2", NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

/* INSERT TABLE DATA: wp_hugeit_slider_slider */
INSERT INTO `wp_hugeit_slider_slider` VALUES("1", "My First Slider", "1280", "500", "random", "4000", "1000", "center", "1", "dot", "1", "0", "0", "arrows_1", "5", "none", "5", "0", "effect_1", "none", "1", "1", "1", "0", "0", "0", "1", "0", "0", "1", "1", "20", "70", "1", "slide", "100", "80", "10");

/* INSERT TABLE DATA: wp_mlw_qm_audit_trail */
INSERT INTO `wp_mlw_qm_audit_trail` VALUES("1", "Buck\'s Pizza", "New Quiz/Survey Has Been Created: Survey", "10:56:55 PM 10/03/2019");

/* INSERT TABLE DATA: wp_mlw_questions */
INSERT INTO `wp_mlw_questions` VALUES("1", "1", "test", "a:3:{i:0;a:3:{i:0;s:1:\"1\";i:1;d:0;i:2;i:1;}i:1;a:3:{i:0;s:1:\"2\";i:1;d:0;i:2;i:1;}i:2;a:3:{i:0;s:1:\"3\";i:1;d:0;i:2;i:1;}}", "", "0", "", "0", "", "0", "", "0", "", "0", "", "0", "0", "", "1", "", "1", "0", "0", "a:4:{s:8:\"required\";s:1:\"1\";s:12:\"answerEditor\";s:4:\"text\";s:8:\"autofill\";s:1:\"0\";s:10:\"limit_text\";s:1:\"0\";}", "", "0");

/* INSERT TABLE DATA: wp_mlw_quizzes */
INSERT INTO `wp_mlw_quizzes` VALUES("1", "Survey", "Welcome to your %QUIZ_NAME%", "a:1:{i:0;a:3:{s:10:\"conditions\";a:0:{}s:4:\"page\";s:132:\"Thanks for submitting your response! You can edit this message on the \"Results Pages\" tab. <br>%CONTACT_ALL% <br>%QUESTIONS_ANSWERS%\";s:8:\"redirect\";b:0;}}", "Please fill in the comment box below.", "", "a:2:{i:0;a:5:{s:10:\"conditions\";a:0:{}s:7:\"content\";s:19:\"%QUESTIONS_ANSWERS%\";s:7:\"subject\";s:28:\"Quiz results for %QUIZ_NAME%\";s:7:\"replyTo\";b:0;s:2:\"to\";s:12:\"%USER_EMAIL%\";}i:1;a:5:{s:10:\"conditions\";a:0:{}s:7:\"content\";s:19:\"%QUESTIONS_ANSWERS%\";s:7:\"subject\";s:28:\"Quiz results for %QUIZ_NAME%\";s:7:\"replyTo\";b:0;s:2:\"to\";s:25:\"jlknauff@spartanmedia.com\";}}", "%QUESTIONS_ANSWERS%", "Submit", "Name", "Business", "Email", "Phone Number", "Comments", "Wordpress", "%QUESTION%<br /> Answer Provided: %USER_ANSWER%<br /> Correct Answer: %CORRECT_ANSWER%<br /> Comments Entered: %USER_COMMENTS%<br />", "", "0", "0", "0", "0", "0", "0", "0", "2", "2", "2", "2", "jlknauff@spartanmedia.com", "1", "0", "0", "You are only allowed 1 try and have already submitted your quiz.", "", "0", "I just scored %CORRECT_SCORE%% on %QUIZ_NAME%!", "0", "Next", "0", "", "0", "a:4:{s:17:\"quiz_leaderboards\";s:28:\"a:1:{s:8:\"template\";s:0:\"\";}\";s:12:\"quiz_options\";s:848:\"a:27:{s:6:\"system\";s:1:\"0\";s:21:\"loggedin_user_contact\";s:1:\"0\";s:21:\"contact_info_location\";s:1:\"0\";s:9:\"user_name\";s:1:\"2\";s:9:\"user_comp\";s:1:\"2\";s:10:\"user_email\";s:1:\"2\";s:10:\"user_phone\";s:1:\"2\";s:15:\"comment_section\";s:1:\"1\";s:16:\"randomness_order\";s:1:\"0\";s:19:\"question_from_total\";s:1:\"0\";s:16:\"total_user_tries\";s:1:\"0\";s:12:\"social_media\";s:1:\"0\";s:10:\"pagination\";s:1:\"0\";s:11:\"timer_limit\";s:1:\"0\";s:18:\"question_numbering\";s:1:\"0\";s:14:\"require_log_in\";s:1:\"0\";s:19:\"limit_total_entries\";s:1:\"0\";s:20:\"scheduled_time_start\";s:0:\"\";s:18:\"scheduled_time_end\";s:0:\"\";s:23:\"disable_answer_onselect\";s:1:\"0\";s:17:\"ajax_show_correct\";s:1:\"0\";s:12:\"progress_bar\";i:0;s:29:\"enable_result_after_timer_end\";i:0;s:15:\"store_responses\";i:1;s:24:\"contact_disable_autofill\";i:0;s:22:\"show_category_on_front\";i:0;s:22:\"enable_quick_result_mc\";i:0;}\";s:9:\"quiz_text\";s:1463:\"a:23:{s:14:\"message_before\";s:27:\"Welcome to your %QUIZ_NAME%\";s:15:\"message_comment\";s:37:\"Please fill in the comment box below.\";s:20:\"message_end_template\";s:0:\"\";s:18:\"comment_field_text\";s:8:\"Comments\";s:24:\"question_answer_template\";s:132:\"%QUESTION%<br /> Answer Provided: %USER_ANSWER%<br /> Correct Answer: %CORRECT_ANSWER%<br /> Comments Entered: %USER_COMMENTS%<br />\";s:18:\"submit_button_text\";s:6:\"Submit\";s:15:\"name_field_text\";s:4:\"Name\";s:19:\"business_field_text\";s:8:\"Business\";s:16:\"email_field_text\";s:5:\"Email\";s:16:\"phone_field_text\";s:12:\"Phone Number\";s:21:\"total_user_tries_text\";s:64:\"You are only allowed 1 try and have already submitted your quiz.\";s:20:\"twitter_sharing_text\";s:46:\"I just scored %CORRECT_SCORE%% on %QUIZ_NAME%!\";s:21:\"facebook_sharing_text\";s:46:\"I just scored %CORRECT_SCORE%% on %QUIZ_NAME%!\";s:20:\"previous_button_text\";s:8:\"Previous\";s:16:\"next_button_text\";s:4:\"Next\";s:19:\"require_log_in_text\";s:38:\"This quiz is for logged in users only.\";s:24:\"limit_total_entries_text\";s:107:\"Unfortunately, this quiz has a limited amount of entries it can recieve and has already reached that limit.\";s:24:\"scheduled_timeframe_text\";s:0:\"\";s:9:\"hint_text\";s:4:\"Hint\";s:16:\"empty_error_text\";s:36:\"Please complete all required fields!\";s:16:\"email_error_text\";s:27:\"Not a valid e-mail address!\";s:17:\"number_error_text\";s:28:\"This field must be a number!\";s:20:\"incorrect_error_text\";s:32:\"The entered text is not correct!\";}\";s:5:\"pages\";s:28:\"a:1:{i:0;a:1:{i:0;s:1:\"1\";}}\";}", "primary", "2019-10-03 22:56:54", "0", "This quiz is for logged in users only.", "0", "Unfortunately, this quiz has a limited amount of entries it can recieve and has already reached that limit.", "", "", "0", "0", "2", "1", "0");

/* INSERT TABLE DATA: wp_mlw_results */
INSERT INTO `wp_mlw_results` VALUES("1", "1", "Survey", "0", "0", "100", "1", "1", "None", "None", "None", "None", "1", "174.128.180.22", "11:00:07 PM 10/03/2019", "2019-10-03 23:00:07", "a:4:{i:0;i:10;i:1;a:1:{i:0;a:8:{i:0;s:4:\"test\";i:1;s:1:\"1\";i:2;s:1:\"3\";i:3;s:0:\"\";s:7:\"correct\";s:7:\"correct\";s:2:\"id\";s:1:\"1\";s:6:\"points\";d:0;s:8:\"category\";s:0:\"\";}}i:2;s:0:\"\";s:7:\"contact\";a:0:{}}", "0");

/* INSERT TABLE DATA: wp_options */
INSERT INTO `wp_options` VALUES("1", "siteurl", "https://buckspizza.com", "yes");
INSERT INTO `wp_options` VALUES("2", "home", "https://buckspizza.com", "yes");
INSERT INTO `wp_options` VALUES("3", "blogname", "Buck&#039;s Pizza", "yes");
INSERT INTO `wp_options` VALUES("4", "blogdescription", "", "yes");
INSERT INTO `wp_options` VALUES("5", "users_can_register", "0", "yes");
INSERT INTO `wp_options` VALUES("6", "admin_email", "josh@buckspizza.com", "yes");
INSERT INTO `wp_options` VALUES("7", "start_of_week", "1", "yes");
INSERT INTO `wp_options` VALUES("8", "use_balanceTags", "0", "yes");
INSERT INTO `wp_options` VALUES("9", "use_smilies", "1", "yes");
INSERT INTO `wp_options` VALUES("10", "require_name_email", "", "yes");
INSERT INTO `wp_options` VALUES("11", "comments_notify", "", "yes");
INSERT INTO `wp_options` VALUES("12", "posts_per_rss", "10", "yes");
INSERT INTO `wp_options` VALUES("13", "rss_use_excerpt", "0", "yes");
INSERT INTO `wp_options` VALUES("14", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `wp_options` VALUES("15", "mailserver_login", "login@example.com", "yes");
INSERT INTO `wp_options` VALUES("16", "mailserver_pass", "password", "yes");
INSERT INTO `wp_options` VALUES("17", "mailserver_port", "110", "yes");
INSERT INTO `wp_options` VALUES("18", "default_category", "1", "yes");
INSERT INTO `wp_options` VALUES("19", "default_comment_status", "closed", "yes");
INSERT INTO `wp_options` VALUES("20", "default_ping_status", "closed", "yes");
INSERT INTO `wp_options` VALUES("21", "default_pingback_flag", "", "yes");
INSERT INTO `wp_options` VALUES("22", "posts_per_page", "10", "yes");
INSERT INTO `wp_options` VALUES("23", "date_format", "F j, Y", "yes");
INSERT INTO `wp_options` VALUES("24", "time_format", "g:i a", "yes");
INSERT INTO `wp_options` VALUES("25", "links_updated_date_format", "F j, Y g:i a", "yes");
INSERT INTO `wp_options` VALUES("26", "comment_moderation", "", "yes");
INSERT INTO `wp_options` VALUES("27", "moderation_notify", "", "yes");
INSERT INTO `wp_options` VALUES("28", "permalink_structure", "/%category%/%postname%/", "yes");
INSERT INTO `wp_options` VALUES("30", "hack_file", "0", "yes");
INSERT INTO `wp_options` VALUES("31", "blog_charset", "UTF-8", "yes");
INSERT INTO `wp_options` VALUES("32", "moderation_keys", "", "no");
INSERT INTO `wp_options` VALUES("33", "active_plugins", "a:21:{i:0;s:39:\"5sec-google-maps-pro/5sec-gmaps-pro.php\";i:1;s:33:\"classic-editor/classic-editor.php\";i:2;s:36:\"contact-form-7/wp-contact-form-7.php\";i:3;s:25:\"duplicator/duplicator.php\";i:5;s:24:\"flip-boxes/flipboxes.php\";i:6;s:43:\"google-analytics-dashboard-for-wp/gadwp.php\";i:7;s:19:\"jetpack/jetpack.php\";i:8;s:27:\"leaflet-map/leaflet-map.php\";i:9;s:47:\"really-simple-ssl/rlrsssl-really-simple-ssl.php\";i:10;s:35:\"reveal-template/reveal-template.php\";i:11;s:33:\"seo-automatic-links/seo-links.php\";i:12;s:47:\"show-current-template/show-current-template.php\";i:13;s:43:\"simple-audio-player/simple-audio-player.php\";i:14;s:23:\"slider-image/slider.php\";i:15;s:39:\"social-polls-by-opinionstage/plugin.php\";i:16;s:33:\"string-locator/string-locator.php\";i:17;s:25:\"tablepress/tablepress.php\";i:18;s:27:\"updraftplus/updraftplus.php\";i:19;s:24:\"wordpress-seo/wp-seo.php\";i:20;s:27:\"wp-optimize/wp-optimize.php\";i:21;s:37:\"wp-store-locator/wp-store-locator.php\";}", "yes");
INSERT INTO `wp_options` VALUES("34", "category_base", "", "yes");
INSERT INTO `wp_options` VALUES("35", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `wp_options` VALUES("37", "comment_max_links", "2", "yes");
INSERT INTO `wp_options` VALUES("38", "gmt_offset", "0", "yes");
INSERT INTO `wp_options` VALUES("39", "default_email_category", "1", "yes");
INSERT INTO `wp_options` VALUES("40", "recently_edited", "a:5:{i:0;s:79:\"/home1/joshbenton/public_html/wp-content/themes/spartan-framework/functions.php\";i:1;s:75:\"/home1/joshbenton/public_html/wp-content/themes/spartan-framework/style.css\";i:2;s:69:\"/home1/joshbenton/public_html/wp-content/themes/bucks-child/style.css\";i:3;s:76:\"/home1/joshbenton/public_html/wp-content/themes/spartan-framework/header.php\";i:5;s:71:\"/home1/joshbenton/public_html/wp-content/themes/bucks-child/sidebar.php\";}", "no");
INSERT INTO `wp_options` VALUES("41", "template", "spartan-framework", "yes");
INSERT INTO `wp_options` VALUES("42", "stylesheet", "bucks-child", "yes");
INSERT INTO `wp_options` VALUES("43", "comment_whitelist", "1", "yes");
INSERT INTO `wp_options` VALUES("44", "blacklist_keys", "", "no");
INSERT INTO `wp_options` VALUES("45", "comment_registration", "", "yes");
INSERT INTO `wp_options` VALUES("46", "html_type", "text/html", "yes");
INSERT INTO `wp_options` VALUES("47", "use_trackback", "0", "yes");
INSERT INTO `wp_options` VALUES("48", "default_role", "subscriber", "yes");
INSERT INTO `wp_options` VALUES("49", "db_version", "47018", "yes");
INSERT INTO `wp_options` VALUES("50", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `wp_options` VALUES("51", "upload_path", "", "yes");
INSERT INTO `wp_options` VALUES("52", "blog_public", "1", "yes");
INSERT INTO `wp_options` VALUES("53", "default_link_category", "2", "yes");
INSERT INTO `wp_options` VALUES("54", "show_on_front", "page", "yes");
INSERT INTO `wp_options` VALUES("55", "tag_base", "", "yes");
INSERT INTO `wp_options` VALUES("56", "show_avatars", "1", "yes");
INSERT INTO `wp_options` VALUES("57", "avatar_rating", "G", "yes");
INSERT INTO `wp_options` VALUES("58", "upload_url_path", "", "yes");
INSERT INTO `wp_options` VALUES("59", "thumbnail_size_w", "150", "yes");
INSERT INTO `wp_options` VALUES("60", "thumbnail_size_h", "150", "yes");
INSERT INTO `wp_options` VALUES("61", "thumbnail_crop", "1", "yes");
INSERT INTO `wp_options` VALUES("62", "medium_size_w", "300", "yes");
INSERT INTO `wp_options` VALUES("63", "medium_size_h", "300", "yes");
INSERT INTO `wp_options` VALUES("64", "avatar_default", "mystery", "yes");
INSERT INTO `wp_options` VALUES("65", "large_size_w", "1024", "yes");
INSERT INTO `wp_options` VALUES("66", "large_size_h", "1024", "yes");
INSERT INTO `wp_options` VALUES("67", "image_default_link_type", "none", "yes");
INSERT INTO `wp_options` VALUES("68", "image_default_size", "", "yes");
INSERT INTO `wp_options` VALUES("69", "image_default_align", "", "yes");
INSERT INTO `wp_options` VALUES("70", "close_comments_for_old_posts", "", "yes");
INSERT INTO `wp_options` VALUES("71", "close_comments_days_old", "0", "yes");
INSERT INTO `wp_options` VALUES("72", "thread_comments", "", "yes");
INSERT INTO `wp_options` VALUES("73", "thread_comments_depth", "5", "yes");
INSERT INTO `wp_options` VALUES("74", "page_comments", "", "yes");
INSERT INTO `wp_options` VALUES("75", "comments_per_page", "50", "yes");
INSERT INTO `wp_options` VALUES("76", "default_comments_page", "newest", "yes");
INSERT INTO `wp_options` VALUES("77", "comment_order", "asc", "yes");
INSERT INTO `wp_options` VALUES("78", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("79", "widget_categories", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("80", "widget_text", "a:2:{i:2;a:3:{s:5:\"title\";s:0:\"\";s:4:\"text\";s:0:\"\";s:6:\"filter\";b:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("81", "widget_rss", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("82", "uninstall_plugins", "a:8:{s:27:\"wp-super-cache/wp-cache.php\";s:23:\"wpsupercache_deactivate\";s:27:\"redirection/redirection.php\";a:2:{i:0;s:17:\"Redirection_Admin\";i:1;s:16:\"plugin_uninstall\";}s:43:\"google-analytics-dashboard-for-wp/gadwp.php\";s:32:\"exactmetrics_lite_uninstall_hook\";s:27:\"wp-optimize/wp-optimize.php\";s:21:\"wpo_uninstall_actions\";s:27:\"leaflet-map/leaflet-map.php\";a:2:{i:0;s:11:\"Leaflet_Map\";i:1;s:9:\"uninstall\";}s:33:\"classic-editor/classic-editor.php\";a:2:{i:0;s:14:\"Classic_Editor\";i:1;s:9:\"uninstall\";}s:48:\"wp-survey-and-poll/wordpress-survey-and-poll.php\";a:2:{i:0;s:6:\"wp_sap\";i:1;s:9:\"uninstall\";}s:39:\"easy-geo-redirect/easy-geo-redirect.php\";s:20:\"plgsgegeor_uninstall\";}", "no");
INSERT INTO `wp_options` VALUES("83", "timezone_string", "", "yes");
INSERT INTO `wp_options` VALUES("84", "page_for_posts", "13", "yes");
INSERT INTO `wp_options` VALUES("85", "page_on_front", "26", "yes");
INSERT INTO `wp_options` VALUES("86", "default_post_format", "0", "yes");
INSERT INTO `wp_options` VALUES("87", "link_manager_enabled", "0", "yes");
INSERT INTO `wp_options` VALUES("88", "initial_db_version", "31535", "yes");
INSERT INTO `wp_options` VALUES("89", "wp_user_roles", "a:8:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:87:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:22:\"tablepress_edit_tables\";b:1;s:24:\"tablepress_delete_tables\";b:1;s:22:\"tablepress_list_tables\";b:1;s:21:\"tablepress_add_tables\";b:1;s:22:\"tablepress_copy_tables\";b:1;s:24:\"tablepress_import_tables\";b:1;s:24:\"tablepress_export_tables\";b:1;s:32:\"tablepress_access_options_screen\";b:1;s:30:\"tablepress_access_about_screen\";b:1;s:29:\"tablepress_import_tables_wptr\";b:1;s:23:\"tablepress_edit_options\";b:1;s:20:\"wpseo_manage_options\";b:1;s:20:\"manage_wpsl_settings\";b:1;s:10:\"edit_store\";b:1;s:10:\"read_store\";b:1;s:12:\"delete_store\";b:1;s:11:\"edit_stores\";b:1;s:18:\"edit_others_stores\";b:1;s:14:\"publish_stores\";b:1;s:19:\"read_private_stores\";b:1;s:13:\"delete_stores\";b:1;s:21:\"delete_private_stores\";b:1;s:23:\"delete_published_stores\";b:1;s:20:\"delete_others_stores\";b:1;s:19:\"edit_private_stores\";b:1;s:21:\"edit_published_stores\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:44:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:22:\"tablepress_edit_tables\";b:1;s:24:\"tablepress_delete_tables\";b:1;s:22:\"tablepress_list_tables\";b:1;s:21:\"tablepress_add_tables\";b:1;s:22:\"tablepress_copy_tables\";b:1;s:24:\"tablepress_import_tables\";b:1;s:24:\"tablepress_export_tables\";b:1;s:32:\"tablepress_access_options_screen\";b:1;s:30:\"tablepress_access_about_screen\";b:1;s:15:\"wpseo_bulk_edit\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:19:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:22:\"tablepress_edit_tables\";b:1;s:24:\"tablepress_delete_tables\";b:1;s:22:\"tablepress_list_tables\";b:1;s:21:\"tablepress_add_tables\";b:1;s:22:\"tablepress_copy_tables\";b:1;s:24:\"tablepress_import_tables\";b:1;s:24:\"tablepress_export_tables\";b:1;s:32:\"tablepress_access_options_screen\";b:1;s:30:\"tablepress_access_about_screen\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}s:13:\"wpseo_manager\";a:2:{s:4:\"name\";s:11:\"SEO Manager\";s:12:\"capabilities\";a:47:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:22:\"tablepress_edit_tables\";b:1;s:24:\"tablepress_delete_tables\";b:1;s:22:\"tablepress_list_tables\";b:1;s:21:\"tablepress_add_tables\";b:1;s:22:\"tablepress_copy_tables\";b:1;s:24:\"tablepress_import_tables\";b:1;s:24:\"tablepress_export_tables\";b:1;s:32:\"tablepress_access_options_screen\";b:1;s:30:\"tablepress_access_about_screen\";b:1;s:15:\"wpseo_bulk_edit\";b:1;s:28:\"wpseo_edit_advanced_metadata\";b:1;s:20:\"wpseo_manage_options\";b:1;s:23:\"view_site_health_checks\";b:1;}}s:12:\"wpseo_editor\";a:2:{s:4:\"name\";s:10:\"SEO Editor\";s:12:\"capabilities\";a:45:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:22:\"tablepress_edit_tables\";b:1;s:24:\"tablepress_delete_tables\";b:1;s:22:\"tablepress_list_tables\";b:1;s:21:\"tablepress_add_tables\";b:1;s:22:\"tablepress_copy_tables\";b:1;s:24:\"tablepress_import_tables\";b:1;s:24:\"tablepress_export_tables\";b:1;s:32:\"tablepress_access_options_screen\";b:1;s:30:\"tablepress_access_about_screen\";b:1;s:15:\"wpseo_bulk_edit\";b:1;s:28:\"wpseo_edit_advanced_metadata\";b:1;}}s:26:\"wpsl_store_locator_manager\";a:2:{s:4:\"name\";s:21:\"Store Locator Manager\";s:12:\"capabilities\";a:37:{s:4:\"read\";b:1;s:10:\"edit_posts\";b:1;s:12:\"delete_posts\";b:1;s:15:\"unfiltered_html\";b:1;s:12:\"upload_files\";b:1;s:19:\"delete_others_pages\";b:1;s:19:\"delete_others_posts\";b:1;s:12:\"delete_pages\";b:1;s:20:\"delete_private_pages\";b:1;s:20:\"delete_private_posts\";b:1;s:22:\"delete_published_pages\";b:1;s:22:\"delete_published_posts\";b:1;s:17:\"edit_others_pages\";b:1;s:17:\"edit_others_posts\";b:1;s:10:\"edit_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"edit_private_posts\";b:1;s:20:\"edit_published_pages\";b:1;s:20:\"edit_published_posts\";b:1;s:17:\"moderate_comments\";b:1;s:13:\"publish_pages\";b:1;s:13:\"publish_posts\";b:1;s:18:\"read_private_pages\";b:1;s:18:\"read_private_posts\";b:1;s:10:\"edit_store\";b:1;s:10:\"read_store\";b:1;s:12:\"delete_store\";b:1;s:11:\"edit_stores\";b:1;s:18:\"edit_others_stores\";b:1;s:14:\"publish_stores\";b:1;s:19:\"read_private_stores\";b:1;s:13:\"delete_stores\";b:1;s:21:\"delete_private_stores\";b:1;s:23:\"delete_published_stores\";b:1;s:20:\"delete_others_stores\";b:1;s:19:\"edit_private_stores\";b:1;s:21:\"edit_published_stores\";b:1;}}}", "yes");
INSERT INTO `wp_options` VALUES("90", "widget_search", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("91", "widget_recent-posts", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("92", "widget_recent-comments", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("93", "widget_archives", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("94", "widget_meta", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("95", "sidebars_widgets", "a:4:{s:19:\"wp_inactive_widgets\";a:0:{}s:13:\"widget-area-1\";a:1:{i:0;s:6:\"text-2\";}s:13:\"widget-area-2\";a:0:{}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `wp_options` VALUES("96", "mm_coming_soon", "false", "yes");
INSERT INTO `wp_options` VALUES("97", "cron", "a:23:{i:1586908132;a:1:{s:14:\"mm_cron_hourly\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1586908800;a:3:{s:23:\"updraft_backup_database\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:11:\"wp_cache_gc\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:14:\"updraft_backup\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1586908862;a:1:{s:20:\"jetpack_clean_nonces\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1586910499;a:1:{s:34:\"wp_privacy_delete_old_export_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1586937658;a:1:{s:36:\"puc_cron_check_updates-store-locator\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1586946089;a:3:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1586946402;a:1:{s:21:\"wpo_plugin_cron_tasks\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1586947732;a:3:{s:14:\"mm_cron_weekly\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}s:13:\"mm_cron_daily\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:18:\"mm_cron_twicedaily\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1586947945;a:1:{s:32:\"check_plugin_updates-updraftplus\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1586954832;a:1:{s:19:\"wpseo-reindex-links\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1586980873;a:1:{s:22:\"redirection_log_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1586980893;a:1:{s:34:\"puc_cron_check_updates-updraftplus\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1586980938;a:1:{s:25:\"delete_expired_transients\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1586984123;a:1:{s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1586989293;a:1:{s:29:\"wpo_smush_clear_backup_images\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1586989304;a:1:{s:32:\"recovery_mode_clean_expired_keys\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1586989310;a:1:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1586989504;a:1:{s:30:\"wp_site_health_scheduled_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1587146868;a:1:{s:32:\"exactmetrics_usage_tracking_cron\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1587240103;a:1:{s:18:\"wpseo_onpage_fetch\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1587248516;a:1:{s:25:\"hugeit_slider_opt_in_cron\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:20:\"hugeit-slider-weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1589410132;a:1:{s:15:\"mm_cron_monthly\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:7:\"monthly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:2592000;}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `wp_options` VALUES("131", "recently_activated", "a:2:{s:39:\"easy-geo-redirect/easy-geo-redirect.php\";i:1580923505;s:51:\"api-key-for-google-maps/api-key-for-google-maps.php\";i:1580922946;}", "yes");
INSERT INTO `wp_options` VALUES("132", "ossdl_off_cdn_url", "http://buckspizza.com", "yes");
INSERT INTO `wp_options` VALUES("133", "ossdl_off_include_dirs", "wp-content,wp-includes", "yes");
INSERT INTO `wp_options` VALUES("134", "ossdl_off_exclude", ".php", "yes");
INSERT INTO `wp_options` VALUES("135", "ossdl_cname", "", "yes");
INSERT INTO `wp_options` VALUES("137", "jetpack_activated", "1", "yes");
INSERT INTO `wp_options` VALUES("138", "jetpack_file_data", "a:2:{s:3:\"5.4\";a:55:{s:32:\"31e5b9ae08b62c2b0cd8a7792242298b\";a:14:{s:4:\"name\";s:20:\"Spelling and Grammar\";s:11:\"description\";s:39:\"Check your spelling, style, and grammar\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"6\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:115:\"after the deadline, afterthedeadline, spell, spellchecker, spelling, grammar, proofreading, style, language, cliche\";}s:32:\"3f41b2d629265b5de8108b463abbe8e2\";a:14:{s:4:\"name\";s:8:\"Carousel\";s:11:\"description\";s:75:\"Display images and galleries in a gorgeous, full-screen browsing experience\";s:14:\"jumpstart_desc\";s:79:\"Brings your photos and images to life as full-size, easily navigable galleries.\";s:4:\"sort\";s:2:\"22\";s:20:\"recommendation_order\";s:2:\"12\";s:10:\"introduced\";s:3:\"1.5\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:17:\"Photos and Videos\";s:7:\"feature\";s:21:\"Appearance, Jumpstart\";s:25:\"additional_search_queries\";s:80:\"gallery, carousel, diaporama, slideshow, images, lightbox, exif, metadata, image\";}s:32:\"e1c539d5b392f5a1709dada3da5793cc\";a:14:{s:4:\"name\";s:13:\"Comment Likes\";s:11:\"description\";s:64:\"Increase visitor engagement by adding a Like button to comments.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"39\";s:20:\"recommendation_order\";s:2:\"17\";s:10:\"introduced\";s:3:\"5.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:6:\"Social\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:37:\"like widget, like button, like, likes\";}s:32:\"c6ebb418dde302de09600a6025370583\";a:14:{s:4:\"name\";s:8:\"Comments\";s:11:\"description\";s:80:\"Let readers use WordPress.com, Twitter, Facebook, or Google+ accounts to comment\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"20\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.4\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:6:\"Social\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:53:\"comments, comment, facebook, twitter, google+, social\";}s:32:\"836f9485669e1bbb02920cb474730df0\";a:14:{s:4:\"name\";s:12:\"Contact Form\";s:11:\"description\";s:57:\"Insert a customizable contact form anywhere on your site.\";s:14:\"jumpstart_desc\";s:111:\"Adds a button to your post and page editors, allowing you to build simple forms to help visitors stay in touch.\";s:4:\"sort\";s:2:\"15\";s:20:\"recommendation_order\";s:2:\"14\";s:10:\"introduced\";s:3:\"1.3\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:5:\"Other\";s:7:\"feature\";s:18:\"Writing, Jumpstart\";s:25:\"additional_search_queries\";s:44:\"contact, form, grunion, feedback, submission\";}s:32:\"ea3970eebf8aac55fc3eca5dca0e0157\";a:14:{s:4:\"name\";s:20:\"Custom content types\";s:11:\"description\";s:74:\"Display different types of content on your site with custom content types.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"34\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"3.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:72:\"cpt, custom post types, portfolio, portfolios, testimonial, testimonials\";}s:32:\"d2bb05ccad3d8789df40ca3abb97336c\";a:14:{s:4:\"name\";s:10:\"Custom CSS\";s:11:\"description\";s:53:\"Tweak your site’s CSS without modifying your theme.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"2\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.7\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:10:\"Appearance\";s:7:\"feature\";s:10:\"Appearance\";s:25:\"additional_search_queries\";s:108:\"css, customize, custom, style, editor, less, sass, preprocessor, font, mobile, appearance, theme, stylesheet\";}s:32:\"a2064eec5b9c7e0d816af71dee7a715f\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"53a4ec755022ef3953699734c343da02\";a:14:{s:4:\"name\";s:21:\"Enhanced Distribution\";s:11:\"description\";s:27:\"Increase reach and traffic.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"5\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:6:\"Public\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:54:\"google, seo, firehose, search, broadcast, broadcasting\";}s:32:\"e1f1f6e3689fc31c477e64b06e2f8fbf\";a:14:{s:4:\"name\";s:16:\"Google Analytics\";s:11:\"description\";s:56:\"Set up Google Analytics without touching a line of code.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"37\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"4.5\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:37:\"webmaster, google, analytics, console\";}s:32:\"72fecb67ee6704ba0a33e0225316ad06\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"d56e2886185a9eace719cc57d46770df\";a:14:{s:4:\"name\";s:19:\"Gravatar Hovercards\";s:11:\"description\";s:58:\"Enable pop-up business cards over commenters’ Gravatars.\";s:14:\"jumpstart_desc\";s:131:\"Let commenters link their profiles to their Gravatar accounts, making it easy for your visitors to learn more about your community.\";s:4:\"sort\";s:2:\"11\";s:20:\"recommendation_order\";s:2:\"13\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:18:\"Social, Appearance\";s:7:\"feature\";s:21:\"Appearance, Jumpstart\";s:25:\"additional_search_queries\";s:20:\"gravatar, hovercards\";}s:32:\"e391e760617bd0e0736550e34a73d7fe\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:8:\"2.0.3 ??\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"2e345370766346c616b3c5046e817720\";a:14:{s:4:\"name\";s:15:\"Infinite Scroll\";s:11:\"description\";s:53:\"Automatically load new content when a visitor scrolls\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"26\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:10:\"Appearance\";s:7:\"feature\";s:10:\"Appearance\";s:25:\"additional_search_queries\";s:33:\"scroll, infinite, infinite scroll\";}s:32:\"bd69edbf134de5fae8fdcf2e70a45b56\";a:14:{s:4:\"name\";s:8:\"JSON API\";s:11:\"description\";s:51:\"Allow applications to securely access your content.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"19\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.9\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:6:\"Public\";s:11:\"module_tags\";s:19:\"Writing, Developers\";s:7:\"feature\";s:7:\"General\";s:25:\"additional_search_queries\";s:50:\"api, rest, develop, developers, json, klout, oauth\";}s:32:\"8110b7a4423aaa619dfa46b8843e10d1\";a:14:{s:4:\"name\";s:14:\"Beautiful Math\";s:11:\"description\";s:57:\"Use LaTeX markup for complex equations and other geekery.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"12\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:47:\"latex, math, equation, equations, formula, code\";}s:32:\"fd7e85d3b4887fa6b6f997d6592c1f33\";a:14:{s:4:\"name\";s:5:\"Likes\";s:11:\"description\";s:63:\"Give visitors an easy way to show they appreciate your content.\";s:14:\"jumpstart_desc\";s:63:\"Give visitors an easy way to show they appreciate your content.\";s:4:\"sort\";s:2:\"23\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:6:\"Social\";s:7:\"feature\";s:21:\"Engagement, Jumpstart\";s:25:\"additional_search_queries\";s:26:\"like, likes, wordpress.com\";}s:32:\"c5dfef41fad5bcdcaae8e315e5cfc420\";a:14:{s:4:\"name\";s:6:\"Manage\";s:11:\"description\";s:54:\"Manage all of your sites from a centralized dashboard.\";s:14:\"jumpstart_desc\";s:151:\"Helps you remotely manage plugins, turn on automated updates, and more from <a href=\"https://wordpress.com/plugins/\" target=\"_blank\">wordpress.com</a>.\";s:4:\"sort\";s:1:\"1\";s:20:\"recommendation_order\";s:1:\"3\";s:10:\"introduced\";s:3:\"3.4\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:35:\"Centralized Management, Recommended\";s:7:\"feature\";s:7:\"General\";s:25:\"additional_search_queries\";s:26:\"manage, management, remote\";}s:32:\"fd6dc399b92bce76013427e3107c314f\";a:14:{s:4:\"name\";s:8:\"Markdown\";s:11:\"description\";s:50:\"Write posts or pages in plain-text Markdown syntax\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"31\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.8\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:12:\"md, markdown\";}s:32:\"614679778a7db6d8129c9f69ac8e10a5\";a:14:{s:4:\"name\";s:21:\"WordPress.com Toolbar\";s:11:\"description\";s:91:\"Replaces the admin bar with a useful toolbar to quickly manage your site via WordPress.com.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"38\";s:20:\"recommendation_order\";s:2:\"16\";s:10:\"introduced\";s:3:\"4.8\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:7:\"General\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:19:\"adminbar, masterbar\";}s:32:\"c49a35b6482b0426cb07ad28ecf5d7df\";a:14:{s:4:\"name\";s:12:\"Mobile Theme\";s:11:\"description\";s:31:\"Enable the Jetpack Mobile theme\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"21\";s:20:\"recommendation_order\";s:2:\"11\";s:10:\"introduced\";s:3:\"1.8\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:31:\"Appearance, Mobile, Recommended\";s:7:\"feature\";s:10:\"Appearance\";s:25:\"additional_search_queries\";s:24:\"mobile, theme, minileven\";}s:32:\"b42e38f6fafd2e4104ebe5bf39b4be47\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"771cfeeba0d3d23ec344d5e781fb0ae2\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"54f0661d27c814fc8bde39580181d939\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"46c4c413b5c72bbd3c3dbd14ff8f8adc\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"9ea52fa25783e5ceeb6bfaed3268e64e\";a:14:{s:4:\"name\";s:7:\"Monitor\";s:11:\"description\";s:61:\"Receive immediate notifications if your site goes down, 24/7.\";s:14:\"jumpstart_desc\";s:61:\"Receive immediate notifications if your site goes down, 24/7.\";s:4:\"sort\";s:2:\"28\";s:20:\"recommendation_order\";s:2:\"10\";s:10:\"introduced\";s:3:\"2.6\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:11:\"Recommended\";s:7:\"feature\";s:19:\"Security, Jumpstart\";s:25:\"additional_search_queries\";s:37:\"monitor, uptime, downtime, monitoring\";}s:32:\"cfcaafd0fcad087899d715e0b877474d\";a:14:{s:4:\"name\";s:13:\"Notifications\";s:11:\"description\";s:57:\"Receive instant notifications of site comments and likes.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"13\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.9\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:5:\"Other\";s:7:\"feature\";s:7:\"General\";s:25:\"additional_search_queries\";s:62:\"notification, notifications, toolbar, adminbar, push, comments\";}s:32:\"0d18bfa69bec61550c1d813ce64149b0\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"3f0a11e23118f0788d424b646a6d465f\";a:14:{s:4:\"name\";s:6:\"Photon\";s:11:\"description\";s:26:\"Speed up images and photos\";s:14:\"jumpstart_desc\";s:141:\"Mirrors and serves your images from our free and fast image CDN, improving your site’s performance with no additional load on your servers.\";s:4:\"sort\";s:2:\"25\";s:20:\"recommendation_order\";s:1:\"1\";s:10:\"introduced\";s:3:\"2.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:42:\"Photos and Videos, Appearance, Recommended\";s:7:\"feature\";s:34:\"Recommended, Jumpstart, Appearance\";s:25:\"additional_search_queries\";s:38:\"photon, image, cdn, performance, speed\";}s:32:\"e37cfbcb72323fb1fe8255a2edb4d738\";a:14:{s:4:\"name\";s:13:\"Post by email\";s:11:\"description\";s:33:\"Publish posts by sending an email\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"14\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:20:\"post by email, email\";}s:32:\"728290d131a480bfe7b9e405d7cd925f\";a:14:{s:4:\"name\";s:7:\"Protect\";s:11:\"description\";s:41:\"Block suspicious-looking sign in activity\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"1\";s:20:\"recommendation_order\";s:1:\"4\";s:10:\"introduced\";s:3:\"3.4\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:11:\"Recommended\";s:7:\"feature\";s:8:\"Security\";s:25:\"additional_search_queries\";s:65:\"security, secure, protection, botnet, brute force, protect, login\";}s:32:\"f9ce784babbbf4dcca99b8cd2ceb420c\";a:14:{s:4:\"name\";s:9:\"Publicize\";s:11:\"description\";s:27:\"Automated social marketing.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"10\";s:20:\"recommendation_order\";s:1:\"7\";s:10:\"introduced\";s:3:\"2.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:19:\"Social, Recommended\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:107:\"facebook, twitter, google+, googleplus, google, path, tumblr, linkedin, social, tweet, connections, sharing\";}s:32:\"052c03877dd3d296a71531cb07ad939a\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"52edecb2a75222e75b2dce4356a4efce\";a:14:{s:4:\"name\";s:13:\"Related posts\";s:11:\"description\";s:64:\"Increase page views by showing related content to your visitors.\";s:14:\"jumpstart_desc\";s:113:\"Keep visitors engaged on your blog by highlighting relevant and new content at the bottom of each published post.\";s:4:\"sort\";s:2:\"29\";s:20:\"recommendation_order\";s:1:\"9\";s:10:\"introduced\";s:3:\"2.9\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:11:\"Recommended\";s:7:\"feature\";s:21:\"Engagement, Jumpstart\";s:25:\"additional_search_queries\";s:22:\"related, related posts\";}s:32:\"fe7a38addc9275dcbe6c4ff6c44a9350\";a:14:{s:4:\"name\";s:6:\"Search\";s:11:\"description\";s:41:\"Enhanced search, powered by Elasticsearch\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"5.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:5:\"false\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:6:\"Search\";s:25:\"additional_search_queries\";s:6:\"search\";}s:32:\"68b0d01689803c0ea7e4e60a86de2519\";a:14:{s:4:\"name\";s:9:\"SEO Tools\";s:11:\"description\";s:50:\"Better results on search engines and social media.\";s:14:\"jumpstart_desc\";s:50:\"Better results on search engines and social media.\";s:4:\"sort\";s:2:\"35\";s:20:\"recommendation_order\";s:2:\"15\";s:10:\"introduced\";s:3:\"4.4\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:18:\"Social, Appearance\";s:7:\"feature\";s:18:\"Traffic, Jumpstart\";s:25:\"additional_search_queries\";s:81:\"search engine optimization, social preview, meta description, custom title format\";}s:32:\"8b059cb50a66b717f1ec842e736b858c\";a:14:{s:4:\"name\";s:7:\"Sharing\";s:11:\"description\";s:37:\"Allow visitors to share your content.\";s:14:\"jumpstart_desc\";s:116:\"Twitter, Facebook and Google+ buttons at the bottom of each post, making it easy for visitors to share your content.\";s:4:\"sort\";s:1:\"7\";s:20:\"recommendation_order\";s:1:\"6\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:3:\"1.2\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:19:\"Social, Recommended\";s:7:\"feature\";s:21:\"Engagement, Jumpstart\";s:25:\"additional_search_queries\";s:141:\"share, sharing, sharedaddy, buttons, icons, email, facebook, twitter, google+, linkedin, pinterest, pocket, press this, print, reddit, tumblr\";}s:32:\"a6d2394329871857401255533a9873f7\";a:14:{s:4:\"name\";s:16:\"Shortcode Embeds\";s:11:\"description\";s:50:\"Embed media from popular sites without any coding.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"3\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:3:\"1.2\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:46:\"Photos and Videos, Social, Writing, Appearance\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:236:\"shortcodes, shortcode, embeds, media, bandcamp, dailymotion, facebook, flickr, google calendars, google maps, google+, polldaddy, recipe, recipes, scribd, slideshare, slideshow, slideshows, soundcloud, ted, twitter, vimeo, vine, youtube\";}s:32:\"21496e2897ea5f81605e2f2ac3beb921\";a:14:{s:4:\"name\";s:16:\"WP.me Shortlinks\";s:11:\"description\";s:54:\"Create short and simple links for all posts and pages.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"8\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:6:\"Social\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:17:\"shortlinks, wp.me\";}s:32:\"e2a54a5d7879a4162709e6ffb540dd08\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"f5c537bc304f55b29c1a87e30be0cd24\";a:14:{s:4:\"name\";s:8:\"Sitemaps\";s:11:\"description\";s:50:\"Make it easy for search engines to find your site.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"13\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"3.9\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:6:\"Public\";s:11:\"module_tags\";s:20:\"Recommended, Traffic\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:39:\"sitemap, traffic, search, site map, seo\";}s:32:\"59a23643437358a9b557f1d1e20ab040\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"6a90f97c3194cfca5671728eaaeaf15e\";a:14:{s:4:\"name\";s:14:\"Single Sign On\";s:11:\"description\";s:62:\"Allow users to log into this site using WordPress.com accounts\";s:14:\"jumpstart_desc\";s:98:\"Lets you log in to all your Jetpack-enabled sites with one click using your WordPress.com account.\";s:4:\"sort\";s:2:\"30\";s:20:\"recommendation_order\";s:1:\"5\";s:10:\"introduced\";s:3:\"2.6\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:10:\"Developers\";s:7:\"feature\";s:19:\"Security, Jumpstart\";s:25:\"additional_search_queries\";s:34:\"sso, single sign on, login, log in\";}s:32:\"b65604e920392e2f7134b646760b75e8\";a:14:{s:4:\"name\";s:10:\"Site Stats\";s:11:\"description\";s:44:\"Collect valuable traffic stats and insights.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"1\";s:20:\"recommendation_order\";s:1:\"2\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:23:\"Site Stats, Recommended\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:54:\"statistics, tracking, analytics, views, traffic, stats\";}s:32:\"23a586dd7ead00e69ec53eb32ef740e4\";a:14:{s:4:\"name\";s:13:\"Subscriptions\";s:11:\"description\";s:87:\"Allow users to subscribe to your posts and comments and receive notifications via email\";s:14:\"jumpstart_desc\";s:126:\"Give visitors two easy subscription options — while commenting, or via a separate email subscription widget you can display.\";s:4:\"sort\";s:1:\"9\";s:20:\"recommendation_order\";s:1:\"8\";s:10:\"introduced\";s:3:\"1.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:6:\"Social\";s:7:\"feature\";s:21:\"Engagement, Jumpstart\";s:25:\"additional_search_queries\";s:74:\"subscriptions, subscription, email, follow, followers, subscribers, signup\";}s:32:\"1d978b8d84d2f378fe1a702a67633b6d\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"b3b983461d7f3d27322a3551ed8a9405\";a:14:{s:4:\"name\";s:15:\"Tiled Galleries\";s:11:\"description\";s:61:\"Display image galleries in a variety of elegant arrangements.\";s:14:\"jumpstart_desc\";s:61:\"Display image galleries in a variety of elegant arrangements.\";s:4:\"sort\";s:2:\"24\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:17:\"Photos and Videos\";s:7:\"feature\";s:21:\"Appearance, Jumpstart\";s:25:\"additional_search_queries\";s:43:\"gallery, tiles, tiled, grid, mosaic, images\";}s:32:\"d924e5b05722b0e104448543598f54c0\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"36741583b10c521997e563ad8e1e8b77\";a:14:{s:4:\"name\";s:12:\"Data Backups\";s:11:\"description\";s:54:\"Off-site backups, security scans, and automatic fixes.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"32\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:5:\"0:1.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:5:\"false\";s:4:\"free\";s:5:\"false\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:16:\"Security, Health\";s:25:\"additional_search_queries\";s:28:\"vaultpress, backup, security\";}s:32:\"2b9b44f09b5459617d68dd82ee17002a\";a:14:{s:4:\"name\";s:17:\"Site verification\";s:11:\"description\";s:58:\"Establish your site\'s authenticity with external services.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"33\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"3.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:56:\"webmaster, seo, google, bing, pinterest, search, console\";}s:32:\"5ab4c0db7c42e10e646342da0274c491\";a:14:{s:4:\"name\";s:10:\"VideoPress\";s:11:\"description\";s:27:\"Fast, ad-free video hosting\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"27\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.5\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:5:\"false\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:17:\"Photos and Videos\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:25:\"video, videos, videopress\";}s:32:\"60a1d3aa38bc0fe1039e59dd60888543\";a:14:{s:4:\"name\";s:17:\"Widget Visibility\";s:11:\"description\";s:42:\"Control where widgets appear on your site.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"17\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.4\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:10:\"Appearance\";s:7:\"feature\";s:10:\"Appearance\";s:25:\"additional_search_queries\";s:54:\"widget visibility, logic, conditional, widgets, widget\";}s:32:\"174ed3416476c2cb9ff5b0f671280b15\";a:14:{s:4:\"name\";s:21:\"Extra Sidebar Widgets\";s:11:\"description\";s:54:\"Add images, Twitter streams, and more to your sidebar.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"4\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:18:\"Social, Appearance\";s:7:\"feature\";s:10:\"Appearance\";s:25:\"additional_search_queries\";s:65:\"widget, widgets, facebook, gallery, twitter, gravatar, image, rss\";}s:32:\"a668bc9418d6de87409f867892fcdd7f\";a:14:{s:4:\"name\";s:3:\"Ads\";s:11:\"description\";s:60:\"Earn income by allowing Jetpack to display high quality ads.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"1\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:5:\"4.5.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:19:\"Traffic, Appearance\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:26:\"advertising, ad codes, ads\";}s:32:\"28b931a1db19bd24869bd54b14e733d5\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}}s:3:\"5.3\";a:55:{s:32:\"31e5b9ae08b62c2b0cd8a7792242298b\";a:14:{s:4:\"name\";s:20:\"Spelling and Grammar\";s:11:\"description\";s:39:\"Check your spelling, style, and grammar\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"6\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:115:\"after the deadline, afterthedeadline, spell, spellchecker, spelling, grammar, proofreading, style, language, cliche\";}s:32:\"3f41b2d629265b5de8108b463abbe8e2\";a:14:{s:4:\"name\";s:8:\"Carousel\";s:11:\"description\";s:75:\"Display images and galleries in a gorgeous, full-screen browsing experience\";s:14:\"jumpstart_desc\";s:79:\"Brings your photos and images to life as full-size, easily navigable galleries.\";s:4:\"sort\";s:2:\"22\";s:20:\"recommendation_order\";s:2:\"12\";s:10:\"introduced\";s:3:\"1.5\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:17:\"Photos and Videos\";s:7:\"feature\";s:21:\"Appearance, Jumpstart\";s:25:\"additional_search_queries\";s:80:\"gallery, carousel, diaporama, slideshow, images, lightbox, exif, metadata, image\";}s:32:\"e1c539d5b392f5a1709dada3da5793cc\";a:14:{s:4:\"name\";s:13:\"Comment Likes\";s:11:\"description\";s:64:\"Increase visitor engagement by adding a Like button to comments.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"39\";s:20:\"recommendation_order\";s:2:\"17\";s:10:\"introduced\";s:3:\"5.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:6:\"Social\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:37:\"like widget, like button, like, likes\";}s:32:\"c6ebb418dde302de09600a6025370583\";a:14:{s:4:\"name\";s:8:\"Comments\";s:11:\"description\";s:80:\"Let readers use WordPress.com, Twitter, Facebook, or Google+ accounts to comment\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"20\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.4\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:6:\"Social\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:53:\"comments, comment, facebook, twitter, google+, social\";}s:32:\"836f9485669e1bbb02920cb474730df0\";a:14:{s:4:\"name\";s:12:\"Contact Form\";s:11:\"description\";s:57:\"Insert a customizable contact form anywhere on your site.\";s:14:\"jumpstart_desc\";s:111:\"Adds a button to your post and page editors, allowing you to build simple forms to help visitors stay in touch.\";s:4:\"sort\";s:2:\"15\";s:20:\"recommendation_order\";s:2:\"14\";s:10:\"introduced\";s:3:\"1.3\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:5:\"Other\";s:7:\"feature\";s:18:\"Writing, Jumpstart\";s:25:\"additional_search_queries\";s:44:\"contact, form, grunion, feedback, submission\";}s:32:\"ea3970eebf8aac55fc3eca5dca0e0157\";a:14:{s:4:\"name\";s:20:\"Custom content types\";s:11:\"description\";s:74:\"Display different types of content on your site with custom content types.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"34\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"3.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:72:\"cpt, custom post types, portfolio, portfolios, testimonial, testimonials\";}s:32:\"d2bb05ccad3d8789df40ca3abb97336c\";a:14:{s:4:\"name\";s:10:\"Custom CSS\";s:11:\"description\";s:53:\"Tweak your site’s CSS without modifying your theme.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"2\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.7\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:10:\"Appearance\";s:7:\"feature\";s:10:\"Appearance\";s:25:\"additional_search_queries\";s:108:\"css, customize, custom, style, editor, less, sass, preprocessor, font, mobile, appearance, theme, stylesheet\";}s:32:\"a2064eec5b9c7e0d816af71dee7a715f\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"53a4ec755022ef3953699734c343da02\";a:14:{s:4:\"name\";s:21:\"Enhanced Distribution\";s:11:\"description\";s:27:\"Increase reach and traffic.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"5\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:6:\"Public\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:54:\"google, seo, firehose, search, broadcast, broadcasting\";}s:32:\"e1f1f6e3689fc31c477e64b06e2f8fbf\";a:14:{s:4:\"name\";s:16:\"Google Analytics\";s:11:\"description\";s:56:\"Set up Google Analytics without touching a line of code.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"37\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"4.5\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:37:\"webmaster, google, analytics, console\";}s:32:\"72fecb67ee6704ba0a33e0225316ad06\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"d56e2886185a9eace719cc57d46770df\";a:14:{s:4:\"name\";s:19:\"Gravatar Hovercards\";s:11:\"description\";s:58:\"Enable pop-up business cards over commenters’ Gravatars.\";s:14:\"jumpstart_desc\";s:131:\"Let commenters link their profiles to their Gravatar accounts, making it easy for your visitors to learn more about your community.\";s:4:\"sort\";s:2:\"11\";s:20:\"recommendation_order\";s:2:\"13\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:18:\"Social, Appearance\";s:7:\"feature\";s:21:\"Appearance, Jumpstart\";s:25:\"additional_search_queries\";s:20:\"gravatar, hovercards\";}s:32:\"e391e760617bd0e0736550e34a73d7fe\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:8:\"2.0.3 ??\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"2e345370766346c616b3c5046e817720\";a:14:{s:4:\"name\";s:15:\"Infinite Scroll\";s:11:\"description\";s:53:\"Automatically load new content when a visitor scrolls\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"26\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:10:\"Appearance\";s:7:\"feature\";s:10:\"Appearance\";s:25:\"additional_search_queries\";s:33:\"scroll, infinite, infinite scroll\";}s:32:\"bd69edbf134de5fae8fdcf2e70a45b56\";a:14:{s:4:\"name\";s:8:\"JSON API\";s:11:\"description\";s:51:\"Allow applications to securely access your content.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"19\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.9\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:6:\"Public\";s:11:\"module_tags\";s:19:\"Writing, Developers\";s:7:\"feature\";s:7:\"General\";s:25:\"additional_search_queries\";s:50:\"api, rest, develop, developers, json, klout, oauth\";}s:32:\"8110b7a4423aaa619dfa46b8843e10d1\";a:14:{s:4:\"name\";s:14:\"Beautiful Math\";s:11:\"description\";s:57:\"Use LaTeX markup for complex equations and other geekery.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"12\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:47:\"latex, math, equation, equations, formula, code\";}s:32:\"fd7e85d3b4887fa6b6f997d6592c1f33\";a:14:{s:4:\"name\";s:5:\"Likes\";s:11:\"description\";s:63:\"Give visitors an easy way to show they appreciate your content.\";s:14:\"jumpstart_desc\";s:63:\"Give visitors an easy way to show they appreciate your content.\";s:4:\"sort\";s:2:\"23\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:6:\"Social\";s:7:\"feature\";s:21:\"Engagement, Jumpstart\";s:25:\"additional_search_queries\";s:26:\"like, likes, wordpress.com\";}s:32:\"c5dfef41fad5bcdcaae8e315e5cfc420\";a:14:{s:4:\"name\";s:6:\"Manage\";s:11:\"description\";s:54:\"Manage all of your sites from a centralized dashboard.\";s:14:\"jumpstart_desc\";s:151:\"Helps you remotely manage plugins, turn on automated updates, and more from <a href=\"https://wordpress.com/plugins/\" target=\"_blank\">wordpress.com</a>.\";s:4:\"sort\";s:1:\"1\";s:20:\"recommendation_order\";s:1:\"3\";s:10:\"introduced\";s:3:\"3.4\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:35:\"Centralized Management, Recommended\";s:7:\"feature\";s:7:\"General\";s:25:\"additional_search_queries\";s:26:\"manage, management, remote\";}s:32:\"fd6dc399b92bce76013427e3107c314f\";a:14:{s:4:\"name\";s:8:\"Markdown\";s:11:\"description\";s:50:\"Write posts or pages in plain-text Markdown syntax\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"31\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.8\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:12:\"md, markdown\";}s:32:\"614679778a7db6d8129c9f69ac8e10a5\";a:14:{s:4:\"name\";s:21:\"WordPress.com Toolbar\";s:11:\"description\";s:91:\"Replaces the admin bar with a useful toolbar to quickly manage your site via WordPress.com.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"38\";s:20:\"recommendation_order\";s:2:\"16\";s:10:\"introduced\";s:3:\"4.8\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:7:\"General\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:19:\"adminbar, masterbar\";}s:32:\"c49a35b6482b0426cb07ad28ecf5d7df\";a:14:{s:4:\"name\";s:12:\"Mobile Theme\";s:11:\"description\";s:31:\"Enable the Jetpack Mobile theme\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"21\";s:20:\"recommendation_order\";s:2:\"11\";s:10:\"introduced\";s:3:\"1.8\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:31:\"Appearance, Mobile, Recommended\";s:7:\"feature\";s:10:\"Appearance\";s:25:\"additional_search_queries\";s:24:\"mobile, theme, minileven\";}s:32:\"b42e38f6fafd2e4104ebe5bf39b4be47\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"771cfeeba0d3d23ec344d5e781fb0ae2\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"54f0661d27c814fc8bde39580181d939\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"46c4c413b5c72bbd3c3dbd14ff8f8adc\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"9ea52fa25783e5ceeb6bfaed3268e64e\";a:14:{s:4:\"name\";s:7:\"Monitor\";s:11:\"description\";s:61:\"Receive immediate notifications if your site goes down, 24/7.\";s:14:\"jumpstart_desc\";s:61:\"Receive immediate notifications if your site goes down, 24/7.\";s:4:\"sort\";s:2:\"28\";s:20:\"recommendation_order\";s:2:\"10\";s:10:\"introduced\";s:3:\"2.6\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:11:\"Recommended\";s:7:\"feature\";s:19:\"Security, Jumpstart\";s:25:\"additional_search_queries\";s:37:\"monitor, uptime, downtime, monitoring\";}s:32:\"cfcaafd0fcad087899d715e0b877474d\";a:14:{s:4:\"name\";s:13:\"Notifications\";s:11:\"description\";s:57:\"Receive instant notifications of site comments and likes.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"13\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.9\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:5:\"Other\";s:7:\"feature\";s:7:\"General\";s:25:\"additional_search_queries\";s:62:\"notification, notifications, toolbar, adminbar, push, comments\";}s:32:\"0d18bfa69bec61550c1d813ce64149b0\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"3f0a11e23118f0788d424b646a6d465f\";a:14:{s:4:\"name\";s:6:\"Photon\";s:11:\"description\";s:26:\"Speed up images and photos\";s:14:\"jumpstart_desc\";s:141:\"Mirrors and serves your images from our free and fast image CDN, improving your site’s performance with no additional load on your servers.\";s:4:\"sort\";s:2:\"25\";s:20:\"recommendation_order\";s:1:\"1\";s:10:\"introduced\";s:3:\"2.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:42:\"Photos and Videos, Appearance, Recommended\";s:7:\"feature\";s:34:\"Recommended, Jumpstart, Appearance\";s:25:\"additional_search_queries\";s:38:\"photon, image, cdn, performance, speed\";}s:32:\"e37cfbcb72323fb1fe8255a2edb4d738\";a:14:{s:4:\"name\";s:13:\"Post by email\";s:11:\"description\";s:33:\"Publish posts by sending an email\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"14\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:20:\"post by email, email\";}s:32:\"728290d131a480bfe7b9e405d7cd925f\";a:14:{s:4:\"name\";s:7:\"Protect\";s:11:\"description\";s:41:\"Block suspicious-looking sign in activity\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"1\";s:20:\"recommendation_order\";s:1:\"4\";s:10:\"introduced\";s:3:\"3.4\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:11:\"Recommended\";s:7:\"feature\";s:8:\"Security\";s:25:\"additional_search_queries\";s:65:\"security, secure, protection, botnet, brute force, protect, login\";}s:32:\"f9ce784babbbf4dcca99b8cd2ceb420c\";a:14:{s:4:\"name\";s:9:\"Publicize\";s:11:\"description\";s:27:\"Automated social marketing.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"10\";s:20:\"recommendation_order\";s:1:\"7\";s:10:\"introduced\";s:3:\"2.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:19:\"Social, Recommended\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:107:\"facebook, twitter, google+, googleplus, google, path, tumblr, linkedin, social, tweet, connections, sharing\";}s:32:\"052c03877dd3d296a71531cb07ad939a\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"52edecb2a75222e75b2dce4356a4efce\";a:14:{s:4:\"name\";s:13:\"Related posts\";s:11:\"description\";s:64:\"Increase page views by showing related content to your visitors.\";s:14:\"jumpstart_desc\";s:113:\"Keep visitors engaged on your blog by highlighting relevant and new content at the bottom of each published post.\";s:4:\"sort\";s:2:\"29\";s:20:\"recommendation_order\";s:1:\"9\";s:10:\"introduced\";s:3:\"2.9\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:11:\"Recommended\";s:7:\"feature\";s:21:\"Engagement, Jumpstart\";s:25:\"additional_search_queries\";s:22:\"related, related posts\";}s:32:\"fe7a38addc9275dcbe6c4ff6c44a9350\";a:14:{s:4:\"name\";s:6:\"Search\";s:11:\"description\";s:41:\"Enhanced search, powered by Elasticsearch\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"5.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:5:\"false\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:6:\"Search\";s:25:\"additional_search_queries\";s:6:\"search\";}s:32:\"68b0d01689803c0ea7e4e60a86de2519\";a:14:{s:4:\"name\";s:9:\"SEO Tools\";s:11:\"description\";s:50:\"Better results on search engines and social media.\";s:14:\"jumpstart_desc\";s:50:\"Better results on search engines and social media.\";s:4:\"sort\";s:2:\"35\";s:20:\"recommendation_order\";s:2:\"15\";s:10:\"introduced\";s:3:\"4.4\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:18:\"Social, Appearance\";s:7:\"feature\";s:18:\"Traffic, Jumpstart\";s:25:\"additional_search_queries\";s:81:\"search engine optimization, social preview, meta description, custom title format\";}s:32:\"8b059cb50a66b717f1ec842e736b858c\";a:14:{s:4:\"name\";s:7:\"Sharing\";s:11:\"description\";s:37:\"Allow visitors to share your content.\";s:14:\"jumpstart_desc\";s:116:\"Twitter, Facebook and Google+ buttons at the bottom of each post, making it easy for visitors to share your content.\";s:4:\"sort\";s:1:\"7\";s:20:\"recommendation_order\";s:1:\"6\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:3:\"1.2\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:19:\"Social, Recommended\";s:7:\"feature\";s:21:\"Engagement, Jumpstart\";s:25:\"additional_search_queries\";s:141:\"share, sharing, sharedaddy, buttons, icons, email, facebook, twitter, google+, linkedin, pinterest, pocket, press this, print, reddit, tumblr\";}s:32:\"a6d2394329871857401255533a9873f7\";a:14:{s:4:\"name\";s:16:\"Shortcode Embeds\";s:11:\"description\";s:50:\"Embed media from popular sites without any coding.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"3\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:3:\"1.2\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:46:\"Photos and Videos, Social, Writing, Appearance\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:236:\"shortcodes, shortcode, embeds, media, bandcamp, dailymotion, facebook, flickr, google calendars, google maps, google+, polldaddy, recipe, recipes, scribd, slideshare, slideshow, slideshows, soundcloud, ted, twitter, vimeo, vine, youtube\";}s:32:\"21496e2897ea5f81605e2f2ac3beb921\";a:14:{s:4:\"name\";s:16:\"WP.me Shortlinks\";s:11:\"description\";s:54:\"Create short and simple links for all posts and pages.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"8\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:6:\"Social\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:17:\"shortlinks, wp.me\";}s:32:\"e2a54a5d7879a4162709e6ffb540dd08\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"f5c537bc304f55b29c1a87e30be0cd24\";a:14:{s:4:\"name\";s:8:\"Sitemaps\";s:11:\"description\";s:50:\"Make it easy for search engines to find your site.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"13\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"3.9\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:6:\"Public\";s:11:\"module_tags\";s:20:\"Recommended, Traffic\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:39:\"sitemap, traffic, search, site map, seo\";}s:32:\"59a23643437358a9b557f1d1e20ab040\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"6a90f97c3194cfca5671728eaaeaf15e\";a:14:{s:4:\"name\";s:14:\"Single Sign On\";s:11:\"description\";s:62:\"Allow users to log into this site using WordPress.com accounts\";s:14:\"jumpstart_desc\";s:98:\"Lets you log in to all your Jetpack-enabled sites with one click using your WordPress.com account.\";s:4:\"sort\";s:2:\"30\";s:20:\"recommendation_order\";s:1:\"5\";s:10:\"introduced\";s:3:\"2.6\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:10:\"Developers\";s:7:\"feature\";s:19:\"Security, Jumpstart\";s:25:\"additional_search_queries\";s:34:\"sso, single sign on, login, log in\";}s:32:\"b65604e920392e2f7134b646760b75e8\";a:14:{s:4:\"name\";s:10:\"Site Stats\";s:11:\"description\";s:44:\"Collect valuable traffic stats and insights.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"1\";s:20:\"recommendation_order\";s:1:\"2\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:23:\"Site Stats, Recommended\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:54:\"statistics, tracking, analytics, views, traffic, stats\";}s:32:\"23a586dd7ead00e69ec53eb32ef740e4\";a:14:{s:4:\"name\";s:13:\"Subscriptions\";s:11:\"description\";s:87:\"Allow users to subscribe to your posts and comments and receive notifications via email\";s:14:\"jumpstart_desc\";s:126:\"Give visitors two easy subscription options — while commenting, or via a separate email subscription widget you can display.\";s:4:\"sort\";s:1:\"9\";s:20:\"recommendation_order\";s:1:\"8\";s:10:\"introduced\";s:3:\"1.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:6:\"Social\";s:7:\"feature\";s:21:\"Engagement, Jumpstart\";s:25:\"additional_search_queries\";s:74:\"subscriptions, subscription, email, follow, followers, subscribers, signup\";}s:32:\"1d978b8d84d2f378fe1a702a67633b6d\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"b3b983461d7f3d27322a3551ed8a9405\";a:14:{s:4:\"name\";s:15:\"Tiled Galleries\";s:11:\"description\";s:61:\"Display image galleries in a variety of elegant arrangements.\";s:14:\"jumpstart_desc\";s:61:\"Display image galleries in a variety of elegant arrangements.\";s:4:\"sort\";s:2:\"24\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:17:\"Photos and Videos\";s:7:\"feature\";s:21:\"Appearance, Jumpstart\";s:25:\"additional_search_queries\";s:43:\"gallery, tiles, tiled, grid, mosaic, images\";}s:32:\"d924e5b05722b0e104448543598f54c0\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}s:32:\"36741583b10c521997e563ad8e1e8b77\";a:14:{s:4:\"name\";s:12:\"Data Backups\";s:11:\"description\";s:54:\"Off-site backups, security scans, and automatic fixes.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"32\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:5:\"0:1.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:5:\"false\";s:4:\"free\";s:5:\"false\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:16:\"Security, Health\";s:25:\"additional_search_queries\";s:28:\"vaultpress, backup, security\";}s:32:\"2b9b44f09b5459617d68dd82ee17002a\";a:14:{s:4:\"name\";s:17:\"Site verification\";s:11:\"description\";s:58:\"Establish your site\'s authenticity with external services.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"33\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"3.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:56:\"webmaster, seo, google, bing, pinterest, search, console\";}s:32:\"5ab4c0db7c42e10e646342da0274c491\";a:14:{s:4:\"name\";s:10:\"VideoPress\";s:11:\"description\";s:27:\"Fast, ad-free video hosting\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"27\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.5\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:5:\"false\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:17:\"Photos and Videos\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:25:\"video, videos, videopress\";}s:32:\"60a1d3aa38bc0fe1039e59dd60888543\";a:14:{s:4:\"name\";s:17:\"Widget Visibility\";s:11:\"description\";s:42:\"Control where widgets appear on your site.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"17\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.4\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:10:\"Appearance\";s:7:\"feature\";s:10:\"Appearance\";s:25:\"additional_search_queries\";s:54:\"widget visibility, logic, conditional, widgets, widget\";}s:32:\"174ed3416476c2cb9ff5b0f671280b15\";a:14:{s:4:\"name\";s:21:\"Extra Sidebar Widgets\";s:11:\"description\";s:54:\"Add images, Twitter streams, and more to your sidebar.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"4\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:18:\"Social, Appearance\";s:7:\"feature\";s:10:\"Appearance\";s:25:\"additional_search_queries\";s:65:\"widget, widgets, facebook, gallery, twitter, gravatar, image, rss\";}s:32:\"a668bc9418d6de87409f867892fcdd7f\";a:14:{s:4:\"name\";s:3:\"Ads\";s:11:\"description\";s:60:\"Earn income by allowing Jetpack to display high quality ads.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"1\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:5:\"4.5.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:19:\"Traffic, Appearance\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:26:\"advertising, ad codes, ads\";}s:32:\"28b931a1db19bd24869bd54b14e733d5\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";}}}", "yes");
INSERT INTO `wp_options` VALUES("139", "jetpack_available_modules", "a:1:{s:5:\"8.4.1\";a:42:{s:8:\"carousel\";s:3:\"1.5\";s:13:\"comment-likes\";s:3:\"5.1\";s:8:\"comments\";s:3:\"1.4\";s:12:\"contact-form\";s:3:\"1.3\";s:9:\"copy-post\";s:3:\"7.0\";s:20:\"custom-content-types\";s:3:\"3.1\";s:10:\"custom-css\";s:3:\"1.7\";s:21:\"enhanced-distribution\";s:3:\"1.2\";s:16:\"google-analytics\";s:3:\"4.5\";s:19:\"gravatar-hovercards\";s:3:\"1.1\";s:15:\"infinite-scroll\";s:3:\"2.0\";s:8:\"json-api\";s:3:\"1.9\";s:5:\"latex\";s:3:\"1.1\";s:11:\"lazy-images\";s:5:\"5.6.0\";s:5:\"likes\";s:3:\"2.2\";s:8:\"markdown\";s:3:\"2.8\";s:9:\"masterbar\";s:3:\"4.8\";s:7:\"monitor\";s:3:\"2.6\";s:5:\"notes\";s:3:\"1.9\";s:10:\"photon-cdn\";s:3:\"6.6\";s:6:\"photon\";s:3:\"2.0\";s:13:\"post-by-email\";s:3:\"2.0\";s:7:\"protect\";s:3:\"3.4\";s:9:\"publicize\";s:3:\"2.0\";s:13:\"related-posts\";s:3:\"2.9\";s:6:\"search\";s:3:\"5.0\";s:9:\"seo-tools\";s:3:\"4.4\";s:10:\"sharedaddy\";s:3:\"1.1\";s:10:\"shortcodes\";s:3:\"1.1\";s:10:\"shortlinks\";s:3:\"1.1\";s:8:\"sitemaps\";s:3:\"3.9\";s:3:\"sso\";s:3:\"2.6\";s:5:\"stats\";s:3:\"1.1\";s:13:\"subscriptions\";s:3:\"1.2\";s:13:\"tiled-gallery\";s:3:\"2.1\";s:10:\"vaultpress\";s:5:\"0:1.2\";s:18:\"verification-tools\";s:3:\"3.0\";s:10:\"videopress\";s:3:\"2.5\";s:17:\"widget-visibility\";s:3:\"2.4\";s:7:\"widgets\";s:3:\"1.2\";s:21:\"woocommerce-analytics\";s:3:\"8.4\";s:7:\"wordads\";s:5:\"4.5.0\";}}", "yes");
INSERT INTO `wp_options` VALUES("141", "wpsupercache_gc_time", "1434505385", "yes");
INSERT INTO `wp_options` VALUES("142", "jetpack_security_report", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("147", "WPLANG", "", "yes");
INSERT INTO `wp_options` VALUES("154", "mm_master_aff", "hostgator", "yes");
INSERT INTO `wp_options` VALUES("155", "mm_install_date", "Jun 03, 2015", "yes");
INSERT INTO `wp_options` VALUES("156", "mm_cron", "a:4:{s:6:\"hourly\";a:0:{}s:5:\"daily\";a:1:{s:14:\"plugin_version\";a:4:{s:1:\"t\";s:5:\"event\";s:2:\"ec\";s:9:\"scheduled\";s:2:\"ea\";s:14:\"plugin_version\";s:2:\"el\";s:5:\"0.7.1\";}}s:7:\"monthly\";a:4:{s:11:\"php_version\";a:4:{s:1:\"t\";s:5:\"event\";s:2:\"ec\";s:9:\"scheduled\";s:2:\"ea\";s:11:\"php_version\";s:2:\"el\";s:6:\"5.2.17\";}s:12:\"plugin_count\";a:4:{s:1:\"t\";s:5:\"event\";s:2:\"ec\";s:9:\"scheduled\";s:2:\"ea\";s:12:\"plugin_count\";s:2:\"el\";i:4;}s:11:\"theme_count\";a:4:{s:1:\"t\";s:5:\"event\";s:2:\"ec\";s:9:\"scheduled\";s:2:\"ea\";s:11:\"theme_count\";s:2:\"el\";i:5;}s:13:\"current_theme\";a:4:{s:1:\"t\";s:5:\"event\";s:2:\"ec\";s:9:\"scheduled\";s:2:\"ea\";s:13:\"current_theme\";s:2:\"el\";s:13:\"twentyfifteen\";}}s:6:\"weekly\";a:1:{s:10:\"wp_version\";a:4:{s:1:\"t\";s:5:\"event\";s:2:\"ec\";s:9:\"scheduled\";s:2:\"ea\";s:10:\"wp_version\";s:2:\"el\";s:5:\"4.2.2\";}}}", "yes");
INSERT INTO `wp_options` VALUES("160", "jetpack_updates", "a:7:{s:7:\"plugins\";i:3;s:6:\"themes\";i:3;s:9:\"wordpress\";i:0;s:12:\"translations\";i:0;s:5:\"total\";i:6;s:10:\"wp_version\";s:5:\"4.3.1\";s:26:\"site_is_version_controlled\";b:1;}", "yes");
INSERT INTO `wp_options` VALUES("169", "allow_major_auto_core_updates", "true", "yes");
INSERT INTO `wp_options` VALUES("203", "theme_mods_twentyfifteen", "a:1:{s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1433338107;s:4:\"data\";a:2:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("204", "current_theme", "Buck\'s Child", "yes");
INSERT INTO `wp_options` VALUES("205", "theme_mods_bucks-child", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:11:\"header-menu\";i:2;}s:18:\"custom_css_post_id\";i:1755;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1578164850;s:4:\"data\";a:3:{s:19:\"wp_inactive_widgets\";a:0:{}s:13:\"widget-area-1\";a:1:{i:0;s:6:\"text-2\";}s:13:\"widget-area-2\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("206", "theme_switched", "", "yes");
INSERT INTO `wp_options` VALUES("210", "homebannerurl", "http://buckspizza.com/wp-content/uploads/2015/10/bucks-header.jpg", "yes");
INSERT INTO `wp_options` VALUES("211", "homebanneralt", "Buck\'s Pizza", "yes");
INSERT INTO `wp_options` VALUES("212", "logo", "http://buckspizza.com/wp-content/uploads/2015/06/bucks-pizza-logo.png", "yes");
INSERT INTO `wp_options` VALUES("213", "title", "", "yes");
INSERT INTO `wp_options` VALUES("214", "tagline", "", "yes");
INSERT INTO `wp_options` VALUES("215", "blurb", "", "yes");
INSERT INTO `wp_options` VALUES("216", "signup", "<div class=\"hungry\"><img src=\"http://buckspizza.com/wp-content/uploads/2015/06/hungry.png\"/><p>Order your favorite pizza, pasta, wings, salads and more!</p></div><a href=\"http://buckspizza.com/order/\"><img src=\"http://buckspizza.com/wp-content/uploads/2015/06/order-now.gif\" class=\"order-now\"/></a>", "yes");
INSERT INTO `wp_options` VALUES("217", "sidebarhome", "", "yes");
INSERT INTO `wp_options` VALUES("218", "sidebarpage", "checked", "yes");
INSERT INTO `wp_options` VALUES("219", "loopad", "", "yes");
INSERT INTO `wp_options` VALUES("220", "loopadafterpost", "", "yes");
INSERT INTO `wp_options` VALUES("221", "ad1", "", "yes");
INSERT INTO `wp_options` VALUES("222", "ad1afterparagraph", "", "yes");
INSERT INTO `wp_options` VALUES("223", "ad2", "", "yes");
INSERT INTO `wp_options` VALUES("224", "ad3", "", "yes");
INSERT INTO `wp_options` VALUES("225", "fbheader", "", "yes");
INSERT INTO `wp_options` VALUES("226", "fbpage", "https://www.facebook.com/pages/Bucks-Pizza/709062702538858", "yes");
INSERT INTO `wp_options` VALUES("227", "fbloop", "checked", "yes");
INSERT INTO `wp_options` VALUES("228", "fbpost", "checked", "yes");
INSERT INTO `wp_options` VALUES("229", "fbcomments", "checked", "yes");
INSERT INTO `wp_options` VALUES("230", "wpcomments", "", "yes");
INSERT INTO `wp_options` VALUES("231", "twitloop", "checked", "yes");
INSERT INTO `wp_options` VALUES("232", "twitpost", "checked", "yes");
INSERT INTO `wp_options` VALUES("233", "googloop", "", "yes");
INSERT INTO `wp_options` VALUES("234", "googpost", "checked", "yes");
INSERT INTO `wp_options` VALUES("235", "linkloop", "", "yes");
INSERT INTO `wp_options` VALUES("236", "linkpost", "", "yes");
INSERT INTO `wp_options` VALUES("237", "pinloop", "", "yes");
INSERT INTO `wp_options` VALUES("238", "pinpost", "", "yes");
INSERT INTO `wp_options` VALUES("239", "tpage", "https://twitter.com/buckspizzaHQ", "yes");
INSERT INTO `wp_options` VALUES("240", "gpage", "", "yes");
INSERT INTO `wp_options` VALUES("241", "footer_phone", "800-310-8848", "yes");
INSERT INTO `wp_options` VALUES("242", "aweberpopupscript", "", "yes");
INSERT INTO `wp_options` VALUES("243", "analytics", "<script>\r\n  (function(i,s,o,g,r,a,m){i[\'GoogleAnalyticsObject\']=r;i[r]=i[r]||function(){\r\n  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),\r\n  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)\r\n  })(window,document,\'script\',\'//www.google-analytics.com/analytics.js\',\'ga\');\r\n\r\n  ga(\'create\', \'UA-10778500-1\', \'auto\');\r\n  ga(\'send\', \'pageview\');\r\n\r\n</script>\r\n\r\n<script type=\"text/javascript\">\r\n/* <![CDATA[ */\r\n   var bannersnack_userid = 16510551;\r\n/* ]]> */\r\n</script>\r\n<script type=\"text/javascript\" src=\"//s3.amazonaws.com/files.bannersnack.com/tracking/trackingCode.js\"></script>", "yes");
INSERT INTO `wp_options` VALUES("246", "nav_menu_options", "a:2:{i:0;b:0;s:8:\"auto_add\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("256", "ctabar", "<div class=\"Duboisshow\" style=\"display: none;\">\r\n\r\n<div class=\"hungry\"><img src=\"http://buckspizza.com/wp-content/uploads/2015/06/hungry.png\" alt=\"Hungy?\">\r\n\r\n<p>Order your favorite pizza, pasta, wings, salads and more!</p></div>\r\n<a href=\"https://secure.microworks.com/Bucks/Items.aspx?store=2212\"><img src=\"http://buckspizza.com/wp-content/uploads/2015/06/order-now.gif\" class=\"order-now\"></a>\r\n\r\n</div>\r\n\r\n<div class=\"clearfieldshow\" style=\"display: none;\">\r\n\r\n<div class=\"hungry\"><img src=\"http://buckspizza.com/wp-content/uploads/2015/06/hungry.png\" alt=\"Hungy?\">\r\n\r\n<p>Order your favorite pizza, pasta, wings, salads and more!</p></div>\r\n<a href=\"https://secure.microworks.com/Bucks/Items.aspx?store=2800\"><img src=\"http://buckspizza.com/wp-content/uploads/2015/06/order-now.gif\" class=\"order-now\"></a>\r\n\r\n</div>\r\n<div class=\"stmarysshow\" style=\"display: none;\">\r\n\r\n<div class=\"hungry\"><img src=\"http://buckspizza.com/wp-content/uploads/2015/06/hungry.png\" alt=\"Hungy?\">\r\n\r\n<p>Order your favorite pizza, pasta, wings, salads and more!</p></div>\r\n<a href=\"https://secure.microworks.com/Bucks/Items/Index/1143/\"><img src=\"http://buckspizza.com/wp-content/uploads/2015/06/order-now.gif\" class=\"order-now\"></a>\r\n\r\n</div>", "yes");
INSERT INTO `wp_options` VALUES("568", "wpgmza_xml_location", "{uploads_dir}/wp-google-maps/", "yes");
INSERT INTO `wp_options` VALUES("569", "wpgmza_xml_url", "{uploads_url}/wp-google-maps/", "yes");
INSERT INTO `wp_options` VALUES("570", "wpgmza_db_version", "6.4.03", "yes");
INSERT INTO `wp_options` VALUES("571", "wpgmaps_current_version", "6.4.03", "yes");
INSERT INTO `wp_options` VALUES("572", "WPGMZA_OTHER_SETTINGS", "a:1:{s:27:\"wpgmza_settings_marker_pull\";s:1:\"0\";}", "yes");
INSERT INTO `wp_options` VALUES("574", "WPGMZA_FIRST_TIME", "6.1.10", "yes");
INSERT INTO `wp_options` VALUES("577", "WPGMZA_SETTINGS", "a:10:{s:24:\"map_default_starting_lat\";s:18:\"45.950464398418106\";s:24:\"map_default_starting_lng\";s:19:\"-109.81550500000003\";s:18:\"map_default_height\";s:3:\"400\";s:17:\"map_default_width\";s:3:\"100\";s:16:\"map_default_zoom\";i:2;s:20:\"map_default_max_zoom\";i:3;s:16:\"map_default_type\";i:1;s:21:\"map_default_alignment\";i:1;s:22:\"map_default_width_type\";s:2:\"\\%\";s:23:\"map_default_height_type\";s:2:\"px\";}", "yes");
INSERT INTO `wp_options` VALUES("614", "widget_class_leaflet_recent_marker_widget", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("615", "widget_calendar", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("616", "widget_nav_menu", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("617", "widget_pages", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("619", "widget_tag_cloud", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("2018", "widget_execphp", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("2049", "db_upgraded", "", "yes");
INSERT INTO `wp_options` VALUES("2192", "SEOLinks", "a:46:{s:4:\"post\";s:2:\"on\";s:8:\"postself\";N;s:4:\"page\";N;s:8:\"pageself\";N;s:7:\"comment\";N;s:6:\"lposts\";s:2:\"on\";s:6:\"lpages\";N;s:5:\"lcats\";N;s:5:\"ltags\";N;s:6:\"ignore\";s:13:\"about,contact\";s:10:\"ignorepost\";s:8:\"contact,\";s:8:\"maxlinks\";i:0;s:9:\"maxsingle\";i:1;s:8:\"minusage\";i:1;s:9:\"customkey\";s:2780:\"4th of July,Fourth of July,Independence Day|http://buckspizza.com/pizza-parties/host-perfect-4th-july-get-together/\nblogs,bloggers|http://buckspizza.com/pizza-news/blogs-pizza-lovers-2016/\nbreakfast|http://buckspizza.com/pizza-recipes/save-breakfast-leftover-pizza-ideas/\ncarbohydrates,low carb,carb|http://buckspizza.com/pizza-recipes/low-carb-pizza-toppings/\ndessert|http://buckspizza.com/pizza-recipes/5-dessert-pizza-ideas/\ngreens,spinach,seaweed,kale,arugula,Swiss chard,coriander,cilantro,collard greens|http://buckspizza.com/pizza-ingredients/greens-pizza/\nhacks,genius|http://buckspizza.com/pizza-tech/7-genius-pizza-hacks-2015/\nhealth|http://buckspizza.com/pizza-news/pizzas-surprising-health-benefits/\nhomemade pizza|http://buckspizza.com/pizza-recipes/essentials-better-pizza-home/\nreheat,microwave,lunch|http://buckspizza.com/pizza-recipes/bring-pizza-without-losing-taste-texture/\nmovie,movies, movie night|http://buckspizza.com/pizza-parties/how-host-perfect-family-movie-night-home/\nmovie scenes|http://buckspizza.com/pizza-parties/have-you-seen-these-iconic-pizza-movie-scenes/\npaleo|http://buckspizza.com/pizza-recipes/paleo-pizza-recipes-caveman-love/\npizza crust,crust|http://buckspizza.com/pizza-recipes/pizza-crust-alternatives/\npizza party,party|http://buckspizza.com/pizza-parties/throw-pizza-party-kids-remember/\npizza sauces,pizza sauce|http://buckspizza.com/pizza-ingredients/try-organic-pizza-sauces/\npizza toppings,toppings|http://buckspizza.com/pizza-recipes/unique-pizza-toppings-never-tried/\npool party,pool|http://buckspizza.com/pizza-parties/plan-stress-free-pool-party/\nside dish|http://buckspizza.com/pizza-recipes/easy-pizza-side-dishes/\nspicy,spice|http://buckspizza.com/pizza-recipes/spicy-pizza-recipes/\nThanksgiving,November,Fall,Autumn|http://buckspizza.com/pizza-recipes/thanksgiving-pizza-13-recipes/\nvegan,vegetarian|http://buckspizza.com/pizza-recipes/vegan-pizza-recipes/\nwine pairing,wine|http://buckspizza.com/pizza-parties/wine-pairing-pizza-toppings/\n\nChicago,Windy City,Illinois,deep dish|http://buckspizza.com/pizza-places/chicagos-top-deep-dish-pizza-places/\nHouston,Texas|http://buckspizza.com/pizza-places/10-best-pizza-places-houston/\nNew York-style,New York City,New York,Manhattan,Big Apple|http://buckspizza.com/pizza-places/best-pizza-places-new-york-city-2016/\nCalifornia-style,Los Angeles,LA,California|http://buckspizza.com/pizza-places/10-best-pizza-places-los-angeles-2015/\nMiami,Florida|http://buckspizza.com/pizza-places/miamis-10-best-pizza-places-2015/\nPhoenix,Arizona|http://buckspizza.com/pizza-places/10-best-pizza-places-phoenix/\nPhilly,Philadelphia,Pennsylvania|http://buckspizza.com/pizza-places/phillys-top-10-pizza-places/\nSan Antonio|http://buckspizza.com/pizza-places/san-antonios-top-10-pizza-places/\";s:30:\"customkey_preventduplicatelink\";N;s:6:\"nofoln\";N;s:6:\"nofolo\";N;s:6:\"blankn\";N;s:6:\"blanko\";s:2:\"on\";s:10:\"onlysingle\";s:2:\"on\";s:8:\"casesens\";N;s:9:\"allowfeed\";N;s:12:\"maxsingleurl\";i:1;s:7:\"samecat\";N;s:11:\"urltemplate\";s:51:\"&lt;a href=&quot;{url}&quot;&gt;{keyword}&lt;/a&gt;\";s:10:\"utfsupport\";N;s:17:\"disable_texturize\";N;s:10:\"match_slug\";N;s:11:\"limit_posts\";i:500;s:19:\"customkey_form_file\";s:0:\"\";s:17:\"append_or_replace\";N;s:8:\"base_url\";s:2:\"go\";s:4:\"time\";i:1473789206;s:14:\"visual_kw_edit\";N;s:16:\"custom_separator\";s:1:\",\";s:10:\"min_length\";i:5;s:12:\"check_plural\";N;s:20:\"add_instead_override\";N;s:18:\"nofollow_whitelist\";s:0:\"\";s:13:\"maxtotallinks\";i:0;s:16:\"limit_post_order\";s:5:\"title\";s:15:\"limit_post_sort\";s:3:\"asc\";s:8:\"skipdays\";i:0;s:10:\"trimspaces\";s:2:\"on\";s:3:\"tax\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("2196", "wpcf7", "a:2:{s:7:\"version\";s:5:\"5.1.7\";s:13:\"bulk_validate\";a:4:{s:9:\"timestamp\";i:1456502176;s:7:\"version\";s:3:\"4.4\";s:11:\"count_valid\";i:0;s:13:\"count_invalid\";i:2;}}", "yes");
INSERT INTO `wp_options` VALUES("2197", "finished_splitting_shared_terms", "1", "yes");
INSERT INTO `wp_options` VALUES("2327", "bgadimg", "", "yes");
INSERT INTO `wp_options` VALUES("2328", "bgadurl", "", "yes");
INSERT INTO `wp_options` VALUES("2560", "wpseo", "a:20:{s:15:\"ms_defaults_set\";b:0;s:7:\"version\";s:4:\"13.5\";s:20:\"disableadvanced_meta\";b:1;s:17:\"ryte_indexability\";b:1;s:11:\"baiduverify\";s:0:\"\";s:12:\"googleverify\";s:43:\"oBVkG7rBjcLmapIH5ubqfHlX6yJZY2jLnJXPkI466xU\";s:8:\"msverify\";s:32:\"F3B9249C061C3127DA20AA8CC8E37294\";s:12:\"yandexverify\";s:0:\"\";s:9:\"site_type\";s:0:\"\";s:20:\"has_multiple_authors\";b:0;s:16:\"environment_type\";s:0:\"\";s:23:\"content_analysis_active\";b:1;s:23:\"keyword_analysis_active\";b:1;s:21:\"enable_admin_bar_menu\";b:1;s:26:\"enable_cornerstone_content\";b:1;s:18:\"enable_xml_sitemap\";b:1;s:24:\"enable_text_link_counter\";b:1;s:22:\"show_onboarding_notice\";b:0;s:18:\"first_activated_on\";i:1474971761;s:13:\"myyoast-oauth\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("2562", "wpseo_titles", "a:78:{s:10:\"title_test\";i:0;s:17:\"forcerewritetitle\";b:0;s:9:\"separator\";s:7:\"sc-dash\";s:16:\"title-home-wpseo\";s:42:\"%%sitename%% %%page%% %%sep%% %%sitedesc%%\";s:18:\"title-author-wpseo\";s:41:\"%%name%%, Author at %%sitename%% %%page%%\";s:19:\"title-archive-wpseo\";s:38:\"%%date%% %%page%% %%sep%% %%sitename%%\";s:18:\"title-search-wpseo\";s:63:\"You searched for %%searchphrase%% %%page%% %%sep%% %%sitename%%\";s:15:\"title-404-wpseo\";s:35:\"Page not found %%sep%% %%sitename%%\";s:19:\"metadesc-home-wpseo\";s:0:\"\";s:21:\"metadesc-author-wpseo\";s:0:\"\";s:22:\"metadesc-archive-wpseo\";s:0:\"\";s:9:\"rssbefore\";s:0:\"\";s:8:\"rssafter\";s:53:\"The post %%POSTLINK%% appeared first on %%BLOGLINK%%.\";s:20:\"noindex-author-wpseo\";b:0;s:28:\"noindex-author-noposts-wpseo\";b:1;s:21:\"noindex-archive-wpseo\";b:1;s:14:\"disable-author\";b:0;s:12:\"disable-date\";b:0;s:19:\"disable-post_format\";b:0;s:18:\"disable-attachment\";b:0;s:23:\"is-media-purge-relevant\";b:1;s:20:\"breadcrumbs-404crumb\";s:25:\"Error 404: Page not found\";s:29:\"breadcrumbs-display-blog-page\";b:1;s:20:\"breadcrumbs-boldlast\";b:0;s:25:\"breadcrumbs-archiveprefix\";s:12:\"Archives for\";s:18:\"breadcrumbs-enable\";b:0;s:16:\"breadcrumbs-home\";s:4:\"Home\";s:18:\"breadcrumbs-prefix\";s:0:\"\";s:24:\"breadcrumbs-searchprefix\";s:16:\"You searched for\";s:15:\"breadcrumbs-sep\";s:7:\"&raquo;\";s:12:\"website_name\";s:0:\"\";s:11:\"person_name\";s:0:\"\";s:22:\"alternate_website_name\";s:0:\"\";s:12:\"company_logo\";s:0:\"\";s:12:\"company_name\";s:0:\"\";s:17:\"company_or_person\";s:7:\"company\";s:25:\"company_or_person_user_id\";b:0;s:17:\"stripcategorybase\";b:0;s:10:\"title-post\";s:9:\"%%title%%\";s:13:\"metadesc-post\";s:0:\"\";s:12:\"noindex-post\";b:0;s:13:\"showdate-post\";b:0;s:23:\"display-metabox-pt-post\";b:1;s:23:\"post_types-post-maintax\";i:0;s:10:\"title-page\";s:9:\"%%title%%\";s:13:\"metadesc-page\";s:0:\"\";s:12:\"noindex-page\";b:0;s:13:\"showdate-page\";b:0;s:23:\"display-metabox-pt-page\";b:1;s:23:\"post_types-page-maintax\";i:0;s:16:\"title-attachment\";s:9:\"%%title%%\";s:19:\"metadesc-attachment\";s:0:\"\";s:18:\"noindex-attachment\";b:0;s:19:\"showdate-attachment\";b:0;s:29:\"display-metabox-pt-attachment\";b:1;s:29:\"post_types-attachment-maintax\";i:0;s:18:\"title-tax-category\";s:53:\"%%term_title%% Archives %%page%% %%sep%% %%sitename%%\";s:21:\"metadesc-tax-category\";s:0:\"\";s:28:\"display-metabox-tax-category\";b:1;s:20:\"noindex-tax-category\";b:0;s:18:\"title-tax-post_tag\";s:53:\"%%term_title%% Archives %%page%% %%sep%% %%sitename%%\";s:21:\"metadesc-tax-post_tag\";s:0:\"\";s:28:\"display-metabox-tax-post_tag\";b:1;s:20:\"noindex-tax-post_tag\";b:0;s:21:\"title-tax-post_format\";s:53:\"%%term_title%% Archives %%page%% %%sep%% %%sitename%%\";s:24:\"metadesc-tax-post_format\";s:0:\"\";s:31:\"display-metabox-tax-post_format\";b:1;s:23:\"noindex-tax-post_format\";b:1;s:22:\"noindex-subpages-wpseo\";b:0;s:17:\"title-html5-blank\";s:9:\"%%title%%\";s:20:\"metadesc-html5-blank\";s:0:\"\";s:19:\"noindex-html5-blank\";b:0;s:20:\"showdate-html5-blank\";b:0;s:27:\"title-ptarchive-html5-blank\";s:51:\"%%pt_plural%% Archive %%page%% %%sep%% %%sitename%%\";s:30:\"metadesc-ptarchive-html5-blank\";s:0:\"\";s:29:\"bctitle-ptarchive-html5-blank\";s:0:\"\";s:29:\"noindex-ptarchive-html5-blank\";b:0;s:30:\"post_types-html5-blank-maintax\";i:0;}", "yes");
INSERT INTO `wp_options` VALUES("2563", "wpseo_social", "a:19:{s:13:\"facebook_site\";s:0:\"\";s:13:\"instagram_url\";s:0:\"\";s:12:\"linkedin_url\";s:0:\"\";s:11:\"myspace_url\";s:0:\"\";s:16:\"og_default_image\";s:0:\"\";s:19:\"og_default_image_id\";s:0:\"\";s:18:\"og_frontpage_title\";s:0:\"\";s:17:\"og_frontpage_desc\";s:0:\"\";s:18:\"og_frontpage_image\";s:0:\"\";s:21:\"og_frontpage_image_id\";s:0:\"\";s:9:\"opengraph\";b:1;s:13:\"pinterest_url\";s:0:\"\";s:15:\"pinterestverify\";s:0:\"\";s:7:\"twitter\";b:1;s:12:\"twitter_site\";s:0:\"\";s:17:\"twitter_card_type\";s:7:\"summary\";s:11:\"youtube_url\";s:0:\"\";s:13:\"wikipedia_url\";s:0:\"\";s:10:\"fbadminapp\";s:0:\"\";}", "yes");
INSERT INTO `wp_options` VALUES("3179", "_transient_random_seed", "610adc90079aa622d1c2dd67c4735018", "yes");
INSERT INTO `wp_options` VALUES("3420", "updraftplus-addons_options", "a:2:{s:5:\"email\";s:25:\"jlknauff@spartanmedia.com\";s:8:\"password\";s:14:\"UDpHeCru49@)!)\";}", "yes");
INSERT INTO `wp_options` VALUES("3426", "external_updates-updraftplus", "O:8:\"stdClass\":5:{s:9:\"lastCheck\";i:1586894500;s:14:\"checkedVersion\";s:8:\"2.15.3.0\";s:6:\"update\";O:8:\"stdClass\":10:{s:4:\"slug\";s:11:\"updraftplus\";s:7:\"version\";s:9:\"2.16.23.0\";s:12:\"download_url\";s:291:\"https://updraftplus.com/?udm_action=download&slug=updraftplus&muid=1&etoken=OyigL7oOvQG9XmRNchejLC%2Bnp94M56o%2BqAKMNDtmGheHx1thX4kFuq6XtgsOnGCtzmPgP3Lqe12zq%2Be7149uAR7aa6dNqTG2ceX9WX%2BZr89QKM1y9i5cDDmR7oy5nrmeQNTM7snkRzHLTM8wstI6gBgBtCYNApo%2FiqEtOZ69VVUyWxCcS6jFMDIcHJp5CANF&ig=/174a2651\";s:12:\"translations\";a:0:{}s:2:\"id\";i:0;s:8:\"homepage\";s:23:\"https://updraftplus.com\";s:6:\"tested\";s:3:\"5.4\";s:14:\"upgrade_notice\";N;s:8:\"filename\";s:27:\"updraftplus/updraftplus.php\";s:24:\"x-spm-yourversion-tested\";s:3:\"5.0\";}s:11:\"updateClass\";s:22:\"Puc_v4p3_Plugin_Update\";s:15:\"updateBaseClass\";s:13:\"Plugin_Update\";}", "no");
INSERT INTO `wp_options` VALUES("3479", "updraftplus_unlocked_fd", "1", "yes");
INSERT INTO `wp_options` VALUES("3480", "updraftplus_last_lock_time_fd", "2020-04-14 00:00:06", "yes");
INSERT INTO `wp_options` VALUES("3481", "updraftplus_semaphore_fd", "0", "yes");
INSERT INTO `wp_options` VALUES("3485", "updraft_autobackup_default", "0", "yes");
INSERT INTO `wp_options` VALUES("3486", "updraft_dropbox", "a:2:{s:7:\"version\";i:1;s:8:\"settings\";a:1:{s:34:\"s-faf5dea71b9243a5bce35202c2b24c8d\";a:5:{s:6:\"appkey\";N;s:6:\"secret\";N;s:6:\"folder\";N;s:16:\"tk_request_token\";N;s:15:\"tk_access_token\";N;}}}", "yes");
INSERT INTO `wp_options` VALUES("3487", "updraft_googledrive", "a:2:{s:7:\"version\";i:1;s:8:\"settings\";a:1:{s:34:\"s-7db0bf750205cbcd33de9c915959a688\";a:3:{s:8:\"clientid\";s:0:\"\";s:6:\"secret\";s:0:\"\";s:5:\"token\";s:0:\"\";}}}", "yes");
INSERT INTO `wp_options` VALUES("3488", "updraftplus_tmp_googledrive_access_token", "", "yes");
INSERT INTO `wp_options` VALUES("3489", "updraftplus_dismissedautobackup", "", "yes");
INSERT INTO `wp_options` VALUES("3490", "updraftplus_dismissedexpiry", "", "yes");
INSERT INTO `wp_options` VALUES("3491", "updraftplus_dismisseddashnotice", "", "yes");
INSERT INTO `wp_options` VALUES("3492", "updraft_interval", "daily", "yes");
INSERT INTO `wp_options` VALUES("3493", "updraft_interval_increments", "", "yes");
INSERT INTO `wp_options` VALUES("3494", "updraft_interval_database", "daily", "yes");
INSERT INTO `wp_options` VALUES("3495", "updraft_retain", "1", "yes");
INSERT INTO `wp_options` VALUES("3496", "updraft_retain_db", "1", "yes");
INSERT INTO `wp_options` VALUES("3497", "updraft_encryptionphrase", "", "yes");
INSERT INTO `wp_options` VALUES("3498", "updraft_service", "", "yes");
INSERT INTO `wp_options` VALUES("3499", "updraft_dropbox_appkey", "", "yes");
INSERT INTO `wp_options` VALUES("3500", "updraft_dropbox_secret", "", "yes");
INSERT INTO `wp_options` VALUES("3501", "updraft_googledrive_clientid", "", "yes");
INSERT INTO `wp_options` VALUES("3502", "updraft_googledrive_secret", "", "yes");
INSERT INTO `wp_options` VALUES("3503", "updraft_googledrive_remotepath", "", "yes");
INSERT INTO `wp_options` VALUES("3504", "updraft_ftp_login", "", "yes");
INSERT INTO `wp_options` VALUES("3505", "updraft_ftp_pass", "", "yes");
INSERT INTO `wp_options` VALUES("3506", "updraft_ftp_remote_path", "", "yes");
INSERT INTO `wp_options` VALUES("3507", "updraft_server_address", "", "yes");
INSERT INTO `wp_options` VALUES("3508", "updraft_dir", "", "yes");
INSERT INTO `wp_options` VALUES("3509", "updraft_email", "", "yes");
INSERT INTO `wp_options` VALUES("3510", "updraft_delete_local", "0", "yes");
INSERT INTO `wp_options` VALUES("3511", "updraft_debug_mode", "0", "yes");
INSERT INTO `wp_options` VALUES("3512", "updraft_include_plugins", "0", "yes");
INSERT INTO `wp_options` VALUES("3513", "updraft_include_themes", "0", "yes");
INSERT INTO `wp_options` VALUES("3514", "updraft_include_uploads", "0", "yes");
INSERT INTO `wp_options` VALUES("3515", "updraft_include_others", "0", "yes");
INSERT INTO `wp_options` VALUES("3516", "updraft_include_wpcore", "0", "yes");
INSERT INTO `wp_options` VALUES("3517", "updraft_include_wpcore_exclude", "", "yes");
INSERT INTO `wp_options` VALUES("3518", "updraft_include_more", "0", "yes");
INSERT INTO `wp_options` VALUES("3519", "updraft_include_blogs", "", "yes");
INSERT INTO `wp_options` VALUES("3520", "updraft_include_mu-plugins", "", "yes");
INSERT INTO `wp_options` VALUES("3521", "updraft_include_others_exclude", "", "yes");
INSERT INTO `wp_options` VALUES("3522", "updraft_include_uploads_exclude", "", "yes");
INSERT INTO `wp_options` VALUES("3523", "updraft_lastmessage", "The backup apparently succeeded and is now complete (Apr 14 00:00:09)", "yes");
INSERT INTO `wp_options` VALUES("3524", "updraft_googledrive_token", "", "yes");
INSERT INTO `wp_options` VALUES("3525", "updraft_dropboxtk_request_token", "", "yes");
INSERT INTO `wp_options` VALUES("3526", "updraft_dropboxtk_access_token", "", "yes");
INSERT INTO `wp_options` VALUES("3527", "updraft_dropbox_folder", "", "yes");
INSERT INTO `wp_options` VALUES("3528", "updraft_adminlocking", "", "yes");
INSERT INTO `wp_options` VALUES("3529", "updraft_updraftvault", "a:2:{s:7:\"version\";i:1;s:8:\"settings\";a:1:{s:34:\"s-edf496c6a78df68cbd51ebca9f5ef36a\";a:3:{s:5:\"token\";s:0:\"\";s:5:\"email\";s:0:\"\";s:5:\"quota\";i:-1;}}}", "yes");
INSERT INTO `wp_options` VALUES("3530", "updraft_retain_extrarules", "", "yes");
INSERT INTO `wp_options` VALUES("3531", "updraft_last_backup", "a:5:{s:11:\"backup_time\";i:1586822406;s:12:\"backup_array\";a:3:{s:2:\"db\";s:56:\"backup_2020-04-14-0000_Buck039s_Pizza_c98ca256b746-db.gz\";s:7:\"db-size\";i:917719;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b0d709487971131f69a12d16af370b2d12dcb8c0\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e49db4fd02c63188c04d33af190bf4dc5e6774afd1ee40d2bc3a4d0dc218a92b\";}}}s:7:\"success\";i:1;s:6:\"errors\";a:0:{}s:12:\"backup_nonce\";s:12:\"c98ca256b746\";}", "yes");
INSERT INTO `wp_options` VALUES("3532", "updraft_starttime_files", "10:57", "yes");
INSERT INTO `wp_options` VALUES("3533", "updraft_starttime_db", "10:57", "yes");
INSERT INTO `wp_options` VALUES("3534", "updraft_startday_db", "0", "yes");
INSERT INTO `wp_options` VALUES("3535", "updraft_startday_files", "0", "yes");
INSERT INTO `wp_options` VALUES("3536", "updraft_sftp_settings", "", "yes");
INSERT INTO `wp_options` VALUES("3537", "updraft_s3", "a:2:{s:7:\"version\";i:1;s:8:\"settings\";a:1:{s:34:\"s-f9aa8aabd9cdb7efdc0bf2c69c62ae7a\";a:5:{s:9:\"accesskey\";s:0:\"\";s:9:\"secretkey\";s:0:\"\";s:4:\"path\";s:0:\"\";s:3:\"rrs\";s:0:\"\";s:22:\"server_side_encryption\";s:0:\"\";}}}", "yes");
INSERT INTO `wp_options` VALUES("3538", "updraft_s3generic", "a:2:{s:7:\"version\";i:1;s:8:\"settings\";a:1:{s:34:\"s-3545661f97ece00c6567466ca275d904\";a:4:{s:9:\"accesskey\";s:0:\"\";s:9:\"secretkey\";s:0:\"\";s:4:\"path\";s:0:\"\";s:8:\"endpoint\";s:0:\"\";}}}", "yes");
INSERT INTO `wp_options` VALUES("3539", "updraft_dreamhost", "", "yes");
INSERT INTO `wp_options` VALUES("3540", "updraft_s3generic_login", "", "yes");
INSERT INTO `wp_options` VALUES("3541", "updraft_s3generic_pass", "", "yes");
INSERT INTO `wp_options` VALUES("3542", "updraft_s3generic_remote_path", "", "yes");
INSERT INTO `wp_options` VALUES("3543", "updraft_s3generic_endpoint", "", "yes");
INSERT INTO `wp_options` VALUES("3544", "updraft_webdav_settings", "", "yes");
INSERT INTO `wp_options` VALUES("3545", "updraft_openstack", "a:2:{s:7:\"version\";i:1;s:8:\"settings\";a:1:{s:34:\"s-75b0b4ec734f2e6c6ce91659a66a8755\";a:6:{s:4:\"user\";s:0:\"\";s:7:\"authurl\";s:0:\"\";s:8:\"password\";s:0:\"\";s:6:\"tenant\";s:0:\"\";s:4:\"path\";s:0:\"\";s:6:\"region\";s:0:\"\";}}}", "yes");
INSERT INTO `wp_options` VALUES("3546", "updraft_bitcasa", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("3547", "updraft_copycom", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("3548", "updraft_onedrive", "a:2:{s:7:\"version\";i:1;s:8:\"settings\";a:1:{s:34:\"s-c6f9f213f90073e3328062c9cf6c5232\";a:0:{}}}", "yes");
INSERT INTO `wp_options` VALUES("3549", "updraft_cloudfiles", "a:2:{s:7:\"version\";i:1;s:8:\"settings\";a:1:{s:34:\"s-82b7175cf3ff1d7ad8db0a3d48ebdadd\";a:5:{s:4:\"user\";s:0:\"\";s:7:\"authurl\";s:35:\"https://auth.api.rackspacecloud.com\";s:6:\"apikey\";s:0:\"\";s:4:\"path\";s:0:\"\";s:6:\"region\";N;}}}", "yes");
INSERT INTO `wp_options` VALUES("3550", "updraft_cloudfiles_user", "", "yes");
INSERT INTO `wp_options` VALUES("3551", "updraft_cloudfiles_apikey", "", "yes");
INSERT INTO `wp_options` VALUES("3552", "updraft_cloudfiles_path", "", "yes");
INSERT INTO `wp_options` VALUES("3553", "updraft_cloudfiles_authurl", "", "yes");
INSERT INTO `wp_options` VALUES("3554", "updraft_ssl_useservercerts", "0", "yes");
INSERT INTO `wp_options` VALUES("3555", "updraft_ssl_disableverify", "0", "yes");
INSERT INTO `wp_options` VALUES("3556", "updraft_s3_login", "", "yes");
INSERT INTO `wp_options` VALUES("3557", "updraft_s3_pass", "", "yes");
INSERT INTO `wp_options` VALUES("3558", "updraft_s3_remote_path", "", "yes");
INSERT INTO `wp_options` VALUES("3559", "updraft_dreamobjects_login", "", "yes");
INSERT INTO `wp_options` VALUES("3560", "updraft_dreamobjects_pass", "", "yes");
INSERT INTO `wp_options` VALUES("3561", "updraft_dreamobjects_remote_path", "", "yes");
INSERT INTO `wp_options` VALUES("3562", "updraft_report_warningsonly", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("3563", "updraft_report_wholebackup", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("3564", "updraft_log_syslog", "0", "yes");
INSERT INTO `wp_options` VALUES("3565", "updraft_extradatabases", "", "yes");
INSERT INTO `wp_options` VALUES("3566", "updraft_backup_history", "a:871:{i:1586822406;a:10:{s:2:\"db\";s:56:\"backup_2020-04-14-0000_Buck039s_Pizza_c98ca256b746-db.gz\";s:7:\"db-size\";i:917719;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b0d709487971131f69a12d16af370b2d12dcb8c0\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e49db4fd02c63188c04d33af190bf4dc5e6774afd1ee40d2bc3a4d0dc218a92b\";}}s:5:\"nonce\";s:12:\"c98ca256b746\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1586736007;a:10:{s:2:\"db\";s:56:\"backup_2020-04-13-0000_Buck039s_Pizza_7f4d27570c0c-db.gz\";s:7:\"db-size\";i:712155;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f8ad18898482fce914890247e7685b7cd1a832ad\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5cf86c22a55d39d9afdebf17cade4ccc74e5d866f675403de4583532fdc956fc\";}}s:5:\"nonce\";s:12:\"7f4d27570c0c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1586649609;a:10:{s:2:\"db\";s:56:\"backup_2020-04-12-0000_Buck039s_Pizza_6eaced824362-db.gz\";s:7:\"db-size\";i:712040;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b8e8b0fab5acd467b9760ed43bb2adb64c18db09\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c78351a6f1387a9005c8cf6c487c864f64bc80630490b442bfe1a02065529033\";}}s:5:\"nonce\";s:12:\"6eaced824362\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1586563211;a:10:{s:2:\"db\";s:56:\"backup_2020-04-11-0000_Buck039s_Pizza_44916528b51e-db.gz\";s:7:\"db-size\";i:711908;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"04881da4df1561843b58dcd8f63adf8c51902aea\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ea559325f44febdb2e42b6d9e018a85b20639709ad45c216bda00108bdcc204b\";}}s:5:\"nonce\";s:12:\"44916528b51e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1586476805;a:10:{s:2:\"db\";s:56:\"backup_2020-04-10-0000_Buck039s_Pizza_8c5a3e422004-db.gz\";s:7:\"db-size\";i:917718;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"af6b44a173b049194fd3f775773f66ba5cb423a9\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e6065f870c9a4375af3173860326dba929a59fa2b3d6bd496c9a40672dd93f80\";}}s:5:\"nonce\";s:12:\"8c5a3e422004\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1586390405;a:10:{s:2:\"db\";s:56:\"backup_2020-04-09-0000_Buck039s_Pizza_6043787b1027-db.gz\";s:7:\"db-size\";i:711728;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"988e63d3bab8c2fc480162689fef54a90a5f895c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"cb56ac25552b534ddbb34f140cf9585f76f40652cd2c6b24a0aed3affcb18cf2\";}}s:5:\"nonce\";s:12:\"6043787b1027\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1586304003;a:10:{s:2:\"db\";s:56:\"backup_2020-04-08-0000_Buck039s_Pizza_979bcd3132c3-db.gz\";s:7:\"db-size\";i:711519;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"262db84b5d93dfa80951d5e66a5e33c13a373a7c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"520d6ea5dccf689d5b65bfab08c2961229ac12b74385361bd35e92c9bcf7d335\";}}s:5:\"nonce\";s:12:\"979bcd3132c3\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1586217600;a:10:{s:2:\"db\";s:56:\"backup_2020-04-07-0000_Buck039s_Pizza_fdeffcffb038-db.gz\";s:7:\"db-size\";i:705700;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0ba89aad2d6db7edc60b4ff837d694bfeeeb1d33\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"33ce93ec0dd0bdba4682f9eef7a84314f5a8b7377ff2770d758df20bcde4973a\";}}s:5:\"nonce\";s:12:\"fdeffcffb038\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1586131228;a:10:{s:2:\"db\";s:56:\"backup_2020-04-06-0000_Buck039s_Pizza_3bfd76042e5c-db.gz\";s:7:\"db-size\";i:705595;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"078dfefda145dc5daa2fbc7c03c75020b345a6ba\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"dc09e7e91d63a0166781331f6b93435292995e3ea10c385a0a1a43ce649fb021\";}}s:5:\"nonce\";s:12:\"3bfd76042e5c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1586044815;a:10:{s:2:\"db\";s:56:\"backup_2020-04-05-0000_Buck039s_Pizza_023429a91eac-db.gz\";s:7:\"db-size\";i:705492;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ba3be6ecf52a452ec8ce21861984ebdd2314c6d7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ae4e3d4b635b8442cb77e86c4a13a243dd730035feffe5332fec9a4bac4936ac\";}}s:5:\"nonce\";s:12:\"023429a91eac\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1585958401;a:10:{s:2:\"db\";s:56:\"backup_2020-04-04-0000_Buck039s_Pizza_41eb49c3700e-db.gz\";s:7:\"db-size\";i:889925;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c39972c6724ed92f2b406b6d07e8a24162dc4626\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"edd7f5401c149da878c55ad323a4d0159d1bf872c7a23180706c1e450fb8271e\";}}s:5:\"nonce\";s:12:\"41eb49c3700e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1585872005;a:10:{s:2:\"db\";s:56:\"backup_2020-04-03-0000_Buck039s_Pizza_60a18bdee464-db.gz\";s:7:\"db-size\";i:705322;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f553a5ec100c3d89f8e33c1c081f89d32a663469\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"7993868d76a95f4d5bcc6a772edb0d7c0fae314955cee9e93377a217dc3bd5e9\";}}s:5:\"nonce\";s:12:\"60a18bdee464\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1585785602;a:10:{s:2:\"db\";s:56:\"backup_2020-04-02-0000_Buck039s_Pizza_5a885ff8401a-db.gz\";s:7:\"db-size\";i:711006;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6e8734830d2547b9850926c1aa46f3486f8b8b47\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2dd9c9374f87ce96792497ef19ac2b56e3cc9d434e23182e7f7104bd7847d319\";}}s:5:\"nonce\";s:12:\"5a885ff8401a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1585699212;a:10:{s:2:\"db\";s:56:\"backup_2020-04-01-0000_Buck039s_Pizza_e6ba889178cf-db.gz\";s:7:\"db-size\";i:710868;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"edfc359e91025bc543cd04e6f1a5e88406cb38c9\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"76092f3a130337ce2c1c417b6d0a568bdb7c48c4e2441c0baf982ecf4dadaafc\";}}s:5:\"nonce\";s:12:\"e6ba889178cf\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1585612807;a:10:{s:2:\"db\";s:56:\"backup_2020-03-31-0000_Buck039s_Pizza_27d83c4a1c56-db.gz\";s:7:\"db-size\";i:871739;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"4bbb0e249a531d47ecd454b81ae543a4b73365ba\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0d8266af27e1ac7b7900a29dbfcb862f6327a90d83f1d41c8db58461ecc9ad74\";}}s:5:\"nonce\";s:12:\"27d83c4a1c56\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1585526404;a:10:{s:2:\"db\";s:56:\"backup_2020-03-30-0000_Buck039s_Pizza_f6e15ce91d7c-db.gz\";s:7:\"db-size\";i:708415;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"de81342959989b9989d481c9115d81ef9d8c3d97\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9ebbbed2063e4f3a050d15f691752d7adb990b4f8f4f0f3fafc1cf3e82b1b7a1\";}}s:5:\"nonce\";s:12:\"f6e15ce91d7c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1585440003;a:10:{s:2:\"db\";s:56:\"backup_2020-03-29-0000_Buck039s_Pizza_ae9cb026d669-db.gz\";s:7:\"db-size\";i:708340;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e5eda7261980947d8561abd2c9aa9d0f50414be3\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"7261ff6fb5caba82541782823823a5b5a24103a4dc4e8d05146e43bc8d8945f7\";}}s:5:\"nonce\";s:12:\"ae9cb026d669\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1585353605;a:10:{s:2:\"db\";s:56:\"backup_2020-03-28-0000_Buck039s_Pizza_f0752e3eadae-db.gz\";s:7:\"db-size\";i:883643;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"59da2d0c40da879b16f610f18d48219ea51a6f15\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b02dab5b79c00e0243efafa705427d3ff3aced7c55b21cb9c5f93623735364b9\";}}s:5:\"nonce\";s:12:\"f0752e3eadae\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1585267202;a:10:{s:2:\"db\";s:56:\"backup_2020-03-27-0000_Buck039s_Pizza_9c8a8c7ffaef-db.gz\";s:7:\"db-size\";i:707737;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"612cc40ecba28ab63d1c9b4c1c098a436c982f26\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b3956f40c81360fdfba9497fa7b2b1b67169d7d4e7ec022265faa2a60aafb162\";}}s:5:\"nonce\";s:12:\"9c8a8c7ffaef\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1585180804;a:10:{s:2:\"db\";s:56:\"backup_2020-03-26-0000_Buck039s_Pizza_1a6ac43e6bea-db.gz\";s:7:\"db-size\";i:707658;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"292c1e39a1772fd05e4b8f74c029317f1ab7600f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"775dede9217e539bf44e5f5d173187c0b911bb16afc6eb2ed5960d80c05a3718\";}}s:5:\"nonce\";s:12:\"1a6ac43e6bea\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1585094451;a:10:{s:2:\"db\";s:56:\"backup_2020-03-25-0000_Buck039s_Pizza_14920e833d8c-db.gz\";s:7:\"db-size\";i:708263;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c8b6749d6f05e4b720aabe33dfd71ae2d5671f30\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"31c3a92cbe5489e6617ed68e048c5929a75e5f5698ed138b394038f79d410e30\";}}s:5:\"nonce\";s:12:\"14920e833d8c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1585008020;a:10:{s:2:\"db\";s:56:\"backup_2020-03-24-0000_Buck039s_Pizza_62835e862227-db.gz\";s:7:\"db-size\";i:708665;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"dcc83d6daa7e21be012c567c0f3dc7479eceb625\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e159b388068be1211b1e120cd33d23fc55f39eae5fa469e4d3d57383c77e3d8b\";}}s:5:\"nonce\";s:12:\"62835e862227\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1584921623;a:10:{s:2:\"db\";s:56:\"backup_2020-03-23-0000_Buck039s_Pizza_409402d6a3f7-db.gz\";s:7:\"db-size\";i:708576;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f7c1ea5419eabbf50d8d61a3903ce0eaa75b26d4\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"660ba8363f66cdb6295b98a3f14a72fc8ba897ba56a64a287265a68f5b86d884\";}}s:5:\"nonce\";s:12:\"409402d6a3f7\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1584835203;a:10:{s:2:\"db\";s:56:\"backup_2020-03-22-0000_Buck039s_Pizza_5fdf0a823cb2-db.gz\";s:7:\"db-size\";i:708453;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"65addb1eb359ee0d293d92224182cea818f8ad40\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"675cee3f83f338e721bf68fd513f6a4ab68ad8a2fa08ef31e3ffa5511ddad96d\";}}s:5:\"nonce\";s:12:\"5fdf0a823cb2\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1584748813;a:10:{s:2:\"db\";s:56:\"backup_2020-03-21-0000_Buck039s_Pizza_f9640ad733ae-db.gz\";s:7:\"db-size\";i:708358;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"cf45db13f818236e4fcb8a69f0dd594bc5e6f726\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f71f81d00e212a48024f1413d021a3bf7dbb6b59c007d02e9424083f011c08e0\";}}s:5:\"nonce\";s:12:\"f9640ad733ae\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1584662420;a:10:{s:2:\"db\";s:56:\"backup_2020-03-20-0000_Buck039s_Pizza_f5ca53faa65c-db.gz\";s:7:\"db-size\";i:859114;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6d7dfa45b6ac4cf7fc4aba3cf159ae447a1e32eb\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2d6d2e9e1d261e0a3a9e2a81f8fce345f1e670b1748d6eca878ba3e8e9b48be3\";}}s:5:\"nonce\";s:12:\"f5ca53faa65c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1584576018;a:10:{s:2:\"db\";s:56:\"backup_2020-03-19-0000_Buck039s_Pizza_efd57c93fc93-db.gz\";s:7:\"db-size\";i:715795;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d3e3e5e4b3100ebf644d435556a76dc43a2da1b6\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"97ba426817b9996e7489e3eaa3b612c49f73fa98d5c8586ed2d1d5523abcb561\";}}s:5:\"nonce\";s:12:\"efd57c93fc93\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1584489629;a:10:{s:2:\"db\";s:56:\"backup_2020-03-18-0000_Buck039s_Pizza_0a6f0d27a463-db.gz\";s:7:\"db-size\";i:707928;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"22b0d108b0cb41f9447c456d3eb00ce49cb80815\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d8e6f853d5cf5fd0dd90481729a3aa3a8a33f36890173ecf785f38b4a734a273\";}}s:5:\"nonce\";s:12:\"0a6f0d27a463\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1584403207;a:10:{s:2:\"db\";s:56:\"backup_2020-03-17-0000_Buck039s_Pizza_c3e6421a9ce2-db.gz\";s:7:\"db-size\";i:712363;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f7ed8029d00568716c1952c6816d3ecc1f98cc28\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"1d28c9471cfa318824b9190597ef08d49f391c6d398c9d26378adb2ddeb61884\";}}s:5:\"nonce\";s:12:\"c3e6421a9ce2\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1584316803;a:10:{s:2:\"db\";s:56:\"backup_2020-03-16-0000_Buck039s_Pizza_9685aecbc437-db.gz\";s:7:\"db-size\";i:712272;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"680c665638a2e1e3a27682d4c6bbb22e22fdeb7d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"cbcba989ca305d7abaf39d2ae5c777582c9e0e1373bba64d4f347a68a2460deb\";}}s:5:\"nonce\";s:12:\"9685aecbc437\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1584230413;a:10:{s:2:\"db\";s:56:\"backup_2020-03-15-0000_Buck039s_Pizza_d57a887d5387-db.gz\";s:7:\"db-size\";i:712176;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"5d25e3439501b220275382dbf3deb12d8bd665af\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d129ef2df8ae3d25a6209ff9b4d30a25e85294257601380b42c16acc9eb0dc35\";}}s:5:\"nonce\";s:12:\"d57a887d5387\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1584144008;a:10:{s:2:\"db\";s:56:\"backup_2020-03-14-0000_Buck039s_Pizza_f8777b584fa2-db.gz\";s:7:\"db-size\";i:893489;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"728f3c819d436ce126508f661e3093447fb51d98\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0fc0c956fe33f581d2b2d7719e01865445d2674d64554f6192aab8127afea931\";}}s:5:\"nonce\";s:12:\"f8777b584fa2\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1584057617;a:10:{s:2:\"db\";s:56:\"backup_2020-03-13-0000_Buck039s_Pizza_159c4fddcc36-db.gz\";s:7:\"db-size\";i:711275;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"73246bdf468d6f34d7c75f28b038b0f341665924\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"7ee71802ffcb09ecfce8eb5886428e86868b00d6636d416837de9619e5d636f3\";}}s:5:\"nonce\";s:12:\"159c4fddcc36\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1583971219;a:10:{s:2:\"db\";s:56:\"backup_2020-03-12-0000_Buck039s_Pizza_44338d488c58-db.gz\";s:7:\"db-size\";i:711238;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7b429d4827b06ff7eeacd729d3d73d527a9a15e8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"21ad69393617539f1c1ce90128b36ad1614751cd173208fb0f6d454e6f13d13a\";}}s:5:\"nonce\";s:12:\"44338d488c58\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1583884803;a:10:{s:2:\"db\";s:56:\"backup_2020-03-11-0000_Buck039s_Pizza_c88436817b8d-db.gz\";s:7:\"db-size\";i:711164;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ba4621e8a1d3e80b90e176cd155ca2a2d12e2c48\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b86206c2637bb6a84e6c7a6a7a42c59607d09529d5054247096ccf74e34cf9e3\";}}s:5:\"nonce\";s:12:\"c88436817b8d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1583798413;a:10:{s:2:\"db\";s:56:\"backup_2020-03-10-0000_Buck039s_Pizza_84e7660e01f0-db.gz\";s:7:\"db-size\";i:711090;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6721258237e5ed5c9bf4f8615f181c715b044d93\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3a4d0f8af713504dad96fc86bd8bad4b778d4136121a8d4d549c0be2ca0ac809\";}}s:5:\"nonce\";s:12:\"84e7660e01f0\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1583712009;a:10:{s:2:\"db\";s:56:\"backup_2020-03-09-0000_Buck039s_Pizza_9d087119d0ef-db.gz\";s:7:\"db-size\";i:711027;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"500144cc0564d1c1719a446a34c3c4e1a3c69257\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"19826c66e93c6764d4bafb267149ab4fc777a61ce93bb6293c10e128929bd58a\";}}s:5:\"nonce\";s:12:\"9d087119d0ef\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1583625608;a:10:{s:2:\"db\";s:56:\"backup_2020-03-08-0000_Buck039s_Pizza_078f6b7402fb-db.gz\";s:7:\"db-size\";i:710974;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a7a4f0431fb00cd5b0e902f2baf38c3236cee3da\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"7ba0138216b490b2525406249d31113687fc9ba5b73f5fe7cd98424d17222cc3\";}}s:5:\"nonce\";s:12:\"078f6b7402fb\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1583539208;a:10:{s:2:\"db\";s:56:\"backup_2020-03-07-0000_Buck039s_Pizza_f4599b7cd7a2-db.gz\";s:7:\"db-size\";i:710888;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"41ce779aab71cf567e9ce4ffa023a5c192f8ff92\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"78e19a16100bd01c795ff0c3f98a87f2a9916434c45378fc2a3e407acfb69637\";}}s:5:\"nonce\";s:12:\"f4599b7cd7a2\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1583452822;a:10:{s:2:\"db\";s:56:\"backup_2020-03-06-0000_Buck039s_Pizza_4764555bb82d-db.gz\";s:7:\"db-size\";i:710828;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"508647f402027515d9e8954a1c08eea1d62a3ba9\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"fe639ff7226c9eea9a67edf7a1a198ccdaea852635125e8eb8eabe71625694f2\";}}s:5:\"nonce\";s:12:\"4764555bb82d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1583366409;a:10:{s:2:\"db\";s:56:\"backup_2020-03-05-0000_Buck039s_Pizza_32394321cc58-db.gz\";s:7:\"db-size\";i:710748;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3895eac6611d3243a32e0d8a135cd4b02fe143c9\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4da41046c759e7846d867c1d6c6a4d609af41ee2c8e90c16b0174f6644f7d468\";}}s:5:\"nonce\";s:12:\"32394321cc58\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1583280010;a:10:{s:2:\"db\";s:56:\"backup_2020-03-04-0000_Buck039s_Pizza_fbab5893a5d2-db.gz\";s:7:\"db-size\";i:710697;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"38e60403e1b0b706b30cbfc0b096349841353ab8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"38d3ea88257a065056a69a57aa6fee46bac1b51d72e68a2a7541b8ca1a138371\";}}s:5:\"nonce\";s:12:\"fbab5893a5d2\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1583193601;a:10:{s:2:\"db\";s:56:\"backup_2020-03-03-0000_Buck039s_Pizza_2bd28e5c15f9-db.gz\";s:7:\"db-size\";i:710118;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1d07a0bc2b064fba18af9b06e3414789c9e934f6\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"12dc4fa32e12432c9d6c33510f4e7c549bb978a8e18272132cbd79f2b54e87f5\";}}s:5:\"nonce\";s:12:\"2bd28e5c15f9\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1583107201;a:10:{s:2:\"db\";s:56:\"backup_2020-03-02-0000_Buck039s_Pizza_d8ff54f10749-db.gz\";s:7:\"db-size\";i:710064;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"80918e700e0d750c9186e0ceefae1287c7e6837b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a0b03420c0ea69e8242620f7c2b52fb1dae40c25f02e1c9d2205dfd3c4208c63\";}}s:5:\"nonce\";s:12:\"d8ff54f10749\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1583020818;a:10:{s:2:\"db\";s:56:\"backup_2020-03-01-0000_Buck039s_Pizza_3c68708a6a75-db.gz\";s:7:\"db-size\";i:710021;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"290ee358c1ffec86530ec4054be20eb1d42a6c3d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4d90c0a51bc26aab99e8a9f5f83941209f0394f782f552c37293d36f1877f8aa\";}}s:5:\"nonce\";s:12:\"3c68708a6a75\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1582934409;a:10:{s:2:\"db\";s:56:\"backup_2020-02-29-0000_Buck039s_Pizza_a287aea1e1b2-db.gz\";s:7:\"db-size\";i:709984;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"19b67c3804fab7c129a9985b270a8b601cf3bf7a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"62e01e9223ea593512c8a67ff935cd7bbe4ff72a4ae6d9aa47d5037262fbd7df\";}}s:5:\"nonce\";s:12:\"a287aea1e1b2\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1582848007;a:10:{s:2:\"db\";s:56:\"backup_2020-02-28-0000_Buck039s_Pizza_c8b6a5b25352-db.gz\";s:7:\"db-size\";i:710007;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"57b16edb77f7655a05e759051ad0a22fdc67a907\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"29ffc13fa245e099ff3be5b6b4592b3acf067851786e8a4146c2fec07a40114f\";}}s:5:\"nonce\";s:12:\"c8b6a5b25352\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1582761611;a:10:{s:2:\"db\";s:53:\"backup_2020-02-27-0000_Bucks_Pizza_c4e5c1015c6b-db.gz\";s:7:\"db-size\";i:709475;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"888a82e52ec3e362696e52102bc32b419f01a9fc\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a59c002bf42364b7df8f8b32c42f16b01c55c7358396c8ecbaab6809aa9f1dd5\";}}s:5:\"nonce\";s:12:\"c4e5c1015c6b\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1582675217;a:10:{s:2:\"db\";s:53:\"backup_2020-02-26-0000_Bucks_Pizza_f8e6f0fa37e5-db.gz\";s:7:\"db-size\";i:709464;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"127b2ea964a2eb415186ecf9712acea61f21d669\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3f5cb832556a9122f0fe044b75c39ec8f5cff7f9a08e1891c3aadfd6122422cb\";}}s:5:\"nonce\";s:12:\"f8e6f0fa37e5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1582588843;a:10:{s:2:\"db\";s:53:\"backup_2020-02-25-0000_Bucks_Pizza_4016255f2505-db.gz\";s:7:\"db-size\";i:704194;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"42bfc3ed2fa0610903b45582230f7424c1d95245\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"bc62bcfb633d2cd40acd4b27c7562339c5159cd1fa820d79a94a50f62dcd3a32\";}}s:5:\"nonce\";s:12:\"4016255f2505\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1582502413;a:10:{s:2:\"db\";s:53:\"backup_2020-02-24-0000_Bucks_Pizza_86c19445f111-db.gz\";s:7:\"db-size\";i:697303;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ff5d72d54d8502fb0f6d9bc311b07cbcfdafc649\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"962686386bc465d9acf2f5b4f03fbf87164f92539037d46d6e5788f0ba7eb2c6\";}}s:5:\"nonce\";s:12:\"86c19445f111\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1582416004;a:10:{s:2:\"db\";s:53:\"backup_2020-02-23-0000_Bucks_Pizza_531a0703b755-db.gz\";s:7:\"db-size\";i:697189;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f930a3707ba4078583c8a24398cd49cd4b17abe8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"af7f5225a0ac2e9123373281d141b6bf86d24c468ca9ac4db5dd86ac04084d16\";}}s:5:\"nonce\";s:12:\"531a0703b755\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1582329606;a:10:{s:2:\"db\";s:53:\"backup_2020-02-22-0000_Bucks_Pizza_2a62a5f19ed1-db.gz\";s:7:\"db-size\";i:697066;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c454224a75787e934286c260279d2e218d515205\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"057e9a4b08abec8177c7780baa00b19dab6b69628f8d28caa49eca9a9521e9fe\";}}s:5:\"nonce\";s:12:\"2a62a5f19ed1\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1582243206;a:10:{s:2:\"db\";s:53:\"backup_2020-02-21-0000_Bucks_Pizza_eec0c9025491-db.gz\";s:7:\"db-size\";i:696947;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"afe40e84293dfdb99c1e622cffad6ef7558b59e7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"cd89d7726d61528743b73c796e28ecf0d4a3d0ff487e2920c46c1aba889a8967\";}}s:5:\"nonce\";s:12:\"eec0c9025491\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1582156828;a:10:{s:2:\"db\";s:53:\"backup_2020-02-20-0000_Bucks_Pizza_9771716bc365-db.gz\";s:7:\"db-size\";i:696832;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8769f67b2a70678b4ac20e95326aa146ee5ff5d5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"94152babb87be5f488a6ae102cb452f5d8b181bfcc1ee55c3e9dc62ca0992ceb\";}}s:5:\"nonce\";s:12:\"9771716bc365\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1582070404;a:10:{s:2:\"db\";s:53:\"backup_2020-02-19-0000_Bucks_Pizza_9c974ff52df1-db.gz\";s:7:\"db-size\";i:696676;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"70040a69bc93fb0ae92f9e274801563d8eb5cdaa\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"45ccc99a9656d02e1ad35db79a67f0be41db43949552e37c103e7e462deec59b\";}}s:5:\"nonce\";s:12:\"9c974ff52df1\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1581984024;a:10:{s:2:\"db\";s:53:\"backup_2020-02-18-0000_Bucks_Pizza_3f1482ba1f62-db.gz\";s:7:\"db-size\";i:696566;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"da846dd482bf63ae55ed53705e9815d6f01afeae\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"557442433fa7d99b16c0fbf25ab61cb5c035df4e1268f4cdc981bd7b9cbc9f83\";}}s:5:\"nonce\";s:12:\"3f1482ba1f62\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1581897604;a:10:{s:2:\"db\";s:53:\"backup_2020-02-17-0000_Bucks_Pizza_5b645823519a-db.gz\";s:7:\"db-size\";i:696470;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8aa33af23d478f4247fb0ec0f56b386576d9f822\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"258b9839cf16a5a1be988258f99e9a4bbc5911ae533bf75f2f311a4933d48ed4\";}}s:5:\"nonce\";s:12:\"5b645823519a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1581811216;a:10:{s:2:\"db\";s:53:\"backup_2020-02-16-0000_Bucks_Pizza_030e0a4474e4-db.gz\";s:7:\"db-size\";i:696360;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ae2a20c8fa7e1e23509ac20d1c22f11bc801c4d3\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"efc8c659c260bbf8216db3bdd1253e37761e41358989ad75432a3eb8dd358c11\";}}s:5:\"nonce\";s:12:\"030e0a4474e4\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1581724804;a:10:{s:2:\"db\";s:53:\"backup_2020-02-15-0000_Bucks_Pizza_0c2114c55916-db.gz\";s:7:\"db-size\";i:696260;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"611b8e6d5cf33f8c2a9e3066cb402ec0e5664bf5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"184c81560ce1d9b4eddc6a74d242cca588cfcfffc3d3c58cc0b00d34c22d33db\";}}s:5:\"nonce\";s:12:\"0c2114c55916\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1581638404;a:10:{s:2:\"db\";s:53:\"backup_2020-02-14-0000_Bucks_Pizza_f9bf7c8e92bf-db.gz\";s:7:\"db-size\";i:696421;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"cb0fc6d97aee2e53e4deddc02ebdbc7908ecee4f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"301b427627a1656092fc0fc98afd228ae5198745976dd69efc4c97a663e347cd\";}}s:5:\"nonce\";s:12:\"f9bf7c8e92bf\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1581552009;a:10:{s:2:\"db\";s:53:\"backup_2020-02-13-0000_Bucks_Pizza_cffb9baa0114-db.gz\";s:7:\"db-size\";i:705506;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d8e1204b9d170592536f0c6a0d2b3b07ab6a9a68\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c128f2cf4982e5e074c583888aebf0930728dea99582ad4a4e78f07d393c2615\";}}s:5:\"nonce\";s:12:\"cffb9baa0114\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1581465612;a:10:{s:2:\"db\";s:53:\"backup_2020-02-12-0000_Bucks_Pizza_20ef8a3a9daf-db.gz\";s:7:\"db-size\";i:695922;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3253de5cdc22eb6cd87052cf6f776005becf9a52\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2eb16d91728a4d699cbd0766a3b39329f400107312df8c88955239e6fe296e53\";}}s:5:\"nonce\";s:12:\"20ef8a3a9daf\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1581379214;a:10:{s:2:\"db\";s:53:\"backup_2020-02-11-0000_Bucks_Pizza_fc41f5e6c92a-db.gz\";s:7:\"db-size\";i:696261;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c30c2edfc8d73a32a4942e6bb12e39ea15bece3f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2592055679ca2bb5572017a1f71534bf3965bc0b8231ce782e503cfaa303dff3\";}}s:5:\"nonce\";s:12:\"fc41f5e6c92a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1581292802;a:10:{s:2:\"db\";s:53:\"backup_2020-02-10-0000_Bucks_Pizza_f1ae62ce5fbb-db.gz\";s:7:\"db-size\";i:696161;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7cd64cb9d9a534cb1c1725b68ebc95e081fefd25\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"063a58d69006fba743fd8b5b6a132f19201f4462d4b724343436fd4bb74baa55\";}}s:5:\"nonce\";s:12:\"f1ae62ce5fbb\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1581206403;a:10:{s:2:\"db\";s:53:\"backup_2020-02-09-0000_Bucks_Pizza_c9cbd13ca3bb-db.gz\";s:7:\"db-size\";i:696061;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7b29d09ab0c0c218045e983a51a9008ed25efc53\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9aa48517629afe2f80776935f84b9151c5e0475ae057a5dcae1bad8392f2e5f4\";}}s:5:\"nonce\";s:12:\"c9cbd13ca3bb\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1581120003;a:10:{s:2:\"db\";s:53:\"backup_2020-02-08-0000_Bucks_Pizza_6aac47fbfe0d-db.gz\";s:7:\"db-size\";i:695947;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ac7f146c0b4d071123adcf44194f02764c6e12b0\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0500a2aa9fa44aa6eef976e7c6eee2dfdb7e88ad99d96daed0be27b418a2166f\";}}s:5:\"nonce\";s:12:\"6aac47fbfe0d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1581033626;a:10:{s:2:\"db\";s:53:\"backup_2020-02-07-0000_Bucks_Pizza_77b6f90646e5-db.gz\";s:7:\"db-size\";i:865389;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"419c5506be103dd67b69175cff13affcc572d3a2\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9ee88d0449d55c9c91ac66591ee3fc5a428e1e260fbe8966719613dd44eabbf6\";}}s:5:\"nonce\";s:12:\"77b6f90646e5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1580947212;a:10:{s:2:\"db\";s:53:\"backup_2020-02-06-0000_Bucks_Pizza_747d959c724b-db.gz\";s:7:\"db-size\";i:864951;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6038750934adbad4b4ccd8fa01ae216ebaa3de8f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d7b6269ebb45e0963ccc302973ac3d90a24dc23802aeede6ce7f211ca39f61e6\";}}s:5:\"nonce\";s:12:\"747d959c724b\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1580860803;a:10:{s:2:\"db\";s:53:\"backup_2020-02-05-0000_Bucks_Pizza_3d86dc5c4da1-db.gz\";s:7:\"db-size\";i:861561;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"98a39264ad9e3d90d94aeaec3bcbe16345eaad76\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5cf9929a22ab582cbf57008d98c9e5d5a9ffe439c432bee1823361f45aaae472\";}}s:5:\"nonce\";s:12:\"3d86dc5c4da1\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1580774405;a:10:{s:2:\"db\";s:53:\"backup_2020-02-04-0000_Bucks_Pizza_c6164958ee93-db.gz\";s:7:\"db-size\";i:687643;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1ca207ed5039c23b05770d6c4d24d644c6849c6f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e372aa624bfa3318230aa53449c3ebe94b14753111c212ac4910c135e42c398c\";}}s:5:\"nonce\";s:12:\"c6164958ee93\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1580688024;a:10:{s:2:\"db\";s:53:\"backup_2020-02-03-0000_Bucks_Pizza_25e15e61f36a-db.gz\";s:7:\"db-size\";i:687811;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7eaf115d45a6b34f83d4949a61430f8ac736936d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6b270bfcf67ab1ef1d43b6933e54aabd7cd2bef1919f4992d7feb7996de78bca\";}}s:5:\"nonce\";s:12:\"25e15e61f36a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1580601606;a:10:{s:2:\"db\";s:53:\"backup_2020-02-02-0000_Bucks_Pizza_90ff9bd7c582-db.gz\";s:7:\"db-size\";i:687743;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0c8f4cac04ebed9c00e6e788d896e325b1f55d58\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"90ffd4051d8b622273bb7e5b2a6371de11d29ac5b7b3197719e9490fbdba15f3\";}}s:5:\"nonce\";s:12:\"90ff9bd7c582\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1580515227;a:10:{s:2:\"db\";s:53:\"backup_2020-02-01-0000_Bucks_Pizza_0ae96ab2fd48-db.gz\";s:7:\"db-size\";i:687679;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"92f6c69bebb957b0e8d7f9d37bf93df73b5a9a6e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ed1e03b113d7cc51ebec5dda9e4b0034cc3b66754598306f31c689c75cc9da8d\";}}s:5:\"nonce\";s:12:\"0ae96ab2fd48\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1580428801;a:10:{s:2:\"db\";s:53:\"backup_2020-01-31-0000_Bucks_Pizza_86da4c23d08d-db.gz\";s:7:\"db-size\";i:687625;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f08c660e34ae05495c1c8ccdcf02d907a46bb0f5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b41ff8ce98e5533faec095c21c62e2b68c072801495ef797284ca5bbde50cedc\";}}s:5:\"nonce\";s:12:\"86da4c23d08d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1580342434;a:10:{s:2:\"db\";s:53:\"backup_2020-01-30-0000_Bucks_Pizza_a1c15cb21560-db.gz\";s:7:\"db-size\";i:687564;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3c92cd4b21b836aa399211c788b5b440bd8bbb20\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f178150f13324618cd35172aa5685e4579d0d7f683cd3aaea0c353f77a63f2be\";}}s:5:\"nonce\";s:12:\"a1c15cb21560\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1580256011;a:10:{s:2:\"db\";s:53:\"backup_2020-01-29-0000_Bucks_Pizza_e6f8eda69e81-db.gz\";s:7:\"db-size\";i:687496;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"003113d14eeb22a4d5ac35aafd9b17166c189e7a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9b8820252a1215cf1dc19e85d2df9b3d4bf5003f7871eb2c0ad1ceda36ef527d\";}}s:5:\"nonce\";s:12:\"e6f8eda69e81\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1580169604;a:10:{s:2:\"db\";s:53:\"backup_2020-01-28-0000_Bucks_Pizza_db9960452c19-db.gz\";s:7:\"db-size\";i:687406;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"01c8c17a8e310649ce4e99fdce6b7bc5532aafb8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"33d5af402d700d6fe2894b11dddb43ccc29c517f5534e213737c2058d25b9891\";}}s:5:\"nonce\";s:12:\"db9960452c19\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1580083201;a:10:{s:2:\"db\";s:53:\"backup_2020-01-27-0000_Bucks_Pizza_66d4faa6134e-db.gz\";s:7:\"db-size\";i:687310;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d7761c6caae40706110cedb0d620f894a229f93c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9a5dcf0b26ded65a9154c0145b320b37b4159243d117fce3d1816c766f14b6dd\";}}s:5:\"nonce\";s:12:\"66d4faa6134e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1579996813;a:10:{s:2:\"db\";s:53:\"backup_2020-01-26-0000_Bucks_Pizza_e5948fa4bc8a-db.gz\";s:7:\"db-size\";i:687226;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9e1910d328f5ae4874ec8df0641ebe11751149c7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"63d82d3933467edbb7c620293ea016d496904d5b6fcb3a5f669d6d257c9290fa\";}}s:5:\"nonce\";s:12:\"e5948fa4bc8a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1579910403;a:10:{s:2:\"db\";s:53:\"backup_2020-01-25-0000_Bucks_Pizza_a4f9a4a0bd94-db.gz\";s:7:\"db-size\";i:687138;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a2742dc4cc4577ea5df9311c51e1e49379b94c6d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"fa9748b582fb772e4661f55678ec604069003011bb47a78aa62493e2bb221d68\";}}s:5:\"nonce\";s:12:\"a4f9a4a0bd94\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1579824001;a:10:{s:2:\"db\";s:53:\"backup_2020-01-24-0000_Bucks_Pizza_6a5367d5b3b8-db.gz\";s:7:\"db-size\";i:687065;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2af62f338ec9b7ebacd8c94342c59193bd2bbdf7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0a96a814903c8491c9cb62da15054541577299ba3ba5f4f28572311ef671692b\";}}s:5:\"nonce\";s:12:\"6a5367d5b3b8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1579737608;a:10:{s:2:\"db\";s:53:\"backup_2020-01-23-0000_Bucks_Pizza_bc066c3341de-db.gz\";s:7:\"db-size\";i:686990;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"05aa66e394cc4c5780d6934b3c043cd5b160ccae\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"7a4eba03bc5879f8b362da4687e29790665aecb8604ae612f91b1d1b5b3480f8\";}}s:5:\"nonce\";s:12:\"bc066c3341de\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1579651201;a:10:{s:2:\"db\";s:53:\"backup_2020-01-22-0000_Bucks_Pizza_24a0536e40c2-db.gz\";s:7:\"db-size\";i:687203;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8e810a7fdc2ea95d4e0825c7caa2aad51472d76d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ef80508ae4868f292a7dfb179b026b2ca660c56757dfe63d5df6a22811b982da\";}}s:5:\"nonce\";s:12:\"24a0536e40c2\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1579564817;a:10:{s:2:\"db\";s:53:\"backup_2020-01-21-0000_Bucks_Pizza_4d9773bf0304-db.gz\";s:7:\"db-size\";i:687128;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9888a0a9fbe053cc9ef345c7f0b8e11a70e2f2c1\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2406d42b7543873fdef06b74b7316eb1dfb8243f137ed8dfaae0abe999a6a114\";}}s:5:\"nonce\";s:12:\"4d9773bf0304\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1579478404;a:10:{s:2:\"db\";s:53:\"backup_2020-01-20-0000_Bucks_Pizza_9b117c150192-db.gz\";s:7:\"db-size\";i:687040;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"628ce1fbfd9236b4f7c48b4479c4315f9dae73aa\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"55c4672b0f3ac8705598bf0fa4100464a834ede35d52a73149eec098c4e64133\";}}s:5:\"nonce\";s:12:\"9b117c150192\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1579392003;a:10:{s:2:\"db\";s:53:\"backup_2020-01-19-0000_Bucks_Pizza_063138589348-db.gz\";s:7:\"db-size\";i:686933;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"48b0594f19beaabe1418629fe76fff0ac7bef506\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e7165627674d8849c1573b18d19431cf9c9719bfd7294dca4574fbb42a182222\";}}s:5:\"nonce\";s:12:\"063138589348\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1579305605;a:10:{s:2:\"db\";s:53:\"backup_2020-01-18-0000_Bucks_Pizza_2d79098901c2-db.gz\";s:7:\"db-size\";i:686824;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6e6d0c8caa138b928c737fc80edf79d665c37635\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"303d67e3e2dcb8d2fa911eae732b72c9855ab54cc6a5b2cd72746010fb0a2bbf\";}}s:5:\"nonce\";s:12:\"2d79098901c2\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1579219201;a:10:{s:2:\"db\";s:53:\"backup_2020-01-17-0000_Bucks_Pizza_d758b6f65c60-db.gz\";s:7:\"db-size\";i:686735;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8c0d4235d121e5a693f304e3d003bd73eee4fe6d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"62e34576a80f90f10545e841cba75bfa3439be1882dab49e8e78cf801562c30e\";}}s:5:\"nonce\";s:12:\"d758b6f65c60\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1579132812;a:10:{s:2:\"db\";s:53:\"backup_2020-01-16-0000_Bucks_Pizza_af9de0b4a3be-db.gz\";s:7:\"db-size\";i:686984;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3f946b277cfb1133d53808c41ebc9e56cd5d07d6\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"51011d5c8cd1e27a70e32fce9a0124515e670e4a61448a52025de5fb8cc47a72\";}}s:5:\"nonce\";s:12:\"af9de0b4a3be\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1579046405;a:10:{s:2:\"db\";s:53:\"backup_2020-01-15-0000_Bucks_Pizza_3aee26df7fa9-db.gz\";s:7:\"db-size\";i:850981;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1df356f1a2e59e5d1bc4449ce6c7d185bcd07bd7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c884ea78e48d01ecaf1827652da0bad5536e7b50e71d789cda4100900321c709\";}}s:5:\"nonce\";s:12:\"3aee26df7fa9\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1578960013;a:10:{s:2:\"db\";s:53:\"backup_2020-01-14-0000_Bucks_Pizza_d6d3527d1c0b-db.gz\";s:7:\"db-size\";i:686278;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9d3955e054a9cc42679275f649c4111639d31901\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a057088c78d11250172972117185628e5ad41e230f4e721d27d03b7f55590be9\";}}s:5:\"nonce\";s:12:\"d6d3527d1c0b\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1578873607;a:10:{s:2:\"db\";s:53:\"backup_2020-01-13-0000_Bucks_Pizza_d3671f24f4e8-db.gz\";s:7:\"db-size\";i:686204;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e1872dc74698e5f5304f35f93e70d5178fb63a95\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"76cb0ab478c01448dfa91eeeb97d111b36bf11e04a113e1dc74db235d7980973\";}}s:5:\"nonce\";s:12:\"d3671f24f4e8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1578787201;a:10:{s:2:\"db\";s:53:\"backup_2020-01-12-0000_Bucks_Pizza_58342e85ef27-db.gz\";s:7:\"db-size\";i:686198;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"331b0d5b78f245863eb0e43c5f7dbd73a0c94b66\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"03582101652660f3e55695ca98ecafeb90dc8fb7db37cfa1edad324aa6664241\";}}s:5:\"nonce\";s:12:\"58342e85ef27\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1578700805;a:10:{s:2:\"db\";s:53:\"backup_2020-01-11-0000_Bucks_Pizza_8558cde4300a-db.gz\";s:7:\"db-size\";i:686233;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"614d5160607c884d53d63bdc81f54e8642312729\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"681000665ada18303048b90e502893f1d4906f1fd7a7f4941c0dd6344ef989e7\";}}s:5:\"nonce\";s:12:\"8558cde4300a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1578614410;a:10:{s:2:\"db\";s:53:\"backup_2020-01-10-0000_Bucks_Pizza_7288b31b9df8-db.gz\";s:7:\"db-size\";i:686124;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a6c39cf11abf827009d41c87e37f55d320d21836\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"da345785b52d455d3d88344a69d0d85ca80afd4c8cb1b47c0a23247bdbc97ec5\";}}s:5:\"nonce\";s:12:\"7288b31b9df8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1578528011;a:10:{s:2:\"db\";s:53:\"backup_2020-01-09-0000_Bucks_Pizza_77ed67e1e78e-db.gz\";s:7:\"db-size\";i:686085;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8eb4f1c61c26c85981cebd83c88e20062a50c896\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"13aae16cc4fc65991400ad2e7d581c1bb0c9e9ef7f962cd81065cadbd92a07da\";}}s:5:\"nonce\";s:12:\"77ed67e1e78e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1578441603;a:10:{s:2:\"db\";s:53:\"backup_2020-01-08-0000_Bucks_Pizza_e27e8163257d-db.gz\";s:7:\"db-size\";i:862701;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1855db2fb09c7497f9716f4ce26bbb30a0c48a61\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f835c952a78a9ff814a1290b4824e6de2df7a9d0d2765d272c51bc8d25a2ca3c\";}}s:5:\"nonce\";s:12:\"e27e8163257d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1578355204;a:10:{s:2:\"db\";s:53:\"backup_2020-01-07-0000_Bucks_Pizza_59805fec6c36-db.gz\";s:7:\"db-size\";i:685424;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b79d37c5f4fc1fe1a54c31e400bfe3232816b5a9\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"1a174ef922a0e53a4bdd3c2e1b2e2c3839c34895bb0295eb0c62929eb3bae7bc\";}}s:5:\"nonce\";s:12:\"59805fec6c36\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1578268815;a:10:{s:2:\"db\";s:53:\"backup_2020-01-06-0000_Bucks_Pizza_4823078c5e12-db.gz\";s:7:\"db-size\";i:685338;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a1c3280a431e3848914fe87469003fb68e545645\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f4e930bac0290d1508500457dd353b06c3b779e3a2ca35a446928232d9a8c881\";}}s:5:\"nonce\";s:12:\"4823078c5e12\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1578182402;a:10:{s:2:\"db\";s:53:\"backup_2020-01-05-0000_Bucks_Pizza_92a0695d2be0-db.gz\";s:7:\"db-size\";i:866305;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8c77bdc668dcb3ee5096aa60741e2a7f9eca8e69\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"cfc9beb2df1507143e1f936c127094056a9ebcc1c3cca1aac09af602cb4d2d3a\";}}s:5:\"nonce\";s:12:\"92a0695d2be0\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1578096007;a:10:{s:2:\"db\";s:53:\"backup_2020-01-04-0000_Bucks_Pizza_ede021d5a9d2-db.gz\";s:7:\"db-size\";i:658656;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"22ef782e57f70dafa7a34556ae2ec1a44797d70a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"24c77d950ac4f89111c09d78200d9e5509c48cdf97ca8d87e30af4c5cba08e3f\";}}s:5:\"nonce\";s:12:\"ede021d5a9d2\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1578009646;a:10:{s:2:\"db\";s:53:\"backup_2020-01-03-0000_Bucks_Pizza_2a5a4d8307a4-db.gz\";s:7:\"db-size\";i:657023;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3541dc8cde695f60dd113a88762a9a9cb00a6351\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a590a728df5c752d8049055c6f64c30919040139f7f51688a2eb0a028bb2f473\";}}s:5:\"nonce\";s:12:\"2a5a4d8307a4\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1577923205;a:10:{s:2:\"db\";s:53:\"backup_2020-01-02-0000_Bucks_Pizza_305284dd787b-db.gz\";s:7:\"db-size\";i:649456;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6135a247fcfccbbbb899d5ba45fd61468104eefd\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5f66a57072bf94e77ce16f5ee83ba27bdf8fd595ae2f5223a7e56ebbcdb5f448\";}}s:5:\"nonce\";s:12:\"305284dd787b\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1577836804;a:10:{s:2:\"db\";s:53:\"backup_2020-01-01-0000_Bucks_Pizza_ff6501a3a898-db.gz\";s:7:\"db-size\";i:645602;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"865893e3015444c581a091ae939907c2bd912104\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ec16455d8b0f392dd2466cd9a0d2294f65474520cdb2132a2d2c67c17b5b11cc\";}}s:5:\"nonce\";s:12:\"ff6501a3a898\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1577750417;a:10:{s:2:\"db\";s:53:\"backup_2019-12-31-0000_Bucks_Pizza_e88b2bdcffa9-db.gz\";s:7:\"db-size\";i:643953;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f5ef0c31f03dd44b9000327c9664f9b01cdb3209\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"aa43ca2fdd396c5f08540aa71f0e3eab0abcbfa35498d0c86e04984566fec9f9\";}}s:5:\"nonce\";s:12:\"e88b2bdcffa9\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1577664005;a:10:{s:2:\"db\";s:53:\"backup_2019-12-30-0000_Bucks_Pizza_25fc87b1bbcb-db.gz\";s:7:\"db-size\";i:640697;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"589ec7ba808a606216ba67bd43bcc3742c703ada\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"91b4668a0e3febfd98bab28bb800c1c3f890cdcae145583f730b0df947842aab\";}}s:5:\"nonce\";s:12:\"25fc87b1bbcb\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1577577635;a:10:{s:2:\"db\";s:53:\"backup_2019-12-29-0000_Bucks_Pizza_6e43acd5567a-db.gz\";s:7:\"db-size\";i:643236;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3c5d2f932b4c45d72b89d4826c97b7977beaa36b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ade652fd8459ecb62520391f2fdf49c53b846fb5b5ad74739bd0030fb68c35d0\";}}s:5:\"nonce\";s:12:\"6e43acd5567a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1577491215;a:10:{s:2:\"db\";s:53:\"backup_2019-12-28-0000_Bucks_Pizza_d5fec5e5824e-db.gz\";s:7:\"db-size\";i:632465;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3a27b9805804d1350bd3669ecc1ffd3b10dfedc2\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"33cd44f105ac25fcb6dcede1997ecfe7c8b1146538b49c21bfac37d04669c23f\";}}s:5:\"nonce\";s:12:\"d5fec5e5824e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1577404805;a:10:{s:2:\"db\";s:53:\"backup_2019-12-27-0000_Bucks_Pizza_c7f4aa5dae39-db.gz\";s:7:\"db-size\";i:629014;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"773b69d4cd8ea6304cc7f927637d0378123313de\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"025cd67c97b0871a465eb3d129c880433b2c30cfc223cc5717bcf1615863d61d\";}}s:5:\"nonce\";s:12:\"c7f4aa5dae39\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1577318403;a:10:{s:2:\"db\";s:53:\"backup_2019-12-26-0000_Bucks_Pizza_a61ff9afc9d4-db.gz\";s:7:\"db-size\";i:627280;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b8fc6670d411caca63cedeb3ef9830f34fdf30f1\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c4a7c9946a5081ddfdcea95e18559de7c716f7bb7041cd11df21b71763c64bcb\";}}s:5:\"nonce\";s:12:\"a61ff9afc9d4\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1577232000;a:10:{s:2:\"db\";s:53:\"backup_2019-12-25-0000_Bucks_Pizza_be40a757ed80-db.gz\";s:7:\"db-size\";i:619318;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"77b9b56cfa2c70f516a37658cd6367fc0d27beec\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"aa182c094478028f3a49710b9d415800c15a4a5f54e8883bea2a76912eda60c2\";}}s:5:\"nonce\";s:12:\"be40a757ed80\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1577145601;a:10:{s:2:\"db\";s:53:\"backup_2019-12-24-0000_Bucks_Pizza_1a8238f32eb7-db.gz\";s:7:\"db-size\";i:606145;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c22d8b497202202d1b6a1bbd03361389e37037ed\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5daec54f8a6a471d1ba4270c6e205e82ae54470f3f9e788f555e8782b8349bd8\";}}s:5:\"nonce\";s:12:\"1a8238f32eb7\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1577059208;a:10:{s:2:\"db\";s:53:\"backup_2019-12-23-0000_Bucks_Pizza_4761d59fd105-db.gz\";s:7:\"db-size\";i:597161;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"4e56e11f97303925d5cea7ad9f914f9b343c5760\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"21fc82ed2a06d72d648a8a6900650ec7eabfc1cc345551b698af32d144a8cdeb\";}}s:5:\"nonce\";s:12:\"4761d59fd105\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1576972801;a:10:{s:2:\"db\";s:53:\"backup_2019-12-22-0000_Bucks_Pizza_cfb59ddd28fd-db.gz\";s:7:\"db-size\";i:583016;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"5560cf6c5686b2e47437ac9aafd20390aaa54a4f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f08a8957bb92fcaa04a251e732d0741a7dad5e4fa9f662e96b16b030a6b74c65\";}}s:5:\"nonce\";s:12:\"cfb59ddd28fd\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1576886407;a:10:{s:2:\"db\";s:53:\"backup_2019-12-21-0000_Bucks_Pizza_671e9d70c322-db.gz\";s:7:\"db-size\";i:580769;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"42e1ba25663869c54ebd5503d8c0a3e6dfbebb8d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0ed9108ba084508a0dc98a12634451b59d34082fe04eecaaca17b3da11191791\";}}s:5:\"nonce\";s:12:\"671e9d70c322\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1576800028;a:10:{s:2:\"db\";s:53:\"backup_2019-12-20-0000_Bucks_Pizza_fefad744bb78-db.gz\";s:7:\"db-size\";i:575438;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a37dad73ea4dd58194faa50b38282d7e34485795\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e267efbe4b3e9cd8effcb7bd66f8121db973c85b3471351b877ca3e1d40fbfdb\";}}s:5:\"nonce\";s:12:\"fefad744bb78\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1576713628;a:10:{s:2:\"db\";s:53:\"backup_2019-12-19-0000_Bucks_Pizza_36cefc0b5c53-db.gz\";s:7:\"db-size\";i:575976;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"af2bf35c0e4c9b19fb07423dd0950c74be96bd49\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"aa199c2d5fd4569898a27e7364ce22224c6dc49a6fb37411cde8a71ae002663c\";}}s:5:\"nonce\";s:12:\"36cefc0b5c53\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1576627210;a:10:{s:2:\"db\";s:53:\"backup_2019-12-18-0000_Bucks_Pizza_9a992489eef8-db.gz\";s:7:\"db-size\";i:755537;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7684a56fe2a2d885bb32548b34f9712a0da348e8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"bdd25789efe7d60e5d5f4c27cf4c947e631615c37c96db4b0739bf8c4988b0e9\";}}s:5:\"nonce\";s:12:\"9a992489eef8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1576540810;a:10:{s:2:\"db\";s:53:\"backup_2019-12-17-0000_Bucks_Pizza_521ed7680590-db.gz\";s:7:\"db-size\";i:579141;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f068845de616a3813566b35ac335b7ed41009b73\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6e53d1a3604c4ad02a27e6c3906cb54b07784559cbb43a465314de3ec6695960\";}}s:5:\"nonce\";s:12:\"521ed7680590\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1576454422;a:10:{s:2:\"db\";s:53:\"backup_2019-12-16-0000_Bucks_Pizza_dc12ea49474e-db.gz\";s:7:\"db-size\";i:585827;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a2cb59397a646d8965c635cac6d55f12be2bf599\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"616c02aa72b0869b163a27ea1a7960eb82f689f06d8d24f88f2146f273c7f715\";}}s:5:\"nonce\";s:12:\"dc12ea49474e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1576368012;a:10:{s:2:\"db\";s:53:\"backup_2019-12-15-0000_Bucks_Pizza_cfea68ecf375-db.gz\";s:7:\"db-size\";i:593900;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ab0c4c8f3f45a2e9016d573d21b92d8126be66a5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f25afa486b6bf1b410a7424e457d878212e06bbe36dd106c8a68cef8c1db606a\";}}s:5:\"nonce\";s:12:\"cfea68ecf375\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1576281601;a:10:{s:2:\"db\";s:53:\"backup_2019-12-14-0000_Bucks_Pizza_185c53e1711e-db.gz\";s:7:\"db-size\";i:606001;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7ab446391a224e9c1795df5b52319e2ceceeb160\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4fa7fdfb415d0f3fd52dd0e8c316d7936ff88cf1b203fceb4b10289a462bdce1\";}}s:5:\"nonce\";s:12:\"185c53e1711e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1576195232;a:10:{s:2:\"db\";s:53:\"backup_2019-12-13-0000_Bucks_Pizza_c9fcca9495c7-db.gz\";s:7:\"db-size\";i:625923;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c5a1d901c7d2868219248f519ac73aec78350e8e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"26940ab25c95a111f71a6d14a9793b1b9a8bc89bf13a5b5b18f357fdd9e39003\";}}s:5:\"nonce\";s:12:\"c9fcca9495c7\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1576108803;a:10:{s:2:\"db\";s:53:\"backup_2019-12-12-0000_Bucks_Pizza_14fd8eb52c54-db.gz\";s:7:\"db-size\";i:802166;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"4b5212b9b8515a5e7a307f5552a5072bc1e5eae5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0cf7544d4f20489c0b6e0a3e5157f0de7ef709e1bdea221b4d2f7a16fe2f35b8\";}}s:5:\"nonce\";s:12:\"14fd8eb52c54\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1576022404;a:10:{s:2:\"db\";s:53:\"backup_2019-12-11-0000_Bucks_Pizza_7e1170e3bf86-db.gz\";s:7:\"db-size\";i:813884;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ea0a6376fd7eba76a24672af7e76a2456a696f37\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2c7d424b18a48345e45d3cb53647f5a71fdc63cfc73277a94700fce71e9e930b\";}}s:5:\"nonce\";s:12:\"7e1170e3bf86\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1575936004;a:10:{s:2:\"db\";s:53:\"backup_2019-12-10-0000_Bucks_Pizza_6d7aaa2edec6-db.gz\";s:7:\"db-size\";i:832919;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"85615ec8c0e3fcdfd75912ba746732eb0f6091f1\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"07b13b2a5aa21ddf13e8cd311af59958a7aaa45b956a0e5801466befdd49d056\";}}s:5:\"nonce\";s:12:\"6d7aaa2edec6\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1575849602;a:10:{s:2:\"db\";s:53:\"backup_2019-12-09-0000_Bucks_Pizza_370de49686c3-db.gz\";s:7:\"db-size\";i:667293;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2e939280255b0558014b9b8457332824e4de83f9\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4c8a6407dd47731656f8a8a2981cefabebab95c69a18bec04740641f6fc89af1\";}}s:5:\"nonce\";s:12:\"370de49686c3\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1575763206;a:10:{s:2:\"db\";s:53:\"backup_2019-12-08-0000_Bucks_Pizza_f2dc189354bd-db.gz\";s:7:\"db-size\";i:674376;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ed162c4a51a0380efed7edbdea19e72186bab17f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"02613a9225073968d8dbf3851780347bdbca2a70005f7f86f023fb675ef7ff46\";}}s:5:\"nonce\";s:12:\"f2dc189354bd\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1575676803;a:10:{s:2:\"db\";s:53:\"backup_2019-12-07-0000_Bucks_Pizza_19e491dddacc-db.gz\";s:7:\"db-size\";i:679354;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8665c929fff7d081d75232dc3ac6421af8a48a6c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c728c94532cabaa35602b586a175603eeb889ed54c9916ddd66bfd7bb7a8d675\";}}s:5:\"nonce\";s:12:\"19e491dddacc\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1575590401;a:10:{s:2:\"db\";s:53:\"backup_2019-12-06-0000_Bucks_Pizza_6a8abf2119ba-db.gz\";s:7:\"db-size\";i:677151;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2c8eb082616568d807ff95081ec24afc828261e7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"60f00e54c89858fb5b246ff0bba9c41c39e4d8c5316ef4f606e922a93f5bcc0a\";}}s:5:\"nonce\";s:12:\"6a8abf2119ba\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1575504015;a:10:{s:2:\"db\";s:53:\"backup_2019-12-05-0000_Bucks_Pizza_9568a03dace8-db.gz\";s:7:\"db-size\";i:857397;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"611979ab39d488ebc0cebccc315471c103b236f9\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d82415ee4eafcc566f334dc24f12cb6cf023cad2931b79c97eb6c545bd87b2a9\";}}s:5:\"nonce\";s:12:\"9568a03dace8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1575417605;a:10:{s:2:\"db\";s:53:\"backup_2019-12-04-0000_Bucks_Pizza_2286434dd0ed-db.gz\";s:7:\"db-size\";i:679430;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c4dfa8a7e649858e73c1833b348b9dc572b9f8e8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5fe155efe5033c44d2545a97c5ec9d781c651e53868f6155b83fcb2b45db86d9\";}}s:5:\"nonce\";s:12:\"2286434dd0ed\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1575331206;a:10:{s:2:\"db\";s:53:\"backup_2019-12-03-0000_Bucks_Pizza_c1988aa61027-db.gz\";s:7:\"db-size\";i:679645;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3aed4b4c9a7a10a51b9fe91c7bf1d06c7a6c3b57\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c1a9ad764bbdc5c4c0b3af12d0708242bd04c43644e30165dfdd21298f30674a\";}}s:5:\"nonce\";s:12:\"c1988aa61027\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1575244800;a:10:{s:2:\"db\";s:53:\"backup_2019-12-02-0000_Bucks_Pizza_952514956cc8-db.gz\";s:7:\"db-size\";i:667762;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"4bc77050fc9d5a45322b489a72bb8d539d0a4d84\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ef5881a8e556805ecbce445fcd5849f1362423778f2d26c22a57ae0474a320be\";}}s:5:\"nonce\";s:12:\"952514956cc8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1575158400;a:10:{s:2:\"db\";s:53:\"backup_2019-12-01-0000_Bucks_Pizza_b60cc1880b06-db.gz\";s:7:\"db-size\";i:666309;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9ad49f338f2f713aac9856eb5f082a2bd664adc5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"fccf8d5f58985e5c807d9fb33b73a4971372000b60afd24ac0dbdb4b81a19b00\";}}s:5:\"nonce\";s:12:\"b60cc1880b06\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1575072011;a:10:{s:2:\"db\";s:53:\"backup_2019-11-30-0000_Bucks_Pizza_4aedb892eb83-db.gz\";s:7:\"db-size\";i:665858;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"38da7c491678bc0284b747239cc2d12641fc4295\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"454dcb363a1dd74094d6b5520c54f26ab0d288b2f3be51f97ac03b02516b0046\";}}s:5:\"nonce\";s:12:\"4aedb892eb83\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1574985611;a:10:{s:2:\"db\";s:53:\"backup_2019-11-29-0000_Bucks_Pizza_4a91ab68be82-db.gz\";s:7:\"db-size\";i:662676;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"4e8becfeed940231e4ea66f6f0861bb45f6aed8d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9f3be413c4842081835af9c08fbbc905389763a3aaf60b46e05dd0a8b3e91b47\";}}s:5:\"nonce\";s:12:\"4a91ab68be82\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1574899220;a:10:{s:2:\"db\";s:53:\"backup_2019-11-28-0000_Bucks_Pizza_77e0395faaf0-db.gz\";s:7:\"db-size\";i:658227;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0c1c8a1b73627de49eb280ff88971670720beddc\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f3b122095616c99c1a6ae6ca3a8f9cdc4eacf7915c7f0da74992148c49079d9a\";}}s:5:\"nonce\";s:12:\"77e0395faaf0\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1574812806;a:10:{s:2:\"db\";s:53:\"backup_2019-11-27-0000_Bucks_Pizza_20e4a63a10e5-db.gz\";s:7:\"db-size\";i:650102;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d4b228765bea738aee3e2464e29e23c938883983\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0484d97cb73187e781a3150826d4fdfdc92c72f0488143710f25ef3a8723d229\";}}s:5:\"nonce\";s:12:\"20e4a63a10e5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1574726402;a:10:{s:2:\"db\";s:53:\"backup_2019-11-26-0000_Bucks_Pizza_9623bb14bde5-db.gz\";s:7:\"db-size\";i:647252;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"25ab52ad8ef4df44849d37f6a9c7a998ff066303\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"1cfe0448c163a03323ee73990cded061979a409913458c5c46d4328b4ef1296b\";}}s:5:\"nonce\";s:12:\"9623bb14bde5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1574640001;a:10:{s:2:\"db\";s:53:\"backup_2019-11-25-0000_Bucks_Pizza_a034a008277a-db.gz\";s:7:\"db-size\";i:645331;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"998a1d08ce3412deb2036e160e61d7d668bbc0e1\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"833788da4313c5f6a45fbe99f714c27ab06d2811c89592806f0693c55e023db5\";}}s:5:\"nonce\";s:12:\"a034a008277a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1574553615;a:10:{s:2:\"db\";s:53:\"backup_2019-11-24-0000_Bucks_Pizza_60aa738abead-db.gz\";s:7:\"db-size\";i:642310;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"41cf6b0762f13cc148afbb19c80b7066aa023e80\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2948dd40490b241a4894968d55fd59e7ec20d7eb31a40862ac80506bc2f7e1d1\";}}s:5:\"nonce\";s:12:\"60aa738abead\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1574467224;a:10:{s:2:\"db\";s:53:\"backup_2019-11-23-0000_Bucks_Pizza_030046ba05a0-db.gz\";s:7:\"db-size\";i:637667;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"78e0d572045ad2a320c2b2b89b7bccb3a372ae4d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b830f6e4607040dd97b3be6a17c8c84e5dedb149c02c16a2599807674eee3e93\";}}s:5:\"nonce\";s:12:\"030046ba05a0\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1574380807;a:10:{s:2:\"db\";s:53:\"backup_2019-11-22-0000_Bucks_Pizza_c25f39225669-db.gz\";s:7:\"db-size\";i:630204;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"78cb357561a74c40c65850042171239bb60c6315\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"dfee8890202d3a23b87ec0145728306e0fb4aac9beea06899ce45d6c09453d36\";}}s:5:\"nonce\";s:12:\"c25f39225669\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1574294414;a:10:{s:2:\"db\";s:53:\"backup_2019-11-21-0000_Bucks_Pizza_bfa5b9b54032-db.gz\";s:7:\"db-size\";i:627571;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c929a70ba69fd4e0c756f0aa9308767db020e866\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"dbc4e70980cb9e9fed55088e6dce616ed120626a8979c2c0b2c8428fa2da1bb5\";}}s:5:\"nonce\";s:12:\"bfa5b9b54032\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1574208017;a:10:{s:2:\"db\";s:53:\"backup_2019-11-20-0000_Bucks_Pizza_a5a53317954d-db.gz\";s:7:\"db-size\";i:628603;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"470f11bef7efc51854978fc544fbbaf682ce537c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"1cbc98a20733b065949904c958f1d1e913a76ec33d75b41fcf52bc7ec7301f7c\";}}s:5:\"nonce\";s:12:\"a5a53317954d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1574121601;a:10:{s:2:\"db\";s:53:\"backup_2019-11-19-0000_Bucks_Pizza_66142185a339-db.gz\";s:7:\"db-size\";i:626282;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b8abe1d696425e31448efde3e45cbd2a72bbec8b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5278defd13dc3248e6279565434971968271de063b21e7012f72137cf0c5776d\";}}s:5:\"nonce\";s:12:\"66142185a339\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1574035209;a:10:{s:2:\"db\";s:53:\"backup_2019-11-18-0000_Bucks_Pizza_f677edce3293-db.gz\";s:7:\"db-size\";i:628849;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"decb8eb609a34b24913977ce76d9df8d1b952bcd\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"cf7b579810b8b75fc7aefe7cf07a627e4633527e21ea95c55435e7c3a4364acd\";}}s:5:\"nonce\";s:12:\"f677edce3293\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1573948810;a:10:{s:2:\"db\";s:53:\"backup_2019-11-17-0000_Bucks_Pizza_88397deef1a0-db.gz\";s:7:\"db-size\";i:621725;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6ecdfac2724e361dfaba0851ca6553fe03dd2449\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e74cbe5b37187e19f3304d6dca7e351df1a99ed502460906ffe52edec5b9c3a1\";}}s:5:\"nonce\";s:12:\"88397deef1a0\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1573862410;a:10:{s:2:\"db\";s:53:\"backup_2019-11-16-0000_Bucks_Pizza_6dfe33dcee9c-db.gz\";s:7:\"db-size\";i:620135;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b5d977ec9295895074c8c2f6fe8edcdd1eea5577\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3bc3828d1ba01e9c8820056d7cdf57e26f4ccdf5924d60d97ce4439007fd0959\";}}s:5:\"nonce\";s:12:\"6dfe33dcee9c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1573776002;a:10:{s:2:\"db\";s:53:\"backup_2019-11-15-0000_Bucks_Pizza_6ad6b1db6f7f-db.gz\";s:7:\"db-size\";i:617035;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d335069ce838f244d7fe5621d210709ed5a3bddd\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0c09f8946f826d74c4159e9447189e2c5e61fe70427063ca9e8f2b21a1c0ea37\";}}s:5:\"nonce\";s:12:\"6ad6b1db6f7f\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1573689605;a:10:{s:2:\"db\";s:53:\"backup_2019-11-14-0000_Bucks_Pizza_f9f23456d1af-db.gz\";s:7:\"db-size\";i:611967;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"554d5f3d3a512b87e664b80827a228828f8593e9\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5cf76204bf68c78407dece99fa70158a641718d64bda8564f0eb3354781c4dad\";}}s:5:\"nonce\";s:12:\"f9f23456d1af\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1573603207;a:10:{s:2:\"db\";s:53:\"backup_2019-11-13-0000_Bucks_Pizza_722643caa2cd-db.gz\";s:7:\"db-size\";i:768786;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"4db3a4cabe46d8700f673c894739b4a9991aac41\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ceeacf5e6c343b9a1dde3ff28aae9a79c634267cf4b91e17954cf2bff9e7276d\";}}s:5:\"nonce\";s:12:\"722643caa2cd\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1573516831;a:10:{s:2:\"db\";s:53:\"backup_2019-11-12-0000_Bucks_Pizza_1d0ba4c7be77-db.gz\";s:7:\"db-size\";i:604813;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f7c021f99a71e1044b1008bc6a0e179ee12e7214\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d6fbe8a012298f10a9ae585768b5813bfee5cf4a730d66767ce6cb9d69b5b81c\";}}s:5:\"nonce\";s:12:\"1d0ba4c7be77\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1573430409;a:10:{s:2:\"db\";s:53:\"backup_2019-11-11-0000_Bucks_Pizza_12807feb4208-db.gz\";s:7:\"db-size\";i:601992;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"27ade8e8d2f2aa60916663b8e7f13dd1dd383fb5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a8f55dba22882353878a19288378657c13c22189f8629650ad519593a866722b\";}}s:5:\"nonce\";s:12:\"12807feb4208\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1573344007;a:10:{s:2:\"db\";s:53:\"backup_2019-11-10-0000_Bucks_Pizza_d50fe6a6024f-db.gz\";s:7:\"db-size\";i:609311;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"fdfdfd3a6977f3235103d83769b522fbc8c0e15a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"12a1e5184f9300c72f9bd075f1bca43ad222894528e19e8a30be1d2d9d962c15\";}}s:5:\"nonce\";s:12:\"d50fe6a6024f\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1573257603;a:10:{s:2:\"db\";s:53:\"backup_2019-11-09-0000_Bucks_Pizza_4a0c1c8b0a6b-db.gz\";s:7:\"db-size\";i:608230;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"384626f56947022ee3516e036f7e1c12ae7037d8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"94511918ae2f6c9c6a2e929f43f88a00a378e25d99f5d11f370e09486d5e1f64\";}}s:5:\"nonce\";s:12:\"4a0c1c8b0a6b\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1573171200;a:10:{s:2:\"db\";s:53:\"backup_2019-11-08-0000_Bucks_Pizza_95d8a0a9ecd0-db.gz\";s:7:\"db-size\";i:613726;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"44d845121833ceef483e329878d16055193a4949\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0473b6ae34be539d0a9b809afa2fea91ebda5add89cb325394e89c2520205791\";}}s:5:\"nonce\";s:12:\"95d8a0a9ecd0\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1573084837;a:10:{s:2:\"db\";s:53:\"backup_2019-11-07-0000_Bucks_Pizza_472907bb9fd2-db.gz\";s:7:\"db-size\";i:621521;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"38405879b551ddd77b6015f0e9b7afcd8259d5ad\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f5de4eebbfb74e7aed886d8dcadf237212bc990c9eeae81bcb9aba42b9a02c5d\";}}s:5:\"nonce\";s:12:\"472907bb9fd2\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1572998407;a:10:{s:2:\"db\";s:53:\"backup_2019-11-06-0000_Bucks_Pizza_b0ea0763aace-db.gz\";s:7:\"db-size\";i:630105;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c1a0af7a32d083a20efb718e9d54f923efadbb24\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d44d112a4e2b7242cd3c80933b470588eada8427faf3253a1a3ffa10039f193e\";}}s:5:\"nonce\";s:12:\"b0ea0763aace\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1572912021;a:10:{s:2:\"db\";s:53:\"backup_2019-11-05-0000_Bucks_Pizza_b2391959da21-db.gz\";s:7:\"db-size\";i:633421;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"be0e09e44d2101ec48af8993855a618edfa21e18\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"92ce81209f49d4b6dd64c128ea383a9f7af52b8297616fdeba6925c45893efea\";}}s:5:\"nonce\";s:12:\"b2391959da21\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1572825604;a:10:{s:2:\"db\";s:53:\"backup_2019-11-04-0000_Bucks_Pizza_fda60f3ce09a-db.gz\";s:7:\"db-size\";i:636145;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"fd5900db868288f0ac1b0a52e02e28b9f5d9d9de\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ee19fd1298730fe572226d1673d0943be44d2fd1340a1a15e96cf98e2313b6eb\";}}s:5:\"nonce\";s:12:\"fda60f3ce09a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1572739205;a:10:{s:2:\"db\";s:53:\"backup_2019-11-03-0000_Bucks_Pizza_d2aa14c828d5-db.gz\";s:7:\"db-size\";i:632617;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"321b3d828c21bcc6797f7eaa747d82668bbc021c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"020c020cc07e5e87885dce4cec35ff567af3e641c7604151db70b558d862ed9c\";}}s:5:\"nonce\";s:12:\"d2aa14c828d5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1572652870;a:10:{s:2:\"db\";s:53:\"backup_2019-11-02-0001_Bucks_Pizza_8d925e9fe203-db.gz\";s:7:\"db-size\";i:619924;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"568b8a41103c7ff6ded846c1110f612970c732ea\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"445d901e94b117e27b91bbbdf5ec9d616dc609d2e865500ffcef2cc2ef07ea11\";}}s:5:\"nonce\";s:12:\"8d925e9fe203\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1572566415;a:10:{s:2:\"db\";s:53:\"backup_2019-11-01-0000_Bucks_Pizza_523f7ff047ba-db.gz\";s:7:\"db-size\";i:625764;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0e2d32f19e187dd00c5b84f31db3345b8ad6fa28\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"03dca50abaeefba72b5b75eb540215adbc37de928b3e47e826a7b68354a409c8\";}}s:5:\"nonce\";s:12:\"523f7ff047ba\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1572480009;a:10:{s:2:\"db\";s:53:\"backup_2019-10-31-0000_Bucks_Pizza_b4ceeced2646-db.gz\";s:7:\"db-size\";i:614176;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ea2d10548b346dc4305751d46fe8a59f17fb7981\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0b19fac3a7320492f5e642827139fce9fbb92453f65637a23a1b3f3eb778723d\";}}s:5:\"nonce\";s:12:\"b4ceeced2646\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1572393607;a:10:{s:2:\"db\";s:53:\"backup_2019-10-30-0000_Bucks_Pizza_91a39a0e5f5b-db.gz\";s:7:\"db-size\";i:614960;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d5081bb367ed8a4b298bae43d76f495c4970ec71\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"763dafaa2dd44c32206abc72bee98d66b7d72880059a8e1e3affa147716de904\";}}s:5:\"nonce\";s:12:\"91a39a0e5f5b\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1572307222;a:10:{s:2:\"db\";s:53:\"backup_2019-10-29-0000_Bucks_Pizza_6c619231c977-db.gz\";s:7:\"db-size\";i:603216;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b5191e23dfc1c75abe863c76834b0870fa403a25\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2707a1af289b147cd1928a63f7d6e487f40567a09c1413b2e688676a835e2112\";}}s:5:\"nonce\";s:12:\"6c619231c977\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1572220805;a:10:{s:2:\"db\";s:53:\"backup_2019-10-28-0000_Bucks_Pizza_b32816f4c99b-db.gz\";s:7:\"db-size\";i:609417;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"cb3d58f9b9dddb9a71bddc8faa29c5998195ab5d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4777d57b708fff1dc4a9c7de03bb2b6157f3ca2c90756b83eda0ac77d16bd8a0\";}}s:5:\"nonce\";s:12:\"b32816f4c99b\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1572134411;a:10:{s:2:\"db\";s:53:\"backup_2019-10-27-0000_Bucks_Pizza_83424bba9327-db.gz\";s:7:\"db-size\";i:614409;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"94f1aa22b30a0c6b81b5b5b84d27d4ce090613b8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2fd10ca8f717a881ba36f02f81e21f8dc270f4d45ebc575e5c17ddc19442247c\";}}s:5:\"nonce\";s:12:\"83424bba9327\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1572048010;a:10:{s:2:\"db\";s:53:\"backup_2019-10-26-0000_Bucks_Pizza_e82d6a805c6c-db.gz\";s:7:\"db-size\";i:627853;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e54a39a468337baf8653892b9882c87448043652\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e7e246811bef47c821f93763a3d05a5e9845e258c6c0599bdb14f976f45935b2\";}}s:5:\"nonce\";s:12:\"e82d6a805c6c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1571961630;a:10:{s:2:\"db\";s:53:\"backup_2019-10-25-0000_Bucks_Pizza_0f5db30ebb57-db.gz\";s:7:\"db-size\";i:629238;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2561d96cd66cd7c1b405dc69be34beb450c435c3\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2501cd86dc9d53dfba11316bc9769b76f0ed45a0b9759fc51d18d6b6d9b72290\";}}s:5:\"nonce\";s:12:\"0f5db30ebb57\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1571875213;a:10:{s:2:\"db\";s:53:\"backup_2019-10-24-0000_Bucks_Pizza_9db2c8343399-db.gz\";s:7:\"db-size\";i:804795;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"bc762f178529db050fb4bae0ceb50b26b5cab314\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0cdd3d54784f3a0e4026e76ede8e60aaeb3ce99ea40e5affae1e8b32598c2f79\";}}s:5:\"nonce\";s:12:\"9db2c8343399\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1571788814;a:10:{s:2:\"db\";s:53:\"backup_2019-10-23-0000_Bucks_Pizza_445455ea5529-db.gz\";s:7:\"db-size\";i:625208;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"411c83b8e836ac00d5e7fd79dba97226305cd7b2\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5878fe6eef6e2efc344b06521c7b765894728ad3d4463ac22f3437eb7e7c52c1\";}}s:5:\"nonce\";s:12:\"445455ea5529\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1571702438;a:10:{s:2:\"db\";s:53:\"backup_2019-10-22-0000_Bucks_Pizza_3073230e7e7a-db.gz\";s:7:\"db-size\";i:622763;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"22d4572752424a09a733d7f77730c2ee4a8e2280\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"14e842b4ee0ae2d3cc4a4c120e82eda617493c319d370ae289930ca16b6120ae\";}}s:5:\"nonce\";s:12:\"3073230e7e7a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1571616004;a:10:{s:2:\"db\";s:53:\"backup_2019-10-21-0000_Bucks_Pizza_81d826b16771-db.gz\";s:7:\"db-size\";i:629834;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"82ceeb11ee4488d89f99f798a4652fa0f775c990\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"bdc4d18d45f5fb2b46009d708c27f1199d4004bc594df99ad8235ea0cbbc3a94\";}}s:5:\"nonce\";s:12:\"81d826b16771\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1571529618;a:10:{s:2:\"db\";s:53:\"backup_2019-10-20-0000_Bucks_Pizza_1c922025c9fe-db.gz\";s:7:\"db-size\";i:627676;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"830ebf78157c02caa4ab1cd4004fa0e41328c777\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4676aea69b143bb2132030d29aae66d6d71489fe1cfc98c9649a1b0d108a2042\";}}s:5:\"nonce\";s:12:\"1c922025c9fe\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1571443202;a:10:{s:2:\"db\";s:53:\"backup_2019-10-19-0000_Bucks_Pizza_0512e4e91f14-db.gz\";s:7:\"db-size\";i:621068;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3fd0519c128a8f0e3da381b7fdfc5deb1a6fdc2f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"fb5ddb7d5e1822c4681e65865b43902c16b57fd836242c007d2a6cb89be40290\";}}s:5:\"nonce\";s:12:\"0512e4e91f14\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1571356801;a:10:{s:2:\"db\";s:53:\"backup_2019-10-18-0000_Bucks_Pizza_49934322efc0-db.gz\";s:7:\"db-size\";i:612260;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a01aac02383f86e76d4489a74a330bf56ce9ea21\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"60008a4ffe9792d4a371cb2f5fa2aa9daa9721fa95bd2419577e7fe63e030337\";}}s:5:\"nonce\";s:12:\"49934322efc0\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1571270405;a:10:{s:2:\"db\";s:53:\"backup_2019-10-17-0000_Bucks_Pizza_fc7ef99c1003-db.gz\";s:7:\"db-size\";i:770505;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a62432c088de09b811a759d1f68d58077a4f210f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f916dfaa38e605605e4f1814dfcbc2aba796f70a7aeed6011a65e7e365dcaec6\";}}s:5:\"nonce\";s:12:\"fc7ef99c1003\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1571184015;a:10:{s:2:\"db\";s:53:\"backup_2019-10-16-0000_Bucks_Pizza_81ede25fafc3-db.gz\";s:7:\"db-size\";i:630559;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0e72ae57f9134dc8d6db40d70d49514fd436756d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3bf60778a0353f4d2fac5295922f68c947d6f4b07a4d5adb0e452532e9de1e40\";}}s:5:\"nonce\";s:12:\"81ede25fafc3\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1571097615;a:10:{s:2:\"db\";s:53:\"backup_2019-10-15-0000_Bucks_Pizza_392c734f3b71-db.gz\";s:7:\"db-size\";i:652180;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e9e2d59edcfcf5f0cae7f9d79962b4ba33372092\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"86bfabc74515c5cc570a42808c70aff6260c12dee94f1090dc9d2382f52030ea\";}}s:5:\"nonce\";s:12:\"392c734f3b71\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1571011206;a:10:{s:2:\"db\";s:53:\"backup_2019-10-14-0000_Bucks_Pizza_0b8d2a4ee011-db.gz\";s:7:\"db-size\";i:631477;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"192ec7864adcd0986cd46acecaace0aced156e54\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6364a62717956f4a8b40cb80fac873baacd97a38f0a47b4d9de6b49b375b1cfe\";}}s:5:\"nonce\";s:12:\"0b8d2a4ee011\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1570924803;a:10:{s:2:\"db\";s:53:\"backup_2019-10-13-0000_Bucks_Pizza_b5b0ba30b18d-db.gz\";s:7:\"db-size\";i:634731;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1be567a80537c3543c6d0c5daf260450790245d2\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"45154d8e44751f9ea17b7f757ef5d234eff1911bc773e70edc31f7504eaaf2bf\";}}s:5:\"nonce\";s:12:\"b5b0ba30b18d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1570838403;a:10:{s:2:\"db\";s:53:\"backup_2019-10-12-0000_Bucks_Pizza_287bf480f072-db.gz\";s:7:\"db-size\";i:824273;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ddb36429b3674998903c84db29f0f3be7dc50812\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"18bfaf5ac84e1d8f9f6faf2ac9e867c036fe17bdb4f7aa37d6e7a2ff99c9857a\";}}s:5:\"nonce\";s:12:\"287bf480f072\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1570752006;a:10:{s:2:\"db\";s:53:\"backup_2019-10-11-0000_Bucks_Pizza_e8d070588941-db.gz\";s:7:\"db-size\";i:661224;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0da854b636e5ff7bc49c5959b68062da86bbd69d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"fb98947e1511c2bf3defc1fac97ced8ac100afad7279bc6267983e3143e71879\";}}s:5:\"nonce\";s:12:\"e8d070588941\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1570665602;a:10:{s:2:\"db\";s:53:\"backup_2019-10-10-0000_Bucks_Pizza_bfb58d07d566-db.gz\";s:7:\"db-size\";i:665305;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3a09e49c847642ece07e23523905a88997e10dfc\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"403c98360f6551082de58421b0d5c34e84cbc35a11d35dd3f359dc785062fce6\";}}s:5:\"nonce\";s:12:\"bfb58d07d566\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1570579205;a:10:{s:2:\"db\";s:53:\"backup_2019-10-09-0000_Bucks_Pizza_fee41bb71ad1-db.gz\";s:7:\"db-size\";i:671531;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e763fd7f1ea0ed1a767e1a5cccebc97b131b4204\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a968694654d137283500fae2af36bd1564d4b9dd99d9690e159e5dd826fa34fa\";}}s:5:\"nonce\";s:12:\"fee41bb71ad1\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1570492800;a:10:{s:2:\"db\";s:53:\"backup_2019-10-08-0000_Bucks_Pizza_40f94a3945b2-db.gz\";s:7:\"db-size\";i:837664;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3d9cb66d48af671548b576b8473be25c39fd0f35\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"168651d4d2389a876d830a9851ced1d567dfda2c0250e2c32c0f220705a48462\";}}s:5:\"nonce\";s:12:\"40f94a3945b2\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1570406426;a:10:{s:2:\"db\";s:53:\"backup_2019-10-07-0000_Bucks_Pizza_5ff2d9832168-db.gz\";s:7:\"db-size\";i:656332;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0668062a0ae8215e3fabb274ab2908f50286796f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a3da9f234cb2d6e0205b2cdc8a1b943903ef3f3a9ce9c8a8ab81e6134f846855\";}}s:5:\"nonce\";s:12:\"5ff2d9832168\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1570320003;a:10:{s:2:\"db\";s:53:\"backup_2019-10-06-0000_Bucks_Pizza_79fc450bafb4-db.gz\";s:7:\"db-size\";i:657012;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"dce8a723738a01b0353dee70b716c2d18eca151f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2934764278d8587919ba25e16d23d7d679dc35e6dbd5b43daafbc7e7aacc4b3c\";}}s:5:\"nonce\";s:12:\"79fc450bafb4\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1570233605;a:10:{s:2:\"db\";s:53:\"backup_2019-10-05-0000_Bucks_Pizza_4d9be7fe240b-db.gz\";s:7:\"db-size\";i:646323;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"39548ee8fc4c8c8cefe6ad4b0cf8e39471831076\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"63c85a25b1536f63e9baf62bbc42b1966b5e5b66ad817d3fb9ac75e0505f68ab\";}}s:5:\"nonce\";s:12:\"4d9be7fe240b\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1570147215;a:10:{s:2:\"db\";s:53:\"backup_2019-10-04-0000_Bucks_Pizza_d18bb77f998c-db.gz\";s:7:\"db-size\";i:840995;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"381310ab0e1fe83f87b23d08a96ca9769a331013\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"33be227daaea46eb3ef464527327bd12d3651fe48557b2ea980fd34d56f60c98\";}}s:5:\"nonce\";s:12:\"d18bb77f998c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1570060805;a:10:{s:2:\"db\";s:53:\"backup_2019-10-03-0000_Bucks_Pizza_c34923cc1e57-db.gz\";s:7:\"db-size\";i:620543;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e39ae3e268a700e9da62313a6a07f6bfab11f13d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5abd5631e3ba01534e543ddaae32428c3088a1c9fdb33cd94b438689bf5342b2\";}}s:5:\"nonce\";s:12:\"c34923cc1e57\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1569974407;a:10:{s:2:\"db\";s:53:\"backup_2019-10-02-0000_Bucks_Pizza_a02ef500cd12-db.gz\";s:7:\"db-size\";i:600474;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b6d8a3098cbbe07660c02b47c592da3fa416d6d7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"8c7d63484dda40b919997ca797ff75d9d0119156cb7fb2ad2bdfd3d071a5ce4c\";}}s:5:\"nonce\";s:12:\"a02ef500cd12\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1569888004;a:10:{s:2:\"db\";s:53:\"backup_2019-10-01-0000_Bucks_Pizza_689ea2ffab3d-db.gz\";s:7:\"db-size\";i:586702;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"63df5a8d45b936fee21d02a5515e6e5cf741d04e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6e273108bcf5edd542bbedd89b4f3c400ed28416835cb657b795bf4b4124f75d\";}}s:5:\"nonce\";s:12:\"689ea2ffab3d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1569801641;a:10:{s:2:\"db\";s:53:\"backup_2019-09-30-0000_Bucks_Pizza_9ffaeee897da-db.gz\";s:7:\"db-size\";i:589263;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d428f1a9c018e24c55d33c26880ac3b37fda2586\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"96be8839a19963eebe451ca252ee4f13944509e8d48a6710d596b16bb6bcdd2b\";}}s:5:\"nonce\";s:12:\"9ffaeee897da\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1569715202;a:10:{s:2:\"db\";s:53:\"backup_2019-09-29-0000_Bucks_Pizza_59fb92af57ca-db.gz\";s:7:\"db-size\";i:590475;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"dbe0fef6da8030d8debb414447cfb7adbd564d94\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"50a4d1cdbb4b2df72a945d2443f8b34aa4c0fe497582d3203132fe979975f168\";}}s:5:\"nonce\";s:12:\"59fb92af57ca\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1569628825;a:10:{s:2:\"db\";s:53:\"backup_2019-09-28-0000_Bucks_Pizza_df7155274bc9-db.gz\";s:7:\"db-size\";i:592377;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"4e476c4768056dfcd7fdaddcc57dc927691a5be5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"86afc25593990b6c463c6570e14f5d05a5a20bb6b4d3b57713a6fa4948048ea1\";}}s:5:\"nonce\";s:12:\"df7155274bc9\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1569542409;a:10:{s:2:\"db\";s:53:\"backup_2019-09-27-0000_Bucks_Pizza_e46059d770fd-db.gz\";s:7:\"db-size\";i:588460;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"56cf0640d651fbeb4c4fd36741fa4c154a221a6c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"663acea329959b33fec1e7b157169634f261673a966baee0543c318f29ee8dd1\";}}s:5:\"nonce\";s:12:\"e46059d770fd\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1569456029;a:10:{s:2:\"db\";s:53:\"backup_2019-09-26-0000_Bucks_Pizza_7bb7a4ac9c71-db.gz\";s:7:\"db-size\";i:582931;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0126269bc48f67b2f169b0726779c92a8e99c940\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3cabe929eefdad47de5e0d03d4f9d39434dda5b5e256de188629211ca2cecaab\";}}s:5:\"nonce\";s:12:\"7bb7a4ac9c71\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1569369633;a:10:{s:2:\"db\";s:53:\"backup_2019-09-25-0000_Bucks_Pizza_6e29534deac0-db.gz\";s:7:\"db-size\";i:598812;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1130a5f34ea495ff8dd54f5d13e202bc4579db61\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ec842273ddd2b676574a70bcd72333fa123b353f3e27a84f7ea66d7d196d8c09\";}}s:5:\"nonce\";s:12:\"6e29534deac0\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1569283201;a:10:{s:2:\"db\";s:53:\"backup_2019-09-24-0000_Bucks_Pizza_647949eb4679-db.gz\";s:7:\"db-size\";i:599495;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0e60ffb52e49f0ba2c4bd4649bed8a351c9c304b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a5017de52816d66c7b375e776e3a6e995261a58a92f2fd4bc2eba771825b4315\";}}s:5:\"nonce\";s:12:\"647949eb4679\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1569196830;a:10:{s:2:\"db\";s:53:\"backup_2019-09-23-0000_Bucks_Pizza_91b9abea70e7-db.gz\";s:7:\"db-size\";i:605366;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a170befee8c0c7de27c220138f211f377b479741\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5bba35c0bc7fe9f7a917f8b6914a58bb6bc0a3bebea6222239f9bcf65dbb9925\";}}s:5:\"nonce\";s:12:\"91b9abea70e7\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1569110404;a:10:{s:2:\"db\";s:53:\"backup_2019-09-22-0000_Bucks_Pizza_ff87f75e4842-db.gz\";s:7:\"db-size\";i:600046;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3cea56094a43ba43c59cc6b34844ca6b52058190\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f6fcca85c9f1da90eb0aeb27e849b0e65ed4e5df8cae24a32c9c30ee0f49af17\";}}s:5:\"nonce\";s:12:\"ff87f75e4842\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1569024009;a:10:{s:2:\"db\";s:53:\"backup_2019-09-21-0000_Bucks_Pizza_e7e9284102d8-db.gz\";s:7:\"db-size\";i:600592;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"547f8aedf5f147c7b3c2702f4cb6357e66b0275d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"edd735ba723a4ca0fa5e70309b8f2cd00aa5ad487a013e994c13b502db8db1bc\";}}s:5:\"nonce\";s:12:\"e7e9284102d8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1568937600;a:10:{s:2:\"db\";s:53:\"backup_2019-09-20-0000_Bucks_Pizza_799b423230e7-db.gz\";s:7:\"db-size\";i:741291;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6eff6bcdf4e0ff4fa9dde6d302b38b24ccb435b2\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"479bd24a5df7fb4c6ea52afc1b5967836bd8f957d728821d18270016dae2c72d\";}}s:5:\"nonce\";s:12:\"799b423230e7\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1568851218;a:10:{s:2:\"db\";s:53:\"backup_2019-09-19-0000_Bucks_Pizza_a17befbbb265-db.gz\";s:7:\"db-size\";i:609221;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"88dd0988bfd2fe1d6315c5b9e1d005367cbc3066\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e3fe45fdd496b9fb042244247cf856da606831670d0ed3347f9e6cb6fd61d66f\";}}s:5:\"nonce\";s:12:\"a17befbbb265\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1568764834;a:10:{s:2:\"db\";s:53:\"backup_2019-09-18-0000_Bucks_Pizza_a98efc2ab153-db.gz\";s:7:\"db-size\";i:605783;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9bfe6f04f8e369f3996dcde2fd4f975a2f77706e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"227e04d2092207118608534d1b4e4dffe600e22a0f84e47d38a2abeb7dca9fbb\";}}s:5:\"nonce\";s:12:\"a98efc2ab153\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1568678408;a:10:{s:2:\"db\";s:53:\"backup_2019-09-17-0000_Bucks_Pizza_cf275220da9d-db.gz\";s:7:\"db-size\";i:616458;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"684bbb93e15501405353a3b5af653d4915594678\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"84e32e22081bbb872227427ec67008e4321d5fdd36cb59509e53c37974e6eb65\";}}s:5:\"nonce\";s:12:\"cf275220da9d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1568592003;a:10:{s:2:\"db\";s:53:\"backup_2019-09-16-0000_Bucks_Pizza_a4c6bc51c930-db.gz\";s:7:\"db-size\";i:622188;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"07ff2c28b54864ac0ad6873a744c69b28dd2ec95\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c0209c91003714a2e17bc9facce070b73580d1598cdd2a27f367c5dcbba242f1\";}}s:5:\"nonce\";s:12:\"a4c6bc51c930\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1568505609;a:10:{s:2:\"db\";s:53:\"backup_2019-09-15-0000_Bucks_Pizza_254b49204303-db.gz\";s:7:\"db-size\";i:613251;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"bf5484816563ff57bbfba530f50ef32f58dd1925\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"21bae9e0438a44dfa4cd4fbe148c1458f6d376a0255b05a0301e75cff03d27cd\";}}s:5:\"nonce\";s:12:\"254b49204303\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1568419210;a:10:{s:2:\"db\";s:53:\"backup_2019-09-14-0000_Bucks_Pizza_9aee02b309a9-db.gz\";s:7:\"db-size\";i:622573;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f31cec43b5b3ca37641fef99ef0cf6a55125f1ef\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"aedd28f88cd18284ffd7df26bd1c469710d202f444b244e7c03936fcdf26659a\";}}s:5:\"nonce\";s:12:\"9aee02b309a9\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1568332828;a:10:{s:2:\"db\";s:53:\"backup_2019-09-13-0000_Bucks_Pizza_eceefecbbb1e-db.gz\";s:7:\"db-size\";i:624865;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"da9c5d614302509fa7bef54ba05544039c77505e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"435ab1a4da40462aadf40b8bf7580d180b8a17a02ce9f0651c7eab3d1e7c2ff3\";}}s:5:\"nonce\";s:12:\"eceefecbbb1e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1568246403;a:10:{s:2:\"db\";s:53:\"backup_2019-09-12-0000_Bucks_Pizza_e19a03754508-db.gz\";s:7:\"db-size\";i:755801;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"45d60d691cdf99de28203dceb20ba52c669f1ed2\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ca430bee1a73d788d3f129156a92815ea92d2060cfecf0b03e8b38f4f2b9ed33\";}}s:5:\"nonce\";s:12:\"e19a03754508\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1568160003;a:10:{s:2:\"db\";s:53:\"backup_2019-09-11-0000_Bucks_Pizza_536a5784045e-db.gz\";s:7:\"db-size\";i:760539;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"cad94e21ccc047cb577b6d5956d20a6995f108c2\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"1d0eedbcd17d6cf72181584f69166c1ef722e5139e29411eaf932271c4d1500f\";}}s:5:\"nonce\";s:12:\"536a5784045e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1568073625;a:10:{s:2:\"db\";s:53:\"backup_2019-09-10-0000_Bucks_Pizza_2f3cd3d815dd-db.gz\";s:7:\"db-size\";i:769566;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"4d8ba78ccf85c7370a4c5e2c0a7c9be4eb42e96a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3688ea2ccadec0247b12e588adfd9145510e1ba841167fc2324ded754f302851\";}}s:5:\"nonce\";s:12:\"2f3cd3d815dd\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1567987241;a:10:{s:2:\"db\";s:53:\"backup_2019-09-09-0000_Bucks_Pizza_d002aeebbc48-db.gz\";s:7:\"db-size\";i:624357;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7e9f15b78284e176fa3b4053c5be1e1a8ce6a539\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"415d3fb78788177cd508f5404237a36e847513eb835a278413c3140aa7d56a6e\";}}s:5:\"nonce\";s:12:\"d002aeebbc48\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1567900801;a:10:{s:2:\"db\";s:53:\"backup_2019-09-08-0000_Bucks_Pizza_7e601e91fffc-db.gz\";s:7:\"db-size\";i:636556;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8044c7a4b99aed5d20fd76851ff6074819db1e83\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"141cf556a05a17ee480b5cb4bce1c121abdca546aaea306d7212ce3487c629f7\";}}s:5:\"nonce\";s:12:\"7e601e91fffc\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1567814442;a:10:{s:2:\"db\";s:53:\"backup_2019-09-07-0000_Bucks_Pizza_c8929c8d6433-db.gz\";s:7:\"db-size\";i:638697;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"eb21f019491d9c48b1e068e05323187fc226bbf5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c4c83ceb643e6ed1fa544d0730edd942d9cc4dc8c10f9be06a6a9e3197cfa64a\";}}s:5:\"nonce\";s:12:\"c8929c8d6433\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1567728002;a:10:{s:2:\"db\";s:53:\"backup_2019-09-06-0000_Bucks_Pizza_6795607122a4-db.gz\";s:7:\"db-size\";i:639943;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d987c9a2084cbe99057ec9b76d028d86baebd5d4\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9ac9802096cc5b11e1241d55ec64341f10df3f3cab3acacd717b887f49ae32dc\";}}s:5:\"nonce\";s:12:\"6795607122a4\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1567641602;a:10:{s:2:\"db\";s:53:\"backup_2019-09-05-0000_Bucks_Pizza_441af004073c-db.gz\";s:7:\"db-size\";i:629323;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"722db25b96eb82fb8b7d1ec768a69acc36389338\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5c461c13601d12e1e4fefbe382dcffefce620562b59d792d72a0faf1c6b72c47\";}}s:5:\"nonce\";s:12:\"441af004073c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1567555211;a:10:{s:2:\"db\";s:53:\"backup_2019-09-04-0000_Bucks_Pizza_81c2d7308764-db.gz\";s:7:\"db-size\";i:617297;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7adb764d5ee8dc0c525b4d23bc63be8322c18f89\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"831aab8cb3cf45f14b92424115c1c82ed3bdc71c2a8fd2a99732528a1337b3f5\";}}s:5:\"nonce\";s:12:\"81c2d7308764\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1567468805;a:10:{s:2:\"db\";s:53:\"backup_2019-09-03-0000_Bucks_Pizza_743474413206-db.gz\";s:7:\"db-size\";i:610092;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d186db99773e0df20e184366fcf9fa54b942c72d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"588ee55120eda76014df8cb9394d0452b7d2fec38be8fc73c7346b8319ae5e20\";}}s:5:\"nonce\";s:12:\"743474413206\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1567382400;a:10:{s:2:\"db\";s:53:\"backup_2019-09-02-0000_Bucks_Pizza_a6af332c63ca-db.gz\";s:7:\"db-size\";i:597368;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0505f34a8035465ef72543567cb7fc32b52de40f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"1bf19b72920beb0852fed3dd9252c8bc1f10932fb81b6ebc2fe1cb613a296468\";}}s:5:\"nonce\";s:12:\"a6af332c63ca\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1567296008;a:10:{s:2:\"db\";s:53:\"backup_2019-09-01-0000_Bucks_Pizza_39cd91f16a3c-db.gz\";s:7:\"db-size\";i:595001;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b870406d3944789ed382f2c9487a22698245f22a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ea76405f37167494200734d64d7bbe167ebe94e93801f2e7cd775900d371808e\";}}s:5:\"nonce\";s:12:\"39cd91f16a3c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1567209610;a:10:{s:2:\"db\";s:53:\"backup_2019-08-31-0000_Bucks_Pizza_b897cffa0c01-db.gz\";s:7:\"db-size\";i:587588;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b3733cae3265617a72b9a43867390a0b2bddb547\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d3c4192ac1fcf881f0f874fc4eba6e363404257b1a41af59ac0567ff86599b9e\";}}s:5:\"nonce\";s:12:\"b897cffa0c01\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1567123209;a:10:{s:2:\"db\";s:53:\"backup_2019-08-30-0000_Bucks_Pizza_e6a2bf62bf4e-db.gz\";s:7:\"db-size\";i:574089;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6b2f7acd83291e2e31a10b0b9d9f2dd18084df49\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"36ec42888ef6ac091e1eaf3aac0f336ae783d63c44e67c155e416de49552afc6\";}}s:5:\"nonce\";s:12:\"e6a2bf62bf4e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1567036825;a:10:{s:2:\"db\";s:53:\"backup_2019-08-29-0000_Bucks_Pizza_d7742a20dad6-db.gz\";s:7:\"db-size\";i:583598;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"108c90945c46300fa594797c43378e70d8d6033c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a0deca85fa09efa70df0c7e5809f942aa5b0429935812f1ad4975ddef9026f5f\";}}s:5:\"nonce\";s:12:\"d7742a20dad6\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1566950411;a:10:{s:2:\"db\";s:53:\"backup_2019-08-28-0000_Bucks_Pizza_6789540a03f9-db.gz\";s:7:\"db-size\";i:601457;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0349c7bad1edb42cc0a3d67e266842cf38f9055c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"078665009f71b7ace389130a2ddf7114190c2f1a6e4f0d00e9714af77ea6e671\";}}s:5:\"nonce\";s:12:\"6789540a03f9\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1566864038;a:10:{s:2:\"db\";s:53:\"backup_2019-08-27-0000_Bucks_Pizza_25f06b977f5d-db.gz\";s:7:\"db-size\";i:749398;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"84156eab440a39019fa9b6ad14bed7c9fa91a625\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"062899a63b4246e8a3644da18d5955859c852f39e92900f67c821f70fd6868a6\";}}s:5:\"nonce\";s:12:\"25f06b977f5d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1566777619;a:10:{s:2:\"db\";s:53:\"backup_2019-08-26-0000_Bucks_Pizza_f183f9bb57e5-db.gz\";s:7:\"db-size\";i:623329;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d358f3288fb6bce419ef5ed7fc5427376f94212d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9e387c56cd1bf6d5e7f748a685c000b221d7d941bcf5b983d97f8b674e7a3a87\";}}s:5:\"nonce\";s:12:\"f183f9bb57e5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1566691215;a:10:{s:2:\"db\";s:53:\"backup_2019-08-25-0000_Bucks_Pizza_457be9636fac-db.gz\";s:7:\"db-size\";i:628879;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6b12c78a69ccd4cb7867e55fef6006fb033f2157\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4d35826ab4b14eee1457c89ce8eda9ed570e5f7d3d68e54cdbb9449add6460b9\";}}s:5:\"nonce\";s:12:\"457be9636fac\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1566604864;a:10:{s:2:\"db\";s:53:\"backup_2019-08-24-0001_Bucks_Pizza_1c68d37f1997-db.gz\";s:7:\"db-size\";i:624532;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"944c21ad5af8e39e5ec1dea0e78db038fd9ec000\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"8ea9f2dd51c3d2c76b37a17ec349c45631b77dabe6e5fc64958f7a274a099640\";}}s:5:\"nonce\";s:12:\"1c68d37f1997\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1566518410;a:10:{s:2:\"db\";s:53:\"backup_2019-08-23-0000_Bucks_Pizza_d6b6b15ee8f0-db.gz\";s:7:\"db-size\";i:641261;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ca43931779a8c5e59d2bdaaf00b6706e85dd2a65\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c682595cab97900211b8a79fa3e2a722c65f2d2466b99056c7c26fb4a5b3f8e3\";}}s:5:\"nonce\";s:12:\"d6b6b15ee8f0\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1566432004;a:10:{s:2:\"db\";s:53:\"backup_2019-08-22-0000_Bucks_Pizza_583886dc5bd9-db.gz\";s:7:\"db-size\";i:654076;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ad238c29a5769835ac269800eca018c5c655b22f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"65bcd90f3f6c4331e0f99775f2d48555aa401507cf97d6396c8960fa57bdf153\";}}s:5:\"nonce\";s:12:\"583886dc5bd9\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1566345603;a:10:{s:2:\"db\";s:53:\"backup_2019-08-21-0000_Bucks_Pizza_89f8ad58abc0-db.gz\";s:7:\"db-size\";i:643162;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a16e46485a7593617f622774b0a9136c031c621a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"1dd21db0041739c97b3b488d9cd9b26f632ea498cb06bc707ab6f46796536dd5\";}}s:5:\"nonce\";s:12:\"89f8ad58abc0\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1566259213;a:10:{s:2:\"db\";s:53:\"backup_2019-08-20-0000_Bucks_Pizza_fbea79e818c5-db.gz\";s:7:\"db-size\";i:638862;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6e7993cbd995d0c8991c310c416eb1c099766967\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"1a7f5f6bb28e99495327b2d6b3ed88c68e3e53337aafb24620f1385458bdb0a3\";}}s:5:\"nonce\";s:12:\"fbea79e818c5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1566172814;a:10:{s:2:\"db\";s:53:\"backup_2019-08-19-0000_Bucks_Pizza_5d2a1e4466b7-db.gz\";s:7:\"db-size\";i:632904;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"771691dfdbb7f6fe36052c9f74228217e6215642\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0dee4e53b92cd5cea81c12911e740d81b2e1093bf0469150935bca049ef437e9\";}}s:5:\"nonce\";s:12:\"5d2a1e4466b7\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1566086411;a:10:{s:2:\"db\";s:53:\"backup_2019-08-18-0000_Bucks_Pizza_c750f2fb1a96-db.gz\";s:7:\"db-size\";i:632119;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8d391c8ca357cf41f0d694c0b7d76a35de6b5deb\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d48bc1dc6e05ab8cc843f69da67b24b3dddafdd543bd89d9f65cd5bd09983e19\";}}s:5:\"nonce\";s:12:\"c750f2fb1a96\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1566000016;a:10:{s:2:\"db\";s:53:\"backup_2019-08-17-0000_Bucks_Pizza_1106f33c8b69-db.gz\";s:7:\"db-size\";i:630972;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2ff8247c3e36fb4591f27b7869486e88d543d78d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"581a57654735aff1ad7156f5a45734edc31138d81ed65cbd22754964d1bc53d6\";}}s:5:\"nonce\";s:12:\"1106f33c8b69\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1565913601;a:10:{s:2:\"db\";s:53:\"backup_2019-08-16-0000_Bucks_Pizza_fd61d39830f5-db.gz\";s:7:\"db-size\";i:629179;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"dd7802bd39ccde6416db205ea5a095fe4d4530af\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"47b82d8d9b239344cc7d519940f764259eaa89ea11a2af33429860e171ec527d\";}}s:5:\"nonce\";s:12:\"fd61d39830f5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1565827202;a:10:{s:2:\"db\";s:53:\"backup_2019-08-15-0000_Bucks_Pizza_b0d9157a5e9f-db.gz\";s:7:\"db-size\";i:767028;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7960a690ca31956c2d920afee31d0aeecb4ab5bc\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"01c83ab30eb990063ac62581317f1b1472fbb522afb0f3e60ca8df4643657a73\";}}s:5:\"nonce\";s:12:\"b0d9157a5e9f\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1565740823;a:10:{s:2:\"db\";s:53:\"backup_2019-08-14-0000_Bucks_Pizza_5f19baa89afd-db.gz\";s:7:\"db-size\";i:619798;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d8712b3b9d6b688e5499998ceb3fe07f7266e2c6\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a18b26d1f7ade7edc5c123e6cdaab1299450ee1174acf8aced83ef23494e6c51\";}}s:5:\"nonce\";s:12:\"5f19baa89afd\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1565654401;a:10:{s:2:\"db\";s:53:\"backup_2019-08-13-0000_Bucks_Pizza_e986d2a70141-db.gz\";s:7:\"db-size\";i:621101;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8d455febcaaa0ad27fcf59d75497881d27658d2c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"09c9e08cf877a55b26326eaebfc2bca7888cabc88afc6db4bb488002277389ae\";}}s:5:\"nonce\";s:12:\"e986d2a70141\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1565568005;a:10:{s:2:\"db\";s:53:\"backup_2019-08-12-0000_Bucks_Pizza_0e4635523787-db.gz\";s:7:\"db-size\";i:608645;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"fa180dfbcfd8e377e7c0aadcbaa656c977196d65\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"8d975b389817909800d1c0c47c536ce102c4153e97c3b2ac77013d46d9f8cab8\";}}s:5:\"nonce\";s:12:\"0e4635523787\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1565481602;a:10:{s:2:\"db\";s:53:\"backup_2019-08-11-0000_Bucks_Pizza_f35e0e02b5f0-db.gz\";s:7:\"db-size\";i:607549;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"80a6352c0d901d89a91abcf3f139fd58be3c1077\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"25f19a4027326a403dd9d617a9debdd81ec01762a96d148ce6d492143f6cb585\";}}s:5:\"nonce\";s:12:\"f35e0e02b5f0\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1565395220;a:10:{s:2:\"db\";s:53:\"backup_2019-08-10-0000_Bucks_Pizza_3e6d10081c0a-db.gz\";s:7:\"db-size\";i:600857;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"bd0fd3b718630193db02f38228c19875f5d3585e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4275831533cc8aac544fcf5422cabefb841cef5b94f4e8510d800e9952f30498\";}}s:5:\"nonce\";s:12:\"3e6d10081c0a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1565308814;a:10:{s:2:\"db\";s:53:\"backup_2019-08-09-0000_Bucks_Pizza_40d9b36f13df-db.gz\";s:7:\"db-size\";i:600611;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b098967499ffe809780f6bce0e3c610cf7a55753\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4139a8ec359e4a825a4a1f7dd01b199077f96045ff1db84344cf293f46a84958\";}}s:5:\"nonce\";s:12:\"40d9b36f13df\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1565222404;a:10:{s:2:\"db\";s:53:\"backup_2019-08-08-0000_Bucks_Pizza_78b5e4b5b95e-db.gz\";s:7:\"db-size\";i:596557;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"806c81cf8184ec3820ab9f55d173da895c7f2610\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ccd7b7467fe2500ee33075397c3b09422b0b4615d5726f91e9801f255ea3989d\";}}s:5:\"nonce\";s:12:\"78b5e4b5b95e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1565136010;a:10:{s:2:\"db\";s:53:\"backup_2019-08-07-0000_Bucks_Pizza_4bc6f4c66610-db.gz\";s:7:\"db-size\";i:586608;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ef9e311bed9e74c4baae447cc7faf0a4155f7b3e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"74c1ac8647020d264e3a625d02e68afa971c25d3bfab513d2b39d0c291687700\";}}s:5:\"nonce\";s:12:\"4bc6f4c66610\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1565049614;a:10:{s:2:\"db\";s:53:\"backup_2019-08-06-0000_Bucks_Pizza_48026707eb30-db.gz\";s:7:\"db-size\";i:583896;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"acc197cbfc2711f1234d02e34716c9db33c1e713\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5492c0f955b87544afb1423630b88ca6e0e2b7bf382e4b66f3274d69498a875a\";}}s:5:\"nonce\";s:12:\"48026707eb30\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1564963206;a:10:{s:2:\"db\";s:53:\"backup_2019-08-05-0000_Bucks_Pizza_84289d48eca6-db.gz\";s:7:\"db-size\";i:593526;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2ce39d5129b50881eaf50bf107e7fc6043a0b150\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5a7b77f5e2337dea45d194aee1afb2236856146dae2c72ada42c1768e1457c8e\";}}s:5:\"nonce\";s:12:\"84289d48eca6\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1564876804;a:10:{s:2:\"db\";s:53:\"backup_2019-08-04-0000_Bucks_Pizza_560c9589d25e-db.gz\";s:7:\"db-size\";i:598066;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e67de7a999f58aeb118eb4f196250c95a626c5bb\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"7ffa3635da309d47e399a1df25c2827dbddf967867aedfa7a8a8bd199b20746b\";}}s:5:\"nonce\";s:12:\"560c9589d25e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1564790404;a:10:{s:2:\"db\";s:53:\"backup_2019-08-03-0000_Bucks_Pizza_a70eceb09824-db.gz\";s:7:\"db-size\";i:601819;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6b54ec70ad4bfbee9397576ad35e32fbbe8584a4\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3c45e3e8d23b350f81e218fa06e02b3529dfcf2ef585e738c4e35defefa8e7e6\";}}s:5:\"nonce\";s:12:\"a70eceb09824\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1564704014;a:10:{s:2:\"db\";s:53:\"backup_2019-08-02-0000_Bucks_Pizza_9d2769249e54-db.gz\";s:7:\"db-size\";i:602779;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6d3b75efe19fc7a2c3afcdcbd03c99d35e0a2f08\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6614d560169ecedaaa27b1615e0117cd000be30c4cd80414acaafa318e729f8f\";}}s:5:\"nonce\";s:12:\"9d2769249e54\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1564617621;a:10:{s:2:\"db\";s:53:\"backup_2019-08-01-0000_Bucks_Pizza_97adb16e7bb3-db.gz\";s:7:\"db-size\";i:604338;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f974667f8059d91a9e9043ac3d24f36ba044b3f0\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"227036ad6fb8eb064d0fc08911c9a60395ea4bcecd2b2a6b84a66b7665dd2017\";}}s:5:\"nonce\";s:12:\"97adb16e7bb3\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1564531209;a:10:{s:2:\"db\";s:53:\"backup_2019-07-31-0000_Bucks_Pizza_2f7623f79749-db.gz\";s:7:\"db-size\";i:744938;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6d15424e4f11aa831870367798228b4f22289e6b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"de48559426f5ce39133c427abfa899c4c0cdf33fcb92bad89e4d5d759c2daff8\";}}s:5:\"nonce\";s:12:\"2f7623f79749\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1564444811;a:10:{s:2:\"db\";s:53:\"backup_2019-07-30-0000_Bucks_Pizza_7c0f2ed7db0c-db.gz\";s:7:\"db-size\";i:598595;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"85870d63079baf81a65236cd72cee24e79c3af84\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3ad6888f35e0da6e7bafd37786fd15c2cc8abd24e3c7b16dee027bd7045c5fb0\";}}s:5:\"nonce\";s:12:\"7c0f2ed7db0c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1564358412;a:10:{s:2:\"db\";s:53:\"backup_2019-07-29-0000_Bucks_Pizza_4c340c9cb768-db.gz\";s:7:\"db-size\";i:591832;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0a7ebbda25df428f4659b139d0c4ec4d80fd5301\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a90ca95279fe33ff031833697ed6eb18aaf5fb285ddea4ac8b532c7a4f895125\";}}s:5:\"nonce\";s:12:\"4c340c9cb768\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1564272014;a:10:{s:2:\"db\";s:53:\"backup_2019-07-28-0000_Bucks_Pizza_9645008861a5-db.gz\";s:7:\"db-size\";i:587578;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a17b9f9dbc4264e672615c40b3208f6595eaa091\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2d00e7ea46d3ef231c12d3e3ee10ec0e56641f8bab09978e1ca44cf9e03af0bb\";}}s:5:\"nonce\";s:12:\"9645008861a5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1564185604;a:10:{s:2:\"db\";s:53:\"backup_2019-07-27-0000_Bucks_Pizza_ea18a619f775-db.gz\";s:7:\"db-size\";i:585055;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7f5493b839d415275a36af616d93f7fdba293211\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e195ecb1dec64b9ba9d0bb3fb0b3785776d4fae7f655899ba8af0b92c34ac14c\";}}s:5:\"nonce\";s:12:\"ea18a619f775\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1564099201;a:10:{s:2:\"db\";s:53:\"backup_2019-07-26-0000_Bucks_Pizza_fff544964d92-db.gz\";s:7:\"db-size\";i:588452;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f21ebdd53da9b698aa6849e1e536eec342c721bd\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2d14bceef40a1207fdcf3ecb1d87162e9f685df31570cdf71eea22f808882183\";}}s:5:\"nonce\";s:12:\"fff544964d92\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1564012812;a:10:{s:2:\"db\";s:53:\"backup_2019-07-25-0000_Bucks_Pizza_42481b964a78-db.gz\";s:7:\"db-size\";i:595094;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"289695ad91c157febab1680e12719f8571a9fad3\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"73beca64908532ba6f5b65a73b68243f2dfd389c8d204e2c7b1bbaa690a58b3f\";}}s:5:\"nonce\";s:12:\"42481b964a78\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1563926412;a:10:{s:2:\"db\";s:53:\"backup_2019-07-24-0000_Bucks_Pizza_3e5d344344bb-db.gz\";s:7:\"db-size\";i:611602;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e6fb79f7402e6838d2b75edcca176a9342a88d3c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3b41386751d6d72b6fa77e6e96f613e3b1fd7beb49ad567d954335c42ab27b8d\";}}s:5:\"nonce\";s:12:\"3e5d344344bb\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1563840032;a:10:{s:2:\"db\";s:53:\"backup_2019-07-23-0000_Bucks_Pizza_5d5c27660280-db.gz\";s:7:\"db-size\";i:616471;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ca927948302d9d16496a7049a96cb73254699fe7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a675efeb1d9b7bf12fbc272bfdd2856962bc7eb0a5d7d7ac5709e01ff4408061\";}}s:5:\"nonce\";s:12:\"5d5c27660280\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1563753602;a:10:{s:2:\"db\";s:53:\"backup_2019-07-22-0000_Bucks_Pizza_501d24162c41-db.gz\";s:7:\"db-size\";i:628460;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2c918d1738c2861ab363b17c7324d84691ff27dc\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"add6e2fa7e000c022c5d17251348512d3f10b492771f46b3496cdccf6afeb06b\";}}s:5:\"nonce\";s:12:\"501d24162c41\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1563667208;a:10:{s:2:\"db\";s:53:\"backup_2019-07-21-0000_Bucks_Pizza_c03b3821e28a-db.gz\";s:7:\"db-size\";i:630978;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e591cadf3d7f49a70075b98a35ce86af82009c13\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"dc920a91593d1005f2ba2b860f81916290112eb748ec8eae297b44a7cb4cf646\";}}s:5:\"nonce\";s:12:\"c03b3821e28a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1563580803;a:10:{s:2:\"db\";s:53:\"backup_2019-07-20-0000_Bucks_Pizza_7e83710afd79-db.gz\";s:7:\"db-size\";i:630748;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d75243759e478176185d467903b07b8b62f72e42\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"61fe98fd78bb8d9fd4d4d7336ae041ab1f79c7492c6eab8ae0728849a038eb8b\";}}s:5:\"nonce\";s:12:\"7e83710afd79\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1563494407;a:10:{s:2:\"db\";s:53:\"backup_2019-07-19-0000_Bucks_Pizza_798a7e31b453-db.gz\";s:7:\"db-size\";i:640199;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2fe6d32c692565cfb11377a69d2af9a58bf17e0b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"037c7113b8f7a05e9dbf09513988bc9f1938b756a464e3e50337c68df80ffce1\";}}s:5:\"nonce\";s:12:\"798a7e31b453\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1563408008;a:10:{s:2:\"db\";s:53:\"backup_2019-07-18-0000_Bucks_Pizza_744b98de8fc3-db.gz\";s:7:\"db-size\";i:632038;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"70dc3c719dfa2835c702a1d307398e31b35c53fb\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9fc8983f88fe72e80129af59847df83aa208186ed2ad711fa40b7e5a0656ebcc\";}}s:5:\"nonce\";s:12:\"744b98de8fc3\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1563321638;a:10:{s:2:\"db\";s:53:\"backup_2019-07-17-0000_Bucks_Pizza_0932d1a27218-db.gz\";s:7:\"db-size\";i:634219;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b61c5eb32a870ac22b7e14d69c9f5d7c80015481\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e3f7a95e4be89307de352c2da1d6a796003bd3bd20a20b2af9398b45edbc2a57\";}}s:5:\"nonce\";s:12:\"0932d1a27218\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1563235205;a:10:{s:2:\"db\";s:53:\"backup_2019-07-16-0000_Bucks_Pizza_7a7deac5414b-db.gz\";s:7:\"db-size\";i:634476;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"022bb854415e09441c4ae88e016bb21ee23737ce\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9ad9844dd6a698769ad87b3a48ec3190273d80fb1d3ccb61ad18ba12d3cbc074\";}}s:5:\"nonce\";s:12:\"7a7deac5414b\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1563148842;a:10:{s:2:\"db\";s:53:\"backup_2019-07-15-0000_Bucks_Pizza_c4e3d706d6ff-db.gz\";s:7:\"db-size\";i:631705;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"4297f3eb51790769584fd089a5ef4502a27a04c1\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ad897edb8ee256918046029e8fc408044b50fe0d8e4e05adaedbd7b0baa13ecd\";}}s:5:\"nonce\";s:12:\"c4e3d706d6ff\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1563062421;a:10:{s:2:\"db\";s:53:\"backup_2019-07-14-0000_Bucks_Pizza_83adcc9d60e3-db.gz\";s:7:\"db-size\";i:629893;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"25e4ed7f470d902c59934b45ab431fafb05592e5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2799556dd425db0db7a89c3215271b82061ce2e035ce6619807113f43969db8e\";}}s:5:\"nonce\";s:12:\"83adcc9d60e3\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1562976008;a:10:{s:2:\"db\";s:53:\"backup_2019-07-13-0000_Bucks_Pizza_51a5f25726ee-db.gz\";s:7:\"db-size\";i:616859;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"260b887fbe7831d6a78832fba7aef9b28f8fe6d7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"8222958ee3464439e71968292538a8a08281aa3042cf92384b39eba9f0872bde\";}}s:5:\"nonce\";s:12:\"51a5f25726ee\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1562889615;a:10:{s:2:\"db\";s:53:\"backup_2019-07-12-0000_Bucks_Pizza_75000ea09a9d-db.gz\";s:7:\"db-size\";i:620104;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ddc65da44b6fec368662499d728de79fb5338cdd\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"613c88920716265e6c9934472bcf6e2f759c16d041ff3a3bb09fb1e81a66c701\";}}s:5:\"nonce\";s:12:\"75000ea09a9d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1562803203;a:10:{s:2:\"db\";s:53:\"backup_2019-07-11-0000_Bucks_Pizza_4f4e77c8a633-db.gz\";s:7:\"db-size\";i:625911;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c7e39a503bdcdb9b0a34a8234b03b091ddc7b4c3\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a2d417ce5a376bfca314b4c483d6e9b1248a7dc0fde2c729e72a22ecf21365bb\";}}s:5:\"nonce\";s:12:\"4f4e77c8a633\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1562716806;a:10:{s:2:\"db\";s:53:\"backup_2019-07-10-0000_Bucks_Pizza_73de53de4ed8-db.gz\";s:7:\"db-size\";i:618332;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e0654e248582a7403b44d6a1b1c9a67b35f65c41\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5434447545f0e0afd88855a07c800a32c40896ea72d6b980d365f19f95a313d1\";}}s:5:\"nonce\";s:12:\"73de53de4ed8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1562630407;a:10:{s:2:\"db\";s:53:\"backup_2019-07-09-0000_Bucks_Pizza_c84aaec892bc-db.gz\";s:7:\"db-size\";i:616108;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d95167dbedf834364df463f1ce8701cadb2644f6\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"190a248f13aec2cbe0ecef8c8aa3dce91e57c7ae55f0debbb6097a55873ffc53\";}}s:5:\"nonce\";s:12:\"c84aaec892bc\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1562544021;a:10:{s:2:\"db\";s:53:\"backup_2019-07-08-0000_Bucks_Pizza_37423cc440c6-db.gz\";s:7:\"db-size\";i:617499;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"49d9ab09cbdd2051058e58c995bbc18306661c91\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"742c9fc18898d2f2ceb3fbbcf8176884571a857f46df2d37ae96525b3b4daf1a\";}}s:5:\"nonce\";s:12:\"37423cc440c6\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1562457612;a:10:{s:2:\"db\";s:53:\"backup_2019-07-07-0000_Bucks_Pizza_cdf62f7b9382-db.gz\";s:7:\"db-size\";i:612009;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"5c9595a8951e42e54411e98eaa68db52aa96120b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6e305a30ba81faa59a9f529dadf42beb1c3c35f06baec927da8e9ba40fca6e9b\";}}s:5:\"nonce\";s:12:\"cdf62f7b9382\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1562371200;a:10:{s:2:\"db\";s:53:\"backup_2019-07-06-0000_Bucks_Pizza_205f53c56a9e-db.gz\";s:7:\"db-size\";i:621921;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7541c896df5b105bf7abae9edb16d4d47653f729\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6fbb5f7815b950db486a3dd785064c9a7f6f3076fc7a53d4f6780714420157cc\";}}s:5:\"nonce\";s:12:\"205f53c56a9e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1562284832;a:10:{s:2:\"db\";s:53:\"backup_2019-07-05-0000_Bucks_Pizza_7705b6a0eb44-db.gz\";s:7:\"db-size\";i:616037;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f44fef75629d80a5b0956a19e3bd0633f8ef99ee\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"52dd133cd7843a3f988431ec90627359227c3235c53416fc492a3ec4f79856dd\";}}s:5:\"nonce\";s:12:\"7705b6a0eb44\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1562198421;a:10:{s:2:\"db\";s:53:\"backup_2019-07-04-0000_Bucks_Pizza_326efcb7fefe-db.gz\";s:7:\"db-size\";i:618473;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b64ab3bf141373fac72f50cc5f56e37d980b04d0\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6ba4d5aadb91abf10451cdf2de53e3f788032b7a2afcc17fc8ca6fcdf9fe6f92\";}}s:5:\"nonce\";s:12:\"326efcb7fefe\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1562112010;a:10:{s:2:\"db\";s:53:\"backup_2019-07-03-0000_Bucks_Pizza_04e1e35cff03-db.gz\";s:7:\"db-size\";i:763490;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ca2e178304c605dacfb7f6c119a1ab542380b602\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2f20c77c6abbe765741e70c2cf345ab8a37c4deb5283bb5d35558fe3015af125\";}}s:5:\"nonce\";s:12:\"04e1e35cff03\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1562025617;a:10:{s:2:\"db\";s:53:\"backup_2019-07-02-0000_Bucks_Pizza_d8993f5b9c4c-db.gz\";s:7:\"db-size\";i:620884;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"44494c0b3f06fb968668eaa09f91f4395d3dbea4\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3f088bd63ef3d4e96941ccc11f1a773945e0bffb594b6b3fa954f11c175734db\";}}s:5:\"nonce\";s:12:\"d8993f5b9c4c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1561939201;a:10:{s:2:\"db\";s:53:\"backup_2019-07-01-0000_Bucks_Pizza_421d07b7deef-db.gz\";s:7:\"db-size\";i:623205;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e22c13d9f1898d6e8b7f9af69c236fa8c9804a2c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"186bc62ac25e34fa056b7a8bf9d0e172a2b2d25ad2f10f2598e8ccd55557c274\";}}s:5:\"nonce\";s:12:\"421d07b7deef\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1561852814;a:10:{s:2:\"db\";s:53:\"backup_2019-06-30-0000_Bucks_Pizza_e3fbe6ac74af-db.gz\";s:7:\"db-size\";i:622429;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a064f569b6b184861bf22ddf7f0c6b7d0a960b0f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"325fa82f2f4aeab115e2607877920a62f7ee6fd12865420d31b8e3a6448a543e\";}}s:5:\"nonce\";s:12:\"e3fbe6ac74af\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1561766403;a:10:{s:2:\"db\";s:53:\"backup_2019-06-29-0000_Bucks_Pizza_f7bcbf403fc6-db.gz\";s:7:\"db-size\";i:621387;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8dee797570d30684ffedd8223a3fc63f90092db2\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b9f4a59c3aa995e1ac8a2f5d99d63d1a96fe441fb016314b3cdfe18a280d8b66\";}}s:5:\"nonce\";s:12:\"f7bcbf403fc6\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1561680006;a:10:{s:2:\"db\";s:53:\"backup_2019-06-28-0000_Bucks_Pizza_ffba9d42d641-db.gz\";s:7:\"db-size\";i:631638;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f7df9810a79fb9e25311293b6ed84c12dc063efc\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4fe05be8d33dfe585c80a927dd55db247927f229423b448ca5bc78d8642534b3\";}}s:5:\"nonce\";s:12:\"ffba9d42d641\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1561593628;a:10:{s:2:\"db\";s:53:\"backup_2019-06-27-0000_Bucks_Pizza_f0a9e9087eb4-db.gz\";s:7:\"db-size\";i:638163;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"92d9799c480e9bcd27d12c7593884d4a2994c00b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2ea82435feb2657d9c0606923e72e5b5b33c9158adb0844c35a8b97f8cf0efcd\";}}s:5:\"nonce\";s:12:\"f0a9e9087eb4\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1561507219;a:10:{s:2:\"db\";s:53:\"backup_2019-06-26-0000_Bucks_Pizza_ce87fb030b09-db.gz\";s:7:\"db-size\";i:635477;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1225a4dc09c3be26273b037fa533450005e75088\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"1f41ba8b8fc48c8e635771e31d9d9fcb783cfd819ce7865067e1dd60bc628cc9\";}}s:5:\"nonce\";s:12:\"ce87fb030b09\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1561420807;a:10:{s:2:\"db\";s:53:\"backup_2019-06-25-0000_Bucks_Pizza_d2dc7e6d81d7-db.gz\";s:7:\"db-size\";i:630547;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"bf8714cad90313578820aebcfaacd6a34e554bc2\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"624ec8a56688b6fed4aef4d7a7db58e7323897345fbbfe5229287ed9196b15fd\";}}s:5:\"nonce\";s:12:\"d2dc7e6d81d7\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1561334410;a:10:{s:2:\"db\";s:53:\"backup_2019-06-24-0000_Bucks_Pizza_d030655ba54f-db.gz\";s:7:\"db-size\";i:625688;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6e7f6c8bee529ed147bf2aedca738d662d34c179\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"47ce8d6c65bf4d554c74cfa0225d1feee9cffdc1b67f77a478a65e25d669929b\";}}s:5:\"nonce\";s:12:\"d030655ba54f\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1561248023;a:10:{s:2:\"db\";s:53:\"backup_2019-06-23-0000_Bucks_Pizza_bf845086b9d6-db.gz\";s:7:\"db-size\";i:627592;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8a39d6c538f78816a3159c966122b55374e9fc2e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"34da28abda7a727f46505b4c8dadb95aa5734fa4da9f1115394a4b87f0a92e1c\";}}s:5:\"nonce\";s:12:\"bf845086b9d6\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1561161606;a:10:{s:2:\"db\";s:53:\"backup_2019-06-22-0000_Bucks_Pizza_344fa078733e-db.gz\";s:7:\"db-size\";i:626099;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"90759f696566f18052c0904541da8490086e6fa5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"abe84808df784b38efc24e7e11296231b366655fc60b59f4c6a3b2f275fdcc60\";}}s:5:\"nonce\";s:12:\"344fa078733e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1561075211;a:10:{s:2:\"db\";s:53:\"backup_2019-06-21-0000_Bucks_Pizza_5a3b3971224c-db.gz\";s:7:\"db-size\";i:617207;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f18ae3df818e728962c06f849c0200b0b240048b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"97c5bb50e7db0e9f983d1ca5c7ddb9a5a51b2130332adf54a2e3d4f3c5a1c3f9\";}}s:5:\"nonce\";s:12:\"5a3b3971224c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1560988832;a:10:{s:2:\"db\";s:53:\"backup_2019-06-20-0000_Bucks_Pizza_a12e4f84c427-db.gz\";s:7:\"db-size\";i:586634;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"246ea5c7c54bfb8a6dacd8f4dfb35acda2a666c0\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"108fab955592a2e9222c30db7b816acae2d46dd8abb597a4712f4d0eef54cbe4\";}}s:5:\"nonce\";s:12:\"a12e4f84c427\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1560902402;a:10:{s:2:\"db\";s:53:\"backup_2019-06-19-0000_Bucks_Pizza_e1f714f9f16a-db.gz\";s:7:\"db-size\";i:738629;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"af283ca38e473d312ffdcbc3024e7275d45613a5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"cec3ec70bc86911b7ebf8d0ac53990cff371a7a77c654da0b038b481c5682187\";}}s:5:\"nonce\";s:12:\"e1f714f9f16a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1560816018;a:10:{s:2:\"db\";s:53:\"backup_2019-06-18-0000_Bucks_Pizza_c0cfa54a1b59-db.gz\";s:7:\"db-size\";i:549189;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b81123a2d86a11db9c003ca433d9503325658abe\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b2f09151a5c826db4c6b3dae39c7c28e85480d0a2605185c5312dbd52cdc295e\";}}s:5:\"nonce\";s:12:\"c0cfa54a1b59\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1560729613;a:10:{s:2:\"db\";s:53:\"backup_2019-06-17-0000_Bucks_Pizza_d8c961f18ee3-db.gz\";s:7:\"db-size\";i:524433;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"91a90811b5a0dc0fb5abcf84004d5b629ba91d79\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6d16ca06b2ad358087b2794d18f042032766c7995330fbf95005043808f9da44\";}}s:5:\"nonce\";s:12:\"d8c961f18ee3\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1560643204;a:10:{s:2:\"db\";s:53:\"backup_2019-06-16-0000_Bucks_Pizza_5f821cd2b9f1-db.gz\";s:7:\"db-size\";i:497725;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a79cf6f76269efb9bea6d018274305f88f2ab935\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"632d08944fa71f4666bde6f3d4db48798eca9590145f88e08c6d112225d78066\";}}s:5:\"nonce\";s:12:\"5f821cd2b9f1\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1560556804;a:10:{s:2:\"db\";s:53:\"backup_2019-06-15-0000_Bucks_Pizza_e44d747314bd-db.gz\";s:7:\"db-size\";i:477798;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"91c8182e22bd7937cbadb801cdc18b231404c8d6\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4a18dd49d9ecb0efb84c0935a7893e87bd0e50917079d81a1414fd157da2e237\";}}s:5:\"nonce\";s:12:\"e44d747314bd\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1560470403;a:10:{s:2:\"db\";s:53:\"backup_2019-06-14-0000_Bucks_Pizza_cd6466d08f05-db.gz\";s:7:\"db-size\";i:459091;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"581ad997addf93388ea341278b61207622fab6d8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"575a2854050b65bff6fd78a95b6e10546706e112e10c98e055e490487c5d49e3\";}}s:5:\"nonce\";s:12:\"cd6466d08f05\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1560384013;a:10:{s:2:\"db\";s:53:\"backup_2019-06-13-0000_Bucks_Pizza_781e23b83bdb-db.gz\";s:7:\"db-size\";i:458024;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"588894c6b5a3ad1ad187dc7c861cd27f1cd1cde6\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f438f8af8dc9a158995041d57509490aa8c41b1044a44bb6e06bc275bb18f943\";}}s:5:\"nonce\";s:12:\"781e23b83bdb\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1560297611;a:10:{s:2:\"db\";s:53:\"backup_2019-06-12-0000_Bucks_Pizza_b1983dd1bd5b-db.gz\";s:7:\"db-size\";i:456195;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"5769dfd43e6ad8907756e12a06497af7d110f339\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"df4ed7dc2e3037d880c4a7aaf6cec432cbc0acb92e024b01dc5348ab8c37f60f\";}}s:5:\"nonce\";s:12:\"b1983dd1bd5b\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1560211203;a:10:{s:2:\"db\";s:53:\"backup_2019-06-11-0000_Bucks_Pizza_f733aa0afaa3-db.gz\";s:7:\"db-size\";i:455994;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"84f7ba8272a20dc13f904540176d461a7b395d65\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"8cfd0217ca82f5f2eee66cff5ccf65e2ec7f1d3d85860ddb9448b91bf813a53d\";}}s:5:\"nonce\";s:12:\"f733aa0afaa3\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1560124816;a:10:{s:2:\"db\";s:53:\"backup_2019-06-10-0000_Bucks_Pizza_6c5a79e5f7b8-db.gz\";s:7:\"db-size\";i:451895;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"62ca056b978d22cba371b1f0848b046a147049bb\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"7536ac30332e80d818cc43384c6f1fbaa05c518e5c59ff5cf666469084cb3f1c\";}}s:5:\"nonce\";s:12:\"6c5a79e5f7b8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1560038401;a:10:{s:2:\"db\";s:53:\"backup_2019-06-09-0000_Bucks_Pizza_b86f12b03329-db.gz\";s:7:\"db-size\";i:451517;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"02455ae19968c95242182e9bf3115da71f899d5a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"8badf5da1fed00d3de4281ce11b8020fb436e63bc46f21a49bd8f1d6a29bb00a\";}}s:5:\"nonce\";s:12:\"b86f12b03329\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1559952015;a:10:{s:2:\"db\";s:53:\"backup_2019-06-08-0000_Bucks_Pizza_d9a7cf7a4415-db.gz\";s:7:\"db-size\";i:450832;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ede9e051934fe0e841edcd9aaf4facd231412104\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f48823f956127b7e04bf185590861c9409e84e40095b29bd0657c0f1d216b5da\";}}s:5:\"nonce\";s:12:\"d9a7cf7a4415\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1559865668;a:10:{s:2:\"db\";s:53:\"backup_2019-06-07-0001_Bucks_Pizza_36ffaf179944-db.gz\";s:7:\"db-size\";i:450070;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"20a5233209ca0ecd5738786d81d650d0fb54d0fc\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"1dd06dc10e748c3414df43bd9e459ecfef92b5beed449f32334af62ec6fb7b1b\";}}s:5:\"nonce\";s:12:\"36ffaf179944\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1559779217;a:10:{s:2:\"db\";s:53:\"backup_2019-06-06-0000_Bucks_Pizza_cca97b46df14-db.gz\";s:7:\"db-size\";i:615255;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1b4be5519c83256d4551b1ae988521158114c2b8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"151f4a99569606325683a7b21ccedb15a98e2d4f9ce82c2492eb1b2b70065b90\";}}s:5:\"nonce\";s:12:\"cca97b46df14\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1559692873;a:10:{s:2:\"db\";s:53:\"backup_2019-06-05-0001_Bucks_Pizza_1d1be86019f8-db.gz\";s:7:\"db-size\";i:452835;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"70c10c2c59598b39f83d14b85cc05160270f1570\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4adf71e568094576553d42aa01cda1c0d5b825b88e6abc0d1f17d4b48b5db782\";}}s:5:\"nonce\";s:12:\"1d1be86019f8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1559606419;a:10:{s:2:\"db\";s:53:\"backup_2019-06-04-0000_Bucks_Pizza_b8743acea9e8-db.gz\";s:7:\"db-size\";i:594916;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"11f58e3c7be03c90b23ada906b2d93d8d7bd82fb\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2a97baf6770a064676ab0740ac6af3efb0b8a61feed3b82548d163890b99c442\";}}s:5:\"nonce\";s:12:\"b8743acea9e8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1559520033;a:10:{s:2:\"db\";s:53:\"backup_2019-06-03-0000_Bucks_Pizza_23e54483dcaf-db.gz\";s:7:\"db-size\";i:455285;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6cdaffec31c2631e2a872a3cce55016fbc4420e3\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3584af7958724b2870494cc544b21e4a5548e9a604a666315e74b6d74a30c410\";}}s:5:\"nonce\";s:12:\"23e54483dcaf\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1559433617;a:10:{s:2:\"db\";s:53:\"backup_2019-06-02-0000_Bucks_Pizza_0de4245cc351-db.gz\";s:7:\"db-size\";i:456084;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8836a1d7e47cdeaf0890eb8d03ee6b2711b371b1\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"26f6cf5aa3c4bdf54934c1ee4ab1806aabcffb8ee1d75e0b0967e60077819686\";}}s:5:\"nonce\";s:12:\"0de4245cc351\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1559347203;a:10:{s:2:\"db\";s:53:\"backup_2019-06-01-0000_Bucks_Pizza_bb9fbf199a97-db.gz\";s:7:\"db-size\";i:455884;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c82447a0b4d3a8ea5ad9cb26cd00b7afa2d36cf6\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c9511ea0c7b21b004caa04b061331364a3805979a0816c786a152b5ee59ed3f5\";}}s:5:\"nonce\";s:12:\"bb9fbf199a97\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1559260874;a:10:{s:2:\"db\";s:53:\"backup_2019-05-31-0001_Bucks_Pizza_9b27308498db-db.gz\";s:7:\"db-size\";i:455965;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b9251ce9eac28313f2fafd5d68c7aa39c1230c8e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4a3099658045945cbe3db0e1dbbc9b7722392630a7948e5edcc751348daf969e\";}}s:5:\"nonce\";s:12:\"9b27308498db\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1559174459;a:10:{s:2:\"db\";s:53:\"backup_2019-05-30-0000_Bucks_Pizza_374361342fd4-db.gz\";s:7:\"db-size\";i:453594;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1ff82c6ee6f7f8f804870e028b66309299fdcdc1\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e2af155916a6ca24e72d271662efd76d590370c4a50efb7563ba558f89aaf33f\";}}s:5:\"nonce\";s:12:\"374361342fd4\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1559088029;a:10:{s:2:\"db\";s:53:\"backup_2019-05-29-0000_Bucks_Pizza_230699936d2d-db.gz\";s:7:\"db-size\";i:453548;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"144d5329d5d9b9ad8fec373d81832cc29c827dc7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"bd680ec078c9f331c911c38deaa63de2aea16254bbb10ca3a4d4197a8a342a7d\";}}s:5:\"nonce\";s:12:\"230699936d2d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1559001687;a:10:{s:2:\"db\";s:53:\"backup_2019-05-28-0001_Bucks_Pizza_64c374a2b3e5-db.gz\";s:7:\"db-size\";i:447442;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"329edcbcf89cf14c862c843de29b6a7ae3c9026c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"14892dccc484e1d89cfb051396178cf2195a3e5683b266cca8b23d8fb92940a2\";}}s:5:\"nonce\";s:12:\"64c374a2b3e5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1558915202;a:10:{s:2:\"db\";s:53:\"backup_2019-05-27-0000_Bucks_Pizza_be41554f961c-db.gz\";s:7:\"db-size\";i:445562;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ca437576695b7d2a102c6ef9a0052774132a92b0\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ca1ec398b04cdb33fd6c3366e587328d1b53cfd31d76d90c856ca264aeaa2e01\";}}s:5:\"nonce\";s:12:\"be41554f961c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1558828813;a:10:{s:2:\"db\";s:53:\"backup_2019-05-26-0000_Bucks_Pizza_69dae6a9bfe3-db.gz\";s:7:\"db-size\";i:442236;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"65d830423e9540bad61918a804eddda5718c9438\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"259a21b7c636872b8d9ab621a5dc9a8ba838f2968276314dd4000bb35a48aae8\";}}s:5:\"nonce\";s:12:\"69dae6a9bfe3\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1558742403;a:10:{s:2:\"db\";s:53:\"backup_2019-05-25-0000_Bucks_Pizza_0e1032e88f13-db.gz\";s:7:\"db-size\";i:439784;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"730c5093092e6db2616adb22b8041bf6ff43a3e5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5355b9571e7d7fc5792efddfa2421a99e83c56bfea4e67c4fdb626317f826f24\";}}s:5:\"nonce\";s:12:\"0e1032e88f13\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1558656006;a:10:{s:2:\"db\";s:53:\"backup_2019-05-24-0000_Bucks_Pizza_743e670e3c6c-db.gz\";s:7:\"db-size\";i:436820;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6235955d67809d3868b91afd5fc54ff77d1c1aa8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2ecccb7973dd0a312f0acc0af1d4553ae1caa3bd7baaf5032b02b7f29222ea3f\";}}s:5:\"nonce\";s:12:\"743e670e3c6c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1558569620;a:10:{s:2:\"db\";s:53:\"backup_2019-05-23-0000_Bucks_Pizza_93b3b71bd4b9-db.gz\";s:7:\"db-size\";i:587830;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6c56698567e77a5fbe752a7eb9ef018ef7c8cb98\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"abd9ec4c54b08df0c598bafda00dbdfca3d86e9990b4c659be7e1e3e3eafd2a2\";}}s:5:\"nonce\";s:12:\"93b3b71bd4b9\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1558483208;a:10:{s:2:\"db\";s:53:\"backup_2019-05-22-0000_Bucks_Pizza_381c2291c164-db.gz\";s:7:\"db-size\";i:604030;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3179c9b3869ae1d513ac73beff1a834f61cd96d6\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c4009d7f5c381ab202ddf67bc86b63d761c148cb92b9f502fb1c54e8bf97bdd4\";}}s:5:\"nonce\";s:12:\"381c2291c164\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1558461213;a:10:{s:2:\"db\";s:53:\"backup_2019-05-21-1753_Bucks_Pizza_5ebf79b81e2a-db.gz\";s:7:\"db-size\";i:432449;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"40a0108f1893ba84b4d6a1f11b7e141d39345589\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"85bf8f072e103739dcf6c96d0e04316e3109e8efd208686d9bd6ac1f52b3f688\";}}s:5:\"nonce\";s:12:\"5ebf79b81e2a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1558457580;a:4:{s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:2:\"db\";a:1:{i:0;s:53:\"backup_2019-05-21-1653_Bucks_Pizza_6b154b11f915-db.gz\";}s:7:\"db-size\";i:452973;s:5:\"nonce\";s:12:\"6b154b11f915\";}i:1558310400;a:4:{s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:2:\"db\";a:1:{i:0;s:53:\"backup_2019-05-20-0000_Bucks_Pizza_cb67572da4d2-db.gz\";}s:7:\"db-size\";i:458631;s:5:\"nonce\";s:12:\"cb67572da4d2\";}i:1558224000;a:4:{s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:2:\"db\";a:1:{i:0;s:53:\"backup_2019-05-19-0000_Bucks_Pizza_1afdbf940828-db.gz\";}s:7:\"db-size\";i:457894;s:5:\"nonce\";s:12:\"1afdbf940828\";}i:1558137600;a:4:{s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:2:\"db\";a:1:{i:0;s:53:\"backup_2019-05-18-0000_Bucks_Pizza_d9899f16771a-db.gz\";}s:7:\"db-size\";i:463925;s:5:\"nonce\";s:12:\"d9899f16771a\";}i:1558051200;a:4:{s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:2:\"db\";a:1:{i:0;s:53:\"backup_2019-05-17-0000_Bucks_Pizza_c25a44f10b8f-db.gz\";}s:7:\"db-size\";i:595031;s:5:\"nonce\";s:12:\"c25a44f10b8f\";}i:1557964860;a:4:{s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:2:\"db\";a:1:{i:0;s:53:\"backup_2019-05-16-0001_Bucks_Pizza_bbc6816b5672-db.gz\";}s:7:\"db-size\";i:611021;s:5:\"nonce\";s:12:\"bbc6816b5672\";}i:1557878403;a:10:{s:2:\"db\";s:53:\"backup_2019-05-15-0000_Bucks_Pizza_b3d42a8bc063-db.gz\";s:7:\"db-size\";i:456895;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"979efe38b5c75176c89903fab87950d60de66ec7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"961104dd24539cc5a014cde149f395f42041e721a974999dbfc4e60fb72d742a\";}}s:5:\"nonce\";s:12:\"b3d42a8bc063\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1557792044;a:10:{s:2:\"db\";s:53:\"backup_2019-05-14-0000_Bucks_Pizza_22121bcf7a9e-db.gz\";s:7:\"db-size\";i:596844;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6e4cc85ed82ea300b5128994bf5a8be7530a75e3\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4fb29fc7fffb86920c590f8aa46c8cbf9680492df87f3ea4d4a2a5dc748d5431\";}}s:5:\"nonce\";s:12:\"22121bcf7a9e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1557705622;a:10:{s:2:\"db\";s:53:\"backup_2019-05-13-0000_Bucks_Pizza_862076e6c597-db.gz\";s:7:\"db-size\";i:447732;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"17e535c366dcf188cdbbc6fb98648a4b108073ae\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2bda0ce5b0ec6c8a3f74ef7a6aec9db4c6776aa73b986a986bf7af98845c6a50\";}}s:5:\"nonce\";s:12:\"862076e6c597\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1557619203;a:10:{s:2:\"db\";s:53:\"backup_2019-05-12-0000_Bucks_Pizza_677620ceb5d5-db.gz\";s:7:\"db-size\";i:447790;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"84d17aabb00320ea0f9fd519f195ac66dd5718b6\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"eb30b6bfadba1ec12567510a9426e1cc6467b55b51101d1c8c50d7312e8d87dc\";}}s:5:\"nonce\";s:12:\"677620ceb5d5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1557532833;a:10:{s:2:\"db\";s:53:\"backup_2019-05-11-0000_Bucks_Pizza_9d2db85ec201-db.gz\";s:7:\"db-size\";i:590361;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e943573540429cf8b4b9874b5e051367a7b3065d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"8f63c1b0ca23cb404d3269fe10feb47d336cfc12a373ac6f755b96981006ceea\";}}s:5:\"nonce\";s:12:\"9d2db85ec201\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1557446444;a:10:{s:2:\"db\";s:53:\"backup_2019-05-10-0000_Bucks_Pizza_d38900a3a723-db.gz\";s:7:\"db-size\";i:441163;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6f74af72faabf7f0fe23b07d2f40653c13ef436b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"eb439e02698b812ad0c8089367433eb55fa2da085776ce1acb5d3b938134f02b\";}}s:5:\"nonce\";s:12:\"d38900a3a723\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1557360057;a:10:{s:2:\"db\";s:53:\"backup_2019-05-09-0000_Bucks_Pizza_c22c4f969227-db.gz\";s:7:\"db-size\";i:590153;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"5e60cb100943e5b2f683f6daf23c73fc6738641b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9ef57ceb6dca6b8121b1cbd6524d6353f39b43d3d83cbdb418ae33798fc7da36\";}}s:5:\"nonce\";s:12:\"c22c4f969227\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1557273606;a:10:{s:2:\"db\";s:53:\"backup_2019-05-08-0000_Bucks_Pizza_ae5577f1647c-db.gz\";s:7:\"db-size\";i:432018;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9c05868ccb39751d480d4e40223e7c0d3e765ce9\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"dcfcc21a4ce313ccad64afa401c27404492cc23b942eb850fa205705eec7969a\";}}s:5:\"nonce\";s:12:\"ae5577f1647c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1557187222;a:10:{s:2:\"db\";s:53:\"backup_2019-05-07-0000_Bucks_Pizza_51b08bff1ec2-db.gz\";s:7:\"db-size\";i:589599;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"295cf7baa36adc36168f5aa3b43ac04800d643bd\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2cba0fe4b61487866443b5f2d7bc22becdbd2ca5182458b2e16ee780bc2a4b78\";}}s:5:\"nonce\";s:12:\"51b08bff1ec2\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1557100869;a:10:{s:2:\"db\";s:53:\"backup_2019-05-06-0001_Bucks_Pizza_098ce25185ca-db.gz\";s:7:\"db-size\";i:419579;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0497c6a2eb83da3e390600aabf5cab665d19dd2a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f7736a70fbead560a27491bfc45643aaf2949f5f2efff802f3b131634db6b37a\";}}s:5:\"nonce\";s:12:\"098ce25185ca\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1557014403;a:10:{s:2:\"db\";s:53:\"backup_2019-05-05-0000_Bucks_Pizza_dd5178f4a9a1-db.gz\";s:7:\"db-size\";i:419950;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"38fb46c9d3741dd9700c191a76690707b1a04ebd\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c6a9cac932941b86b3a5308b31721784ed70391837fd568abe8671455fd348b7\";}}s:5:\"nonce\";s:12:\"dd5178f4a9a1\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1556928000;a:10:{s:2:\"db\";s:53:\"backup_2019-05-04-0000_Bucks_Pizza_3eb95d55bae9-db.gz\";s:7:\"db-size\";i:574335;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"604e1e91180f79bf3eebead947b66bb8fb8a9c63\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"48430ebbc74e64aa51f77264e7c694471e80200920e3bd5db6089a195d87e7ed\";}}s:5:\"nonce\";s:12:\"3eb95d55bae9\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1556841648;a:10:{s:2:\"db\";s:53:\"backup_2019-05-03-0000_Bucks_Pizza_1cdf18f48bf4-db.gz\";s:7:\"db-size\";i:428506;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1c08409c82a9989d1e6b1058a7be4dd8e26f53c5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ee7499c3fad95e4ac8b82395ae2244a26bcbeb3507148a9766bbf2973e6cc0d7\";}}s:5:\"nonce\";s:12:\"1cdf18f48bf4\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1556755211;a:10:{s:2:\"db\";s:53:\"backup_2019-05-02-0000_Bucks_Pizza_5d9b79caed78-db.gz\";s:7:\"db-size\";i:437311;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"97a321022eb7ce20c874baaba2814693d3ea51f1\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"fefd4932ea5a2fb99db2526ad5740c0cbf804ccd1b039b6db11ba1df035ee0c4\";}}s:5:\"nonce\";s:12:\"5d9b79caed78\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1556668804;a:10:{s:2:\"db\";s:53:\"backup_2019-05-01-0000_Bucks_Pizza_8a517e8195e5-db.gz\";s:7:\"db-size\";i:609614;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c2cee9e0d95e4d211877c07521789261865cd417\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"76efc3dcfa56fedcc504202b281242e29748e603f308c5cc49128ab4ca1edf20\";}}s:5:\"nonce\";s:12:\"8a517e8195e5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1556582405;a:10:{s:2:\"db\";s:53:\"backup_2019-04-30-0000_Bucks_Pizza_98ec647b61fb-db.gz\";s:7:\"db-size\";i:436352;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ef6de80065be4cf90ef86bcfe2ef2df80b599ddd\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a1a72aaa789f76438e097a784a9d1f9d5df5a7b32d3cd8134491ae6ea3963dfd\";}}s:5:\"nonce\";s:12:\"98ec647b61fb\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1556496076;a:10:{s:2:\"db\";s:53:\"backup_2019-04-29-0001_Bucks_Pizza_b8f75bf78718-db.gz\";s:7:\"db-size\";i:439650;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"47958146a0e6668c1723726ea8326557a97061ae\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6921b9f8ed2991c4c039def899a0476ad578435161d835de07e9171496e0ee7d\";}}s:5:\"nonce\";s:12:\"b8f75bf78718\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1556409609;a:10:{s:2:\"db\";s:53:\"backup_2019-04-28-0000_Bucks_Pizza_33cc1c3e817d-db.gz\";s:7:\"db-size\";i:439456;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d3e0f98ec25a98af3d903219053ff19e907d4afa\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"983bbb79016331800af824657e2ce80fb7418845ee96804b59c407dda73361b6\";}}s:5:\"nonce\";s:12:\"33cc1c3e817d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1556323200;a:10:{s:2:\"db\";s:53:\"backup_2019-04-27-0000_Bucks_Pizza_a802d6f9c2f7-db.gz\";s:7:\"db-size\";i:440882;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"82730c4c742b0140564e8203eda69ae0631943a9\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"52b015e78868322e42fabe4e8640aa15ea9cb16bd6945d914581d077ff78ae6d\";}}s:5:\"nonce\";s:12:\"a802d6f9c2f7\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1556236833;a:10:{s:2:\"db\";s:53:\"backup_2019-04-26-0000_Bucks_Pizza_dd56bf208f5d-db.gz\";s:7:\"db-size\";i:442339;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d963e1d55e8dfba2007447e06c0d137b40f6fee1\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"25676e469f159bedc2b2d3a5a5b2da75a9f834ddbcdb0e848428237e5dcc93ec\";}}s:5:\"nonce\";s:12:\"dd56bf208f5d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1556150410;a:10:{s:2:\"db\";s:53:\"backup_2019-04-25-0000_Bucks_Pizza_02ba19c0b587-db.gz\";s:7:\"db-size\";i:440233;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7073ba509393c6378f83b397dec0dc90e5118035\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"914323de65b648e26903e3d1785c633a2e18efe9be514d6dceca88ebbd6d7fb0\";}}s:5:\"nonce\";s:12:\"02ba19c0b587\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1556064078;a:10:{s:2:\"db\";s:53:\"backup_2019-04-24-0001_Bucks_Pizza_db4320908501-db.gz\";s:7:\"db-size\";i:442405;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a12b86c328ec6921bcb502e31f65a9ee01682df7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4371e06b7c885838b09754d5e6b022b99aa4557b6b8825a65a4dd6bd3ab4ae6c\";}}s:5:\"nonce\";s:12:\"db4320908501\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1555977608;a:10:{s:2:\"db\";s:53:\"backup_2019-04-23-0000_Bucks_Pizza_3e9daca9cb99-db.gz\";s:7:\"db-size\";i:447568;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"dec859c9fdc505addf76a7b3944482b285dfc0ec\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3fb02458267648d301412a4156e81c551d6c7299c6605a2ea66c96640fdcb857\";}}s:5:\"nonce\";s:12:\"3e9daca9cb99\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1555891201;a:10:{s:2:\"db\";s:53:\"backup_2019-04-22-0000_Bucks_Pizza_0b832a38e275-db.gz\";s:7:\"db-size\";i:447229;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"86b20cd4851548454182716498161ee7f37c7994\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d91849e4d69fdb9c97d1a9cd7e6cc25d6c29b038a5eedc717dcf4d54d837c02f\";}}s:5:\"nonce\";s:12:\"0b832a38e275\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1555804801;a:10:{s:2:\"db\";s:53:\"backup_2019-04-21-0000_Bucks_Pizza_1498e3024acf-db.gz\";s:7:\"db-size\";i:443778;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a28c73e50c863696ed19767299d847f834ec137c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e16719e05d3bb4cbaa3345fa9e3cd45e2b1aa844d894a2e332775cda905ca10a\";}}s:5:\"nonce\";s:12:\"1498e3024acf\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1555718404;a:10:{s:2:\"db\";s:53:\"backup_2019-04-20-0000_Bucks_Pizza_67c6e7ac9526-db.gz\";s:7:\"db-size\";i:444351;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"bb7f5bcc5e83d545595b194d3fb38d25cfc329aa\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"22eadf7f19aba7f7eccf4bac35441a06d631cde2fe3e29c6a23961606a734e46\";}}s:5:\"nonce\";s:12:\"67c6e7ac9526\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1555632014;a:10:{s:2:\"db\";s:53:\"backup_2019-04-19-0000_Bucks_Pizza_066996cbaf3c-db.gz\";s:7:\"db-size\";i:445680;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9a8c4526beee531de5bc2730873fbc5710b3c32c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"8af58e5982596b36dbc0de42d82208a9359e676d50c473b2f93b87149fe4460b\";}}s:5:\"nonce\";s:12:\"066996cbaf3c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1555545610;a:10:{s:2:\"db\";s:53:\"backup_2019-04-18-0000_Bucks_Pizza_d7482d650ce6-db.gz\";s:7:\"db-size\";i:443107;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1006172dbdbbf5a57f908a26cc5521b6c9ea9762\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d00215d9e89e2f8f4febaf3dbe660402e61068887455450b012495ebd7fa813f\";}}s:5:\"nonce\";s:12:\"d7482d650ce6\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1555459203;a:10:{s:2:\"db\";s:53:\"backup_2019-04-17-0000_Bucks_Pizza_c67e0af6c0a2-db.gz\";s:7:\"db-size\";i:458780;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"97e2a372ee22520e121aebf86c2b724337dd1d97\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5ee7b20bf849b5dec1543ecf79a2c0fce607b8a5a77bfa130969aa5e23470012\";}}s:5:\"nonce\";s:12:\"c67e0af6c0a2\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1555372801;a:10:{s:2:\"db\";s:53:\"backup_2019-04-16-0000_Bucks_Pizza_8afbbbd72bd6-db.gz\";s:7:\"db-size\";i:450629;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3e00b5d4f2f5d3f4af6fa09fb838ad386c34270b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3704318aae7080ebbcf8be4fd3e266411c87042091c30f0d10689d7034f17746\";}}s:5:\"nonce\";s:12:\"8afbbbd72bd6\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1555286402;a:10:{s:2:\"db\";s:53:\"backup_2019-04-15-0000_Bucks_Pizza_f249282d7df0-db.gz\";s:7:\"db-size\";i:446799;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b4972bacf31f9aec08f58495e5602411da05eaf9\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"11b007bf7b31b99075bd8eb1c525736b7eb32327d68196c808549e7a6e605e3d\";}}s:5:\"nonce\";s:12:\"f249282d7df0\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1555200007;a:10:{s:2:\"db\";s:53:\"backup_2019-04-14-0000_Bucks_Pizza_b12a66be1958-db.gz\";s:7:\"db-size\";i:447543;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"47cb89178d521cc0749dff73ed428f6f28d821ae\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c027665f611ff61b37f8921c5566f3ed27400ba7a3e9d54c075e0156a624fe7b\";}}s:5:\"nonce\";s:12:\"b12a66be1958\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1555113610;a:10:{s:2:\"db\";s:53:\"backup_2019-04-13-0000_Bucks_Pizza_9eeb73cc2184-db.gz\";s:7:\"db-size\";i:447228;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"fe67171ea040ea648352bce155bc9049bc0ce821\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ee3a865058c63308c82a61440b0d852e45bfcb595b0c9331909f1b65f1190ddb\";}}s:5:\"nonce\";s:12:\"9eeb73cc2184\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1555027200;a:10:{s:2:\"db\";s:53:\"backup_2019-04-12-0000_Bucks_Pizza_248467ea032f-db.gz\";s:7:\"db-size\";i:598147;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e41bbf12483d8d803fd80bbd7f3218e6be1a891e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f688c545f0e11be35c4fc49b728465003e6d7a60e6c1b07c7d5cc0c513aa9df1\";}}s:5:\"nonce\";s:12:\"248467ea032f\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1554940807;a:10:{s:2:\"db\";s:53:\"backup_2019-04-11-0000_Bucks_Pizza_e285bd7af624-db.gz\";s:7:\"db-size\";i:444426;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2d239726539fd26a2e50ca30a776b8184f3c02e4\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0af7cdd4413f70bb233fc8d2dea107b18e598b93119f76c6154f6020436ace52\";}}s:5:\"nonce\";s:12:\"e285bd7af624\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1554854414;a:10:{s:2:\"db\";s:53:\"backup_2019-04-10-0000_Bucks_Pizza_48d766b5a7b4-db.gz\";s:7:\"db-size\";i:477091;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2539700bedf055c9600619fb06c4a6f1cb2fa657\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"1edfa6ec167a23a048c71cc792ff4ec617d12b07616c9a5f214292ab07271a3a\";}}s:5:\"nonce\";s:12:\"48d766b5a7b4\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1554768051;a:10:{s:2:\"db\";s:53:\"backup_2019-04-09-0000_Bucks_Pizza_3bdc32dd18ea-db.gz\";s:7:\"db-size\";i:469524;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"93f100d67072ae70a8f99bb74d554ed4eabfd7a2\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e7ec4400b731bea7c0cb0351acd9a22deb9633e2c27ca9da2b37d88e50742eef\";}}s:5:\"nonce\";s:12:\"3bdc32dd18ea\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1554681601;a:10:{s:2:\"db\";s:53:\"backup_2019-04-08-0000_Bucks_Pizza_b944259f462b-db.gz\";s:7:\"db-size\";i:470219;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"55422ea3132068459347241a2ca8d01f71633113\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"34d6589b224e1a08e23e3c7437f038ec83f1fc40ddee3e513e88c7eac9c9633a\";}}s:5:\"nonce\";s:12:\"b944259f462b\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1554595257;a:10:{s:2:\"db\";s:53:\"backup_2019-04-07-0000_Bucks_Pizza_737fb0e07334-db.gz\";s:7:\"db-size\";i:475290;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"97915866ee5d418c78e1e539d1b269e745d203a6\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"22900ad65622bcea57deec53ac93c539692158aae3606ec35fa26c7d8839c060\";}}s:5:\"nonce\";s:12:\"737fb0e07334\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1554508801;a:10:{s:2:\"db\";s:53:\"backup_2019-04-06-0000_Bucks_Pizza_1764721e4bf5-db.gz\";s:7:\"db-size\";i:474177;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"727fe9f642cafd837045df58304a18796a16ddf8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"25db76837c9625f6817cc9d6e33f92dbf86409bed1727358afb07a570a0759c8\";}}s:5:\"nonce\";s:12:\"1764721e4bf5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1554422449;a:10:{s:2:\"db\";s:53:\"backup_2019-04-05-0000_Bucks_Pizza_f2c24a22d2f7-db.gz\";s:7:\"db-size\";i:483483;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ff8dc4993ea98d2add8eecbde8b13d5c0b665253\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"49fd8f9637127eb0794438b499ccec0e1c39a8e94e01c3bdaa78b655611e7522\";}}s:5:\"nonce\";s:12:\"f2c24a22d2f7\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1554336026;a:10:{s:2:\"db\";s:53:\"backup_2019-04-04-0000_Bucks_Pizza_64169031263c-db.gz\";s:7:\"db-size\";i:481987;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"991ab7e874705fa76b0607baaf908f17dfd0fcd4\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"afabcfe754443e5dd51c507f063b6333097743c0b38dcbdd205d844e5b31d2f0\";}}s:5:\"nonce\";s:12:\"64169031263c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1554249602;a:10:{s:2:\"db\";s:53:\"backup_2019-04-03-0000_Bucks_Pizza_1c9312a8daec-db.gz\";s:7:\"db-size\";i:461906;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8d8b34745472ee0e0997f67d19bcdf97e6ae7a7a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5c9bfcad3547e2fe39f000b332717005dd06e7d8bf4b7ca8968131862768578a\";}}s:5:\"nonce\";s:12:\"1c9312a8daec\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1554163225;a:10:{s:2:\"db\";s:53:\"backup_2019-04-02-0000_Bucks_Pizza_8b12913284ef-db.gz\";s:7:\"db-size\";i:444254;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a4a190893bbf324d4e739e1106b410ed410d9684\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4b842db9b165da1c9b9ecb1dbf5664e5f5e16369d3ff66d4a4d11070cccf4c4e\";}}s:5:\"nonce\";s:12:\"8b12913284ef\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1554076912;a:10:{s:2:\"db\";s:53:\"backup_2019-04-01-0001_Bucks_Pizza_d82008ff40d4-db.gz\";s:7:\"db-size\";i:442950;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e6a0e21b90c9f7b118832e77e1efcaadbaa57228\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"122b7f759212cae894064ac905599500d910e9ab1378cecf069c885777608522\";}}s:5:\"nonce\";s:12:\"d82008ff40d4\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1553990415;a:10:{s:2:\"db\";s:53:\"backup_2019-03-31-0000_Bucks_Pizza_15f7b9fe3223-db.gz\";s:7:\"db-size\";i:442414;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a50e7e28a2c15f0971aab8ae26e5443f744a53fe\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"86266a2fd9e0459f5c9ab75018370f8a32fedd104fac4457af31b5b33d2dbd83\";}}s:5:\"nonce\";s:12:\"15f7b9fe3223\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1553904002;a:10:{s:2:\"db\";s:53:\"backup_2019-03-30-0000_Bucks_Pizza_e26d1c6840fd-db.gz\";s:7:\"db-size\";i:441907;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"27278f2ccda1bc1b8fe7fb31935ad593aaf1e140\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"817f2ae69845fef2878e2dd98084140f8205eb62b1f1ba491496cea96ee9a10b\";}}s:5:\"nonce\";s:12:\"e26d1c6840fd\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1553817608;a:10:{s:2:\"db\";s:53:\"backup_2019-03-29-0000_Bucks_Pizza_8d2c8665c92c-db.gz\";s:7:\"db-size\";i:438637;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e80e8fa13f037120af8c7ef09ed5872fef4d90f4\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"8b85565f3971b2d97783be360354df9ac8edaecb5d8abeb22a32db4957412f5a\";}}s:5:\"nonce\";s:12:\"8d2c8665c92c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1553731275;a:10:{s:2:\"db\";s:53:\"backup_2019-03-28-0001_Bucks_Pizza_fb9ace3aea5d-db.gz\";s:7:\"db-size\";i:438417;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a8a7df71d4f7a1c1094bb872acaf3df9575d70ca\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3b6bdf2f3a735b8446220ec6d7ad4686111d49846763cd94195d5e1ccfbd851d\";}}s:5:\"nonce\";s:12:\"fb9ace3aea5d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1553644801;a:10:{s:2:\"db\";s:53:\"backup_2019-03-27-0000_Bucks_Pizza_4ae64e0077f0-db.gz\";s:7:\"db-size\";i:579350;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1cf26f19fff28be93de5064c3ebd605df6cdcf58\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e6a0235cd268252e38392f7c93e9fc5ef053c444eac3761f884c3fa16957f70e\";}}s:5:\"nonce\";s:12:\"4ae64e0077f0\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1553558426;a:10:{s:2:\"db\";s:53:\"backup_2019-03-26-0000_Bucks_Pizza_d2766a748a4d-db.gz\";s:7:\"db-size\";i:439528;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"61eec8a99f2f3629c52f0da13b862fef0cb10279\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5349364324a529aebfd67f3f655de5e3b20de7ef18dcb5927593e8ff0e7a48c3\";}}s:5:\"nonce\";s:12:\"d2766a748a4d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1553472053;a:10:{s:2:\"db\";s:53:\"backup_2019-03-25-0000_Bucks_Pizza_e32272f5ed1d-db.gz\";s:7:\"db-size\";i:456267;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0125893cf79eb4a7606ef193eaa1773ee551b358\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b2e25559822e0d6d502388a48086f97dfbb3002a6a39427cc09672242efafbdf\";}}s:5:\"nonce\";s:12:\"e32272f5ed1d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1553385618;a:10:{s:2:\"db\";s:53:\"backup_2019-03-24-0000_Bucks_Pizza_b50e0c7101f9-db.gz\";s:7:\"db-size\";i:480894;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c876d9e6d51d3278aec1576cc785b337fb76e827\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"39c9c61b424313ea0b6f3f82fab5aa0753c448050477e97c6939791db84f1289\";}}s:5:\"nonce\";s:12:\"b50e0c7101f9\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1553299203;a:10:{s:2:\"db\";s:53:\"backup_2019-03-23-0000_Bucks_Pizza_ebf0edd236ad-db.gz\";s:7:\"db-size\";i:510370;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2e84444647607caa80dcc2b19714bd6c7731fce8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b0c2a344c8583ac86384123dd4d5793990a394d1125628b1d66d1fbebdae20cc\";}}s:5:\"nonce\";s:12:\"ebf0edd236ad\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1553212804;a:10:{s:2:\"db\";s:53:\"backup_2019-03-22-0000_Bucks_Pizza_5c6830bce934-db.gz\";s:7:\"db-size\";i:536941;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"38f8180d8df0c8d7949dbe830bea4b87dfeed28e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ab558dee801cfbe84d39e0591d720c4a6efd07f6098a5ad70cb4c534bb4a24b8\";}}s:5:\"nonce\";s:12:\"5c6830bce934\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1553126408;a:10:{s:2:\"db\";s:53:\"backup_2019-03-21-0000_Bucks_Pizza_637a7feef0da-db.gz\";s:7:\"db-size\";i:559271;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0a63c2d0db9d22f58d7bf76044a87a021544006a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b48aa63d8a8cffcf15bceec12dee722de0a4f67636ae0d884447a6a0ea0384b4\";}}s:5:\"nonce\";s:12:\"637a7feef0da\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1553040009;a:10:{s:2:\"db\";s:53:\"backup_2019-03-20-0000_Bucks_Pizza_d76b92606f7b-db.gz\";s:7:\"db-size\";i:575398;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"5ef0a3c0d8463fdcda2676392eb44af328c018fe\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"85b81c222a5de306e354aa729079863a0c3d20af8485e75d4204efffb11aef4d\";}}s:5:\"nonce\";s:12:\"d76b92606f7b\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1552953650;a:10:{s:2:\"db\";s:53:\"backup_2019-03-19-0000_Bucks_Pizza_66a605396149-db.gz\";s:7:\"db-size\";i:592896;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"4d49ea4ebfeed95b13651c2d47e89d36b4737a6c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a7fa06af51deec0335d4540ec5f50df8cd490d83c8df185523dfb1bb4aa7aebe\";}}s:5:\"nonce\";s:12:\"66a605396149\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1552867215;a:10:{s:2:\"db\";s:53:\"backup_2019-03-18-0000_Bucks_Pizza_32048c8c4da0-db.gz\";s:7:\"db-size\";i:596276;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"206cfacb6ea54913a47011ca998e10096fe36ec6\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6821d49e8516efda20f6c4a53fff9c259f8a3473861e283d94f6be383a4ace76\";}}s:5:\"nonce\";s:12:\"32048c8c4da0\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1552780800;a:10:{s:2:\"db\";s:53:\"backup_2019-03-17-0000_Bucks_Pizza_3db0bd7cd500-db.gz\";s:7:\"db-size\";i:596335;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8cbb6a834e061f951008fdfb979a56eec5e76c65\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f35a0f9869377b6bfb168ef3a04b7709a0bf540b533b8677d7de2324f72ac6e5\";}}s:5:\"nonce\";s:12:\"3db0bd7cd500\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1552694402;a:10:{s:2:\"db\";s:53:\"backup_2019-03-16-0000_Bucks_Pizza_314d4206c125-db.gz\";s:7:\"db-size\";i:597050;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"aea9d84184423f6745f3f448a5ebcc5f0390ec71\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9d3988e36bed7f51b2f28d21287f21b2cb3a862d94b6e72aad6300bc2513c361\";}}s:5:\"nonce\";s:12:\"314d4206c125\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1552608007;a:10:{s:2:\"db\";s:53:\"backup_2019-03-15-0000_Bucks_Pizza_baacee96827b-db.gz\";s:7:\"db-size\";i:594821;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"778442f910d3cfcfcb7006fd117915d49b076f8b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"86b483252991b09d4c8cfb179f2458ae7d3a3166f576928f920c14e8b8c5ad7e\";}}s:5:\"nonce\";s:12:\"baacee96827b\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1552521601;a:10:{s:2:\"db\";s:53:\"backup_2019-03-14-0000_Bucks_Pizza_66c546beef16-db.gz\";s:7:\"db-size\";i:594537;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c3e53e9e7818f1af1d56470840e502d5c7da7d6e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a45603419c5720ccfea8d3d7fee9b28d8d90d7a3d37f6655fc4a2521aab2eaed\";}}s:5:\"nonce\";s:12:\"66c546beef16\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1552435203;a:10:{s:2:\"db\";s:53:\"backup_2019-03-13-0000_Bucks_Pizza_08da1ae89378-db.gz\";s:7:\"db-size\";i:599646;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"58a590b02e611e9b47468aa97abfa2571121b9d2\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ec00bb78da9e6b6dded955c53b162d34108ed052ea7251d9fbfec0ae1e9f8f68\";}}s:5:\"nonce\";s:12:\"08da1ae89378\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1552348813;a:10:{s:2:\"db\";s:53:\"backup_2019-03-12-0000_Bucks_Pizza_0ab47b8f66ec-db.gz\";s:7:\"db-size\";i:596904;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d4f76579d2e636ccac4a99d833215c82d41ac709\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3d4772e3b922de67813a639bdde8c5dad1bcbb2693919aabab5fad9ecae914be\";}}s:5:\"nonce\";s:12:\"0ab47b8f66ec\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1552262402;a:10:{s:2:\"db\";s:53:\"backup_2019-03-11-0000_Bucks_Pizza_df4c25b03976-db.gz\";s:7:\"db-size\";i:604469;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"cf3889d17db4a16967cea39f80927158a3fe4279\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0dbc8e2ef84c033cf5b1eb6cd57aa360326469e7c9f9a03419bd4429bec200c7\";}}s:5:\"nonce\";s:12:\"df4c25b03976\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1552176005;a:10:{s:2:\"db\";s:53:\"backup_2019-03-10-0000_Bucks_Pizza_5934563a8fb6-db.gz\";s:7:\"db-size\";i:606714;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"340174cc8f2d62a9eb02e0aaab725a4c134c0541\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"904283671669841b82b0bf3a8e39d90b3b118558756f75ffc092ecf4f733696c\";}}s:5:\"nonce\";s:12:\"5934563a8fb6\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1552089603;a:10:{s:2:\"db\";s:53:\"backup_2019-03-09-0000_Bucks_Pizza_7dd18fc7f61c-db.gz\";s:7:\"db-size\";i:746810;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7f76b4dae551577a42512362616893e0acaa39f0\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"24f25e8c7c9d1306f1b70a50a65b37da6f6d7abbaadf0966df7c0b418ee2b489\";}}s:5:\"nonce\";s:12:\"7dd18fc7f61c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1552003202;a:10:{s:2:\"db\";s:53:\"backup_2019-03-08-0000_Bucks_Pizza_335ce548b722-db.gz\";s:7:\"db-size\";i:598306;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e32c3a9fc077b9cbda71cd9a3e0a21aafbe6b48b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4c4ae75489e22ac93d469b21f235e06c1848112d1b527d42c614428a590fa174\";}}s:5:\"nonce\";s:12:\"335ce548b722\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1551916803;a:10:{s:2:\"db\";s:53:\"backup_2019-03-07-0000_Bucks_Pizza_6643fb2d1be7-db.gz\";s:7:\"db-size\";i:597102;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"09c37d908a3de25f27678682dc084c836cc36a4e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0fd7b37fa1aed459c8831de952e9777f769f07fa8ba3d2d13d3a436e37aaea85\";}}s:5:\"nonce\";s:12:\"6643fb2d1be7\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1551830400;a:10:{s:2:\"db\";s:53:\"backup_2019-03-06-0000_Bucks_Pizza_309e8209478d-db.gz\";s:7:\"db-size\";i:592146;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2e05fd4b9fa9343c533970e0adf2bd4059589d2c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"25100a06a6f2ea5defa3c3cc4f9794bab9362c76b3ad705e053911dfbab0243e\";}}s:5:\"nonce\";s:12:\"309e8209478d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1551744008;a:10:{s:2:\"db\";s:53:\"backup_2019-03-05-0000_Bucks_Pizza_31e575879e04-db.gz\";s:7:\"db-size\";i:729229;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2ad29561044cca1b66ddd2d4845ef230e1df97a9\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"713586c0f52f55ebfdb2c4a704a3b508f6105b9721e563e13b5bcbc79ffa0e62\";}}s:5:\"nonce\";s:12:\"31e575879e04\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1551657619;a:10:{s:2:\"db\";s:53:\"backup_2019-03-04-0000_Bucks_Pizza_c9d6469550d3-db.gz\";s:7:\"db-size\";i:717811;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d1613567b976c50a7612a8ecc27dd2acae7f1850\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c245c05a78caacf445070c27336da39a9c07fee82b53f58ca1ad759fb5de052b\";}}s:5:\"nonce\";s:12:\"c9d6469550d3\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1551571201;a:10:{s:2:\"db\";s:53:\"backup_2019-03-03-0000_Bucks_Pizza_c3609a0dd2b5-db.gz\";s:7:\"db-size\";i:583042;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b756a427c08eca397d75408e0d0216272fa72151\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2b2ea62a21cad1c6cddba411f117a27c531749a2cdec907acdbac9caba742976\";}}s:5:\"nonce\";s:12:\"c3609a0dd2b5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1551484806;a:10:{s:2:\"db\";s:53:\"backup_2019-03-02-0000_Bucks_Pizza_fb013ca682c3-db.gz\";s:7:\"db-size\";i:585918;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e0cc8d7f1d6d1e2ab78822ac7cc775becd7deaba\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"62b7cc910724c4d7eae2d3323d6cb1f47ac83ba0268434c0dbb5929589f37f0b\";}}s:5:\"nonce\";s:12:\"fb013ca682c3\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1551398401;a:10:{s:2:\"db\";s:53:\"backup_2019-03-01-0000_Bucks_Pizza_82b5ae29bb73-db.gz\";s:7:\"db-size\";i:569785;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"02c2dfe5e390d6b9512c6f87a4407d16e0158dd6\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3e05782224bc42f27ef456784d3b6e349befce7678c928847deb38b105611e08\";}}s:5:\"nonce\";s:12:\"82b5ae29bb73\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1551312013;a:10:{s:2:\"db\";s:53:\"backup_2019-02-28-0000_Bucks_Pizza_e3d7fc014827-db.gz\";s:7:\"db-size\";i:582780;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"831f0933c002dc488a147a1c479e44b550735969\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9be8b666871960e8609e5e3f62da8a12c3bb8c7895331c481ccf9532a022188a\";}}s:5:\"nonce\";s:12:\"e3d7fc014827\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1551225616;a:10:{s:2:\"db\";s:53:\"backup_2019-02-27-0000_Bucks_Pizza_5e5b74403d0c-db.gz\";s:7:\"db-size\";i:577968;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"4629afad3f0da3f39edd715f5e66e6798ef1ec4e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e75449cffaf81c055d05aeae5385b8e054dd14b41e8a1f874b768cb18368165b\";}}s:5:\"nonce\";s:12:\"5e5b74403d0c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1551139204;a:10:{s:2:\"db\";s:53:\"backup_2019-02-26-0000_Bucks_Pizza_a0afb51d5945-db.gz\";s:7:\"db-size\";i:577565;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d9372b7e0085ab8ffcf2a40aa73852ffd7c8b62c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d6d3275dd780f95319dbdc065cd66249662927cd7849da1052cf4055771cb28c\";}}s:5:\"nonce\";s:12:\"a0afb51d5945\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1551052800;a:10:{s:2:\"db\";s:53:\"backup_2019-02-25-0000_Bucks_Pizza_bf65b0876c02-db.gz\";s:7:\"db-size\";i:708267;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3b9b079bfe2b4b9469b25f5eac57401cd8756d8e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e288d8fdcbb55c3cc57dfa424ef957a33ead621ca52cff606b4232d80a6a331b\";}}s:5:\"nonce\";s:12:\"bf65b0876c02\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1550966409;a:10:{s:2:\"db\";s:53:\"backup_2019-02-24-0000_Bucks_Pizza_78eb402e23be-db.gz\";s:7:\"db-size\";i:553198;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"5563be65fd4f09372f97eaad8d4ac3f75383a839\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ac6fd22b6134072ca0c0c38e76beeb4584dba198f0489eaf7adac89f7ae2d47e\";}}s:5:\"nonce\";s:12:\"78eb402e23be\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1550880001;a:10:{s:2:\"db\";s:53:\"backup_2019-02-23-0000_Bucks_Pizza_cd52b080eb07-db.gz\";s:7:\"db-size\";i:535975;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0f71649e79f24d6c47ae142ad7cb335a20300409\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6fabba7b5a796612d201d08988cec28ef7eae3f24f9e46436b8b0ed122fac3e0\";}}s:5:\"nonce\";s:12:\"cd52b080eb07\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1550793603;a:10:{s:2:\"db\";s:53:\"backup_2019-02-22-0000_Bucks_Pizza_eb736c6c94fb-db.gz\";s:7:\"db-size\";i:522677;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f91dfe038f8f35e8819b0f022ecc89ad9b0c13b8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"19eebc323d44fd033d345359df46a352dbe582a41162cc4557c549b21c7e908f\";}}s:5:\"nonce\";s:12:\"eb736c6c94fb\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1550707207;a:10:{s:2:\"db\";s:53:\"backup_2019-02-21-0000_Bucks_Pizza_094d9bb9abf3-db.gz\";s:7:\"db-size\";i:499837;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0ae4a77e6bb6d7f46cd9a0a8e1fc61bfaeacf18d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f26122a656f305a850d749d3f3c3436b561606906c8283ec1cc30305c15510b9\";}}s:5:\"nonce\";s:12:\"094d9bb9abf3\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1550620802;a:10:{s:2:\"db\";s:53:\"backup_2019-02-20-0000_Bucks_Pizza_9c5abca58b4c-db.gz\";s:7:\"db-size\";i:476856;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0dd07118a9be04f8a588bf4a58a3290aa1fcc711\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a2c08c3ceacb6c6ed32dd2afb566e8f44ce62ed80313fabb04f70b8942db9ea4\";}}s:5:\"nonce\";s:12:\"9c5abca58b4c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1550534435;a:10:{s:2:\"db\";s:53:\"backup_2019-02-19-0000_Bucks_Pizza_072df38e5efb-db.gz\";s:7:\"db-size\";i:558692;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"cc264081e99177ca17d1e228b47cb34f0f003950\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"80ad0a6be21537b3b32b60d3dad465d269fa3496cffa98ce7bdde3b470ee59e3\";}}s:5:\"nonce\";s:12:\"072df38e5efb\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1550448012;a:10:{s:2:\"db\";s:53:\"backup_2019-02-18-0000_Bucks_Pizza_99b4db538ca0-db.gz\";s:7:\"db-size\";i:546729;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f9d2e85d60a1297487a3d297e68975f13e4f2a83\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5c378f7044f6130bf6e7d7e1afdb8bb138dbad0d0c66985406bedf125590ba9b\";}}s:5:\"nonce\";s:12:\"99b4db538ca0\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1550361722;a:10:{s:2:\"db\";s:53:\"backup_2019-02-17-0002_Bucks_Pizza_b052f8e6f8fb-db.gz\";s:7:\"db-size\";i:425632;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a13948d096c78cc90a7ee5d17a05e1acacee13a1\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6c602351424e78fe4d63099c9cb01009ff277d166bf3f1df76275b9a5e12d193\";}}s:5:\"nonce\";s:12:\"b052f8e6f8fb\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1550275204;a:10:{s:2:\"db\";s:53:\"backup_2019-02-16-0000_Bucks_Pizza_28c659ec7be1-db.gz\";s:7:\"db-size\";i:420564;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1fa2e3417505310b358e093488cfb2870d90d971\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2ab01aee37483a2d4322de391c41a11365603004ef3b65d340abfd4777153093\";}}s:5:\"nonce\";s:12:\"28c659ec7be1\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1550188814;a:10:{s:2:\"db\";s:53:\"backup_2019-02-15-0000_Bucks_Pizza_eae8d5bf905c-db.gz\";s:7:\"db-size\";i:416558;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0ad1693f2b7ff41f00a768a60437a78640240cf1\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6a4ea3db38ca4060b90c8a70c42dd56d348f2a71f5aa32b79fb60ded03e0dc04\";}}s:5:\"nonce\";s:12:\"eae8d5bf905c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1550102404;a:10:{s:2:\"db\";s:53:\"backup_2019-02-14-0000_Bucks_Pizza_659363e38835-db.gz\";s:7:\"db-size\";i:416365;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"573353810681a75f0ab2bb6588994ced3443be9d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"920b538a0425c89ef273829b6665c4ca71763ae103c77b5c358bc7f4985c0d34\";}}s:5:\"nonce\";s:12:\"659363e38835\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1550016003;a:10:{s:2:\"db\";s:53:\"backup_2019-02-13-0000_Bucks_Pizza_871ed2bd6d97-db.gz\";s:7:\"db-size\";i:417211;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"149d280608fd46c3952bbea2f79bf40d9b657921\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"1a5bf820a08a6255a5c346de6bd39702ff770384a2b59c47440e999bae736e55\";}}s:5:\"nonce\";s:12:\"871ed2bd6d97\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1549929627;a:10:{s:2:\"db\";s:53:\"backup_2019-02-12-0000_Bucks_Pizza_b5f5f976219d-db.gz\";s:7:\"db-size\";i:518330;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0ec5732f343444157475e22c3a17d4ab805408ea\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ca97f62af571f8f3eac7c911b59d9976960f91169c7fa203f4f5575026cccdfc\";}}s:5:\"nonce\";s:12:\"b5f5f976219d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1549843203;a:10:{s:2:\"db\";s:53:\"backup_2019-02-11-0000_Bucks_Pizza_8dc7651a34b4-db.gz\";s:7:\"db-size\";i:414241;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6693b8c03fedf5bc214357d6ec28a781f96de1bc\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0488e2c0547fac4c9424b91bdcc488f668c8a696ea8dc54ea12775c18fcd5ad8\";}}s:5:\"nonce\";s:12:\"8dc7651a34b4\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1549756813;a:10:{s:2:\"db\";s:53:\"backup_2019-02-10-0000_Bucks_Pizza_2095d4959e15-db.gz\";s:7:\"db-size\";i:423780;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ad3fdc651d612621b596a3087d7e8098501c609c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a260171457797c77670b7b017752abbe531bf837e71f3bb53df8343c2d6e1710\";}}s:5:\"nonce\";s:12:\"2095d4959e15\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1549670403;a:10:{s:2:\"db\";s:53:\"backup_2019-02-09-0000_Bucks_Pizza_ad7c6e9bdcf9-db.gz\";s:7:\"db-size\";i:419646;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"318d0cb82ee47e9d7fed03429604488d00403dbd\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2b719b147ae07cded4df9a4480ff6607505853ce9c707cd465db274243d75e35\";}}s:5:\"nonce\";s:12:\"ad7c6e9bdcf9\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1549584012;a:10:{s:2:\"db\";s:53:\"backup_2019-02-08-0000_Bucks_Pizza_1a61d3b906ee-db.gz\";s:7:\"db-size\";i:535167;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"5a252f66ecf5c589924716be4d47cd3b9ac6891b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c14979049ace2b6a7f001a2e633eb0e681e602274c2f0f1d0787d401e75a4e56\";}}s:5:\"nonce\";s:12:\"1a61d3b906ee\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1549497603;a:10:{s:2:\"db\";s:53:\"backup_2019-02-07-0000_Bucks_Pizza_eec721aa65d0-db.gz\";s:7:\"db-size\";i:423421;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c2c5826b6423a05223976df90a37a1f6fc491787\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"832540d7d47cb361297295de536d3471fce0b55fbbf5fe44fc3433280b0b879d\";}}s:5:\"nonce\";s:12:\"eec721aa65d0\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1549411211;a:10:{s:2:\"db\";s:53:\"backup_2019-02-06-0000_Bucks_Pizza_d414051ca54b-db.gz\";s:7:\"db-size\";i:422377;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ae8ea738c8580a8856136d31cc3febf3ecc72d92\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c6f9e1d1dd34f9aeda5fdd4526563988aec42de866fae947724e77b61c31b2fb\";}}s:5:\"nonce\";s:12:\"d414051ca54b\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1549324931;a:10:{s:2:\"db\";s:53:\"backup_2019-02-05-0002_Bucks_Pizza_01dd2a7d904e-db.gz\";s:7:\"db-size\";i:544228;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6710ebc932c932c207bbb005556d502b70acd9f1\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f7cae0cf32d7b8cf8fadab4f85c812911ff961563c3a0753c64e6e8c84e2bc00\";}}s:5:\"nonce\";s:12:\"01dd2a7d904e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1549238416;a:10:{s:2:\"db\";s:53:\"backup_2019-02-04-0000_Bucks_Pizza_78d384f4d3bd-db.gz\";s:7:\"db-size\";i:530765;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"db53d8a7adfecf2c82880eb3e1dd574e6e0e9141\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"1a2961fde6bd757e00c708b64b9db6d48c12d95cd5196424100d8ac044d7ca70\";}}s:5:\"nonce\";s:12:\"78d384f4d3bd\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1549152058;a:10:{s:2:\"db\";s:53:\"backup_2019-02-03-0000_Bucks_Pizza_d714a007c351-db.gz\";s:7:\"db-size\";i:416085;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f3f750a796b5e8a57750c78df4270f0e2787d0db\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5c32d5a33519a0405319c0faa01245fe4eab0b37909d414d7e68fb319d2db849\";}}s:5:\"nonce\";s:12:\"d714a007c351\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1549065620;a:10:{s:2:\"db\";s:53:\"backup_2019-02-02-0000_Bucks_Pizza_ad1cd00e48e1-db.gz\";s:7:\"db-size\";i:409179;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b34e81f66d8eb404897e6e96b2032cfe0d78f386\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d988583283f5751d541f43df3adcabd8d90cd8b7a4861af55003e46347103138\";}}s:5:\"nonce\";s:12:\"ad1cd00e48e1\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1548979208;a:10:{s:2:\"db\";s:53:\"backup_2019-02-01-0000_Bucks_Pizza_6ab2d3f21f1b-db.gz\";s:7:\"db-size\";i:407725;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6a1ac6261164175604d871d80433fcf7f35a172b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"fd7640125b13acc6ae6389a0f7fa8b860cb46917e9dfe7745104359ebc66bcef\";}}s:5:\"nonce\";s:12:\"6ab2d3f21f1b\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1548892803;a:10:{s:2:\"db\";s:53:\"backup_2019-01-31-0000_Bucks_Pizza_22964f97680f-db.gz\";s:7:\"db-size\";i:520171;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"eaef3b5b0b0ed17d98ea4fe435ff1a79759c06a0\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"fed487097b978d421d0ef1e01acaa4e04b557fac69b6424df3ef7ee0ffc99c5a\";}}s:5:\"nonce\";s:12:\"22964f97680f\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1548806409;a:10:{s:2:\"db\";s:53:\"backup_2019-01-30-0000_Bucks_Pizza_e0a8fb082e7f-db.gz\";s:7:\"db-size\";i:539056;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"13ff0854188290f030d19f869847da135fda307a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"60da7517f9fdb48f5a14b84901aae81fcc805443194558a7f4d6e7a9f19760b7\";}}s:5:\"nonce\";s:12:\"e0a8fb082e7f\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1548720000;a:10:{s:2:\"db\";s:53:\"backup_2019-01-29-0000_Bucks_Pizza_ea699fd2eafb-db.gz\";s:7:\"db-size\";i:408400;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"5c28c0d48ae5aafc72ca04e3e660aefae130e613\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e9cb012acc9c7ba4a94ba381c69cf7cf3b3b2abd6f2aaa9646ac2faa479f17c7\";}}s:5:\"nonce\";s:12:\"ea699fd2eafb\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1548633614;a:10:{s:2:\"db\";s:53:\"backup_2019-01-28-0000_Bucks_Pizza_5620e2564fdd-db.gz\";s:7:\"db-size\";i:407895;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ae9471fb8fbbc6951e2332a45e626786d30a71ee\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9708fc973aec91aaf0ca6f18805a00d5534c38f0147c19cb2c7363915758266a\";}}s:5:\"nonce\";s:12:\"5620e2564fdd\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1548547229;a:10:{s:2:\"db\";s:53:\"backup_2019-01-27-0000_Bucks_Pizza_f4c366881413-db.gz\";s:7:\"db-size\";i:405353;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"437048d66232ccb03305d20f4812e05487f14448\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ac9d06789732442b003ff7282c5266b45ce025da57ab567e206863fda7c73e44\";}}s:5:\"nonce\";s:12:\"f4c366881413\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1548460804;a:10:{s:2:\"db\";s:53:\"backup_2019-01-26-0000_Bucks_Pizza_ae7a65715ba8-db.gz\";s:7:\"db-size\";i:412679;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"46318d1b5e00da3cbb590057d6017f43a7693dd8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"37441c1d59658ff6d70fd0599bfa76cf5db0ea6e3599c7a9109b5559e45567cf\";}}s:5:\"nonce\";s:12:\"ae7a65715ba8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1548374407;a:10:{s:2:\"db\";s:53:\"backup_2019-01-25-0000_Bucks_Pizza_f006f8f15289-db.gz\";s:7:\"db-size\";i:412340;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"27991b680737b9c0710901113a8f725a818ac26e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c927c7f4ee74c668d3283c948eab5f77d1a4d3d5fa655e87fe0d0f86437b3104\";}}s:5:\"nonce\";s:12:\"f006f8f15289\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1548288002;a:10:{s:2:\"db\";s:53:\"backup_2019-01-24-0000_Bucks_Pizza_b09deb60d721-db.gz\";s:7:\"db-size\";i:412304;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b66897bdbab2e2f90630658c448268b14152c1dd\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"438e623f6d543d3435023e4cdbbfe52d7fca411bcb6814a3e42f9e24e714063e\";}}s:5:\"nonce\";s:12:\"b09deb60d721\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1548201649;a:10:{s:2:\"db\";s:53:\"backup_2019-01-23-0000_Bucks_Pizza_b85e3422116e-db.gz\";s:7:\"db-size\";i:412321;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e920bab7b0ce1e4ba7cf6b8ed34cfa02b71c9298\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"7eb66ca05aa70ddc4e7a57c37520d5e5e1431f442e416d6c3ffc33132981222b\";}}s:5:\"nonce\";s:12:\"b85e3422116e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1548115201;a:10:{s:2:\"db\";s:53:\"backup_2019-01-22-0000_Bucks_Pizza_be825e266b11-db.gz\";s:7:\"db-size\";i:411156;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e55fe07b5c1d1f8aae475848d6c2d28f441a70f3\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b7f2feffecc65215b6a23c12e86d2f7b5d3a4bb0ef69084f2c4534f90393c01c\";}}s:5:\"nonce\";s:12:\"be825e266b11\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1548028801;a:10:{s:2:\"db\";s:53:\"backup_2019-01-21-0000_Bucks_Pizza_3124a97ba406-db.gz\";s:7:\"db-size\";i:588097;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"13cb539c19c240a2249145b15fc626799e546bba\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"7b8715f1eaa4098ba8e0f56464054547395b94c2f1173f6dee5fa777020b30ce\";}}s:5:\"nonce\";s:12:\"3124a97ba406\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1547942423;a:10:{s:2:\"db\";s:53:\"backup_2019-01-20-0000_Bucks_Pizza_774230bd8917-db.gz\";s:7:\"db-size\";i:412727;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"50494c326552b2ebdd04f2649439e03004a8fb5c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"748e1b095544c968f1740ac021ef96398ed70817e189c54c4599b84ad5cabb11\";}}s:5:\"nonce\";s:12:\"774230bd8917\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1547856001;a:10:{s:2:\"db\";s:53:\"backup_2019-01-19-0000_Bucks_Pizza_53e6f5182a0a-db.gz\";s:7:\"db-size\";i:409536;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"bb3d7b333f21b35898dfcaa180e237655057bdfa\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"57b05cfc9c1e61e3c5fda2903df4fc7ee0ffd30b682b8fa7aa352f55489c4ff2\";}}s:5:\"nonce\";s:12:\"53e6f5182a0a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1547769610;a:10:{s:2:\"db\";s:53:\"backup_2019-01-18-0000_Bucks_Pizza_c046fb5bf111-db.gz\";s:7:\"db-size\";i:411827;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6a0654db7c0743609b45736df3d268872091a1aa\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"664b9342187adf811942db2fa98768e01534bbe2fd06994a746a64ed416fad25\";}}s:5:\"nonce\";s:12:\"c046fb5bf111\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1547683229;a:10:{s:2:\"db\";s:53:\"backup_2019-01-17-0000_Bucks_Pizza_d6277d21a057-db.gz\";s:7:\"db-size\";i:412722;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9907b6d1330c5500809f9986d1a089fdbfbcef10\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"8e40f78dcf6191bbdea8b91b6f50b25697932797d8afa3d61f33f9ae76bb2931\";}}s:5:\"nonce\";s:12:\"d6277d21a057\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1547596821;a:10:{s:2:\"db\";s:53:\"backup_2019-01-16-0000_Bucks_Pizza_7e44e52a11ac-db.gz\";s:7:\"db-size\";i:413317;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8173a3b80789f7f7235fcf0e51c7ac4849705414\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6af7bfda4fb6277228e00edb443c046d8c06aa7cc7dbd81421b66f13b7a97fe9\";}}s:5:\"nonce\";s:12:\"7e44e52a11ac\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1547510409;a:10:{s:2:\"db\";s:53:\"backup_2019-01-15-0000_Bucks_Pizza_e2af237a7cec-db.gz\";s:7:\"db-size\";i:414514;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c8b2c063019a561b18f59bbafba06fd987e9e0df\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"461f1472d6a2ce3340beb87389717aff43073d795f99dfc35343af349f20ab7b\";}}s:5:\"nonce\";s:12:\"e2af237a7cec\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1547424028;a:10:{s:2:\"db\";s:53:\"backup_2019-01-14-0000_Bucks_Pizza_2a02ecf43ae2-db.gz\";s:7:\"db-size\";i:417576;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9791d4ff80646909467426756b999e9b27d744b0\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e2b12fa61463e7d0d2e739c56e38faa9a82d548b013079d94b068c2e7ab3d68d\";}}s:5:\"nonce\";s:12:\"2a02ecf43ae2\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1547337635;a:10:{s:2:\"db\";s:53:\"backup_2019-01-13-0000_Bucks_Pizza_a96adb22691f-db.gz\";s:7:\"db-size\";i:417596;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"4aae103332adf60a05966e56989ab8955b209a50\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"524347faf98800983d939686ad70745a9946ed353772a8c3d40036f948732da8\";}}s:5:\"nonce\";s:12:\"a96adb22691f\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1547251200;a:10:{s:2:\"db\";s:53:\"backup_2019-01-12-0000_Bucks_Pizza_6eaf8b04d8b8-db.gz\";s:7:\"db-size\";i:586065;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b01479cf86892878f2baf5bd5c9e346a64fdda9f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5fbf9b548f5fb5da2af58858561b3f0aca826ca133d2740a0ff1a73bfb13bac8\";}}s:5:\"nonce\";s:12:\"6eaf8b04d8b8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1547164801;a:10:{s:2:\"db\";s:53:\"backup_2019-01-11-0000_Bucks_Pizza_e18a15d0e0b8-db.gz\";s:7:\"db-size\";i:577967;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a72a1fa2734c8141d87a84924ae4e579a8f7961b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"22b396f543e421d9619d5a8b745a69382789d11f6d0d9b0165bd310a54e7c7e3\";}}s:5:\"nonce\";s:12:\"e18a15d0e0b8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1547078490;a:10:{s:2:\"db\";s:53:\"backup_2019-01-10-0001_Bucks_Pizza_d1ed93cfa094-db.gz\";s:7:\"db-size\";i:572787;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"589d0cb8eba7788ce55eaa50253d5ad6c4e0da9f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"653ce03650b971e4ed2b13f355103cb0398f2a8c5d8451cf1ec32aafc630a9c4\";}}s:5:\"nonce\";s:12:\"d1ed93cfa094\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1546992067;a:10:{s:2:\"db\";s:53:\"backup_2019-01-09-0001_Bucks_Pizza_6cd1afd9af24-db.gz\";s:7:\"db-size\";i:435534;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"424253c991f7e993a009e214ced95d20b22e07ef\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5a25177de31389c1bab80c41fb0f4e4c09d6f72526c37959df30e1f567fa7cf4\";}}s:5:\"nonce\";s:12:\"6cd1afd9af24\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1546905635;a:10:{s:2:\"db\";s:53:\"backup_2019-01-08-0000_Bucks_Pizza_724c2c4f2bc3-db.gz\";s:7:\"db-size\";i:408259;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"bd63aa0953b43dff5fbe5a87cbb045305eb44654\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f2cc3888864098b344925cb46012b619134c55daefbdfda6a03bb12d49d78845\";}}s:5:\"nonce\";s:12:\"724c2c4f2bc3\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1546819208;a:10:{s:2:\"db\";s:53:\"backup_2019-01-07-0000_Bucks_Pizza_d8fe1f3be91d-db.gz\";s:7:\"db-size\";i:402109;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8e5f51e9624b6f35d41a33b0fe025230bdcb9d2f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e89557071f1040a282f1eecbafa866d25f04bc8e074736366c9b468ff4b7e5a0\";}}s:5:\"nonce\";s:12:\"d8fe1f3be91d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1546732804;a:10:{s:2:\"db\";s:53:\"backup_2019-01-06-0000_Bucks_Pizza_b5146fe85672-db.gz\";s:7:\"db-size\";i:403620;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"52dc9a354c367cd56f4fcbf27b57f5cff574e0d2\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e55899270a9ce5a2b014424ca9fb95a4c0a1418754b2279498cd958cd1b29d97\";}}s:5:\"nonce\";s:12:\"b5146fe85672\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1546646400;a:10:{s:2:\"db\";s:53:\"backup_2019-01-05-0000_Bucks_Pizza_114496e72704-db.gz\";s:7:\"db-size\";i:401828;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e6c0c28d4b579e8ce03725cad44a9ba1f3a8d2d9\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b9e7ef168b9e3f41c8f5aa96d9a924d43be4e6ab0151912daccd15218cc02ccf\";}}s:5:\"nonce\";s:12:\"114496e72704\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1546560053;a:10:{s:2:\"db\";s:53:\"backup_2019-01-04-0000_Bucks_Pizza_12fd0cf36063-db.gz\";s:7:\"db-size\";i:402642;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"870500727a11f69fc93f98663366fb04c7721c81\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f4370fbd53f50e441b71ee5239608d2cc4d271820a7d062ad23605a5f8286215\";}}s:5:\"nonce\";s:12:\"12fd0cf36063\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1546473638;a:10:{s:2:\"db\";s:53:\"backup_2019-01-03-0000_Bucks_Pizza_a77e49af3e76-db.gz\";s:7:\"db-size\";i:401314;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a26c3d6665fdbe9e5366beb5bf32bb68abb7ed12\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"05e5096becd1314e3e68d714f62a46dd64d3733117d4ffc1ec6451e83becdd4b\";}}s:5:\"nonce\";s:12:\"a77e49af3e76\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1546387203;a:10:{s:2:\"db\";s:53:\"backup_2019-01-02-0000_Bucks_Pizza_aa6632d33962-db.gz\";s:7:\"db-size\";i:401579;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f5e512eda8bdcb039c5a0f7ae1c6d920b37f48f3\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"97240e87a7958e243e7c6de2a0daa37f01cec4bd33acaed2ad8b2cb84e90e28e\";}}s:5:\"nonce\";s:12:\"aa6632d33962\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1546300809;a:10:{s:2:\"db\";s:53:\"backup_2019-01-01-0000_Bucks_Pizza_fbdcb522693d-db.gz\";s:7:\"db-size\";i:401560;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d5af4861430fda4db4e4ce7829a3b052fadcff23\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"939b64eee9154ca3210e18921c611129c39fac1caf18c297a130edd5fa7d0497\";}}s:5:\"nonce\";s:12:\"fbdcb522693d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1546214416;a:10:{s:2:\"db\";s:53:\"backup_2018-12-31-0000_Bucks_Pizza_9614405691f6-db.gz\";s:7:\"db-size\";i:400762;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f330e3f6c51118a0c3946881f3c544d51688bea8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"21987f5b45f46b9a0173cf3b72fd8276202d87047b93dbac358fcd333e30cbce\";}}s:5:\"nonce\";s:12:\"9614405691f6\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1546128003;a:10:{s:2:\"db\";s:53:\"backup_2018-12-30-0000_Bucks_Pizza_f09a1a3a2c92-db.gz\";s:7:\"db-size\";i:402974;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"cd579e4174e4a58e20650ad7f00b4b7d58193e81\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d61d0b04ca0447923718209509b8c36fecde50c3b597cd218c48883d8ca74570\";}}s:5:\"nonce\";s:12:\"f09a1a3a2c92\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1546041604;a:10:{s:2:\"db\";s:53:\"backup_2018-12-29-0000_Bucks_Pizza_1790899bc0dd-db.gz\";s:7:\"db-size\";i:402132;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ad25ee29d93e99237aa68f644f21737736f6e15c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5ea076b6afde2a305f58b2a642b0a95b2a598e2e0905241f54f9aa36c9a2f978\";}}s:5:\"nonce\";s:12:\"1790899bc0dd\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1545955213;a:10:{s:2:\"db\";s:53:\"backup_2018-12-28-0000_Bucks_Pizza_7a867b2750f6-db.gz\";s:7:\"db-size\";i:553489;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"666eb90e85fd24b508e1ab5d8801f4cc5b2ad93c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5de2bc7da1bf694821affa3972a6843894665ff32f7f03430e695a4f261df82d\";}}s:5:\"nonce\";s:12:\"7a867b2750f6\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1545868817;a:10:{s:2:\"db\";s:53:\"backup_2018-12-27-0000_Bucks_Pizza_cd0675a07d03-db.gz\";s:7:\"db-size\";i:407361;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7d14145ddadfd1b07664ad47b81d5f58e9441992\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"403e4f0b91a662b1ee4d096f3429653be6b4a67fd648eb595eebb1cc9bfcaf0b\";}}s:5:\"nonce\";s:12:\"cd0675a07d03\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1545782404;a:10:{s:2:\"db\";s:53:\"backup_2018-12-26-0000_Bucks_Pizza_d126c506f9e1-db.gz\";s:7:\"db-size\";i:413661;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"971711c24efd1999fb43141c3e83cac15fb6ea54\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e3c0aa37cfd7f157208d04f2df6d9a115bbf604f480cd39ac71052d9800bef08\";}}s:5:\"nonce\";s:12:\"d126c506f9e1\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1545696036;a:10:{s:2:\"db\";s:53:\"backup_2018-12-25-0000_Bucks_Pizza_62eafb162dea-db.gz\";s:7:\"db-size\";i:416022;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"4c550380bbb4d7b2d878e0b7ff85a9569a915792\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"86fbb674996db1dcf858643e863465d29b90cc0cdadbe2885543e9de32538b9b\";}}s:5:\"nonce\";s:12:\"62eafb162dea\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1545609600;a:10:{s:2:\"db\";s:53:\"backup_2018-12-24-0000_Bucks_Pizza_d103e32bf5d7-db.gz\";s:7:\"db-size\";i:415303;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9d6d152950220132ce39b11a66db5af6643381e8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"341d387fdc6561ee2ffad7715eed950899eb256ec2dea1915ffc90704387a289\";}}s:5:\"nonce\";s:12:\"d103e32bf5d7\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1545523209;a:10:{s:2:\"db\";s:53:\"backup_2018-12-23-0000_Bucks_Pizza_d8d76a5670b5-db.gz\";s:7:\"db-size\";i:415155;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a0fdac65642407a63464ce1208477e35a54d5c96\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"08f71ed4fb28f91287ea086e83b5370854795897bd2499df38f151c4a67dc7e7\";}}s:5:\"nonce\";s:12:\"d8d76a5670b5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1545436814;a:10:{s:2:\"db\";s:53:\"backup_2018-12-22-0000_Bucks_Pizza_3f5d0c998ba5-db.gz\";s:7:\"db-size\";i:415841;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"5b42385b1ea75fbe4932737658437367974b79f7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"296c2c31368831f428e9fcf5494c85a5b29c5e93a41cc45f5c91c68bb332f6f9\";}}s:5:\"nonce\";s:12:\"3f5d0c998ba5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1545350425;a:10:{s:2:\"db\";s:53:\"backup_2018-12-21-0000_Bucks_Pizza_49b449ad5195-db.gz\";s:7:\"db-size\";i:415625;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"af7c64c941300c1fc65b2cbba74120e0e3853203\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"088e9ad348d2501631bd04cef77f743e04578747d2b13e3ad48493e656cfc97a\";}}s:5:\"nonce\";s:12:\"49b449ad5195\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1545264009;a:10:{s:2:\"db\";s:53:\"backup_2018-12-20-0000_Bucks_Pizza_d47068399893-db.gz\";s:7:\"db-size\";i:417912;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"85e21661bc68190f9514661e25bf1dcaa1c0e28e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"bdb3a689d2a93701cad3afd0696f6e0588abeab1e8fe257e23a45a776e4be805\";}}s:5:\"nonce\";s:12:\"d47068399893\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1545177600;a:10:{s:2:\"db\";s:53:\"backup_2018-12-19-0000_Bucks_Pizza_9e4fef0a88d1-db.gz\";s:7:\"db-size\";i:409706;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7275b26d7acf82e210ef7ab22e4091b861e5a541\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"07989ca15285d2b9607f300d46391c39d3bbe55b18d75b8d46e3a32b648c1bd7\";}}s:5:\"nonce\";s:12:\"9e4fef0a88d1\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1545091200;a:10:{s:2:\"db\";s:53:\"backup_2018-12-18-0000_Bucks_Pizza_27a0b563cae8-db.gz\";s:7:\"db-size\";i:408140;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c6dd288e40222de01c8f66d3fc6cdcf13ae676b3\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"8ed20b06f8a411aaf19fb30fa2619852e3ff5c142fa2eb999380749b71911d1d\";}}s:5:\"nonce\";s:12:\"27a0b563cae8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1545004818;a:10:{s:2:\"db\";s:53:\"backup_2018-12-17-0000_Bucks_Pizza_04f27f43c778-db.gz\";s:7:\"db-size\";i:405361;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"afdcd3114e49aa64d3c33c4e448bf5aef71cddef\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ba44f0c367d7a894268efe7cfe4240cd56152275befe52ea402b818cc42a94e3\";}}s:5:\"nonce\";s:12:\"04f27f43c778\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1544918417;a:10:{s:2:\"db\";s:53:\"backup_2018-12-16-0000_Bucks_Pizza_ee5eb7d7840a-db.gz\";s:7:\"db-size\";i:405461;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d0e1a507a2250a6f7843e33e14a13154933aeb3a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"038cd38c028d7e0294fca20debda446080f12071a7abe2892c5ec9f52f32d306\";}}s:5:\"nonce\";s:12:\"ee5eb7d7840a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1544832013;a:10:{s:2:\"db\";s:53:\"backup_2018-12-15-0000_Bucks_Pizza_4ce0fd844b8e-db.gz\";s:7:\"db-size\";i:408336;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b23a9ec53fb6cd18117af8d8c13d039a245e301f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b9395009cc31b546dae9e25150aa4349a7ccf1f982ae085fc616ffbb567ba0c3\";}}s:5:\"nonce\";s:12:\"4ce0fd844b8e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1544745736;a:10:{s:2:\"db\";s:53:\"backup_2018-12-14-0002_Bucks_Pizza_42e294e6f34b-db.gz\";s:7:\"db-size\";i:407034;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"44495b8eedd7e123300d6f3279e5c9bc3b26cb62\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d52c412acaae2142a8c7dcdea9eb595ef135ef525b4323583652de1d6179c2fb\";}}s:5:\"nonce\";s:12:\"42e294e6f34b\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1544659262;a:10:{s:2:\"db\";s:53:\"backup_2018-12-13-0001_Bucks_Pizza_25b63d0bb910-db.gz\";s:7:\"db-size\";i:406851;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9556b91ffab0d8035c51affb6dd15f294c356df5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0f58fee8e95f78187575ecdfdf258db53a13b517b44c38ef1135d9853866f91f\";}}s:5:\"nonce\";s:12:\"25b63d0bb910\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1544572822;a:10:{s:2:\"db\";s:53:\"backup_2018-12-12-0000_Bucks_Pizza_3a2e4f287156-db.gz\";s:7:\"db-size\";i:405655;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a51116e2e939e56624de760209916fc0698f54c6\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5d65635ce361f9a195fb77c86b33cd110e26e0d470616242d37ce257736d47a7\";}}s:5:\"nonce\";s:12:\"3a2e4f287156\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1544486434;a:10:{s:2:\"db\";s:53:\"backup_2018-12-11-0000_Bucks_Pizza_9789d1fa3f4d-db.gz\";s:7:\"db-size\";i:408498;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"bfeb9475af79ca9fff75d69b181eb3f63c0c0cff\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"28175c5955e1c210cc74e7d2a2e318aff135af98da0cae2558968c84b535ba19\";}}s:5:\"nonce\";s:12:\"9789d1fa3f4d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1544400002;a:10:{s:2:\"db\";s:53:\"backup_2018-12-10-0000_Bucks_Pizza_6f5a53ab708e-db.gz\";s:7:\"db-size\";i:408760;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a92b079f778c4b76fdbb811acbffee0306e71f74\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3c3340bf65ce6fcb8c544c81a5c029853c6c514ac9dae90e56066612e194771d\";}}s:5:\"nonce\";s:12:\"6f5a53ab708e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1544313609;a:10:{s:2:\"db\";s:53:\"backup_2018-12-09-0000_Bucks_Pizza_e618509eba71-db.gz\";s:7:\"db-size\";i:409501;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"69da9b87f9b02acd7f2b361b88686ea1295b37ba\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4fabba5413c1ca0097876c49822bbea5c9391fbfe7a602b4aa084b2b29aa8e0d\";}}s:5:\"nonce\";s:12:\"e618509eba71\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1544227231;a:10:{s:2:\"db\";s:53:\"backup_2018-12-08-0000_Bucks_Pizza_16296aa9d980-db.gz\";s:7:\"db-size\";i:406505;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"34b4667eaded36b4e0a3af0f9a947c022ccfb4e6\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3131d15c795c5cd0133fc0505dd36d643de49bdf9169d694a1b80dc166bc08be\";}}s:5:\"nonce\";s:12:\"16296aa9d980\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1544140813;a:10:{s:2:\"db\";s:53:\"backup_2018-12-07-0000_Bucks_Pizza_50fca0a5dc1a-db.gz\";s:7:\"db-size\";i:406334;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ad956ae5b56e538d058ba187089981297c0a170b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0fb886863598cf73e7490d4ae26e2b9f9e8a665d305f87764ba152daad42ea5b\";}}s:5:\"nonce\";s:12:\"50fca0a5dc1a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1544054414;a:10:{s:2:\"db\";s:53:\"backup_2018-12-06-0000_Bucks_Pizza_a6df2bd0ebe5-db.gz\";s:7:\"db-size\";i:527267;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9fd3e676aeab49ffbbd98f2b94c7f6ab53189445\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f5a218e6466faff59dd5588822de23c461b0b60c12f0b7aaf15bcc90c5024b3c\";}}s:5:\"nonce\";s:12:\"a6df2bd0ebe5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1543968028;a:10:{s:2:\"db\";s:53:\"backup_2018-12-05-0000_Bucks_Pizza_1ff31e2cbecf-db.gz\";s:7:\"db-size\";i:402501;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"98dffabe1d7de5cd5f17d9b16ddcbefe61707ab4\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2edc3927ff6f7ada1b09373786e49d8987da3cf170d79571ec8959fc8416d7f1\";}}s:5:\"nonce\";s:12:\"1ff31e2cbecf\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1543881607;a:10:{s:2:\"db\";s:53:\"backup_2018-12-04-0000_Bucks_Pizza_75717a5926a5-db.gz\";s:7:\"db-size\";i:398781;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"763c83edfcb7b87a6abf3850a096d10b4b88e90e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d62e100650c8f6bc690a1ae1e30a09fded45c0e943786ce386692cbeea70351e\";}}s:5:\"nonce\";s:12:\"75717a5926a5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1543795286;a:10:{s:2:\"db\";s:53:\"backup_2018-12-03-0001_Bucks_Pizza_1a75a3f1e808-db.gz\";s:7:\"db-size\";i:399345;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"08345bcbc204e77446d0d8ab0acad46b877154e7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"89b322401b07096947717ddb517ce46e4ea3861dec32910de4b849c7d60644a6\";}}s:5:\"nonce\";s:12:\"1a75a3f1e808\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1543708800;a:10:{s:2:\"db\";s:53:\"backup_2018-12-02-0000_Bucks_Pizza_f12724504a14-db.gz\";s:7:\"db-size\";i:399571;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ca5560b3006514c27bd56bdbc02b2f7b96048854\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"09c7cb08e95b4ef7cae99fd8ca596dbc81c5f45197bc1b07cbc7e89e3d45a04c\";}}s:5:\"nonce\";s:12:\"f12724504a14\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1543622445;a:10:{s:2:\"db\";s:53:\"backup_2018-12-01-0000_Bucks_Pizza_588c36bc2f80-db.gz\";s:7:\"db-size\";i:403134;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b56648ce8e59839b2a40ffca4697396df80cfc00\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"28ecd1468e5329194eacd8187014db4bc6eb733e91525accb27eaec5641bc76e\";}}s:5:\"nonce\";s:12:\"588c36bc2f80\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1543536019;a:10:{s:2:\"db\";s:53:\"backup_2018-11-30-0000_Bucks_Pizza_de73dbeb913c-db.gz\";s:7:\"db-size\";i:402568;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2439f4059d2f447c2bcdc66e6dabc106bc59019f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"33971d79fba7f23d6de822f1a2c82b99d484791292d54717b7adfc365131661d\";}}s:5:\"nonce\";s:12:\"de73dbeb913c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1543449603;a:10:{s:2:\"db\";s:53:\"backup_2018-11-29-0000_Bucks_Pizza_4f7c17e8d416-db.gz\";s:7:\"db-size\";i:403382;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"776fb8dcfb43d559de656d128011c197978fef19\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"1ad31f40880cdb98afefe16e358f904eaa65442f2d28f6e6251b23ce3eb4c843\";}}s:5:\"nonce\";s:12:\"4f7c17e8d416\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1543363240;a:10:{s:2:\"db\";s:53:\"backup_2018-11-28-0000_Bucks_Pizza_4b6880a03b70-db.gz\";s:7:\"db-size\";i:539060;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f053425ceb4d9d19dbea3268620b4ece8b0f1860\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"efdc40b0e6d8e8af8b43eeacfa058a784c8ed2156657a523d082aeaf56ba1617\";}}s:5:\"nonce\";s:12:\"4b6880a03b70\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1543276911;a:10:{s:2:\"db\";s:53:\"backup_2018-11-27-0001_Bucks_Pizza_41476ceedca7-db.gz\";s:7:\"db-size\";i:397180;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"33efea123e846c8ddfc000a3bac2bd5444ec7c06\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"462e2fdcd854d37f5fc257d9deb0ae70a5415fe3cb486f71ba46d86534f7c108\";}}s:5:\"nonce\";s:12:\"41476ceedca7\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1543190450;a:10:{s:2:\"db\";s:53:\"backup_2018-11-26-0000_Bucks_Pizza_eddbe227b4d8-db.gz\";s:7:\"db-size\";i:398725;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"22a663bd2fe888ca4c245e231b4225afffebd949\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9c45d9b5f4f15260ab19703e60944d6d6cf3710d9f832c54ced97af635475e51\";}}s:5:\"nonce\";s:12:\"eddbe227b4d8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1543104046;a:10:{s:2:\"db\";s:53:\"backup_2018-11-25-0000_Bucks_Pizza_c9b5b2fd321e-db.gz\";s:7:\"db-size\";i:397797;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"cb2e14c6968b14684fca9e0267bdf0de9f08b69c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"487569bc0d1cffdc738dd4b82be300875fd043f925adf4f26829e6b61f2b4e6c\";}}s:5:\"nonce\";s:12:\"c9b5b2fd321e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1543017601;a:10:{s:2:\"db\";s:53:\"backup_2018-11-24-0000_Bucks_Pizza_d05e4fc8cc23-db.gz\";s:7:\"db-size\";i:394972;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"dd01e6567f80c9a08294314abc597ae353b45f28\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e0dff1df9c83a9dcabe4d597661ff7970d1537f6287909baedbc0c07b5d1e264\";}}s:5:\"nonce\";s:12:\"d05e4fc8cc23\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1542931232;a:10:{s:2:\"db\";s:53:\"backup_2018-11-23-0000_Bucks_Pizza_a8cc23327cbf-db.gz\";s:7:\"db-size\";i:393561;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"62cf8b368135ebfafea015700bb6305fd096b27e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f9516e3c02fff8adc8edafcbb8f409992919abe7dc2f908b66c18c2789d9f0e4\";}}s:5:\"nonce\";s:12:\"a8cc23327cbf\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1542844822;a:10:{s:2:\"db\";s:53:\"backup_2018-11-22-0000_Bucks_Pizza_1148723ab2a6-db.gz\";s:7:\"db-size\";i:394125;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7e2c3a5aa52b4c732afe322984bdf8391934fc25\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"1bcc473a9f1f41d967423212e030f247ed7ab5763fdf5e01432f45d7baaf8f84\";}}s:5:\"nonce\";s:12:\"1148723ab2a6\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1542758405;a:10:{s:2:\"db\";s:53:\"backup_2018-11-21-0000_Bucks_Pizza_ab2305bd30a8-db.gz\";s:7:\"db-size\";i:392696;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d84819656bdd643e2e59489075026decaa18df6a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6bfcd7873c0a3d671b172aab8d8c960a1d0b8aa4dd564a8261d6e43f9a4ac814\";}}s:5:\"nonce\";s:12:\"ab2305bd30a8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1542672040;a:10:{s:2:\"db\";s:53:\"backup_2018-11-20-0000_Bucks_Pizza_a15a71d1d73e-db.gz\";s:7:\"db-size\";i:396402;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a4ccd84e0540a599ce5c4bd0485a261146cd65db\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"af05be1ab11d682651069012f437ae4b7482612e675237b4f0264cc35866adef\";}}s:5:\"nonce\";s:12:\"a15a71d1d73e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1542585704;a:10:{s:2:\"db\";s:53:\"backup_2018-11-19-0001_Bucks_Pizza_9d13a1ac8ec1-db.gz\";s:7:\"db-size\";i:396260;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"025c781a80ee9399ec5ec30f0c828f5a1408f9c0\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f6114c41ca6c392d86d0d5b3a12bb49f36c0a1748306ae4a9638ea0f2ea9c8f9\";}}s:5:\"nonce\";s:12:\"9d13a1ac8ec1\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1542499205;a:10:{s:2:\"db\";s:53:\"backup_2018-11-18-0000_Bucks_Pizza_38ac1003984d-db.gz\";s:7:\"db-size\";i:396434;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"36068e4cff2d4751b27a2a49da85642219a7ce95\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2525c2e50839465f1ed8a8a79bd6c50a212bfb353fb21311ba869119ce371a6a\";}}s:5:\"nonce\";s:12:\"38ac1003984d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1542412842;a:10:{s:2:\"db\";s:53:\"backup_2018-11-17-0000_Bucks_Pizza_8078135ca8d9-db.gz\";s:7:\"db-size\";i:398576;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c2b374d92bb0416f43c6b2e144933ef7ec811404\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"912b11740a0ede4edb1f502f180b80fc3f1246563fc1c4c28ef9ae61b62775a9\";}}s:5:\"nonce\";s:12:\"8078135ca8d9\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1542326427;a:10:{s:2:\"db\";s:53:\"backup_2018-11-16-0000_Bucks_Pizza_f7a6252f3e07-db.gz\";s:7:\"db-size\";i:540584;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c0f713641bc5674115a2b765c5929aacec6f29f7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f13771362eb32a490c9cb390f5f0b723ad6d5688483a17bf18e2b0d440f41c1a\";}}s:5:\"nonce\";s:12:\"f7a6252f3e07\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1542240012;a:10:{s:2:\"db\";s:53:\"backup_2018-11-15-0000_Bucks_Pizza_e4a8fc3fa977-db.gz\";s:7:\"db-size\";i:402240;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"4325e637cac6eca8f48d8db8612959a726da6371\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a6d50ccc166425b829e3f06834524769e515ee32a3d2b8d739c245b736c0b246\";}}s:5:\"nonce\";s:12:\"e4a8fc3fa977\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1542153719;a:10:{s:2:\"db\";s:53:\"backup_2018-11-14-0001_Bucks_Pizza_ff0671fceb62-db.gz\";s:7:\"db-size\";i:402458;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"09e6cbe4e6f92cc2f7c41f37caa3dcb5fa04f47d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0549d1e22b843fa726775ae8e9e47a95cd460bf043d97639216b810f3bb98f41\";}}s:5:\"nonce\";s:12:\"ff0671fceb62\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1542067201;a:10:{s:2:\"db\";s:53:\"backup_2018-11-13-0000_Bucks_Pizza_cd4a7139da4b-db.gz\";s:7:\"db-size\";i:402044;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"52d9bc043f59c567f982a1c1d1582ae307085254\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3781ba486713af32714228738691ca26a5dfddc76dae060be3b44996b4ee452b\";}}s:5:\"nonce\";s:12:\"cd4a7139da4b\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1541980809;a:10:{s:2:\"db\";s:53:\"backup_2018-11-12-0000_Bucks_Pizza_5679c9e32545-db.gz\";s:7:\"db-size\";i:395981;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8c6e3bc9a4cec3d40327e791568c98f2376de238\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3d3db5d3a131da73a95dff3d8bfe8fe9aeac4861a3e7845b27d400ed1aacd316\";}}s:5:\"nonce\";s:12:\"5679c9e32545\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1541894421;a:10:{s:2:\"db\";s:53:\"backup_2018-11-11-0000_Bucks_Pizza_96c1aa3d19a2-db.gz\";s:7:\"db-size\";i:394335;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"61980f6401ed432f244a76f46d10f39a0e44134d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"adfcbbfe8fa4e06331d752a76f83abed79565de2c7b248866930ddf97826415f\";}}s:5:\"nonce\";s:12:\"96c1aa3d19a2\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1541808025;a:10:{s:2:\"db\";s:53:\"backup_2018-11-10-0000_Bucks_Pizza_de01ed676d1b-db.gz\";s:7:\"db-size\";i:394365;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"06267b0832d8520183479a255db658c62e933d01\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f0aeb45631708fe4d748ad36356433b47480f42c8259dd5ca610bebe337222b3\";}}s:5:\"nonce\";s:12:\"de01ed676d1b\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1541721608;a:10:{s:2:\"db\";s:53:\"backup_2018-11-09-0000_Bucks_Pizza_0a044b24e2c5-db.gz\";s:7:\"db-size\";i:397459;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8fc7eee2d02bb05ad8e222e4aaa9dc6f103dd157\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e30b80551300503497e51ebf45fb22854ecbb644cb77e6119aff49673c945cce\";}}s:5:\"nonce\";s:12:\"0a044b24e2c5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1541635218;a:10:{s:2:\"db\";s:53:\"backup_2018-11-08-0000_Bucks_Pizza_957db08253d1-db.gz\";s:7:\"db-size\";i:403908;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"4f97dbb568611ed8dfd3f5b6ea26a9c77adc4fc3\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9859548f6f7049350f2af00fee2f49e538ab43066446cb597a5e7d8122fa32ae\";}}s:5:\"nonce\";s:12:\"957db08253d1\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1541548801;a:10:{s:2:\"db\";s:53:\"backup_2018-11-07-0000_Bucks_Pizza_e55576725873-db.gz\";s:7:\"db-size\";i:404098;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d349eb1fdc6957203969643f74d374e17ed49df3\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9434de1a0500d1058f46247c678351519251ff406ca64b21e396aa8edaebe8df\";}}s:5:\"nonce\";s:12:\"e55576725873\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1541462404;a:10:{s:2:\"db\";s:53:\"backup_2018-11-06-0000_Bucks_Pizza_5525f1c97260-db.gz\";s:7:\"db-size\";i:402290;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"11986ded398b10974943886b1cacd06ffb5e3160\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d1c0f9615f45eb6676b119b2602aaec16f698ae899581f1d2bb3e8b47fdea1f7\";}}s:5:\"nonce\";s:12:\"5525f1c97260\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1541376028;a:10:{s:2:\"db\";s:53:\"backup_2018-11-05-0000_Bucks_Pizza_46b80c53789c-db.gz\";s:7:\"db-size\";i:403654;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"942e2d8c1b4e5a291218c68642c14f022a3028e7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"02d0ed95d0643d3b172e2fee629f6c9b61d418a27a55ad74e301763eaf764484\";}}s:5:\"nonce\";s:12:\"46b80c53789c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1541289600;a:10:{s:2:\"db\";s:53:\"backup_2018-11-04-0000_Bucks_Pizza_9075502aaf2a-db.gz\";s:7:\"db-size\";i:405186;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9404ecd0c97221305474952ca5183d4a00e9b680\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5982b861e6b4e8103630f4990d074b270ada8f984ff671e347b11c38b51d06a4\";}}s:5:\"nonce\";s:12:\"9075502aaf2a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1541203205;a:10:{s:2:\"db\";s:53:\"backup_2018-11-03-0000_Bucks_Pizza_f2a04e0e319c-db.gz\";s:7:\"db-size\";i:405732;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b286e8e63eaf9c117079d24a4eead8423fb7bbaf\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f5954edc794cb5983bc27ad19717e05e8e910ea6884039f454c7aa187cf94218\";}}s:5:\"nonce\";s:12:\"f2a04e0e319c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1541116812;a:10:{s:2:\"db\";s:53:\"backup_2018-11-02-0000_Bucks_Pizza_6081a6708dd2-db.gz\";s:7:\"db-size\";i:406968;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"97ae751cd83384b1133357f21df3447eb556c5e8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3a9f92fd62feb87e8b3466b22f7902848699ed3dfb93ea718f0f76fa11f6725a\";}}s:5:\"nonce\";s:12:\"6081a6708dd2\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1541030403;a:10:{s:2:\"db\";s:53:\"backup_2018-11-01-0000_Bucks_Pizza_b074a79c943d-db.gz\";s:7:\"db-size\";i:396615;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a30e3977edb888420c73a4334f9575dbe8ebd34f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3ea42942ad3128275c3ab79402cc08cdd2fae5bbff150734398a7c9f3d0937f8\";}}s:5:\"nonce\";s:12:\"b074a79c943d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1540944020;a:10:{s:2:\"db\";s:53:\"backup_2018-10-31-0000_Bucks_Pizza_83feac70d496-db.gz\";s:7:\"db-size\";i:397515;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"fba3704abb57b7e303c8044142ad96cd97d98a16\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"099b3304dee8b4fdf52c2ab9a460aa41feb0aae6f04a88772a293d6c408ffe48\";}}s:5:\"nonce\";s:12:\"83feac70d496\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1540857616;a:10:{s:2:\"db\";s:53:\"backup_2018-10-30-0000_Bucks_Pizza_24201cb08fd6-db.gz\";s:7:\"db-size\";i:510818;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"236f42eadcaf913f3990ba0a272974501c7b5719\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"02245ed3c81336ec8ae536a15310b9e96d6d765bf18e6a43404c60e46b20e447\";}}s:5:\"nonce\";s:12:\"24201cb08fd6\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.3.0\";s:12:\"is_multisite\";b:0;}i:1540771204;a:10:{s:2:\"db\";s:53:\"backup_2018-10-29-0000_Bucks_Pizza_e69c66d98f0c-db.gz\";s:7:\"db-size\";i:401685;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7bff98003b2d12c55e7f9aa2a6e6e884c2f4de52\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"778a877411e1f8eb7a62b91c03553897f0fafa5c077a1306cebbf2efc83e6611\";}}s:5:\"nonce\";s:12:\"e69c66d98f0c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1540684805;a:10:{s:2:\"db\";s:53:\"backup_2018-10-28-0000_Bucks_Pizza_b92d18b87c68-db.gz\";s:7:\"db-size\";i:401740;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0ed9e27f3643b8a943f398a8f2838c9f88eeef93\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"65b97717aca2b1ac3fcf32087cdb24b44a398f9b6b0fc2bfcd6bde9efac0b2f0\";}}s:5:\"nonce\";s:12:\"b92d18b87c68\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1540598445;a:10:{s:2:\"db\";s:53:\"backup_2018-10-27-0000_Bucks_Pizza_740188d61de5-db.gz\";s:7:\"db-size\";i:400882;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9865facdefaa20ecb7b58d12cc5db053968a3a1c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"83010099c96d86913ded6f370f80a3f4beb999986b9af660d761e59e931adc28\";}}s:5:\"nonce\";s:12:\"740188d61de5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1540512012;a:10:{s:2:\"db\";s:53:\"backup_2018-10-26-0000_Bucks_Pizza_5e8d840c42c2-db.gz\";s:7:\"db-size\";i:400820;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"da95119ca4f118166c1c9daf62b8372730aec197\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"415477df578338c20cc433f168ae6be8495d46c06741acf94dd4d14670e45010\";}}s:5:\"nonce\";s:12:\"5e8d840c42c2\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1540425625;a:10:{s:2:\"db\";s:53:\"backup_2018-10-25-0000_Bucks_Pizza_59cb596f6174-db.gz\";s:7:\"db-size\";i:402508;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"53e895656c9fc11ce3f01c015cbfedebe27fcdc6\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"8cba3d54a27677b171b66cb0ea96dc3cb148ad0a52a11adc1c4da4bb50b2d531\";}}s:5:\"nonce\";s:12:\"59cb596f6174\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1540339328;a:10:{s:2:\"db\";s:53:\"backup_2018-10-24-0002_Bucks_Pizza_699b5c01a3aa-db.gz\";s:7:\"db-size\";i:401435;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b8b19e645874dbcf38812960d14b0091cf8326f7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"8d68e5f07187359f45b15aeb1e05d474befbe64c100a88c250a6dba847b8a1e5\";}}s:5:\"nonce\";s:12:\"699b5c01a3aa\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1540252800;a:10:{s:2:\"db\";s:53:\"backup_2018-10-23-0000_Bucks_Pizza_beff16d37c3c-db.gz\";s:7:\"db-size\";i:523768;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"5efc22bcc18a7617883c5b744129fdb05b5b55e6\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"99f3b6737726b36f2f21511b945cb3dad1a865407cdf989c1b43146fe22c178e\";}}s:5:\"nonce\";s:12:\"beff16d37c3c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1540166400;a:10:{s:2:\"db\";s:53:\"backup_2018-10-22-0000_Bucks_Pizza_4a0351dfe6bb-db.gz\";s:7:\"db-size\";i:408807;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"dd1c7f3920136147999d9651d95aee1648f78428\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"20af11eb09059fa83e6a33fccc16e7b6a542350eeaad41b07bffee34115bb389\";}}s:5:\"nonce\";s:12:\"4a0351dfe6bb\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1540080015;a:10:{s:2:\"db\";s:53:\"backup_2018-10-21-0000_Bucks_Pizza_05f3ec4a485c-db.gz\";s:7:\"db-size\";i:409797;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c38bbc52759a3bb48529d355dd831c6b62bd952f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ed32b58a7c91222511c3348f08aaaf6641dcf624c26aa99df12b3faa6dec9ba6\";}}s:5:\"nonce\";s:12:\"05f3ec4a485c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1539993621;a:10:{s:2:\"db\";s:53:\"backup_2018-10-20-0000_Bucks_Pizza_181d4ca61ba6-db.gz\";s:7:\"db-size\";i:408012;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"fc3de93203dc32ee6ba1183c50fc2e1a962f06c4\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"7f36eb6e42b3b9e8e5cd5994d6cc871a8f682b5266b5fa6daa860c4b988e4c8c\";}}s:5:\"nonce\";s:12:\"181d4ca61ba6\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1539907200;a:10:{s:2:\"db\";s:53:\"backup_2018-10-19-0000_Bucks_Pizza_2b590008561e-db.gz\";s:7:\"db-size\";i:409576;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"80eadefefda5292ac6871c0f99b0ffed695153f3\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9fec731195067dbc9570893f2a0b0bd7c0c0b1362bc4eafd0a93cb666139d5a8\";}}s:5:\"nonce\";s:12:\"2b590008561e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1539820803;a:10:{s:2:\"db\";s:53:\"backup_2018-10-18-0000_Bucks_Pizza_44819892b2d8-db.gz\";s:7:\"db-size\";i:411312;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2843cdb097d79e26f23e91cec9bea974ed3c3171\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"cf7ac0d33528b4757b8039dfe27d45f7505c278db8ce16b1f4cd04a6c8e2dd62\";}}s:5:\"nonce\";s:12:\"44819892b2d8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1539734427;a:10:{s:2:\"db\";s:53:\"backup_2018-10-17-0000_Bucks_Pizza_ba7da2c8f4ce-db.gz\";s:7:\"db-size\";i:523027;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"87e8cdb8e27c7a563350b8e35bd0f2e4336da331\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f8724613beb215fd0d5e900f29e79f6207adc2f47bb30fee530754a60e7cee40\";}}s:5:\"nonce\";s:12:\"ba7da2c8f4ce\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1539648004;a:10:{s:2:\"db\";s:53:\"backup_2018-10-16-0000_Bucks_Pizza_6d5062e3f093-db.gz\";s:7:\"db-size\";i:409416;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b0c6f29ac399fdd8e47325f3646fab67d8d899c0\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"af9bfac48fe0d7e5ae10be136b81492e1345f12bbaeb9f5fbf461acbaba50299\";}}s:5:\"nonce\";s:12:\"6d5062e3f093\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1539561624;a:10:{s:2:\"db\";s:53:\"backup_2018-10-15-0000_Bucks_Pizza_f82ea4d6ecca-db.gz\";s:7:\"db-size\";i:410701;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f7135a8729e0114743221b8996fc2fda7e029868\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"be8da3e0e8874589ca91f6b809785f5d9f4dbe20eaaa395e1e75d33fb9dc4f79\";}}s:5:\"nonce\";s:12:\"f82ea4d6ecca\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1539475209;a:10:{s:2:\"db\";s:53:\"backup_2018-10-14-0000_Bucks_Pizza_c16a35d4b15f-db.gz\";s:7:\"db-size\";i:398135;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d7466dc052b980d56497dc38b1d5c71f44031aea\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4f8d24337d4109dff80c94f92e67edb435e4771c211a251d503a0637c64a4b9d\";}}s:5:\"nonce\";s:12:\"c16a35d4b15f\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1539388808;a:10:{s:2:\"db\";s:53:\"backup_2018-10-13-0000_Bucks_Pizza_1337ede9083b-db.gz\";s:7:\"db-size\";i:403246;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d432402ea1a844212f99905df4ff11dcd27d6d93\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"dde0a262a2db0144b3d39038388b06c0779cff3d39a0ededd65102ed177856a3\";}}s:5:\"nonce\";s:12:\"1337ede9083b\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1539302403;a:10:{s:2:\"db\";s:53:\"backup_2018-10-12-0000_Bucks_Pizza_67d2743ac351-db.gz\";s:7:\"db-size\";i:523600;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"bed791fa88a839681b3431be26e64acd90ad7591\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"75e960d8f6e84fcbb19da7ac96b92d74f3a6b75f6f7d8eef019d81579adefa97\";}}s:5:\"nonce\";s:12:\"67d2743ac351\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1539216001;a:10:{s:2:\"db\";s:53:\"backup_2018-10-11-0000_Bucks_Pizza_025dc3fce6f2-db.gz\";s:7:\"db-size\";i:518203;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"921e23fbbf6f8c1e80adc0cfccc5c03a2668f536\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ff2e1f3296094f17bed5cd6182d8c3b5522aa35ea23a24afa3c709cee34d4df5\";}}s:5:\"nonce\";s:12:\"025dc3fce6f2\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1539129608;a:10:{s:2:\"db\";s:53:\"backup_2018-10-10-0000_Bucks_Pizza_55d31f9ccc32-db.gz\";s:7:\"db-size\";i:510857;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3792b2fc41d7a5a02c161e5b5704e28ec616dc16\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f90239c68436ccd481662a62ee0fb63bd721973a38f6ae85c425fb3994ea70b1\";}}s:5:\"nonce\";s:12:\"55d31f9ccc32\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1539043201;a:10:{s:2:\"db\";s:53:\"backup_2018-10-09-0000_Bucks_Pizza_2865b1aa36d6-db.gz\";s:7:\"db-size\";i:503563;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"afddd1d0ad8a8a0611b74ae135836bf572714131\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e03676d99935035cc2b469e9e6cdf774d84651113eb13329a9071b5b302cde16\";}}s:5:\"nonce\";s:12:\"2865b1aa36d6\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1538956800;a:10:{s:2:\"db\";s:53:\"backup_2018-10-08-0000_Bucks_Pizza_ca3c70ef7c86-db.gz\";s:7:\"db-size\";i:499179;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d16e00cf1e822df2ccd0105c647a18e061fb10b6\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4ff0a536989f1ff4568ee9057f67a046a58130b58ed900972905027a7b05926d\";}}s:5:\"nonce\";s:12:\"ca3c70ef7c86\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1538870418;a:10:{s:2:\"db\";s:53:\"backup_2018-10-07-0000_Bucks_Pizza_e1d8872fb237-db.gz\";s:7:\"db-size\";i:381355;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d23bed9dc70f546daba12ffb46714e354d55d771\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ec84d65d067690d210ed9ba47c88f0d406cbb5efd697e77e91f0ccaa412982a3\";}}s:5:\"nonce\";s:12:\"e1d8872fb237\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1538784200;a:10:{s:2:\"db\";s:53:\"backup_2018-10-06-0003_Bucks_Pizza_a93333e87032-db.gz\";s:7:\"db-size\";i:383362;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"24d39566f6477f27f572f1013b1621d7758e0885\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"8def00c7fb8e8adb44cb243898c0ccea02b4ad8f688ce852f6290546820eb61c\";}}s:5:\"nonce\";s:12:\"a93333e87032\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1538697605;a:10:{s:2:\"db\";s:53:\"backup_2018-10-05-0000_Bucks_Pizza_4405638a1906-db.gz\";s:7:\"db-size\";i:496617;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"37f060dc80da251f104ec1963b3a11a22026f66b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"7513228723d8c6f09343ff6f4adb49c6318e50c35d9ef6243b08e45ff57c0647\";}}s:5:\"nonce\";s:12:\"4405638a1906\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1538611215;a:10:{s:2:\"db\";s:53:\"backup_2018-10-04-0000_Bucks_Pizza_bc2eb4f9b854-db.gz\";s:7:\"db-size\";i:384624;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7df1c5a8b2cd0fbdf0b0fb59238e8642bf5fc84f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9ae18b8dbdc2d31c2ae19121301296d417bd2afb7957b3d127c0888f8fb46568\";}}s:5:\"nonce\";s:12:\"bc2eb4f9b854\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1538524816;a:10:{s:2:\"db\";s:53:\"backup_2018-10-03-0000_Bucks_Pizza_bb298f5a93c9-db.gz\";s:7:\"db-size\";i:385259;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"dd5db6d10de5534a4163a4b50a2f27580a8caacc\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"14373f95c302f231ec9cba81e24d2447f8c36eb524ba35f5317913bda5af6254\";}}s:5:\"nonce\";s:12:\"bb298f5a93c9\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1538438500;a:10:{s:2:\"db\";s:53:\"backup_2018-10-02-0001_Bucks_Pizza_e710220d1685-db.gz\";s:7:\"db-size\";i:381227;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"eb5dd67fab8eeb1cca4fdec0168e80e00fa4a3f1\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f0e51440870d256fc48ceb99c325f552fb8d4a64398654d7528eaa037e1e4f30\";}}s:5:\"nonce\";s:12:\"e710220d1685\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1538352043;a:10:{s:2:\"db\";s:53:\"backup_2018-10-01-0000_Bucks_Pizza_1a5641fa4a49-db.gz\";s:7:\"db-size\";i:381526;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1ce6ed3859f3cd68ac8f745c7df8cdfe611da290\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"baa30df8a2fd091aab01029b7b218eeb2a1bedbc2300266da00e4828025bbf45\";}}s:5:\"nonce\";s:12:\"1a5641fa4a49\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1538265605;a:10:{s:2:\"db\";s:53:\"backup_2018-09-30-0000_Bucks_Pizza_e88a8ddf6d37-db.gz\";s:7:\"db-size\";i:381372;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c9ec3d9f3b0fb9528c80682745946bb9e1da94b4\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2ec8c3a4ff2d0e498846b66604286a8f65e0b41fa6b13afeba3ba1e8d28e8aa1\";}}s:5:\"nonce\";s:12:\"e88a8ddf6d37\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1538179202;a:10:{s:2:\"db\";s:53:\"backup_2018-09-29-0000_Bucks_Pizza_6823df3863cc-db.gz\";s:7:\"db-size\";i:384272;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0dea0480c767fd768914a3495d026eb6d4296923\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d1d273d79aeef2cbb6df00da3b7d7e71e0cf16270ab50ee91d700ea247f436d5\";}}s:5:\"nonce\";s:12:\"6823df3863cc\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1538092801;a:10:{s:2:\"db\";s:53:\"backup_2018-09-28-0000_Bucks_Pizza_f4b52442acf9-db.gz\";s:7:\"db-size\";i:382849;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7089c15211364d0b5ea2d31368663c4d634e099e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"231f3d0d1b1463e4f00ff9b02f78f67385bd4623701690d4449daa02fabde364\";}}s:5:\"nonce\";s:12:\"f4b52442acf9\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1538006403;a:10:{s:2:\"db\";s:53:\"backup_2018-09-27-0000_Bucks_Pizza_2be80f4049aa-db.gz\";s:7:\"db-size\";i:383424;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"90c822c2dbcff87b7c0550ede7601dde8e7877ae\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"69545517ecc5701f8f9e366e6f1b8337e6b8d2588dacb25055e1a0e009c32e9e\";}}s:5:\"nonce\";s:12:\"2be80f4049aa\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1537920008;a:10:{s:2:\"db\";s:53:\"backup_2018-09-26-0000_Bucks_Pizza_71498aa1f0fb-db.gz\";s:7:\"db-size\";i:491571;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"edd1aaebfd1ce47ae563d56fb1ae495049da9f4f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ad45334c06889b31883bc629b8561f7802ddca74beba3adbdbfa51eaf8f51afb\";}}s:5:\"nonce\";s:12:\"71498aa1f0fb\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1537833631;a:10:{s:2:\"db\";s:53:\"backup_2018-09-25-0000_Bucks_Pizza_aee041ce9401-db.gz\";s:7:\"db-size\";i:387874;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1cff56da25e8c416fb3b416628f3724e6fc2d306\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"33bef89bbfd780268d1cd7c1f491f026c295e1cddbc93a5f3328f92414ef3f56\";}}s:5:\"nonce\";s:12:\"aee041ce9401\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1537747215;a:10:{s:2:\"db\";s:53:\"backup_2018-09-24-0000_Bucks_Pizza_ab0f893ec1de-db.gz\";s:7:\"db-size\";i:383163;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e48cd0245b37bf8aba64cf8332f671a3434d8c12\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a22ab0124cb30d12c6066299a072b599c99e51b0f625d8a3d16509002221ca8f\";}}s:5:\"nonce\";s:12:\"ab0f893ec1de\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1537660816;a:10:{s:2:\"db\";s:53:\"backup_2018-09-23-0000_Bucks_Pizza_84459cb830d8-db.gz\";s:7:\"db-size\";i:384460;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d674714b4ae13969027769e8da749544aa2e3560\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9ce1dba4b575e750960b772e7309709509a48007a3fa112063757b89a983b6a5\";}}s:5:\"nonce\";s:12:\"84459cb830d8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1537574434;a:10:{s:2:\"db\";s:53:\"backup_2018-09-22-0000_Bucks_Pizza_0e9c6b8f423b-db.gz\";s:7:\"db-size\";i:385011;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1bfb4bdcb62474d9195be3255f4137ad72e92a5e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"91757b21c8563c49237e1cb1b28e4ce592e28b4e823725af543eaf88d80007f0\";}}s:5:\"nonce\";s:12:\"0e9c6b8f423b\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1537488011;a:10:{s:2:\"db\";s:53:\"backup_2018-09-21-0000_Bucks_Pizza_a3ebb6ff7b96-db.gz\";s:7:\"db-size\";i:392151;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a11e4f7b35b729be8f10ef6eb25101766ea9167b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3a603d755d6cee5b7165185b2b55fe7b98870a0b32c571cdce678eb873560272\";}}s:5:\"nonce\";s:12:\"a3ebb6ff7b96\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1537401815;a:10:{s:2:\"db\";s:53:\"backup_2018-09-20-0003_Bucks_Pizza_1e7fd7a9f9fb-db.gz\";s:7:\"db-size\";i:391135;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7016779f1b6558c17ad6da72fcbfeb0e572c8e03\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"20c9c244d88a4d756370d84a8a32001c6840ea7152c982fa8e425d688554a495\";}}s:5:\"nonce\";s:12:\"1e7fd7a9f9fb\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.2.0\";s:12:\"is_multisite\";b:0;}i:1537315243;a:10:{s:2:\"db\";s:53:\"backup_2018-09-19-0000_Bucks_Pizza_4a433e51f97a-db.gz\";s:7:\"db-size\";i:392899;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"5d97aa7e259a21ab23a4ae93139c95395bbc8362\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c2862b2c71336b0ae59b588074efa194f1dd973a49575d04bea1f55300fb7d93\";}}s:5:\"nonce\";s:12:\"4a433e51f97a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.1.0\";s:12:\"is_multisite\";b:0;}i:1537228860;a:10:{s:2:\"db\";s:53:\"backup_2018-09-18-0001_Bucks_Pizza_1f502ed85ab8-db.gz\";s:7:\"db-size\";i:393985;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f0af933f47a87a38c6dea03cba99d8425136abd7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"16aac0db00e3a670003608842ced8039f1d203e3aa2f4c3cb59ce195455620e1\";}}s:5:\"nonce\";s:12:\"1f502ed85ab8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.1.0\";s:12:\"is_multisite\";b:0;}i:1537142408;a:10:{s:2:\"db\";s:53:\"backup_2018-09-17-0000_Bucks_Pizza_342ccb79436e-db.gz\";s:7:\"db-size\";i:394794;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f20a0a179321b32428fdf4f554eb2d830f2dfc6b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"793bb41273777455266e8ea93fdd65ba24f5a448220c7a2cb8f8547bf325b633\";}}s:5:\"nonce\";s:12:\"342ccb79436e\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.1.0\";s:12:\"is_multisite\";b:0;}i:1537056003;a:10:{s:2:\"db\";s:53:\"backup_2018-09-16-0000_Bucks_Pizza_b65201a3cd3b-db.gz\";s:7:\"db-size\";i:391146;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"67fc35c3bc064d01cc8c37384f56b517c3f7638e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"845afc3cd87724a83e405e0033a65abb86036d4eba7730e450dce79a74f90a69\";}}s:5:\"nonce\";s:12:\"b65201a3cd3b\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.1.0\";s:12:\"is_multisite\";b:0;}i:1536969601;a:10:{s:2:\"db\";s:53:\"backup_2018-09-15-0000_Bucks_Pizza_88cb556ae962-db.gz\";s:7:\"db-size\";i:391426;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"776ceee8074b40124fa8b49062b03b50cc35ab2f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e11cff64db516f78cf0a0bed4e53d7d80e8071834926cec38cce382806d97da6\";}}s:5:\"nonce\";s:12:\"88cb556ae962\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.1.0\";s:12:\"is_multisite\";b:0;}i:1536883259;a:10:{s:2:\"db\";s:53:\"backup_2018-09-14-0000_Bucks_Pizza_545d29eecb8c-db.gz\";s:7:\"db-size\";i:383713;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ce313e38c523e1a62a05ff02716fe04592e394dd\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f57562a19801981c180cafef181888e986e3ec9808061ad40fdbdf8062d46628\";}}s:5:\"nonce\";s:12:\"545d29eecb8c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:8:\"2.15.1.0\";s:12:\"is_multisite\";b:0;}i:1536796856;a:10:{s:2:\"db\";s:53:\"backup_2018-09-13-0000_Bucks_Pizza_da466f1dfee8-db.gz\";s:7:\"db-size\";i:491647;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"444bec042d5aacff87e7e0e644a6160ab41c8a99\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f4299a4aa419ebbc8da25b793880d772dcc5dc57faebaa59a0b2dae4f5aa9fa7\";}}s:5:\"nonce\";s:12:\"da466f1dfee8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1536710400;a:10:{s:2:\"db\";s:53:\"backup_2018-09-12-0000_Bucks_Pizza_5307e6c440fc-db.gz\";s:7:\"db-size\";i:493356;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"56dcf608d218ee19784f2656f503dfe2ebf609e3\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a9c674024906d009fd192d467067ab10d03253f819b5f2d22fc585e741e79782\";}}s:5:\"nonce\";s:12:\"5307e6c440fc\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1536624023;a:10:{s:2:\"db\";s:53:\"backup_2018-09-11-0000_Bucks_Pizza_538b614827e5-db.gz\";s:7:\"db-size\";i:505323;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7d24a1d83e1f99b682a244f42a4263d6fd536517\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6611f4e5b41cde867211b6dca5cb8a84723ecd936ef091f444259fa1821cae94\";}}s:5:\"nonce\";s:12:\"538b614827e5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1536537617;a:10:{s:2:\"db\";s:53:\"backup_2018-09-10-0000_Bucks_Pizza_cfb38dab357d-db.gz\";s:7:\"db-size\";i:377086;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f7ebfd0773bc2b2ab988840e8550e36454d2b41d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"daa4be814d819bb7b6ba722451d3d7290a9e0672613068c8996457896f698a15\";}}s:5:\"nonce\";s:12:\"cfb38dab357d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1536451226;a:10:{s:2:\"db\";s:53:\"backup_2018-09-09-0000_Bucks_Pizza_104133122c6d-db.gz\";s:7:\"db-size\";i:380265;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"61ea8764c3decb189d01214ac8b8c7b823ddd935\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"97f0297511a69d105ef3aff6c051d580035828e2bad196860e300ef16d716b7a\";}}s:5:\"nonce\";s:12:\"104133122c6d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1536364833;a:10:{s:2:\"db\";s:53:\"backup_2018-09-08-0000_Bucks_Pizza_fae81d0d5bab-db.gz\";s:7:\"db-size\";i:519501;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d23932a8c91c470a3bc127510d13f958045ec761\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"da1f697cf0e809bbfaf107582c53d8083989a38c08d44c4fbc33e260be6f76b2\";}}s:5:\"nonce\";s:12:\"fae81d0d5bab\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1536278404;a:10:{s:2:\"db\";s:53:\"backup_2018-09-07-0000_Bucks_Pizza_6b2e3c69b6bf-db.gz\";s:7:\"db-size\";i:389094;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9aabd2847fb1b6c4ef302978110c086f531def2e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"121d25e938366fa8d8f3197d7bc6b0f81fed5ffdae18e1b6761215082af19e67\";}}s:5:\"nonce\";s:12:\"6b2e3c69b6bf\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1536192052;a:10:{s:2:\"db\";s:53:\"backup_2018-09-06-0000_Bucks_Pizza_53a81a8b10b9-db.gz\";s:7:\"db-size\";i:395826;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c599cdea75c7e362f30669367a439c3fa75ef713\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"53f25096c44342e28ca17d20a5f7e03223094153d3eb3e1e51fe155f961a690b\";}}s:5:\"nonce\";s:12:\"53a81a8b10b9\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1536105607;a:10:{s:2:\"db\";s:53:\"backup_2018-09-05-0000_Bucks_Pizza_638c3ddcdab5-db.gz\";s:7:\"db-size\";i:388333;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c1969ec03807499847becc40e02a113f809c6aac\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"94496b67b40a5e6e6411d01afbd4ffec1c9100e69feab5a9d5251ea601d9c010\";}}s:5:\"nonce\";s:12:\"638c3ddcdab5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1536019223;a:10:{s:2:\"db\";s:53:\"backup_2018-09-04-0000_Bucks_Pizza_aa214672afd5-db.gz\";s:7:\"db-size\";i:390786;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3369704a6946d05fc6896ea91610016190e0a25e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"06f72a7c9b614b5522625b752d09d8ec7b8cd46898d1b977451115cb9a5a8c21\";}}s:5:\"nonce\";s:12:\"aa214672afd5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1535932816;a:10:{s:2:\"db\";s:53:\"backup_2018-09-03-0000_Bucks_Pizza_7629d1a59673-db.gz\";s:7:\"db-size\";i:388723;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"caea08bea2b53778d9df345f9715c503f49ea612\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4fc0dfefba598c3a71d9582867b76a2fe4488c25b7212eb6d0163566d4a6439d\";}}s:5:\"nonce\";s:12:\"7629d1a59673\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1535846419;a:10:{s:2:\"db\";s:53:\"backup_2018-09-02-0000_Bucks_Pizza_58c373f743a4-db.gz\";s:7:\"db-size\";i:386579;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e8a5ddca00519cc5a39e0cc5dfea6cdb0b23117e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c8708e117263958e934efb069d090592d2febdef56851e4e48dbd1323e539c0e\";}}s:5:\"nonce\";s:12:\"58c373f743a4\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1535760002;a:10:{s:2:\"db\";s:53:\"backup_2018-09-01-0000_Bucks_Pizza_a23d5d46a4a2-db.gz\";s:7:\"db-size\";i:386634;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"875fe3d20adddc998adff7d215b26bbe939b1e1d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"8bfa6d25f321c223c5b735dbdc5211e5654cc7acaa1f8e316c1df6b4a50a29a0\";}}s:5:\"nonce\";s:12:\"a23d5d46a4a2\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1535673637;a:10:{s:2:\"db\";s:53:\"backup_2018-08-31-0000_Bucks_Pizza_88dd4b452e99-db.gz\";s:7:\"db-size\";i:381315;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c276720fce83564abdbf633b91d620cd5fcd230f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"7e237a38c45fb606f458e79d23070b3c492ce25291a6d564e46fc5e6855d0829\";}}s:5:\"nonce\";s:12:\"88dd4b452e99\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1535587222;a:10:{s:2:\"db\";s:53:\"backup_2018-08-30-0000_Bucks_Pizza_3de9440a3a11-db.gz\";s:7:\"db-size\";i:383149;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f130de5c8b9ca70800637c78ca68eb6416ed040e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"750a93d3edc8f7fb13096b84bc93b41979fc23bdb7f92346146cbd1797f5a10d\";}}s:5:\"nonce\";s:12:\"3de9440a3a11\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1535500816;a:10:{s:2:\"db\";s:53:\"backup_2018-08-29-0000_Bucks_Pizza_32c592cf8679-db.gz\";s:7:\"db-size\";i:492756;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"65239b6a51824f039e4d1f2925b7ca82afb40d7d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"bb38ea522b9346a9cd3d5cdd89986145c5ff4b2ab2c6acf39f092687b3d76b7c\";}}s:5:\"nonce\";s:12:\"32c592cf8679\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1535414464;a:10:{s:2:\"db\";s:53:\"backup_2018-08-28-0001_Bucks_Pizza_db4153dcbb9d-db.gz\";s:7:\"db-size\";i:512545;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2ebf9b31d8564528982e41a098f4f2d099d94c2f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3ef2e7ef0e70a07817c7bcba5b2e42580bed9d01b78e1f4a3769dbb5eb6e15a7\";}}s:5:\"nonce\";s:12:\"db4153dcbb9d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1535328004;a:10:{s:2:\"db\";s:53:\"backup_2018-08-27-0000_Bucks_Pizza_ff8c7a697243-db.gz\";s:7:\"db-size\";i:384645;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9c6bb904b70c249db9a3d9e7bd5944e78d02fd03\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"90113a40e757711e1c221a1d0c93fafbb2ec41c90e490cc0c49dfe8307b309af\";}}s:5:\"nonce\";s:12:\"ff8c7a697243\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1535241603;a:10:{s:2:\"db\";s:53:\"backup_2018-08-26-0000_Bucks_Pizza_1e71b5e3364f-db.gz\";s:7:\"db-size\";i:387133;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"916ace4035bd0ec1113b37cbcd7c0216f847c567\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"fed5cc005809cb2cbed4933ce5368baeca9a489f1059fce04aaff366dbf14ca4\";}}s:5:\"nonce\";s:12:\"1e71b5e3364f\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1535155218;a:10:{s:2:\"db\";s:53:\"backup_2018-08-25-0000_Bucks_Pizza_e66919319a53-db.gz\";s:7:\"db-size\";i:512501;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7c9db00a38ff7ed5920e85c77a577b2ea1902eaf\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"29c1fc168d073070c49bcd306f71056b7614ce1f7d3c0ba274ed487ad4e5fd5a\";}}s:5:\"nonce\";s:12:\"e66919319a53\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1535068827;a:10:{s:2:\"db\";s:53:\"backup_2018-08-24-0000_Bucks_Pizza_488d308cc70a-db.gz\";s:7:\"db-size\";i:387976;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"72818a6481eade2bb652aaec7c5f720dfc18529d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a67fdb688b831ce7d3431889291e81c5d615361ccb07b38b768d8a20dc100c0e\";}}s:5:\"nonce\";s:12:\"488d308cc70a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1534982469;a:10:{s:2:\"db\";s:53:\"backup_2018-08-23-0001_Bucks_Pizza_635684550d0f-db.gz\";s:7:\"db-size\";i:386939;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"361ef85b38125ceb5a2405d063af704a4f11866f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"041a6f9a8711227b473d50883cd3e776f70710675ea866e1641d14bcaadeb4ea\";}}s:5:\"nonce\";s:12:\"635684550d0f\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1534896033;a:10:{s:2:\"db\";s:53:\"backup_2018-08-22-0000_Bucks_Pizza_6b607bfaaa5a-db.gz\";s:7:\"db-size\";i:389802;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"051eea9b5a50a3b90cf6a46a5a1a2c6dc262be34\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"7c1e0c804802addba428599ffb12063188711783500af6a1cfb447d523bd36e7\";}}s:5:\"nonce\";s:12:\"6b607bfaaa5a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1534809651;a:10:{s:2:\"db\";s:53:\"backup_2018-08-21-0000_Bucks_Pizza_f6053c807796-db.gz\";s:7:\"db-size\";i:388901;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1e37f668c699543e99540b136c001d4915398434\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4fc1bb14284390af8029cc6881d869ea7da07f311e84f48f989a74a9f10f0f20\";}}s:5:\"nonce\";s:12:\"f6053c807796\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1534723202;a:10:{s:2:\"db\";s:53:\"backup_2018-08-20-0000_Bucks_Pizza_0b7a9cf4fcf8-db.gz\";s:7:\"db-size\";i:388913;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"07420fb37a84f8f3dacbe9acd23e692d167d6af0\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a460a3a37e27a67552158623184b9c991279fd9a80eb6eeb3409b77d0de3a3b5\";}}s:5:\"nonce\";s:12:\"0b7a9cf4fcf8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1534636805;a:10:{s:2:\"db\";s:53:\"backup_2018-08-19-0000_Bucks_Pizza_7cc2345c6332-db.gz\";s:7:\"db-size\";i:388585;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"be1bc45592dbbab2d577eae6995752741c4b6bb9\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e12a19bccadcd4c8a16c5d0b36682bfb83f4ad027bf28876e4ffc28bc6b22e5e\";}}s:5:\"nonce\";s:12:\"7cc2345c6332\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1534550424;a:10:{s:2:\"db\";s:53:\"backup_2018-08-18-0000_Bucks_Pizza_6b5d59c22e65-db.gz\";s:7:\"db-size\";i:386786;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9173495fc23b16213a3dbfd8bd259addf1f4789e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"cffa62ef549d932ac6d4bba4b054ff6e81969c79d7c2c1b57a3d019a3910ec82\";}}s:5:\"nonce\";s:12:\"6b5d59c22e65\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1534464081;a:10:{s:2:\"db\";s:53:\"backup_2018-08-17-0001_Bucks_Pizza_f1a22d2cc183-db.gz\";s:7:\"db-size\";i:386929;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"22f4960830a418f76b73c424a76896c4cb5cc34b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ba42b3118712075310cc020523df69ade66df4456293092df42274e3602310c4\";}}s:5:\"nonce\";s:12:\"f1a22d2cc183\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.13.0\";s:12:\"is_multisite\";b:0;}i:1534377609;a:10:{s:2:\"db\";s:53:\"backup_2018-08-16-0000_Bucks_Pizza_f41fced9f979-db.gz\";s:7:\"db-size\";i:388257;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"5c8948f18e0dceac3670ca85e7457f0b966131c9\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2d30fd031ab796adf67c3ca221beb8b9dd236d5845401666ef805bf04f3e8737\";}}s:5:\"nonce\";s:12:\"f41fced9f979\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1534291210;a:10:{s:2:\"db\";s:53:\"backup_2018-08-15-0000_Bucks_Pizza_a6dcfc94a0c2-db.gz\";s:7:\"db-size\";i:496295;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"4e09da89d43a3859db664152209926b350406f0c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6170bc2ced8c1ab37e95caca2e395d909dfc2e6ad3768b507823fa99c3349995\";}}s:5:\"nonce\";s:12:\"a6dcfc94a0c2\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1534204855;a:10:{s:2:\"db\";s:53:\"backup_2018-08-14-0000_Bucks_Pizza_22ecdd10a0cf-db.gz\";s:7:\"db-size\";i:495693;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2764cb6001f1bc6e72aaf9ea7b8f2b0e93a1482f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"34c3ce794bc32caf79ba735f16213419f2378a6612049e4a80872646008fa674\";}}s:5:\"nonce\";s:12:\"22ecdd10a0cf\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1534118409;a:10:{s:2:\"db\";s:53:\"backup_2018-08-13-0000_Bucks_Pizza_1b7c03614ef7-db.gz\";s:7:\"db-size\";i:388106;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"378c7ebe88883318e94f5f9a853a98c4d9eff066\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b30a26a9051928f99d37a1e8518adfac5eee7f1ea7ee0000b6a4e09db44de8fc\";}}s:5:\"nonce\";s:12:\"1b7c03614ef7\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1534032001;a:10:{s:2:\"db\";s:53:\"backup_2018-08-12-0000_Bucks_Pizza_65133f8a3e4f-db.gz\";s:7:\"db-size\";i:388599;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7494fa0f9d0ac1371bd7dc4af02852d284a8ac2d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e183981c1deef6aea5fda54e21108640b2468ec6103aec12f28222f65d89f53d\";}}s:5:\"nonce\";s:12:\"65133f8a3e4f\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1533945603;a:10:{s:2:\"db\";s:53:\"backup_2018-08-11-0000_Bucks_Pizza_b53f2c103679-db.gz\";s:7:\"db-size\";i:388830;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"582ba86ecdd740734dcd21ec4164cafeb3363498\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"faae77d2a735efdf5cc0c1b0b309c73049af12a76f1c664537abfaded3039db0\";}}s:5:\"nonce\";s:12:\"b53f2c103679\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1533859210;a:10:{s:2:\"db\";s:53:\"backup_2018-08-10-0000_Bucks_Pizza_7758231bf7c5-db.gz\";s:7:\"db-size\";i:488921;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0c256b16615ba46137e678f6bc98155522a4af12\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e756bccbd83acab7a5d8911b92ad37276a8b886072455e5d6256eda82526ae68\";}}s:5:\"nonce\";s:12:\"7758231bf7c5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1533772821;a:10:{s:2:\"db\";s:53:\"backup_2018-08-09-0000_Bucks_Pizza_fa352f353dd2-db.gz\";s:7:\"db-size\";i:389001;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a561e2506890a7262825b666def5364cad7a8183\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2351e202abe2387570f7b3fa109da93912943066036e0c51ae1016b516641555\";}}s:5:\"nonce\";s:12:\"fa352f353dd2\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1533686409;a:10:{s:2:\"db\";s:53:\"backup_2018-08-08-0000_Bucks_Pizza_1d527113d0fa-db.gz\";s:7:\"db-size\";i:374942;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1bcd6400dff616132561ea329766b7686fc3b0a4\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"cb0e662f65f0db5fdfc19e343288b0ac15c7c667cd572ebe4843b2e96b4b11a7\";}}s:5:\"nonce\";s:12:\"1d527113d0fa\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1533600007;a:10:{s:2:\"db\";s:53:\"backup_2018-08-07-0000_Bucks_Pizza_1323c18ee2fb-db.gz\";s:7:\"db-size\";i:376979;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"fcf11a288f4915f57475aa29b4ec6d10f9784427\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b264b86e68519cea020d77bc7c1a111c484f3e070943949f64a766bd8bce2146\";}}s:5:\"nonce\";s:12:\"1323c18ee2fb\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1533513604;a:10:{s:2:\"db\";s:53:\"backup_2018-08-06-0000_Bucks_Pizza_533c000ff547-db.gz\";s:7:\"db-size\";i:375982;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a0a87d1b90ff1e13f491f97a25e684ffc5c9d50a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3a63feb17402ec19bd1606d4949cba51c5f81f8359da58a2704c20251c14e2f8\";}}s:5:\"nonce\";s:12:\"533c000ff547\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1533427200;a:10:{s:2:\"db\";s:53:\"backup_2018-08-05-0000_Bucks_Pizza_6f30a5cbc7a8-db.gz\";s:7:\"db-size\";i:376855;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"718057d81ca2d904ba432f379c0dc08743ee6025\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"719018042b9f4c798e70b4a46521053c98dd8754db702cbef7dc02cc15962de1\";}}s:5:\"nonce\";s:12:\"6f30a5cbc7a8\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1533340805;a:10:{s:2:\"db\";s:53:\"backup_2018-08-04-0000_Bucks_Pizza_733e2c664cd5-db.gz\";s:7:\"db-size\";i:374683;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"bbbfbbb6abd6586fe8969eef5079eee14cd92150\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a93e9df86bb2437b89b2baa9ec4ed71181661c1d922d58fdfc47ab653a355222\";}}s:5:\"nonce\";s:12:\"733e2c664cd5\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1533254409;a:10:{s:2:\"db\";s:53:\"backup_2018-08-03-0000_Bucks_Pizza_29353d490c0d-db.gz\";s:7:\"db-size\";i:484773;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"cd9abc8e9670f52bbec747aa4b54f68fe64397f5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"226c44ba4f8a192fae495142008be9920763e8c562a5b13c8fac9545bf3b3bc8\";}}s:5:\"nonce\";s:12:\"29353d490c0d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1533168008;a:10:{s:2:\"db\";s:53:\"backup_2018-08-02-0000_Bucks_Pizza_9ba4d2e25417-db.gz\";s:7:\"db-size\";i:383428;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"06e965af47519ef4084cd1231a11dda2b7ce5ce7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"47a85f0ae52038ff626bb5735fbcc0d42a302315d066e5b7a6e18974ce27afd1\";}}s:5:\"nonce\";s:12:\"9ba4d2e25417\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1533081601;a:10:{s:2:\"db\";s:53:\"backup_2018-08-01-0000_Bucks_Pizza_013b0b2cd745-db.gz\";s:7:\"db-size\";i:385177;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3a1768a8d18fd968f5a6fc529096644f293b377a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a046522257aac606d4299363049a3bd7fdfa54f59aec0d2fb1b3d037354d1263\";}}s:5:\"nonce\";s:12:\"013b0b2cd745\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1532995269;a:10:{s:2:\"db\";s:53:\"backup_2018-07-31-0001_Bucks_Pizza_a667fde13744-db.gz\";s:7:\"db-size\";i:378516;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e0aa38980c4a151f77414f149df08c8474d48e50\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"34bc67e5ffb3aa1c4684518c70f39fdbcf6335fa5ef60d18017c5d3982af14c1\";}}s:5:\"nonce\";s:12:\"a667fde13744\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1532908825;a:10:{s:2:\"db\";s:53:\"backup_2018-07-30-0000_Bucks_Pizza_16d3a658b494-db.gz\";s:7:\"db-size\";i:374766;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d7b14870cec66b64057e15323c933b5a7378a1d7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"25b0a27d2ae68fec13569b1eeb7dde348df600e91e98333d884592cdec5ec27d\";}}s:5:\"nonce\";s:12:\"16d3a658b494\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1532822404;a:10:{s:2:\"db\";s:53:\"backup_2018-07-29-0000_Bucks_Pizza_e14e4ccbc32d-db.gz\";s:7:\"db-size\";i:375960;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6e637c179eef8463898cc94238e931fb111956aa\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"07f01e21eaa1b22f18fa56dbbe66478c8d8c7603fb67e47572719888e41a9668\";}}s:5:\"nonce\";s:12:\"e14e4ccbc32d\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1532736011;a:10:{s:2:\"db\";s:53:\"backup_2018-07-28-0000_Bucks_Pizza_57d4f32c82e4-db.gz\";s:7:\"db-size\";i:377179;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f3ab3ad983f6dcf89b2eb70c4b02f90ad139cee4\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"592623ae003bb0fa82e1ba59d842019410083bd855dbfc9d511a8177a9d304a6\";}}s:5:\"nonce\";s:12:\"57d4f32c82e4\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1532649607;a:10:{s:2:\"db\";s:53:\"backup_2018-07-27-0000_Bucks_Pizza_31d4eb6dc89c-db.gz\";s:7:\"db-size\";i:373718;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0ba593184f590276e7801ed9d81eda0b1d92814e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"83c153d595748300799b6138d3bb790629ec8ab8da055b0e36e97024aba3e055\";}}s:5:\"nonce\";s:12:\"31d4eb6dc89c\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1532563235;a:10:{s:2:\"db\";s:53:\"backup_2018-07-26-0000_Bucks_Pizza_d63f9ddadfef-db.gz\";s:7:\"db-size\";i:374081;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8e3d415724bb6ac97289f6bb5dfa72a805f618da\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"450c523bbbfa76c7f6296f841a1b2f3f3ba15cd8c685da13d4c8d440ffe26c94\";}}s:5:\"nonce\";s:12:\"d63f9ddadfef\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1532476850;a:10:{s:2:\"db\";s:53:\"backup_2018-07-25-0000_Bucks_Pizza_b55d2c722874-db.gz\";s:7:\"db-size\";i:377585;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"bf3cc93d5b8498d3d6d49c8092eb3f3841d4d943\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"92ae48be27fc014da21df64f40dfa27dcdf431606cfed6a39e82a95d7a1c04ed\";}}s:5:\"nonce\";s:12:\"b55d2c722874\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1532390449;a:10:{s:2:\"db\";s:53:\"backup_2018-07-24-0000_Bucks_Pizza_d59f310fee65-db.gz\";s:7:\"db-size\";i:376900;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a972c1e8914e0feb1102e50c77a19aeec3acb48e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"eac3be3b944d5563da4c30c69e7eacdc6356b06c00139bbffde5923a76202bee\";}}s:5:\"nonce\";s:12:\"d59f310fee65\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1532304006;a:10:{s:2:\"db\";s:53:\"backup_2018-07-23-0000_Bucks_Pizza_4525cd3b3f0a-db.gz\";s:7:\"db-size\";i:378133;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"74395926e36c5819adf74b06e97b0e893e0fbea0\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"03e7ce970f3669942ec5fe466b435de34c299810942897c9852585975f75c5ab\";}}s:5:\"nonce\";s:12:\"4525cd3b3f0a\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1532217617;a:10:{s:2:\"db\";s:53:\"backup_2018-07-22-0000_Bucks_Pizza_a5ca677c6ae7-db.gz\";s:7:\"db-size\";i:377263;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"33d5fba3f9e40acac48703facd1f0252261f6ba1\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"55feb8e0a7a142a61ed6f1c5f440f0a5fbb881fcbd10518a048f9de490136a7f\";}}s:5:\"nonce\";s:12:\"a5ca677c6ae7\";s:7:\"service\";a:1:{i:0;s:4:\"none\";}s:20:\"service_instance_ids\";a:0:{}s:11:\"always_keep\";b:0;s:19:\"files_enumerated_at\";N;s:18:\"created_by_version\";s:9:\"2.14.12.0\";s:12:\"is_multisite\";b:0;}i:1532131250;a:8:{s:2:\"db\";s:53:\"backup_2018-07-21-0000_Bucks_Pizza_dfad26dde3a6-db.gz\";s:7:\"db-size\";i:375082;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2b6d723b312a19840e65c815d04fcd175a4f82c6\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"fddc2f7414b3842b18f22f6d1114277a17f0e92f42336da31e921ef2a4b20305\";}}s:5:\"nonce\";s:12:\"dfad26dde3a6\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1532044800;a:8:{s:2:\"db\";s:53:\"backup_2018-07-20-0000_Bucks_Pizza_303f943ecb20-db.gz\";s:7:\"db-size\";i:491279;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e34789f79d8fa8ddbcf3d755eed930928551dc06\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a86125f01a1a64529e8163df690fc78f409df09314b515c202de32a010961965\";}}s:5:\"nonce\";s:12:\"303f943ecb20\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1531958432;a:8:{s:2:\"db\";s:53:\"backup_2018-07-19-0000_Bucks_Pizza_996ede78ca19-db.gz\";s:7:\"db-size\";i:370667;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7fde6b9068c1aa394809bfa5624ca9817966ec02\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ed071348a0033711f0d4b3168bfd4b6ad5e68a2979a4f3ebe10783a5281523ff\";}}s:5:\"nonce\";s:12:\"996ede78ca19\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1531872006;a:8:{s:2:\"db\";s:53:\"backup_2018-07-18-0000_Bucks_Pizza_a2a6b77403e6-db.gz\";s:7:\"db-size\";i:463000;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"31e285940a67c16fa5a5e1223a822635e12dd2b3\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f6f16d74fd6f675efe50be062c1cf3773bd017b4ac02037294f3e5e921525616\";}}s:5:\"nonce\";s:12:\"a2a6b77403e6\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1531785625;a:8:{s:2:\"db\";s:53:\"backup_2018-07-17-0000_Bucks_Pizza_f54f2acdf8b3-db.gz\";s:7:\"db-size\";i:373862;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"237cc4c411e8d46a09163b3633f47192e5010de4\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"36097d5ce69b9379d581f0d7f086f482b8a8abdf06dc75960a0d1eb963f589f1\";}}s:5:\"nonce\";s:12:\"f54f2acdf8b3\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1531699225;a:8:{s:2:\"db\";s:53:\"backup_2018-07-16-0000_Bucks_Pizza_2dc568c5e978-db.gz\";s:7:\"db-size\";i:487743;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"926e50247f8d1b612f69a5757a0ba0c520be9272\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4edd21c008621a9f39f703f5e10e0034d4a5c3996ccabfd5b286ecaf394d9d8e\";}}s:5:\"nonce\";s:12:\"2dc568c5e978\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1531612819;a:8:{s:2:\"db\";s:53:\"backup_2018-07-15-0000_Bucks_Pizza_b4f9802adab8-db.gz\";s:7:\"db-size\";i:370310;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"759e2c6ca682eac291c782c87ab290dc837699a6\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"34bd5afb6ead551315640be5ae6c0bfe0e23462aa5639c46d2d49c6ca26941aa\";}}s:5:\"nonce\";s:12:\"b4f9802adab8\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1531526402;a:8:{s:2:\"db\";s:53:\"backup_2018-07-14-0000_Bucks_Pizza_8763d806e924-db.gz\";s:7:\"db-size\";i:372524;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"943fa07bf0364993764c35de7dfc53183915775a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ffa0390dd7f54c4ac4a0cdffd99fed6df722d25ef6c631c64e33605cc7178660\";}}s:5:\"nonce\";s:12:\"8763d806e924\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1531440016;a:8:{s:2:\"db\";s:53:\"backup_2018-07-13-0000_Bucks_Pizza_dfd58e7c892e-db.gz\";s:7:\"db-size\";i:486113;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"41444f74fed8fdc75b770c72c3705326e87c5539\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"45d5fa49160c49c7c67447bba108782a2e92cd2859c96bbae9285f4bd6d716d6\";}}s:5:\"nonce\";s:12:\"dfd58e7c892e\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1531353629;a:8:{s:2:\"db\";s:53:\"backup_2018-07-12-0000_Bucks_Pizza_9038d1b7c59f-db.gz\";s:7:\"db-size\";i:371892;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"912a2e511605501550ddd2f97648597340a3910a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ee49e7538f90b93d6b3527a743818022e382b1f7c4dbd50b8cd437c2898f3bc6\";}}s:5:\"nonce\";s:12:\"9038d1b7c59f\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1531267230;a:8:{s:2:\"db\";s:53:\"backup_2018-07-11-0000_Bucks_Pizza_1bac9ee9faea-db.gz\";s:7:\"db-size\";i:475760;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"16287fcf2cd4d3c7bd0802857fdb2d22228d27e5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"868d8a093f6fd2a7136f2b197f42be740e92fe3120943b7df0e7ffad4544790d\";}}s:5:\"nonce\";s:12:\"1bac9ee9faea\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1531180823;a:8:{s:2:\"db\";s:53:\"backup_2018-07-10-0000_Bucks_Pizza_b81024a934d8-db.gz\";s:7:\"db-size\";i:471690;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"65b9830b228182599ed15bb9d0b0c374a64c47ff\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"574c3f7475adf84ec28d4c899b113c764504a3b22c50f3d422b147163525167e\";}}s:5:\"nonce\";s:12:\"b81024a934d8\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1531094401;a:8:{s:2:\"db\";s:53:\"backup_2018-07-09-0000_Bucks_Pizza_0c442527c7b9-db.gz\";s:7:\"db-size\";i:362204;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6edbc8cd8dd7a242a7f04b7f7bfff62d1cde38d0\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9f2e7bf6b54765539d197c8267cdbf6f853505412c8ca54b9d2b74191cf869bd\";}}s:5:\"nonce\";s:12:\"0c442527c7b9\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1531008006;a:8:{s:2:\"db\";s:53:\"backup_2018-07-08-0000_Bucks_Pizza_59f0c440852b-db.gz\";s:7:\"db-size\";i:369455;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3941b46bf5e93827ce43e56ff02ab0b3246b09d0\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a23b3e1fc6744176f29e362127b51c24906f295ece1a2db5ac1a60d941b52ca0\";}}s:5:\"nonce\";s:12:\"59f0c440852b\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1530921610;a:8:{s:2:\"db\";s:53:\"backup_2018-07-07-0000_Bucks_Pizza_1efa57ad6053-db.gz\";s:7:\"db-size\";i:366846;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ff7dfe833acfc43c80dbb43d9a0589a8f7a3882e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e3a16fc235a81361abc84d2ba6b76f620d1630747343ad66feea5988818482d6\";}}s:5:\"nonce\";s:12:\"1efa57ad6053\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1530835215;a:8:{s:2:\"db\";s:53:\"backup_2018-07-06-0000_Bucks_Pizza_b6456af84608-db.gz\";s:7:\"db-size\";i:366937;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d7ad16df2faa4f35092c351b941b56852808225e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e5dab066e50d909fab570d8e72032d72753bca4677d2544b4ef7cbcf59a20745\";}}s:5:\"nonce\";s:12:\"b6456af84608\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1530748894;a:8:{s:2:\"db\";s:53:\"backup_2018-07-05-0001_Bucks_Pizza_d1dc05272fba-db.gz\";s:7:\"db-size\";i:372019;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c935cd9d931ca73cc4957c62410a92e931c47072\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"403a8bff2ef16cfdc1e3f0f25b84cc63638aa175238cf6207ff69733380bc796\";}}s:5:\"nonce\";s:12:\"d1dc05272fba\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1530662435;a:8:{s:2:\"db\";s:53:\"backup_2018-07-04-0000_Bucks_Pizza_1e23679eef76-db.gz\";s:7:\"db-size\";i:364144;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"84ea6dd2f368600a01d43041520c9f8d53f9ff0b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4752d26237b2cffb872edd9b9de99799e0a0540963e9c259bad0ea0daa8f649d\";}}s:5:\"nonce\";s:12:\"1e23679eef76\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1530576009;a:8:{s:2:\"db\";s:53:\"backup_2018-07-03-0000_Bucks_Pizza_cf215d763311-db.gz\";s:7:\"db-size\";i:364379;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"bc14149c9ddef0ff1e78dc2ba31f0d481ce0bafa\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"62e0c7afce6854d96cf41d1379f33d09d8ee837c1f3e34fff3ca4dc6793f9632\";}}s:5:\"nonce\";s:12:\"cf215d763311\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1530489606;a:8:{s:2:\"db\";s:53:\"backup_2018-07-02-0000_Bucks_Pizza_b75339f1bd2d-db.gz\";s:7:\"db-size\";i:366030;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a9a694680a12ed33da78d8ea86c8144bedb34271\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"dec004eabb11e9c626ca378f4d726e8c293ffafd9f124deb00f8c290d8381429\";}}s:5:\"nonce\";s:12:\"b75339f1bd2d\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1530403207;a:8:{s:2:\"db\";s:53:\"backup_2018-07-01-0000_Bucks_Pizza_551a103ee6c9-db.gz\";s:7:\"db-size\";i:374025;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"36df35b7b4a58238b2e169a36fcaf0226afbdf9c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"7986db82f251247fdb075dd6304c62b28bfc22c77334cba83a3821e1a41451ce\";}}s:5:\"nonce\";s:12:\"551a103ee6c9\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1530316804;a:8:{s:2:\"db\";s:53:\"backup_2018-06-30-0000_Bucks_Pizza_fe22428b6ed5-db.gz\";s:7:\"db-size\";i:378059;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"5a63ac978d512069072fc19e98e36c5e2f2919ca\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"342823ece281210ff20c18a74251e16de23a09236bc63a3b10218e6f91499f59\";}}s:5:\"nonce\";s:12:\"fe22428b6ed5\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1530230401;a:8:{s:2:\"db\";s:53:\"backup_2018-06-29-0000_Bucks_Pizza_587229f1896c-db.gz\";s:7:\"db-size\";i:383084;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d5854907dc0f50f0615c0b486f31553f0b25f185\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"10a12bb653f0e9dd7f7b4cac8bd6eb76bf49f0ee3af5824fb777df8404462e8a\";}}s:5:\"nonce\";s:12:\"587229f1896c\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1530144000;a:8:{s:2:\"db\";s:53:\"backup_2018-06-28-0000_Bucks_Pizza_874386b7f783-db.gz\";s:7:\"db-size\";i:386149;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"21da8d52512b909e28c3503e02e197b8411aaaab\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"cdc4b4b7caf1442ef44f32f12ca6d89f3d246e66ea6ad763ba701db123c74eca\";}}s:5:\"nonce\";s:12:\"874386b7f783\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1530057609;a:8:{s:2:\"db\";s:53:\"backup_2018-06-27-0000_Bucks_Pizza_5527eb10546f-db.gz\";s:7:\"db-size\";i:391184;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b6dbc3a3bfa719c71bdf77504ab90d7469fe3a8e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"41ba9435a045b6fd1dd1ee930064d68dd48880d3105c9620997aa8cc6dcb6cd0\";}}s:5:\"nonce\";s:12:\"5527eb10546f\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1529971218;a:8:{s:2:\"db\";s:53:\"backup_2018-06-26-0000_Bucks_Pizza_38c340a92960-db.gz\";s:7:\"db-size\";i:397498;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"11e5691b27479730fff4c33b9bc3eaf1bac16650\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a816687e5092896eadd8f845aeedd073a8a650a8b20c90c6b183807b2cacfae1\";}}s:5:\"nonce\";s:12:\"38c340a92960\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1529884818;a:8:{s:2:\"db\";s:53:\"backup_2018-06-25-0000_Bucks_Pizza_2258cc4c1968-db.gz\";s:7:\"db-size\";i:404111;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"92b3d77a6077f90ca954403157a89b2436002d47\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a24e6cf30d94d139d2c9a968d63a6a50f0740db36186b1b84bd0edd0a6c2ff38\";}}s:5:\"nonce\";s:12:\"2258cc4c1968\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1529798425;a:8:{s:2:\"db\";s:53:\"backup_2018-06-24-0000_Bucks_Pizza_0156a944478b-db.gz\";s:7:\"db-size\";i:407407;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3c6194dbd7993021a9cbc6027e3d4f1e5f0c454b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"edcbeed6f58fcc6b74b13e3a6e1a4c50428ed06030317d572d7ccd07f171290d\";}}s:5:\"nonce\";s:12:\"0156a944478b\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1529712011;a:8:{s:2:\"db\";s:53:\"backup_2018-06-23-0000_Bucks_Pizza_b82755921353-db.gz\";s:7:\"db-size\";i:407990;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"28ff985e64f1fe4be011ed1819e6b6eb761940f5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c5a039539070256ddb50fa2198d5118f8ea981870ee73e9cadfbb1c39c830815\";}}s:5:\"nonce\";s:12:\"b82755921353\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1529625615;a:8:{s:2:\"db\";s:53:\"backup_2018-06-22-0000_Bucks_Pizza_649a95cf2743-db.gz\";s:7:\"db-size\";i:490818;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7cd573f3c716d5d7e7c186cf07db70c247ef0c60\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"477d37cfaaff2ba8e38121a093496f042f41c0931aba5634304a75a52aa829f2\";}}s:5:\"nonce\";s:12:\"649a95cf2743\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1529539242;a:8:{s:2:\"db\";s:53:\"backup_2018-06-21-0000_Bucks_Pizza_3c8d08645abb-db.gz\";s:7:\"db-size\";i:499027;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"4c574552ba3b51d73446206edd6da10510ec5bf4\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"aeaa32bd0ed7b878578fa728fb9436178839d2d7ad22ff2acacd7f22bf967b7b\";}}s:5:\"nonce\";s:12:\"3c8d08645abb\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1529452845;a:8:{s:2:\"db\";s:53:\"backup_2018-06-20-0000_Bucks_Pizza_9f9db43fe9be-db.gz\";s:7:\"db-size\";i:509480;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9e29e1bb896ca51e3716b8059c408051b70180b4\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e7ac750df2d54c81899431d0b47303d3e0f565ad623dac1345099470c10e3422\";}}s:5:\"nonce\";s:12:\"9f9db43fe9be\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1529366505;a:8:{s:2:\"db\";s:53:\"backup_2018-06-19-0001_Bucks_Pizza_cee1b6c63bf9-db.gz\";s:7:\"db-size\";i:409116;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0ae4036d27400f112fb3c53a46e70fffd713ede8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6be7b5451d4257a193c3fcf1b4001cf784ddcda72c64006adfc2cb55a0fcb8d2\";}}s:5:\"nonce\";s:12:\"cee1b6c63bf9\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1529280048;a:8:{s:2:\"db\";s:53:\"backup_2018-06-18-0000_Bucks_Pizza_7acd2fd2bd19-db.gz\";s:7:\"db-size\";i:412200;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1f2582ab4b2bb46935a77142fcd198f6377eafd0\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a4ad1f802392a9c21d1fe6635e36abd370c741350199cf93253571a16d47286c\";}}s:5:\"nonce\";s:12:\"7acd2fd2bd19\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1529193617;a:8:{s:2:\"db\";s:53:\"backup_2018-06-17-0000_Bucks_Pizza_47ca7b777624-db.gz\";s:7:\"db-size\";i:424192;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"285cf974160d3d96e4479251330105731d402814\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"1166ed918ddee9eec875af637188f9d93ba2f3caad1879c9ddb1d095fdc04345\";}}s:5:\"nonce\";s:12:\"47ca7b777624\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1529107207;a:8:{s:2:\"db\";s:53:\"backup_2018-06-16-0000_Bucks_Pizza_f9c08643f4aa-db.gz\";s:7:\"db-size\";i:426604;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"62cc913ff1842324034746422464f03d621e8ade\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"961e207aba7975688911cbe8115ca841ab609d7e11b7853ccc1a94a355b88ba4\";}}s:5:\"nonce\";s:12:\"f9c08643f4aa\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1529020829;a:8:{s:2:\"db\";s:53:\"backup_2018-06-15-0000_Bucks_Pizza_f2da4d5e8297-db.gz\";s:7:\"db-size\";i:423570;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"81bac08f47dca26144dda89cfa8de52919db677d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"21355858f0f569b12c4b56c7638b3bcc18c1869f5b692f23ab0572afc7c8bd3b\";}}s:5:\"nonce\";s:12:\"f2da4d5e8297\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1528934439;a:8:{s:2:\"db\";s:53:\"backup_2018-06-14-0000_Bucks_Pizza_3cc9beddc6d5-db.gz\";s:7:\"db-size\";i:420703;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0924125ac728115d93be6564117b0adf48221999\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"fa739f2b1f78f83b055bb61bf43cf4b67ebc8071dfe31c7c9e01f0db214bff26\";}}s:5:\"nonce\";s:12:\"3cc9beddc6d5\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1528848088;a:8:{s:2:\"db\";s:53:\"backup_2018-06-13-0001_Bucks_Pizza_09f1c760be72-db.gz\";s:7:\"db-size\";i:424246;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"fe2550fadbf3c4cca04290be3c792b0f78f5b25b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"87afaec0295a88961319c5374b828901ab31e16d1c7a668ef9fdce520454b29d\";}}s:5:\"nonce\";s:12:\"09f1c760be72\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1528761633;a:8:{s:2:\"db\";s:53:\"backup_2018-06-12-0000_Bucks_Pizza_a5919592cbfb-db.gz\";s:7:\"db-size\";i:531118;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ea174f1d2cad160c4f2fc72c245338a9bed35db2\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d55ed56703d497e8edaff8c5015fcb958245a6dfe611d947f5b399ffb50fd4ed\";}}s:5:\"nonce\";s:12:\"a5919592cbfb\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1528675202;a:8:{s:2:\"db\";s:53:\"backup_2018-06-11-0000_Bucks_Pizza_9acac3194fab-db.gz\";s:7:\"db-size\";i:425540;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"bd48a9a35aeb933b060f4bb20080c334eeaf9a2a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6adb97cf4da7bd389a5bba06e007f0412c885754cb053761d351b21e5069d2c9\";}}s:5:\"nonce\";s:12:\"9acac3194fab\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1528588820;a:8:{s:2:\"db\";s:53:\"backup_2018-06-10-0000_Bucks_Pizza_fc31775e7916-db.gz\";s:7:\"db-size\";i:429680;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7bd8a5c54d12bb82ff8147b40047244200f24967\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"907b1aac15d79e188e9100e707e9b4688ae1062b76a68a43576a1e6fe68b30f4\";}}s:5:\"nonce\";s:12:\"fc31775e7916\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1528502406;a:8:{s:2:\"db\";s:53:\"backup_2018-06-09-0000_Bucks_Pizza_e4d01a39ec99-db.gz\";s:7:\"db-size\";i:424636;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"bb14dfff95b6a9dd72a54365432c3d9ad49b68fc\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d66e4f38b1c8a974ed3bacf05e22ad71fa4f51c921c77caea63a2fa80ae53f89\";}}s:5:\"nonce\";s:12:\"e4d01a39ec99\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1528416029;a:8:{s:2:\"db\";s:53:\"backup_2018-06-08-0000_Bucks_Pizza_aebf86c44ab4-db.gz\";s:7:\"db-size\";i:498141;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e518a1da00af59cc19fb44aa9a7ec6d608ace37d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6c791aa11b4ea535cf38068fed5aae8a2ec84b263e4c2e16bf89b61ab0582dc6\";}}s:5:\"nonce\";s:12:\"aebf86c44ab4\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1528329600;a:8:{s:2:\"db\";s:53:\"backup_2018-06-07-0000_Bucks_Pizza_4605dd3fb5ef-db.gz\";s:7:\"db-size\";i:424679;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c020c0bdd710e36e3ee31414b30934f98cac2a66\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"72937c101b04a91d7d624f367e64bebf081e7a5d06e4478a1d44d86edc160f29\";}}s:5:\"nonce\";s:12:\"4605dd3fb5ef\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1528243214;a:8:{s:2:\"db\";s:53:\"backup_2018-06-06-0000_Bucks_Pizza_7cd44c549917-db.gz\";s:7:\"db-size\";i:417270;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f69ef04076663cd6611d8fb1d0e5070438125a3f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3a38f64381ecc562efe50e0fad97e602c4f7d0fdcb86475fa1080cbd8c0f2117\";}}s:5:\"nonce\";s:12:\"7cd44c549917\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1528156800;a:8:{s:2:\"db\";s:53:\"backup_2018-06-05-0000_Bucks_Pizza_d171ecb989b3-db.gz\";s:7:\"db-size\";i:418534;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6754e96a8f266e23229cce7f97147f8a9ce8d431\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b88520ac38285ccb82c02087c31cdc5281ff2dcfd1dc31d6be856c8b10f2fc33\";}}s:5:\"nonce\";s:12:\"d171ecb989b3\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1528070408;a:8:{s:2:\"db\";s:53:\"backup_2018-06-04-0000_Bucks_Pizza_d43dce36fe34-db.gz\";s:7:\"db-size\";i:419012;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6ff97f763ce30250a0cf8cad90f397bbb877e2ff\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ac49edfadb768f894fccec5fd1bfffc67d06046f84ed14dcb57d0e2393bd45c1\";}}s:5:\"nonce\";s:12:\"d43dce36fe34\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1527984005;a:8:{s:2:\"db\";s:53:\"backup_2018-06-03-0000_Bucks_Pizza_4737cc65a94b-db.gz\";s:7:\"db-size\";i:413944;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9d55bff6304c4f0ea0aad478a27628fd47086ced\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a83f26a508dbaa591a4814f7733ca91245ea2c90eac2d6c1b60e8d7eb59fdebd\";}}s:5:\"nonce\";s:12:\"4737cc65a94b\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1527897611;a:8:{s:2:\"db\";s:53:\"backup_2018-06-02-0000_Bucks_Pizza_9a6199cb9836-db.gz\";s:7:\"db-size\";i:411724;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"802d21275c489e443fdede9199a1f44b713a8786\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c3ce89d6e0c76b23d90910c95acb3f241dd7fac3e0cb9c5f03b711e1d8121416\";}}s:5:\"nonce\";s:12:\"9a6199cb9836\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1527811242;a:8:{s:2:\"db\";s:53:\"backup_2018-06-01-0000_Bucks_Pizza_619def2beed7-db.gz\";s:7:\"db-size\";i:499049;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b599765dda19d07ff5e2b6988d2cade75b208ba4\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3f795f2c956a5bd7249fcbee3879efbe983789c57032061670221414ba5af085\";}}s:5:\"nonce\";s:12:\"619def2beed7\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1527724819;a:8:{s:2:\"db\";s:53:\"backup_2018-05-31-0000_Bucks_Pizza_195f12d52be3-db.gz\";s:7:\"db-size\";i:404929;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1ce186938bd8182710d12a64980e2be7bc203ed4\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3b0d08b95f5165d73b01803ec5c9b9e18ddeb7ad2c41dcaf3348629b225b0cd8\";}}s:5:\"nonce\";s:12:\"195f12d52be3\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1527638401;a:8:{s:2:\"db\";s:53:\"backup_2018-05-30-0000_Bucks_Pizza_ca741012b0f6-db.gz\";s:7:\"db-size\";i:410460;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"45932cf24232fc906dc8af3d988cdd588fbf8412\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3fea67f8e2328937b36967b462f60322cd86c2c42ba60c70f63157610f5a97a5\";}}s:5:\"nonce\";s:12:\"ca741012b0f6\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1527552007;a:8:{s:2:\"db\";s:53:\"backup_2018-05-29-0000_Bucks_Pizza_64554cf56c0b-db.gz\";s:7:\"db-size\";i:407265;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6b65c4488e0fa8a42c8f14d84bdd91525d81e0f3\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4a3dd80941bd8ba2e929d9c727cb3387fcd53caf6902e521fda63ceed598f094\";}}s:5:\"nonce\";s:12:\"64554cf56c0b\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1527465612;a:8:{s:2:\"db\";s:53:\"backup_2018-05-28-0000_Bucks_Pizza_87dd5341b449-db.gz\";s:7:\"db-size\";i:407063;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7152c29ad2a3df3ffe1b306f5258c8819af6ebb7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"fc89206de94074f3b091806e1f3ec06404ab804119331832315c24e4ba00c4d3\";}}s:5:\"nonce\";s:12:\"87dd5341b449\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1527379210;a:8:{s:2:\"db\";s:53:\"backup_2018-05-27-0000_Bucks_Pizza_ca684cae7111-db.gz\";s:7:\"db-size\";i:409019;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6e24e64ecc0c9a57da27250a10014f6922f75a5a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"01c566995e662326ac84c3b15f7ee3152c0bb6697ca31569c3d2edafda0fcb07\";}}s:5:\"nonce\";s:12:\"ca684cae7111\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.11.0\";s:12:\"is_multisite\";b:0;}i:1527292803;a:8:{s:2:\"db\";s:53:\"backup_2018-05-26-0000_Bucks_Pizza_b59bd88ab0cf-db.gz\";s:7:\"db-size\";i:503494;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"41776afa00900063b50894f1904dc1191074d708\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"78c381006aac9f75d38adb528e1d75ed2346f7472a4eb8fc1b4f23ade09d684d\";}}s:5:\"nonce\";s:12:\"b59bd88ab0cf\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.10.0\";s:12:\"is_multisite\";b:0;}i:1527206410;a:8:{s:2:\"db\";s:53:\"backup_2018-05-25-0000_Bucks_Pizza_7b07aa969b07-db.gz\";s:7:\"db-size\";i:422854;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2d8239c042b4aad34d9e592c15f893e541c339cb\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"fdaa268a5a18f3f14926d55701df3358f8a58e3a93f52701034402f7d0c8781f\";}}s:5:\"nonce\";s:12:\"7b07aa969b07\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.14.10.0\";s:12:\"is_multisite\";b:0;}i:1527120099;a:8:{s:2:\"db\";s:53:\"backup_2018-05-24-0001_Bucks_Pizza_cd65a2d4c05d-db.gz\";s:7:\"db-size\";i:426458;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ab52c498f60bd064aea93bd85881df3cded5009e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2c9ae3fbe8ece9e9d8fd7a625e7ad92c3871edce5df46ce2d1744d1234bc341d\";}}s:5:\"nonce\";s:12:\"cd65a2d4c05d\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.8.0\";s:12:\"is_multisite\";b:0;}i:1527033600;a:8:{s:2:\"db\";s:53:\"backup_2018-05-23-0000_Bucks_Pizza_e7cbf42245ae-db.gz\";s:7:\"db-size\";i:425082;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6110746d867e9e1b4049d9bb1c0e7401f36aecdf\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5b4d3a97d693491682af5172fc80e1907ceeae183ae5f33308f8079adddde296\";}}s:5:\"nonce\";s:12:\"e7cbf42245ae\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.8.0\";s:12:\"is_multisite\";b:0;}i:1526947286;a:8:{s:2:\"db\";s:53:\"backup_2018-05-22-0001_Bucks_Pizza_4d93368f371a-db.gz\";s:7:\"db-size\";i:418351;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9372ad6ff300be522fa5ba2705c44d8f87b273ee\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b39bd29f82747c63fe7b50cf682023568e453b524780ab79f31c14420da99d4d\";}}s:5:\"nonce\";s:12:\"4d93368f371a\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.8.0\";s:12:\"is_multisite\";b:0;}i:1526860806;a:8:{s:2:\"db\";s:53:\"backup_2018-05-21-0000_Bucks_Pizza_f5ecb28eb938-db.gz\";s:7:\"db-size\";i:420904;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2229dd442449524bdb4402628a1033c83c0f724a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c7743d6e57eff9dc7d05e9053e146aea304e842fbf00bdcf4195f00ae1c75623\";}}s:5:\"nonce\";s:12:\"f5ecb28eb938\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.8.0\";s:12:\"is_multisite\";b:0;}i:1526774420;a:8:{s:2:\"db\";s:53:\"backup_2018-05-20-0000_Bucks_Pizza_29ae03c5d4c5-db.gz\";s:7:\"db-size\";i:419640;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a05c67bc8c820c9c297207f1aa84abf8552d163f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"382a03e94906c72cde37d820245363a963bd2982c5cc80435288d4e9d86df1b0\";}}s:5:\"nonce\";s:12:\"29ae03c5d4c5\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.8.0\";s:12:\"is_multisite\";b:0;}i:1526688000;a:8:{s:2:\"db\";s:53:\"backup_2018-05-19-0000_Bucks_Pizza_9aefb2913350-db.gz\";s:7:\"db-size\";i:501321;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"fb3b92a37bc2516532738941f31fc052b607f485\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"134eedadc7899b2b9cdd669aa67c022947f1071d81c0cc4c357611748fa400c9\";}}s:5:\"nonce\";s:12:\"9aefb2913350\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.8.0\";s:12:\"is_multisite\";b:0;}i:1526601806;a:8:{s:2:\"db\";s:53:\"backup_2018-05-18-0003_Bucks_Pizza_e2b89691695a-db.gz\";s:7:\"db-size\";i:422720;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f27030d3e86a4f0f1e197a5e0746caeef1c69c83\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d625a85764956a637d65a94436eea389eca26010979a9a98b18bf62fa9961869\";}}s:5:\"nonce\";s:12:\"e2b89691695a\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.8.0\";s:12:\"is_multisite\";b:0;}i:1526515247;a:8:{s:2:\"db\";s:53:\"backup_2018-05-17-0000_Bucks_Pizza_de7d409153b3-db.gz\";s:7:\"db-size\";i:419672;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b832e5d7adea4070f8ba2da3f4d11158fcb5fabf\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"47e834a18551821771d788fc8eafd5f54b8ee0dbf8e175cae795cc40dd819ce7\";}}s:5:\"nonce\";s:12:\"de7d409153b3\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.8.0\";s:12:\"is_multisite\";b:0;}i:1526428802;a:8:{s:2:\"db\";s:53:\"backup_2018-05-16-0000_Bucks_Pizza_07b8ce23da18-db.gz\";s:7:\"db-size\";i:418565;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"20b848d08b9b7581f30dcfb6d7b20cce27686b87\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b90151d8d67888a08469bde9413d86221b567241a8c7edd541fe9ec7bdb7e361\";}}s:5:\"nonce\";s:12:\"07b8ce23da18\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.8.0\";s:12:\"is_multisite\";b:0;}i:1526342433;a:8:{s:2:\"db\";s:53:\"backup_2018-05-15-0000_Bucks_Pizza_52e7478271f6-db.gz\";s:7:\"db-size\";i:494473;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c8b69543b52ac13b1dcf0cceabee7936b2231004\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"16313c45d54957464d74fc1c83733f7e8abbdfb0146ce9d1aac90b37d79d3e5a\";}}s:5:\"nonce\";s:12:\"52e7478271f6\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.8.0\";s:12:\"is_multisite\";b:0;}i:1526256039;a:8:{s:2:\"db\";s:53:\"backup_2018-05-14-0000_Bucks_Pizza_b29b64e68919-db.gz\";s:7:\"db-size\";i:417250;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3302b170472be952ea053351699cf49ef18c9a52\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c1fde6f7236fe7652eab944388f47c95343a828a5a23cb4cf2c481ac48212891\";}}s:5:\"nonce\";s:12:\"b29b64e68919\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.8.0\";s:12:\"is_multisite\";b:0;}i:1526169614;a:8:{s:2:\"db\";s:53:\"backup_2018-05-13-0000_Bucks_Pizza_b0a8a07d0634-db.gz\";s:7:\"db-size\";i:413838;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6dfe4a499f70d567195d3e362634b2720501cea8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"52266b5cd836d11017059ba04736351077a04976dd81f2a6e4fa7f8a6ad5ee31\";}}s:5:\"nonce\";s:12:\"b0a8a07d0634\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.8.0\";s:12:\"is_multisite\";b:0;}i:1526083208;a:8:{s:2:\"db\";s:53:\"backup_2018-05-12-0000_Bucks_Pizza_99e003a751d1-db.gz\";s:7:\"db-size\";i:495747;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"202cf35d0b820d2ccf4b9f0603226b6b028516b5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d14e23e06b08776e82d146e1f46df782c7a61092285adab4a13dc9659ab8ea3d\";}}s:5:\"nonce\";s:12:\"99e003a751d1\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.7.0\";s:12:\"is_multisite\";b:0;}i:1525996920;a:8:{s:2:\"db\";s:53:\"backup_2018-05-11-0002_Bucks_Pizza_5bb8281f49a3-db.gz\";s:7:\"db-size\";i:475852;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0fd859423f33dffe2c778326e5e52c5b93293f55\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"cb46699ee26e23e14031e3dd60f5781cec95f1e930231fbb4d0eb1fe021f70ab\";}}s:5:\"nonce\";s:12:\"5bb8281f49a3\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.7.0\";s:12:\"is_multisite\";b:0;}i:1525910444;a:8:{s:2:\"db\";s:53:\"backup_2018-05-10-0000_Bucks_Pizza_b5220bc43ae8-db.gz\";s:7:\"db-size\";i:388406;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b16a08389767b406c9f3a26cd198dd0cf89fa53a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"76a8c6a44d28b5420d8ef418cbf0cc506e3d43f9b1244f8f0a90839099439aca\";}}s:5:\"nonce\";s:12:\"b5220bc43ae8\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.7.0\";s:12:\"is_multisite\";b:0;}i:1525824005;a:8:{s:2:\"db\";s:53:\"backup_2018-05-09-0000_Bucks_Pizza_0cde9c2265de-db.gz\";s:7:\"db-size\";i:387891;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ad98a4a19b25f6ec54c4e57b85d0264b59d19aed\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3e48f181e5cdbfbd1149833fd3c9aa906ccab4184c7d613172b0ec2e3563b95d\";}}s:5:\"nonce\";s:12:\"0cde9c2265de\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.7.0\";s:12:\"is_multisite\";b:0;}i:1525737600;a:8:{s:2:\"db\";s:53:\"backup_2018-05-08-0000_Bucks_Pizza_d9eb097ead7a-db.gz\";s:7:\"db-size\";i:386446;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"66ccb3923f52459cd8f9523db36b6022acab1c6c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a2ed23a474be11d891ea01111c2f08e04900e45e2f06dd9f9f6b99babea33e8f\";}}s:5:\"nonce\";s:12:\"d9eb097ead7a\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.7.0\";s:12:\"is_multisite\";b:0;}i:1525651235;a:8:{s:2:\"db\";s:53:\"backup_2018-05-07-0000_Bucks_Pizza_2f6af3bccfed-db.gz\";s:7:\"db-size\";i:387987;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f2b307aa0c793cdc0d4b751bfcd13ff72bdd2b81\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5780bf5d2322a250f217e051374188b934faa2e7300eb794ffbd3e92696c4d15\";}}s:5:\"nonce\";s:12:\"2f6af3bccfed\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.7.0\";s:12:\"is_multisite\";b:0;}i:1525564811;a:8:{s:2:\"db\";s:53:\"backup_2018-05-06-0000_Bucks_Pizza_369d012a7c66-db.gz\";s:7:\"db-size\";i:389607;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2907731a1a31732ab5b155a6e82c966ed5a72b58\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c303ac1f34e08090a4830eeba3d5307c5e4ab07d5f532b2c6427515ad1f50978\";}}s:5:\"nonce\";s:12:\"369d012a7c66\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.7.0\";s:12:\"is_multisite\";b:0;}i:1525478423;a:8:{s:2:\"db\";s:53:\"backup_2018-05-05-0000_Bucks_Pizza_4de0576c1f8d-db.gz\";s:7:\"db-size\";i:485976;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"4892070de1c20f929b9c6a5cf46d720411d7a090\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"79010999790008dc28436389db8700726275210946ac55b7b3c97ac2a8b1f531\";}}s:5:\"nonce\";s:12:\"4de0576c1f8d\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.7.0\";s:12:\"is_multisite\";b:0;}i:1525392009;a:8:{s:2:\"db\";s:53:\"backup_2018-05-04-0000_Bucks_Pizza_c87c96168821-db.gz\";s:7:\"db-size\";i:388002;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2d28b45193601cc2f1d5327f3795bf734b82cb96\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2273be460ef4a127f31ea13765e3068449dec954a471660e503c024d11e063c9\";}}s:5:\"nonce\";s:12:\"c87c96168821\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.7.0\";s:12:\"is_multisite\";b:0;}i:1525305605;a:8:{s:2:\"db\";s:53:\"backup_2018-05-03-0000_Bucks_Pizza_2bdac0307a32-db.gz\";s:7:\"db-size\";i:391487;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c4c0c9286264119f401e6f7bfa9314ababe66c20\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ce06121a889d3ec1e1e1cb31576b2804d2e550bb7fb041728c35becf129de7cb\";}}s:5:\"nonce\";s:12:\"2bdac0307a32\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.7.0\";s:12:\"is_multisite\";b:0;}i:1525219272;a:8:{s:2:\"db\";s:53:\"backup_2018-05-02-0001_Bucks_Pizza_4ad6d5ddc198-db.gz\";s:7:\"db-size\";i:391606;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"621d21d2dd0fed02a176773a167ee11cc8369bbe\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ee64ea6222fa6e7a0b3f8a000bbe8383f49293ada338952e967b63a9f797733f\";}}s:5:\"nonce\";s:12:\"4ad6d5ddc198\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.7.0\";s:12:\"is_multisite\";b:0;}i:1525132841;a:8:{s:2:\"db\";s:53:\"backup_2018-05-01-0000_Bucks_Pizza_1b2be6bf898b-db.gz\";s:7:\"db-size\";i:475349;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f258b5e4854991236d591cadb24196c54019c6e6\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"466e4dd1ad4fb11755a995f34b700eae0c82413785e20fe4aa4e9d80e61433e2\";}}s:5:\"nonce\";s:12:\"1b2be6bf898b\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.7.0\";s:12:\"is_multisite\";b:0;}i:1525046423;a:8:{s:2:\"db\";s:53:\"backup_2018-04-30-0000_Bucks_Pizza_064580c19fc0-db.gz\";s:7:\"db-size\";i:390372;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"14f3c914edc0144608c7b06476927c3c39b217f7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"542d98b6fda0e18ff7a04eac7640fc400aebbd31ba44a5aa26cb70e3d8a800f3\";}}s:5:\"nonce\";s:12:\"064580c19fc0\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.7.0\";s:12:\"is_multisite\";b:0;}i:1524960017;a:8:{s:2:\"db\";s:53:\"backup_2018-04-29-0000_Bucks_Pizza_dad8a460de05-db.gz\";s:7:\"db-size\";i:389697;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"5312db308eac4e8ead3487f1fc0058eb6d52700f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f92e60b8f2f2b86efc5acf3f04da75d11f990548f2385b1e1ae1c893d0d17ea4\";}}s:5:\"nonce\";s:12:\"dad8a460de05\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.7.0\";s:12:\"is_multisite\";b:0;}i:1524873622;a:8:{s:2:\"db\";s:53:\"backup_2018-04-28-0000_Bucks_Pizza_3207da86df35-db.gz\";s:7:\"db-size\";i:391757;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ccd98469bf955f316c78aa1ef7153cdefbc3dacb\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a9d0aa0dbf74d998393ae27441b2b949c0c7a47526435cc4ce8aa605b5f03b38\";}}s:5:\"nonce\";s:12:\"3207da86df35\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.7.0\";s:12:\"is_multisite\";b:0;}i:1524787225;a:8:{s:2:\"db\";s:53:\"backup_2018-04-27-0000_Bucks_Pizza_c0e835c21565-db.gz\";s:7:\"db-size\";i:388402;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3d6ae27c31dc697017df1fcd3bd5eb2573cf5b03\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"467ccf2833e9548fcf9e6f34b66ce187711b924ae6c1c95a39e9cfa579290172\";}}s:5:\"nonce\";s:12:\"c0e835c21565\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.7.0\";s:12:\"is_multisite\";b:0;}i:1524700800;a:8:{s:2:\"db\";s:53:\"backup_2018-04-26-0000_Bucks_Pizza_3e6f2d24f408-db.gz\";s:7:\"db-size\";i:388305;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9633f3363f28eb6cd687e1841833d73ed6397730\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"63394f25ef0416d5d02128fb9fe9cf7e353e0d3974e1632ddeb1e4705f1000f7\";}}s:5:\"nonce\";s:12:\"3e6f2d24f408\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.7.0\";s:12:\"is_multisite\";b:0;}i:1524614411;a:8:{s:2:\"db\";s:53:\"backup_2018-04-25-0000_Bucks_Pizza_50cf1fa1b2d1-db.gz\";s:7:\"db-size\";i:391601;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"331918a37f6619c71d4752c12458354138edaaf5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2985832d0fc2cd82b17a6a5e5e457e96370f40fc998007953a42b9e3804450af\";}}s:5:\"nonce\";s:12:\"50cf1fa1b2d1\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1524528006;a:8:{s:2:\"db\";s:53:\"backup_2018-04-24-0000_Bucks_Pizza_0038027f0b00-db.gz\";s:7:\"db-size\";i:392447;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"cd06aa5416f87fbef89d828d9fc98cfc613ff0bd\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"941209990714109184bec59a573f692600267f854d2ba6bcdd2dd906c0c48a4a\";}}s:5:\"nonce\";s:12:\"0038027f0b00\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1524441610;a:8:{s:2:\"db\";s:53:\"backup_2018-04-23-0000_Bucks_Pizza_892c4911d052-db.gz\";s:7:\"db-size\";i:398867;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"73deb2c051cabef304e6b01bbea00bb107437c41\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e9118322bf1f167c4965be138a6253b82edf5856b1e95d950aab9d21804e0134\";}}s:5:\"nonce\";s:12:\"892c4911d052\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1524355212;a:8:{s:2:\"db\";s:53:\"backup_2018-04-22-0000_Bucks_Pizza_a2832d068c6e-db.gz\";s:7:\"db-size\";i:400666;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1b847baa411b80c34d86e8ce635005cd6da9509d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5e8e9878488d0491760566a3f945c698fc03d169f98957c98a9e50a01e39c72c\";}}s:5:\"nonce\";s:12:\"a2832d068c6e\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1524268804;a:8:{s:2:\"db\";s:53:\"backup_2018-04-21-0000_Bucks_Pizza_a298cee4ec60-db.gz\";s:7:\"db-size\";i:476772;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"094719599c9b4ea5522d10e332604641b80d8621\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3fab4267436415cbe9589b928aa0662b20bcee3506b2c8d15714943ec7b41209\";}}s:5:\"nonce\";s:12:\"a298cee4ec60\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1524182410;a:8:{s:2:\"db\";s:53:\"backup_2018-04-20-0000_Bucks_Pizza_80207ceee59a-db.gz\";s:7:\"db-size\";i:399199;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7d19428bddcabd53c492b4d6b3ac6a6a6f5a5da9\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"7a3be05e625eb07d2b5fe46c4406bae8404ae0087ba08b8b72e1efddadc5391c\";}}s:5:\"nonce\";s:12:\"80207ceee59a\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1524096007;a:8:{s:2:\"db\";s:53:\"backup_2018-04-19-0000_Bucks_Pizza_13ca39b8f907-db.gz\";s:7:\"db-size\";i:403135;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"cc5f877025ce1a7070cf3c41f7341eb6036d3139\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"37474948357ec1c047b62775ae04a1acb938f103ff2dc7af1052e3eaa30a72cd\";}}s:5:\"nonce\";s:12:\"13ca39b8f907\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1524009644;a:8:{s:2:\"db\";s:53:\"backup_2018-04-18-0000_Bucks_Pizza_41d21e797e81-db.gz\";s:7:\"db-size\";i:407022;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6c18898bb4b0044aa932a86c741916ddb9e2460d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0c2e6ee528cd51f49e5f04732a5658a0c96e918fff1f54b8ac8568f7ef804ab7\";}}s:5:\"nonce\";s:12:\"41d21e797e81\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1523923286;a:8:{s:2:\"db\";s:53:\"backup_2018-04-17-0001_Bucks_Pizza_304f0c06748a-db.gz\";s:7:\"db-size\";i:409441;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"176f6594f6448bf1af6914e98f3f2ab27213724c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"be6ed9099ebea138c2012531c9de583cb3bce333159c6fa1cece3804bf4821e4\";}}s:5:\"nonce\";s:12:\"304f0c06748a\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1523836813;a:8:{s:2:\"db\";s:53:\"backup_2018-04-16-0000_Bucks_Pizza_e36d1500e3de-db.gz\";s:7:\"db-size\";i:414686;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"68e4e94badf80ea3eeb2ef3f6caaafc780aafc57\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ff8a3ecee1aa9c88c528bfa48643e54bb8e20650bbdfd3ce24fa0c9f199a7506\";}}s:5:\"nonce\";s:12:\"e36d1500e3de\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1523750400;a:8:{s:2:\"db\";s:53:\"backup_2018-04-15-0000_Bucks_Pizza_0afcc0f11564-db.gz\";s:7:\"db-size\";i:414281;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0c631639f51986cc5c694ad405ec8b927c28eac4\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a2c5008a42d3a15f95ccfd29b5463abb6e00091daacd7e957a792a4df14ad01f\";}}s:5:\"nonce\";s:12:\"0afcc0f11564\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1523664013;a:8:{s:2:\"db\";s:53:\"backup_2018-04-14-0000_Bucks_Pizza_711b05aa436a-db.gz\";s:7:\"db-size\";i:493019;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"99ad2d2bb1dc30fd92ca99a63b1673f604507708\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b161f7b0e136bfd358082df8279d3208d44276ea5842a32b4d6736660fc2a2ae\";}}s:5:\"nonce\";s:12:\"711b05aa436a\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1523577795;a:8:{s:2:\"db\";s:53:\"backup_2018-04-13-0003_Bucks_Pizza_09faf1ff7940-db.gz\";s:7:\"db-size\";i:413310;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d95318dc6f7fda5796ce8e98b4c0a8d1b964ea8e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"bf2e253bbffd5cf842982fa08d3f6e93e05e39a2a7dbbe1f5a759f7731b3a7de\";}}s:5:\"nonce\";s:12:\"09faf1ff7940\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1523491224;a:8:{s:2:\"db\";s:53:\"backup_2018-04-12-0000_Bucks_Pizza_c83966ff0252-db.gz\";s:7:\"db-size\";i:412518;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"186885a1ab1bee0f6e6bf7f690912ce7631dd795\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4629093bf6e96086e02bd3ab3d514e13121deb29a583c9a5a7c291806ad79bc1\";}}s:5:\"nonce\";s:12:\"c83966ff0252\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1523404810;a:8:{s:2:\"db\";s:53:\"backup_2018-04-11-0000_Bucks_Pizza_b85dfc043522-db.gz\";s:7:\"db-size\";i:406671;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9fea8053370c074430b2610cf37b8d4b931879b3\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4f204033ad0836237fbe7b6ebefa01bcdc87d212f7f3bca69f855b3897b1c24f\";}}s:5:\"nonce\";s:12:\"b85dfc043522\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1523318400;a:8:{s:2:\"db\";s:53:\"backup_2018-04-10-0000_Bucks_Pizza_8e55d3f224a8-db.gz\";s:7:\"db-size\";i:403481;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c738064debc3c5be169fa6f88c3c62fa1d7407b5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c3398ed61a3aa0fd26755dd23457e885191ba5743ccf4d8f67d91d6671e1caa8\";}}s:5:\"nonce\";s:12:\"8e55d3f224a8\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1523232000;a:8:{s:2:\"db\";s:53:\"backup_2018-04-09-0000_Bucks_Pizza_4a032fc35c44-db.gz\";s:7:\"db-size\";i:397651;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"26df18eac295c6ec6ef08b13ab0d22ef8b8efa53\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"30e7cf246f8daa8bab07abc632bdb6d0af5ab6ef5549579ff0a2cd2f6d451ec1\";}}s:5:\"nonce\";s:12:\"4a032fc35c44\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1523145605;a:8:{s:2:\"db\";s:53:\"backup_2018-04-08-0000_Bucks_Pizza_f416637a085c-db.gz\";s:7:\"db-size\";i:385941;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"4f2553d7bdbe50373237d4496ef4590dba085935\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c8c24c2d2aa00667ef8b1c0ff7020fdbbb6b41abe48485acd44246f44604fef6\";}}s:5:\"nonce\";s:12:\"f416637a085c\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1523059202;a:8:{s:2:\"db\";s:53:\"backup_2018-04-07-0000_Bucks_Pizza_35b7a37e2093-db.gz\";s:7:\"db-size\";i:475544;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"17956b835010807bbea47cfe67bf3c0502162f70\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"feb5f776993767dbaaf42fe6bb9d7528db6a53d67ee7b6ba49a3efb2b28405c4\";}}s:5:\"nonce\";s:12:\"35b7a37e2093\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1522972831;a:8:{s:2:\"db\";s:53:\"backup_2018-04-06-0000_Bucks_Pizza_9b1990d6ca38-db.gz\";s:7:\"db-size\";i:374371;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9f7c11a023432cb1e2dae9b6455c594a40832e90\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e64e758d6ac1c303a77f2d845258644fdc4cb00a66562e33d937dd526cb37895\";}}s:5:\"nonce\";s:12:\"9b1990d6ca38\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1522886450;a:8:{s:2:\"db\";s:53:\"backup_2018-04-05-0000_Bucks_Pizza_24bf15061be0-db.gz\";s:7:\"db-size\";i:368650;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1a6a2071ae427d6c63142e6e82d04e9c22acda0f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0c1789b789dc1f829cac86740458da5f76c89f02def85886043948678fef6501\";}}s:5:\"nonce\";s:12:\"24bf15061be0\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1522800021;a:8:{s:2:\"db\";s:53:\"backup_2018-04-04-0000_Bucks_Pizza_a2e053f3b9ff-db.gz\";s:7:\"db-size\";i:359763;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d14d043b36eefd982c63d71f880a865e2aee0efa\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b8dbad6c43c3a77470d13246b3ba96fa28f11e1005c64ea91a55120a51c3a42b\";}}s:5:\"nonce\";s:12:\"a2e053f3b9ff\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.5.0\";s:12:\"is_multisite\";b:0;}i:1522713615;a:8:{s:2:\"db\";s:53:\"backup_2018-04-03-0000_Bucks_Pizza_cf1c59a882a8-db.gz\";s:7:\"db-size\";i:438599;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"12eee8ebfdab712a27dd8d0e6160ef93e606fd10\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ae8ab803563311fd559c5adec36568789f1e9e92ec2e159d2575e5dd04211da1\";}}s:5:\"nonce\";s:12:\"cf1c59a882a8\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1522627211;a:8:{s:2:\"db\";s:53:\"backup_2018-04-02-0000_Bucks_Pizza_ced29a0dc8f3-db.gz\";s:7:\"db-size\";i:347708;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"5dbd18f7ded4fa5b37f793af103e26e7eab60755\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9fd0b76f0748666e2c0e68b920b2e182c7092252e777537123daac6cf3806696\";}}s:5:\"nonce\";s:12:\"ced29a0dc8f3\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1522540801;a:8:{s:2:\"db\";s:53:\"backup_2018-04-01-0000_Bucks_Pizza_1cac60295374-db.gz\";s:7:\"db-size\";i:348091;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2488b61b9773883016625c39f7d3eee1abe0607b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"33462720e0011cafd7586e560e636c8116c93bf267f18eaae552f4f955774a44\";}}s:5:\"nonce\";s:12:\"1cac60295374\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1522454406;a:8:{s:2:\"db\";s:53:\"backup_2018-03-31-0000_Bucks_Pizza_c7705433c81b-db.gz\";s:7:\"db-size\";i:349302;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c33c66ed7afba4967abe67455a47457fe81f5ba7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"86bcb03d7648d9457016a9ed35b8764ff53dc5a57ab95161a4ea8002895eaadf\";}}s:5:\"nonce\";s:12:\"c7705433c81b\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1522368023;a:8:{s:2:\"db\";s:53:\"backup_2018-03-30-0000_Bucks_Pizza_599cddb6c7f6-db.gz\";s:7:\"db-size\";i:346748;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2a96744b6fd9150de81fbf33eaa5ddc487fcc0ac\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"96244ff7e5787d4e3da7052d853169f393b8439fb5cba99c99509b72c4365377\";}}s:5:\"nonce\";s:12:\"599cddb6c7f6\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1522281625;a:8:{s:2:\"db\";s:53:\"backup_2018-03-29-0000_Bucks_Pizza_411319c4aa1d-db.gz\";s:7:\"db-size\";i:345952;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d095b46ade3cd59c60d5f3f72b0263cc9007a44c\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f78540a00903b6e58102764660ffcb53467db4ae996736936020553ae3738c84\";}}s:5:\"nonce\";s:12:\"411319c4aa1d\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1522195205;a:8:{s:2:\"db\";s:53:\"backup_2018-03-28-0000_Bucks_Pizza_bfe820af9853-db.gz\";s:7:\"db-size\";i:347711;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"bc5d9dba297c6b80241375780d52121525646283\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"70c7e923d6d40da6e16d66d36a6438ab4c88035be0543c9e751a82d535b3b4be\";}}s:5:\"nonce\";s:12:\"bfe820af9853\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1522108828;a:8:{s:2:\"db\";s:53:\"backup_2018-03-27-0000_Bucks_Pizza_68e2532490e1-db.gz\";s:7:\"db-size\";i:439496;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d9534c84afa37fc08e3cfce988b235ca0e208027\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c3601ac893cffad2b8f5fdb45e3de30ebe40ffa9528b9fc433e7978c6e92be9a\";}}s:5:\"nonce\";s:12:\"68e2532490e1\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1522022418;a:8:{s:2:\"db\";s:53:\"backup_2018-03-26-0000_Bucks_Pizza_e7abf5dd8d11-db.gz\";s:7:\"db-size\";i:349176;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"dd720ccf052d59782c95d29857e90d2feedda93a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"70f16548095763dff17aefa9a5456b5bb8467fd3b99d480441995d0fd3251331\";}}s:5:\"nonce\";s:12:\"e7abf5dd8d11\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1521936012;a:8:{s:2:\"db\";s:53:\"backup_2018-03-25-0000_Bucks_Pizza_79b3b147ea40-db.gz\";s:7:\"db-size\";i:349663;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b3f46fbe1d6abcab6c020b96a09f8b93a93102cb\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"8a2d7e476e69d3e2320a147b4cb867def96255a57796dc020966610ddac85b89\";}}s:5:\"nonce\";s:12:\"79b3b147ea40\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1521849608;a:8:{s:2:\"db\";s:53:\"backup_2018-03-24-0000_Bucks_Pizza_b7e56308e65a-db.gz\";s:7:\"db-size\";i:346396;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2b5ff517e130f0e237159d38d4ff62fbb3fabe69\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ab2a22280d068ae110925b7788b9ff4aeeb331353e6617976516da13786eddde\";}}s:5:\"nonce\";s:12:\"b7e56308e65a\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1521763204;a:8:{s:2:\"db\";s:53:\"backup_2018-03-23-0000_Bucks_Pizza_e348f1aff1c1-db.gz\";s:7:\"db-size\";i:344863;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"611e6a3ba547acd3b8c066fffd725f5f3a1dcd48\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2ceccc7510408b9febc0e4098bc994afe765199ae9e127def3573f0573ae6061\";}}s:5:\"nonce\";s:12:\"e348f1aff1c1\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1521676842;a:8:{s:2:\"db\";s:53:\"backup_2018-03-22-0000_Bucks_Pizza_28a1274555c9-db.gz\";s:7:\"db-size\";i:371730;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"44b234da8546886c785f88a9c0b5943cc26c36a8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"83aa0fc51d4aa0ae7ccf047e81cc3b0f237c131036b334cb7041221ee0eb95f1\";}}s:5:\"nonce\";s:12:\"28a1274555c9\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1521590403;a:8:{s:2:\"db\";s:53:\"backup_2018-03-21-0000_Bucks_Pizza_8c7c2d0b7f99-db.gz\";s:7:\"db-size\";i:368687;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"22a7267de4a00b8a02213810891337c89c9703a1\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2337330d5244b1ffbd3ee983a492c8895881a3080858a8741fbf96f7bace265b\";}}s:5:\"nonce\";s:12:\"8c7c2d0b7f99\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1521504024;a:8:{s:2:\"db\";s:53:\"backup_2018-03-20-0000_Bucks_Pizza_092ad8640d2f-db.gz\";s:7:\"db-size\";i:370432;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"4e4c0b30bb0d49209e915916d5dc21203d0ca73f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"03078ad88464b69ca49c7889425f94aa6ac3e8a96a6d015b8bedad98e51e233c\";}}s:5:\"nonce\";s:12:\"092ad8640d2f\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1521417606;a:8:{s:2:\"db\";s:53:\"backup_2018-03-19-0000_Bucks_Pizza_f094d288dc06-db.gz\";s:7:\"db-size\";i:368140;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"01713cb1b46744d8b6d4a65ed38f72193116c847\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"692dada13feea742ca054df5fc727261766873d64c8f324077aac1c49d9cc9e6\";}}s:5:\"nonce\";s:12:\"f094d288dc06\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1521331208;a:8:{s:2:\"db\";s:53:\"backup_2018-03-18-0000_Bucks_Pizza_1abc0753a807-db.gz\";s:7:\"db-size\";i:378620;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6087e50e75b7fa2a0131e83590edf275dbb8cc34\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e58e47997e9adafd41fafad072b98cfc63cffa6ebd4471d52df353fc763eafd4\";}}s:5:\"nonce\";s:12:\"1abc0753a807\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1521244807;a:8:{s:2:\"db\";s:53:\"backup_2018-03-17-0000_Bucks_Pizza_3853cf8857a4-db.gz\";s:7:\"db-size\";i:475913;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8d61f8e67483c9a2a647dd886504b1dc3df38636\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"fe9db4bf5c96cebdc6cdceab050329fd1a46c175996dae8aa11fcf2567a041b6\";}}s:5:\"nonce\";s:12:\"3853cf8857a4\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1521158423;a:8:{s:2:\"db\";s:53:\"backup_2018-03-16-0000_Bucks_Pizza_7d09f7f27df6-db.gz\";s:7:\"db-size\";i:380581;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1d77e566514dd23b7f4720392fcf300a210784ab\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"8acf1c11b7b94f5049ac7addbe2e528e837eb183fdd7c68552144ed98ad9cc6c\";}}s:5:\"nonce\";s:12:\"7d09f7f27df6\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1521072006;a:8:{s:2:\"db\";s:53:\"backup_2018-03-15-0000_Bucks_Pizza_9fb2f27702c8-db.gz\";s:7:\"db-size\";i:361567;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2d895494e92481ed0efce349d8e5191d584c6d73\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c195f929e21bb638c2b5da3ac83eb2d283ae38f12bab6736167a20c33c61eb70\";}}s:5:\"nonce\";s:12:\"9fb2f27702c8\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1520985629;a:8:{s:2:\"db\";s:53:\"backup_2018-03-14-0000_Bucks_Pizza_98111efbf11a-db.gz\";s:7:\"db-size\";i:358050;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2adcbc0f0fde5dd8daefdca58343c4643120feec\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"fc97af546ff8bd1e2728fa3f4f1c587b83d02d9fed82eede3738ef56ff7a2667\";}}s:5:\"nonce\";s:12:\"98111efbf11a\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1520899227;a:8:{s:2:\"db\";s:53:\"backup_2018-03-13-0000_Bucks_Pizza_860001e11561-db.gz\";s:7:\"db-size\";i:354397;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6d48cf94d95d3a18bc50f60787d21c43a9cee394\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a683a85e1516a70442303a35c7aafd7c3452719d4a71c20d138cf245a8785b9b\";}}s:5:\"nonce\";s:12:\"860001e11561\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1520812800;a:8:{s:2:\"db\";s:53:\"backup_2018-03-12-0000_Bucks_Pizza_c3dd7d1b395f-db.gz\";s:7:\"db-size\";i:449663;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"db577011b219be70ef726c08b9982cc3a9d6c334\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"01b730f3f84594188f021f24d445175ba099f2e9b9e71d61fdcfdf943e1e4fee\";}}s:5:\"nonce\";s:12:\"c3dd7d1b395f\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1520726400;a:8:{s:2:\"db\";s:53:\"backup_2018-03-11-0000_Bucks_Pizza_b512ebcf7f92-db.gz\";s:7:\"db-size\";i:358101;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9625756eaf6f6f48f0d41fbbc8cd20ce925e735b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"41d970edfae15bb61b8b11c6a88df7c7b18c00d178bae642414ee76800a10bd5\";}}s:5:\"nonce\";s:12:\"b512ebcf7f92\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1520640000;a:8:{s:2:\"db\";s:53:\"backup_2018-03-10-0000_Bucks_Pizza_927e014d890c-db.gz\";s:7:\"db-size\";i:344182;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f1af43a5fd5754a6f36436cfdf32ce38e461776e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"45143eb8562471b918e57d6abf21b3f525cacbe64819848d2b55b15a76715570\";}}s:5:\"nonce\";s:12:\"927e014d890c\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1520553601;a:8:{s:2:\"db\";s:53:\"backup_2018-03-09-0000_Bucks_Pizza_74cadc1bc35f-db.gz\";s:7:\"db-size\";i:460606;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1d068c2c014ae07b4895687ea7aa5e9e84f258a3\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a2ba2316f803401e5767293f9f216c9a4ec41201c2fa17736c38cf9c29e1143f\";}}s:5:\"nonce\";s:12:\"74cadc1bc35f\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1520467216;a:8:{s:2:\"db\";s:53:\"backup_2018-03-08-0000_Bucks_Pizza_e55923a15378-db.gz\";s:7:\"db-size\";i:344189;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2c71e488648d81feae310df59593ca2a5540fa90\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3408a1c2b88968d229dd19ad124cbe608882eef17b66df518dea29d5e0a81ff6\";}}s:5:\"nonce\";s:12:\"e55923a15378\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1520380859;a:8:{s:2:\"db\";s:53:\"backup_2018-03-07-0000_Bucks_Pizza_fd44848a9ff7-db.gz\";s:7:\"db-size\";i:343933;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a34c136102e98b031a4d0ff393ead63350d5d655\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"05a6354d6ee061c0415e40c01f785dc857627af0fec401307cff2d0d48de4f8a\";}}s:5:\"nonce\";s:12:\"fd44848a9ff7\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1520294404;a:8:{s:2:\"db\";s:53:\"backup_2018-03-06-0000_Bucks_Pizza_8560b430b46d-db.gz\";s:7:\"db-size\";i:344881;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"66158cee0683891c0f0c3fbf8687cb781d020a76\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"490676de6484b571490e1bfbdd34c54aada2056e91d567f25ff733abe2512184\";}}s:5:\"nonce\";s:12:\"8560b430b46d\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1520208007;a:8:{s:2:\"db\";s:53:\"backup_2018-03-05-0000_Bucks_Pizza_abd117395221-db.gz\";s:7:\"db-size\";i:344300;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3380e37cf1a67c6d9d86cc918f3aac609f2dba56\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"8fcb2ce65da35e48794708f770f43560612e8076be5fdc073c306a08fd878996\";}}s:5:\"nonce\";s:12:\"abd117395221\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1520121604;a:8:{s:2:\"db\";s:53:\"backup_2018-03-04-0000_Bucks_Pizza_4408a1a33f32-db.gz\";s:7:\"db-size\";i:341729;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"45e45f3e93a8333aa442250ae82c255a1ed58aef\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"976b51bae1709107c182115bc46da4bb62e94dd9b87c528b9734d1357e911d8a\";}}s:5:\"nonce\";s:12:\"4408a1a33f32\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1520035327;a:8:{s:2:\"db\";s:53:\"backup_2018-03-03-0002_Bucks_Pizza_4a7054c5b919-db.gz\";s:7:\"db-size\";i:455624;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0f2ec7bcb92e7e6c0698158b436bbc3dc7d7315f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a735ce2c43801a4bb7fa86267b5adc6e868ea562cf7a59a65525176732d92314\";}}s:5:\"nonce\";s:12:\"4a7054c5b919\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1519948802;a:8:{s:2:\"db\";s:53:\"backup_2018-03-02-0000_Bucks_Pizza_52015fdcf23a-db.gz\";s:7:\"db-size\";i:340395;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"07b4b75579f22ca5f30ede7f8f64a38ebe7e688f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"61f41a46b200717f248b9826d1b52268364609381f3f05b37546bd7e69f51d38\";}}s:5:\"nonce\";s:12:\"52015fdcf23a\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1519862405;a:8:{s:2:\"db\";s:53:\"backup_2018-03-01-0000_Bucks_Pizza_33b433a033c1-db.gz\";s:7:\"db-size\";i:338173;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"27628caf838e342e3c0471a9edddc743b0427d90\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"1594069ba8ff3f180e90abb4fe74e8728dbc86c7eb6cb1ca67bd81389f498e57\";}}s:5:\"nonce\";s:12:\"33b433a033c1\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1519776011;a:8:{s:2:\"db\";s:53:\"backup_2018-02-28-0000_Bucks_Pizza_8da2de5928cf-db.gz\";s:7:\"db-size\";i:339059;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"144c71668e137ac44e884530ba57e55088ec6df3\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a3460df3b9fd6f5448abc508c70a49133df97d608b7e6bd67b53907a4079f5c5\";}}s:5:\"nonce\";s:12:\"8da2de5928cf\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1519689616;a:8:{s:2:\"db\";s:53:\"backup_2018-02-27-0000_Bucks_Pizza_9c3197eddcc5-db.gz\";s:7:\"db-size\";i:341019;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1cf4aa42c4ed74e89de7bf9aac3a8b80d345d280\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"28046d0f4613a22f71e62214ce94bed0994f72860f2b0f4d1cd46526467ff954\";}}s:5:\"nonce\";s:12:\"9c3197eddcc5\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1519603208;a:8:{s:2:\"db\";s:53:\"backup_2018-02-26-0000_Bucks_Pizza_0f02fb48bfd7-db.gz\";s:7:\"db-size\";i:339503;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7e55450ebfdb9476b1c1d4d6f49af1e78bcc4860\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"64ae6219850098df95d5276ab1f8d58abdec32ee9046424717da204ae61dbadf\";}}s:5:\"nonce\";s:12:\"0f02fb48bfd7\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1519516819;a:8:{s:2:\"db\";s:53:\"backup_2018-02-25-0000_Bucks_Pizza_e77647d1356e-db.gz\";s:7:\"db-size\";i:339672;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"cf14382a1bd5e31f5f5a82a339d1f5b5f22492f2\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e24c3b46cd7cd77d925fbea935f625fbe959b66bae3435c266461e4ff724afbd\";}}s:5:\"nonce\";s:12:\"e77647d1356e\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1519430405;a:8:{s:2:\"db\";s:53:\"backup_2018-02-24-0000_Bucks_Pizza_3a52724471ad-db.gz\";s:7:\"db-size\";i:342067;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"57bffee7ef9a096dcf64bc3fd3022de1ca3c3556\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5762d4521b5a806628fc3e2d076d819fcda8b93acd0d5e52bc98c39766d38165\";}}s:5:\"nonce\";s:12:\"3a52724471ad\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1519344008;a:8:{s:2:\"db\";s:53:\"backup_2018-02-23-0000_Bucks_Pizza_01848619718c-db.gz\";s:7:\"db-size\";i:339278;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ab93fc3ea9f589e9e75dea8f025cae6b169fef77\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"736633f70beb3f712295fd55564b1240ed65ad5cbf2537affe6988277972ed27\";}}s:5:\"nonce\";s:12:\"01848619718c\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1519257676;a:8:{s:2:\"db\";s:53:\"backup_2018-02-22-0001_Bucks_Pizza_594331d62baa-db.gz\";s:7:\"db-size\";i:339270;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"457239163d2391d1852b95f1969f7838a1326ad2\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"bf68d46e7de5719788b71965655df9daeb67608c3175d4c8209792e674f86841\";}}s:5:\"nonce\";s:12:\"594331d62baa\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1519171220;a:8:{s:2:\"db\";s:53:\"backup_2018-02-21-0000_Bucks_Pizza_b3cada48de82-db.gz\";s:7:\"db-size\";i:343997;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b16b19bb30300cbcd65817402ad53a1b2ca722c1\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"7e7206a6829db3d3df3d5dc56309d12629bd779479042c93e379f1c42c9cc4ea\";}}s:5:\"nonce\";s:12:\"b3cada48de82\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1519084806;a:8:{s:2:\"db\";s:53:\"backup_2018-02-20-0000_Bucks_Pizza_4605e361c8ba-db.gz\";s:7:\"db-size\";i:343303;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"43a85e523288c4b1695467ae8bb3eb6c44e38155\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"bea5d10d1b74111e7d0626985476bfe7efc0e90adcc4f18ae3bb99692a5dd029\";}}s:5:\"nonce\";s:12:\"4605e361c8ba\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1518998455;a:8:{s:2:\"db\";s:53:\"backup_2018-02-19-0000_Bucks_Pizza_ad1be1fb5474-db.gz\";s:7:\"db-size\";i:340681;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"831090c162977d414367fa2e6b7157de7874b939\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"52b4371c59723af3bb8374bf56099c6c99948930e00949f57c3bd0aa33d15508\";}}s:5:\"nonce\";s:12:\"ad1be1fb5474\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1518912014;a:8:{s:2:\"db\";s:53:\"backup_2018-02-18-0000_Bucks_Pizza_bcb5e7cb470a-db.gz\";s:7:\"db-size\";i:342152;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b2c9fdc7569126e165347419fb0e087db138b412\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d0e6f5e5b331110e16569b3d29fea9b67524458f7108e232561a7600bb64a471\";}}s:5:\"nonce\";s:12:\"bcb5e7cb470a\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1518825606;a:8:{s:2:\"db\";s:53:\"backup_2018-02-17-0000_Bucks_Pizza_16667be4995b-db.gz\";s:7:\"db-size\";i:353928;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9a7d44c2384cf5a6702e519b9540db372b69b2a8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ab52378d92874a1ec0bda937755cb6b76a2dcc9b6ad7c2e5bff9c2cb961f7e11\";}}s:5:\"nonce\";s:12:\"16667be4995b\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1518739200;a:8:{s:2:\"db\";s:53:\"backup_2018-02-16-0000_Bucks_Pizza_ef9a2dc32974-db.gz\";s:7:\"db-size\";i:370617;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"faf50bfd111818eef3ee9699f521a1f90573191b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"36d434c95395d048c1d853740d2d9292ea1d77275edd6ee031e458f4911a5528\";}}s:5:\"nonce\";s:12:\"ef9a2dc32974\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1518652803;a:8:{s:2:\"db\";s:53:\"backup_2018-02-15-0000_Bucks_Pizza_9d0d8f693680-db.gz\";s:7:\"db-size\";i:399734;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"097a1cbfb118750ed0684a5880bc0e480429a3f3\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f4299997b8b9c27a175f61d2418945cb3163b30ba8013733edac0efb706d68d1\";}}s:5:\"nonce\";s:12:\"9d0d8f693680\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1518566403;a:8:{s:2:\"db\";s:53:\"backup_2018-02-14-0000_Bucks_Pizza_e7eb49aa338c-db.gz\";s:7:\"db-size\";i:423865;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"504246e22e1a8e0976712e7af40e44de26242b5e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"7fb155ebd317ae982cc469cbeabbfb2f818d320047317483c846f6ab58fe3bca\";}}s:5:\"nonce\";s:12:\"e7eb49aa338c\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1518480027;a:8:{s:2:\"db\";s:53:\"backup_2018-02-13-0000_Bucks_Pizza_29b7ccaa3a4e-db.gz\";s:7:\"db-size\";i:448666;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"5837863bde0ed481430ada3769cfad6ad7703314\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"55a278b79f6f355b9bc0cbff4153f5a4363bc2e23c18fee8032e06ff0cb8aa57\";}}s:5:\"nonce\";s:12:\"29b7ccaa3a4e\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1518393646;a:8:{s:2:\"db\";s:53:\"backup_2018-02-12-0000_Bucks_Pizza_2bb3f5670904-db.gz\";s:7:\"db-size\";i:467480;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"87d18a9a06dbb262faea07c91781221a89e37512\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"96d1142a27367d584326c1f1c3b5f7f70eed3496c61a663dff78c79aeb46b26f\";}}s:5:\"nonce\";s:12:\"2bb3f5670904\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1518307214;a:8:{s:2:\"db\";s:53:\"backup_2018-02-11-0000_Bucks_Pizza_faf342c1b040-db.gz\";s:7:\"db-size\";i:490386;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"77c1720e577651044785d692af64ddce74e23e42\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"204f0be585afdff42fb1588b64717be1f583e4d6fa8276ea330e95a32c2f1007\";}}s:5:\"nonce\";s:12:\"faf342c1b040\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1518220800;a:8:{s:2:\"db\";s:53:\"backup_2018-02-10-0000_Bucks_Pizza_8d8b75b0a832-db.gz\";s:7:\"db-size\";i:509913;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"18fd58de1375b0b5b531ae354019a8d3fb8d3070\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"31a61fe62e6f21a1562dde79b90a38f1ca00e55d387c1e8e62d3454adcb89143\";}}s:5:\"nonce\";s:12:\"8d8b75b0a832\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1518134401;a:8:{s:2:\"db\";s:53:\"backup_2018-02-09-0000_Bucks_Pizza_d4e0ae8afba8-db.gz\";s:7:\"db-size\";i:508907;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c8a4b94c0a451c56559d50d529f5ac769844332d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3eab727787b5338121a0c9a9deef2eb1fa040ff60a866d5d83f7d9a3a50184c7\";}}s:5:\"nonce\";s:12:\"d4e0ae8afba8\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1518048000;a:8:{s:2:\"db\";s:53:\"backup_2018-02-08-0000_Bucks_Pizza_cc46e76ef2b8-db.gz\";s:7:\"db-size\";i:504439;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"dc9680847883992c7d9f817c0b02dc17198b256e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d1ccb072dd06c96d5a2d5307fafbfcfa726716a54f170daa659f2dee8ab5b7ca\";}}s:5:\"nonce\";s:12:\"cc46e76ef2b8\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1517961604;a:8:{s:2:\"db\";s:53:\"backup_2018-02-07-0000_Bucks_Pizza_f21ddc17d214-db.gz\";s:7:\"db-size\";i:502769;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e5402ba3b939b219a6628d42fc4e9b68972f4658\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d053199d421dcc9d72638e48f0df81a2c88f1e25ff8b6e29df7d5c0396cb4469\";}}s:5:\"nonce\";s:12:\"f21ddc17d214\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1517875238;a:8:{s:2:\"db\";s:53:\"backup_2018-02-06-0000_Bucks_Pizza_294c188de34a-db.gz\";s:7:\"db-size\";i:503678;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2720e2e5d0d179be9f88c6a9541ca3e66b6928f0\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"88cc57f58e947d8bb6daf43421dcd4a1f1bfa4d4ce071683ab5ba154075e0e65\";}}s:5:\"nonce\";s:12:\"294c188de34a\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1517788814;a:8:{s:2:\"db\";s:53:\"backup_2018-02-05-0000_Bucks_Pizza_16b13345b9f7-db.gz\";s:7:\"db-size\";i:505174;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"bec132d572b86adaebb76a83350a0d859b360a67\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ff5690df107af67a39b7d5a79648eff6dfbfff8602b74fe2a62f8bf5ef0d30bb\";}}s:5:\"nonce\";s:12:\"16b13345b9f7\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1517702410;a:8:{s:2:\"db\";s:53:\"backup_2018-02-04-0000_Bucks_Pizza_39bd2306dfb2-db.gz\";s:7:\"db-size\";i:504564;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8c68f326518f994bba2212c4b88a1bd903e50241\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f87bfa82fb9747f44da8ca9add52a98f0955dabc2558bd9ed342d10851014a7f\";}}s:5:\"nonce\";s:12:\"39bd2306dfb2\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1517616003;a:8:{s:2:\"db\";s:53:\"backup_2018-02-03-0000_Bucks_Pizza_e30dfc189df3-db.gz\";s:7:\"db-size\";i:507399;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"aecd2e8ca29fcaf57665785895ee6e1cf08dd0ed\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4ff4bc284aaa4a1517bec9dd94db4b9351e47951cd21e3f61655f12f2a2a4a6a\";}}s:5:\"nonce\";s:12:\"e30dfc189df3\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1517529607;a:8:{s:2:\"db\";s:53:\"backup_2018-02-02-0000_Bucks_Pizza_3124ee323129-db.gz\";s:7:\"db-size\";i:511575;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"72a131825ec48856f7cf3e9743f51b66cd49bfd4\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"916bd10bc67659bd039f969e2b562b28111f0ee3fa205769571aa45ae96f8ae8\";}}s:5:\"nonce\";s:12:\"3124ee323129\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1517443207;a:8:{s:2:\"db\";s:53:\"backup_2018-02-01-0000_Bucks_Pizza_077c6ed3a33c-db.gz\";s:7:\"db-size\";i:521249;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"190a6fca77c456fceaf15170b54ad17c8f59c7a8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"241e53ba50750863d5d33007698658b74ca0531b51d8a2e4f8903a41cddf41b1\";}}s:5:\"nonce\";s:12:\"077c6ed3a33c\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1517356809;a:8:{s:2:\"db\";s:53:\"backup_2018-01-31-0000_Bucks_Pizza_82ff22714544-db.gz\";s:7:\"db-size\";i:521915;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e5a66d4646260060add131d8d922451d4319dd9f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"152f25430ab20bffd34a4d1e4077c0c8c02fe32435b9a4d762fab190d1f66608\";}}s:5:\"nonce\";s:12:\"82ff22714544\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1517270627;a:8:{s:2:\"db\";s:53:\"backup_2018-01-30-0003_Bucks_Pizza_4fd9f5f5a07e-db.gz\";s:7:\"db-size\";i:515684;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"47056bccb4b4897312089041f1f5267237ba4e08\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a96bceed80bb66ad98cd350f7fa5ae97a80d6df5adfdc1f896a7a39e4a930eb4\";}}s:5:\"nonce\";s:12:\"4fd9f5f5a07e\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1517184009;a:8:{s:2:\"db\";s:53:\"backup_2018-01-29-0000_Bucks_Pizza_83529fff7cec-db.gz\";s:7:\"db-size\";i:515799;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2827e4f398affc2dfb2d73426b0753737619bee7\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"9ae2b600549b826aabd0be3e6b191af0672cc7ae3554b59fe4ab8640080e6471\";}}s:5:\"nonce\";s:12:\"83529fff7cec\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1517097603;a:8:{s:2:\"db\";s:53:\"backup_2018-01-28-0000_Bucks_Pizza_67bd7616c29a-db.gz\";s:7:\"db-size\";i:518739;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"5f1f68a4274032d5384d98c86f57e4038f59e3df\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4559b7c85dd0a79ed998659ec99a7da2a3472b6bb4e09580f785a01c2f8fb033\";}}s:5:\"nonce\";s:12:\"67bd7616c29a\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1517011327;a:8:{s:2:\"db\";s:53:\"backup_2018-01-27-0002_Bucks_Pizza_daa46af773c4-db.gz\";s:7:\"db-size\";i:516529;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a3a9ea701057f57f704d0957031e471f11100cab\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4ce520c58010671e74a8e98786647c105efe839b09dc7385deb73f6341ba88fd\";}}s:5:\"nonce\";s:12:\"daa46af773c4\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1516924800;a:8:{s:2:\"db\";s:53:\"backup_2018-01-26-0000_Bucks_Pizza_1dabc01402df-db.gz\";s:7:\"db-size\";i:507470;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"67288e6d890023d8f8809e46bb5a447fb8000333\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"5930c92cfb9d60d02c9f98b50cdf6186a44b36c25f213ba227932403136d507b\";}}s:5:\"nonce\";s:12:\"1dabc01402df\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.3.0\";s:12:\"is_multisite\";b:0;}i:1516838401;a:8:{s:2:\"db\";s:53:\"backup_2018-01-25-0000_Bucks_Pizza_4a198a1be99d-db.gz\";s:7:\"db-size\";i:511013;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e54b31fcd3991a6917867fc0f2b62fe605acb26d\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e92c919a489d59334439092ed252dfdc3d6220b04b05624af1476764b9f3a159\";}}s:5:\"nonce\";s:12:\"4a198a1be99d\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1516752001;a:8:{s:2:\"db\";s:53:\"backup_2018-01-24-0000_Bucks_Pizza_3956c903565f-db.gz\";s:7:\"db-size\";i:510341;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6ab7bbeb4e67cb896da447df6cb04439a9edb559\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d37ca91f5c357f1e1e696c7ef2a3e06963925b89cf810436a1c5fada2a338734\";}}s:5:\"nonce\";s:12:\"3956c903565f\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1516665601;a:8:{s:2:\"db\";s:53:\"backup_2018-01-23-0000_Bucks_Pizza_8577aec593fe-db.gz\";s:7:\"db-size\";i:517839;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"b4a224031ced741e9bfa40b075b459bfaf07fc09\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"bb2bd51c424c6e79f765e427e218afae1e75661fea360996d197c7f4ca21097a\";}}s:5:\"nonce\";s:12:\"8577aec593fe\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1516579213;a:8:{s:2:\"db\";s:53:\"backup_2018-01-22-0000_Bucks_Pizza_06a076281b5c-db.gz\";s:7:\"db-size\";i:515904;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"75ad43b4cc6593e44fe33ca1e71c43500f27d4d2\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"f9d12c94322355f0a62021b1226a387f13e78af2898ab7bbd6a981bb9b1d4e4f\";}}s:5:\"nonce\";s:12:\"06a076281b5c\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1516492800;a:8:{s:2:\"db\";s:53:\"backup_2018-01-21-0000_Bucks_Pizza_f34d06a5d927-db.gz\";s:7:\"db-size\";i:535935;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f2cbd8f3c867ee80499fc73a79aeebc34da2cc03\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c7ae97d2b0dc7344d5ad44d9f6b583aecbac438d1a7eda0bc006265a24e445ec\";}}s:5:\"nonce\";s:12:\"f34d06a5d927\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1516406431;a:8:{s:2:\"db\";s:53:\"backup_2018-01-20-0000_Bucks_Pizza_c75130ba77e9-db.gz\";s:7:\"db-size\";i:555389;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f003a72eb57804360460012be4e9f93fedc132ce\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4085510249ef6bb9c7b99cdb8ddfe196c247743525ab08eddda873511e04febd\";}}s:5:\"nonce\";s:12:\"c75130ba77e9\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1516320005;a:8:{s:2:\"db\";s:53:\"backup_2018-01-19-0000_Bucks_Pizza_267cf5d8999f-db.gz\";s:7:\"db-size\";i:576594;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6f70b2616ae7dbd31f38aa34336df399eaad7b43\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"99b906937db412583025655e9de8da8a8f210dcab98c81416ceb33693d878814\";}}s:5:\"nonce\";s:12:\"267cf5d8999f\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1516233617;a:8:{s:2:\"db\";s:53:\"backup_2018-01-18-0000_Bucks_Pizza_e65e1aaebaf7-db.gz\";s:7:\"db-size\";i:577230;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ac7afb7bee77d555a86369d3dfce8a6a0eb295cf\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3dc47e81c057cefa97e2dc96ca00704e2a9af4dc15a2560927df0cbcf900ddb4\";}}s:5:\"nonce\";s:12:\"e65e1aaebaf7\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1516147216;a:8:{s:2:\"db\";s:53:\"backup_2018-01-17-0000_Bucks_Pizza_73b2a74ef71a-db.gz\";s:7:\"db-size\";i:578032;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"a02ea002ab950e0a14f2a69068a176e0811f73c9\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3e421cbdefb1a306da8dead6c9125055c8160a58de9905d93e01035b8dbc678b\";}}s:5:\"nonce\";s:12:\"73b2a74ef71a\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1516060817;a:8:{s:2:\"db\";s:53:\"backup_2018-01-16-0000_Bucks_Pizza_6182a3a67ce8-db.gz\";s:7:\"db-size\";i:568901;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9ab59b0303577cf61e20a229eec5fd857d239be0\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"314b464caf9a3984101339c84b34896a6c769f5a379688afaa5b701d1ee400c8\";}}s:5:\"nonce\";s:12:\"6182a3a67ce8\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1515974527;a:8:{s:2:\"db\";s:53:\"backup_2018-01-15-0002_Bucks_Pizza_5fbd107c604d-db.gz\";s:7:\"db-size\";i:560322;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f6ddd689396aa73fc463e178852724a0bcd5512a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"02424679704d5b249f489e198d1ae33c523eec0043463ce90da500498fc4ae4b\";}}s:5:\"nonce\";s:12:\"5fbd107c604d\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1515888006;a:8:{s:2:\"db\";s:53:\"backup_2018-01-14-0000_Bucks_Pizza_7a0e7dc4de26-db.gz\";s:7:\"db-size\";i:547103;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e71f5c45ef563a85af52cd5eddca2eff8ae22228\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ca5395f86349d917da832993967e6cb986868fc67652922d73e395462028d726\";}}s:5:\"nonce\";s:12:\"7a0e7dc4de26\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1515801611;a:8:{s:2:\"db\";s:53:\"backup_2018-01-13-0000_Bucks_Pizza_202bd0d6b164-db.gz\";s:7:\"db-size\";i:532844;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ddece7f67ad3a75e960ef9109b0ce7dcd95b8cce\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"cc8142c48bf257964aec0c4755393ac1d70701da95cac8b663fcd951d26bfc76\";}}s:5:\"nonce\";s:12:\"202bd0d6b164\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1515715201;a:8:{s:2:\"db\";s:53:\"backup_2018-01-12-0000_Bucks_Pizza_478ff1b8cd29-db.gz\";s:7:\"db-size\";i:525445;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"01b4aaaaf1e21d70a2091f338144d8d5b0701e7f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a24ecc901cafde100a002ef0047dd38cd92884e219521bbe388987cce19dc127\";}}s:5:\"nonce\";s:12:\"478ff1b8cd29\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1515628809;a:8:{s:2:\"db\";s:53:\"backup_2018-01-11-0000_Bucks_Pizza_fff5a12e935a-db.gz\";s:7:\"db-size\";i:510669;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"61c6a879d1b5dc1d5fe8b55d91f6f9c99ff52c76\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"beae4cbc7268f251babe88c297e62ab52d42c0545247ced3f93424812f31d268\";}}s:5:\"nonce\";s:12:\"fff5a12e935a\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1515542402;a:8:{s:2:\"db\";s:53:\"backup_2018-01-10-0000_Bucks_Pizza_3aa2ecb7a1a1-db.gz\";s:7:\"db-size\";i:518322;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7121e9eb518fe82d30860fb9fa413bbe5ab4cd66\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ceaf17f70b0c1f3a1dda32af4dc69d3a92968b51ed136440fd54b01628c3495b\";}}s:5:\"nonce\";s:12:\"3aa2ecb7a1a1\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1515456005;a:8:{s:2:\"db\";s:53:\"backup_2018-01-09-0000_Bucks_Pizza_d26ed832c83b-db.gz\";s:7:\"db-size\";i:521151;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c2a5c359a0e8b01bbdc2ae364b822e9dc223c617\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4f186a71f17ab94c13bdb19edac4cc12535b4d66f86b5f3d045b24cd5337ed8a\";}}s:5:\"nonce\";s:12:\"d26ed832c83b\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1515369633;a:8:{s:2:\"db\";s:53:\"backup_2018-01-08-0000_Bucks_Pizza_76b4f750d5ad-db.gz\";s:7:\"db-size\";i:520014;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"6609b07ce265b0f2a569a0c19f03f84d9fdebdc1\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"53c16de1160b3e403786505e2c7c66f9e4be83e9e38dc26da86d62cc0df06991\";}}s:5:\"nonce\";s:12:\"76b4f750d5ad\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1515283221;a:8:{s:2:\"db\";s:53:\"backup_2018-01-07-0000_Bucks_Pizza_7b610191b98b-db.gz\";s:7:\"db-size\";i:515408;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1dfed66585803bb15d4fb2d4e7dbe24990c8eed9\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"7baf7a3a0938a7c4d2bce04706df68ac7839e53be0f7c4abc45b3fd02d777692\";}}s:5:\"nonce\";s:12:\"7b610191b98b\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1515196807;a:8:{s:2:\"db\";s:53:\"backup_2018-01-06-0000_Bucks_Pizza_4d375323b13b-db.gz\";s:7:\"db-size\";i:514642;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e884a8f4828f24aba0c30e48c48ca1a97ce175dc\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b334d510901b98d3473155a1465cccbf8e39f5eaeda3aea8f2e67c25e1ff74fd\";}}s:5:\"nonce\";s:12:\"4d375323b13b\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1515110406;a:8:{s:2:\"db\";s:53:\"backup_2018-01-05-0000_Bucks_Pizza_2be67c052138-db.gz\";s:7:\"db-size\";i:505039;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7c50fd1aaedd0a7aa1d99af317509f09b037998a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3b150b7a02dff869ba282214b417db2861d5ce44931fc0792f8377532a8d682f\";}}s:5:\"nonce\";s:12:\"2be67c052138\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1515024011;a:8:{s:2:\"db\";s:53:\"backup_2018-01-04-0000_Bucks_Pizza_88cd107f2f5f-db.gz\";s:7:\"db-size\";i:492803;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f346c0474d858d196e263ceab5eb8651a971b7bb\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"33301fa8de6a4b5d8a89c5fed88c77ea0f6aa3b645ad702a4573467c11293765\";}}s:5:\"nonce\";s:12:\"88cd107f2f5f\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1514937607;a:8:{s:2:\"db\";s:53:\"backup_2018-01-03-0000_Bucks_Pizza_4edfa85eacb1-db.gz\";s:7:\"db-size\";i:634973;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"593ac5224f4e9db6b88f7ce7b5822f6bf36f0aaf\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"16befec13470724537c200c4c3a5fb820d9e39ccd75a4d092d0a349e8551f177\";}}s:5:\"nonce\";s:12:\"4edfa85eacb1\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1514851202;a:8:{s:2:\"db\";s:53:\"backup_2018-01-02-0000_Bucks_Pizza_839d09c4024e-db.gz\";s:7:\"db-size\";i:478690;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0363f13a15d81ffd494a712e7ecf4780e8643b82\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"843e06c3dcf6642618f26cbbab7e0afdac6f710e79713fbed26431fdde6ea31e\";}}s:5:\"nonce\";s:12:\"839d09c4024e\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1514764804;a:8:{s:2:\"db\";s:53:\"backup_2018-01-01-0000_Bucks_Pizza_42823b9b10a1-db.gz\";s:7:\"db-size\";i:477742;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"7ee5e630a00db29c593596038df7064e8d94995b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"13c3a89c468a7f999b8ef4b15a94e042fae311e5fa008c9692dc2827ae3a863b\";}}s:5:\"nonce\";s:12:\"42823b9b10a1\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1514678404;a:8:{s:2:\"db\";s:53:\"backup_2017-12-31-0000_Bucks_Pizza_aea2b0a42cd9-db.gz\";s:7:\"db-size\";i:477340;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"1fce9e9dfe84c8725c613101a4cf4c65c4ebc736\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"fd4571254e5622243dc81d5b110a8292959d60cb61f872920039d3f89e095da0\";}}s:5:\"nonce\";s:12:\"aea2b0a42cd9\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1514592011;a:8:{s:2:\"db\";s:53:\"backup_2017-12-30-0000_Bucks_Pizza_8ede34fdd2d9-db.gz\";s:7:\"db-size\";i:476568;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"49823ec19aaed54a652b0d22b88e4f1517276438\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0809048b4618e3a478102a87aecbb9cb84e9536da2580d82f1cacc6a6e5d61df\";}}s:5:\"nonce\";s:12:\"8ede34fdd2d9\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1514505602;a:8:{s:2:\"db\";s:53:\"backup_2017-12-29-0000_Bucks_Pizza_0d397625c8ba-db.gz\";s:7:\"db-size\";i:474705;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d3a18de6e4ce1c9a72792b9877162aaf3f5c4b53\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"90d8e308f0500521da71fefebe90f69605385a3cb238e50f08c7515bad5da88d\";}}s:5:\"nonce\";s:12:\"0d397625c8ba\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1514419211;a:8:{s:2:\"db\";s:53:\"backup_2017-12-28-0000_Bucks_Pizza_bcb96d01c783-db.gz\";s:7:\"db-size\";i:477845;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"d60ec37d023577a525959c1142b77d936dd2fd00\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0ab3aaaa01c480053042325d27268480e5861647fe4f69b3d174e3ae26798161\";}}s:5:\"nonce\";s:12:\"bcb96d01c783\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1514332808;a:8:{s:2:\"db\";s:53:\"backup_2017-12-27-0000_Bucks_Pizza_1d5d2ddc0ee9-db.gz\";s:7:\"db-size\";i:474528;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9d4a571c38d23a3e7ad587875ca09c07b6f9dc1f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"20db4391c0254492aa2f30955497897c19728b384644653db2dbb5c2b60b5906\";}}s:5:\"nonce\";s:12:\"1d5d2ddc0ee9\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1514246403;a:8:{s:2:\"db\";s:53:\"backup_2017-12-26-0000_Bucks_Pizza_5357ca67b017-db.gz\";s:7:\"db-size\";i:469245;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"c02fb97d0a5cc5543b01c1263cc4def8c6056042\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"6abd902909259b1189ccc078f54e60d2a6ede34cbf393bc9089239f7ffb4daaa\";}}s:5:\"nonce\";s:12:\"5357ca67b017\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1514160013;a:8:{s:2:\"db\";s:53:\"backup_2017-12-25-0000_Bucks_Pizza_e1428d72d27b-db.gz\";s:7:\"db-size\";i:620762;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9e806d25fe693273435d04853b7ea5244ceaed0f\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"862372391182cdb2f77d6efaefda2f78e9a9d74f6f61d3771e7e54f33486de21\";}}s:5:\"nonce\";s:12:\"e1428d72d27b\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1514073604;a:8:{s:2:\"db\";s:53:\"backup_2017-12-24-0000_Bucks_Pizza_6c33511861ac-db.gz\";s:7:\"db-size\";i:474491;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"f616337211191f48c4d2120508b0361806bdee02\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"b21c3a988f6bf876ead13b3fb73c2e37703244ea60ed6207155d82b88743fe10\";}}s:5:\"nonce\";s:12:\"6c33511861ac\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1513987205;a:8:{s:2:\"db\";s:53:\"backup_2017-12-23-0000_Bucks_Pizza_f5099549da2b-db.gz\";s:7:\"db-size\";i:469449;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"449b2cd4220c415db570b710ea77ce0e6bee1130\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3c286ab3aab9cff1466a91a145309367e83b5a3214525452f17a90c009b9618b\";}}s:5:\"nonce\";s:12:\"f5099549da2b\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.2.0\";s:12:\"is_multisite\";b:0;}i:1513900803;a:8:{s:2:\"db\";s:53:\"backup_2017-12-22-0000_Bucks_Pizza_8029b8c0acba-db.gz\";s:7:\"db-size\";i:477216;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"55c8507305ec866add03c7c29a3a7a9aef606784\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"4460c5c160d85be990c5e69d12015a0142556734336b27984a3a2675f4bba164\";}}s:5:\"nonce\";s:12:\"8029b8c0acba\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.1.0\";s:12:\"is_multisite\";b:0;}i:1513814401;a:8:{s:2:\"db\";s:53:\"backup_2017-12-21-0000_Bucks_Pizza_cbfd4ee49d59-db.gz\";s:7:\"db-size\";i:467853;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"42ac136b827e9314c4c5927ad34f096259dfe46e\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c879b2a3f1bf56d61bff3186a37e0dd4d011fa3a45a29f61a1c5045f46025e9a\";}}s:5:\"nonce\";s:12:\"cbfd4ee49d59\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.1.0\";s:12:\"is_multisite\";b:0;}i:1513728012;a:8:{s:2:\"db\";s:53:\"backup_2017-12-20-0000_Bucks_Pizza_27cb451b453b-db.gz\";s:7:\"db-size\";i:467075;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"48252543d70f4ecca67c25512920bf8b9950b15b\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a7e5d30d42be95a7ba0e6c467052d51a4e74fcfdbd80362cd19fbf6921c0f1cc\";}}s:5:\"nonce\";s:12:\"27cb451b453b\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.1.0\";s:12:\"is_multisite\";b:0;}i:1513641605;a:8:{s:2:\"db\";s:53:\"backup_2017-12-19-0000_Bucks_Pizza_db375dd3bf47-db.gz\";s:7:\"db-size\";i:467087;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"abf19211e7f84c1bbf4f9a3a67267ffcc2e63bcd\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"831d4485d549b172877648fc4ced13dbf0772a0a6a38b383aae7975934ecc696\";}}s:5:\"nonce\";s:12:\"db375dd3bf47\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.1.0\";s:12:\"is_multisite\";b:0;}i:1513555202;a:8:{s:2:\"db\";s:53:\"backup_2017-12-18-0000_Bucks_Pizza_45025834704a-db.gz\";s:7:\"db-size\";i:467832;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"e02573330ab6047ad842a01ae2431032d93b70f0\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"dad0cf03a4f1b57a25e9c56d9284a398aa0fa8305625b11e3fbfb0bd82982bf3\";}}s:5:\"nonce\";s:12:\"45025834704a\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.1.0\";s:12:\"is_multisite\";b:0;}i:1513468824;a:8:{s:2:\"db\";s:53:\"backup_2017-12-17-0000_Bucks_Pizza_ed86f355f1cf-db.gz\";s:7:\"db-size\";i:461913;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"842dc1c5e46743d43da4a0e68185831679e0dc00\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"3e53f6563104d6644f93b9c55062baa4afc41dd8f5b5a06d6a61019f68f45bf7\";}}s:5:\"nonce\";s:12:\"ed86f355f1cf\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.1.0\";s:12:\"is_multisite\";b:0;}i:1513382409;a:8:{s:2:\"db\";s:53:\"backup_2017-12-16-0000_Bucks_Pizza_e75be6da328c-db.gz\";s:7:\"db-size\";i:477470;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"ad9e795cd04eee01f3ac870a2f79649e02558a66\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"348a930f7e992a2f7839915fcbc0a898571e209c9ba34ffeeaee133f2c53b72f\";}}s:5:\"nonce\";s:12:\"e75be6da328c\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.1.0\";s:12:\"is_multisite\";b:0;}i:1513296002;a:8:{s:2:\"db\";s:53:\"backup_2017-12-15-0000_Bucks_Pizza_fecd3df40e30-db.gz\";s:7:\"db-size\";i:477087;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"212180bf4d9b89140392df79173d6b57ac437051\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"276b50a5db0febcd19fb8f36c7e009e896ad1b5ff43cdbab8b1929960a3ffa47\";}}s:5:\"nonce\";s:12:\"fecd3df40e30\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.1.0\";s:12:\"is_multisite\";b:0;}i:1513209604;a:8:{s:2:\"db\";s:53:\"backup_2017-12-14-0000_Bucks_Pizza_a61cae4e6c76-db.gz\";s:7:\"db-size\";i:484437;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"886fefea23eb2d21fd23af37c802e55ae32a6263\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"46827219e9aa9582e7592390c277154a0104f104ae5186c965ec6214d0cfa340\";}}s:5:\"nonce\";s:12:\"a61cae4e6c76\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:8:\"2.14.1.0\";s:12:\"is_multisite\";b:0;}i:1513123205;a:8:{s:2:\"db\";s:53:\"backup_2017-12-13-0000_Bucks_Pizza_3136df88c086-db.gz\";s:7:\"db-size\";i:495021;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"12e56c91370cc1296e594850f111393aa77379d5\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c15ab7e857059d85fd1e110b8c6d7c72b3c15d1165a7ee03f3013c9207e5b7eb\";}}s:5:\"nonce\";s:12:\"3136df88c086\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.13.16.0\";s:12:\"is_multisite\";b:0;}i:1513036807;a:8:{s:2:\"db\";s:53:\"backup_2017-12-12-0000_Bucks_Pizza_d42d9325635f-db.gz\";s:7:\"db-size\";i:499815;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3eb6cab62164b9420527c148ed8bd27e181013b8\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"0c99d46e87f9f1003f1b3ea8a5ef6ebd476ceb74a5d12db275976675af7d21bf\";}}s:5:\"nonce\";s:12:\"d42d9325635f\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.13.16.0\";s:12:\"is_multisite\";b:0;}i:1512950400;a:8:{s:2:\"db\";s:53:\"backup_2017-12-11-0000_Bucks_Pizza_1b8830abd575-db.gz\";s:7:\"db-size\";i:505687;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"0baa7a39bc847d6a5ef16889b16dcf7a3e52c3cb\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ee3be41ef1b93b1073829b2dc18bb91e51ca3629038990d7dacd690e9b798277\";}}s:5:\"nonce\";s:12:\"1b8830abd575\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.13.16.0\";s:12:\"is_multisite\";b:0;}i:1512864002;a:8:{s:2:\"db\";s:53:\"backup_2017-12-10-0000_Bucks_Pizza_558e83346a34-db.gz\";s:7:\"db-size\";i:517189;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"9d1d493a06c1e864c29cb585c3b63fe473a0c896\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"e4800e71247bd17e352aa2644ec38130559b44ec4e08a7d425daecd2b3727c30\";}}s:5:\"nonce\";s:12:\"558e83346a34\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.13.16.0\";s:12:\"is_multisite\";b:0;}i:1512777611;a:8:{s:2:\"db\";s:53:\"backup_2017-12-09-0000_Bucks_Pizza_feab32b529cd-db.gz\";s:7:\"db-size\";i:525569;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"977db4c3be671b8e080aec1dd4697f7988f45c61\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ab2427809f8a9a6bb918c0f2c755ab1000ff97f77db5fd706e3f6bcc38f8856a\";}}s:5:\"nonce\";s:12:\"feab32b529cd\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.13.16.0\";s:12:\"is_multisite\";b:0;}i:1512691203;a:8:{s:2:\"db\";s:53:\"backup_2017-12-08-0000_Bucks_Pizza_6d3892131472-db.gz\";s:7:\"db-size\";i:524933;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"5bc82c6cd8d38f323de84bacf1dbbb5f5cfb4688\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"1c0e3e71e399476aec933a9482285ab66d31255ca8c07539e3afc048b5f11ba2\";}}s:5:\"nonce\";s:12:\"6d3892131472\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.13.16.0\";s:12:\"is_multisite\";b:0;}i:1512604802;a:8:{s:2:\"db\";s:53:\"backup_2017-12-07-0000_Bucks_Pizza_18fe11767688-db.gz\";s:7:\"db-size\";i:534761;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"64d3f40ddf6146bde28b4ccbfdedd2c690ff82cf\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"a051b2e853b2b577abe2a4c5184ee9053b3c776e114fb1de6999fc7816a65767\";}}s:5:\"nonce\";s:12:\"18fe11767688\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.13.15.0\";s:12:\"is_multisite\";b:0;}i:1512518449;a:8:{s:2:\"db\";s:53:\"backup_2017-12-06-0000_Bucks_Pizza_47ab460dfef2-db.gz\";s:7:\"db-size\";i:532071;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"2dfdc2bb674ef8e2b66e3ba6ca7032a7747b2488\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"c50c88b10aff2f7b951abafacb5b6b52e932b3fe9324e2f847964a28777fcacf\";}}s:5:\"nonce\";s:12:\"47ab460dfef2\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.13.15.0\";s:12:\"is_multisite\";b:0;}i:1512432000;a:8:{s:2:\"db\";s:53:\"backup_2017-12-05-0000_Bucks_Pizza_475c9d0b5f0c-db.gz\";s:7:\"db-size\";i:521702;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"aedbc60d13f20ad8bcd83084ceeb2723b7c4f6c0\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d0e72e675417bd42a17aae93d4a95365d0a5d2b76a5c1ccf346163832d98222c\";}}s:5:\"nonce\";s:12:\"475c9d0b5f0c\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.13.15.0\";s:12:\"is_multisite\";b:0;}i:1512345600;a:8:{s:2:\"db\";s:53:\"backup_2017-12-04-0000_Bucks_Pizza_46ff45f0815c-db.gz\";s:7:\"db-size\";i:526654;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3d84d2a80a03d7c854546412ae59e2254ddad461\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"69cf144146b0388c2e9b51acc037f334fb2b74fb4ba67dca5cc9efab0ac16f0a\";}}s:5:\"nonce\";s:12:\"46ff45f0815c\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.13.15.0\";s:12:\"is_multisite\";b:0;}i:1512259205;a:8:{s:2:\"db\";s:53:\"backup_2017-12-03-0000_Bucks_Pizza_19b0eb189be2-db.gz\";s:7:\"db-size\";i:525491;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"071a38de3dd1101ce66a343023eac745a30bd4eb\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"2a898bbf8c255ab6fc99070208a4f02390a9c83230504c12739e633d7d5dd325\";}}s:5:\"nonce\";s:12:\"19b0eb189be2\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.13.15.0\";s:12:\"is_multisite\";b:0;}i:1512172801;a:8:{s:2:\"db\";s:53:\"backup_2017-12-02-0000_Bucks_Pizza_5fbdb513e516-db.gz\";s:7:\"db-size\";i:515895;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"84ede7148ff78c00dd19199a2e5f91653a4c47b4\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"ca571ebd79e20753ec31a1937e86e1387e14a4993d86894c6a109a2f5b51fd0b\";}}s:5:\"nonce\";s:12:\"5fbdb513e516\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.13.15.0\";s:12:\"is_multisite\";b:0;}i:1512086402;a:8:{s:2:\"db\";s:53:\"backup_2017-12-01-0000_Bucks_Pizza_99abb34299b5-db.gz\";s:7:\"db-size\";i:640136;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"5d7d64734a5dec7c7b1732578c2d579f426d8655\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"d1db311cba4efbd9ef15dc39395cb8ae987f11e6c93db60cbf71a07b26ccf353\";}}s:5:\"nonce\";s:12:\"99abb34299b5\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.13.15.0\";s:12:\"is_multisite\";b:0;}i:1512000031;a:8:{s:2:\"db\";s:53:\"backup_2017-11-30-0000_Bucks_Pizza_8d79f8cc92b4-db.gz\";s:7:\"db-size\";i:514886;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"3a6cac445e7c9fe9a1c4f712a12c1bc611acb8f4\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"45bbbe1eb72265e4ceb7ea1917445380aff3a1ed8d3a5dc4e51b0b6b678045d9\";}}s:5:\"nonce\";s:12:\"8d79f8cc92b4\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.13.15.0\";s:12:\"is_multisite\";b:0;}i:1511913604;a:8:{s:2:\"db\";s:53:\"backup_2017-11-29-0000_Bucks_Pizza_b59b8a006ca6-db.gz\";s:7:\"db-size\";i:629549;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"da86d4934d751767c9539313630e6aca4e22d600\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"36674aacc9ddfd69557df7d0492124122d82917bfc690c262cff9da739ad2001\";}}s:5:\"nonce\";s:12:\"b59b8a006ca6\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.13.15.0\";s:12:\"is_multisite\";b:0;}i:1511827205;a:8:{s:2:\"db\";s:53:\"backup_2017-11-28-0000_Bucks_Pizza_dfcea65c9b4d-db.gz\";s:7:\"db-size\";i:515137;s:9:\"checksums\";a:2:{s:4:\"sha1\";a:1:{s:3:\"db0\";s:40:\"8706d2d212b4f37daedc4009f34379ed9413f40a\";}s:6:\"sha256\";a:1:{s:3:\"db0\";s:64:\"dae25bc39680346d2aa69fa11cef2e6011afc3e62a2d102b3d1066be92903406\";}}s:5:\"nonce\";s:12:\"dfcea65c9b4d\";s:7:\"service\";a:1:{i:0;s:0:\"\";}s:20:\"service_instance_ids\";a:0:{}s:18:\"created_by_version\";s:9:\"2.13.14.0\";s:12:\"is_multisite\";b:0;}i:1444215060;a:14:{s:5:\"label\";s:37:\"Backup of: spartanmedia.com/DEV/BUCKS\";s:6:\"native\";b:0;s:7:\"service\";s:4:\"none\";s:7:\"plugins\";a:1:{i:0;s:59:\"backup_2015-10-07-1051_Bucks_Pizza_a07011a922d1-plugins.zip\";}s:12:\"plugins-size\";i:15732579;s:5:\"nonce\";s:12:\"a07011a922d1\";s:6:\"themes\";a:1:{i:0;s:58:\"backup_2015-10-07-1051_Bucks_Pizza_a07011a922d1-themes.zip\";}s:11:\"themes-size\";i:2660228;s:7:\"uploads\";a:1:{i:0;s:59:\"backup_2015-10-07-1051_Bucks_Pizza_a07011a922d1-uploads.zip\";}s:12:\"uploads-size\";i:1337840;s:6:\"others\";a:1:{i:0;s:58:\"backup_2015-10-07-1051_Bucks_Pizza_a07011a922d1-others.zip\";}s:11:\"others-size\";i:196;s:2:\"db\";a:1:{i:0;s:53:\"backup_2015-10-07-1051_Bucks_Pizza_a07011a922d1-db.gz\";}s:7:\"db-size\";i:159872;}}", "no");
INSERT INTO `wp_options` VALUES("3567", "updraftplus-addons_siteid", "042c2a2541658e3b4b8d6214875e5d56", "yes");
INSERT INTO `wp_options` VALUES("3570", "jetpack_options", "a:2:{s:7:\"version\";s:14:\"5.3:1506801662\";s:11:\"old_version\";s:14:\"5.3:1506801662\";}", "yes");
INSERT INTO `wp_options` VALUES("3802", "updraftplus_unlocked_", "1", "yes");
INSERT INTO `wp_options` VALUES("3803", "updraftplus_last_lock_time_", "2015-10-08 00:00:15", "yes");
INSERT INTO `wp_options` VALUES("3804", "updraftplus_semaphore_", "0", "yes");
INSERT INTO `wp_options` VALUES("7376", "wpseo_taxonomy_meta", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("8294", "wpseo_dismiss_recalculate", "1", "yes");
INSERT INTO `wp_options` VALUES("9404", "site_icon", "0", "yes");
INSERT INTO `wp_options` VALUES("9405", "medium_large_size_w", "768", "yes");
INSERT INTO `wp_options` VALUES("9406", "medium_large_size_h", "0", "yes");
INSERT INTO `wp_options` VALUES("9409", "auto_core_update_notified", "a:4:{s:4:\"type\";s:7:\"success\";s:5:\"email\";s:19:\"josh@buckspizza.com\";s:7:\"version\";s:3:\"5.4\";s:9:\"timestamp\";i:1585693551;}", "no");
INSERT INTO `wp_options` VALUES("10656", "updraft_last_scheduled_fd", "1586822406", "yes");
INSERT INTO `wp_options` VALUES("23695", "tablepress_plugin_options", "{\"plugin_options_db_version\":40,\"table_scheme_db_version\":3,\"prev_tablepress_version\":\"1.10\",\"tablepress_version\":\"1.11\",\"first_activation\":1465400316,\"message_plugin_update\":true,\"message_donation_nag\":true,\"use_custom_css\":true,\"use_custom_css_file\":true,\"custom_css\":\"\",\"custom_css_minified\":\"\",\"custom_css_version\":0}", "yes");
INSERT INTO `wp_options` VALUES("23699", "tablepress_tables", "{\"last_id\":2,\"table_post\":{\"1\":685,\"2\":687}}", "yes");
INSERT INTO `wp_options` VALUES("24128", "category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("29231", "do_activate", "0", "yes");
INSERT INTO `wp_options` VALUES("31973", "duplicator_settings", "a:12:{s:7:\"version\";s:5:\"1.3.8\";s:18:\"uninstall_settings\";b:1;s:15:\"uninstall_files\";b:1;s:16:\"uninstall_tables\";b:1;s:13:\"package_debug\";b:0;s:17:\"package_mysqldump\";b:0;s:22:\"package_mysqldump_path\";s:0:\"\";s:24:\"package_phpdump_qrylimit\";s:3:\"100\";s:17:\"package_zip_flush\";b:0;s:20:\"storage_htaccess_off\";b:0;s:18:\"archive_build_mode\";i:2;s:17:\"active_package_id\";i:4;}", "yes");
INSERT INTO `wp_options` VALUES("31974", "duplicator_version_plugin", "1.3.28", "yes");
INSERT INTO `wp_options` VALUES("31975", "duplicator_package_active", "O:11:\"DUP_Package\":25:{s:7:\"Created\";s:19:\"2020-04-14 23:37:21\";s:7:\"Version\";s:6:\"1.3.28\";s:9:\"VersionWP\";s:3:\"5.4\";s:9:\"VersionDB\";s:6:\"5.6.41\";s:10:\"VersionPHP\";s:6:\"7.0.25\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:19:\"20160922_buckspizza\";s:4:\"Hash\";s:35:\"d04761272b2ae6638049_20200414233721\";s:8:\"NameHash\";s:55:\"20160922_buckspizza_d04761272b2ae6638049_20200414233721\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:46:\"/home1/joshbenton/public_html/wp-snapshots/tmp\";s:8:\"StoreURL\";s:36:\"https://buckspizza.com/wp-snapshots/\";s:8:\"ScanFile\";s:65:\"20160922_buckspizza_d04761272b2ae6638049_20200414233721_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":21:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";N;s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:29:\"/home1/joshbenton/public_html\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:5:\"Files\";a:0:{}s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":5:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":6:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":25:{s:7:\"Created\";s:19:\"2020-04-14 23:37:21\";s:7:\"Version\";s:6:\"1.3.28\";s:9:\"VersionWP\";s:3:\"5.4\";s:9:\"VersionDB\";s:6:\"5.6.41\";s:10:\"VersionPHP\";s:6:\"7.0.25\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:19:\"20160922_buckspizza\";s:4:\"Hash\";s:35:\"d04761272b2ae6638049_20200414233721\";s:8:\"NameHash\";s:55:\"20160922_buckspizza_d04761272b2ae6638049_20200414233721\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:46:\"/home1/joshbenton/public_html/wp-snapshots/tmp\";s:8:\"StoreURL\";s:36:\"https://buckspizza.com/wp-snapshots/\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:23;s:9:\"Installer\";O:13:\"DUP_Installer\":11:{s:4:\"File\";N;s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:63;}s:8:\"Database\";O:12:\"DUP_Database\":14:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";N;s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:52:\"Percona Server (GPL), Release 84.1, Revision b308619\";s:4:\"info\";O:16:\"DUP_DatabaseInfo\":15:{s:9:\"buildMode\";N;s:13:\"collationList\";a:0:{}s:17:\"isTablesUpperCase\";N;s:15:\"isNameUpperCase\";N;s:4:\"name\";N;s:15:\"tablesBaseCount\";N;s:16:\"tablesFinalCount\";N;s:14:\"tablesRowCount\";N;s:16:\"tablesSizeOnDisk\";N;s:18:\"varLowerCaseTables\";i:0;s:7:\"version\";N;s:14:\"versionComment\";N;s:18:\"tableWiseRowCounts\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:63;s:25:\"\0DUP_Database\0dbStorePath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:63;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:5:{i:0;s:38:\"/home1/joshbenton/public_html/wp-admin\";i:1;s:48:\"/home1/joshbenton/public_html/wp-content/uploads\";i:2;s:50:\"/home1/joshbenton/public_html/wp-content/languages\";i:3;s:47:\"/home1/joshbenton/public_html/wp-content/themes\";i:4;s:41:\"/home1/joshbenton/public_html/wp-includes\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:2:{i:0;s:29:\"/home1/joshbenton/public_html\";i:1;s:40:\"/home1/joshbenton/public_html/wp-content\";}}s:9:\"Installer\";r:86;s:8:\"Database\";r:98;s:13:\"BuildProgress\";r:128;}", "yes");
INSERT INTO `wp_options` VALUES("39200", "fresh_site", "0", "yes");
INSERT INTO `wp_options` VALUES("49678", "sharing-options", "a:1:{s:6:\"global\";a:5:{s:12:\"button_style\";s:9:\"icon-text\";s:13:\"sharing_label\";s:11:\"Share this:\";s:10:\"open_links\";s:4:\"same\";s:4:\"show\";a:0:{}s:6:\"custom\";a:0:{}}}", "yes");
INSERT INTO `wp_options` VALUES("49679", "stats_options", "a:7:{s:9:\"admin_bar\";b:1;s:5:\"roles\";a:1:{i:0;s:13:\"administrator\";}s:11:\"count_roles\";a:0:{}s:7:\"blog_id\";b:0;s:12:\"do_not_track\";b:1;s:10:\"hide_smile\";b:1;s:7:\"version\";s:1:\"9\";}", "yes");
INSERT INTO `wp_options` VALUES("49879", "widget_powr_banner_slider", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("49880", "powr_token", "5wYerIueZ11493922230", "yes");
INSERT INTO `wp_options` VALUES("49884", "hugeit_slider_title_for_crop_image", "Slider crop image", "yes");
INSERT INTO `wp_options` VALUES("49885", "hugeit_slider_crop_image", "stretch", "yes");
INSERT INTO `wp_options` VALUES("49886", "hugeit_slider_title_for_title_color", "Slider title color", "yes");
INSERT INTO `wp_options` VALUES("49887", "hugeit_slider_title_color", "000000", "yes");
INSERT INTO `wp_options` VALUES("49888", "hugeit_slider_title_for_title_font_size", "Slider title font size", "yes");
INSERT INTO `wp_options` VALUES("49889", "hugeit_slider_title_font_size", "13", "yes");
INSERT INTO `wp_options` VALUES("49890", "hugeit_slider_title_for_description_color", "Slider description color", "yes");
INSERT INTO `wp_options` VALUES("49891", "hugeit_slider_description_color", "ffffff", "yes");
INSERT INTO `wp_options` VALUES("49892", "hugeit_slider_title_for_description_font_size", "Slider description font size", "yes");
INSERT INTO `wp_options` VALUES("49893", "hugeit_slider_description_font_size", "13", "yes");
INSERT INTO `wp_options` VALUES("49894", "hugeit_slider_title_for_title_position", "Slider title position", "yes");
INSERT INTO `wp_options` VALUES("49895", "hugeit_slider_title_position", "33", "yes");
INSERT INTO `wp_options` VALUES("49896", "hugeit_slider_title_for_description_position", "Slider description position", "yes");
INSERT INTO `wp_options` VALUES("49897", "hugeit_slider_description_position", "31", "yes");
INSERT INTO `wp_options` VALUES("49898", "hugeit_slider_title_for_title_border_size", "Slider Title border size", "yes");
INSERT INTO `wp_options` VALUES("49899", "hugeit_slider_title_border_size", "0", "yes");
INSERT INTO `wp_options` VALUES("49900", "hugeit_slider_title_for_title_border_color", "Slider title border color", "yes");
INSERT INTO `wp_options` VALUES("49901", "hugeit_slider_title_border_color", "ffffff", "yes");
INSERT INTO `wp_options` VALUES("49902", "hugeit_slider_title_for_title_border_radius", "Slider title border radius", "yes");
INSERT INTO `wp_options` VALUES("49903", "hugeit_slider_title_border_radius", "4", "yes");
INSERT INTO `wp_options` VALUES("49904", "hugeit_slider_title_for_description_border_size", "Slider description border size", "yes");
INSERT INTO `wp_options` VALUES("49905", "hugeit_slider_description_border_size", "0", "yes");
INSERT INTO `wp_options` VALUES("49906", "hugeit_slider_title_for_description_border_color", "Slider description border color", "yes");
INSERT INTO `wp_options` VALUES("49907", "hugeit_slider_description_border_color", "ffffff", "yes");
INSERT INTO `wp_options` VALUES("49908", "hugeit_slider_title_for_description_border_radius", "Slider description border radius", "yes");
INSERT INTO `wp_options` VALUES("49909", "hugeit_slider_description_border_radius", "0", "yes");
INSERT INTO `wp_options` VALUES("49910", "hugeit_slider_title_for_slideshow_border_size", "Slider border size", "yes");
INSERT INTO `wp_options` VALUES("49911", "hugeit_slider_slideshow_border_size", "0", "yes");
INSERT INTO `wp_options` VALUES("49912", "hugeit_slider_title_for_slideshow_border_color", "Slider border color", "yes");
INSERT INTO `wp_options` VALUES("49913", "hugeit_slider_slideshow_border_color", "ffffff", "yes");
INSERT INTO `wp_options` VALUES("49914", "hugeit_slider_title_for_slideshow_border_radius", "Slider border radius", "yes");
INSERT INTO `wp_options` VALUES("49915", "hugeit_slider_slideshow_border_radius", "0", "yes");
INSERT INTO `wp_options` VALUES("49916", "hugeit_slider_title_for_navigation_type", "Slider navigation type", "yes");
INSERT INTO `wp_options` VALUES("49917", "hugeit_slider_navigation_type", "1", "yes");
INSERT INTO `wp_options` VALUES("49918", "hugeit_slider_title_for_navigation_position", "Slider navigation position", "yes");
INSERT INTO `wp_options` VALUES("49919", "hugeit_slider_navigation_position", "top", "yes");
INSERT INTO `wp_options` VALUES("49920", "hugeit_slider_title_for_title_background_color", "Slider title background color", "yes");
INSERT INTO `wp_options` VALUES("49921", "hugeit_slider_title_background_color", "ffffff", "yes");
INSERT INTO `wp_options` VALUES("49922", "hugeit_slider_title_for_description_background_color", "Slider description background color", "yes");
INSERT INTO `wp_options` VALUES("49923", "hugeit_slider_description_background_color", "000000", "yes");
INSERT INTO `wp_options` VALUES("49924", "hugeit_slider_title_for_slider_background_color", "Slider slider background color", "yes");
INSERT INTO `wp_options` VALUES("49925", "hugeit_slider_slider_background_color", "ffffff", "yes");
INSERT INTO `wp_options` VALUES("49926", "hugeit_slider_title_for_slider_background_color_transparency", "Slider slider background color transparency", "yes");
INSERT INTO `wp_options` VALUES("49927", "hugeit_slider_slider_background_color_transparency", "1", "yes");
INSERT INTO `wp_options` VALUES("49928", "hugeit_slider_title_for_active_dot_color", "Slider active dot color", "yes");
INSERT INTO `wp_options` VALUES("49929", "hugeit_slider_active_dot_color", "ffffff", "yes");
INSERT INTO `wp_options` VALUES("49930", "hugeit_slider_title_for_dot_color", "Slider dots color", "yes");
INSERT INTO `wp_options` VALUES("49931", "hugeit_slider_dot_color", "000000", "yes");
INSERT INTO `wp_options` VALUES("49932", "hugeit_slider_title_for_loading_icon_type", "Slider Loading Image", "yes");
INSERT INTO `wp_options` VALUES("49933", "hugeit_slider_loading_icon_type", "1", "yes");
INSERT INTO `wp_options` VALUES("49934", "hugeit_slider_title_for_description_width", "Slider description width", "yes");
INSERT INTO `wp_options` VALUES("49935", "hugeit_slider_description_width", "70", "yes");
INSERT INTO `wp_options` VALUES("49936", "hugeit_slider_title_for_description_height", "Slider description height", "yes");
INSERT INTO `wp_options` VALUES("49937", "hugeit_slider_description_height", "50", "yes");
INSERT INTO `wp_options` VALUES("49938", "hugeit_slider_title_for_description_background_transparency", "Slider description background transparency", "yes");
INSERT INTO `wp_options` VALUES("49939", "hugeit_slider_description_background_transparency", "0.7", "yes");
INSERT INTO `wp_options` VALUES("49940", "hugeit_slider_title_for_description_text_align", "Description text-align", "yes");
INSERT INTO `wp_options` VALUES("49941", "hugeit_slider_description_text_align", "justify", "yes");
INSERT INTO `wp_options` VALUES("49942", "hugeit_slider_title_for_title_width", "Slider title width", "yes");
INSERT INTO `wp_options` VALUES("49943", "hugeit_slider_title_width", "30", "yes");
INSERT INTO `wp_options` VALUES("49944", "hugeit_slider_title_for_title_background_transparency", "Slider title background transparency", "yes");
INSERT INTO `wp_options` VALUES("49945", "hugeit_slider_title_background_transparency", "0.7", "yes");
INSERT INTO `wp_options` VALUES("49946", "hugeit_slider_title_for_title_text_align", "Title text-align", "yes");
INSERT INTO `wp_options` VALUES("49947", "hugeit_slider_title_text_align", "right", "yes");
INSERT INTO `wp_options` VALUES("49948", "hugeit_slider_title_for_title_has_margin", "Title has margin", "yes");
INSERT INTO `wp_options` VALUES("49949", "hugeit_slider_title_has_margin", "1", "yes");
INSERT INTO `wp_options` VALUES("49950", "hugeit_slider_title_for_description_has_margin", "Description has margin", "yes");
INSERT INTO `wp_options` VALUES("49951", "hugeit_slider_description_has_margin", "1", "yes");
INSERT INTO `wp_options` VALUES("49952", "hugeit_slider_title_for_show_arrows", "Slider show left right arrows", "yes");
INSERT INTO `wp_options` VALUES("49953", "hugeit_slider_show_arrows", "1", "yes");
INSERT INTO `wp_options` VALUES("49954", "hugeit_slider_title_for_thumb_count_slides", "Thumbnail Background Color", "yes");
INSERT INTO `wp_options` VALUES("49955", "hugeit_slider_thumb_count_slides", "3", "yes");
INSERT INTO `wp_options` VALUES("49956", "hugeit_slider_thumb_background_color", "ffffff", "yes");
INSERT INTO `wp_options` VALUES("49957", "hugeit_slider_title_for_thumb_passive_color", "Passive Thumbnail Color", "yes");
INSERT INTO `wp_options` VALUES("49958", "hugeit_slider_thumb_passive_color", "ffffff", "yes");
INSERT INTO `wp_options` VALUES("49959", "hugeit_slider_title_for_thumb_height", "Slider Thumb Height", "yes");
INSERT INTO `wp_options` VALUES("49960", "hugeit_slider_thumb_height", "100", "yes");
INSERT INTO `wp_options` VALUES("49961", "hugeit_slider_version", "4.0.6", "yes");
INSERT INTO `wp_options` VALUES("49962", "widget_hugeit_slider_widget", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("49979", "wpgmza_temp_api", "AIzaSyChPphumyabdfggISDNBuGOlGVBgEvZnGE", "yes");
INSERT INTO `wp_options` VALUES("49980", "widget_wpgmza_map_widget", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("49984", "gmwd_pro", "no", "no");
INSERT INTO `wp_options` VALUES("49985", "gmwd_version", "1.0.39", "no");
INSERT INTO `wp_options` VALUES("49986", "gmwd_do_activation_set_up_redirect", "0", "yes");
INSERT INTO `wp_options` VALUES("49987", "gmwd_download_markers", "0", "yes");
INSERT INTO `wp_options` VALUES("49988", "widget_gmwd_widget", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("49989", "gmwd_admin_notice", "a:1:{s:15:\"two_week_review\";a:2:{s:5:\"start\";s:9:\"5/18/2017\";s:3:\"int\";i:14;}}", "yes");
INSERT INTO `wp_options` VALUES("49992", "sl_db_version", "", "yes");
INSERT INTO `wp_options` VALUES("49998", "external_updates-store-locator", "O:8:\"stdClass\":5:{s:9:\"lastCheck\";i:1578165042;s:14:\"checkedVersion\";s:5:\"3.100\";s:6:\"update\";O:8:\"stdClass\":9:{s:4:\"slug\";s:13:\"store-locator\";s:7:\"version\";s:5:\"3.100\";s:12:\"download_url\";s:136:\"http://www.viadat.com/wp-update-server/?action=download&slug=store-locator.latest-stable&installed_version=3.100&php=5.4.45&locale=en_US\";s:12:\"translations\";a:0:{}s:2:\"id\";i:0;s:8:\"homepage\";s:36:\"http://www.viadat.com/store-locator/\";s:6:\"tested\";s:3:\"4.7\";s:14:\"upgrade_notice\";N;s:8:\"filename\";s:31:\"store-locator/store-locator.php\";}s:11:\"updateClass\";s:20:\"Puc_v4_Plugin_Update\";s:15:\"updateBaseClass\";s:13:\"Plugin_Update\";}", "no");
INSERT INTO `wp_options` VALUES("53190", "widget_media_audio", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("53191", "widget_media_image", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("53192", "widget_media_video", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("57801", "widget_custom_html", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("60870", "jetpack_connection_banner_ab", "1", "yes");
INSERT INTO `wp_options` VALUES("62833", "jetpack_sync_settings_disable", "0", "yes");
INSERT INTO `wp_options` VALUES("62836", "jpsq_sync-1506801601.992156-562191-1", "a:6:{i:0;s:18:\"deactivated_plugin\";i:1;a:2:{i:0;s:19:\"jetpack/jetpack.php\";i:1;b:0;}i:2;i:1;i:3;d:1506801601.9919960498809814453125;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62837", "jpsq_sync-1506801601.993846-562191-2", "a:6:{i:0;s:14:\"updated_option\";i:1;a:3:{i:0;s:14:\"active_plugins\";i:1;a:8:{i:3;s:19:\"jetpack/jetpack.php\";i:4;s:27:\"redirection/redirection.php\";i:5;s:33:\"seo-automatic-links/seo-links.php\";i:6;s:43:\"simple-audio-player/simple-audio-player.php\";i:9;s:25:\"tablepress/tablepress.php\";i:10;s:27:\"updraftplus/updraftplus.php\";i:11;s:24:\"wordpress-seo/wp-seo.php\";i:12;s:27:\"wp-optimize/wp-optimize.php\";}i:2;a:7:{i:4;s:27:\"redirection/redirection.php\";i:5;s:33:\"seo-automatic-links/seo-links.php\";i:6;s:43:\"simple-audio-player/simple-audio-player.php\";i:9;s:25:\"tablepress/tablepress.php\";i:10;s:27:\"updraftplus/updraftplus.php\";i:11;s:24:\"wordpress-seo/wp-seo.php\";i:12;s:27:\"wp-optimize/wp-optimize.php\";}}i:2;i:1;i:3;d:1506801601.993732929229736328125;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62840", "jpsq_sync-1506801601.999848-562191-3", "a:6:{i:0;s:21:\"jetpack_sync_constant\";i:1;a:2:{i:0;s:16:\"EMPTY_TRASH_DAYS\";i:1;i:30;}i:2;i:1;i:3;d:1506801601.9996960163116455078125;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62841", "jpsq_sync-1506801602.000370-562191-4", "a:6:{i:0;s:21:\"jetpack_sync_constant\";i:1;a:2:{i:0;s:17:\"WP_POST_REVISIONS\";i:1;i:1;}i:2;i:1;i:3;d:1506801602.00028705596923828125;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62842", "jpsq_sync-1506801602.000779-562191-5", "a:6:{i:0;s:21:\"jetpack_sync_constant\";i:1;a:2:{i:0;s:7:\"ABSPATH\";i:1;s:30:\"/home1/joshbenton/public_html/\";}i:2;i:1;i:3;d:1506801602.000710010528564453125;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62843", "jpsq_sync-1506801602.001243-562191-6", "a:6:{i:0;s:21:\"jetpack_sync_constant\";i:1;a:2:{i:0;s:14:\"WP_CONTENT_DIR\";i:1;s:40:\"/home1/joshbenton/public_html/wp-content\";}i:2;i:1;i:3;d:1506801602.00117397308349609375;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62844", "jpsq_sync-1506801602.001638-562191-7", "a:6:{i:0;s:21:\"jetpack_sync_constant\";i:1;a:2:{i:0;s:19:\"WP_AUTO_UPDATE_CORE\";i:1;b:1;}i:2;i:1;i:3;d:1506801602.0015709400177001953125;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62845", "jpsq_sync-1506801602.002094-562191-8", "a:6:{i:0;s:21:\"jetpack_sync_constant\";i:1;a:2:{i:0;s:16:\"JETPACK__VERSION\";i:1;s:3:\"5.3\";}i:2;i:1;i:3;d:1506801602.002026081085205078125;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62846", "jpsq_sync-1506801602.002490-562191-9", "a:6:{i:0;s:21:\"jetpack_sync_constant\";i:1;a:2:{i:0;s:20:\"WP_CRON_LOCK_TIMEOUT\";i:1;i:120;}i:2;i:1;i:3;d:1506801602.0024240016937255859375;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62847", "jpsq_sync-1506801602.002958-562191-10", "a:6:{i:0;s:21:\"jetpack_sync_constant\";i:1;a:2:{i:0;s:11:\"PHP_VERSION\";i:1;s:6:\"5.4.45\";}i:2;i:1;i:3;d:1506801602.002891063690185546875;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62848", "jpsq_sync-1506801602.003403-562191-11", "a:6:{i:0;s:21:\"jetpack_sync_constant\";i:1;a:2:{i:0;s:15:\"WP_MEMORY_LIMIT\";i:1;s:3:\"40M\";}i:2;i:1;i:3;d:1506801602.00333499908447265625;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62849", "jpsq_sync-1506801602.003795-562191-12", "a:6:{i:0;s:21:\"jetpack_sync_constant\";i:1;a:2:{i:0;s:19:\"WP_MAX_MEMORY_LIMIT\";i:1;s:4:\"256M\";}i:2;i:1;i:3;d:1506801602.00372791290283203125;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62850", "jetpack_constants_sync_checksum", "a:19:{s:16:\"EMPTY_TRASH_DAYS\";i:2473281379;s:17:\"WP_POST_REVISIONS\";i:2212294583;s:26:\"AUTOMATIC_UPDATER_DISABLED\";i:634125391;s:7:\"ABSPATH\";i:1605808299;s:14:\"WP_CONTENT_DIR\";i:2130190789;s:9:\"FS_METHOD\";i:634125391;s:18:\"DISALLOW_FILE_EDIT\";i:634125391;s:18:\"DISALLOW_FILE_MODS\";i:634125391;s:19:\"WP_AUTO_UPDATE_CORE\";i:4261170317;s:22:\"WP_HTTP_BLOCK_EXTERNAL\";i:634125391;s:19:\"WP_ACCESSIBLE_HOSTS\";i:634125391;s:16:\"JETPACK__VERSION\";i:2836319444;s:12:\"IS_PRESSABLE\";i:634125391;s:15:\"DISABLE_WP_CRON\";i:634125391;s:17:\"ALTERNATE_WP_CRON\";i:634125391;s:20:\"WP_CRON_LOCK_TIMEOUT\";i:289485416;s:11:\"PHP_VERSION\";i:1509121188;s:15:\"WP_MEMORY_LIMIT\";i:3065409971;s:19:\"WP_MAX_MEMORY_LIMIT\";i:1474498405;}", "yes");
INSERT INTO `wp_options` VALUES("62853", "jetpack_sync_https_history_main_network_site_url", "a:1:{i:0;s:4:\"http\";}", "yes");
INSERT INTO `wp_options` VALUES("62856", "jpsq_sync-1506801602.215192-562191-13", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:18:\"wp_max_upload_size\";i:1;i:67108864;}i:2;i:1;i:3;d:1506801602.21506404876708984375;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62857", "jpsq_sync-1506801602.216561-562191-14", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:15:\"is_main_network\";i:1;b:0;}i:2;i:1;i:3;d:1506801602.2164590358734130859375;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62858", "jpsq_sync-1506801602.217107-562191-15", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:13:\"is_multi_site\";i:1;b:0;}i:2;i:1;i:3;d:1506801602.217008113861083984375;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62859", "jpsq_sync-1506801602.217959-562191-16", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:17:\"main_network_site\";i:1;s:21:\"http://buckspizza.com\";}i:2;i:1;i:3;d:1506801602.2178590297698974609375;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62860", "jpsq_sync-1506801602.218817-562191-17", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:8:\"site_url\";i:1;s:21:\"http://buckspizza.com\";}i:2;i:1;i:3;d:1506801602.2187139987945556640625;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62861", "jpsq_sync-1506801602.219450-562191-18", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:8:\"home_url\";i:1;s:21:\"http://buckspizza.com\";}i:2;i:1;i:3;d:1506801602.2193510532379150390625;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62862", "jpsq_sync-1506801602.219997-562191-19", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:16:\"single_user_site\";i:1;b:1;}i:2;i:1;i:3;d:1506801602.2198998928070068359375;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62863", "jpsq_sync-1506801602.220519-562191-20", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:7:\"updates\";i:1;a:5:{s:7:\"plugins\";i:0;s:6:\"themes\";i:0;s:9:\"wordpress\";i:0;s:12:\"translations\";i:0;s:5:\"total\";i:0;}}i:2;i:1;i:3;d:1506801602.2204220294952392578125;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62864", "jpsq_sync-1506801602.221117-562191-21", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:28:\"has_file_system_write_access\";i:1;b:1;}i:2;i:1;i:3;d:1506801602.2210190296173095703125;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62865", "jpsq_sync-1506801602.221712-562191-22", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:21:\"is_version_controlled\";i:1;b:0;}i:2;i:1;i:3;d:1506801602.2216150760650634765625;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62866", "jpsq_sync-1506801602.222548-562191-23", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:10:\"taxonomies\";i:1;a:5:{s:8:\"category\";O:8:\"stdClass\":23:{s:4:\"name\";s:8:\"category\";s:5:\"label\";s:10:\"Categories\";s:6:\"labels\";O:8:\"stdClass\":21:{s:4:\"name\";s:10:\"Categories\";s:13:\"singular_name\";s:8:\"Category\";s:12:\"search_items\";s:17:\"Search Categories\";s:13:\"popular_items\";N;s:9:\"all_items\";s:14:\"All Categories\";s:11:\"parent_item\";s:15:\"Parent Category\";s:17:\"parent_item_colon\";s:16:\"Parent Category:\";s:9:\"edit_item\";s:13:\"Edit Category\";s:9:\"view_item\";s:13:\"View Category\";s:11:\"update_item\";s:15:\"Update Category\";s:12:\"add_new_item\";s:16:\"Add New Category\";s:13:\"new_item_name\";s:17:\"New Category Name\";s:26:\"separate_items_with_commas\";N;s:19:\"add_or_remove_items\";N;s:21:\"choose_from_most_used\";N;s:9:\"not_found\";s:20:\"No categories found.\";s:8:\"no_terms\";s:13:\"No categories\";s:21:\"items_list_navigation\";s:26:\"Categories list navigation\";s:10:\"items_list\";s:15:\"Categories list\";s:9:\"menu_name\";s:10:\"Categories\";s:14:\"name_admin_bar\";s:8:\"category\";}s:11:\"description\";s:0:\"\";s:6:\"public\";b:1;s:18:\"publicly_queryable\";b:1;s:12:\"hierarchical\";b:1;s:7:\"show_ui\";b:1;s:12:\"show_in_menu\";b:1;s:17:\"show_in_nav_menus\";b:1;s:13:\"show_tagcloud\";b:1;s:18:\"show_in_quick_edit\";b:1;s:17:\"show_admin_column\";b:1;s:11:\"meta_box_cb\";s:24:\"post_categories_meta_box\";s:11:\"object_type\";a:2:{i:0;s:4:\"post\";i:1;s:11:\"html5-blank\";}s:3:\"cap\";O:8:\"stdClass\":4:{s:12:\"manage_terms\";s:17:\"manage_categories\";s:10:\"edit_terms\";s:15:\"edit_categories\";s:12:\"delete_terms\";s:17:\"delete_categories\";s:12:\"assign_terms\";s:17:\"assign_categories\";}s:7:\"rewrite\";O:8:\"stdClass\":4:{s:10:\"with_front\";b:1;s:12:\"hierarchical\";b:1;s:7:\"ep_mask\";i:512;s:4:\"slug\";s:8:\"category\";}s:9:\"query_var\";s:13:\"category_name\";s:21:\"update_count_callback\";N;s:12:\"show_in_rest\";b:1;s:9:\"rest_base\";s:10:\"categories\";s:21:\"rest_controller_class\";s:24:\"WP_REST_Terms_Controller\";s:8:\"_builtin\";b:1;}s:8:\"post_tag\";O:8:\"stdClass\":23:{s:4:\"name\";s:8:\"post_tag\";s:5:\"label\";s:4:\"Tags\";s:6:\"labels\";O:8:\"stdClass\":21:{s:4:\"name\";s:4:\"Tags\";s:13:\"singular_name\";s:3:\"Tag\";s:12:\"search_items\";s:11:\"Search Tags\";s:13:\"popular_items\";s:12:\"Popular Tags\";s:9:\"all_items\";s:8:\"All Tags\";s:11:\"parent_item\";N;s:17:\"parent_item_colon\";N;s:9:\"edit_item\";s:8:\"Edit Tag\";s:9:\"view_item\";s:8:\"View Tag\";s:11:\"update_item\";s:10:\"Update Tag\";s:12:\"add_new_item\";s:11:\"Add New Tag\";s:13:\"new_item_name\";s:12:\"New Tag Name\";s:26:\"separate_items_with_commas\";s:25:\"Separate tags with commas\";s:19:\"add_or_remove_items\";s:18:\"Add or remove tags\";s:21:\"choose_from_most_used\";s:30:\"Choose from the most used tags\";s:9:\"not_found\";s:14:\"No tags found.\";s:8:\"no_terms\";s:7:\"No tags\";s:21:\"items_list_navigation\";s:20:\"Tags list navigation\";s:10:\"items_list\";s:9:\"Tags list\";s:9:\"menu_name\";s:4:\"Tags\";s:14:\"name_admin_bar\";s:8:\"post_tag\";}s:11:\"description\";s:0:\"\";s:6:\"public\";b:1;s:18:\"publicly_queryable\";b:1;s:12:\"hierarchical\";b:0;s:7:\"show_ui\";b:1;s:12:\"show_in_menu\";b:1;s:17:\"show_in_nav_menus\";b:1;s:13:\"show_tagcloud\";b:1;s:18:\"show_in_quick_edit\";b:1;s:17:\"show_admin_column\";b:1;s:11:\"meta_box_cb\";s:18:\"post_tags_meta_box\";s:11:\"object_type\";a:2:{i:0;s:4:\"post\";i:1;s:11:\"html5-blank\";}s:3:\"cap\";O:8:\"stdClass\":4:{s:12:\"manage_terms\";s:16:\"manage_post_tags\";s:10:\"edit_terms\";s:14:\"edit_post_tags\";s:12:\"delete_terms\";s:16:\"delete_post_tags\";s:12:\"assign_terms\";s:16:\"assign_post_tags\";}s:7:\"rewrite\";O:8:\"stdClass\":4:{s:10:\"with_front\";b:1;s:12:\"hierarchical\";b:0;s:7:\"ep_mask\";i:1024;s:4:\"slug\";s:3:\"tag\";}s:9:\"query_var\";s:3:\"tag\";s:21:\"update_count_callback\";N;s:12:\"show_in_rest\";b:1;s:9:\"rest_base\";s:4:\"tags\";s:21:\"rest_controller_class\";s:24:\"WP_REST_Terms_Controller\";s:8:\"_builtin\";b:1;}s:8:\"nav_menu\";O:8:\"stdClass\":23:{s:4:\"name\";s:8:\"nav_menu\";s:5:\"label\";s:16:\"Navigation Menus\";s:6:\"labels\";O:8:\"stdClass\":22:{s:4:\"name\";s:16:\"Navigation Menus\";s:13:\"singular_name\";s:15:\"Navigation Menu\";s:12:\"search_items\";s:11:\"Search Tags\";s:13:\"popular_items\";s:12:\"Popular Tags\";s:9:\"all_items\";s:16:\"Navigation Menus\";s:11:\"parent_item\";N;s:17:\"parent_item_colon\";N;s:9:\"edit_item\";s:8:\"Edit Tag\";s:9:\"view_item\";s:8:\"View Tag\";s:11:\"update_item\";s:10:\"Update Tag\";s:12:\"add_new_item\";s:11:\"Add New Tag\";s:13:\"new_item_name\";s:12:\"New Tag Name\";s:26:\"separate_items_with_commas\";s:25:\"Separate tags with commas\";s:19:\"add_or_remove_items\";s:18:\"Add or remove tags\";s:21:\"choose_from_most_used\";s:30:\"Choose from the most used tags\";s:9:\"not_found\";s:14:\"No tags found.\";s:8:\"no_terms\";s:7:\"No tags\";s:21:\"items_list_navigation\";s:20:\"Tags list navigation\";s:10:\"items_list\";s:9:\"Tags list\";s:9:\"menu_name\";s:16:\"Navigation Menus\";s:14:\"name_admin_bar\";s:15:\"Navigation Menu\";s:8:\"archives\";s:16:\"Navigation Menus\";}s:11:\"description\";s:0:\"\";s:6:\"public\";b:0;s:18:\"publicly_queryable\";b:0;s:12:\"hierarchical\";b:0;s:7:\"show_ui\";b:0;s:12:\"show_in_menu\";b:0;s:17:\"show_in_nav_menus\";b:0;s:13:\"show_tagcloud\";b:0;s:18:\"show_in_quick_edit\";b:0;s:17:\"show_admin_column\";b:0;s:11:\"meta_box_cb\";s:18:\"post_tags_meta_box\";s:11:\"object_type\";a:1:{i:0;s:13:\"nav_menu_item\";}s:3:\"cap\";O:8:\"stdClass\":4:{s:12:\"manage_terms\";s:17:\"manage_categories\";s:10:\"edit_terms\";s:17:\"manage_categories\";s:12:\"delete_terms\";s:17:\"manage_categories\";s:12:\"assign_terms\";s:10:\"edit_posts\";}s:7:\"rewrite\";b:0;s:9:\"query_var\";b:0;s:21:\"update_count_callback\";N;s:12:\"show_in_rest\";b:0;s:9:\"rest_base\";b:0;s:21:\"rest_controller_class\";N;s:8:\"_builtin\";b:1;}s:13:\"link_category\";O:8:\"stdClass\":23:{s:4:\"name\";s:13:\"link_category\";s:5:\"label\";s:15:\"Link Categories\";s:6:\"labels\";O:8:\"stdClass\":22:{s:4:\"name\";s:15:\"Link Categories\";s:13:\"singular_name\";s:13:\"Link Category\";s:12:\"search_items\";s:22:\"Search Link Categories\";s:13:\"popular_items\";N;s:9:\"all_items\";s:19:\"All Link Categories\";s:11:\"parent_item\";N;s:17:\"parent_item_colon\";N;s:9:\"edit_item\";s:18:\"Edit Link Category\";s:9:\"view_item\";s:8:\"View Tag\";s:11:\"update_item\";s:20:\"Update Link Category\";s:12:\"add_new_item\";s:21:\"Add New Link Category\";s:13:\"new_item_name\";s:22:\"New Link Category Name\";s:26:\"separate_items_with_commas\";N;s:19:\"add_or_remove_items\";N;s:21:\"choose_from_most_used\";N;s:9:\"not_found\";s:14:\"No tags found.\";s:8:\"no_terms\";s:7:\"No tags\";s:21:\"items_list_navigation\";s:20:\"Tags list navigation\";s:10:\"items_list\";s:9:\"Tags list\";s:9:\"menu_name\";s:15:\"Link Categories\";s:14:\"name_admin_bar\";s:13:\"Link Category\";s:8:\"archives\";s:19:\"All Link Categories\";}s:11:\"description\";s:0:\"\";s:6:\"public\";b:0;s:18:\"publicly_queryable\";b:0;s:12:\"hierarchical\";b:0;s:7:\"show_ui\";b:1;s:12:\"show_in_menu\";b:1;s:17:\"show_in_nav_menus\";b:0;s:13:\"show_tagcloud\";b:1;s:18:\"show_in_quick_edit\";b:1;s:17:\"show_admin_column\";b:0;s:11:\"meta_box_cb\";s:18:\"post_tags_meta_box\";s:11:\"object_type\";a:1:{i:0;s:4:\"link\";}s:3:\"cap\";O:8:\"stdClass\":4:{s:12:\"manage_terms\";s:12:\"manage_links\";s:10:\"edit_terms\";s:12:\"manage_links\";s:12:\"delete_terms\";s:12:\"manage_links\";s:12:\"assign_terms\";s:12:\"manage_links\";}s:7:\"rewrite\";b:0;s:9:\"query_var\";b:0;s:21:\"update_count_callback\";N;s:12:\"show_in_rest\";b:0;s:9:\"rest_base\";b:0;s:21:\"rest_controller_class\";N;s:8:\"_builtin\";b:1;}s:11:\"post_format\";O:8:\"stdClass\":23:{s:4:\"name\";s:11:\"post_format\";s:5:\"label\";s:6:\"Format\";s:6:\"labels\";O:8:\"stdClass\":22:{s:4:\"name\";s:6:\"Format\";s:13:\"singular_name\";s:6:\"Format\";s:12:\"search_items\";s:11:\"Search Tags\";s:13:\"popular_items\";s:12:\"Popular Tags\";s:9:\"all_items\";s:6:\"Format\";s:11:\"parent_item\";N;s:17:\"parent_item_colon\";N;s:9:\"edit_item\";s:8:\"Edit Tag\";s:9:\"view_item\";s:8:\"View Tag\";s:11:\"update_item\";s:10:\"Update Tag\";s:12:\"add_new_item\";s:11:\"Add New Tag\";s:13:\"new_item_name\";s:12:\"New Tag Name\";s:26:\"separate_items_with_commas\";s:25:\"Separate tags with commas\";s:19:\"add_or_remove_items\";s:18:\"Add or remove tags\";s:21:\"choose_from_most_used\";s:30:\"Choose from the most used tags\";s:9:\"not_found\";s:14:\"No tags found.\";s:8:\"no_terms\";s:7:\"No tags\";s:21:\"items_list_navigation\";s:20:\"Tags list navigation\";s:10:\"items_list\";s:9:\"Tags list\";s:9:\"menu_name\";s:6:\"Format\";s:14:\"name_admin_bar\";s:6:\"Format\";s:8:\"archives\";s:6:\"Format\";}s:11:\"description\";s:0:\"\";s:6:\"public\";b:1;s:18:\"publicly_queryable\";b:1;s:12:\"hierarchical\";b:0;s:7:\"show_ui\";b:0;s:12:\"show_in_menu\";b:0;s:17:\"show_in_nav_menus\";b:0;s:13:\"show_tagcloud\";b:0;s:18:\"show_in_quick_edit\";b:0;s:17:\"show_admin_column\";b:0;s:11:\"meta_box_cb\";s:18:\"post_tags_meta_box\";s:11:\"object_type\";a:1:{i:0;s:4:\"post\";}s:3:\"cap\";O:8:\"stdClass\":4:{s:12:\"manage_terms\";s:17:\"manage_categories\";s:10:\"edit_terms\";s:17:\"manage_categories\";s:12:\"delete_terms\";s:17:\"manage_categories\";s:12:\"assign_terms\";s:10:\"edit_posts\";}s:7:\"rewrite\";O:8:\"stdClass\":4:{s:10:\"with_front\";b:1;s:12:\"hierarchical\";b:0;s:7:\"ep_mask\";i:0;s:4:\"slug\";s:4:\"type\";}s:9:\"query_var\";s:11:\"post_format\";s:21:\"update_count_callback\";N;s:12:\"show_in_rest\";b:0;s:9:\"rest_base\";b:0;s:21:\"rest_controller_class\";N;s:8:\"_builtin\";b:1;}}}i:2;i:1;i:3;d:1506801602.2224409580230712890625;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62867", "jpsq_sync-1506801602.224475-562191-24", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:10:\"post_types\";i:1;a:9:{s:4:\"post\";O:12:\"WP_Post_Type\":29:{s:4:\"name\";s:4:\"post\";s:5:\"label\";s:5:\"Posts\";s:6:\"labels\";O:8:\"stdClass\":26:{s:4:\"name\";s:5:\"Posts\";s:13:\"singular_name\";s:4:\"Post\";s:7:\"add_new\";s:7:\"Add New\";s:12:\"add_new_item\";s:12:\"Add New Post\";s:9:\"edit_item\";s:9:\"Edit Post\";s:8:\"new_item\";s:8:\"New Post\";s:9:\"view_item\";s:9:\"View Post\";s:10:\"view_items\";s:10:\"View Posts\";s:12:\"search_items\";s:12:\"Search Posts\";s:9:\"not_found\";s:15:\"No posts found.\";s:18:\"not_found_in_trash\";s:24:\"No posts found in Trash.\";s:17:\"parent_item_colon\";N;s:9:\"all_items\";s:9:\"All Posts\";s:8:\"archives\";s:13:\"Post Archives\";s:10:\"attributes\";s:15:\"Post Attributes\";s:16:\"insert_into_item\";s:16:\"Insert into post\";s:21:\"uploaded_to_this_item\";s:21:\"Uploaded to this post\";s:14:\"featured_image\";s:14:\"Featured Image\";s:18:\"set_featured_image\";s:18:\"Set featured image\";s:21:\"remove_featured_image\";s:21:\"Remove featured image\";s:18:\"use_featured_image\";s:21:\"Use as featured image\";s:17:\"filter_items_list\";s:17:\"Filter posts list\";s:21:\"items_list_navigation\";s:21:\"Posts list navigation\";s:10:\"items_list\";s:10:\"Posts list\";s:9:\"menu_name\";s:5:\"Posts\";s:14:\"name_admin_bar\";s:4:\"Post\";}s:11:\"description\";s:0:\"\";s:6:\"public\";b:1;s:12:\"hierarchical\";b:0;s:19:\"exclude_from_search\";b:0;s:18:\"publicly_queryable\";b:1;s:7:\"show_ui\";b:1;s:12:\"show_in_menu\";b:1;s:17:\"show_in_nav_menus\";b:1;s:17:\"show_in_admin_bar\";b:1;s:13:\"menu_position\";i:5;s:9:\"menu_icon\";N;s:15:\"capability_type\";s:4:\"post\";s:12:\"map_meta_cap\";b:1;s:20:\"register_meta_box_cb\";N;s:10:\"taxonomies\";a:0:{}s:11:\"has_archive\";b:0;s:9:\"query_var\";b:0;s:10:\"can_export\";b:1;s:16:\"delete_with_user\";b:1;s:8:\"_builtin\";b:1;s:10:\"_edit_link\";s:16:\"post.php?post=%d\";s:3:\"cap\";O:8:\"stdClass\":15:{s:9:\"edit_post\";s:9:\"edit_post\";s:9:\"read_post\";s:9:\"read_post\";s:11:\"delete_post\";s:11:\"delete_post\";s:10:\"edit_posts\";s:10:\"edit_posts\";s:17:\"edit_others_posts\";s:17:\"edit_others_posts\";s:13:\"publish_posts\";s:13:\"publish_posts\";s:18:\"read_private_posts\";s:18:\"read_private_posts\";s:4:\"read\";s:4:\"read\";s:12:\"delete_posts\";s:12:\"delete_posts\";s:20:\"delete_private_posts\";s:20:\"delete_private_posts\";s:22:\"delete_published_posts\";s:22:\"delete_published_posts\";s:19:\"delete_others_posts\";s:19:\"delete_others_posts\";s:18:\"edit_private_posts\";s:18:\"edit_private_posts\";s:20:\"edit_published_posts\";s:20:\"edit_published_posts\";s:12:\"create_posts\";s:10:\"edit_posts\";}s:7:\"rewrite\";b:0;s:12:\"show_in_rest\";b:1;s:9:\"rest_base\";s:5:\"posts\";s:21:\"rest_controller_class\";s:24:\"WP_REST_Posts_Controller\";}s:4:\"page\";O:12:\"WP_Post_Type\":29:{s:4:\"name\";s:4:\"page\";s:5:\"label\";s:5:\"Pages\";s:6:\"labels\";O:8:\"stdClass\":26:{s:4:\"name\";s:5:\"Pages\";s:13:\"singular_name\";s:4:\"Page\";s:7:\"add_new\";s:7:\"Add New\";s:12:\"add_new_item\";s:12:\"Add New Page\";s:9:\"edit_item\";s:9:\"Edit Page\";s:8:\"new_item\";s:8:\"New Page\";s:9:\"view_item\";s:9:\"View Page\";s:10:\"view_items\";s:10:\"View Pages\";s:12:\"search_items\";s:12:\"Search Pages\";s:9:\"not_found\";s:15:\"No pages found.\";s:18:\"not_found_in_trash\";s:24:\"No pages found in Trash.\";s:17:\"parent_item_colon\";s:12:\"Parent Page:\";s:9:\"all_items\";s:9:\"All Pages\";s:8:\"archives\";s:13:\"Page Archives\";s:10:\"attributes\";s:15:\"Page Attributes\";s:16:\"insert_into_item\";s:16:\"Insert into page\";s:21:\"uploaded_to_this_item\";s:21:\"Uploaded to this page\";s:14:\"featured_image\";s:14:\"Featured Image\";s:18:\"set_featured_image\";s:18:\"Set featured image\";s:21:\"remove_featured_image\";s:21:\"Remove featured image\";s:18:\"use_featured_image\";s:21:\"Use as featured image\";s:17:\"filter_items_list\";s:17:\"Filter pages list\";s:21:\"items_list_navigation\";s:21:\"Pages list navigation\";s:10:\"items_list\";s:10:\"Pages list\";s:9:\"menu_name\";s:5:\"Pages\";s:14:\"name_admin_bar\";s:4:\"Page\";}s:11:\"description\";s:0:\"\";s:6:\"public\";b:1;s:12:\"hierarchical\";b:1;s:19:\"exclude_from_search\";b:0;s:18:\"publicly_queryable\";b:0;s:7:\"show_ui\";b:1;s:12:\"show_in_menu\";b:1;s:17:\"show_in_nav_menus\";b:1;s:17:\"show_in_admin_bar\";b:1;s:13:\"menu_position\";i:20;s:9:\"menu_icon\";N;s:15:\"capability_type\";s:4:\"page\";s:12:\"map_meta_cap\";b:1;s:20:\"register_meta_box_cb\";N;s:10:\"taxonomies\";a:0:{}s:11:\"has_archive\";b:0;s:9:\"query_var\";b:0;s:10:\"can_export\";b:1;s:16:\"delete_with_user\";b:1;s:8:\"_builtin\";b:1;s:10:\"_edit_link\";s:16:\"post.php?post=%d\";s:3:\"cap\";O:8:\"stdClass\":15:{s:9:\"edit_post\";s:9:\"edit_page\";s:9:\"read_post\";s:9:\"read_page\";s:11:\"delete_post\";s:11:\"delete_page\";s:10:\"edit_posts\";s:10:\"edit_pages\";s:17:\"edit_others_posts\";s:17:\"edit_others_pages\";s:13:\"publish_posts\";s:13:\"publish_pages\";s:18:\"read_private_posts\";s:18:\"read_private_pages\";s:4:\"read\";s:4:\"read\";s:12:\"delete_posts\";s:12:\"delete_pages\";s:20:\"delete_private_posts\";s:20:\"delete_private_pages\";s:22:\"delete_published_posts\";s:22:\"delete_published_pages\";s:19:\"delete_others_posts\";s:19:\"delete_others_pages\";s:18:\"edit_private_posts\";s:18:\"edit_private_pages\";s:20:\"edit_published_posts\";s:20:\"edit_published_pages\";s:12:\"create_posts\";s:10:\"edit_pages\";}s:7:\"rewrite\";b:0;s:12:\"show_in_rest\";b:1;s:9:\"rest_base\";s:5:\"pages\";s:21:\"rest_controller_class\";s:24:\"WP_REST_Posts_Controller\";}s:10:\"attachment\";O:12:\"WP_Post_Type\":29:{s:4:\"name\";s:10:\"attachment\";s:5:\"label\";s:5:\"Media\";s:6:\"labels\";O:8:\"stdClass\":26:{s:4:\"name\";s:5:\"Media\";s:13:\"singular_name\";s:5:\"Media\";s:7:\"add_new\";s:7:\"Add New\";s:12:\"add_new_item\";s:12:\"Add New Post\";s:9:\"edit_item\";s:10:\"Edit Media\";s:8:\"new_item\";s:8:\"New Post\";s:9:\"view_item\";s:20:\"View Attachment Page\";s:10:\"view_items\";s:10:\"View Posts\";s:12:\"search_items\";s:12:\"Search Posts\";s:9:\"not_found\";s:15:\"No posts found.\";s:18:\"not_found_in_trash\";s:24:\"No posts found in Trash.\";s:17:\"parent_item_colon\";N;s:9:\"all_items\";s:5:\"Media\";s:8:\"archives\";s:5:\"Media\";s:10:\"attributes\";s:21:\"Attachment Attributes\";s:16:\"insert_into_item\";s:16:\"Insert into post\";s:21:\"uploaded_to_this_item\";s:21:\"Uploaded to this post\";s:14:\"featured_image\";s:14:\"Featured Image\";s:18:\"set_featured_image\";s:18:\"Set featured image\";s:21:\"remove_featured_image\";s:21:\"Remove featured image\";s:18:\"use_featured_image\";s:21:\"Use as featured image\";s:17:\"filter_items_list\";s:17:\"Filter posts list\";s:21:\"items_list_navigation\";s:21:\"Posts list navigation\";s:10:\"items_list\";s:10:\"Posts list\";s:9:\"menu_name\";s:5:\"Media\";s:14:\"name_admin_bar\";s:5:\"Media\";}s:11:\"description\";s:0:\"\";s:6:\"public\";b:1;s:12:\"hierarchical\";b:0;s:19:\"exclude_from_search\";b:0;s:18:\"publicly_queryable\";b:1;s:7:\"show_ui\";b:1;s:12:\"show_in_menu\";b:1;s:17:\"show_in_nav_menus\";b:0;s:17:\"show_in_admin_bar\";b:1;s:13:\"menu_position\";N;s:9:\"menu_icon\";N;s:15:\"capability_type\";s:4:\"post\";s:12:\"map_meta_cap\";b:1;s:20:\"register_meta_box_cb\";N;s:10:\"taxonomies\";a:0:{}s:11:\"has_archive\";b:0;s:9:\"query_var\";b:0;s:10:\"can_export\";b:1;s:16:\"delete_with_user\";b:1;s:8:\"_builtin\";b:1;s:10:\"_edit_link\";s:16:\"post.php?post=%d\";s:3:\"cap\";O:8:\"stdClass\":15:{s:9:\"edit_post\";s:9:\"edit_post\";s:9:\"read_post\";s:9:\"read_post\";s:11:\"delete_post\";s:11:\"delete_post\";s:10:\"edit_posts\";s:10:\"edit_posts\";s:17:\"edit_others_posts\";s:17:\"edit_others_posts\";s:13:\"publish_posts\";s:13:\"publish_posts\";s:18:\"read_private_posts\";s:18:\"read_private_posts\";s:4:\"read\";s:4:\"read\";s:12:\"delete_posts\";s:12:\"delete_posts\";s:20:\"delete_private_posts\";s:20:\"delete_private_posts\";s:22:\"delete_published_posts\";s:22:\"delete_published_posts\";s:19:\"delete_others_posts\";s:19:\"delete_others_posts\";s:18:\"edit_private_posts\";s:18:\"edit_private_posts\";s:20:\"edit_published_posts\";s:20:\"edit_published_posts\";s:12:\"create_posts\";s:12:\"upload_files\";}s:7:\"rewrite\";b:0;s:12:\"show_in_rest\";b:1;s:9:\"rest_base\";s:5:\"media\";s:21:\"rest_controller_class\";s:30:\"WP_REST_Attachments_Controller\";}s:8:\"revision\";O:12:\"WP_Post_Type\":29:{s:4:\"name\";s:8:\"revision\";s:5:\"label\";s:9:\"Revisions\";s:6:\"labels\";O:8:\"stdClass\":26:{s:4:\"name\";s:9:\"Revisions\";s:13:\"singular_name\";s:8:\"Revision\";s:7:\"add_new\";s:7:\"Add New\";s:12:\"add_new_item\";s:12:\"Add New Post\";s:9:\"edit_item\";s:9:\"Edit Post\";s:8:\"new_item\";s:8:\"New Post\";s:9:\"view_item\";s:9:\"View Post\";s:10:\"view_items\";s:10:\"View Posts\";s:12:\"search_items\";s:12:\"Search Posts\";s:9:\"not_found\";s:15:\"No posts found.\";s:18:\"not_found_in_trash\";s:24:\"No posts found in Trash.\";s:17:\"parent_item_colon\";N;s:9:\"all_items\";s:9:\"Revisions\";s:8:\"archives\";s:9:\"Revisions\";s:10:\"attributes\";s:15:\"Post Attributes\";s:16:\"insert_into_item\";s:16:\"Insert into post\";s:21:\"uploaded_to_this_item\";s:21:\"Uploaded to this post\";s:14:\"featured_image\";s:14:\"Featured Image\";s:18:\"set_featured_image\";s:18:\"Set featured image\";s:21:\"remove_featured_image\";s:21:\"Remove featured image\";s:18:\"use_featured_image\";s:21:\"Use as featured image\";s:17:\"filter_items_list\";s:17:\"Filter posts list\";s:21:\"items_list_navigation\";s:21:\"Posts list navigation\";s:10:\"items_list\";s:10:\"Posts list\";s:9:\"menu_name\";s:9:\"Revisions\";s:14:\"name_admin_bar\";s:8:\"Revision\";}s:11:\"description\";s:0:\"\";s:6:\"public\";b:0;s:12:\"hierarchical\";b:0;s:19:\"exclude_from_search\";b:1;s:18:\"publicly_queryable\";b:0;s:7:\"show_ui\";b:0;s:12:\"show_in_menu\";b:0;s:17:\"show_in_nav_menus\";b:0;s:17:\"show_in_admin_bar\";b:0;s:13:\"menu_position\";N;s:9:\"menu_icon\";N;s:15:\"capability_type\";s:4:\"post\";s:12:\"map_meta_cap\";b:1;s:20:\"register_meta_box_cb\";N;s:10:\"taxonomies\";a:0:{}s:11:\"has_archive\";b:0;s:9:\"query_var\";b:0;s:10:\"can_export\";b:0;s:16:\"delete_with_user\";b:1;s:8:\"_builtin\";b:1;s:10:\"_edit_link\";s:24:\"revision.php?revision=%d\";s:3:\"cap\";O:8:\"stdClass\":15:{s:9:\"edit_post\";s:9:\"edit_post\";s:9:\"read_post\";s:9:\"read_post\";s:11:\"delete_post\";s:11:\"delete_post\";s:10:\"edit_posts\";s:10:\"edit_posts\";s:17:\"edit_others_posts\";s:17:\"edit_others_posts\";s:13:\"publish_posts\";s:13:\"publish_posts\";s:18:\"read_private_posts\";s:18:\"read_private_posts\";s:4:\"read\";s:4:\"read\";s:12:\"delete_posts\";s:12:\"delete_posts\";s:20:\"delete_private_posts\";s:20:\"delete_private_posts\";s:22:\"delete_published_posts\";s:22:\"delete_published_posts\";s:19:\"delete_others_posts\";s:19:\"delete_others_posts\";s:18:\"edit_private_posts\";s:18:\"edit_private_posts\";s:20:\"edit_published_posts\";s:20:\"edit_published_posts\";s:12:\"create_posts\";s:10:\"edit_posts\";}s:7:\"rewrite\";b:0;s:12:\"show_in_rest\";b:0;s:9:\"rest_base\";b:0;s:21:\"rest_controller_class\";b:0;}s:13:\"nav_menu_item\";O:12:\"WP_Post_Type\":30:{s:4:\"name\";s:13:\"nav_menu_item\";s:5:\"label\";s:21:\"Navigation Menu Items\";s:6:\"labels\";O:8:\"stdClass\":26:{s:4:\"name\";s:21:\"Navigation Menu Items\";s:13:\"singular_name\";s:20:\"Navigation Menu Item\";s:7:\"add_new\";s:7:\"Add New\";s:12:\"add_new_item\";s:12:\"Add New Post\";s:9:\"edit_item\";s:9:\"Edit Post\";s:8:\"new_item\";s:8:\"New Post\";s:9:\"view_item\";s:9:\"View Post\";s:10:\"view_items\";s:10:\"View Posts\";s:12:\"search_items\";s:12:\"Search Posts\";s:9:\"not_found\";s:15:\"No posts found.\";s:18:\"not_found_in_trash\";s:24:\"No posts found in Trash.\";s:17:\"parent_item_colon\";N;s:9:\"all_items\";s:21:\"Navigation Menu Items\";s:8:\"archives\";s:21:\"Navigation Menu Items\";s:10:\"attributes\";s:15:\"Post Attributes\";s:16:\"insert_into_item\";s:16:\"Insert into post\";s:21:\"uploaded_to_this_item\";s:21:\"Uploaded to this post\";s:14:\"featured_image\";s:14:\"Featured Image\";s:18:\"set_featured_image\";s:18:\"Set featured image\";s:21:\"remove_featured_image\";s:21:\"Remove featured image\";s:18:\"use_featured_image\";s:21:\"Use as featured image\";s:17:\"filter_items_list\";s:17:\"Filter posts list\";s:21:\"items_list_navigation\";s:21:\"Posts list navigation\";s:10:\"items_list\";s:10:\"Posts list\";s:9:\"menu_name\";s:21:\"Navigation Menu Items\";s:14:\"name_admin_bar\";s:20:\"Navigation Menu Item\";}s:11:\"description\";s:0:\"\";s:6:\"public\";b:0;s:12:\"hierarchical\";b:0;s:19:\"exclude_from_search\";b:1;s:18:\"publicly_queryable\";b:0;s:7:\"show_ui\";b:0;s:12:\"show_in_menu\";b:0;s:17:\"show_in_nav_menus\";b:0;s:17:\"show_in_admin_bar\";b:0;s:13:\"menu_position\";N;s:9:\"menu_icon\";N;s:15:\"capability_type\";s:4:\"post\";s:12:\"map_meta_cap\";b:1;s:20:\"register_meta_box_cb\";N;s:10:\"taxonomies\";a:0:{}s:11:\"has_archive\";b:0;s:9:\"query_var\";b:0;s:10:\"can_export\";b:1;s:16:\"delete_with_user\";b:0;s:8:\"_builtin\";b:1;s:10:\"_edit_link\";s:0:\"\";s:3:\"cap\";O:8:\"stdClass\":15:{s:9:\"edit_post\";s:9:\"edit_post\";s:9:\"read_post\";s:9:\"read_post\";s:11:\"delete_post\";s:11:\"delete_post\";s:10:\"edit_posts\";s:10:\"edit_posts\";s:17:\"edit_others_posts\";s:17:\"edit_others_posts\";s:13:\"publish_posts\";s:13:\"publish_posts\";s:18:\"read_private_posts\";s:18:\"read_private_posts\";s:4:\"read\";s:4:\"read\";s:12:\"delete_posts\";s:12:\"delete_posts\";s:20:\"delete_private_posts\";s:20:\"delete_private_posts\";s:22:\"delete_published_posts\";s:22:\"delete_published_posts\";s:19:\"delete_others_posts\";s:19:\"delete_others_posts\";s:18:\"edit_private_posts\";s:18:\"edit_private_posts\";s:20:\"edit_published_posts\";s:20:\"edit_published_posts\";s:12:\"create_posts\";s:10:\"edit_posts\";}s:7:\"rewrite\";b:0;s:8:\"supports\";a:0:{}s:12:\"show_in_rest\";b:0;s:9:\"rest_base\";b:0;s:21:\"rest_controller_class\";b:0;}s:10:\"custom_css\";O:12:\"WP_Post_Type\":29:{s:4:\"name\";s:10:\"custom_css\";s:5:\"label\";s:10:\"Custom CSS\";s:6:\"labels\";O:8:\"stdClass\":26:{s:4:\"name\";s:10:\"Custom CSS\";s:13:\"singular_name\";s:10:\"Custom CSS\";s:7:\"add_new\";s:7:\"Add New\";s:12:\"add_new_item\";s:12:\"Add New Post\";s:9:\"edit_item\";s:9:\"Edit Post\";s:8:\"new_item\";s:8:\"New Post\";s:9:\"view_item\";s:9:\"View Post\";s:10:\"view_items\";s:10:\"View Posts\";s:12:\"search_items\";s:12:\"Search Posts\";s:9:\"not_found\";s:15:\"No posts found.\";s:18:\"not_found_in_trash\";s:24:\"No posts found in Trash.\";s:17:\"parent_item_colon\";N;s:9:\"all_items\";s:10:\"Custom CSS\";s:8:\"archives\";s:10:\"Custom CSS\";s:10:\"attributes\";s:15:\"Post Attributes\";s:16:\"insert_into_item\";s:16:\"Insert into post\";s:21:\"uploaded_to_this_item\";s:21:\"Uploaded to this post\";s:14:\"featured_image\";s:14:\"Featured Image\";s:18:\"set_featured_image\";s:18:\"Set featured image\";s:21:\"remove_featured_image\";s:21:\"Remove featured image\";s:18:\"use_featured_image\";s:21:\"Use as featured image\";s:17:\"filter_items_list\";s:17:\"Filter posts list\";s:21:\"items_list_navigation\";s:21:\"Posts list navigation\";s:10:\"items_list\";s:10:\"Posts list\";s:9:\"menu_name\";s:10:\"Custom CSS\";s:14:\"name_admin_bar\";s:10:\"Custom CSS\";}s:11:\"description\";s:0:\"\";s:6:\"public\";b:0;s:12:\"hierarchical\";b:0;s:19:\"exclude_from_search\";b:1;s:18:\"publicly_queryable\";b:0;s:7:\"show_ui\";b:0;s:12:\"show_in_menu\";b:0;s:17:\"show_in_nav_menus\";b:0;s:17:\"show_in_admin_bar\";b:0;s:13:\"menu_position\";N;s:9:\"menu_icon\";N;s:15:\"capability_type\";s:4:\"post\";s:12:\"map_meta_cap\";b:0;s:20:\"register_meta_box_cb\";N;s:10:\"taxonomies\";a:0:{}s:11:\"has_archive\";b:0;s:9:\"query_var\";b:0;s:10:\"can_export\";b:1;s:16:\"delete_with_user\";b:0;s:8:\"_builtin\";b:1;s:10:\"_edit_link\";s:0:\"\";s:3:\"cap\";O:8:\"stdClass\":13:{s:9:\"edit_post\";s:8:\"edit_css\";s:9:\"read_post\";s:4:\"read\";s:11:\"delete_post\";s:18:\"edit_theme_options\";s:10:\"edit_posts\";s:8:\"edit_css\";s:17:\"edit_others_posts\";s:8:\"edit_css\";s:13:\"publish_posts\";s:18:\"edit_theme_options\";s:18:\"read_private_posts\";s:4:\"read\";s:12:\"delete_posts\";s:18:\"edit_theme_options\";s:22:\"delete_published_posts\";s:18:\"edit_theme_options\";s:20:\"delete_private_posts\";s:18:\"edit_theme_options\";s:19:\"delete_others_posts\";s:18:\"edit_theme_options\";s:20:\"edit_published_posts\";s:8:\"edit_css\";s:12:\"create_posts\";s:8:\"edit_css\";}s:7:\"rewrite\";b:0;s:12:\"show_in_rest\";b:0;s:9:\"rest_base\";b:0;s:21:\"rest_controller_class\";b:0;}s:19:\"customize_changeset\";O:12:\"WP_Post_Type\":29:{s:4:\"name\";s:19:\"customize_changeset\";s:5:\"label\";s:10:\"Changesets\";s:6:\"labels\";O:8:\"stdClass\":26:{s:4:\"name\";s:10:\"Changesets\";s:13:\"singular_name\";s:9:\"Changeset\";s:7:\"add_new\";s:7:\"Add New\";s:12:\"add_new_item\";s:17:\"Add New Changeset\";s:9:\"edit_item\";s:14:\"Edit Changeset\";s:8:\"new_item\";s:13:\"New Changeset\";s:9:\"view_item\";s:14:\"View Changeset\";s:10:\"view_items\";s:10:\"View Posts\";s:12:\"search_items\";s:17:\"Search Changesets\";s:9:\"not_found\";s:20:\"No changesets found.\";s:18:\"not_found_in_trash\";s:29:\"No changesets found in Trash.\";s:17:\"parent_item_colon\";N;s:9:\"all_items\";s:14:\"All Changesets\";s:8:\"archives\";s:14:\"All Changesets\";s:10:\"attributes\";s:15:\"Post Attributes\";s:16:\"insert_into_item\";s:16:\"Insert into post\";s:21:\"uploaded_to_this_item\";s:21:\"Uploaded to this post\";s:14:\"featured_image\";s:14:\"Featured Image\";s:18:\"set_featured_image\";s:18:\"Set featured image\";s:21:\"remove_featured_image\";s:21:\"Remove featured image\";s:18:\"use_featured_image\";s:21:\"Use as featured image\";s:17:\"filter_items_list\";s:17:\"Filter posts list\";s:21:\"items_list_navigation\";s:21:\"Posts list navigation\";s:10:\"items_list\";s:10:\"Posts list\";s:9:\"menu_name\";s:10:\"Changesets\";s:14:\"name_admin_bar\";s:9:\"Changeset\";}s:11:\"description\";s:0:\"\";s:6:\"public\";b:0;s:12:\"hierarchical\";b:0;s:19:\"exclude_from_search\";b:1;s:18:\"publicly_queryable\";b:0;s:7:\"show_ui\";b:0;s:12:\"show_in_menu\";b:0;s:17:\"show_in_nav_menus\";b:0;s:17:\"show_in_admin_bar\";b:0;s:13:\"menu_position\";N;s:9:\"menu_icon\";N;s:15:\"capability_type\";s:19:\"customize_changeset\";s:12:\"map_meta_cap\";b:1;s:20:\"register_meta_box_cb\";N;s:10:\"taxonomies\";a:0:{}s:11:\"has_archive\";b:0;s:9:\"query_var\";b:0;s:10:\"can_export\";b:0;s:16:\"delete_with_user\";b:0;s:8:\"_builtin\";b:1;s:10:\"_edit_link\";s:0:\"\";s:3:\"cap\";O:8:\"stdClass\":15:{s:9:\"edit_post\";s:9:\"customize\";s:9:\"read_post\";s:9:\"customize\";s:11:\"delete_post\";s:9:\"customize\";s:10:\"edit_posts\";s:9:\"customize\";s:17:\"edit_others_posts\";s:9:\"customize\";s:13:\"publish_posts\";s:9:\"customize\";s:18:\"read_private_posts\";s:9:\"customize\";s:4:\"read\";s:4:\"read\";s:12:\"delete_posts\";s:9:\"customize\";s:20:\"delete_private_posts\";s:9:\"customize\";s:22:\"delete_published_posts\";s:9:\"customize\";s:19:\"delete_others_posts\";s:9:\"customize\";s:18:\"edit_private_posts\";s:9:\"customize\";s:20:\"edit_published_posts\";s:12:\"do_not_allow\";s:12:\"create_posts\";s:9:\"customize\";}s:7:\"rewrite\";b:0;s:12:\"show_in_rest\";b:0;s:9:\"rest_base\";b:0;s:21:\"rest_controller_class\";b:0;}s:16:\"tablepress_table\";O:12:\"WP_Post_Type\":29:{s:4:\"name\";s:16:\"tablepress_table\";s:5:\"label\";s:17:\"TablePress Tables\";s:6:\"labels\";O:8:\"stdClass\":26:{s:4:\"name\";s:17:\"TablePress Tables\";s:13:\"singular_name\";s:17:\"TablePress Tables\";s:7:\"add_new\";s:7:\"Add New\";s:12:\"add_new_item\";s:12:\"Add New Post\";s:9:\"edit_item\";s:9:\"Edit Post\";s:8:\"new_item\";s:8:\"New Post\";s:9:\"view_item\";s:9:\"View Post\";s:10:\"view_items\";s:10:\"View Posts\";s:12:\"search_items\";s:12:\"Search Posts\";s:9:\"not_found\";s:15:\"No posts found.\";s:18:\"not_found_in_trash\";s:24:\"No posts found in Trash.\";s:17:\"parent_item_colon\";N;s:9:\"all_items\";s:17:\"TablePress Tables\";s:8:\"archives\";s:17:\"TablePress Tables\";s:10:\"attributes\";s:15:\"Post Attributes\";s:16:\"insert_into_item\";s:16:\"Insert into post\";s:21:\"uploaded_to_this_item\";s:21:\"Uploaded to this post\";s:14:\"featured_image\";s:14:\"Featured Image\";s:18:\"set_featured_image\";s:18:\"Set featured image\";s:21:\"remove_featured_image\";s:21:\"Remove featured image\";s:18:\"use_featured_image\";s:21:\"Use as featured image\";s:17:\"filter_items_list\";s:17:\"Filter posts list\";s:21:\"items_list_navigation\";s:21:\"Posts list navigation\";s:10:\"items_list\";s:10:\"Posts list\";s:9:\"menu_name\";s:17:\"TablePress Tables\";s:14:\"name_admin_bar\";s:17:\"TablePress Tables\";}s:11:\"description\";s:0:\"\";s:6:\"public\";b:0;s:12:\"hierarchical\";b:0;s:19:\"exclude_from_search\";b:1;s:18:\"publicly_queryable\";b:0;s:7:\"show_ui\";b:0;s:12:\"show_in_menu\";b:0;s:17:\"show_in_nav_menus\";b:0;s:17:\"show_in_admin_bar\";b:0;s:13:\"menu_position\";N;s:9:\"menu_icon\";N;s:15:\"capability_type\";s:16:\"tablepress_table\";s:12:\"map_meta_cap\";b:0;s:20:\"register_meta_box_cb\";N;s:10:\"taxonomies\";a:0:{}s:11:\"has_archive\";b:0;s:9:\"query_var\";b:0;s:10:\"can_export\";b:1;s:16:\"delete_with_user\";N;s:8:\"_builtin\";b:0;s:10:\"_edit_link\";s:0:\"\";s:3:\"cap\";O:8:\"stdClass\":8:{s:9:\"edit_post\";s:21:\"edit_tablepress_table\";s:9:\"read_post\";s:21:\"read_tablepress_table\";s:11:\"delete_post\";s:23:\"delete_tablepress_table\";s:10:\"edit_posts\";s:22:\"edit_tablepress_tables\";s:17:\"edit_others_posts\";s:29:\"edit_others_tablepress_tables\";s:13:\"publish_posts\";s:25:\"publish_tablepress_tables\";s:18:\"read_private_posts\";s:30:\"read_private_tablepress_tables\";s:12:\"create_posts\";s:22:\"edit_tablepress_tables\";}s:7:\"rewrite\";b:0;s:12:\"show_in_rest\";b:0;s:9:\"rest_base\";b:0;s:21:\"rest_controller_class\";b:0;}s:11:\"html5-blank\";O:12:\"WP_Post_Type\":29:{s:4:\"name\";s:11:\"html5-blank\";s:5:\"label\";s:23:\"HTML5 Blank Custom Post\";s:6:\"labels\";O:8:\"stdClass\":28:{s:4:\"name\";s:23:\"HTML5 Blank Custom Post\";s:13:\"singular_name\";s:23:\"HTML5 Blank Custom Post\";s:7:\"add_new\";s:7:\"Add New\";s:12:\"add_new_item\";s:31:\"Add New HTML5 Blank Custom Post\";s:9:\"edit_item\";s:28:\"Edit HTML5 Blank Custom Post\";s:8:\"new_item\";s:27:\"New HTML5 Blank Custom Post\";s:9:\"view_item\";s:28:\"View HTML5 Blank Custom Post\";s:10:\"view_items\";s:10:\"View Pages\";s:12:\"search_items\";s:30:\"Search HTML5 Blank Custom Post\";s:9:\"not_found\";s:33:\"No HTML5 Blank Custom Posts found\";s:18:\"not_found_in_trash\";s:42:\"No HTML5 Blank Custom Posts found in Trash\";s:17:\"parent_item_colon\";s:12:\"Parent Page:\";s:9:\"all_items\";s:23:\"HTML5 Blank Custom Post\";s:8:\"archives\";s:23:\"HTML5 Blank Custom Post\";s:10:\"attributes\";s:15:\"Page Attributes\";s:16:\"insert_into_item\";s:16:\"Insert into page\";s:21:\"uploaded_to_this_item\";s:21:\"Uploaded to this page\";s:14:\"featured_image\";s:14:\"Featured Image\";s:18:\"set_featured_image\";s:18:\"Set featured image\";s:21:\"remove_featured_image\";s:21:\"Remove featured image\";s:18:\"use_featured_image\";s:21:\"Use as featured image\";s:17:\"filter_items_list\";s:17:\"Filter pages list\";s:21:\"items_list_navigation\";s:21:\"Pages list navigation\";s:10:\"items_list\";s:10:\"Pages list\";s:9:\"menu_name\";s:23:\"HTML5 Blank Custom Post\";s:4:\"edit\";s:4:\"Edit\";s:4:\"view\";s:28:\"View HTML5 Blank Custom Post\";s:14:\"name_admin_bar\";s:23:\"HTML5 Blank Custom Post\";}s:11:\"description\";s:0:\"\";s:6:\"public\";b:1;s:12:\"hierarchical\";b:1;s:19:\"exclude_from_search\";b:0;s:18:\"publicly_queryable\";b:1;s:7:\"show_ui\";b:1;s:12:\"show_in_menu\";b:1;s:17:\"show_in_nav_menus\";b:1;s:17:\"show_in_admin_bar\";b:1;s:13:\"menu_position\";N;s:9:\"menu_icon\";N;s:15:\"capability_type\";s:4:\"post\";s:12:\"map_meta_cap\";b:1;s:20:\"register_meta_box_cb\";N;s:10:\"taxonomies\";a:2:{i:0;s:8:\"post_tag\";i:1;s:8:\"category\";}s:11:\"has_archive\";b:1;s:9:\"query_var\";s:11:\"html5-blank\";s:10:\"can_export\";b:1;s:16:\"delete_with_user\";N;s:8:\"_builtin\";b:0;s:10:\"_edit_link\";s:16:\"post.php?post=%d\";s:3:\"cap\";O:8:\"stdClass\":15:{s:9:\"edit_post\";s:9:\"edit_post\";s:9:\"read_post\";s:9:\"read_post\";s:11:\"delete_post\";s:11:\"delete_post\";s:10:\"edit_posts\";s:10:\"edit_posts\";s:17:\"edit_others_posts\";s:17:\"edit_others_posts\";s:13:\"publish_posts\";s:13:\"publish_posts\";s:18:\"read_private_posts\";s:18:\"read_private_posts\";s:4:\"read\";s:4:\"read\";s:12:\"delete_posts\";s:12:\"delete_posts\";s:20:\"delete_private_posts\";s:20:\"delete_private_posts\";s:22:\"delete_published_posts\";s:22:\"delete_published_posts\";s:19:\"delete_others_posts\";s:19:\"delete_others_posts\";s:18:\"edit_private_posts\";s:18:\"edit_private_posts\";s:20:\"edit_published_posts\";s:20:\"edit_published_posts\";s:12:\"create_posts\";s:10:\"edit_posts\";}s:7:\"rewrite\";a:5:{s:4:\"slug\";s:11:\"html5-blank\";s:10:\"with_front\";b:1;s:5:\"pages\";b:1;s:5:\"feeds\";b:1;s:7:\"ep_mask\";i:1;}s:12:\"show_in_rest\";b:0;s:9:\"rest_base\";b:0;s:21:\"rest_controller_class\";b:0;}}}i:2;i:1;i:3;d:1506801602.2243568897247314453125;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62868", "jpsq_sync-1506801602.227081-562191-25", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:18:\"post_type_features\";i:1;a:11:{s:4:\"post\";a:10:{s:5:\"title\";b:1;s:6:\"editor\";b:1;s:6:\"author\";b:1;s:9:\"thumbnail\";b:1;s:7:\"excerpt\";b:1;s:10:\"trackbacks\";b:1;s:13:\"custom-fields\";b:1;s:8:\"comments\";b:1;s:9:\"revisions\";b:1;s:12:\"post-formats\";b:1;}s:4:\"page\";a:8:{s:5:\"title\";b:1;s:6:\"editor\";b:1;s:6:\"author\";b:1;s:9:\"thumbnail\";b:1;s:15:\"page-attributes\";b:1;s:13:\"custom-fields\";b:1;s:8:\"comments\";b:1;s:9:\"revisions\";b:1;}s:10:\"attachment\";a:3:{s:5:\"title\";b:1;s:6:\"author\";b:1;s:8:\"comments\";b:1;}s:16:\"attachment:audio\";a:1:{s:9:\"thumbnail\";b:1;}s:16:\"attachment:video\";a:1:{s:9:\"thumbnail\";b:1;}s:8:\"revision\";a:1:{s:6:\"author\";b:1;}s:13:\"nav_menu_item\";a:2:{s:5:\"title\";b:1;s:6:\"editor\";b:1;}s:10:\"custom_css\";a:2:{s:5:\"title\";b:1;s:9:\"revisions\";b:1;}s:19:\"customize_changeset\";a:2:{s:5:\"title\";b:1;s:6:\"author\";b:1;}s:16:\"tablepress_table\";a:4:{s:5:\"title\";b:1;s:6:\"editor\";b:1;s:7:\"excerpt\";b:1;s:9:\"revisions\";b:1;}s:11:\"html5-blank\";a:4:{s:5:\"title\";b:1;s:6:\"editor\";b:1;s:7:\"excerpt\";b:1;s:9:\"thumbnail\";b:1;}}}i:2;i:1;i:3;d:1506801602.226934909820556640625;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62869", "jpsq_sync-1506801602.227814-562191-26", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:10:\"shortcodes\";i:1;a:12:{i:0;s:10:\"wp_caption\";i:1;s:7:\"caption\";i:2;s:7:\"gallery\";i:3;s:8:\"playlist\";i:4;s:5:\"audio\";i:5;s:5:\"video\";i:6;s:5:\"embed\";i:7;s:11:\"audioplayer\";i:8;s:16:\"wpseo_breadcrumb\";i:9;s:13:\"wpseo_sitemap\";i:10;s:20:\"html5_shortcode_demo\";i:11;s:22:\"html5_shortcode_demo_2\";}}i:2;i:1;i:3;d:1506801602.2277090549468994140625;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62870", "jpsq_sync-1506801602.228598-562191-27", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:27:\"rest_api_allowed_post_types\";i:1;a:3:{i:0;s:4:\"post\";i:1;s:4:\"page\";i:2;s:8:\"revision\";}}i:2;i:1;i:3;d:1506801602.2284929752349853515625;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62871", "jpsq_sync-1506801602.229116-562191-28", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:32:\"rest_api_allowed_public_metadata\";i:1;a:0:{}}i:2;i:1;i:3;d:1506801602.2290461063385009765625;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62872", "jpsq_sync-1506801602.229610-562191-29", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:24:\"sso_is_two_step_required\";i:1;b:0;}i:2;i:1;i:3;d:1506801602.2295420169830322265625;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62873", "jpsq_sync-1506801602.230001-562191-30", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:26:\"sso_should_hide_login_form\";i:1;b:0;}i:2;i:1;i:3;d:1506801602.2299358844757080078125;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62874", "jpsq_sync-1506801602.230888-562191-31", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:18:\"sso_match_by_email\";i:1;b:1;}i:2;i:1;i:3;d:1506801602.2308199405670166015625;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62875", "jpsq_sync-1506801602.231346-562191-32", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:21:\"sso_new_user_override\";i:1;b:0;}i:2;i:1;i:3;d:1506801602.2312800884246826171875;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62876", "jpsq_sync-1506801602.231752-562191-33", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:29:\"sso_bypass_default_login_form\";i:1;b:0;}i:2;i:1;i:3;d:1506801602.2316849231719970703125;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62877", "jpsq_sync-1506801602.232226-562191-34", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:10:\"wp_version\";i:1;s:5:\"4.8.2\";}i:2;i:1;i:3;d:1506801602.232160091400146484375;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62878", "jpsq_sync-1506801602.232746-562191-35", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:11:\"get_plugins\";i:1;a:13:{s:39:\"5sec-google-maps-pro/5sec-gmaps-pro.php\";a:11:{s:4:\"Name\";s:20:\"5sec Google Maps Pro\";s:9:\"PluginURI\";s:46:\"http://5sec-google-maps-pro.webfactoryltd.com/\";s:7:\"Version\";s:4:\"1.40\";s:11:\"Description\";s:65:\"Effortlessly include highly customizable Google Maps on any site.\";s:6:\"Author\";s:15:\"Web factory Ltd\";s:9:\"AuthorURI\";s:29:\"http://www.webfactoryltd.com/\";s:10:\"TextDomain\";s:6:\"wf_gmp\";s:10:\"DomainPath\";s:4:\"lang\";s:7:\"Network\";b:0;s:5:\"Title\";s:20:\"5sec Google Maps Pro\";s:10:\"AuthorName\";s:15:\"Web factory Ltd\";}s:36:\"contact-form-7/wp-contact-form-7.php\";a:11:{s:4:\"Name\";s:14:\"Contact Form 7\";s:9:\"PluginURI\";s:25:\"https://contactform7.com/\";s:7:\"Version\";s:3:\"4.9\";s:11:\"Description\";s:54:\"Just another contact form plugin. Simple but flexible.\";s:6:\"Author\";s:16:\"Takayuki Miyoshi\";s:9:\"AuthorURI\";s:31:\"https://ideasilo.wordpress.com/\";s:10:\"TextDomain\";s:14:\"contact-form-7\";s:10:\"DomainPath\";s:11:\"/languages/\";s:7:\"Network\";b:0;s:5:\"Title\";s:14:\"Contact Form 7\";s:10:\"AuthorName\";s:16:\"Takayuki Miyoshi\";}s:25:\"duplicator/duplicator.php\";a:11:{s:4:\"Name\";s:10:\"Duplicator\";s:9:\"PluginURI\";s:40:\"http://www.lifeinthegrid.com/duplicator/\";s:7:\"Version\";s:6:\"1.2.24\";s:11:\"Description\";s:127:\"Migrate and backup a copy of your WordPress files and database. Duplicate and move a site from one location to another quickly.\";s:6:\"Author\";s:10:\"Snap Creek\";s:9:\"AuthorURI\";s:36:\"http://www.snapcreek.com/duplicator/\";s:10:\"TextDomain\";s:10:\"duplicator\";s:10:\"DomainPath\";s:0:\"\";s:7:\"Network\";b:0;s:5:\"Title\";s:10:\"Duplicator\";s:10:\"AuthorName\";s:10:\"Snap Creek\";}s:31:\"store-locator/store-locator.php\";a:11:{s:4:\"Name\";s:35:\"Google Maps WordPress Store Locator\";s:9:\"PluginURI\";s:36:\"http://www.viadat.com/store-locator/\";s:7:\"Version\";s:5:\"3.100\";s:11:\"Description\";s:251:\"A full-featured map maker & location management interface for creating WordPress store locators and address location maps using Google Maps, featuring several addons & themes.  Manage a few or thousands of locations effortlessly with setup in minutes.\";s:6:\"Author\";s:16:\"Viadat Creations\";s:9:\"AuthorURI\";s:21:\"http://www.viadat.com\";s:10:\"TextDomain\";s:13:\"store-locator\";s:10:\"DomainPath\";s:20:\"/sl-admin/languages/\";s:7:\"Network\";b:0;s:5:\"Title\";s:35:\"Google Maps WordPress Store Locator\";s:10:\"AuthorName\";s:16:\"Viadat Creations\";}s:23:\"slider-image/slider.php\";a:11:{s:4:\"Name\";s:14:\"Huge IT Slider\";s:9:\"PluginURI\";s:25:\"http://huge-it.com/slider\";s:7:\"Version\";s:5:\"4.0.6\";s:11:\"Description\";s:266:\"Huge IT slider is a convenient tool for organizing the images represented on your website into sliders. Each product on the slider is assigned with a relevant slider, which makes it easier for the customers to search and identify the needed images within the slider.\";s:6:\"Author\";s:7:\"Huge-IT\";s:9:\"AuthorURI\";s:20:\"https://huge-it.com/\";s:10:\"TextDomain\";s:12:\"slider-image\";s:10:\"DomainPath\";s:0:\"\";s:7:\"Network\";b:0;s:5:\"Title\";s:14:\"Huge IT Slider\";s:10:\"AuthorName\";s:7:\"Huge-IT\";}s:19:\"jetpack/jetpack.php\";a:11:{s:4:\"Name\";s:24:\"Jetpack by WordPress.com\";s:9:\"PluginURI\";s:19:\"https://jetpack.com\";s:7:\"Version\";s:3:\"5.3\";s:11:\"Description\";s:199:\"Get everything you need to <strong>design, secure, and grow your WordPress site</strong>. Jetpack gives you free themes, image tools, related content, and site security, all in one convenient bundle.\";s:6:\"Author\";s:10:\"Automattic\";s:9:\"AuthorURI\";s:19:\"https://jetpack.com\";s:10:\"TextDomain\";s:7:\"jetpack\";s:10:\"DomainPath\";s:11:\"/languages/\";s:7:\"Network\";b:0;s:5:\"Title\";s:24:\"Jetpack by WordPress.com\";s:10:\"AuthorName\";s:10:\"Automattic\";}s:27:\"redirection/redirection.php\";a:11:{s:4:\"Name\";s:11:\"Redirection\";s:9:\"PluginURI\";s:44:\"http://urbangiraffe.com/plugins/redirection/\";s:7:\"Version\";s:5:\"2.7.3\";s:11:\"Description\";s:52:\"Manage all your 301 redirects and monitor 404 errors\";s:6:\"Author\";s:11:\"John Godley\";s:9:\"AuthorURI\";s:23:\"http://urbangiraffe.com\";s:10:\"TextDomain\";s:11:\"redirection\";s:10:\"DomainPath\";s:7:\"/locale\";s:7:\"Network\";b:0;s:5:\"Title\";s:11:\"Redirection\";s:10:\"AuthorName\";s:11:\"John Godley\";}s:33:\"seo-automatic-links/seo-links.php\";a:11:{s:4:\"Name\";s:15:\"SEO Smart Links\";s:9:\"PluginURI\";s:66:\"http://www.prelovac.com/vladimir/wordpress-plugins/seo-smart-links\";s:7:\"Version\";s:5:\"3.0.1\";s:11:\"Description\";s:122:\"SEO Smart Links provides automatic SEO benefits for your site in addition to custom keyword lists, nofollow and much more.\";s:6:\"Author\";s:17:\"Vladimir Prelovac\";s:9:\"AuthorURI\";s:32:\"http://www.prelovac.com/vladimir\";s:10:\"TextDomain\";s:19:\"seo-automatic-links\";s:10:\"DomainPath\";s:0:\"\";s:7:\"Network\";b:0;s:5:\"Title\";s:15:\"SEO Smart Links\";s:10:\"AuthorName\";s:17:\"Vladimir Prelovac\";}s:43:\"simple-audio-player/simple-audio-player.php\";a:11:{s:4:\"Name\";s:19:\"Simple Audio Player\";s:9:\"PluginURI\";s:47:\"http://www.beliefmedia.com/wp-plugins/audio.php\";s:7:\"Version\";s:3:\"0.2\";s:11:\"Description\";s:188:\"Displays the well known and highly configurable WP Audio Player with very simple shortcode. Fallback to (basic) browser HTML5 player if flash is not supported. Full details on our website.\";s:6:\"Author\";s:5:\"Marty\";s:9:\"AuthorURI\";s:76:\"http://www.internoetics.com/2010/12/14/wordpress-audio-player-and-shortcode/\";s:10:\"TextDomain\";s:19:\"simple-audio-player\";s:10:\"DomainPath\";s:0:\"\";s:7:\"Network\";b:0;s:5:\"Title\";s:19:\"Simple Audio Player\";s:10:\"AuthorName\";s:5:\"Marty\";}s:25:\"tablepress/tablepress.php\";a:11:{s:4:\"Name\";s:10:\"TablePress\";s:9:\"PluginURI\";s:23:\"https://tablepress.org/\";s:7:\"Version\";s:3:\"1.8\";s:11:\"Description\";s:96:\"Embed beautiful and feature-rich tables into your posts and pages, without having to write code.\";s:6:\"Author\";s:14:\"Tobias Bäthge\";s:9:\"AuthorURI\";s:27:\"https://tobias.baethge.com/\";s:10:\"TextDomain\";s:10:\"tablepress\";s:10:\"DomainPath\";s:5:\"/i18n\";s:7:\"Network\";b:0;s:5:\"Title\";s:10:\"TablePress\";s:10:\"AuthorName\";s:14:\"Tobias Bäthge\";}s:27:\"updraftplus/updraftplus.php\";a:11:{s:4:\"Name\";s:28:\"UpdraftPlus - Backup/Restore\";s:9:\"PluginURI\";s:23:\"https://updraftplus.com\";s:7:\"Version\";s:9:\"2.13.11.0\";s:11:\"Description\";s:147:\"Backup and restore: take backups locally, or backup to Amazon S3, Dropbox, Google Drive, Rackspace, (S)FTP, WebDAV & email, on automatic schedules.\";s:6:\"Author\";s:30:\"UpdraftPlus.Com, DavidAnderson\";s:9:\"AuthorURI\";s:23:\"https://updraftplus.com\";s:10:\"TextDomain\";s:11:\"updraftplus\";s:10:\"DomainPath\";s:10:\"/languages\";s:7:\"Network\";b:0;s:5:\"Title\";s:28:\"UpdraftPlus - Backup/Restore\";s:10:\"AuthorName\";s:30:\"UpdraftPlus.Com, DavidAnderson\";}s:27:\"wp-optimize/wp-optimize.php\";a:11:{s:4:\"Name\";s:11:\"WP-Optimize\";s:9:\"PluginURI\";s:22:\"http://updraftplus.com\";s:7:\"Version\";s:5:\"2.1.1\";s:11:\"Description\";s:148:\"WP-Optimize is WordPress\'s #1 most installed optimization plugin. With it, you can clean up your database easily and safely, without manual queries.\";s:6:\"Author\";s:42:\"David Anderson, Ruhani Rabin, Team Updraft\";s:9:\"AuthorURI\";s:23:\"https://updraftplus.com\";s:10:\"TextDomain\";s:11:\"wp-optimize\";s:10:\"DomainPath\";s:10:\"/languages\";s:7:\"Network\";b:0;s:5:\"Title\";s:11:\"WP-Optimize\";s:10:\"AuthorName\";s:42:\"David Anderson, Ruhani Rabin, Team Updraft\";}s:24:\"wordpress-seo/wp-seo.php\";a:11:{s:4:\"Name\";s:9:\"Yoast SEO\";s:9:\"PluginURI\";s:102:\"https://yoast.com/wordpress/plugins/seo/#utm_source=wpadmin&utm_medium=plugin&utm_campaign=wpseoplugin\";s:7:\"Version\";s:5:\"5.5.1\";s:11:\"Description\";s:117:\"The first true all-in-one SEO solution for WordPress, including on-page content analysis, XML sitemaps and much more.\";s:6:\"Author\";s:10:\"Team Yoast\";s:9:\"AuthorURI\";s:18:\"https://yoast.com/\";s:10:\"TextDomain\";s:13:\"wordpress-seo\";s:10:\"DomainPath\";s:11:\"/languages/\";s:7:\"Network\";b:0;s:5:\"Title\";s:9:\"Yoast SEO\";s:10:\"AuthorName\";s:10:\"Team Yoast\";}}}i:2;i:1;i:3;d:1506801602.232676982879638671875;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62879", "jpsq_sync-1506801602.234944-562191-36", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:14:\"active_modules\";i:1;a:0:{}}i:2;i:1;i:3;d:1506801602.234867095947265625;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62880", "jpsq_sync-1506801602.235356-562191-37", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:16:\"hosting_provider\";i:1;s:7:\"unknown\";}i:2;i:1;i:3;d:1506801602.2352879047393798828125;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62881", "jpsq_sync-1506801602.235763-562191-38", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:6:\"locale\";i:1;s:5:\"en_US\";}i:2;i:1;i:3;d:1506801602.2356970310211181640625;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62882", "jpsq_sync-1506801602.236162-562191-39", "a:6:{i:0;s:21:\"jetpack_sync_callable\";i:1;a:2:{i:0;s:13:\"site_icon_url\";i:1;b:0;}i:2;i:1;i:3;d:1506801602.236095905303955078125;i:4;b:0;i:5;a:13:{s:13:\"wpcom_user_id\";N;s:16:\"external_user_id\";i:1;s:12:\"display_name\";s:12:\"Buck\'s Pizza\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:10:\"user_roles\";a:1:{i:0;s:13:\"administrator\";}s:15:\"translated_role\";s:13:\"administrator\";s:7:\"is_cron\";b:0;s:7:\"is_rest\";b:0;s:9:\"is_xmlrpc\";b:0;s:10:\"is_wp_rest\";b:0;s:7:\"is_ajax\";b:0;s:2:\"ip\";s:13:\"73.174.20.240\";s:11:\"is_wp_admin\";b:1;}}", "no");
INSERT INTO `wp_options` VALUES("62883", "jetpack_callables_sync_checksum", "a:27:{s:18:\"wp_max_upload_size\";i:2450289511;s:15:\"is_main_network\";i:734881840;s:13:\"is_multi_site\";i:734881840;s:17:\"main_network_site\";i:213542938;s:8:\"site_url\";i:213542938;s:8:\"home_url\";i:213542938;s:16:\"single_user_site\";i:4261170317;s:7:\"updates\";i:3425443202;s:28:\"has_file_system_write_access\";i:4261170317;s:21:\"is_version_controlled\";i:734881840;s:10:\"taxonomies\";i:56159845;s:10:\"post_types\";i:2382302798;s:18:\"post_type_features\";i:3960675321;s:10:\"shortcodes\";i:742037563;s:27:\"rest_api_allowed_post_types\";i:503776097;s:32:\"rest_api_allowed_public_metadata\";i:223132457;s:24:\"sso_is_two_step_required\";i:734881840;s:26:\"sso_should_hide_login_form\";i:734881840;s:18:\"sso_match_by_email\";i:4261170317;s:21:\"sso_new_user_override\";i:734881840;s:29:\"sso_bypass_default_login_form\";i:734881840;s:10:\"wp_version\";i:453545252;s:11:\"get_plugins\";i:2699487139;s:14:\"active_modules\";i:223132457;s:16:\"hosting_provider\";i:769900095;s:6:\"locale\";i:110763218;s:13:\"site_icon_url\";i:734881840;}", "no");
INSERT INTO `wp_options` VALUES("62884", "jpsq_sync_checkout", "0:0", "no");
INSERT INTO `wp_options` VALUES("62887", "jetpack_next_sync_time_sync", "1506801662", "yes");
INSERT INTO `wp_options` VALUES("62888", "jetpack_next_sync_time_full-sync-enqueue", "1506801612", "yes");
INSERT INTO `wp_options` VALUES("62889", "wf_gmp", "a:9:{s:6:\"sc_map\";s:3:\"map\";s:6:\"sc_pin\";s:3:\"pin\";s:7:\"api_key\";s:0:\"\";s:14:\"include_jquery\";s:1:\"1\";s:17:\"include_gmaps_api\";s:1:\"1\";s:7:\"css_fix\";s:1:\"1\";s:9:\"load_maps\";s:1:\"1\";s:17:\"detect_visibility\";s:1:\"0\";s:14:\"gui_post_types\";a:2:{i:0;s:4:\"post\";i:1;s:4:\"page\";}}", "yes");
INSERT INTO `wp_options` VALUES("62894", "redirection_options", "a:16:{s:7:\"support\";b:0;s:5:\"token\";s:32:\"d55f8a0541a1815ecfd00cfffd3d8606\";s:12:\"monitor_post\";i:0;s:11:\"auto_target\";s:0:\"\";s:15:\"expire_redirect\";i:7;s:10:\"expire_404\";i:7;s:7:\"modules\";a:0:{}s:10:\"newsletter\";b:0;s:13:\"monitor_types\";a:0:{}s:19:\"associated_redirect\";s:0:\"\";s:14:\"redirect_cache\";i:1;s:10:\"ip_logging\";i:1;s:13:\"last_group_id\";i:0;s:8:\"rest_api\";b:0;s:5:\"https\";b:0;s:8:\"database\";s:5:\"2.3.3\";}", "yes");
INSERT INTO `wp_options` VALUES("62897", "wp-optimize-schedule", "false", "yes");
INSERT INTO `wp_options` VALUES("62898", "wp-optimize-last-optimized", "Never", "yes");
INSERT INTO `wp_options` VALUES("62899", "wp-optimize-schedule-type", "wpo_weekly", "yes");
INSERT INTO `wp_options` VALUES("62900", "wp-optimize-retention-enabled", "false", "yes");
INSERT INTO `wp_options` VALUES("62901", "wp-optimize-retention-period", "2", "yes");
INSERT INTO `wp_options` VALUES("62902", "wp-optimize-enable-admin-menu", "false", "yes");
INSERT INTO `wp_options` VALUES("62903", "wp-optimize-total-cleaned", "0", "yes");
INSERT INTO `wp_options` VALUES("62904", "wp-optimize-auto", "a:6:{s:6:\"drafts\";s:4:\"true\";s:9:\"transient\";s:5:\"false\";s:10:\"unapproved\";s:5:\"false\";s:5:\"spams\";s:4:\"true\";s:8:\"optimize\";s:5:\"false\";s:9:\"revisions\";s:4:\"true\";}", "yes");
INSERT INTO `wp_options` VALUES("62905", "wp-optimize-settings", "a:12:{s:13:\"user-postmeta\";s:5:\"false\";s:11:\"user-drafts\";s:4:\"true\";s:14:\"user-transient\";s:5:\"false\";s:15:\"user-unapproved\";s:4:\"true\";s:10:\"user-spams\";s:4:\"true\";s:13:\"user-optimize\";s:4:\"true\";s:14:\"user-revisions\";s:4:\"true\";s:14:\"user-pingbacks\";s:5:\"false\";s:16:\"user-commentmeta\";s:5:\"false\";s:15:\"user-orphandata\";s:5:\"false\";s:15:\"user-trackbacks\";s:5:\"false\";s:13:\"last_saved_in\";s:5:\"2.1.1\";}", "yes");
INSERT INTO `wp_options` VALUES("62906", "wpseo_flush_rewrite", "1", "yes");
INSERT INTO `wp_options` VALUES("63682", "wpseo_license_server_version", "2", "yes");
INSERT INTO `wp_options` VALUES("66902", "widget_media_gallery", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("67973", "gadwp_version", "5.3.10", "yes");
INSERT INTO `wp_options` VALUES("67974", "widget_gadwp-frontwidget-report", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("68471", "gadwp_got_updated", "1", "yes");
INSERT INTO `wp_options` VALUES("78386", "gadwp_options", "{\"switch_profile\":0,\"ga_event_tracking\":0,\"ga_event_downloads\":\"zip|mp3*|mpe*g|pdf|docx*|pptx*|xlsx*|rar*\",\"ga_target_geomap\":\"\",\"ga_realtime_pages\":10,\"ga_enhanced_links\":0,\"ga_speed_samplerate\":1,\"ga_user_samplerate\":100,\"ga_event_bouncerate\":0,\"ga_crossdomain_tracking\":0,\"ga_crossdomain_list\":\"\",\"ga_author_dimindex\":0,\"ga_category_dimindex\":0,\"ga_tag_dimindex\":0,\"ga_user_dimindex\":0,\"ga_pubyear_dimindex\":0,\"ga_pubyearmonth_dimindex\":0,\"ga_aff_tracking\":0,\"ga_event_affiliates\":\"\\/out\\/\",\"automatic_updates_minorversion\":\"1\",\"backend_item_reports\":1,\"frontend_item_reports\":0,\"dashboard_widget\":1,\"api_backoff\":0,\"ga_cookiedomain\":\"\",\"ga_cookiename\":\"\",\"ga_cookieexpires\":\"\",\"pagetitle_404\":\"Page Not Found\",\"maps_api_key\":\"\",\"tm_author_var\":0,\"tm_category_var\":0,\"tm_tag_var\":0,\"tm_user_var\":0,\"tm_pubyear_var\":0,\"tm_pubyearmonth_var\":0,\"web_containerid\":\"\",\"amp_containerid\":\"\",\"amp_tracking_tagmanager\":0,\"amp_tracking_analytics\":0,\"amp_tracking_clientidapi\":0,\"trackingcode_infooter\":0,\"trackingevents_infooter\":0,\"ecommerce_mode\":\"disabled\",\"ga_formsubmit_tracking\":0,\"optimize_tracking\":0,\"optimize_containerid\":\"\",\"optimize_pagehiding\":0,\"ga_pagescrolldepth_tracking\":0,\"tm_pagescrolldepth_tracking\":0,\"ga_event_precision\":0,\"ga_force_ssl\":0,\"ga_enhanced_excludesa\":0,\"ga_hash_tracking\":0,\"token\":\"{\\\"access_token\\\":\\\"ya29.ImG9B5vkzhkZPmmOaq7DI_o5nNV40XmK9AB9FKVgEn_qvgDf6iTJFChK_z5W_AitSsI7tpzNaBeEuYnggKcRWAiI_qzFeU7VLBi4wBY9h_q3tX5N0VVUwADRgLcZ3rV-0K5w\\\",\\\"expires_in\\\":3599,\\\"refresh_token\\\":\\\"1\\\\\\/s-gUn1x7fci-xZOA_3C4t37uPwEOXXdYLDxFiiuNXJaI1UIWeB_S6pGB1Nt-TNOt\\\",\\\"token_type\\\":\\\"Bearer\\\",\\\"created\\\":1581021603}\",\"client_id\":\"\",\"client_secret\":\"\",\"access_front\":[\"administrator\"],\"access_back\":[\"administrator\"],\"tableid_jail\":\"21744696\",\"tracking_type\":\"universal\",\"user_api\":0,\"network_mode\":0,\"ga_anonymize_ip\":0,\"ga_profiles_list\":[[\"buckspizza.com\",\"21744696\",\"UA-10778500-1\",\"http:\\/\\/buckspizza.com\",-18000,\"America\\/New_York\",null],[\"Penn State Dubois\",\"54059464\",\"UA-27784823-1\",\"http:\\/\\/www.ds.psu.edu\",-18000,\"America\\/New_York\",\"default.htm\"],[\"All Web Site Data\",\"88289943\",\"UA-27784823-2\",\"http:\\/\\/dubois.psu.edu\",-18000,\"America\\/New_York\",null],[\"External\",\"126076153\",\"UA-27784823-2\",\"http:\\/\\/dubois.psu.edu\",-18000,\"America\\/New_York\",null],[\"Internal Traffic\",\"146046952\",\"UA-27784823-2\",\"http:\\/\\/dubois.psu.edu\",-18000,\"America\\/New_York\",null],[\"Centre Mom\",\"61198399\",\"UA-32775732-1\",\"http:\\/\\/centremom.com\",-18000,\"America\\/New_York\",null],[\"Jeff Co Fair\",\"70344821\",\"UA-39405474-1\",\"http:\\/\\/jeffcofair.com\",-18000,\"America\\/New_York\",null],[\"All Web Site Data\",\"71011230\",\"UA-39903823-1\",\"http:\\/\\/concretebysam.com\",-18000,\"America\\/New_York\",null],[\"All Web Site Data\",\"72312330\",\"UA-40822097-1\",\"http:\\/\\/priorityfirstfcu.org\",-18000,\"America\\/New_York\",null],[\"All Web Site Data\",\"73368758\",\"UA-41623067-1\",\"http:\\/\\/duboisplus.com\",-18000,\"America\\/New_York\",null],[\"All Web Site Data\",\"79407399\",\"UA-45981943-1\",\"http:\\/\\/gantdaily.com\",-18000,\"America\\/New_York\",null],[\"All Web Site Data\",\"84043366\",\"UA-49452548-1\",\"http:\\/\\/gradwebs.com\",-18000,\"America\\/New_York\",null],[\"All Web Site Data\",\"84690706\",\"UA-49940603-1\",\"http:\\/\\/www.duboispa.gov\",-18000,\"America\\/New_York\",null],[\"3 Raw Data View\",\"90822334\",\"UA-54516992-1\",\"https:\\/\\/shop.googlemerchandisestore.com\",-28800,\"America\\/Los_Angeles\",\"home\"],[\"1 Master View\",\"92320289\",\"UA-54516992-1\",\"https:\\/\\/shop.googlemerchandisestore.com\",-28800,\"America\\/Los_Angeles\",\"home\"],[\"2 Test View\",\"92324711\",\"UA-54516992-1\",\"https:\\/\\/shop.googlemerchandisestore.com\",-28800,\"America\\/Los_Angeles\",\"home\"],[\"All Web Site Data\",\"96746213\",\"UA-58829963-1\",\"http:\\/\\/www.mscatscache.com\",-18000,\"America\\/New_York\",null],[\"All Web Site Data\",\"99163872\",\"UA-60633636-1\",\"http:\\/\\/www.driveforbarber.com\",-18000,\"America\\/New_York\",null],[\"All Web Site Data\",\"99658870\",\"UA-60997744-1\",\"http:\\/\\/www.mccloskeyhomes.com\",-18000,\"America\\/New_York\",null],[\"All Web Site Data\",\"100750448\",\"UA-61744099-1\",\"http:\\/\\/www.duboispolice.com\",-18000,\"America\\/New_York\",null],[\"All Web Site Data\",\"100745623\",\"UA-61761884-1\",\"http:\\/\\/www.ineedmagnus.com\",-18000,\"America\\/New_York\",null],[\"All Web Site Data\",\"100749531\",\"UA-61763598-1\",\"http:\\/\\/www.duboisfire.com\",-18000,\"America\\/New_York\",null],[\"All Web Site Data\",\"114872411\",\"UA-72466409-1\",\"http:\\/\\/www.abbottfurnace.com\",-18000,\"America\\/New_York\",null],[\"All Web Site Data\",\"117801851\",\"UA-74608632-1\",\"http:\\/\\/www.duboisairport.com\\/\",-28800,\"America\\/Los_Angeles\",null],[\"All Web Site Data\",\"125895703\",\"UA-80987303-1\",\"http:\\/\\/www.showersfield.com\",-18000,\"America\\/New_York\",null],[\"All Web Site Data\",\"140099820\",\"UA-91738416-1\",\"http:\\/\\/gigliottiandwalker.com\\/\",-18000,\"America\\/New_York\",null],[\"All Web Site Data\",\"140110610\",\"UA-91747207-1\",\"http:\\/\\/www.duboisdermatologyandcosmetics.com\\/\",-18000,\"America\\/New_York\",null],[\"All Web Site Data\",\"140132209\",\"UA-91767107-1\",\"http:\\/\\/www.livestockmarketingnetwork.com\\/\",-18000,\"America\\/New_York\",null],[\"All Web Site Data\",\"140137708\",\"UA-91772103-1\",\"http:\\/\\/dubrookinc.com\",-18000,\"America\\/New_York\",null],[\"All Web Site Data\",\"150386936\",\"UA-99138594-1\",\"http:\\/\\/dilullotransport.com\\/\",-18000,\"America\\/New_York\",null]],\"ga_remarketing\":0,\"superadmin_tracking\":0,\"track_exclude\":[],\"theme_color\":\"#1e73be\",\"with_endpoint\":2,\"backend_realtime_report\":0,\"ga_optout\":0,\"ga_dnt_optout\":0,\"ga_with_gtag\":0,\"tm_optout\":0,\"tm_dnt_optout\":0,\"usage_tracking\":0,\"hide_am_notices\":0,\"network_hide_am_notices\":0}", "yes");
INSERT INTO `wp_options` VALUES("81520", "_amn_exact-metrics_last_checked", "1555372800", "yes");
INSERT INTO `wp_options` VALUES("93857", "updraft_ftp", "a:2:{s:7:\"version\";i:1;s:8:\"settings\";a:1:{s:34:\"s-a2475fd3697691fd9b238cd6e813df0a\";a:5:{s:4:\"host\";s:0:\"\";s:4:\"user\";s:0:\"\";s:4:\"pass\";s:0:\"\";s:4:\"path\";s:0:\"\";s:7:\"passive\";i:1;}}}", "yes");
INSERT INTO `wp_options` VALUES("93858", "updraft_azure", "a:2:{s:7:\"version\";i:1;s:8:\"settings\";a:1:{s:34:\"s-04305ef45a433e4361b2455e1dcea2b9\";a:0:{}}}", "yes");
INSERT INTO `wp_options` VALUES("93859", "updraft_sftp", "a:2:{s:7:\"version\";i:1;s:8:\"settings\";a:1:{s:34:\"s-737c0dd8f8b57c122e07fcef22850f9f\";a:0:{}}}", "yes");
INSERT INTO `wp_options` VALUES("93860", "updraft_googlecloud", "a:2:{s:7:\"version\";i:1;s:8:\"settings\";a:1:{s:34:\"s-b0501d9f3eb70f73ff41e7f105c031ab\";a:0:{}}}", "yes");
INSERT INTO `wp_options` VALUES("93861", "updraft_backblaze", "a:2:{s:7:\"version\";i:1;s:8:\"settings\";a:1:{s:34:\"s-52b336d4987f9a6af2bdab92e1234d35\";a:0:{}}}", "yes");
INSERT INTO `wp_options` VALUES("93862", "updraft_webdav", "a:2:{s:7:\"version\";i:1;s:8:\"settings\";a:1:{s:34:\"s-ca4bc02a0c6f34773f796cce70ebc6f2\";a:0:{}}}", "yes");
INSERT INTO `wp_options` VALUES("93863", "updraft_dreamobjects", "a:2:{s:7:\"version\";i:1;s:8:\"settings\";a:1:{s:34:\"s-fdbd34a4c833698aa51292ce37454d96\";a:3:{s:9:\"accesskey\";s:0:\"\";s:9:\"secretkey\";s:0:\"\";s:4:\"path\";s:0:\"\";}}}", "yes");
INSERT INTO `wp_options` VALUES("98356", "leaflet_osm_cochrane%2C+Ontario", "O:8:\"stdClass\":2:{s:3:\"lat\";s:9:\"49.066668\";s:3:\"lng\";s:10:\"-81.017303\";}", "yes");
INSERT INTO `wp_options` VALUES("98357", "leaflet_geocoded_locations", "a:6:{i:0;s:31:\"leaflet_osm_cochrane%2C+Ontario\";i:1;s:20:\"leaflet_osm_Sayulita\";i:2;s:27:\"leaflet_osm_Puerto+Vallarta\";i:3;s:25:\"leaflet_osm_Halifax%2C+NS\";i:4;s:20:\"leaflet_osm_Tanzania\";i:5;s:21:\"leaflet_osm_las+vegas\";}", "yes");
INSERT INTO `wp_options` VALUES("98358", "leaflet_osm_Sayulita", "O:8:\"stdClass\":2:{s:3:\"lat\";s:10:\"20.8689257\";s:3:\"lng\";s:12:\"-105.4407022\";}", "yes");
INSERT INTO `wp_options` VALUES("98359", "leaflet_osm_Puerto+Vallarta", "O:8:\"stdClass\":2:{s:3:\"lat\";s:11:\"20.69820775\";s:3:\"lng\";s:17:\"-105.181524169965\";}", "yes");
INSERT INTO `wp_options` VALUES("98360", "leaflet_osm_Halifax%2C+NS", "O:8:\"stdClass\":2:{s:3:\"lat\";s:10:\"44.6486237\";s:3:\"lng\";s:11:\"-63.5859487\";}", "yes");
INSERT INTO `wp_options` VALUES("98361", "leaflet_osm_Tanzania", "O:8:\"stdClass\":2:{s:3:\"lat\";s:10:\"-6.5247123\";s:3:\"lng\";s:10:\"35.7878438\";}", "yes");
INSERT INTO `wp_options` VALUES("98362", "leaflet_osm_las+vegas", "O:8:\"stdClass\":2:{s:3:\"lat\";s:10:\"36.1662859\";s:3:\"lng\";s:11:\"-115.149225\";}", "yes");
INSERT INTO `wp_options` VALUES("98885", "Flip-Boxes-v", "1.2.2", "yes");
INSERT INTO `wp_options` VALUES("98886", "Flip-Boxes-type", "FREE", "yes");
INSERT INTO `wp_options` VALUES("98887", "Flip-Boxes-installDate", "2018-10-10 11:56:54", "yes");
INSERT INTO `wp_options` VALUES("98888", "Flip-Boxes-ratingDiv", "no", "yes");
INSERT INTO `wp_options` VALUES("100267", "leaflet_default_lat", "44.59046718130883", "yes");
INSERT INTO `wp_options` VALUES("100268", "leaflet_default_lng", "-63.28125000000001", "yes");
INSERT INTO `wp_options` VALUES("100269", "leaflet_default_zoom", "12", "yes");
INSERT INTO `wp_options` VALUES("100270", "leaflet_default_height", "250", "yes");
INSERT INTO `wp_options` VALUES("100271", "leaflet_default_width", "100%", "yes");
INSERT INTO `wp_options` VALUES("100272", "leaflet_fit_markers", "0", "yes");
INSERT INTO `wp_options` VALUES("100273", "leaflet_show_zoom_controls", "0", "yes");
INSERT INTO `wp_options` VALUES("100274", "leaflet_scroll_wheel_zoom", "0", "yes");
INSERT INTO `wp_options` VALUES("100275", "leaflet_double_click_zoom", "0", "yes");
INSERT INTO `wp_options` VALUES("100276", "leaflet_default_min_zoom", "0", "yes");
INSERT INTO `wp_options` VALUES("100277", "leaflet_default_max_zoom", "20", "yes");
INSERT INTO `wp_options` VALUES("100278", "leaflet_default_tiling_service", "other", "yes");
INSERT INTO `wp_options` VALUES("100279", "leaflet_mapquest_appkey", "Supply an app key if you choose MapQuest", "yes");
INSERT INTO `wp_options` VALUES("100280", "leaflet_map_tile_url", "https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png", "yes");
INSERT INTO `wp_options` VALUES("100281", "leaflet_map_tile_url_subdomains", "abc", "yes");
INSERT INTO `wp_options` VALUES("100282", "leaflet_js_url", "https://unpkg.com/leaflet@1.3.4/dist/leaflet.js", "yes");
INSERT INTO `wp_options` VALUES("100283", "leaflet_css_url", "https://unpkg.com/leaflet@1.3.4/dist/leaflet.css", "yes");
INSERT INTO `wp_options` VALUES("100284", "leaflet_default_attribution", "<a href=\"http://leafletjs.com\" title=\"A JS library for interactive maps\">Leaflet</a>; \\r\\n© <a href=\"http://www.openstreetmap.org/copyright\">OpenStreetMap</a> contributors", "yes");
INSERT INTO `wp_options` VALUES("100285", "leaflet_geocoder", "osm", "yes");
INSERT INTO `wp_options` VALUES("101066", "wp-optimize-corrupted-tables-count", "0", "yes");
INSERT INTO `wp_options` VALUES("104922", "wp_page_for_privacy_policy", "0", "yes");
INSERT INTO `wp_options` VALUES("104923", "show_comments_cookies_opt_in", "0", "yes");
INSERT INTO `wp_options` VALUES("117540", "wpseo_upgrade_history", "a:3:{i:1554200578;a:3:{s:7:\"options\";a:4:{s:5:\"wpseo\";a:20:{s:15:\"ms_defaults_set\";b:0;s:7:\"version\";s:6:\"10.0.1\";s:20:\"disableadvanced_meta\";b:1;s:19:\"onpage_indexability\";b:1;s:11:\"baiduverify\";s:0:\"\";s:12:\"googleverify\";s:43:\"oBVkG7rBjcLmapIH5ubqfHlX6yJZY2jLnJXPkI466xU\";s:8:\"msverify\";s:32:\"F3B9249C061C3127DA20AA8CC8E37294\";s:12:\"yandexverify\";s:0:\"\";s:9:\"site_type\";s:0:\"\";s:20:\"has_multiple_authors\";b:0;s:16:\"environment_type\";s:0:\"\";s:23:\"content_analysis_active\";b:1;s:23:\"keyword_analysis_active\";b:1;s:21:\"enable_admin_bar_menu\";b:1;s:26:\"enable_cornerstone_content\";b:1;s:18:\"enable_xml_sitemap\";b:1;s:24:\"enable_text_link_counter\";b:1;s:22:\"show_onboarding_notice\";b:0;s:18:\"first_activated_on\";i:1474971761;s:13:\"myyoast-oauth\";a:2:{s:6:\"config\";a:2:{s:8:\"clientId\";N;s:6:\"secret\";N;}s:13:\"access_tokens\";a:0:{}}}s:12:\"wpseo_social\";a:17:{s:13:\"facebook_site\";s:0:\"\";s:13:\"instagram_url\";s:0:\"\";s:12:\"linkedin_url\";s:0:\"\";s:11:\"myspace_url\";s:0:\"\";s:16:\"og_default_image\";s:0:\"\";s:18:\"og_frontpage_title\";s:0:\"\";s:17:\"og_frontpage_desc\";s:0:\"\";s:18:\"og_frontpage_image\";s:0:\"\";s:9:\"opengraph\";b:1;s:13:\"pinterest_url\";s:0:\"\";s:15:\"pinterestverify\";s:0:\"\";s:14:\"plus-publisher\";s:0:\"\";s:7:\"twitter\";b:1;s:12:\"twitter_site\";s:0:\"\";s:17:\"twitter_card_type\";s:7:\"summary\";s:11:\"youtube_url\";s:0:\"\";s:15:\"google_plus_url\";s:0:\"\";}s:19:\"wpseo_taxonomy_meta\";a:0:{}s:12:\"wpseo_titles\";a:75:{s:10:\"title_test\";i:0;s:17:\"forcerewritetitle\";b:0;s:9:\"separator\";s:7:\"sc-dash\";s:16:\"title-home-wpseo\";s:42:\"%%sitename%% %%page%% %%sep%% %%sitedesc%%\";s:18:\"title-author-wpseo\";s:41:\"%%name%%, Author at %%sitename%% %%page%%\";s:19:\"title-archive-wpseo\";s:38:\"%%date%% %%page%% %%sep%% %%sitename%%\";s:18:\"title-search-wpseo\";s:63:\"You searched for %%searchphrase%% %%page%% %%sep%% %%sitename%%\";s:15:\"title-404-wpseo\";s:35:\"Page not found %%sep%% %%sitename%%\";s:19:\"metadesc-home-wpseo\";s:0:\"\";s:21:\"metadesc-author-wpseo\";s:0:\"\";s:22:\"metadesc-archive-wpseo\";s:0:\"\";s:9:\"rssbefore\";s:0:\"\";s:8:\"rssafter\";s:53:\"The post %%POSTLINK%% appeared first on %%BLOGLINK%%.\";s:20:\"noindex-author-wpseo\";b:0;s:28:\"noindex-author-noposts-wpseo\";b:1;s:21:\"noindex-archive-wpseo\";b:1;s:14:\"disable-author\";b:0;s:12:\"disable-date\";b:0;s:19:\"disable-post_format\";b:0;s:18:\"disable-attachment\";b:0;s:23:\"is-media-purge-relevant\";b:1;s:20:\"breadcrumbs-404crumb\";s:25:\"Error 404: Page not found\";s:29:\"breadcrumbs-display-blog-page\";b:1;s:20:\"breadcrumbs-boldlast\";b:0;s:25:\"breadcrumbs-archiveprefix\";s:12:\"Archives for\";s:18:\"breadcrumbs-enable\";b:0;s:16:\"breadcrumbs-home\";s:4:\"Home\";s:18:\"breadcrumbs-prefix\";s:0:\"\";s:24:\"breadcrumbs-searchprefix\";s:16:\"You searched for\";s:15:\"breadcrumbs-sep\";s:7:\"&raquo;\";s:12:\"website_name\";s:0:\"\";s:11:\"person_name\";s:0:\"\";s:22:\"alternate_website_name\";s:0:\"\";s:12:\"company_logo\";s:0:\"\";s:12:\"company_name\";s:0:\"\";s:17:\"company_or_person\";s:0:\"\";s:17:\"stripcategorybase\";b:0;s:10:\"title-post\";s:9:\"%%title%%\";s:13:\"metadesc-post\";s:0:\"\";s:12:\"noindex-post\";b:0;s:13:\"showdate-post\";b:0;s:23:\"display-metabox-pt-post\";b:1;s:10:\"title-page\";s:9:\"%%title%%\";s:13:\"metadesc-page\";s:0:\"\";s:12:\"noindex-page\";b:0;s:13:\"showdate-page\";b:0;s:23:\"display-metabox-pt-page\";b:1;s:16:\"title-attachment\";s:9:\"%%title%%\";s:19:\"metadesc-attachment\";s:0:\"\";s:18:\"noindex-attachment\";b:0;s:19:\"showdate-attachment\";b:0;s:29:\"display-metabox-pt-attachment\";b:1;s:18:\"title-tax-category\";s:53:\"%%term_title%% Archives %%page%% %%sep%% %%sitename%%\";s:21:\"metadesc-tax-category\";s:0:\"\";s:28:\"display-metabox-tax-category\";b:1;s:20:\"noindex-tax-category\";b:0;s:18:\"title-tax-post_tag\";s:53:\"%%term_title%% Archives %%page%% %%sep%% %%sitename%%\";s:21:\"metadesc-tax-post_tag\";s:0:\"\";s:28:\"display-metabox-tax-post_tag\";b:1;s:20:\"noindex-tax-post_tag\";b:0;s:21:\"title-tax-post_format\";s:53:\"%%term_title%% Archives %%page%% %%sep%% %%sitename%%\";s:24:\"metadesc-tax-post_format\";s:0:\"\";s:31:\"display-metabox-tax-post_format\";b:1;s:23:\"noindex-tax-post_format\";b:1;s:23:\"post_types-post-maintax\";i:0;s:22:\"noindex-subpages-wpseo\";b:0;s:17:\"title-html5-blank\";s:9:\"%%title%%\";s:20:\"metadesc-html5-blank\";s:0:\"\";s:19:\"noindex-html5-blank\";b:0;s:20:\"showdate-html5-blank\";b:0;s:27:\"title-ptarchive-html5-blank\";s:51:\"%%pt_plural%% Archive %%page%% %%sep%% %%sitename%%\";s:30:\"metadesc-ptarchive-html5-blank\";s:0:\"\";s:29:\"bctitle-ptarchive-html5-blank\";s:0:\"\";s:29:\"noindex-ptarchive-html5-blank\";b:0;s:30:\"post_types-html5-blank-maintax\";i:0;}}s:11:\"old_version\";s:6:\"10.0.1\";s:11:\"new_version\";s:4:\"10.1\";}i:1554243718;a:3:{s:7:\"options\";a:4:{s:5:\"wpseo\";a:20:{s:15:\"ms_defaults_set\";b:0;s:7:\"version\";s:4:\"10.1\";s:20:\"disableadvanced_meta\";b:1;s:19:\"onpage_indexability\";b:1;s:11:\"baiduverify\";s:0:\"\";s:12:\"googleverify\";s:43:\"oBVkG7rBjcLmapIH5ubqfHlX6yJZY2jLnJXPkI466xU\";s:8:\"msverify\";s:32:\"F3B9249C061C3127DA20AA8CC8E37294\";s:12:\"yandexverify\";s:0:\"\";s:9:\"site_type\";s:0:\"\";s:20:\"has_multiple_authors\";b:0;s:16:\"environment_type\";s:0:\"\";s:23:\"content_analysis_active\";b:1;s:23:\"keyword_analysis_active\";b:1;s:21:\"enable_admin_bar_menu\";b:1;s:26:\"enable_cornerstone_content\";b:1;s:18:\"enable_xml_sitemap\";b:1;s:24:\"enable_text_link_counter\";b:1;s:22:\"show_onboarding_notice\";b:0;s:18:\"first_activated_on\";i:1474971761;s:13:\"myyoast-oauth\";b:0;}s:12:\"wpseo_social\";a:17:{s:13:\"facebook_site\";s:0:\"\";s:13:\"instagram_url\";s:0:\"\";s:12:\"linkedin_url\";s:0:\"\";s:11:\"myspace_url\";s:0:\"\";s:16:\"og_default_image\";s:0:\"\";s:18:\"og_frontpage_title\";s:0:\"\";s:17:\"og_frontpage_desc\";s:0:\"\";s:18:\"og_frontpage_image\";s:0:\"\";s:9:\"opengraph\";b:1;s:13:\"pinterest_url\";s:0:\"\";s:15:\"pinterestverify\";s:0:\"\";s:14:\"plus-publisher\";s:0:\"\";s:7:\"twitter\";b:1;s:12:\"twitter_site\";s:0:\"\";s:17:\"twitter_card_type\";s:7:\"summary\";s:11:\"youtube_url\";s:0:\"\";s:15:\"google_plus_url\";s:0:\"\";}s:19:\"wpseo_taxonomy_meta\";a:0:{}s:12:\"wpseo_titles\";a:75:{s:10:\"title_test\";i:0;s:17:\"forcerewritetitle\";b:0;s:9:\"separator\";s:7:\"sc-dash\";s:16:\"title-home-wpseo\";s:42:\"%%sitename%% %%page%% %%sep%% %%sitedesc%%\";s:18:\"title-author-wpseo\";s:41:\"%%name%%, Author at %%sitename%% %%page%%\";s:19:\"title-archive-wpseo\";s:38:\"%%date%% %%page%% %%sep%% %%sitename%%\";s:18:\"title-search-wpseo\";s:63:\"You searched for %%searchphrase%% %%page%% %%sep%% %%sitename%%\";s:15:\"title-404-wpseo\";s:35:\"Page not found %%sep%% %%sitename%%\";s:19:\"metadesc-home-wpseo\";s:0:\"\";s:21:\"metadesc-author-wpseo\";s:0:\"\";s:22:\"metadesc-archive-wpseo\";s:0:\"\";s:9:\"rssbefore\";s:0:\"\";s:8:\"rssafter\";s:53:\"The post %%POSTLINK%% appeared first on %%BLOGLINK%%.\";s:20:\"noindex-author-wpseo\";b:0;s:28:\"noindex-author-noposts-wpseo\";b:1;s:21:\"noindex-archive-wpseo\";b:1;s:14:\"disable-author\";b:0;s:12:\"disable-date\";b:0;s:19:\"disable-post_format\";b:0;s:18:\"disable-attachment\";b:0;s:23:\"is-media-purge-relevant\";b:1;s:20:\"breadcrumbs-404crumb\";s:25:\"Error 404: Page not found\";s:29:\"breadcrumbs-display-blog-page\";b:1;s:20:\"breadcrumbs-boldlast\";b:0;s:25:\"breadcrumbs-archiveprefix\";s:12:\"Archives for\";s:18:\"breadcrumbs-enable\";b:0;s:16:\"breadcrumbs-home\";s:4:\"Home\";s:18:\"breadcrumbs-prefix\";s:0:\"\";s:24:\"breadcrumbs-searchprefix\";s:16:\"You searched for\";s:15:\"breadcrumbs-sep\";s:7:\"&raquo;\";s:12:\"website_name\";s:0:\"\";s:11:\"person_name\";s:0:\"\";s:22:\"alternate_website_name\";s:0:\"\";s:12:\"company_logo\";s:0:\"\";s:12:\"company_name\";s:0:\"\";s:17:\"company_or_person\";s:0:\"\";s:17:\"stripcategorybase\";b:0;s:10:\"title-post\";s:9:\"%%title%%\";s:13:\"metadesc-post\";s:0:\"\";s:12:\"noindex-post\";b:0;s:13:\"showdate-post\";b:0;s:23:\"display-metabox-pt-post\";b:1;s:10:\"title-page\";s:9:\"%%title%%\";s:13:\"metadesc-page\";s:0:\"\";s:12:\"noindex-page\";b:0;s:13:\"showdate-page\";b:0;s:23:\"display-metabox-pt-page\";b:1;s:16:\"title-attachment\";s:9:\"%%title%%\";s:19:\"metadesc-attachment\";s:0:\"\";s:18:\"noindex-attachment\";b:0;s:19:\"showdate-attachment\";b:0;s:29:\"display-metabox-pt-attachment\";b:1;s:18:\"title-tax-category\";s:53:\"%%term_title%% Archives %%page%% %%sep%% %%sitename%%\";s:21:\"metadesc-tax-category\";s:0:\"\";s:28:\"display-metabox-tax-category\";b:1;s:20:\"noindex-tax-category\";b:0;s:18:\"title-tax-post_tag\";s:53:\"%%term_title%% Archives %%page%% %%sep%% %%sitename%%\";s:21:\"metadesc-tax-post_tag\";s:0:\"\";s:28:\"display-metabox-tax-post_tag\";b:1;s:20:\"noindex-tax-post_tag\";b:0;s:21:\"title-tax-post_format\";s:53:\"%%term_title%% Archives %%page%% %%sep%% %%sitename%%\";s:24:\"metadesc-tax-post_format\";s:0:\"\";s:31:\"display-metabox-tax-post_format\";b:1;s:23:\"noindex-tax-post_format\";b:1;s:23:\"post_types-post-maintax\";i:0;s:22:\"noindex-subpages-wpseo\";b:0;s:17:\"title-html5-blank\";s:9:\"%%title%%\";s:20:\"metadesc-html5-blank\";s:0:\"\";s:19:\"noindex-html5-blank\";b:0;s:20:\"showdate-html5-blank\";b:0;s:27:\"title-ptarchive-html5-blank\";s:51:\"%%pt_plural%% Archive %%page%% %%sep%% %%sitename%%\";s:30:\"metadesc-ptarchive-html5-blank\";s:0:\"\";s:29:\"bctitle-ptarchive-html5-blank\";s:0:\"\";s:29:\"noindex-ptarchive-html5-blank\";b:0;s:30:\"post_types-html5-blank-maintax\";i:0;}}s:11:\"old_version\";s:4:\"10.1\";s:11:\"new_version\";s:6:\"10.1.1\";}i:1554287143;a:3:{s:7:\"options\";a:4:{s:5:\"wpseo\";a:20:{s:15:\"ms_defaults_set\";b:0;s:7:\"version\";s:6:\"10.1.1\";s:20:\"disableadvanced_meta\";b:1;s:19:\"onpage_indexability\";b:1;s:11:\"baiduverify\";s:0:\"\";s:12:\"googleverify\";s:43:\"oBVkG7rBjcLmapIH5ubqfHlX6yJZY2jLnJXPkI466xU\";s:8:\"msverify\";s:32:\"F3B9249C061C3127DA20AA8CC8E37294\";s:12:\"yandexverify\";s:0:\"\";s:9:\"site_type\";s:0:\"\";s:20:\"has_multiple_authors\";b:0;s:16:\"environment_type\";s:0:\"\";s:23:\"content_analysis_active\";b:1;s:23:\"keyword_analysis_active\";b:1;s:21:\"enable_admin_bar_menu\";b:1;s:26:\"enable_cornerstone_content\";b:1;s:18:\"enable_xml_sitemap\";b:1;s:24:\"enable_text_link_counter\";b:1;s:22:\"show_onboarding_notice\";b:0;s:18:\"first_activated_on\";i:1474971761;s:13:\"myyoast-oauth\";b:0;}s:12:\"wpseo_social\";a:17:{s:13:\"facebook_site\";s:0:\"\";s:13:\"instagram_url\";s:0:\"\";s:12:\"linkedin_url\";s:0:\"\";s:11:\"myspace_url\";s:0:\"\";s:16:\"og_default_image\";s:0:\"\";s:18:\"og_frontpage_title\";s:0:\"\";s:17:\"og_frontpage_desc\";s:0:\"\";s:18:\"og_frontpage_image\";s:0:\"\";s:9:\"opengraph\";b:1;s:13:\"pinterest_url\";s:0:\"\";s:15:\"pinterestverify\";s:0:\"\";s:14:\"plus-publisher\";s:0:\"\";s:7:\"twitter\";b:1;s:12:\"twitter_site\";s:0:\"\";s:17:\"twitter_card_type\";s:7:\"summary\";s:11:\"youtube_url\";s:0:\"\";s:15:\"google_plus_url\";s:0:\"\";}s:19:\"wpseo_taxonomy_meta\";a:0:{}s:12:\"wpseo_titles\";a:75:{s:10:\"title_test\";i:0;s:17:\"forcerewritetitle\";b:0;s:9:\"separator\";s:7:\"sc-dash\";s:16:\"title-home-wpseo\";s:42:\"%%sitename%% %%page%% %%sep%% %%sitedesc%%\";s:18:\"title-author-wpseo\";s:41:\"%%name%%, Author at %%sitename%% %%page%%\";s:19:\"title-archive-wpseo\";s:38:\"%%date%% %%page%% %%sep%% %%sitename%%\";s:18:\"title-search-wpseo\";s:63:\"You searched for %%searchphrase%% %%page%% %%sep%% %%sitename%%\";s:15:\"title-404-wpseo\";s:35:\"Page not found %%sep%% %%sitename%%\";s:19:\"metadesc-home-wpseo\";s:0:\"\";s:21:\"metadesc-author-wpseo\";s:0:\"\";s:22:\"metadesc-archive-wpseo\";s:0:\"\";s:9:\"rssbefore\";s:0:\"\";s:8:\"rssafter\";s:53:\"The post %%POSTLINK%% appeared first on %%BLOGLINK%%.\";s:20:\"noindex-author-wpseo\";b:0;s:28:\"noindex-author-noposts-wpseo\";b:1;s:21:\"noindex-archive-wpseo\";b:1;s:14:\"disable-author\";b:0;s:12:\"disable-date\";b:0;s:19:\"disable-post_format\";b:0;s:18:\"disable-attachment\";b:0;s:23:\"is-media-purge-relevant\";b:1;s:20:\"breadcrumbs-404crumb\";s:25:\"Error 404: Page not found\";s:29:\"breadcrumbs-display-blog-page\";b:1;s:20:\"breadcrumbs-boldlast\";b:0;s:25:\"breadcrumbs-archiveprefix\";s:12:\"Archives for\";s:18:\"breadcrumbs-enable\";b:0;s:16:\"breadcrumbs-home\";s:4:\"Home\";s:18:\"breadcrumbs-prefix\";s:0:\"\";s:24:\"breadcrumbs-searchprefix\";s:16:\"You searched for\";s:15:\"breadcrumbs-sep\";s:7:\"&raquo;\";s:12:\"website_name\";s:0:\"\";s:11:\"person_name\";s:0:\"\";s:22:\"alternate_website_name\";s:0:\"\";s:12:\"company_logo\";s:0:\"\";s:12:\"company_name\";s:0:\"\";s:17:\"company_or_person\";s:0:\"\";s:17:\"stripcategorybase\";b:0;s:10:\"title-post\";s:9:\"%%title%%\";s:13:\"metadesc-post\";s:0:\"\";s:12:\"noindex-post\";b:0;s:13:\"showdate-post\";b:0;s:23:\"display-metabox-pt-post\";b:1;s:10:\"title-page\";s:9:\"%%title%%\";s:13:\"metadesc-page\";s:0:\"\";s:12:\"noindex-page\";b:0;s:13:\"showdate-page\";b:0;s:23:\"display-metabox-pt-page\";b:1;s:16:\"title-attachment\";s:9:\"%%title%%\";s:19:\"metadesc-attachment\";s:0:\"\";s:18:\"noindex-attachment\";b:0;s:19:\"showdate-attachment\";b:0;s:29:\"display-metabox-pt-attachment\";b:1;s:18:\"title-tax-category\";s:53:\"%%term_title%% Archives %%page%% %%sep%% %%sitename%%\";s:21:\"metadesc-tax-category\";s:0:\"\";s:28:\"display-metabox-tax-category\";b:1;s:20:\"noindex-tax-category\";b:0;s:18:\"title-tax-post_tag\";s:53:\"%%term_title%% Archives %%page%% %%sep%% %%sitename%%\";s:21:\"metadesc-tax-post_tag\";s:0:\"\";s:28:\"display-metabox-tax-post_tag\";b:1;s:20:\"noindex-tax-post_tag\";b:0;s:21:\"title-tax-post_format\";s:53:\"%%term_title%% Archives %%page%% %%sep%% %%sitename%%\";s:24:\"metadesc-tax-post_format\";s:0:\"\";s:31:\"display-metabox-tax-post_format\";b:1;s:23:\"noindex-tax-post_format\";b:1;s:23:\"post_types-post-maintax\";i:0;s:22:\"noindex-subpages-wpseo\";b:0;s:17:\"title-html5-blank\";s:9:\"%%title%%\";s:20:\"metadesc-html5-blank\";s:0:\"\";s:19:\"noindex-html5-blank\";b:0;s:20:\"showdate-html5-blank\";b:0;s:27:\"title-ptarchive-html5-blank\";s:51:\"%%pt_plural%% Archive %%page%% %%sep%% %%sitename%%\";s:30:\"metadesc-ptarchive-html5-blank\";s:0:\"\";s:29:\"bctitle-ptarchive-html5-blank\";s:0:\"\";s:29:\"noindex-ptarchive-html5-blank\";b:0;s:30:\"post_types-html5-blank-maintax\";i:0;}}s:11:\"old_version\";s:6:\"10.1.1\";s:11:\"new_version\";s:6:\"10.1.2\";}}", "no");
INSERT INTO `wp_options` VALUES("118646", "updraft_task_manager_dbversion", "1.1", "yes");
INSERT INTO `wp_options` VALUES("120467", "_amn_exact-metrics_to_check", "1581802957", "yes");
INSERT INTO `wp_options` VALUES("121409", "jetpack_ab_connect_banner_green_bar", "a", "yes");
INSERT INTO `wp_options` VALUES("122621", "updraft_remotesites", "", "yes");
INSERT INTO `wp_options` VALUES("122622", "updraft_migrator_localkeys", "", "yes");
INSERT INTO `wp_options` VALUES("122623", "updraft_central_localkeys", "", "yes");
INSERT INTO `wp_options` VALUES("122629", "theme_mods_twentynineteen", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:6:\"menu-1\";i:2;}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1558461294;s:4:\"data\";a:2:{s:19:\"wp_inactive_widgets\";a:1:{i:0;s:6:\"text-2\";}s:9:\"sidebar-1\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("122639", "theme_mods_spartan-framework1", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:6:\"menu-1\";i:2;}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1558461289;s:4:\"data\";a:3:{s:19:\"wp_inactive_widgets\";a:1:{i:0;s:6:\"text-2\";}s:13:\"widget-area-1\";a:0:{}s:13:\"widget-area-2\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("138287", "wpo_cache_config", "a:15:{s:19:\"enable_page_caching\";b:0;s:23:\"page_cache_length_value\";i:24;s:22:\"page_cache_length_unit\";s:5:\"hours\";s:17:\"page_cache_length\";i:86400;s:20:\"cache_exception_urls\";a:0:{}s:23:\"cache_exception_cookies\";a:0:{}s:30:\"cache_exception_browser_agents\";a:0:{}s:22:\"enable_sitemap_preload\";b:0;s:23:\"enable_schedule_preload\";b:0;s:21:\"preload_schedule_type\";s:0:\"\";s:21:\"enable_mobile_caching\";b:0;s:19:\"enable_user_caching\";b:0;s:8:\"site_url\";s:22:\"http://buckspizza.com/\";s:17:\"wpo_cache_cookies\";a:0:{}s:25:\"wpo_cache_query_variables\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("138288", "widget_total_soft_poll", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("138293", "qmn_original_version", "6.3.2", "yes");
INSERT INTO `wp_options` VALUES("138294", "qmn-settings", "a:1:{s:24:\"results_details_template\";s:565:\"<h2>Quiz Results for %QUIZ_NAME%</h2>\n     		<p>%CONTACT_ALL%</p>\n     		<p>Name Provided: %USER_NAME%</p>\n     		<p>Business Provided: %USER_BUSINESS%</p>\n     		<p>Phone Provided: %USER_PHONE%</p>\n     		<p>Email Provided: %USER_EMAIL%</p>\n     		<p>Score Received: %AMOUNT_CORRECT%/%TOTAL_QUESTIONS% or %CORRECT_SCORE%% or %POINT_SCORE% points</p>\n     		<h2>Answers Provided:</h2>\n     		<p>The user took %TIMER% to complete quiz.</p>\n     		<p>Comments entered were: %COMMENT_SECTION%</p>\n     		<p>The answers were as follows:</p>\n         %QUESTIONS_ANSWERS%\";}", "yes");
INSERT INTO `wp_options` VALUES("138295", "mlw_quiz_master_version", "6.3.2", "yes");
INSERT INTO `wp_options` VALUES("138296", "mlw_advert_shows", "true", "yes");
INSERT INTO `wp_options` VALUES("138297", "qmn_review_message_trigger", "20", "yes");
INSERT INTO `wp_options` VALUES("138315", "widget_opinionstage_widget", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("138316", "oswp_message_last_call_time", "1586886850", "yes");
INSERT INTO `wp_options` VALUES("138322", "opinionstage_widget", "a:10:{s:3:\"uid\";i:0;s:5:\"email\";s:22:\"justin@ineedmagnus.com\";s:6:\"fly_id\";i:3752419;s:20:\"article_placement_id\";i:3752421;s:20:\"sidebar_placement_id\";i:3752420;s:7:\"version\";s:7:\"19.6.35\";s:14:\"fly_out_active\";s:5:\"false\";s:24:\"article_placement_active\";s:5:\"false\";s:24:\"sidebar_placement_active\";s:5:\"false\";s:5:\"token\";s:20:\"fa143bda13d768018030\";}", "yes");
INSERT INTO `wp_options` VALUES("141903", "wp-optimize-install-or-update-notice-version", "1.0", "yes");
INSERT INTO `wp_options` VALUES("147527", "theme_mods_spartan-framework", "a:3:{s:18:\"custom_css_post_id\";i:-1;s:18:\"nav_menu_locations\";a:1:{s:11:\"header-menu\";i:2;}s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1578164868;s:4:\"data\";a:3:{s:19:\"wp_inactive_widgets\";a:0:{}s:13:\"widget-area-1\";a:1:{i:0;s:6:\"text-2\";}s:13:\"widget-area-2\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("147529", "theme_switched_via_customizer", "", "yes");
INSERT INTO `wp_options` VALUES("147530", "customize_stashed_theme_mods", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("147543", "widget_reveal-template", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("147551", "string-locator-search-overview", "s:247:\"O:8:\"stdClass\":5:{s:9:\"scan_path\";O:8:\"stdClass\":3:{s:4:\"path\";s:30:\"/home1/joshbenton/public_html/\";s:4:\"type\";s:4:\"core\";s:4:\"slug\";s:0:\"\";}s:6:\"search\";s:14:\"clearfieldshow\";s:9:\"directory\";s:4:\"core\";s:6:\"chunks\";i:28;s:5:\"regex\";s:5:\"false\";}\";", "yes");
INSERT INTO `wp_options` VALUES("147552", "string-locator-search-history", "s:10083:\"a:8:{i:0;a:7:{s:2:\"ID\";i:1;s:7:\"linenum\";i:997;s:4:\"path\";s:111:\"/home1/joshbenton/public_html/wp-snapshots/20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\";s:8:\"filename\";s:457:\"<a href=\"http://buckspizza.com/wp-admin/tools.php?page=string-locator&#038;edit-file=20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql&#038;file-reference=&#038;file-type=core&#038;string-locator-line=997&#038;string-locator-path=%2Fhome1%2Fjoshbenton%2Fpublic_html%2Fwp-snapshots%2F20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\">wp-snapshots/20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql</a>\";s:12:\"filename_raw\";s:81:\"wp-snapshots/20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\";s:7:\"editurl\";s:336:\"http://buckspizza.com/wp-admin/tools.php?page=string-locator&edit-file=20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql&file-reference=&file-type=core&string-locator-line=997&string-locator-path=%2Fhome1%2Fjoshbenton%2Fpublic_html%2Fwp-snapshots%2F20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\";s:12:\"stringresult\";s:118:\"&hellip;div&gt;\\r\\n\\r\\n&lt;div class=\\&quot;<strong>clearfieldshow</strong>\\&quot; style=\\&quot;display: none;&hellip;\";}i:1;a:7:{s:2:\"ID\";i:2;s:7:\"linenum\";i:3008;s:4:\"path\";s:111:\"/home1/joshbenton/public_html/wp-snapshots/20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\";s:8:\"filename\";s:458:\"<a href=\"http://buckspizza.com/wp-admin/tools.php?page=string-locator&#038;edit-file=20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql&#038;file-reference=&#038;file-type=core&#038;string-locator-line=3008&#038;string-locator-path=%2Fhome1%2Fjoshbenton%2Fpublic_html%2Fwp-snapshots%2F20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\">wp-snapshots/20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql</a>\";s:12:\"filename_raw\";s:81:\"wp-snapshots/20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\";s:7:\"editurl\";s:337:\"http://buckspizza.com/wp-admin/tools.php?page=string-locator&edit-file=20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql&file-reference=&file-type=core&string-locator-line=3008&string-locator-path=%2Fhome1%2Fjoshbenton%2Fpublic_html%2Fwp-snapshots%2F20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\";s:12:\"stringresult\";s:111:\"&hellip;ELRES_start\\&quot;&gt;﻿&lt;/span&gt;.<strong>clearfieldshow</strong> {display: block !importa&hellip;\";}i:2;a:7:{s:2:\"ID\";i:3;s:7:\"linenum\";i:3504;s:4:\"path\";s:111:\"/home1/joshbenton/public_html/wp-snapshots/20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\";s:8:\"filename\";s:458:\"<a href=\"http://buckspizza.com/wp-admin/tools.php?page=string-locator&#038;edit-file=20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql&#038;file-reference=&#038;file-type=core&#038;string-locator-line=3504&#038;string-locator-path=%2Fhome1%2Fjoshbenton%2Fpublic_html%2Fwp-snapshots%2F20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\">wp-snapshots/20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql</a>\";s:12:\"filename_raw\";s:81:\"wp-snapshots/20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\";s:7:\"editurl\";s:337:\"http://buckspizza.com/wp-admin/tools.php?page=string-locator&edit-file=20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql&file-reference=&file-type=core&string-locator-line=3504&string-locator-path=%2Fhome1%2Fjoshbenton%2Fpublic_html%2Fwp-snapshots%2F20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\";s:12:\"stringresult\";s:111:\"&hellip;ELRES_start\\&quot;&gt;﻿&lt;/span&gt;.<strong>clearfieldshow</strong> {display: block !importa&hellip;\";}i:3;a:7:{s:2:\"ID\";i:4;s:7:\"linenum\";i:3513;s:4:\"path\";s:111:\"/home1/joshbenton/public_html/wp-snapshots/20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\";s:8:\"filename\";s:458:\"<a href=\"http://buckspizza.com/wp-admin/tools.php?page=string-locator&#038;edit-file=20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql&#038;file-reference=&#038;file-type=core&#038;string-locator-line=3513&#038;string-locator-path=%2Fhome1%2Fjoshbenton%2Fpublic_html%2Fwp-snapshots%2F20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\">wp-snapshots/20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql</a>\";s:12:\"filename_raw\";s:81:\"wp-snapshots/20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\";s:7:\"editurl\";s:337:\"http://buckspizza.com/wp-admin/tools.php?page=string-locator&edit-file=20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql&file-reference=&file-type=core&string-locator-line=3513&string-locator-path=%2Fhome1%2Fjoshbenton%2Fpublic_html%2Fwp-snapshots%2F20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\";s:12:\"stringresult\";s:111:\"&hellip;ELRES_start\\&quot;&gt;﻿&lt;/span&gt;.<strong>clearfieldshow</strong> {display: block !importa&hellip;\";}i:4;a:7:{s:2:\"ID\";i:5;s:7:\"linenum\";i:3520;s:4:\"path\";s:111:\"/home1/joshbenton/public_html/wp-snapshots/20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\";s:8:\"filename\";s:458:\"<a href=\"http://buckspizza.com/wp-admin/tools.php?page=string-locator&#038;edit-file=20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql&#038;file-reference=&#038;file-type=core&#038;string-locator-line=3520&#038;string-locator-path=%2Fhome1%2Fjoshbenton%2Fpublic_html%2Fwp-snapshots%2F20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\">wp-snapshots/20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql</a>\";s:12:\"filename_raw\";s:81:\"wp-snapshots/20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\";s:7:\"editurl\";s:337:\"http://buckspizza.com/wp-admin/tools.php?page=string-locator&edit-file=20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql&file-reference=&file-type=core&string-locator-line=3520&string-locator-path=%2Fhome1%2Fjoshbenton%2Fpublic_html%2Fwp-snapshots%2F20160922_buckspizza_fe6fb605c0c45b586857_20190521175740_database.sql\";s:12:\"stringresult\";s:111:\"&hellip;ELRES_start\\&quot;&gt;﻿&lt;/span&gt;.<strong>clearfieldshow</strong> {display: block !importa&hellip;\";}i:5;a:7:{s:2:\"ID\";i:1;s:7:\"linenum\";i:966;s:4:\"path\";s:108:\"/home1/joshbenton/public_html/wp-snapshots/20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql\";s:8:\"filename\";s:448:\"<a href=\"http://buckspizza.com/wp-admin/tools.php?page=string-locator&#038;edit-file=20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql&#038;file-reference=&#038;file-type=core&#038;string-locator-line=966&#038;string-locator-path=%2Fhome1%2Fjoshbenton%2Fpublic_html%2Fwp-snapshots%2F20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql\">wp-snapshots/20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql</a>\";s:12:\"filename_raw\";s:78:\"wp-snapshots/20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql\";s:7:\"editurl\";s:330:\"http://buckspizza.com/wp-admin/tools.php?page=string-locator&edit-file=20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql&file-reference=&file-type=core&string-locator-line=966&string-locator-path=%2Fhome1%2Fjoshbenton%2Fpublic_html%2Fwp-snapshots%2F20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql\";s:12:\"stringresult\";s:118:\"&hellip;div&gt;\\r\\n\\r\\n&lt;div class=\\&quot;<strong>clearfieldshow</strong>\\&quot; style=\\&quot;display: none;&hellip;\";}i:6;a:7:{s:2:\"ID\";i:2;s:7:\"linenum\";i:2895;s:4:\"path\";s:108:\"/home1/joshbenton/public_html/wp-snapshots/20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql\";s:8:\"filename\";s:449:\"<a href=\"http://buckspizza.com/wp-admin/tools.php?page=string-locator&#038;edit-file=20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql&#038;file-reference=&#038;file-type=core&#038;string-locator-line=2895&#038;string-locator-path=%2Fhome1%2Fjoshbenton%2Fpublic_html%2Fwp-snapshots%2F20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql\">wp-snapshots/20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql</a>\";s:12:\"filename_raw\";s:78:\"wp-snapshots/20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql\";s:7:\"editurl\";s:331:\"http://buckspizza.com/wp-admin/tools.php?page=string-locator&edit-file=20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql&file-reference=&file-type=core&string-locator-line=2895&string-locator-path=%2Fhome1%2Fjoshbenton%2Fpublic_html%2Fwp-snapshots%2F20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql\";s:12:\"stringresult\";s:113:\"&hellip; 19:43:33&quot;, &quot;&lt;style&gt;\\r\\n.<strong>clearfieldshow</strong> {\\r\\ndisplay: block !imp&hellip;\";}i:7;a:7:{s:2:\"ID\";i:3;s:7:\"linenum\";i:3359;s:4:\"path\";s:108:\"/home1/joshbenton/public_html/wp-snapshots/20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql\";s:8:\"filename\";s:449:\"<a href=\"http://buckspizza.com/wp-admin/tools.php?page=string-locator&#038;edit-file=20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql&#038;file-reference=&#038;file-type=core&#038;string-locator-line=3359&#038;string-locator-path=%2Fhome1%2Fjoshbenton%2Fpublic_html%2Fwp-snapshots%2F20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql\">wp-snapshots/20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql</a>\";s:12:\"filename_raw\";s:78:\"wp-snapshots/20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql\";s:7:\"editurl\";s:331:\"http://buckspizza.com/wp-admin/tools.php?page=string-locator&edit-file=20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql&file-reference=&file-type=core&string-locator-line=3359&string-locator-path=%2Fhome1%2Fjoshbenton%2Fpublic_html%2Fwp-snapshots%2F20160922_buckspizza_b2bd6420010a55c44544180911161818_database.sql\";s:12:\"stringresult\";s:113:\"&hellip; 20:43:51&quot;, &quot;&lt;style&gt;\\r\\n.<strong>clearfieldshow</strong> {\\r\\ndisplay: block !imp&hellip;\";}}\";", "no");
INSERT INTO `wp_options` VALUES("148313", "_transient_timeout_wpseo_meta_table_inaccessible", "1610164566", "no");
INSERT INTO `wp_options` VALUES("148314", "_transient_wpseo_meta_table_inaccessible", "0", "no");
INSERT INTO `wp_options` VALUES("150796", "wpsl_settings", "a:92:{s:14:\"api_server_key\";s:0:\"\";s:15:\"api_browser_key\";s:0:\"\";s:12:\"api_language\";s:2:\"en\";s:10:\"api_region\";s:2:\"us\";s:21:\"api_geocode_component\";i:1;s:12:\"autocomplete\";i:0;s:16:\"results_dropdown\";i:1;s:15:\"radius_dropdown\";i:1;s:15:\"category_filter\";i:0;s:20:\"category_filter_type\";s:8:\"dropdown\";s:13:\"distance_unit\";s:2:\"mi\";s:11:\"max_results\";s:14:\"[25],50,75,100\";s:13:\"search_radius\";s:22:\"10,25,[50],100,200,500\";s:16:\"force_postalcode\";i:1;s:10:\"zoom_level\";i:3;s:15:\"auto_zoom_level\";s:2:\"15\";s:10:\"start_name\";s:10:\"Dubois, PA\";s:12:\"start_latlng\";s:22:\"41.1210115,-78.7583257\";s:13:\"run_fitbounds\";i:1;s:8:\"map_type\";s:7:\"roadmap\";s:11:\"auto_locate\";i:1;s:8:\"autoload\";i:1;s:14:\"autoload_limit\";i:50;s:10:\"streetview\";i:0;s:12:\"type_control\";i:0;s:11:\"scrollwheel\";i:1;s:16:\"control_position\";s:4:\"left\";s:9:\"map_style\";s:2:\"\"\"\";s:11:\"template_id\";s:7:\"default\";s:15:\"marker_clusters\";i:0;s:12:\"cluster_zoom\";i:0;s:12:\"cluster_size\";i:0;s:6:\"height\";s:3:\"350\";s:16:\"infowindow_width\";s:3:\"225\";s:12:\"search_width\";s:3:\"179\";s:11:\"label_width\";s:2:\"95\";s:10:\"new_window\";i:0;s:9:\"reset_map\";i:0;s:23:\"listing_below_no_scroll\";i:0;s:18:\"direction_redirect\";i:0;s:9:\"more_info\";i:0;s:9:\"store_url\";i:0;s:9:\"phone_url\";i:0;s:17:\"marker_streetview\";i:0;s:14:\"marker_zoom_to\";i:0;s:11:\"mouse_focus\";i:0;s:20:\"show_contact_details\";i:0;s:25:\"clickable_contact_details\";i:0;s:12:\"hide_country\";i:0;s:13:\"hide_distance\";i:0;s:13:\"marker_effect\";s:6:\"bounce\";s:14:\"address_format\";s:14:\"city_state_zip\";s:18:\"more_info_location\";s:11:\"info window\";s:16:\"infowindow_style\";s:7:\"default\";s:12:\"start_marker\";s:7:\"red.png\";s:12:\"store_marker\";s:8:\"blue.png\";s:14:\"editor_country\";s:0:\"\";s:15:\"editor_map_type\";s:7:\"roadmap\";s:10:\"hide_hours\";i:0;s:17:\"editor_hour_input\";s:8:\"dropdown\";s:18:\"editor_hour_format\";i:12;s:12:\"editor_hours\";a:1:{s:8:\"dropdown\";a:7:{s:6:\"monday\";a:1:{i:0;s:15:\"9:00 AM,5:00 PM\";}s:7:\"tuesday\";a:1:{i:0;s:15:\"9:00 AM,5:00 PM\";}s:9:\"wednesday\";a:1:{i:0;s:15:\"9:00 AM,5:00 PM\";}s:8:\"thursday\";a:1:{i:0;s:15:\"9:00 AM,5:00 PM\";}s:6:\"friday\";a:1:{i:0;s:15:\"9:00 AM,5:00 PM\";}s:8:\"saturday\";a:0:{}s:6:\"sunday\";a:0:{}}}s:10:\"permalinks\";i:0;s:22:\"permalink_remove_front\";i:0;s:14:\"permalink_slug\";s:6:\"stores\";s:13:\"category_slug\";s:14:\"store-category\";s:12:\"search_label\";s:13:\"Your location\";s:16:\"search_btn_label\";s:6:\"Search\";s:15:\"preloader_label\";s:12:\"Searching...\";s:12:\"radius_label\";s:13:\"Search radius\";s:16:\"no_results_label\";s:16:\"No results found\";s:13:\"results_label\";s:7:\"Results\";s:10:\"more_label\";s:9:\"More info\";s:16:\"directions_label\";s:10:\"Directions\";s:19:\"no_directions_label\";s:58:\"No route could be found between the origin and destination\";s:10:\"back_label\";s:4:\"Back\";s:17:\"street_view_label\";s:11:\"Street view\";s:15:\"zoom_here_label\";s:9:\"Zoom here\";s:11:\"error_label\";s:39:\"Something went wrong, please try again!\";s:11:\"phone_label\";s:5:\"Phone\";s:9:\"fax_label\";s:3:\"Fax\";s:11:\"email_label\";s:5:\"Email\";s:9:\"url_label\";s:3:\"Url\";s:11:\"hours_label\";s:5:\"Hours\";s:11:\"start_label\";s:14:\"Start location\";s:11:\"limit_label\";s:23:\"API usage limit reached\";s:14:\"category_label\";s:15:\"Category filter\";s:22:\"category_default_label\";s:3:\"Any\";s:12:\"show_credits\";i:0;s:5:\"debug\";i:0;s:16:\"deregister_gmaps\";i:0;s:13:\"delay_loading\";i:0;}", "yes");
INSERT INTO `wp_options` VALUES("150797", "wpsl_version", "2.2.232", "yes");
INSERT INTO `wp_options` VALUES("150798", "wpsl_notices", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("150851", "wpsl_valid_server_key", "1", "yes");
INSERT INTO `wp_options` VALUES("151029", "rgmk_google_map_api_key", "AIzaSyB9z25r9_u49FGCxRPGPL9nhskmaWVAa3o", "yes");
INSERT INTO `wp_options` VALUES("151035", "wpsl_delete_transient", "0", "yes");
INSERT INTO `wp_options` VALUES("151040", "_transient_wpsl_autoload_50_411210115", "a:1:{i:0;a:17:{s:7:\"address\";s:19:\"53 Industrial Drive\";s:5:\"store\";s:6:\"DuBois\";s:5:\"thumb\";s:0:\"\";s:2:\"id\";s:4:\"2069\";s:8:\"distance\";d:1.399999999999999911182158029987476766109466552734375;s:8:\"address2\";s:0:\"\";s:4:\"city\";s:6:\"DuBois\";s:5:\"state\";s:2:\"PA\";s:3:\"zip\";s:5:\"15801\";s:7:\"country\";s:13:\"United States\";s:3:\"lat\";s:9:\"41.131252\";s:3:\"lng\";s:10:\"-78.735532\";s:5:\"phone\";s:0:\"\";s:3:\"fax\";s:0:\"\";s:5:\"email\";s:0:\"\";s:5:\"hours\";s:463:\"<table role=\"presentation\" class=\"wpsl-opening-hours\"><tr><td>Monday</td><td><time>9:00 AM - 5:00 PM</time></td></tr><tr><td>Tuesday</td><td><time>9:00 AM - 5:00 PM</time></td></tr><tr><td>Wednesday</td><td><time>9:00 AM - 5:00 PM</time></td></tr><tr><td>Thursday</td><td><time>9:00 AM - 5:00 PM</time></td></tr><tr><td>Friday</td><td><time>9:00 AM - 5:00 PM</time></td></tr><tr><td>Saturday</td><td>Closed</td></tr><tr><td>Sunday</td><td>Closed</td></tr></table>\";s:3:\"url\";s:0:\"\";}}", "yes");
INSERT INTO `wp_options` VALUES("151049", "rlrsssl_options", "a:15:{s:12:\"site_has_ssl\";b:1;s:4:\"hsts\";b:0;s:22:\"htaccess_warning_shown\";b:0;s:19:\"review_notice_shown\";b:0;s:25:\"ssl_success_message_shown\";b:0;s:26:\"autoreplace_insecure_links\";b:1;s:17:\"plugin_db_version\";s:5:\"3.3.1\";s:5:\"debug\";b:0;s:20:\"do_not_edit_htaccess\";b:0;s:17:\"htaccess_redirect\";b:0;s:11:\"ssl_enabled\";b:1;s:19:\"javascript_redirect\";b:0;s:11:\"wp_redirect\";b:1;s:31:\"switch_mixed_content_fixer_hook\";b:0;s:19:\"dismiss_all_notices\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("151056", "rsssl_activation_timestamp", "1580922696", "yes");
INSERT INTO `wp_options` VALUES("151203", "gadwp_cache_qr2_4109389173", "a:2:{s:5:\"value\";O:31:\"Deconf_Service_Analytics_GaData\":24:{s:17:\"\0*\0collection_key\";s:4:\"rows\";s:25:\"\0*\0internal_gapi_mappings\";a:0:{}s:20:\"\0*\0columnHeadersType\";s:44:\"Deconf_Service_Analytics_GaDataColumnHeaders\";s:24:\"\0*\0columnHeadersDataType\";s:5:\"array\";s:19:\"containsSampledData\";b:0;s:16:\"\0*\0dataTableType\";s:40:\"Deconf_Service_Analytics_GaDataDataTable\";s:20:\"\0*\0dataTableDataType\";s:0:\"\";s:2:\"id\";s:159:\"https://www.googleapis.com/analytics/v3/data/ga?ids=ga:21744696&dimensions=ga:date,ga:dayOfWeekName&metrics=ga:sessions&start-date=30daysAgo&end-date=yesterday\";s:12:\"itemsPerPage\";i:1000;s:4:\"kind\";s:16:\"analytics#gaData\";s:8:\"nextLink\";N;s:12:\"previousLink\";N;s:18:\"\0*\0profileInfoType\";s:42:\"Deconf_Service_Analytics_GaDataProfileInfo\";s:22:\"\0*\0profileInfoDataType\";s:0:\"\";s:12:\"\0*\0queryType\";s:36:\"Deconf_Service_Analytics_GaDataQuery\";s:16:\"\0*\0queryDataType\";s:0:\"\";s:4:\"rows\";a:30:{i:0;a:3:{i:0;s:8:\"20200107\";i:1;s:7:\"Tuesday\";i:2;s:3:\"452\";}i:1;a:3:{i:0;s:8:\"20200108\";i:1;s:9:\"Wednesday\";i:2;s:3:\"459\";}i:2;a:3:{i:0;s:8:\"20200109\";i:1;s:8:\"Thursday\";i:2;s:3:\"508\";}i:3;a:3:{i:0;s:8:\"20200110\";i:1;s:6:\"Friday\";i:2;s:3:\"793\";}i:4;a:3:{i:0;s:8:\"20200111\";i:1;s:8:\"Saturday\";i:2;s:3:\"847\";}i:5;a:3:{i:0;s:8:\"20200112\";i:1;s:6:\"Sunday\";i:2;s:3:\"599\";}i:6;a:3:{i:0;s:8:\"20200113\";i:1;s:6:\"Monday\";i:2;s:3:\"535\";}i:7;a:3:{i:0;s:8:\"20200114\";i:1;s:7:\"Tuesday\";i:2;s:3:\"509\";}i:8;a:3:{i:0;s:8:\"20200115\";i:1;s:9:\"Wednesday\";i:2;s:3:\"493\";}i:9;a:3:{i:0;s:8:\"20200116\";i:1;s:8:\"Thursday\";i:2;s:3:\"572\";}i:10;a:3:{i:0;s:8:\"20200117\";i:1;s:6:\"Friday\";i:2;s:3:\"793\";}i:11;a:3:{i:0;s:8:\"20200118\";i:1;s:8:\"Saturday\";i:2;s:3:\"703\";}i:12;a:3:{i:0;s:8:\"20200119\";i:1;s:6:\"Sunday\";i:2;s:3:\"667\";}i:13;a:3:{i:0;s:8:\"20200120\";i:1;s:6:\"Monday\";i:2;s:3:\"445\";}i:14;a:3:{i:0;s:8:\"20200121\";i:1;s:7:\"Tuesday\";i:2;s:3:\"475\";}i:15;a:3:{i:0;s:8:\"20200122\";i:1;s:9:\"Wednesday\";i:2;s:3:\"509\";}i:16;a:3:{i:0;s:8:\"20200123\";i:1;s:8:\"Thursday\";i:2;s:3:\"505\";}i:17;a:3:{i:0;s:8:\"20200124\";i:1;s:6:\"Friday\";i:2;s:3:\"768\";}i:18;a:3:{i:0;s:8:\"20200125\";i:1;s:8:\"Saturday\";i:2;s:3:\"814\";}i:19;a:3:{i:0;s:8:\"20200126\";i:1;s:6:\"Sunday\";i:2;s:3:\"558\";}i:20;a:3:{i:0;s:8:\"20200127\";i:1;s:6:\"Monday\";i:2;s:3:\"382\";}i:21;a:3:{i:0;s:8:\"20200128\";i:1;s:7:\"Tuesday\";i:2;s:3:\"475\";}i:22;a:3:{i:0;s:8:\"20200129\";i:1;s:9:\"Wednesday\";i:2;s:3:\"500\";}i:23;a:3:{i:0;s:8:\"20200130\";i:1;s:8:\"Thursday\";i:2;s:3:\"567\";}i:24;a:3:{i:0;s:8:\"20200131\";i:1;s:6:\"Friday\";i:2;s:3:\"775\";}i:25;a:3:{i:0;s:8:\"20200201\";i:1;s:8:\"Saturday\";i:2;s:3:\"777\";}i:26;a:3:{i:0;s:8:\"20200202\";i:1;s:6:\"Sunday\";i:2;s:3:\"833\";}i:27;a:3:{i:0;s:8:\"20200203\";i:1;s:6:\"Monday\";i:2;s:3:\"441\";}i:28;a:3:{i:0;s:8:\"20200204\";i:1;s:7:\"Tuesday\";i:2;s:3:\"494\";}i:29;a:3:{i:0;s:8:\"20200205\";i:1;s:9:\"Wednesday\";i:2;s:3:\"576\";}}s:10:\"sampleSize\";N;s:11:\"sampleSpace\";N;s:8:\"selfLink\";s:159:\"https://www.googleapis.com/analytics/v3/data/ga?ids=ga:21744696&dimensions=ga:date,ga:dayOfWeekName&metrics=ga:sessions&start-date=30daysAgo&end-date=yesterday\";s:12:\"totalResults\";i:30;s:19:\"totalsForAllResults\";a:1:{s:11:\"ga:sessions\";s:5:\"17824\";}s:12:\"\0*\0modelData\";a:3:{s:5:\"query\";a:8:{s:10:\"start-date\";s:9:\"30daysAgo\";s:8:\"end-date\";s:9:\"yesterday\";s:3:\"ids\";s:11:\"ga:21744696\";s:10:\"dimensions\";s:24:\"ga:date,ga:dayOfWeekName\";s:7:\"metrics\";a:1:{i:0;s:11:\"ga:sessions\";}s:11:\"start-index\";i:1;s:11:\"max-results\";i:1000;s:13:\"samplingLevel\";s:16:\"HIGHER_PRECISION\";}s:11:\"profileInfo\";a:6:{s:9:\"profileId\";s:8:\"21744696\";s:9:\"accountId\";s:8:\"10778500\";s:13:\"webPropertyId\";s:13:\"UA-10778500-1\";s:21:\"internalWebPropertyId\";s:8:\"23415521\";s:11:\"profileName\";s:14:\"buckspizza.com\";s:7:\"tableId\";s:11:\"ga:21744696\";}s:13:\"columnHeaders\";a:3:{i:0;a:3:{s:4:\"name\";s:7:\"ga:date\";s:10:\"columnType\";s:9:\"DIMENSION\";s:8:\"dataType\";s:6:\"STRING\";}i:1;a:3:{s:4:\"name\";s:16:\"ga:dayOfWeekName\";s:10:\"columnType\";s:9:\"DIMENSION\";s:8:\"dataType\";s:6:\"STRING\";}i:2;a:3:{s:4:\"name\";s:11:\"ga:sessions\";s:10:\"columnType\";s:6:\"METRIC\";s:8:\"dataType\";s:7:\"INTEGER\";}}}s:12:\"\0*\0processed\";a:0:{}}s:7:\"expires\";i:1581051600;}", "no");
INSERT INTO `wp_options` VALUES("151212", "gadwp_cache_qr3_2970753185", "a:2:{s:5:\"value\";O:31:\"Deconf_Service_Analytics_GaData\":24:{s:17:\"\0*\0collection_key\";s:4:\"rows\";s:25:\"\0*\0internal_gapi_mappings\";a:0:{}s:20:\"\0*\0columnHeadersType\";s:44:\"Deconf_Service_Analytics_GaDataColumnHeaders\";s:24:\"\0*\0columnHeadersDataType\";s:5:\"array\";s:19:\"containsSampledData\";b:0;s:16:\"\0*\0dataTableType\";s:40:\"Deconf_Service_Analytics_GaDataDataTable\";s:20:\"\0*\0dataTableDataType\";s:0:\"\";s:2:\"id\";s:259:\"https://www.googleapis.com/analytics/v3/data/ga?ids=ga:21744696&metrics=ga:sessions,ga:users,ga:pageviews,ga:BounceRate,ga:organicSearches,ga:pageviewsPerSession,ga:avgTimeOnPage,ga:avgPageLoadTime,ga:avgSessionDuration&start-date=30daysAgo&end-date=yesterday\";s:12:\"itemsPerPage\";i:1000;s:4:\"kind\";s:16:\"analytics#gaData\";s:8:\"nextLink\";N;s:12:\"previousLink\";N;s:18:\"\0*\0profileInfoType\";s:42:\"Deconf_Service_Analytics_GaDataProfileInfo\";s:22:\"\0*\0profileInfoDataType\";s:0:\"\";s:12:\"\0*\0queryType\";s:36:\"Deconf_Service_Analytics_GaDataQuery\";s:16:\"\0*\0queryDataType\";s:0:\"\";s:4:\"rows\";a:1:{i:0;a:9:{i:0;s:5:\"17824\";i:1;s:5:\"13665\";i:2;s:5:\"45604\";i:3;s:17:\"49.61288150807899\";i:4;s:4:\"8234\";i:5;s:17:\"2.558572710951526\";i:6;s:17:\"74.03142435477484\";i:7;s:17:\"5.049818858560794\";i:8;s:17:\"115.3849304308797\";}}s:10:\"sampleSize\";N;s:11:\"sampleSpace\";N;s:8:\"selfLink\";s:259:\"https://www.googleapis.com/analytics/v3/data/ga?ids=ga:21744696&metrics=ga:sessions,ga:users,ga:pageviews,ga:BounceRate,ga:organicSearches,ga:pageviewsPerSession,ga:avgTimeOnPage,ga:avgPageLoadTime,ga:avgSessionDuration&start-date=30daysAgo&end-date=yesterday\";s:12:\"totalResults\";i:1;s:19:\"totalsForAllResults\";a:9:{s:11:\"ga:sessions\";s:5:\"17824\";s:8:\"ga:users\";s:5:\"13665\";s:12:\"ga:pageviews\";s:5:\"45604\";s:13:\"ga:BounceRate\";s:17:\"49.61288150807899\";s:18:\"ga:organicSearches\";s:4:\"8234\";s:22:\"ga:pageviewsPerSession\";s:17:\"2.558572710951526\";s:16:\"ga:avgTimeOnPage\";s:17:\"74.03142435477484\";s:18:\"ga:avgPageLoadTime\";s:17:\"5.049818858560794\";s:21:\"ga:avgSessionDuration\";s:17:\"115.3849304308797\";}s:12:\"\0*\0modelData\";a:3:{s:5:\"query\";a:7:{s:10:\"start-date\";s:9:\"30daysAgo\";s:8:\"end-date\";s:9:\"yesterday\";s:3:\"ids\";s:11:\"ga:21744696\";s:7:\"metrics\";a:9:{i:0;s:11:\"ga:sessions\";i:1;s:8:\"ga:users\";i:2;s:12:\"ga:pageviews\";i:3;s:13:\"ga:BounceRate\";i:4;s:18:\"ga:organicSearches\";i:5;s:22:\"ga:pageviewsPerSession\";i:6;s:16:\"ga:avgTimeOnPage\";i:7;s:18:\"ga:avgPageLoadTime\";i:8;s:21:\"ga:avgSessionDuration\";}s:11:\"start-index\";i:1;s:11:\"max-results\";i:1000;s:13:\"samplingLevel\";s:16:\"HIGHER_PRECISION\";}s:11:\"profileInfo\";a:6:{s:9:\"profileId\";s:8:\"21744696\";s:9:\"accountId\";s:8:\"10778500\";s:13:\"webPropertyId\";s:13:\"UA-10778500-1\";s:21:\"internalWebPropertyId\";s:8:\"23415521\";s:11:\"profileName\";s:14:\"buckspizza.com\";s:7:\"tableId\";s:11:\"ga:21744696\";}s:13:\"columnHeaders\";a:9:{i:0;a:3:{s:4:\"name\";s:11:\"ga:sessions\";s:10:\"columnType\";s:6:\"METRIC\";s:8:\"dataType\";s:7:\"INTEGER\";}i:1;a:3:{s:4:\"name\";s:8:\"ga:users\";s:10:\"columnType\";s:6:\"METRIC\";s:8:\"dataType\";s:7:\"INTEGER\";}i:2;a:3:{s:4:\"name\";s:12:\"ga:pageviews\";s:10:\"columnType\";s:6:\"METRIC\";s:8:\"dataType\";s:7:\"INTEGER\";}i:3;a:3:{s:4:\"name\";s:13:\"ga:BounceRate\";s:10:\"columnType\";s:6:\"METRIC\";s:8:\"dataType\";s:7:\"PERCENT\";}i:4;a:3:{s:4:\"name\";s:18:\"ga:organicSearches\";s:10:\"columnType\";s:6:\"METRIC\";s:8:\"dataType\";s:7:\"INTEGER\";}i:5;a:3:{s:4:\"name\";s:22:\"ga:pageviewsPerSession\";s:10:\"columnType\";s:6:\"METRIC\";s:8:\"dataType\";s:5:\"FLOAT\";}i:6;a:3:{s:4:\"name\";s:16:\"ga:avgTimeOnPage\";s:10:\"columnType\";s:6:\"METRIC\";s:8:\"dataType\";s:4:\"TIME\";}i:7;a:3:{s:4:\"name\";s:18:\"ga:avgPageLoadTime\";s:10:\"columnType\";s:6:\"METRIC\";s:8:\"dataType\";s:5:\"FLOAT\";}i:8;a:3:{s:4:\"name\";s:21:\"ga:avgSessionDuration\";s:10:\"columnType\";s:6:\"METRIC\";s:8:\"dataType\";s:4:\"TIME\";}}}s:12:\"\0*\0processed\";a:0:{}}s:7:\"expires\";i:1581051600;}", "no");
INSERT INTO `wp_options` VALUES("151809", "exactmetrics_site_profile", "a:1:{s:6:\"manual\";s:13:\"UA-10778500-1\";}", "yes");
INSERT INTO `wp_options` VALUES("151810", "exactmetrics_over_time", "a:4:{s:17:\"installed_version\";s:5:\"6.0.0\";s:14:\"installed_date\";i:1581546107;s:13:\"installed_pro\";b:0;s:14:\"connected_date\";i:1584110905;}", "yes");
INSERT INTO `wp_options` VALUES("151813", "exactmetrics_db_version", "1.0.0", "yes");
INSERT INTO `wp_options` VALUES("151814", "exactmetrics_current_version", "6.0.0", "yes");
INSERT INTO `wp_options` VALUES("151815", "exactmetrics_settings", "a:23:{s:22:\"enable_affiliate_links\";b:1;s:15:\"affiliate_links\";a:2:{i:0;a:2:{s:4:\"path\";s:4:\"/go/\";s:5:\"label\";s:9:\"affiliate\";}i:1;a:2:{s:4:\"path\";s:11:\"/recommend/\";s:5:\"label\";s:9:\"affiliate\";}}s:12:\"demographics\";i:0;s:12:\"ignore_users\";a:2:{i:0;s:13:\"administrator\";i:1;s:6:\"editor\";}s:19:\"dashboards_disabled\";i:0;s:13:\"anonymize_ips\";i:0;s:19:\"extensions_of_files\";s:35:\"zip,mp3,mpeg,pdf,docx,pptx,xlsx,rar\";s:18:\"subdomain_tracking\";s:0:\"\";s:16:\"link_attribution\";b:0;s:16:\"tag_links_in_rss\";b:1;s:12:\"allow_anchor\";i:0;s:16:\"add_allow_linker\";i:0;s:11:\"custom_code\";s:0:\"\";s:13:\"save_settings\";a:1:{i:0;s:13:\"administrator\";}s:12:\"view_reports\";a:2:{i:0;s:13:\"administrator\";i:1;s:6:\"editor\";}s:11:\"events_mode\";s:2:\"js\";s:13:\"tracking_mode\";s:9:\"analytics\";s:15:\"speedsamplerate\";i:1;s:10:\"samplerate\";i:100;s:17:\"automatic_updates\";s:5:\"minor\";s:17:\"custom_dimensions\";a:0:{}s:28:\"gatracker_compatibility_mode\";b:1;s:14:\"gadwp_migrated\";i:1581546107;}", "yes");
INSERT INTO `wp_options` VALUES("151817", "exactmetrics_usage_tracking_config", "a:6:{s:3:\"day\";i:5;s:4:\"hour\";i:18;s:6:\"minute\";i:7;s:6:\"second\";i:48;s:6:\"offset\";i:497268;s:8:\"initsend\";i:1582308468;}", "yes");
INSERT INTO `wp_options` VALUES("152485", "exactmetrics_frontend_tracking_notice_viewed", "1", "yes");
INSERT INTO `wp_options` VALUES("153011", "admin_email_lifespan", "1600111747", "yes");
INSERT INTO `wp_options` VALUES("153015", "recovery_keys", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("153412", "exactmetrics_review", "a:2:{s:4:\"time\";i:1582812271;s:9:\"dismissed\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("153420", "new_admin_email", "josh@buckspizza.com", "yes");
INSERT INTO `wp_options` VALUES("154122", "wpseo_ryte", "a:2:{s:6:\"status\";i:1;s:10:\"last_fetch\";i:1583006507;}", "yes");
INSERT INTO `wp_options` VALUES("156413", "exactmetrics_admin_menu_tooltip", "1584559761", "yes");
INSERT INTO `wp_options` VALUES("156574", "_transient_timeout_wpseo_link_table_inaccessible", "1616169059", "no");
INSERT INTO `wp_options` VALUES("156575", "_transient_wpseo_link_table_inaccessible", "0", "no");
INSERT INTO `wp_options` VALUES("157809", "wpo_update_version", "3.0.19", "yes");
INSERT INTO `wp_options` VALUES("158422", "_site_transient_update_themes", "O:8:\"stdClass\":4:{s:12:\"last_checked\";i:1586902911;s:7:\"checked\";a:8:{s:6:\"backup\";s:3:\"4.0\";s:11:\"bucks-child\";s:3:\"1.0\";s:17:\"spartan-framework\";s:3:\"4.0\";s:13:\"twentyfifteen\";s:3:\"2.6\";s:14:\"twentyfourteen\";s:3:\"2.8\";s:14:\"twentynineteen\";s:3:\"1.5\";s:14:\"twentythirteen\";s:3:\"3.0\";s:12:\"twentytwenty\";s:3:\"1.2\";}s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("158423", "_site_transient_update_core", "O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:57:\"https://downloads.wordpress.org/release/wordpress-5.4.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:57:\"https://downloads.wordpress.org/release/wordpress-5.4.zip\";s:10:\"no_content\";s:68:\"https://downloads.wordpress.org/release/wordpress-5.4-no-content.zip\";s:11:\"new_bundled\";s:69:\"https://downloads.wordpress.org/release/wordpress-5.4-new-bundled.zip\";s:7:\"partial\";b:0;s:8:\"rollback\";b:0;}s:7:\"current\";s:3:\"5.4\";s:7:\"version\";s:3:\"5.4\";s:11:\"php_version\";s:6:\"5.6.20\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"5.3\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1586902909;s:15:\"version_checked\";s:3:\"5.4\";s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("158428", "_transient_timeout_tablepress_c_c4ca4238a0b923820dcc509a6f75849b", "1586992283", "no");
INSERT INTO `wp_options` VALUES("158429", "_transient_tablepress_c_c4ca4238a0b923820dcc509a6f75849b", "[\"tablepress_385530aacdc7d58e243d488e330a199a\"]", "no");
INSERT INTO `wp_options` VALUES("158432", "_transient_timeout_tablepress_c_c81e728d9d4c2f636f067f89cc14862c", "1586992283", "no");
INSERT INTO `wp_options` VALUES("158433", "_transient_tablepress_c_c81e728d9d4c2f636f067f89cc14862c", "[\"tablepress_d68fbb01d22f50b7fb9b0fe5948bfa88\"]", "no");
INSERT INTO `wp_options` VALUES("158575", "_transient_health-check-site-status-result", "{\"good\":\"11\",\"recommended\":\"5\",\"critical\":\"1\"}", "yes");
INSERT INTO `wp_options` VALUES("158838", "can_compress_scripts", "0", "no");
INSERT INTO `wp_options` VALUES("159493", "_transient_timeout_jetpack_file_data_8.4.1", "1588805857", "no");
INSERT INTO `wp_options` VALUES("159494", "_transient_jetpack_file_data_8.4.1", "a:52:{s:32:\"212a162108f1dc20cc6c768d5b47d4f2\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"d3576702faeb399eb47ad20f586c3804\";a:14:{s:4:\"name\";s:8:\"Carousel\";s:11:\"description\";s:75:\"Display images and galleries in a gorgeous, full-screen browsing experience\";s:4:\"sort\";s:2:\"22\";s:20:\"recommendation_order\";s:2:\"12\";s:10:\"introduced\";s:3:\"1.5\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:17:\"Photos and Videos\";s:7:\"feature\";s:10:\"Appearance\";s:25:\"additional_search_queries\";s:80:\"gallery, carousel, diaporama, slideshow, images, lightbox, exif, metadata, image\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"55409a5f8388b8d33e2350ef80de3ea3\";a:14:{s:4:\"name\";s:13:\"Comment Likes\";s:11:\"description\";s:64:\"Increase visitor engagement by adding a Like button to comments.\";s:4:\"sort\";s:2:\"39\";s:20:\"recommendation_order\";s:2:\"17\";s:10:\"introduced\";s:3:\"5.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:6:\"Social\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:37:\"like widget, like button, like, likes\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"e914e6d31cb61f5a9ef86e1b9573430e\";a:14:{s:4:\"name\";s:8:\"Comments\";s:11:\"description\";s:81:\"Let visitors use a WordPress.com, Twitter, Facebook, or Google account to comment\";s:4:\"sort\";s:2:\"20\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.4\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:6:\"Social\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:53:\"comments, comment, facebook, twitter, google+, social\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"f1b8c61705fb18eb8c8584c9f9cdffd9\";a:14:{s:4:\"name\";s:12:\"Contact Form\";s:11:\"description\";s:81:\"Add a customizable contact form to any post or page using the Jetpack Form Block.\";s:4:\"sort\";s:2:\"15\";s:20:\"recommendation_order\";s:2:\"14\";s:10:\"introduced\";s:3:\"1.3\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:5:\"Other\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:214:\"contact, form, grunion, feedback, submission, contact form, email, feedback, contact form plugin, custom form, custom form plugin, form builder, forms, form maker, survey, contact by jetpack, contact us, forms free\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"4fca6eb23a793155d69fdb119a094926\";a:14:{s:4:\"name\";s:9:\"Copy Post\";s:11:\"description\";s:77:\"Enable the option to copy entire posts and pages, including tags and settings\";s:4:\"sort\";s:2:\"15\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"7.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:15:\"copy, duplicate\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"cfdac01e3c3c529f93a8f49edef1f5db\";a:14:{s:4:\"name\";s:20:\"Custom content types\";s:11:\"description\";s:74:\"Display different types of content on your site with custom content types.\";s:4:\"sort\";s:2:\"34\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"3.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:72:\"cpt, custom post types, portfolio, portfolios, testimonial, testimonials\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"4b9137ecf507290743735fb1f94535df\";a:14:{s:4:\"name\";s:10:\"Custom CSS\";s:11:\"description\";s:88:\"Adds options for CSS preprocessor use, disabling the theme\'s CSS, or custom image width.\";s:4:\"sort\";s:1:\"2\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.7\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:10:\"Appearance\";s:7:\"feature\";s:10:\"Appearance\";s:25:\"additional_search_queries\";s:108:\"css, customize, custom, style, editor, less, sass, preprocessor, font, mobile, appearance, theme, stylesheet\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"95d75b38d76d2ee1b5b537026eadb8ff\";a:14:{s:4:\"name\";s:21:\"Enhanced Distribution\";s:11:\"description\";s:27:\"Increase reach and traffic.\";s:4:\"sort\";s:1:\"5\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:6:\"Public\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:54:\"google, seo, firehose, search, broadcast, broadcasting\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"f1bb571a95c5de1e6adaf9db8567c039\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"822f9ef1281dace3fb7cc420c77d24e0\";a:14:{s:4:\"name\";s:16:\"Google Analytics\";s:11:\"description\";s:56:\"Set up Google Analytics without touching a line of code.\";s:4:\"sort\";s:2:\"37\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"4.5\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:37:\"webmaster, google, analytics, console\";s:12:\"plan_classes\";s:17:\"business, premium\";}s:32:\"c167275f926ef0eefaec9a679bd88d34\";a:14:{s:4:\"name\";s:19:\"Gravatar Hovercards\";s:11:\"description\";s:58:\"Enable pop-up business cards over commenters’ Gravatars.\";s:4:\"sort\";s:2:\"11\";s:20:\"recommendation_order\";s:2:\"13\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:18:\"Social, Appearance\";s:7:\"feature\";s:10:\"Appearance\";s:25:\"additional_search_queries\";s:20:\"gravatar, hovercards\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"58cbd4585a74829a1c88aa9c295f3993\";a:14:{s:4:\"name\";s:15:\"Infinite Scroll\";s:11:\"description\";s:53:\"Automatically load new content when a visitor scrolls\";s:4:\"sort\";s:2:\"26\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:10:\"Appearance\";s:7:\"feature\";s:10:\"Appearance\";s:25:\"additional_search_queries\";s:33:\"scroll, infinite, infinite scroll\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"d4a35eabc948caefad71a0d3303b95c8\";a:14:{s:4:\"name\";s:8:\"JSON API\";s:11:\"description\";s:51:\"Allow applications to securely access your content.\";s:4:\"sort\";s:2:\"19\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.9\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:6:\"Public\";s:11:\"module_tags\";s:19:\"Writing, Developers\";s:7:\"feature\";s:7:\"General\";s:25:\"additional_search_queries\";s:50:\"api, rest, develop, developers, json, klout, oauth\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"7b0c670bc3f8209dc83abb8610e23a89\";a:14:{s:4:\"name\";s:14:\"Beautiful Math\";s:11:\"description\";s:74:\"Use the LaTeX markup language to write mathematical equations and formulas\";s:4:\"sort\";s:2:\"12\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:47:\"latex, math, equation, equations, formula, code\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"b00e4e6c109ce6f77b5c83fbaaaead4c\";a:14:{s:4:\"name\";s:11:\"Lazy Images\";s:11:\"description\";s:137:\"Speed up your site and create a smoother viewing experience by loading images as visitors scroll down the screen, instead of all at once.\";s:4:\"sort\";s:2:\"24\";s:20:\"recommendation_order\";s:2:\"14\";s:10:\"introduced\";s:5:\"5.6.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:23:\"Appearance, Recommended\";s:7:\"feature\";s:10:\"Appearance\";s:25:\"additional_search_queries\";s:150:\"mobile, theme, fast images, fast image, image, lazy, lazy load, lazyload, images, lazy images, thumbnail, image lazy load, lazy loading, load, loading\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"8e46c72906c928eca634ac2c8b1bc84f\";a:14:{s:4:\"name\";s:5:\"Likes\";s:11:\"description\";s:63:\"Give visitors an easy way to show they appreciate your content.\";s:4:\"sort\";s:2:\"23\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:6:\"Social\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:26:\"like, likes, wordpress.com\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"2df2264a07aff77e0556121e33349dce\";a:14:{s:4:\"name\";s:8:\"Markdown\";s:11:\"description\";s:50:\"Write posts or pages in plain-text Markdown syntax\";s:4:\"sort\";s:2:\"31\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.8\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:12:\"md, markdown\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"0337eacae47d30c946cb9fc4e5ece649\";a:14:{s:4:\"name\";s:21:\"WordPress.com Toolbar\";s:11:\"description\";s:91:\"Replaces the admin bar with a useful toolbar to quickly manage your site via WordPress.com.\";s:4:\"sort\";s:2:\"38\";s:20:\"recommendation_order\";s:2:\"16\";s:10:\"introduced\";s:3:\"4.8\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:7:\"General\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:19:\"adminbar, masterbar\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"cb5d81445061b89d19cb9c7754697a39\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"ea0fbbd64080c81a90a784924603588c\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"5c53fdb3633ba3232f60180116900273\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"40b97d9ce396339d3e8e46b833a045b5\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"0739df64747f2d02c140f23ce6c19cd8\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"c54bb0a65b39f1316da8632197a88a4e\";a:14:{s:4:\"name\";s:7:\"Monitor\";s:11:\"description\";s:118:\"Jetpack’s downtime monitoring will continuously watch your site, and alert you the moment that downtime is detected.\";s:4:\"sort\";s:2:\"28\";s:20:\"recommendation_order\";s:2:\"10\";s:10:\"introduced\";s:3:\"2.6\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:11:\"Recommended\";s:7:\"feature\";s:8:\"Security\";s:25:\"additional_search_queries\";s:123:\"monitor, uptime, downtime, monitoring, maintenance, maintenance mode, offline, site is down, site down, down, repair, error\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"cc013f4c5480c7bdc1e7edb2f410bf3c\";a:14:{s:4:\"name\";s:13:\"Notifications\";s:11:\"description\";s:57:\"Receive instant notifications of site comments and likes.\";s:4:\"sort\";s:2:\"13\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.9\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:5:\"Other\";s:7:\"feature\";s:7:\"General\";s:25:\"additional_search_queries\";s:62:\"notification, notifications, toolbar, adminbar, push, comments\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"b3b34928b1e549bb52f866accc0450c5\";a:14:{s:4:\"name\";s:9:\"Asset CDN\";s:11:\"description\";s:154:\"Jetpack’s Site Accelerator loads your site faster by optimizing your images and serving your images and static files from our global network of servers.\";s:4:\"sort\";s:2:\"26\";s:20:\"recommendation_order\";s:1:\"1\";s:10:\"introduced\";s:3:\"6.6\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:42:\"Photos and Videos, Appearance, Recommended\";s:7:\"feature\";s:23:\"Recommended, Appearance\";s:25:\"additional_search_queries\";s:160:\"site accelerator, accelerate, static, assets, javascript, css, files, performance, cdn, bandwidth, content delivery network, pagespeed, combine js, optimize css\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"714284944f56d6936a40f3309900bc8e\";a:14:{s:4:\"name\";s:9:\"Image CDN\";s:11:\"description\";s:141:\"Mirrors and serves your images from our free and fast image CDN, improving your site’s performance with no additional load on your servers.\";s:4:\"sort\";s:2:\"25\";s:20:\"recommendation_order\";s:1:\"1\";s:10:\"introduced\";s:3:\"2.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:42:\"Photos and Videos, Appearance, Recommended\";s:7:\"feature\";s:23:\"Recommended, Appearance\";s:25:\"additional_search_queries\";s:171:\"photon, photo cdn, image cdn, speed, compression, resize, responsive images, responsive, content distribution network, optimize, page speed, image optimize, photon jetpack\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"348754bc914ee02c72d9af445627784c\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"041704e207c4c59eea93e0499c908bff\";a:14:{s:4:\"name\";s:13:\"Post by email\";s:11:\"description\";s:33:\"Publish posts by sending an email\";s:4:\"sort\";s:2:\"14\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:20:\"post by email, email\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"26e6cb3e08a6cfd0811c17e7c633c72c\";a:14:{s:4:\"name\";s:7:\"Protect\";s:11:\"description\";s:151:\"Enabling brute force protection will prevent bots and hackers from attempting to log in to your website with common username and password combinations.\";s:4:\"sort\";s:1:\"1\";s:20:\"recommendation_order\";s:1:\"4\";s:10:\"introduced\";s:3:\"3.4\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:11:\"Recommended\";s:7:\"feature\";s:8:\"Security\";s:25:\"additional_search_queries\";s:173:\"security, jetpack protect, secure, protection, botnet, brute force, protect, login, bot, password, passwords, strong passwords, strong password, wp-login.php,  protect admin\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"915a504082f797395713fd01e0e2e713\";a:14:{s:4:\"name\";s:9:\"Publicize\";s:11:\"description\";s:128:\"Publicize makes it easy to share your site’s posts on several social media networks automatically when you publish a new post.\";s:4:\"sort\";s:2:\"10\";s:20:\"recommendation_order\";s:1:\"7\";s:10:\"introduced\";s:3:\"2.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:19:\"Social, Recommended\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:220:\"facebook, jetpack publicize, twitter, tumblr, linkedin, social, tweet, connections, sharing, social media, automated, automated sharing, auto publish, auto tweet and like, auto tweet, facebook auto post, facebook posting\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"a7b21cc562ee9ffa357bba19701fe45b\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"9243c1a718566213f4eaf3b44cf14b07\";a:14:{s:4:\"name\";s:13:\"Related posts\";s:11:\"description\";s:113:\"Keep visitors engaged on your blog by highlighting relevant and new content at the bottom of each published post.\";s:4:\"sort\";s:2:\"29\";s:20:\"recommendation_order\";s:1:\"9\";s:10:\"introduced\";s:3:\"2.9\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:11:\"Recommended\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:360:\"related, jetpack related posts, related posts for wordpress, related posts, popular posts, popular, related content, related post, contextual, context, contextual related posts, related articles, similar posts, easy related posts, related page, simple related posts, free related posts, related thumbnails, similar, engagement, yet another related posts plugin\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"583e4cda5596ee1b28a19cde33f438be\";a:14:{s:4:\"name\";s:6:\"Search\";s:11:\"description\";s:102:\"Help visitors quickly find answers with highly relevant instant search results and powerful filtering.\";s:4:\"sort\";s:2:\"34\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"5.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:5:\"false\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:6:\"Search\";s:25:\"additional_search_queries\";s:110:\"search, elastic, elastic search, elasticsearch, fast search, search results, search performance, google search\";s:12:\"plan_classes\";s:8:\"business\";}s:32:\"15346c1f7f2a5f29d34378774ecfa830\";a:14:{s:4:\"name\";s:9:\"SEO Tools\";s:11:\"description\";s:50:\"Better results on search engines and social media.\";s:4:\"sort\";s:2:\"35\";s:20:\"recommendation_order\";s:2:\"15\";s:10:\"introduced\";s:3:\"4.4\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:18:\"Social, Appearance\";s:7:\"feature\";s:7:\"Traffic\";s:25:\"additional_search_queries\";s:81:\"search engine optimization, social preview, meta description, custom title format\";s:12:\"plan_classes\";s:17:\"business, premium\";}s:32:\"72a0ff4cfae86074a7cdd2dcd432ef11\";a:14:{s:4:\"name\";s:7:\"Sharing\";s:11:\"description\";s:120:\"Add Twitter, Facebook and Google+ buttons at the bottom of each post, making it easy for visitors to share your content.\";s:4:\"sort\";s:1:\"7\";s:20:\"recommendation_order\";s:1:\"6\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:3:\"1.2\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:19:\"Social, Recommended\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:229:\"share, sharing, sharedaddy, social buttons, buttons, share facebook, share twitter, social media sharing, social media share, social share, icons, email, facebook, twitter, linkedin, pinterest, pocket, social widget, social media\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"bb8c6c190aaec212a7ab6e940165af4d\";a:14:{s:4:\"name\";s:16:\"Shortcode Embeds\";s:11:\"description\";s:177:\"Shortcodes are WordPress-specific markup that let you add media from popular sites. This feature is no longer necessary as the editor now handles media embeds rather gracefully.\";s:4:\"sort\";s:1:\"3\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:3:\"1.2\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:46:\"Photos and Videos, Social, Writing, Appearance\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:236:\"shortcodes, shortcode, embeds, media, bandcamp, dailymotion, facebook, flickr, google calendars, google maps, google+, polldaddy, recipe, recipes, scribd, slideshare, slideshow, slideshows, soundcloud, ted, twitter, vimeo, vine, youtube\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"1abd31fe07ae4fb0f8bb57dc24592219\";a:14:{s:4:\"name\";s:16:\"WP.me Shortlinks\";s:11:\"description\";s:82:\"Generates shorter links so you can have more space to write on social media sites.\";s:4:\"sort\";s:1:\"8\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:6:\"Social\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:17:\"shortlinks, wp.me\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"cae5f097f8d658e0b0ae50733d7c6476\";a:14:{s:4:\"name\";s:8:\"Sitemaps\";s:11:\"description\";s:50:\"Make it easy for search engines to find your site.\";s:4:\"sort\";s:2:\"13\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"3.9\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:20:\"Recommended, Traffic\";s:7:\"feature\";s:11:\"Recommended\";s:25:\"additional_search_queries\";s:39:\"sitemap, traffic, search, site map, seo\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"e9b8318133b2f95e7906cedb3557a87d\";a:14:{s:4:\"name\";s:14:\"Secure Sign On\";s:11:\"description\";s:63:\"Allow users to log in to this site using WordPress.com accounts\";s:4:\"sort\";s:2:\"30\";s:20:\"recommendation_order\";s:1:\"5\";s:10:\"introduced\";s:3:\"2.6\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:10:\"Developers\";s:7:\"feature\";s:8:\"Security\";s:25:\"additional_search_queries\";s:51:\"sso, single sign on, login, log in, 2fa, two-factor\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"17e66a12031ccf11d8d45ceee0955f05\";a:14:{s:4:\"name\";s:10:\"Site Stats\";s:11:\"description\";s:44:\"Collect valuable traffic stats and insights.\";s:4:\"sort\";s:1:\"1\";s:20:\"recommendation_order\";s:1:\"2\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:23:\"Site Stats, Recommended\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:54:\"statistics, tracking, analytics, views, traffic, stats\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"346cf9756e7c1252acecb9a8ca81a21c\";a:14:{s:4:\"name\";s:13:\"Subscriptions\";s:11:\"description\";s:58:\"Let visitors subscribe to new posts and comments via email\";s:4:\"sort\";s:1:\"9\";s:20:\"recommendation_order\";s:1:\"8\";s:10:\"introduced\";s:3:\"1.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:6:\"Social\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:74:\"subscriptions, subscription, email, follow, followers, subscribers, signup\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"4f84d218792a6efa06ed6feae09c4dd5\";a:14:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:0:\"\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"ca086af79d0d9dccacc934ccff5b4fd7\";a:14:{s:4:\"name\";s:15:\"Tiled Galleries\";s:11:\"description\";s:61:\"Display image galleries in a variety of elegant arrangements.\";s:4:\"sort\";s:2:\"24\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:17:\"Photos and Videos\";s:7:\"feature\";s:10:\"Appearance\";s:25:\"additional_search_queries\";s:43:\"gallery, tiles, tiled, grid, mosaic, images\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"43c24feb7c541c376af93e0251c1a261\";a:14:{s:4:\"name\";s:20:\"Backups and Scanning\";s:11:\"description\";s:100:\"Protect your site with daily or real-time backups and automated virus scanning and threat detection.\";s:4:\"sort\";s:2:\"32\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:5:\"0:1.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:5:\"false\";s:4:\"free\";s:5:\"false\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:16:\"Security, Health\";s:25:\"additional_search_queries\";s:386:\"backup, cloud backup, database backup, restore, wordpress backup, backup plugin, wordpress backup plugin, back up, backup wordpress, backwpup, vaultpress, backups, off-site backups, offsite backup, offsite, off-site, antivirus, malware scanner, security, virus, viruses, prevent viruses, scan, anti-virus, antimalware, protection, safe browsing, malware, wp security, wordpress security\";s:12:\"plan_classes\";s:27:\"personal, business, premium\";}s:32:\"b9396d8038fc29140b499098d2294d79\";a:14:{s:4:\"name\";s:17:\"Site verification\";s:11:\"description\";s:58:\"Establish your site\'s authenticity with external services.\";s:4:\"sort\";s:2:\"33\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"3.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:56:\"webmaster, seo, google, bing, pinterest, search, console\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"afe184082e106c1bdfe1ee844f98aef3\";a:14:{s:4:\"name\";s:10:\"VideoPress\";s:11:\"description\";s:101:\"Save on hosting storage and bandwidth costs by streaming fast, ad-free video from our global network.\";s:4:\"sort\";s:2:\"27\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.5\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:5:\"false\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:17:\"Photos and Videos\";s:7:\"feature\";s:7:\"Writing\";s:25:\"additional_search_queries\";s:118:\"video, videos, videopress, video gallery, video player, videoplayer, mobile video, vimeo, youtube, html5 video, stream\";s:12:\"plan_classes\";s:17:\"business, premium\";}s:32:\"44637d43460370af9a1b31ce3ccec0cd\";a:14:{s:4:\"name\";s:17:\"Widget Visibility\";s:11:\"description\";s:42:\"Control where widgets appear on your site.\";s:4:\"sort\";s:2:\"17\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.4\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:10:\"Appearance\";s:7:\"feature\";s:10:\"Appearance\";s:25:\"additional_search_queries\";s:54:\"widget visibility, logic, conditional, widgets, widget\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"694c105a5c3b659acfcddad220048d08\";a:14:{s:4:\"name\";s:21:\"Extra Sidebar Widgets\";s:11:\"description\";s:49:\"Provides additional widgets for use on your site.\";s:4:\"sort\";s:1:\"4\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:18:\"Social, Appearance\";s:7:\"feature\";s:10:\"Appearance\";s:25:\"additional_search_queries\";s:65:\"widget, widgets, facebook, gallery, twitter, gravatar, image, rss\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"21b59e7bb3fe0784e7525ad11ad8a8f6\";a:14:{s:4:\"name\";s:21:\"WooCommerce Analytics\";s:11:\"description\";s:53:\"Enhanced analytics for WooCommerce and Jetpack users.\";s:4:\"sort\";s:2:\"13\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"8.4\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:18:\"Other, Recommended\";s:7:\"feature\";s:10:\"Engagement\";s:25:\"additional_search_queries\";s:69:\"woocommerce, analytics, stats, statistics, tracking, analytics, views\";s:12:\"plan_classes\";s:0:\"\";}s:32:\"ae15da72c5802d72f320640bad669561\";a:14:{s:4:\"name\";s:3:\"Ads\";s:11:\"description\";s:60:\"Earn income by allowing Jetpack to display high quality ads.\";s:4:\"sort\";s:1:\"1\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:5:\"4.5.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:19:\"Traffic, Appearance\";s:7:\"feature\";s:0:\"\";s:25:\"additional_search_queries\";s:26:\"advertising, ad codes, ads\";s:12:\"plan_classes\";s:17:\"premium, business\";}}", "no");
INSERT INTO `wp_options` VALUES("159639", "_site_transient_timeout_php_check_48402fa34ca7eceab34042a6b74e432f", "1586989507", "no");
INSERT INTO `wp_options` VALUES("159640", "_site_transient_php_check_48402fa34ca7eceab34042a6b74e432f", "a:5:{s:19:\"recommended_version\";s:3:\"7.3\";s:15:\"minimum_version\";s:6:\"5.6.20\";s:12:\"is_supported\";b:0;s:9:\"is_secure\";b:0;s:13:\"is_acceptable\";b:1;}", "no");
INSERT INTO `wp_options` VALUES("159770", "_transient_timeout_rsssl_certinfo", "1586546334", "no");
INSERT INTO `wp_options` VALUES("159771", "_transient_rsssl_plusone_count", "1", "yes");
INSERT INTO `wp_options` VALUES("159776", "_site_transient_timeout_browser_25dea58c856939f6954b7922a8db1dec", "1587064735", "no");
INSERT INTO `wp_options` VALUES("159777", "_site_transient_browser_25dea58c856939f6954b7922a8db1dec", "a:10:{s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:13:\"80.0.3987.149\";s:8:\"platform\";s:7:\"Windows\";s:10:\"update_url\";s:29:\"https://www.google.com/chrome\";s:7:\"img_src\";s:43:\"http://s.w.org/images/browsers/chrome.png?1\";s:11:\"img_src_ssl\";s:44:\"https://s.w.org/images/browsers/chrome.png?1\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;s:6:\"mobile\";b:0;}", "no");
INSERT INTO `wp_options` VALUES("160367", "_transient_timeout_jetpack_https_test_message", "1586973250", "no");
INSERT INTO `wp_options` VALUES("160368", "_transient_jetpack_https_test_message", "", "no");
INSERT INTO `wp_options` VALUES("160401", "_site_transient_timeout_browser_2f6a0a42b23284f22b476bca515bee61", "1587413520", "no");
INSERT INTO `wp_options` VALUES("160402", "_site_transient_browser_2f6a0a42b23284f22b476bca515bee61", "a:10:{s:4:\"name\";s:14:\"Microsoft Edge\";s:7:\"version\";s:8:\"18.18363\";s:8:\"platform\";s:7:\"Windows\";s:10:\"update_url\";s:0:\"\";s:7:\"img_src\";s:0:\"\";s:11:\"img_src_ssl\";s:0:\"\";s:15:\"current_version\";s:8:\"15.15063\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;s:6:\"mobile\";b:0;}", "no");
INSERT INTO `wp_options` VALUES("160454", "_transient_timeout_tablepress_385530aacdc7d58e243d488e330a199a", "1586905883", "no");
INSERT INTO `wp_options` VALUES("160455", "_transient_tablepress_385530aacdc7d58e243d488e330a199a", "\n<table id=\"tablepress-1\" class=\"tablepress tablepress-id-1\">\n<thead>\n<tr class=\"row-1 odd\">\n	<th class=\"column-1\">&nbsp;</th><th class=\"column-2\">Small<br />\n10\"</th><th class=\"column-3\">Medium<br />\n12\"</th><th class=\"column-4\">Large<br />\n14\"</th><th class=\"column-5\">X-Large<br />\n16\"</th>\n</tr>\n</thead>\n<tbody class=\"row-hover\">\n<tr class=\"row-2 even\">\n	<td class=\"column-1\">With 1 topping</td><td class=\"column-2\">5,49</td><td class=\"column-3\">7.99</td><td class=\"column-4\">8.99</td><td class=\"column-5\">11.74</td>\n</tr>\n<tr class=\"row-3 odd\">\n	<td class=\"column-1\">Additional toppings</td><td class=\"column-2\">.75</td><td class=\"column-3\">1.25</td><td class=\"column-4\">1.50</td><td class=\"column-5\">1.75</td>\n</tr>\n<tr class=\"row-4 even\">\n	<td class=\"column-1\">Premium toppings</td><td class=\"column-2\">1.50</td><td class=\"column-3\">2.25</td><td class=\"column-4\">3.00</td><td class=\"column-5\">3.75</td>\n</tr>\n<tr class=\"row-5 odd\">\n	<td class=\"column-1\">Extra cheese</td><td class=\"column-2\">.75</td><td class=\"column-3\">1.25</td><td class=\"column-4\">1.50</td><td class=\"column-5\">1.75</td>\n</tr>\n<tr class=\"row-6 even\">\n	<td class=\"column-1\">Gluten free crust</td><td class=\"column-2\">3.00</td><td class=\"column-3\">--</td><td class=\"column-4\">--</td><td class=\"column-5\">--</td>\n</tr>\n</tbody>\n</table>\n", "no");
INSERT INTO `wp_options` VALUES("160456", "_transient_timeout_tablepress_d68fbb01d22f50b7fb9b0fe5948bfa88", "1586905883", "no");
INSERT INTO `wp_options` VALUES("160457", "_transient_tablepress_d68fbb01d22f50b7fb9b0fe5948bfa88", "\n<table id=\"tablepress-2\" class=\"tablepress tablepress-id-2\">\n<thead>\n<tr class=\"row-1 odd\">\n	<th class=\"column-1\">&nbsp;</th><th class=\"column-2\">small</th><th class=\"column-3\">large</th>\n</tr>\n</thead>\n<tbody class=\"row-hover\">\n<tr class=\"row-2 even\">\n	<td class=\"column-1\">Spaghetti and meatballs</td><td class=\"column-2\">5.99</td><td class=\"column-3\">7.99</td>\n</tr>\n<tr class=\"row-3 odd\">\n	<td class=\"column-1\">Chicken alfredo<br />\nFettuccine pasta with Alfredo sauce and grilled cheese.</td><td class=\"column-2\">6.99</td><td class=\"column-3\">8.99</td>\n</tr>\n<tr class=\"row-4 even\">\n	<td class=\"column-1\">Chicken Parmesan<br />\nOur delicious chicken tenders served over spaghetti.</td><td class=\"column-2\">--</td><td class=\"column-3\">9.99</td>\n</tr>\n<tr class=\"row-5 odd\">\n	<td class=\"column-1\">Pasta combo<br />\nYour choice of small pasta served with a garden or Caesar salad and a drink.</td><td class=\"column-2\">--</td><td class=\"column-3\">11.50</td>\n</tr>\n</tbody>\n</table>\n", "no");
INSERT INTO `wp_options` VALUES("160463", "updraft_combine_jobs_around", "1586908800", "yes");
INSERT INTO `wp_options` VALUES("160521", "rewrite_rules", "a:138:{s:19:\"sitemap_index\\.xml$\";s:19:\"index.php?sitemap=1\";s:31:\"([^/]+?)-sitemap([0-9]+)?\\.xml$\";s:51:\"index.php?sitemap=$matches[1]&sitemap_n=$matches[2]\";s:24:\"([a-z]+)?-?sitemap\\.xsl$\";s:39:\"index.php?yoast-sitemap-xsl=$matches[1]\";s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:12:\"flipboxes/?$\";s:29:\"index.php?post_type=flipboxes\";s:42:\"flipboxes/feed/(feed|rdf|rss|rss2|atom)/?$\";s:46:\"index.php?post_type=flipboxes&feed=$matches[1]\";s:37:\"flipboxes/(feed|rdf|rss|rss2|atom)/?$\";s:46:\"index.php?post_type=flipboxes&feed=$matches[1]\";s:29:\"flipboxes/page/([0-9]{1,})/?$\";s:47:\"index.php?post_type=flipboxes&paged=$matches[1]\";s:14:\"html5-blank/?$\";s:31:\"index.php?post_type=html5-blank\";s:44:\"html5-blank/feed/(feed|rdf|rss|rss2|atom)/?$\";s:48:\"index.php?post_type=html5-blank&feed=$matches[1]\";s:39:\"html5-blank/(feed|rdf|rss|rss2|atom)/?$\";s:48:\"index.php?post_type=html5-blank&feed=$matches[1]\";s:31:\"html5-blank/page/([0-9]{1,})/?$\";s:49:\"index.php?post_type=html5-blank&paged=$matches[1]\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:23:\"category/(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:20:\"tag/([^/]+)/embed/?$\";s:36:\"index.php?tag=$matches[1]&embed=true\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:21:\"type/([^/]+)/embed/?$\";s:44:\"index.php?post_format=$matches[1]&embed=true\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:37:\"flipboxes/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:47:\"flipboxes/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:67:\"flipboxes/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:62:\"flipboxes/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:62:\"flipboxes/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:43:\"flipboxes/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:26:\"flipboxes/([^/]+)/embed/?$\";s:42:\"index.php?flipboxes=$matches[1]&embed=true\";s:30:\"flipboxes/([^/]+)/trackback/?$\";s:36:\"index.php?flipboxes=$matches[1]&tb=1\";s:50:\"flipboxes/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:48:\"index.php?flipboxes=$matches[1]&feed=$matches[2]\";s:45:\"flipboxes/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:48:\"index.php?flipboxes=$matches[1]&feed=$matches[2]\";s:38:\"flipboxes/([^/]+)/page/?([0-9]{1,})/?$\";s:49:\"index.php?flipboxes=$matches[1]&paged=$matches[2]\";s:45:\"flipboxes/([^/]+)/comment-page-([0-9]{1,})/?$\";s:49:\"index.php?flipboxes=$matches[1]&cpage=$matches[2]\";s:34:\"flipboxes/([^/]+)(?:/([0-9]+))?/?$\";s:48:\"index.php?flipboxes=$matches[1]&page=$matches[2]\";s:26:\"flipboxes/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:36:\"flipboxes/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:56:\"flipboxes/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:51:\"flipboxes/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:51:\"flipboxes/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:32:\"flipboxes/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:37:\"html5-blank/.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:47:\"html5-blank/.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:67:\"html5-blank/.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:62:\"html5-blank/.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:62:\"html5-blank/.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:43:\"html5-blank/.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:26:\"html5-blank/(.+?)/embed/?$\";s:44:\"index.php?html5-blank=$matches[1]&embed=true\";s:30:\"html5-blank/(.+?)/trackback/?$\";s:38:\"index.php?html5-blank=$matches[1]&tb=1\";s:50:\"html5-blank/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?html5-blank=$matches[1]&feed=$matches[2]\";s:45:\"html5-blank/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?html5-blank=$matches[1]&feed=$matches[2]\";s:38:\"html5-blank/(.+?)/page/?([0-9]{1,})/?$\";s:51:\"index.php?html5-blank=$matches[1]&paged=$matches[2]\";s:45:\"html5-blank/(.+?)/comment-page-([0-9]{1,})/?$\";s:51:\"index.php?html5-blank=$matches[1]&cpage=$matches[2]\";s:34:\"html5-blank/(.+?)(?:/([0-9]+))?/?$\";s:50:\"index.php?html5-blank=$matches[1]&page=$matches[2]\";s:12:\"robots\\.txt$\";s:18:\"index.php?robots=1\";s:13:\"favicon\\.ico$\";s:19:\"index.php?favicon=1\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:27:\"comment-page-([0-9]{1,})/?$\";s:39:\"index.php?&page_id=26&cpage=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:23:\"author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:45:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:32:\"([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:19:\"([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";s:31:\".+?/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:41:\".+?/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:61:\".+?/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:56:\".+?/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:56:\".+?/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:37:\".+?/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:22:\"(.+?)/([^/]+)/embed/?$\";s:63:\"index.php?category_name=$matches[1]&name=$matches[2]&embed=true\";s:26:\"(.+?)/([^/]+)/trackback/?$\";s:57:\"index.php?category_name=$matches[1]&name=$matches[2]&tb=1\";s:46:\"(.+?)/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:69:\"index.php?category_name=$matches[1]&name=$matches[2]&feed=$matches[3]\";s:41:\"(.+?)/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:69:\"index.php?category_name=$matches[1]&name=$matches[2]&feed=$matches[3]\";s:34:\"(.+?)/([^/]+)/page/?([0-9]{1,})/?$\";s:70:\"index.php?category_name=$matches[1]&name=$matches[2]&paged=$matches[3]\";s:41:\"(.+?)/([^/]+)/comment-page-([0-9]{1,})/?$\";s:70:\"index.php?category_name=$matches[1]&name=$matches[2]&cpage=$matches[3]\";s:30:\"(.+?)/([^/]+)(?:/([0-9]+))?/?$\";s:69:\"index.php?category_name=$matches[1]&name=$matches[2]&page=$matches[3]\";s:20:\".+?/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:30:\".+?/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:50:\".+?/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:45:\".+?/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:45:\".+?/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:26:\".+?/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:38:\"(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:33:\"(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:14:\"(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:26:\"(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:33:\"(.+?)/comment-page-([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&cpage=$matches[2]\";s:8:\"(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";}", "yes");
INSERT INTO `wp_options` VALUES("160564", "_transient_timeout_jetpack_https_test", "1586973250", "no");
INSERT INTO `wp_options` VALUES("160565", "_transient_jetpack_https_test", "1", "no");
INSERT INTO `wp_options` VALUES("160566", "_site_transient_timeout_browser_7882d5a5641293bd72253bfbda0286f6", "1587491653", "no");
INSERT INTO `wp_options` VALUES("160567", "_site_transient_browser_7882d5a5641293bd72253bfbda0286f6", "a:10:{s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:13:\"80.0.3987.163\";s:8:\"platform\";s:7:\"Windows\";s:10:\"update_url\";s:29:\"https://www.google.com/chrome\";s:7:\"img_src\";s:43:\"http://s.w.org/images/browsers/chrome.png?1\";s:11:\"img_src_ssl\";s:44:\"https://s.w.org/images/browsers/chrome.png?1\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;s:6:\"mobile\";b:0;}", "no");
INSERT INTO `wp_options` VALUES("160568", "_site_transient_timeout_available_translations", "1586897702", "no");
INSERT INTO `wp_options` VALUES("160569", "_site_transient_available_translations", "a:121:{s:2:\"af\";a:8:{s:8:\"language\";s:2:\"af\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-31 13:46:18\";s:12:\"english_name\";s:9:\"Afrikaans\";s:11:\"native_name\";s:9:\"Afrikaans\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/5.4/af.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"af\";i:2;s:3:\"afr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Gaan voort\";}}s:2:\"ar\";a:8:{s:8:\"language\";s:2:\"ar\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-01 01:35:47\";s:12:\"english_name\";s:6:\"Arabic\";s:11:\"native_name\";s:14:\"العربية\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/5.4/ar.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ar\";i:2;s:3:\"ara\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"المتابعة\";}}s:3:\"ary\";a:8:{s:8:\"language\";s:3:\"ary\";s:7:\"version\";s:5:\"4.7.7\";s:7:\"updated\";s:19:\"2017-01-26 15:42:35\";s:12:\"english_name\";s:15:\"Moroccan Arabic\";s:11:\"native_name\";s:31:\"العربية المغربية\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.7/ary.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ar\";i:3;s:3:\"ary\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"المتابعة\";}}s:2:\"as\";a:8:{s:8:\"language\";s:2:\"as\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-22 18:59:07\";s:12:\"english_name\";s:8:\"Assamese\";s:11:\"native_name\";s:21:\"অসমীয়া\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/as.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"as\";i:2;s:3:\"asm\";i:3;s:3:\"asm\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"az\";a:8:{s:8:\"language\";s:2:\"az\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-06 00:09:27\";s:12:\"english_name\";s:11:\"Azerbaijani\";s:11:\"native_name\";s:16:\"Azərbaycan dili\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/az.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"az\";i:2;s:3:\"aze\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Davam\";}}s:3:\"azb\";a:8:{s:8:\"language\";s:3:\"azb\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-09-12 20:34:31\";s:12:\"english_name\";s:17:\"South Azerbaijani\";s:11:\"native_name\";s:29:\"گؤنئی آذربایجان\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/azb.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"az\";i:3;s:3:\"azb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:3:\"bel\";a:8:{s:8:\"language\";s:3:\"bel\";s:7:\"version\";s:6:\"4.9.13\";s:7:\"updated\";s:19:\"2019-10-29 07:54:22\";s:12:\"english_name\";s:10:\"Belarusian\";s:11:\"native_name\";s:29:\"Беларуская мова\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.9.13/bel.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"be\";i:2;s:3:\"bel\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Працягнуць\";}}s:5:\"bg_BG\";a:8:{s:8:\"language\";s:5:\"bg_BG\";s:7:\"version\";s:5:\"5.3.2\";s:7:\"updated\";s:19:\"2020-01-22 10:57:09\";s:12:\"english_name\";s:9:\"Bulgarian\";s:11:\"native_name\";s:18:\"Български\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.2/bg_BG.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bg\";i:2;s:3:\"bul\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:22:\"Продължение\";}}s:5:\"bn_BD\";a:8:{s:8:\"language\";s:5:\"bn_BD\";s:7:\"version\";s:6:\"4.8.12\";s:7:\"updated\";s:19:\"2017-10-01 12:57:10\";s:12:\"english_name\";s:20:\"Bengali (Bangladesh)\";s:11:\"native_name\";s:15:\"বাংলা\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.8.12/bn_BD.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"bn\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:23:\"এগিয়ে চল.\";}}s:2:\"bo\";a:8:{s:8:\"language\";s:2:\"bo\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-31 12:33:33\";s:12:\"english_name\";s:7:\"Tibetan\";s:11:\"native_name\";s:21:\"བོད་ཡིག\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/5.4/bo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bo\";i:2;s:3:\"tib\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:24:\"མུ་མཐུད།\";}}s:5:\"bs_BA\";a:8:{s:8:\"language\";s:5:\"bs_BA\";s:7:\"version\";s:5:\"5.3.2\";s:7:\"updated\";s:19:\"2020-01-18 19:20:00\";s:12:\"english_name\";s:7:\"Bosnian\";s:11:\"native_name\";s:8:\"Bosanski\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.2/bs_BA.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bs\";i:2;s:3:\"bos\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Nastavi\";}}s:2:\"ca\";a:8:{s:8:\"language\";s:2:\"ca\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-12 05:54:08\";s:12:\"english_name\";s:7:\"Catalan\";s:11:\"native_name\";s:7:\"Català\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/5.4/ca.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ca\";i:2;s:3:\"cat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continua\";}}s:3:\"ceb\";a:8:{s:8:\"language\";s:3:\"ceb\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-02 17:25:51\";s:12:\"english_name\";s:7:\"Cebuano\";s:11:\"native_name\";s:7:\"Cebuano\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/ceb.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"ceb\";i:3;s:3:\"ceb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Padayun\";}}s:5:\"cs_CZ\";a:8:{s:8:\"language\";s:5:\"cs_CZ\";s:7:\"version\";s:5:\"5.3.2\";s:7:\"updated\";s:19:\"2020-01-27 14:39:02\";s:12:\"english_name\";s:5:\"Czech\";s:11:\"native_name\";s:9:\"Čeština\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.2/cs_CZ.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"cs\";i:2;s:3:\"ces\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:11:\"Pokračovat\";}}s:2:\"cy\";a:8:{s:8:\"language\";s:2:\"cy\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-02 08:17:25\";s:12:\"english_name\";s:5:\"Welsh\";s:11:\"native_name\";s:7:\"Cymraeg\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/5.4/cy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"cy\";i:2;s:3:\"cym\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Parhau\";}}s:5:\"da_DK\";a:8:{s:8:\"language\";s:5:\"da_DK\";s:7:\"version\";s:5:\"5.3.2\";s:7:\"updated\";s:19:\"2019-12-15 20:45:17\";s:12:\"english_name\";s:6:\"Danish\";s:11:\"native_name\";s:5:\"Dansk\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.2/da_DK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"da\";i:2;s:3:\"dan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Forts&#230;t\";}}s:5:\"de_AT\";a:8:{s:8:\"language\";s:5:\"de_AT\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-07 21:08:21\";s:12:\"english_name\";s:16:\"German (Austria)\";s:11:\"native_name\";s:21:\"Deutsch (Österreich)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/de_AT.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:5:\"de_DE\";a:8:{s:8:\"language\";s:5:\"de_DE\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-13 20:26:32\";s:12:\"english_name\";s:6:\"German\";s:11:\"native_name\";s:7:\"Deutsch\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/de_DE.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Fortfahren\";}}s:12:\"de_DE_formal\";a:8:{s:8:\"language\";s:12:\"de_DE_formal\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-13 20:26:58\";s:12:\"english_name\";s:15:\"German (Formal)\";s:11:\"native_name\";s:13:\"Deutsch (Sie)\";s:7:\"package\";s:69:\"https://downloads.wordpress.org/translation/core/5.4/de_DE_formal.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Fortfahren\";}}s:5:\"de_CH\";a:8:{s:8:\"language\";s:5:\"de_CH\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-09 09:46:58\";s:12:\"english_name\";s:20:\"German (Switzerland)\";s:11:\"native_name\";s:17:\"Deutsch (Schweiz)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/de_CH.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Fortfahren\";}}s:14:\"de_CH_informal\";a:8:{s:8:\"language\";s:14:\"de_CH_informal\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-09 09:47:26\";s:12:\"english_name\";s:30:\"German (Switzerland, Informal)\";s:11:\"native_name\";s:21:\"Deutsch (Schweiz, Du)\";s:7:\"package\";s:71:\"https://downloads.wordpress.org/translation/core/5.4/de_CH_informal.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:3:\"dzo\";a:8:{s:8:\"language\";s:3:\"dzo\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-06-29 08:59:03\";s:12:\"english_name\";s:8:\"Dzongkha\";s:11:\"native_name\";s:18:\"རྫོང་ཁ\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/dzo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"dz\";i:2;s:3:\"dzo\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"el\";a:8:{s:8:\"language\";s:2:\"el\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-11 18:49:34\";s:12:\"english_name\";s:5:\"Greek\";s:11:\"native_name\";s:16:\"Ελληνικά\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/5.4/el.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"el\";i:2;s:3:\"ell\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"Συνέχεια\";}}s:5:\"en_GB\";a:8:{s:8:\"language\";s:5:\"en_GB\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-07 15:53:44\";s:12:\"english_name\";s:12:\"English (UK)\";s:11:\"native_name\";s:12:\"English (UK)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/en_GB.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_NZ\";a:8:{s:8:\"language\";s:5:\"en_NZ\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-31 22:29:33\";s:12:\"english_name\";s:21:\"English (New Zealand)\";s:11:\"native_name\";s:21:\"English (New Zealand)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/en_NZ.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_CA\";a:8:{s:8:\"language\";s:5:\"en_CA\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-30 14:26:50\";s:12:\"english_name\";s:16:\"English (Canada)\";s:11:\"native_name\";s:16:\"English (Canada)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/en_CA.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_AU\";a:8:{s:8:\"language\";s:5:\"en_AU\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-30 09:33:04\";s:12:\"english_name\";s:19:\"English (Australia)\";s:11:\"native_name\";s:19:\"English (Australia)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/en_AU.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_ZA\";a:8:{s:8:\"language\";s:5:\"en_ZA\";s:7:\"version\";s:5:\"5.2.5\";s:7:\"updated\";s:19:\"2019-06-20 10:05:05\";s:12:\"english_name\";s:22:\"English (South Africa)\";s:11:\"native_name\";s:22:\"English (South Africa)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.2.5/en_ZA.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"eo\";a:8:{s:8:\"language\";s:2:\"eo\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-09 09:50:08\";s:12:\"english_name\";s:9:\"Esperanto\";s:11:\"native_name\";s:9:\"Esperanto\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/5.4/eo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"eo\";i:2;s:3:\"epo\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Daŭrigi\";}}s:5:\"es_PE\";a:8:{s:8:\"language\";s:5:\"es_PE\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-04 01:49:30\";s:12:\"english_name\";s:14:\"Spanish (Peru)\";s:11:\"native_name\";s:17:\"Español de Perú\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/es_PE.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_AR\";a:8:{s:8:\"language\";s:5:\"es_AR\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-26 07:27:41\";s:12:\"english_name\";s:19:\"Spanish (Argentina)\";s:11:\"native_name\";s:21:\"Español de Argentina\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/es_AR.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_ES\";a:8:{s:8:\"language\";s:5:\"es_ES\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-14 07:02:39\";s:12:\"english_name\";s:15:\"Spanish (Spain)\";s:11:\"native_name\";s:8:\"Español\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/es_ES.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_MX\";a:8:{s:8:\"language\";s:5:\"es_MX\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-26 14:31:24\";s:12:\"english_name\";s:16:\"Spanish (Mexico)\";s:11:\"native_name\";s:19:\"Español de México\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/es_MX.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CO\";a:8:{s:8:\"language\";s:5:\"es_CO\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-31 21:27:23\";s:12:\"english_name\";s:18:\"Spanish (Colombia)\";s:11:\"native_name\";s:20:\"Español de Colombia\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/es_CO.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CR\";a:8:{s:8:\"language\";s:5:\"es_CR\";s:7:\"version\";s:5:\"5.3.2\";s:7:\"updated\";s:19:\"2020-02-10 15:47:49\";s:12:\"english_name\";s:20:\"Spanish (Costa Rica)\";s:11:\"native_name\";s:22:\"Español de Costa Rica\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.2/es_CR.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_UY\";a:8:{s:8:\"language\";s:5:\"es_UY\";s:7:\"version\";s:5:\"5.3.2\";s:7:\"updated\";s:19:\"2019-11-12 04:43:11\";s:12:\"english_name\";s:17:\"Spanish (Uruguay)\";s:11:\"native_name\";s:19:\"Español de Uruguay\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.2/es_UY.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CL\";a:8:{s:8:\"language\";s:5:\"es_CL\";s:7:\"version\";s:5:\"5.2.5\";s:7:\"updated\";s:19:\"2019-12-07 04:01:34\";s:12:\"english_name\";s:15:\"Spanish (Chile)\";s:11:\"native_name\";s:17:\"Español de Chile\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.2.5/es_CL.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_GT\";a:8:{s:8:\"language\";s:5:\"es_GT\";s:7:\"version\";s:3:\"5.1\";s:7:\"updated\";s:19:\"2019-03-02 06:35:01\";s:12:\"english_name\";s:19:\"Spanish (Guatemala)\";s:11:\"native_name\";s:21:\"Español de Guatemala\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.1/es_GT.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_VE\";a:8:{s:8:\"language\";s:5:\"es_VE\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-01 12:31:31\";s:12:\"english_name\";s:19:\"Spanish (Venezuela)\";s:11:\"native_name\";s:21:\"Español de Venezuela\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/es_VE.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:2:\"et\";a:8:{s:8:\"language\";s:2:\"et\";s:7:\"version\";s:9:\"5.0-beta3\";s:7:\"updated\";s:19:\"2018-11-28 16:04:33\";s:12:\"english_name\";s:8:\"Estonian\";s:11:\"native_name\";s:5:\"Eesti\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/5.0-beta3/et.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"et\";i:2;s:3:\"est\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Jätka\";}}s:2:\"eu\";a:8:{s:8:\"language\";s:2:\"eu\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-29 06:22:39\";s:12:\"english_name\";s:6:\"Basque\";s:11:\"native_name\";s:7:\"Euskara\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/5.4/eu.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"eu\";i:2;s:3:\"eus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Jarraitu\";}}s:5:\"fa_IR\";a:8:{s:8:\"language\";s:5:\"fa_IR\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-01 16:16:08\";s:12:\"english_name\";s:7:\"Persian\";s:11:\"native_name\";s:10:\"فارسی\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/fa_IR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fa\";i:2;s:3:\"fas\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:2:\"fi\";a:8:{s:8:\"language\";s:2:\"fi\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-31 04:35:33\";s:12:\"english_name\";s:7:\"Finnish\";s:11:\"native_name\";s:5:\"Suomi\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/5.4/fi.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fi\";i:2;s:3:\"fin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Jatka\";}}s:5:\"fr_FR\";a:8:{s:8:\"language\";s:5:\"fr_FR\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-09 12:34:08\";s:12:\"english_name\";s:15:\"French (France)\";s:11:\"native_name\";s:9:\"Français\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/fr_FR.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"fr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:5:\"fr_CA\";a:8:{s:8:\"language\";s:5:\"fr_CA\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-30 00:04:02\";s:12:\"english_name\";s:15:\"French (Canada)\";s:11:\"native_name\";s:19:\"Français du Canada\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/fr_CA.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fr\";i:2;s:3:\"fra\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:5:\"fr_BE\";a:8:{s:8:\"language\";s:5:\"fr_BE\";s:7:\"version\";s:5:\"4.9.5\";s:7:\"updated\";s:19:\"2018-01-31 11:16:06\";s:12:\"english_name\";s:16:\"French (Belgium)\";s:11:\"native_name\";s:21:\"Français de Belgique\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.9.5/fr_BE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fr\";i:2;s:3:\"fra\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:3:\"fur\";a:8:{s:8:\"language\";s:3:\"fur\";s:7:\"version\";s:5:\"4.8.6\";s:7:\"updated\";s:19:\"2018-01-29 17:32:35\";s:12:\"english_name\";s:8:\"Friulian\";s:11:\"native_name\";s:8:\"Friulian\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.8.6/fur.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"fur\";i:3;s:3:\"fur\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"gd\";a:8:{s:8:\"language\";s:2:\"gd\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-08-23 17:41:37\";s:12:\"english_name\";s:15:\"Scottish Gaelic\";s:11:\"native_name\";s:9:\"Gàidhlig\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/gd.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"gd\";i:2;s:3:\"gla\";i:3;s:3:\"gla\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"Lean air adhart\";}}s:5:\"gl_ES\";a:8:{s:8:\"language\";s:5:\"gl_ES\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-28 18:04:12\";s:12:\"english_name\";s:8:\"Galician\";s:11:\"native_name\";s:6:\"Galego\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/gl_ES.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"gl\";i:2;s:3:\"glg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:2:\"gu\";a:8:{s:8:\"language\";s:2:\"gu\";s:7:\"version\";s:5:\"4.9.8\";s:7:\"updated\";s:19:\"2018-09-14 12:33:48\";s:12:\"english_name\";s:8:\"Gujarati\";s:11:\"native_name\";s:21:\"ગુજરાતી\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.9.8/gu.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"gu\";i:2;s:3:\"guj\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:31:\"ચાલુ રાખવું\";}}s:3:\"haz\";a:8:{s:8:\"language\";s:3:\"haz\";s:7:\"version\";s:5:\"4.4.2\";s:7:\"updated\";s:19:\"2015-12-05 00:59:09\";s:12:\"english_name\";s:8:\"Hazaragi\";s:11:\"native_name\";s:15:\"هزاره گی\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.4.2/haz.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"haz\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:5:\"he_IL\";a:8:{s:8:\"language\";s:5:\"he_IL\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-01 09:40:03\";s:12:\"english_name\";s:6:\"Hebrew\";s:11:\"native_name\";s:16:\"עִבְרִית\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/he_IL.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"he\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"להמשיך\";}}s:5:\"hi_IN\";a:8:{s:8:\"language\";s:5:\"hi_IN\";s:7:\"version\";s:5:\"4.9.7\";s:7:\"updated\";s:19:\"2018-06-17 09:33:44\";s:12:\"english_name\";s:5:\"Hindi\";s:11:\"native_name\";s:18:\"हिन्दी\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.9.7/hi_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hi\";i:2;s:3:\"hin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"जारी\";}}s:2:\"hr\";a:8:{s:8:\"language\";s:2:\"hr\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-04 10:17:08\";s:12:\"english_name\";s:8:\"Croatian\";s:11:\"native_name\";s:8:\"Hrvatski\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/5.4/hr.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hr\";i:2;s:3:\"hrv\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Nastavi\";}}s:3:\"hsb\";a:8:{s:8:\"language\";s:3:\"hsb\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-24 17:30:39\";s:12:\"english_name\";s:13:\"Upper Sorbian\";s:11:\"native_name\";s:17:\"Hornjoserbšćina\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/translation/core/5.4/hsb.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"hsb\";i:3;s:3:\"hsb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:4:\"Dale\";}}s:5:\"hu_HU\";a:8:{s:8:\"language\";s:5:\"hu_HU\";s:7:\"version\";s:5:\"5.1.1\";s:7:\"updated\";s:19:\"2019-03-19 14:36:40\";s:12:\"english_name\";s:9:\"Hungarian\";s:11:\"native_name\";s:6:\"Magyar\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.1.1/hu_HU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hu\";i:2;s:3:\"hun\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Tovább\";}}s:2:\"hy\";a:8:{s:8:\"language\";s:2:\"hy\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-12-03 16:21:10\";s:12:\"english_name\";s:8:\"Armenian\";s:11:\"native_name\";s:14:\"Հայերեն\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/hy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hy\";i:2;s:3:\"hye\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Շարունակել\";}}s:5:\"id_ID\";a:8:{s:8:\"language\";s:5:\"id_ID\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-28 23:32:14\";s:12:\"english_name\";s:10:\"Indonesian\";s:11:\"native_name\";s:16:\"Bahasa Indonesia\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/id_ID.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"id\";i:2;s:3:\"ind\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Lanjutkan\";}}s:5:\"is_IS\";a:8:{s:8:\"language\";s:5:\"is_IS\";s:7:\"version\";s:6:\"4.7.11\";s:7:\"updated\";s:19:\"2018-09-20 11:13:37\";s:12:\"english_name\";s:9:\"Icelandic\";s:11:\"native_name\";s:9:\"Íslenska\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.7.11/is_IS.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"is\";i:2;s:3:\"isl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Áfram\";}}s:5:\"it_IT\";a:8:{s:8:\"language\";s:5:\"it_IT\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-14 10:03:06\";s:12:\"english_name\";s:7:\"Italian\";s:11:\"native_name\";s:8:\"Italiano\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/it_IT.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"it\";i:2;s:3:\"ita\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continua\";}}s:2:\"ja\";a:8:{s:8:\"language\";s:2:\"ja\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-13 08:30:11\";s:12:\"english_name\";s:8:\"Japanese\";s:11:\"native_name\";s:9:\"日本語\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/5.4/ja.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"ja\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"続ける\";}}s:5:\"jv_ID\";a:8:{s:8:\"language\";s:5:\"jv_ID\";s:7:\"version\";s:5:\"4.9.5\";s:7:\"updated\";s:19:\"2018-03-24 13:53:29\";s:12:\"english_name\";s:8:\"Javanese\";s:11:\"native_name\";s:9:\"Basa Jawa\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.9.5/jv_ID.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"jv\";i:2;s:3:\"jav\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Nutugne\";}}s:5:\"ka_GE\";a:8:{s:8:\"language\";s:5:\"ka_GE\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-27 08:22:12\";s:12:\"english_name\";s:8:\"Georgian\";s:11:\"native_name\";s:21:\"ქართული\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/ka_GE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ka\";i:2;s:3:\"kat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"გაგრძელება\";}}s:3:\"kab\";a:8:{s:8:\"language\";s:3:\"kab\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-12 14:40:47\";s:12:\"english_name\";s:6:\"Kabyle\";s:11:\"native_name\";s:9:\"Taqbaylit\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/translation/core/5.4/kab.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"kab\";i:3;s:3:\"kab\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:2:\"kk\";a:8:{s:8:\"language\";s:2:\"kk\";s:7:\"version\";s:5:\"4.9.5\";s:7:\"updated\";s:19:\"2018-03-12 08:08:32\";s:12:\"english_name\";s:6:\"Kazakh\";s:11:\"native_name\";s:19:\"Қазақ тілі\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.9.5/kk.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"kk\";i:2;s:3:\"kaz\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Жалғастыру\";}}s:2:\"km\";a:8:{s:8:\"language\";s:2:\"km\";s:7:\"version\";s:5:\"5.0.3\";s:7:\"updated\";s:19:\"2019-01-09 07:34:10\";s:12:\"english_name\";s:5:\"Khmer\";s:11:\"native_name\";s:27:\"ភាសាខ្មែរ\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.0.3/km.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"km\";i:2;s:3:\"khm\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"បន្ត\";}}s:2:\"kn\";a:8:{s:8:\"language\";s:2:\"kn\";s:7:\"version\";s:6:\"4.9.13\";s:7:\"updated\";s:19:\"2019-12-04 12:22:34\";s:12:\"english_name\";s:7:\"Kannada\";s:11:\"native_name\";s:15:\"ಕನ್ನಡ\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.9.13/kn.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"kn\";i:2;s:3:\"kan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"ಮುಂದುವರೆಸಿ\";}}s:5:\"ko_KR\";a:8:{s:8:\"language\";s:5:\"ko_KR\";s:7:\"version\";s:5:\"5.2.5\";s:7:\"updated\";s:19:\"2019-11-05 01:54:57\";s:12:\"english_name\";s:6:\"Korean\";s:11:\"native_name\";s:9:\"한국어\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.2.5/ko_KR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ko\";i:2;s:3:\"kor\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"계속\";}}s:3:\"ckb\";a:8:{s:8:\"language\";s:3:\"ckb\";s:7:\"version\";s:5:\"4.9.9\";s:7:\"updated\";s:19:\"2018-12-18 14:32:44\";s:12:\"english_name\";s:16:\"Kurdish (Sorani)\";s:11:\"native_name\";s:13:\"كوردی‎\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.9.9/ckb.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ku\";i:3;s:3:\"ckb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"به‌رده‌وام به‌\";}}s:2:\"lo\";a:8:{s:8:\"language\";s:2:\"lo\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-12 09:59:23\";s:12:\"english_name\";s:3:\"Lao\";s:11:\"native_name\";s:21:\"ພາສາລາວ\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/lo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lo\";i:2;s:3:\"lao\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"ຕໍ່\";}}s:5:\"lt_LT\";a:8:{s:8:\"language\";s:5:\"lt_LT\";s:7:\"version\";s:5:\"5.2.5\";s:7:\"updated\";s:19:\"2019-10-19 19:23:46\";s:12:\"english_name\";s:10:\"Lithuanian\";s:11:\"native_name\";s:15:\"Lietuvių kalba\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.2.5/lt_LT.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lt\";i:2;s:3:\"lit\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Tęsti\";}}s:2:\"lv\";a:8:{s:8:\"language\";s:2:\"lv\";s:7:\"version\";s:6:\"4.7.15\";s:7:\"updated\";s:19:\"2019-05-10 10:24:08\";s:12:\"english_name\";s:7:\"Latvian\";s:11:\"native_name\";s:16:\"Latviešu valoda\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.15/lv.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lv\";i:2;s:3:\"lav\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Turpināt\";}}s:5:\"mk_MK\";a:8:{s:8:\"language\";s:5:\"mk_MK\";s:7:\"version\";s:5:\"5.2.3\";s:7:\"updated\";s:19:\"2019-09-08 12:57:25\";s:12:\"english_name\";s:10:\"Macedonian\";s:11:\"native_name\";s:31:\"Македонски јазик\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.2.3/mk_MK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mk\";i:2;s:3:\"mkd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"Продолжи\";}}s:5:\"ml_IN\";a:8:{s:8:\"language\";s:5:\"ml_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-27 03:43:32\";s:12:\"english_name\";s:9:\"Malayalam\";s:11:\"native_name\";s:18:\"മലയാളം\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/ml_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ml\";i:2;s:3:\"mal\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:18:\"തുടരുക\";}}s:2:\"mn\";a:8:{s:8:\"language\";s:2:\"mn\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-12 07:29:35\";s:12:\"english_name\";s:9:\"Mongolian\";s:11:\"native_name\";s:12:\"Монгол\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/mn.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mn\";i:2;s:3:\"mon\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:24:\"Үргэлжлүүлэх\";}}s:2:\"mr\";a:8:{s:8:\"language\";s:2:\"mr\";s:7:\"version\";s:6:\"4.8.11\";s:7:\"updated\";s:19:\"2018-02-13 07:38:55\";s:12:\"english_name\";s:7:\"Marathi\";s:11:\"native_name\";s:15:\"मराठी\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.8.11/mr.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mr\";i:2;s:3:\"mar\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"सुरु ठेवा\";}}s:5:\"ms_MY\";a:8:{s:8:\"language\";s:5:\"ms_MY\";s:7:\"version\";s:5:\"4.9.8\";s:7:\"updated\";s:19:\"2018-08-30 20:27:25\";s:12:\"english_name\";s:5:\"Malay\";s:11:\"native_name\";s:13:\"Bahasa Melayu\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.9.8/ms_MY.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ms\";i:2;s:3:\"msa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Teruskan\";}}s:5:\"my_MM\";a:8:{s:8:\"language\";s:5:\"my_MM\";s:7:\"version\";s:6:\"4.1.20\";s:7:\"updated\";s:19:\"2015-03-26 15:57:42\";s:12:\"english_name\";s:17:\"Myanmar (Burmese)\";s:11:\"native_name\";s:15:\"ဗမာစာ\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.1.20/my_MM.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"my\";i:2;s:3:\"mya\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:54:\"ဆက်လက်လုပ်ေဆာင်ပါ။\";}}s:5:\"nb_NO\";a:8:{s:8:\"language\";s:5:\"nb_NO\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-31 23:44:30\";s:12:\"english_name\";s:19:\"Norwegian (Bokmål)\";s:11:\"native_name\";s:13:\"Norsk bokmål\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/nb_NO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nb\";i:2;s:3:\"nob\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Fortsett\";}}s:5:\"ne_NP\";a:8:{s:8:\"language\";s:5:\"ne_NP\";s:7:\"version\";s:5:\"4.9.5\";s:7:\"updated\";s:19:\"2018-03-27 10:30:26\";s:12:\"english_name\";s:6:\"Nepali\";s:11:\"native_name\";s:18:\"नेपाली\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.9.5/ne_NP.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ne\";i:2;s:3:\"nep\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:31:\"जारीराख्नु \";}}s:5:\"nl_BE\";a:8:{s:8:\"language\";s:5:\"nl_BE\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-01 15:32:20\";s:12:\"english_name\";s:15:\"Dutch (Belgium)\";s:11:\"native_name\";s:20:\"Nederlands (België)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/nl_BE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:12:\"nl_NL_formal\";a:8:{s:8:\"language\";s:12:\"nl_NL_formal\";s:7:\"version\";s:5:\"5.3.2\";s:7:\"updated\";s:19:\"2019-12-15 20:22:22\";s:12:\"english_name\";s:14:\"Dutch (Formal)\";s:11:\"native_name\";s:20:\"Nederlands (Formeel)\";s:7:\"package\";s:71:\"https://downloads.wordpress.org/translation/core/5.3.2/nl_NL_formal.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:5:\"nl_NL\";a:8:{s:8:\"language\";s:5:\"nl_NL\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-01 08:16:51\";s:12:\"english_name\";s:5:\"Dutch\";s:11:\"native_name\";s:10:\"Nederlands\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/nl_NL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:5:\"nn_NO\";a:8:{s:8:\"language\";s:5:\"nn_NO\";s:7:\"version\";s:5:\"5.3.2\";s:7:\"updated\";s:19:\"2020-01-01 08:53:00\";s:12:\"english_name\";s:19:\"Norwegian (Nynorsk)\";s:11:\"native_name\";s:13:\"Norsk nynorsk\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.2/nn_NO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nn\";i:2;s:3:\"nno\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Hald fram\";}}s:3:\"oci\";a:8:{s:8:\"language\";s:3:\"oci\";s:7:\"version\";s:5:\"4.8.3\";s:7:\"updated\";s:19:\"2017-08-25 10:03:08\";s:12:\"english_name\";s:7:\"Occitan\";s:11:\"native_name\";s:7:\"Occitan\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.8.3/oci.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"oc\";i:2;s:3:\"oci\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Contunhar\";}}s:5:\"pa_IN\";a:8:{s:8:\"language\";s:5:\"pa_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-16 05:19:43\";s:12:\"english_name\";s:7:\"Punjabi\";s:11:\"native_name\";s:18:\"ਪੰਜਾਬੀ\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/pa_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pa\";i:2;s:3:\"pan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"ਜਾਰੀ ਰੱਖੋ\";}}s:5:\"pl_PL\";a:8:{s:8:\"language\";s:5:\"pl_PL\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-09 11:52:58\";s:12:\"english_name\";s:6:\"Polish\";s:11:\"native_name\";s:6:\"Polski\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/pl_PL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pl\";i:2;s:3:\"pol\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Kontynuuj\";}}s:2:\"ps\";a:8:{s:8:\"language\";s:2:\"ps\";s:7:\"version\";s:6:\"4.1.20\";s:7:\"updated\";s:19:\"2015-03-29 22:19:48\";s:12:\"english_name\";s:6:\"Pashto\";s:11:\"native_name\";s:8:\"پښتو\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.1.20/ps.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ps\";i:2;s:3:\"pus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"دوام\";}}s:10:\"pt_PT_ao90\";a:8:{s:8:\"language\";s:10:\"pt_PT_ao90\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-30 09:19:21\";s:12:\"english_name\";s:27:\"Portuguese (Portugal, AO90)\";s:11:\"native_name\";s:17:\"Português (AO90)\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.4/pt_PT_ao90.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"pt_PT\";a:8:{s:8:\"language\";s:5:\"pt_PT\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-30 01:38:35\";s:12:\"english_name\";s:21:\"Portuguese (Portugal)\";s:11:\"native_name\";s:10:\"Português\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/pt_PT.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"pt_AO\";a:8:{s:8:\"language\";s:5:\"pt_AO\";s:7:\"version\";s:5:\"5.3.2\";s:7:\"updated\";s:19:\"2019-12-14 08:20:00\";s:12:\"english_name\";s:19:\"Portuguese (Angola)\";s:11:\"native_name\";s:20:\"Português de Angola\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.2/pt_AO.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"pt_BR\";a:8:{s:8:\"language\";s:5:\"pt_BR\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-31 21:55:46\";s:12:\"english_name\";s:19:\"Portuguese (Brazil)\";s:11:\"native_name\";s:20:\"Português do Brasil\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/pt_BR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pt\";i:2;s:3:\"por\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:3:\"rhg\";a:8:{s:8:\"language\";s:3:\"rhg\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-16 13:03:18\";s:12:\"english_name\";s:8:\"Rohingya\";s:11:\"native_name\";s:8:\"Ruáinga\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/rhg.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"rhg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"ro_RO\";a:8:{s:8:\"language\";s:5:\"ro_RO\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-09 08:30:47\";s:12:\"english_name\";s:8:\"Romanian\";s:11:\"native_name\";s:8:\"Română\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/ro_RO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ro\";i:2;s:3:\"ron\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuă\";}}s:5:\"ru_RU\";a:8:{s:8:\"language\";s:5:\"ru_RU\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-24 17:05:08\";s:12:\"english_name\";s:7:\"Russian\";s:11:\"native_name\";s:14:\"Русский\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/ru_RU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ru\";i:2;s:3:\"rus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Продолжить\";}}s:3:\"sah\";a:8:{s:8:\"language\";s:3:\"sah\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-21 02:06:41\";s:12:\"english_name\";s:5:\"Sakha\";s:11:\"native_name\";s:14:\"Сахалыы\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/sah.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"sah\";i:3;s:3:\"sah\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Салҕаа\";}}s:3:\"snd\";a:8:{s:8:\"language\";s:3:\"snd\";s:7:\"version\";s:3:\"5.3\";s:7:\"updated\";s:19:\"2019-11-12 04:37:38\";s:12:\"english_name\";s:6:\"Sindhi\";s:11:\"native_name\";s:8:\"سنڌي\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/translation/core/5.3/snd.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"sd\";i:2;s:2:\"sd\";i:3;s:3:\"snd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"اڳتي هلو\";}}s:5:\"si_LK\";a:8:{s:8:\"language\";s:5:\"si_LK\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-12 06:00:52\";s:12:\"english_name\";s:7:\"Sinhala\";s:11:\"native_name\";s:15:\"සිංහල\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/si_LK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"si\";i:2;s:3:\"sin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:44:\"දිගටම කරගෙන යන්න\";}}s:5:\"sk_SK\";a:8:{s:8:\"language\";s:5:\"sk_SK\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-27 07:55:40\";s:12:\"english_name\";s:6:\"Slovak\";s:11:\"native_name\";s:11:\"Slovenčina\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/sk_SK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sk\";i:2;s:3:\"slk\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Pokračovať\";}}s:3:\"skr\";a:8:{s:8:\"language\";s:3:\"skr\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-25 13:08:23\";s:12:\"english_name\";s:7:\"Saraiki\";s:11:\"native_name\";s:14:\"سرائیکی\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/translation/core/5.4/skr.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"skr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:17:\"جاری رکھو\";}}s:5:\"sl_SI\";a:8:{s:8:\"language\";s:5:\"sl_SI\";s:7:\"version\";s:5:\"4.9.2\";s:7:\"updated\";s:19:\"2018-01-04 13:33:13\";s:12:\"english_name\";s:9:\"Slovenian\";s:11:\"native_name\";s:13:\"Slovenščina\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.9.2/sl_SI.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sl\";i:2;s:3:\"slv\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Nadaljujte\";}}s:2:\"sq\";a:8:{s:8:\"language\";s:2:\"sq\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-08 13:12:01\";s:12:\"english_name\";s:8:\"Albanian\";s:11:\"native_name\";s:5:\"Shqip\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/5.4/sq.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sq\";i:2;s:3:\"sqi\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Vazhdo\";}}s:5:\"sr_RS\";a:8:{s:8:\"language\";s:5:\"sr_RS\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-01 01:42:23\";s:12:\"english_name\";s:7:\"Serbian\";s:11:\"native_name\";s:23:\"Српски језик\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/sr_RS.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sr\";i:2;s:3:\"srp\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:14:\"Настави\";}}s:5:\"sv_SE\";a:8:{s:8:\"language\";s:5:\"sv_SE\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-24 17:02:49\";s:12:\"english_name\";s:7:\"Swedish\";s:11:\"native_name\";s:7:\"Svenska\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/sv_SE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sv\";i:2;s:3:\"swe\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Fortsätt\";}}s:2:\"sw\";a:8:{s:8:\"language\";s:2:\"sw\";s:7:\"version\";s:5:\"5.2.5\";s:7:\"updated\";s:19:\"2019-10-22 00:19:41\";s:12:\"english_name\";s:7:\"Swahili\";s:11:\"native_name\";s:9:\"Kiswahili\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.2.5/sw.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sw\";i:2;s:3:\"swa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Endelea\";}}s:3:\"szl\";a:8:{s:8:\"language\";s:3:\"szl\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-09-24 19:58:14\";s:12:\"english_name\";s:8:\"Silesian\";s:11:\"native_name\";s:17:\"Ślōnskŏ gŏdka\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/szl.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"szl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:13:\"Kōntynuować\";}}s:5:\"ta_IN\";a:8:{s:8:\"language\";s:5:\"ta_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-27 03:22:47\";s:12:\"english_name\";s:5:\"Tamil\";s:11:\"native_name\";s:15:\"தமிழ்\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/ta_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ta\";i:2;s:3:\"tam\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:24:\"தொடரவும்\";}}s:2:\"te\";a:8:{s:8:\"language\";s:2:\"te\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-26 15:47:39\";s:12:\"english_name\";s:6:\"Telugu\";s:11:\"native_name\";s:18:\"తెలుగు\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/te.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"te\";i:2;s:3:\"tel\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"కొనసాగించు\";}}s:2:\"th\";a:8:{s:8:\"language\";s:2:\"th\";s:7:\"version\";s:5:\"5.2.4\";s:7:\"updated\";s:19:\"2019-10-19 08:19:37\";s:12:\"english_name\";s:4:\"Thai\";s:11:\"native_name\";s:9:\"ไทย\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.2.4/th.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"th\";i:2;s:3:\"tha\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"ต่อไป\";}}s:2:\"tl\";a:8:{s:8:\"language\";s:2:\"tl\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-12-30 02:38:08\";s:12:\"english_name\";s:7:\"Tagalog\";s:11:\"native_name\";s:7:\"Tagalog\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/tl.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tl\";i:2;s:3:\"tgl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Magpatuloy\";}}s:5:\"tr_TR\";a:8:{s:8:\"language\";s:5:\"tr_TR\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-13 20:18:20\";s:12:\"english_name\";s:7:\"Turkish\";s:11:\"native_name\";s:8:\"Türkçe\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/tr_TR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tr\";i:2;s:3:\"tur\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Devam\";}}s:5:\"tt_RU\";a:8:{s:8:\"language\";s:5:\"tt_RU\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-20 20:20:50\";s:12:\"english_name\";s:5:\"Tatar\";s:11:\"native_name\";s:19:\"Татар теле\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/tt_RU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tt\";i:2;s:3:\"tat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:17:\"дәвам итү\";}}s:3:\"tah\";a:8:{s:8:\"language\";s:3:\"tah\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-06 18:39:39\";s:12:\"english_name\";s:8:\"Tahitian\";s:11:\"native_name\";s:10:\"Reo Tahiti\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/tah.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"ty\";i:2;s:3:\"tah\";i:3;s:3:\"tah\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"ug_CN\";a:8:{s:8:\"language\";s:5:\"ug_CN\";s:7:\"version\";s:5:\"4.9.5\";s:7:\"updated\";s:19:\"2018-04-12 12:31:53\";s:12:\"english_name\";s:6:\"Uighur\";s:11:\"native_name\";s:16:\"ئۇيغۇرچە\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.9.5/ug_CN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ug\";i:2;s:3:\"uig\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:26:\"داۋاملاشتۇرۇش\";}}s:2:\"uk\";a:8:{s:8:\"language\";s:2:\"uk\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-04-13 09:37:25\";s:12:\"english_name\";s:9:\"Ukrainian\";s:11:\"native_name\";s:20:\"Українська\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/5.4/uk.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"uk\";i:2;s:3:\"ukr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Продовжити\";}}s:2:\"ur\";a:8:{s:8:\"language\";s:2:\"ur\";s:7:\"version\";s:5:\"5.1.4\";s:7:\"updated\";s:19:\"2020-04-09 10:48:08\";s:12:\"english_name\";s:4:\"Urdu\";s:11:\"native_name\";s:8:\"اردو\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.1.4/ur.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ur\";i:2;s:3:\"urd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:19:\"جاری رکھیں\";}}s:5:\"uz_UZ\";a:8:{s:8:\"language\";s:5:\"uz_UZ\";s:7:\"version\";s:5:\"5.0.8\";s:7:\"updated\";s:19:\"2019-01-23 12:32:40\";s:12:\"english_name\";s:5:\"Uzbek\";s:11:\"native_name\";s:11:\"O‘zbekcha\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.0.8/uz_UZ.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"uz\";i:2;s:3:\"uzb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Продолжить\";}}s:2:\"vi\";a:8:{s:8:\"language\";s:2:\"vi\";s:7:\"version\";s:5:\"5.3.2\";s:7:\"updated\";s:19:\"2019-12-07 15:52:24\";s:12:\"english_name\";s:10:\"Vietnamese\";s:11:\"native_name\";s:14:\"Tiếng Việt\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.3.2/vi.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"vi\";i:2;s:3:\"vie\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Tiếp tục\";}}s:5:\"zh_TW\";a:8:{s:8:\"language\";s:5:\"zh_TW\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-26 15:11:53\";s:12:\"english_name\";s:16:\"Chinese (Taiwan)\";s:11:\"native_name\";s:12:\"繁體中文\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/zh_TW.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"繼續\";}}s:5:\"zh_HK\";a:8:{s:8:\"language\";s:5:\"zh_HK\";s:7:\"version\";s:5:\"5.3.2\";s:7:\"updated\";s:19:\"2020-03-08 12:12:22\";s:12:\"english_name\";s:19:\"Chinese (Hong Kong)\";s:11:\"native_name\";s:16:\"香港中文版	\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.3.2/zh_HK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"繼續\";}}s:5:\"zh_CN\";a:8:{s:8:\"language\";s:5:\"zh_CN\";s:7:\"version\";s:3:\"5.4\";s:7:\"updated\";s:19:\"2020-03-30 20:54:59\";s:12:\"english_name\";s:15:\"Chinese (China)\";s:11:\"native_name\";s:12:\"简体中文\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4/zh_CN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"继续\";}}}", "no");
INSERT INTO `wp_options` VALUES("160598", "_site_transient_timeout_theme_roots", "1586904710", "no");
INSERT INTO `wp_options` VALUES("160599", "_site_transient_theme_roots", "a:8:{s:6:\"backup\";s:7:\"/themes\";s:11:\"bucks-child\";s:7:\"/themes\";s:17:\"spartan-framework\";s:7:\"/themes\";s:13:\"twentyfifteen\";s:7:\"/themes\";s:14:\"twentyfourteen\";s:7:\"/themes\";s:14:\"twentynineteen\";s:7:\"/themes\";s:14:\"twentythirteen\";s:7:\"/themes\";s:12:\"twentytwenty\";s:7:\"/themes\";}", "no");
INSERT INTO `wp_options` VALUES("160600", "_site_transient_update_plugins", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1586902911;s:7:\"checked\";a:27:{s:39:\"5sec-google-maps-pro/5sec-gmaps-pro.php\";s:4:\"1.40\";s:33:\"classic-editor/classic-editor.php\";s:3:\"1.5\";s:36:\"contact-form-7/wp-contact-form-7.php\";s:5:\"5.1.7\";s:25:\"duplicator/duplicator.php\";s:6:\"1.3.28\";s:24:\"flip-boxes/flipboxes.php\";s:5:\"1.6.2\";s:43:\"google-analytics-dashboard-for-wp/gadwp.php\";s:5:\"6.0.2\";s:35:\"store-locator-old/store-locator.php\";s:5:\"3.100\";s:23:\"slider-image/slider.php\";s:5:\"4.0.6\";s:19:\"jetpack/jetpack.php\";s:5:\"8.4.1\";s:27:\"leaflet-map/leaflet-map.php\";s:6:\"2.17.1\";s:17:\"poll-wp/index.php\";s:5:\"1.3.2\";s:39:\"social-polls-by-opinionstage/plugin.php\";s:7:\"19.6.35\";s:36:\"quiz-master-next/mlw_quizmaster2.php\";s:5:\"6.4.7\";s:47:\"really-simple-ssl/rlrsssl-really-simple-ssl.php\";s:5:\"3.3.1\";s:27:\"redirection/redirection.php\";s:5:\"4.7.1\";s:35:\"reveal-template/reveal-template.php\";s:5:\"3.4.2\";s:33:\"seo-automatic-links/seo-links.php\";s:5:\"3.0.1\";s:47:\"show-current-template/show-current-template.php\";s:5:\"0.3.3\";s:43:\"simple-audio-player/simple-audio-player.php\";s:3:\"0.2\";s:33:\"string-locator/string-locator.php\";s:5:\"2.3.1\";s:25:\"tablepress/tablepress.php\";s:4:\"1.11\";s:27:\"updraftplus/updraftplus.php\";s:8:\"2.15.3.0\";s:48:\"wp-survey-and-poll/wordpress-survey-and-poll.php\";s:7:\"1.5.8.3\";s:27:\"wp-optimize/wp-optimize.php\";s:6:\"3.0.19\";s:31:\"wp-google-maps/wpGoogleMaps.php\";s:6:\"8.0.22\";s:37:\"wp-store-locator/wp-store-locator.php\";s:7:\"2.2.232\";s:24:\"wordpress-seo/wp-seo.php\";s:4:\"13.5\";}s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:23:{s:33:\"classic-editor/classic-editor.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:28:\"w.org/plugins/classic-editor\";s:4:\"slug\";s:14:\"classic-editor\";s:6:\"plugin\";s:33:\"classic-editor/classic-editor.php\";s:11:\"new_version\";s:3:\"1.5\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/classic-editor/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/classic-editor.1.5.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/classic-editor/assets/icon-256x256.png?rev=1998671\";s:2:\"1x\";s:67:\"https://ps.w.org/classic-editor/assets/icon-128x128.png?rev=1998671\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:70:\"https://ps.w.org/classic-editor/assets/banner-1544x500.png?rev=1998671\";s:2:\"1x\";s:69:\"https://ps.w.org/classic-editor/assets/banner-772x250.png?rev=1998676\";}s:11:\"banners_rtl\";a:0:{}}s:36:\"contact-form-7/wp-contact-form-7.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:28:\"w.org/plugins/contact-form-7\";s:4:\"slug\";s:14:\"contact-form-7\";s:6:\"plugin\";s:36:\"contact-form-7/wp-contact-form-7.php\";s:11:\"new_version\";s:5:\"5.1.7\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/contact-form-7/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/plugin/contact-form-7.5.1.7.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/contact-form-7/assets/icon-256x256.png?rev=2279696\";s:2:\"1x\";s:67:\"https://ps.w.org/contact-form-7/assets/icon-128x128.png?rev=2279696\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:69:\"https://ps.w.org/contact-form-7/assets/banner-1544x500.png?rev=860901\";s:2:\"1x\";s:68:\"https://ps.w.org/contact-form-7/assets/banner-772x250.png?rev=880427\";}s:11:\"banners_rtl\";a:0:{}}s:25:\"duplicator/duplicator.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:24:\"w.org/plugins/duplicator\";s:4:\"slug\";s:10:\"duplicator\";s:6:\"plugin\";s:25:\"duplicator/duplicator.php\";s:11:\"new_version\";s:6:\"1.3.28\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/duplicator/\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/plugin/duplicator.1.3.28.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/duplicator/assets/icon-256x256.png?rev=2083921\";s:2:\"1x\";s:63:\"https://ps.w.org/duplicator/assets/icon-128x128.png?rev=2083921\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:65:\"https://ps.w.org/duplicator/assets/banner-772x250.png?rev=2085472\";}s:11:\"banners_rtl\";a:0:{}}s:24:\"flip-boxes/flipboxes.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:24:\"w.org/plugins/flip-boxes\";s:4:\"slug\";s:10:\"flip-boxes\";s:6:\"plugin\";s:24:\"flip-boxes/flipboxes.php\";s:11:\"new_version\";s:5:\"1.6.2\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/flip-boxes/\";s:7:\"package\";s:53:\"https://downloads.wordpress.org/plugin/flip-boxes.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/flip-boxes/assets/icon-256x256.jpg?rev=1769021\";s:2:\"1x\";s:63:\"https://ps.w.org/flip-boxes/assets/icon-128x128.jpg?rev=1769021\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:66:\"https://ps.w.org/flip-boxes/assets/banner-1544x500.jpg?rev=1769021\";s:2:\"1x\";s:65:\"https://ps.w.org/flip-boxes/assets/banner-772x250.jpg?rev=1769021\";}s:11:\"banners_rtl\";a:0:{}}s:43:\"google-analytics-dashboard-for-wp/gadwp.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:47:\"w.org/plugins/google-analytics-dashboard-for-wp\";s:4:\"slug\";s:33:\"google-analytics-dashboard-for-wp\";s:6:\"plugin\";s:43:\"google-analytics-dashboard-for-wp/gadwp.php\";s:11:\"new_version\";s:5:\"6.0.2\";s:3:\"url\";s:64:\"https://wordpress.org/plugins/google-analytics-dashboard-for-wp/\";s:7:\"package\";s:82:\"https://downloads.wordpress.org/plugin/google-analytics-dashboard-for-wp.6.0.2.zip\";s:5:\"icons\";a:3:{s:2:\"2x\";s:86:\"https://ps.w.org/google-analytics-dashboard-for-wp/assets/icon-256x256.png?rev=2243225\";s:2:\"1x\";s:78:\"https://ps.w.org/google-analytics-dashboard-for-wp/assets/icon.svg?rev=2243225\";s:3:\"svg\";s:78:\"https://ps.w.org/google-analytics-dashboard-for-wp/assets/icon.svg?rev=2243225\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:89:\"https://ps.w.org/google-analytics-dashboard-for-wp/assets/banner-1544x500.png?rev=2243446\";s:2:\"1x\";s:88:\"https://ps.w.org/google-analytics-dashboard-for-wp/assets/banner-772x250.png?rev=2243446\";}s:11:\"banners_rtl\";a:0:{}}s:19:\"jetpack/jetpack.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:21:\"w.org/plugins/jetpack\";s:4:\"slug\";s:7:\"jetpack\";s:6:\"plugin\";s:19:\"jetpack/jetpack.php\";s:11:\"new_version\";s:5:\"8.4.1\";s:3:\"url\";s:38:\"https://wordpress.org/plugins/jetpack/\";s:7:\"package\";s:56:\"https://downloads.wordpress.org/plugin/jetpack.8.4.1.zip\";s:5:\"icons\";a:3:{s:2:\"2x\";s:60:\"https://ps.w.org/jetpack/assets/icon-256x256.png?rev=1791404\";s:2:\"1x\";s:52:\"https://ps.w.org/jetpack/assets/icon.svg?rev=1791404\";s:3:\"svg\";s:52:\"https://ps.w.org/jetpack/assets/icon.svg?rev=1791404\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/jetpack/assets/banner-1544x500.png?rev=1791404\";s:2:\"1x\";s:62:\"https://ps.w.org/jetpack/assets/banner-772x250.png?rev=1791404\";}s:11:\"banners_rtl\";a:0:{}}s:27:\"leaflet-map/leaflet-map.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:25:\"w.org/plugins/leaflet-map\";s:4:\"slug\";s:11:\"leaflet-map\";s:6:\"plugin\";s:27:\"leaflet-map/leaflet-map.php\";s:11:\"new_version\";s:6:\"2.17.1\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/leaflet-map/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/leaflet-map.2.17.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:64:\"https://ps.w.org/leaflet-map/assets/icon-256x256.png?rev=1693083\";s:2:\"1x\";s:64:\"https://ps.w.org/leaflet-map/assets/icon-128x128.png?rev=1693083\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/leaflet-map/assets/banner-1544x500.png?rev=1693083\";s:2:\"1x\";s:66:\"https://ps.w.org/leaflet-map/assets/banner-772x250.png?rev=1693083\";}s:11:\"banners_rtl\";a:0:{}}s:39:\"social-polls-by-opinionstage/plugin.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:42:\"w.org/plugins/social-polls-by-opinionstage\";s:4:\"slug\";s:28:\"social-polls-by-opinionstage\";s:6:\"plugin\";s:39:\"social-polls-by-opinionstage/plugin.php\";s:11:\"new_version\";s:7:\"19.6.35\";s:3:\"url\";s:59:\"https://wordpress.org/plugins/social-polls-by-opinionstage/\";s:7:\"package\";s:79:\"https://downloads.wordpress.org/plugin/social-polls-by-opinionstage.19.6.35.zip\";s:5:\"icons\";a:1:{s:2:\"1x\";s:81:\"https://ps.w.org/social-polls-by-opinionstage/assets/icon-128x128.png?rev=2112599\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:84:\"https://ps.w.org/social-polls-by-opinionstage/assets/banner-1544x500.png?rev=2243212\";s:2:\"1x\";s:83:\"https://ps.w.org/social-polls-by-opinionstage/assets/banner-772x250.png?rev=2243212\";}s:11:\"banners_rtl\";a:0:{}}s:36:\"quiz-master-next/mlw_quizmaster2.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:30:\"w.org/plugins/quiz-master-next\";s:4:\"slug\";s:16:\"quiz-master-next\";s:6:\"plugin\";s:36:\"quiz-master-next/mlw_quizmaster2.php\";s:11:\"new_version\";s:5:\"6.4.7\";s:3:\"url\";s:47:\"https://wordpress.org/plugins/quiz-master-next/\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/plugin/quiz-master-next.6.4.7.zip\";s:5:\"icons\";a:1:{s:2:\"1x\";s:69:\"https://ps.w.org/quiz-master-next/assets/icon-128x128.png?rev=1876099\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:71:\"https://ps.w.org/quiz-master-next/assets/banner-772x250.png?rev=2251757\";}s:11:\"banners_rtl\";a:0:{}}s:47:\"really-simple-ssl/rlrsssl-really-simple-ssl.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:31:\"w.org/plugins/really-simple-ssl\";s:4:\"slug\";s:17:\"really-simple-ssl\";s:6:\"plugin\";s:47:\"really-simple-ssl/rlrsssl-really-simple-ssl.php\";s:11:\"new_version\";s:5:\"3.3.1\";s:3:\"url\";s:48:\"https://wordpress.org/plugins/really-simple-ssl/\";s:7:\"package\";s:66:\"https://downloads.wordpress.org/plugin/really-simple-ssl.3.3.1.zip\";s:5:\"icons\";a:1:{s:2:\"1x\";s:70:\"https://ps.w.org/really-simple-ssl/assets/icon-128x128.png?rev=1782452\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:73:\"https://ps.w.org/really-simple-ssl/assets/banner-1544x500.png?rev=2263742\";s:2:\"1x\";s:72:\"https://ps.w.org/really-simple-ssl/assets/banner-772x250.jpg?rev=1881345\";}s:11:\"banners_rtl\";a:0:{}}s:27:\"redirection/redirection.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:25:\"w.org/plugins/redirection\";s:4:\"slug\";s:11:\"redirection\";s:6:\"plugin\";s:27:\"redirection/redirection.php\";s:11:\"new_version\";s:5:\"4.7.1\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/redirection/\";s:7:\"package\";s:54:\"https://downloads.wordpress.org/plugin/redirection.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/redirection/assets/icon-256x256.jpg?rev=983639\";s:2:\"1x\";s:63:\"https://ps.w.org/redirection/assets/icon-128x128.jpg?rev=983640\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:66:\"https://ps.w.org/redirection/assets/banner-1544x500.jpg?rev=983641\";s:2:\"1x\";s:65:\"https://ps.w.org/redirection/assets/banner-772x250.jpg?rev=983642\";}s:11:\"banners_rtl\";a:0:{}}s:35:\"reveal-template/reveal-template.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:29:\"w.org/plugins/reveal-template\";s:4:\"slug\";s:15:\"reveal-template\";s:6:\"plugin\";s:35:\"reveal-template/reveal-template.php\";s:11:\"new_version\";s:5:\"3.4.2\";s:3:\"url\";s:46:\"https://wordpress.org/plugins/reveal-template/\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/plugin/reveal-template.3.4.2.zip\";s:5:\"icons\";a:1:{s:2:\"1x\";s:68:\"https://ps.w.org/reveal-template/assets/icon-128x128.png?rev=1094985\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:69:\"https://ps.w.org/reveal-template/assets/banner-772x250.png?rev=829579\";}s:11:\"banners_rtl\";a:0:{}}s:33:\"seo-automatic-links/seo-links.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:33:\"w.org/plugins/seo-automatic-links\";s:4:\"slug\";s:19:\"seo-automatic-links\";s:6:\"plugin\";s:33:\"seo-automatic-links/seo-links.php\";s:11:\"new_version\";s:5:\"3.0.1\";s:3:\"url\";s:50:\"https://wordpress.org/plugins/seo-automatic-links/\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/plugin/seo-automatic-links.zip\";s:5:\"icons\";a:1:{s:2:\"1x\";s:72:\"https://ps.w.org/seo-automatic-links/assets/icon-128x128.jpg?rev=1048374\";}s:7:\"banners\";a:0:{}s:11:\"banners_rtl\";a:0:{}}s:47:\"show-current-template/show-current-template.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:35:\"w.org/plugins/show-current-template\";s:4:\"slug\";s:21:\"show-current-template\";s:6:\"plugin\";s:47:\"show-current-template/show-current-template.php\";s:11:\"new_version\";s:5:\"0.3.3\";s:3:\"url\";s:52:\"https://wordpress.org/plugins/show-current-template/\";s:7:\"package\";s:70:\"https://downloads.wordpress.org/plugin/show-current-template.0.3.3.zip\";s:5:\"icons\";a:3:{s:2:\"2x\";s:73:\"https://ps.w.org/show-current-template/assets/icon-256x256.png?rev=976031\";s:2:\"1x\";s:65:\"https://ps.w.org/show-current-template/assets/icon.svg?rev=976031\";s:3:\"svg\";s:65:\"https://ps.w.org/show-current-template/assets/icon.svg?rev=976031\";}s:7:\"banners\";a:0:{}s:11:\"banners_rtl\";a:0:{}}s:43:\"simple-audio-player/simple-audio-player.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:33:\"w.org/plugins/simple-audio-player\";s:4:\"slug\";s:19:\"simple-audio-player\";s:6:\"plugin\";s:43:\"simple-audio-player/simple-audio-player.php\";s:11:\"new_version\";s:3:\"0.2\";s:3:\"url\";s:50:\"https://wordpress.org/plugins/simple-audio-player/\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/plugin/simple-audio-player.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:72:\"https://ps.w.org/simple-audio-player/assets/icon-256x256.png?rev=1117728\";s:2:\"1x\";s:72:\"https://ps.w.org/simple-audio-player/assets/icon-128x128.png?rev=1117727\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:75:\"https://ps.w.org/simple-audio-player/assets/banner-1544x500.jpg?rev=1117726\";s:2:\"1x\";s:74:\"https://ps.w.org/simple-audio-player/assets/banner-772x250.jpg?rev=1117725\";}s:11:\"banners_rtl\";a:0:{}}s:33:\"string-locator/string-locator.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:28:\"w.org/plugins/string-locator\";s:4:\"slug\";s:14:\"string-locator\";s:6:\"plugin\";s:33:\"string-locator/string-locator.php\";s:11:\"new_version\";s:5:\"2.3.1\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/string-locator/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/plugin/string-locator.2.3.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/string-locator/assets/icon-256x256.png?rev=1352230\";s:2:\"1x\";s:67:\"https://ps.w.org/string-locator/assets/icon-128x128.png?rev=1352234\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:69:\"https://ps.w.org/string-locator/assets/banner-1544x500.png?rev=928605\";s:2:\"1x\";s:68:\"https://ps.w.org/string-locator/assets/banner-772x250.png?rev=928605\";}s:11:\"banners_rtl\";a:0:{}}s:25:\"tablepress/tablepress.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:24:\"w.org/plugins/tablepress\";s:4:\"slug\";s:10:\"tablepress\";s:6:\"plugin\";s:25:\"tablepress/tablepress.php\";s:11:\"new_version\";s:4:\"1.11\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/tablepress/\";s:7:\"package\";s:58:\"https://downloads.wordpress.org/plugin/tablepress.1.11.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/tablepress/assets/icon-256x256.png?rev=1064192\";s:2:\"1x\";s:63:\"https://ps.w.org/tablepress/assets/icon-128x128.png?rev=1064192\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:66:\"https://ps.w.org/tablepress/assets/banner-1544x500.png?rev=1275767\";s:2:\"1x\";s:65:\"https://ps.w.org/tablepress/assets/banner-772x250.png?rev=1275767\";}s:11:\"banners_rtl\";a:2:{s:2:\"2x\";s:70:\"https://ps.w.org/tablepress/assets/banner-1544x500-rtl.png?rev=1275767\";s:2:\"1x\";s:69:\"https://ps.w.org/tablepress/assets/banner-772x250-rtl.png?rev=1275767\";}}s:27:\"updraftplus/updraftplus.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:25:\"w.org/plugins/updraftplus\";s:4:\"slug\";s:11:\"updraftplus\";s:6:\"plugin\";s:27:\"updraftplus/updraftplus.php\";s:11:\"new_version\";s:7:\"1.16.23\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/updraftplus/\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/plugin/updraftplus.1.16.23.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:64:\"https://ps.w.org/updraftplus/assets/icon-256x256.jpg?rev=1686200\";s:2:\"1x\";s:64:\"https://ps.w.org/updraftplus/assets/icon-128x128.jpg?rev=1686200\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/updraftplus/assets/banner-1544x500.png?rev=1686200\";s:2:\"1x\";s:66:\"https://ps.w.org/updraftplus/assets/banner-772x250.png?rev=1686200\";}s:11:\"banners_rtl\";a:0:{}}s:48:\"wp-survey-and-poll/wordpress-survey-and-poll.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:32:\"w.org/plugins/wp-survey-and-poll\";s:4:\"slug\";s:18:\"wp-survey-and-poll\";s:6:\"plugin\";s:48:\"wp-survey-and-poll/wordpress-survey-and-poll.php\";s:11:\"new_version\";s:7:\"1.5.8.3\";s:3:\"url\";s:49:\"https://wordpress.org/plugins/wp-survey-and-poll/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/wp-survey-and-poll.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:71:\"https://ps.w.org/wp-survey-and-poll/assets/icon-256x256.jpg?rev=1112299\";s:2:\"1x\";s:71:\"https://ps.w.org/wp-survey-and-poll/assets/icon-256x256.jpg?rev=1112299\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:74:\"https://ps.w.org/wp-survey-and-poll/assets/banner-1544x500.jpg?rev=1063833\";s:2:\"1x\";s:73:\"https://ps.w.org/wp-survey-and-poll/assets/banner-772x250.jpg?rev=1063833\";}s:11:\"banners_rtl\";a:0:{}}s:27:\"wp-optimize/wp-optimize.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:25:\"w.org/plugins/wp-optimize\";s:4:\"slug\";s:11:\"wp-optimize\";s:6:\"plugin\";s:27:\"wp-optimize/wp-optimize.php\";s:11:\"new_version\";s:6:\"3.0.19\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/wp-optimize/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/wp-optimize.3.0.19.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:64:\"https://ps.w.org/wp-optimize/assets/icon-256x256.png?rev=1552899\";s:2:\"1x\";s:64:\"https://ps.w.org/wp-optimize/assets/icon-128x128.png?rev=1552899\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/wp-optimize/assets/banner-1544x500.png?rev=2125385\";s:2:\"1x\";s:66:\"https://ps.w.org/wp-optimize/assets/banner-772x250.png?rev=2125385\";}s:11:\"banners_rtl\";a:0:{}}s:31:\"wp-google-maps/wpGoogleMaps.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:28:\"w.org/plugins/wp-google-maps\";s:4:\"slug\";s:14:\"wp-google-maps\";s:6:\"plugin\";s:31:\"wp-google-maps/wpGoogleMaps.php\";s:11:\"new_version\";s:6:\"8.0.22\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/wp-google-maps/\";s:7:\"package\";s:57:\"https://downloads.wordpress.org/plugin/wp-google-maps.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/wp-google-maps/assets/icon-256x256.png?rev=2230737\";s:2:\"1x\";s:67:\"https://ps.w.org/wp-google-maps/assets/icon-128x128.png?rev=2230737\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:70:\"https://ps.w.org/wp-google-maps/assets/banner-1544x500.png?rev=2230737\";s:2:\"1x\";s:69:\"https://ps.w.org/wp-google-maps/assets/banner-772x250.png?rev=2230737\";}s:11:\"banners_rtl\";a:0:{}}s:37:\"wp-store-locator/wp-store-locator.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:30:\"w.org/plugins/wp-store-locator\";s:4:\"slug\";s:16:\"wp-store-locator\";s:6:\"plugin\";s:37:\"wp-store-locator/wp-store-locator.php\";s:11:\"new_version\";s:7:\"2.2.232\";s:3:\"url\";s:47:\"https://wordpress.org/plugins/wp-store-locator/\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/plugin/wp-store-locator.2.2.232.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:69:\"https://ps.w.org/wp-store-locator/assets/icon-256x256.jpg?rev=1007784\";s:2:\"1x\";s:69:\"https://ps.w.org/wp-store-locator/assets/icon-128x128.jpg?rev=1007784\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:70:\"https://ps.w.org/wp-store-locator/assets/banner-772x250.jpg?rev=830722\";}s:11:\"banners_rtl\";a:0:{}}s:24:\"wordpress-seo/wp-seo.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:27:\"w.org/plugins/wordpress-seo\";s:4:\"slug\";s:13:\"wordpress-seo\";s:6:\"plugin\";s:24:\"wordpress-seo/wp-seo.php\";s:11:\"new_version\";s:4:\"13.5\";s:3:\"url\";s:44:\"https://wordpress.org/plugins/wordpress-seo/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/wordpress-seo.13.5.zip\";s:5:\"icons\";a:3:{s:2:\"2x\";s:66:\"https://ps.w.org/wordpress-seo/assets/icon-256x256.png?rev=1834347\";s:2:\"1x\";s:58:\"https://ps.w.org/wordpress-seo/assets/icon.svg?rev=1946641\";s:3:\"svg\";s:58:\"https://ps.w.org/wordpress-seo/assets/icon.svg?rev=1946641\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:69:\"https://ps.w.org/wordpress-seo/assets/banner-1544x500.png?rev=1843435\";s:2:\"1x\";s:68:\"https://ps.w.org/wordpress-seo/assets/banner-772x250.png?rev=1843435\";}s:11:\"banners_rtl\";a:2:{s:2:\"2x\";s:73:\"https://ps.w.org/wordpress-seo/assets/banner-1544x500-rtl.png?rev=1843435\";s:2:\"1x\";s:72:\"https://ps.w.org/wordpress-seo/assets/banner-772x250-rtl.png?rev=1843435\";}}}}", "no");
INSERT INTO `wp_options` VALUES("160604", "_transient_timeout_jetpack_idc_allowed", "1586907682", "no");
INSERT INTO `wp_options` VALUES("160605", "_transient_jetpack_idc_allowed", "1", "no");
INSERT INTO `wp_options` VALUES("160609", "_transient_timeout_wpseo-statistics-totals", "1586993613", "no");
INSERT INTO `wp_options` VALUES("160610", "_transient_wpseo-statistics-totals", "a:1:{i:1;a:2:{s:6:\"scores\";a:3:{i:0;a:4:{s:8:\"seo_rank\";s:3:\"bad\";s:5:\"label\";s:60:\"Posts with the SEO score: <strong>Needs improvement</strong>\";s:5:\"count\";i:3;s:4:\"link\";s:100:\"https://buckspizza.com/wp-admin/edit.php?post_status=publish&#038;post_type=post&#038;seo_filter=bad\";}i:1;a:4:{s:8:\"seo_rank\";s:4:\"good\";s:5:\"label\";s:47:\"Posts with the SEO score: <strong>Good</strong>\";s:5:\"count\";i:1;s:4:\"link\";s:101:\"https://buckspizza.com/wp-admin/edit.php?post_status=publish&#038;post_type=post&#038;seo_filter=good\";}i:2;a:4:{s:8:\"seo_rank\";s:2:\"na\";s:5:\"label\";s:48:\"Posts <strong>without</strong> a focus keyphrase\";s:5:\"count\";i:1;s:4:\"link\";s:99:\"https://buckspizza.com/wp-admin/edit.php?post_status=publish&#038;post_type=post&#038;seo_filter=na\";}}s:8:\"division\";a:5:{s:3:\"bad\";d:0.59999999999999997779553950749686919152736663818359375;s:2:\"ok\";i:0;s:4:\"good\";d:0.200000000000000011102230246251565404236316680908203125;s:2:\"na\";d:0.200000000000000011102230246251565404236316680908203125;s:7:\"noindex\";i:0;}}}", "no");
INSERT INTO `wp_options` VALUES("160611", "_site_transient_timeout_community-events-758c850166ea071b5d2a23452b523a2c", "1586950414", "no");
INSERT INTO `wp_options` VALUES("160612", "_site_transient_community-events-758c850166ea071b5d2a23452b523a2c", "a:3:{s:9:\"sandboxed\";b:0;s:8:\"location\";a:1:{s:2:\"ip\";s:12:\"107.77.226.0\";}s:6:\"events\";a:5:{i:0;a:8:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:27:\"A Web for Everyone (Online)\";s:3:\"url\";s:67:\"https://www.meetup.com/WordPress-Montclair-Meetup/events/269614322/\";s:6:\"meetup\";s:26:\"WordPress Montclair Meetup\";s:10:\"meetup_url\";s:50:\"https://www.meetup.com/WordPress-Montclair-Meetup/\";s:4:\"date\";s:19:\"2020-04-13 19:00:00\";s:8:\"end_date\";s:19:\"2020-04-13 21:00:00\";s:8:\"location\";a:4:{s:8:\"location\";s:6:\"online\";s:7:\"country\";s:2:\"FI\";s:8:\"latitude\";d:40.8100013732910014141452847979962825775146484375;s:9:\"longitude\";d:-74.2200012207029971023075631819665431976318359375;}}i:1;a:8:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:63:\"On Hold: Avocado Toast and Themes on WordPress for the Curious \";s:3:\"url\";s:53:\"https://www.meetup.com/WordPressNYC/events/268575023/\";s:6:\"meetup\";s:26:\"WordPress NYC Meetup Group\";s:10:\"meetup_url\";s:36:\"https://www.meetup.com/WordPressNYC/\";s:4:\"date\";s:19:\"2020-04-18 16:00:00\";s:8:\"end_date\";s:19:\"2020-04-18 18:00:00\";s:8:\"location\";a:4:{s:8:\"location\";s:17:\"New York, NY, USA\";s:7:\"country\";s:2:\"us\";s:8:\"latitude\";d:40.721500396728998794060316868126392364501953125;s:9:\"longitude\";d:-74.0015716552729969635038287378847599029541015625;}}i:2;a:8:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:73:\"Getting Started with the RankMath SEO Plugin / The Data You Didn\'t Expect\";s:3:\"url\";s:53:\"https://www.meetup.com/WordPressNYC/events/269971119/\";s:6:\"meetup\";s:26:\"WordPress NYC Meetup Group\";s:10:\"meetup_url\";s:36:\"https://www.meetup.com/WordPressNYC/\";s:4:\"date\";s:19:\"2020-04-21 19:00:00\";s:8:\"end_date\";s:19:\"2020-04-21 21:00:00\";s:8:\"location\";a:4:{s:8:\"location\";s:6:\"online\";s:7:\"country\";s:2:\"IN\";s:8:\"latitude\";d:40.74000167846700293239337042905390262603759765625;s:9:\"longitude\";d:-73.9899978637700002082056016661226749420166015625;}}i:3;a:8:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:45:\"Changing Themes on WordPress for the Curious \";s:3:\"url\";s:53:\"https://www.meetup.com/WordPressNYC/events/270002136/\";s:6:\"meetup\";s:26:\"WordPress NYC Meetup Group\";s:10:\"meetup_url\";s:36:\"https://www.meetup.com/WordPressNYC/\";s:4:\"date\";s:19:\"2020-04-25 14:30:00\";s:8:\"end_date\";s:19:\"2020-04-25 16:30:00\";s:8:\"location\";a:4:{s:8:\"location\";s:27:\"New York, NY, United States\";s:7:\"country\";s:2:\"US\";s:8:\"latitude\";d:40.74000167846700293239337042905390262603759765625;s:9:\"longitude\";d:-73.9899978637700002082056016661226749420166015625;}}i:4;a:8:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:26:\"WordPress Hangout (Online)\";s:3:\"url\";s:67:\"https://www.meetup.com/WordPress-Montclair-Meetup/events/270040460/\";s:6:\"meetup\";s:26:\"WordPress Montclair Meetup\";s:10:\"meetup_url\";s:50:\"https://www.meetup.com/WordPress-Montclair-Meetup/\";s:4:\"date\";s:19:\"2020-04-27 19:00:00\";s:8:\"end_date\";s:19:\"2020-04-27 21:00:00\";s:8:\"location\";a:4:{s:8:\"location\";s:6:\"online\";s:7:\"country\";s:2:\"FI\";s:8:\"latitude\";d:40.8100013732910014141452847979962825775146484375;s:9:\"longitude\";d:-74.2200012207029971023075631819665431976318359375;}}}}", "no");
INSERT INTO `wp_options` VALUES("160613", "_transient_timeout_feed_9bbd59226dc36b9b26cd43f15694c5c3", "1586950415", "no");
INSERT INTO `wp_options` VALUES("160614", "_transient_feed_9bbd59226dc36b9b26cd43f15694c5c3", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:49:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"News –  – WordPress.org\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 08 Apr 2020 00:57:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wordpress.org/?v=5.5-alpha-47582\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"People of WordPress: Mario Peshev\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://wordpress.org/news/2020/04/people-of-wordpress-mario-peshev/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 08 Apr 2020 00:57:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:9:\"heropress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8536\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:158:\"In the April edition of our \"People of WordPress\" series, you\'ll find out how Mario Peshev went from self-taught developer to teaching basic digital literacy.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Yvette Sonneveld\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:12069:\"\n<p><em>You’ve probably heard that WordPress is open source software, and may know that it’s created and run by volunteers. Enthusiasts share many examples of how WordPress has changed people’s lives for the better. In this monthly series, we share some of those lesser-known, amazing stories.</em></p>\n\n\n\n<h2><strong>Computer science in the nineties</strong></h2>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large\"><img loading=\"lazy\" src=\"https://i2.wp.com/wordpress.org/news/files/2020/04/25de575216d3743f80181b2dca2cd7d9.jpeg?w=632&#038;ssl=1\" alt=\"\" class=\"wp-image-8539\" srcset=\"https://i2.wp.com/wordpress.org/news/files/2020/04/25de575216d3743f80181b2dca2cd7d9.jpeg?w=200&amp;ssl=1 200w, https://i2.wp.com/wordpress.org/news/files/2020/04/25de575216d3743f80181b2dca2cd7d9.jpeg?resize=150%2C150&amp;ssl=1 150w\" sizes=\"(max-width: 200px) 100vw, 200px\" data-recalc-dims=\"1\" /><figcaption>Mario Peshev</figcaption></figure></div>\n\n\n\n<p>Mario has been hooked on computers ever since he&nbsp;got his first one in 1996. He started with digging into MS-DOS and Windows 3.1 first and learned tons by trial and error. Following that adventure, Mario built his first HTML site in 1999. He found development so exciting that he spent day and night learning QBasic and started working at the local PC game club. Mario got involved with several other things related to website administration (translating security bulletins, setting up simple sites, etc) and soon found the technology field was full of activities he really enjoyed.</p>\n\n\n\n<h2><strong>The Corporate Lifestyle</strong></h2>\n\n\n\n<p>Mario started studying programming including an intensive high-level course for C#, Java development, and software engineering, and eventually got a job in a corporate environment. He soon became a team lead there, managing all the planning and paperwork for their projects.</p>\n\n\n\n<p>But he continued freelancing on the side. He grew his own network of technical experts through attending, volunteering at, and organizing conferences. He also ran a technical forum and regularly spoke at universities and enterprise companies.</p>\n\n\n\n<h2><strong>Remote Working and Business Opportunity</strong></h2>\n\n\n\n<p>The combination of a high workload and a daily three-hour-long commute made Mario’s life difficult. Many of his friends were still studying, traveling or unemployed. The blissful and calm lives they lived seemed like a fairy tale to him. And even while both his managers and his clients were abroad, he was unable to obtain permission to work remotely.&nbsp;</p>\n\n\n\n<p>So Mario decided to leave his job and start freelancing full time. But he found he faced a massive challenge.&nbsp;</p>\n\n\n\n<p>He discovered Java projects were pretty large and required an established team of people working together in an office. All job opportunities were on-site, and some even required relocation abroad. Certified Java programmers weren’t being hired on a remote basis.&nbsp;</p>\n\n\n\n<p>As Mario had some PHP experience from previous jobs, he used this to start his freelance career. For his projects, he used both plain PHP and PHP frameworks like CakePHP and CodeIgniter.&nbsp;</p>\n\n\n\n<p>For a while, Mario accepted work using commonly known platforms including Joomla, Drupal, and WordPress. In addition, he worked on PHP, Java, Python and some C# projects for a couple of years, after which he decided to switch to WordPress completely.</p>\n\n\n\n<h2><strong>Building products</strong></h2>\n\n\n\n<p>One of his projects involved a technically challenging charity backed by several international organizations. Unexpected shortages in the team put him in the technical lead position. As a result, Mario found himself planning the next phases, meeting with the client regularly, and renegotiating the terms. The team completed the project successfully, and after the launch, a TV campaign led millions of visitors to the website.</p>\n\n\n\n<p>As a result of the successful launch, this client invited Mario to participate in more WordPress projects, including building a custom framework.</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p><em>“I wasn’t that acquainted with WordPress back then. For me, a conventional person trained in architectural design patterns and best practices, WordPress seemed like an eccentric young hipster somewhere on the line between insane and genius at the same time. I had to spend a couple of months learning WordPress from the inside out.”</em></p><cite>Mario Peshev</cite></blockquote>\n\n\n\n<p>As his interest in WordPress grew, Mario stopped delivering other custom platforms, and converted clients to WordPress.&nbsp;</p>\n\n\n\n<h2><strong>European Community</strong></h2>\n\n\n\n<figure class=\"wp-block-image size-large\"><img loading=\"lazy\" src=\"https://i2.wp.com/wordpress.org/news/files/2020/04/20191001_144227-scaled.jpg?fit=632%2C356&amp;ssl=1\" alt=\"Mario presenting to an audience\" class=\"wp-image-8546\" srcset=\"https://i2.wp.com/wordpress.org/news/files/2020/04/20191001_144227-scaled.jpg?w=2560&amp;ssl=1 2560w, https://i2.wp.com/wordpress.org/news/files/2020/04/20191001_144227-scaled.jpg?resize=300%2C169&amp;ssl=1 300w, https://i2.wp.com/wordpress.org/news/files/2020/04/20191001_144227-scaled.jpg?resize=1024%2C576&amp;ssl=1 1024w, https://i2.wp.com/wordpress.org/news/files/2020/04/20191001_144227-scaled.jpg?resize=768%2C432&amp;ssl=1 768w, https://i2.wp.com/wordpress.org/news/files/2020/04/20191001_144227-scaled.jpg?resize=1536%2C864&amp;ssl=1 1536w, https://i2.wp.com/wordpress.org/news/files/2020/04/20191001_144227-scaled.jpg?resize=2048%2C1152&amp;ssl=1 2048w, https://i2.wp.com/wordpress.org/news/files/2020/04/20191001_144227-scaled.jpg?w=1264&amp;ssl=1 1264w, https://i2.wp.com/wordpress.org/news/files/2020/04/20191001_144227-scaled.jpg?w=1896&amp;ssl=1 1896w\" sizes=\"(max-width: 632px) 100vw, 632px\" /><figcaption>Mario presenting at a WordCamp</figcaption></figure>\n\n\n\n<p>For Mario, one of the key selling points of WordPress was the international openness. He had previously been involved with other open source communities, some of which were US-focused. He felt they were more reliant on meeting people in person. With events only taking place in the US, this made building relationships much harder for people living in other countries.</p>\n\n\n\n<p>While the WordPress project started out in the US, the WordPress community quickly globalized. Dozens of WordCamps and hundreds of Meetup events take place around the globe every year.&nbsp; All of these events bring a wide variety of people sharing their enthusiasm for WordPress together.</p>\n\n\n\n<p>For Mario, the birth of WordCamp Europe was something magical. The fact that hundreds, and later on thousands, of people from all over the world gathered around the topic of WordPress speaks for itself. Mario has been involved with organizing WordCamp Europe twice (in 2014 and 2015).&nbsp;</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p><em>“There’s nothing like meeting WordPress enthusiasts and professionals from more than 50 countries brainstorming and working together at a WordCamp. You simply have to be there to understand how powerful it all is.”</em></p><cite>Mario Peshev</cite></blockquote>\n\n\n\n<h2><strong>Growing businesses and teams</strong></h2>\n\n\n\n<p>A key WordPress benefit is its popularity – an ever growing project currently powering <a href=\"https://w3techs.com/technologies/details/cm-wordpress\">more than 35% of the Internet [2020].</a> It’s popular enough to be a de facto standard for websites, platforms, e-commerce and blogs.&nbsp;</p>\n\n\n\n<p>WordPress has a low barrier to entry. You can achieve a lot without being an expert, meaning most people can start gaining experience without having to spend years learning how to code. That also makes it easier to build businesses and teams.</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p><em>“Being able to use a tool that is user-friendly, not overly complicated and easily extensible makes introducing it to team members faster and easier. It requires less time for adjustment, and as a result makes a team stronger and faster. The fact that this tool is cost-effective also allows more startups to enter the market. It requires&nbsp; less time and investments to launch an MVP. This boosts the entire ecosystem.”</em></p><cite>Mario Peshev</cite></blockquote>\n\n\n\n<h2><strong>Helping Others</strong></h2>\n\n\n\n<p>Mario also introduced WordPress to children and young people. He taught them how to use WordPress as a tool for homework and class assignments. By using WordPress, they were able to learn the basics of designing themes, developing plugins, marketing statistics, social media, copywriting, and so much more. This approachable introduction to the software meant technical skills were not needed.</p>\n\n\n\n<p>He was also part of a team of volunteers who helped a group of young people living at a foster home struggling to provide for themselves. The team taught the basic digital literacy skills necessary in the modern workplace and potentially pay for their rent and basic needs. This included working with Microsoft Word, Excel and WordPress, as well as some basic design and marketing skills. </p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p><em>“When you look at that from another perspective, a platform that could save lives &#8211; literally &#8211; and change the world for better is worth contributing to, in any possible manner.”</em></p><cite>Mario Peshev</cite></blockquote>\n\n\n\n<h2><strong>Contributing to the WordPress community</strong></h2>\n\n\n\n<p>From the core team to supporting and organizing WordCamps, Mario has long been an active contributor to the global WordPress project. He is passionate about the connections fostered by people who are involved in building both the WordPress software and the community around it.</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p><em>“The WordPress community consists of people of all race and color, living all around the world, working as teachers, developers, bloggers, designers, business owners. Let’s work together to help each other. Let’s stick together and show&nbsp; the world WordPress can help make it a better place.”</em></p><cite>Mario Peshev</cite></blockquote>\n\n\n\n<h2><strong>Contributors</strong></h2>\n\n\n\n<p>Thanks to Alison Rothwell (<a href=\'https://profiles.wordpress.org/wpfiddlybits/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>wpfiddlybits</a>), Yvette Sonneveld (<a href=\'https://profiles.wordpress.org/yvettesonneveld/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>yvettesonneveld</a>), Abha Thakor (<a href=\'https://profiles.wordpress.org/webcommsat/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>webcommsat</a>), Josepha Haden (<a href=\'https://profiles.wordpress.org/chanthaboune/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>chanthaboune</a>) and Topher DeRosia (<a href=\'https://profiles.wordpress.org/topher1kenobe/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>topher1kenobe</a>). Thank you to Mario Peshev (<a href=\'https://profiles.wordpress.org/nofearinc/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>nofearinc</a>) for sharing his #ContributorStory.</p>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"alignleft size-large\"><img loading=\"lazy\" src=\"https://i1.wp.com/wordpress.org/news/files/2020/03/heropress_logo_180.png?w=632&#038;ssl=1\" alt=\"HeroPress logo\" class=\"wp-image-8409\" data-recalc-dims=\"1\" /></figure></div>\n\n\n\n<p><em>This post is based on </em><a href=\"https://heropress.com/essays/wordpress-gave-perfect-identity/\"><em>an article originally published on HeroPress.com</em></a><em>, a community initiative created by </em><a href=\"https://profiles.wordpress.org/topher1kenobe/\"><em>Topher DeRosia</em></a><em>. HeroPress highlights people in the WordPress community who have overcome barriers and whose stories would otherwise go unheard.</em></p>\n\n\n\n<p><em>Meet more WordPress community members over at </em><a href=\"https://heropress.com/\"><em>HeroPress.com</em></a><em>!</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"8536\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:57:\"\n		\n		\n		\n		\n		\n				\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"The Month in WordPress: March 2020\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2020/04/the-month-in-wordpress-march-2020/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 03 Apr 2020 12:01:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Month in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8532\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:363:\"The month of March was both a tough and exciting time for the WordPress open-source project. With COVID-19 declared a pandemic, in-person events have had to adapt quickly &#8211; a challenge for any community. March culminated with the release of WordPress 5.4, an exhilarating milestone only made possible by dedicated contributors. For all the latest, [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Hugh Lashbrooke\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:8588:\"\n<p>The month of March was both a tough and exciting time for the WordPress open-source project. With COVID-19 declared a pandemic, in-person events have had to adapt quickly &#8211; a challenge for any community. March culminated with the release of WordPress 5.4, an exhilarating milestone only made possible by dedicated contributors. For all the latest, read on.&nbsp;</p>\n\n\n\n<hr class=\"wp-block-separator\" />\n\n\n\n<h2>WordPress 5.4 “Adderley”</h2>\n\n\n\n<p>WordPress 5.4 “Adderley” <a href=\"https://wordpress.org/news/2020/03/adderley/\">was released on March 31</a> and includes a robust list of new blocks, enhancements, and new features for both users and developers. The primary focus areas of this release included the block editor, privacy, accessibility, and developer improvements, with the full list of enhancements covered in <a href=\"https://make.wordpress.org/core/2020/03/03/wordpress-5-4-field-guide/\">the 5.4 field guide</a>.</p>\n\n\n\n<p>Want to get involved in building WordPress Core? Follow <a href=\"https://make.wordpress.org/core/\">the Core team blog</a>, and join the #core channel in <a href=\"https://make.wordpress.org/chat/\">the Making WordPress Slack group</a>.</p>\n\n\n\n<h2>Releases of Gutenberg 7.7 and 7.8</h2>\n\n\n\n<p>It’s been another busy month for Gutenberg, this time with the release of Gutenberg <a href=\"https://make.wordpress.org/core/2020/03/11/whats-new-in-gutenberg-11-march/\">7.7</a> and <a href=\"https://make.wordpress.org/core/2020/03/26/whats-new-in-gutenberg-25-march/\">7.8</a>. Gutenberg 7.7 introduced block patterns &#8211; predefined block layouts that are ready to use and tweak. This is an important step towards Full Site Editing, which is currently targeted for inclusion in WordPress 5.6. As a first iteration, you can pick and insert patterns from the Block Patterns UI, which has been added as a sidebar plugin.</p>\n\n\n\n<p>Gutenberg 7.7 also includes a refresh of the Block UI, which better responds to the ways users interact with the editor. For more information on the User UI and Block Patterns, read <a href=\"https://make.wordpress.org/themes/2020/03/18/block-based-themes-meeting-notes/\">this summary of the most recent Block-Based Themes meeting</a>. Gutenberg 7.8, introduced on March 25, further enhanced this Block UI redesign. Both releases also included a suite of improvements, bug fixes, new APIs, documentation, and more!</p>\n\n\n\n<p>Want to get involved in building Gutenberg? Follow <a href=\"https://make.wordpress.org/core/\">the Core team blog</a>, contribute to <a href=\"https://github.com/WordPress/gutenberg/\">Gutenberg on GitHub</a>, and join the #core-editor channel in <a href=\"https://make.wordpress.org/chat/\">the Making WordPress Slack group</a>.</p>\n\n\n\n<h2>WordCamp cancellations and shift to online events</h2>\n\n\n\n<p>In early March, the Community team issued <a href=\"https://make.wordpress.org/community/2020/03/11/new-recommendations-for-event-organizers-in-light-of-covid-19/\">new recommendations for event organizers</a> in light of growing concerns around COVID-19. Following this guidance, and with COVID-19 declared a pandemic, WordPress community organizers reluctantly but responsibly <a href=\"https://make.wordpress.org/community/2020/03/12/latest-updates-on-changes-to-wordcamps/\">postponed or canceled their upcoming WordCamps</a> and meetups.</p>\n\n\n\n<p>As community events are an important part of the WordPress open-source project, the Community team made suggestions for <a href=\"https://make.wordpress.org/community/2020/03/20/taking-charity-hackathons-online/\">taking charity hackathons online</a>, <a href=\"https://make.wordpress.org/community/2020/03/24/community-events-in-the-time-of-covid-19/\">proposed interim adjustments</a> to existing community event guidelines, and provided <a href=\"https://make.wordpress.org/community/2020/03/13/online-conference-organizer-training/\">training for online conference organizing</a> with Crowdcast. The team is currently working on building a <a href=\"https://make.wordpress.org/community/handbook/virtual-events/\">Virtual Events Handbook</a> that will continue to support WordPress community organizers at this time.&nbsp;</p>\n\n\n\n<p>Want to get involved with the WordPress Community team, host your own virtual WordPress event, or help improve the documentation for all of this? Follow <a href=\"https://make.wordpress.org/community/\">the Community team blog</a>, learn more about <a href=\"https://make.wordpress.org/community/handbook/virtual-events/\">virtual events</a>, and join the #community-events channel in <a href=\"https://make.wordpress.org/chat/\">the Making WordPress Slack group</a>.</p>\n\n\n\n<h2>Link your GitHub profile to WordPress.org</h2>\n\n\n\n<p>Last month, <a href=\"https://make.wordpress.org/core/2020/02/21/working-on-trac-tickets-using-github-pull-requests/\">an experimental feature</a> was added to Trac, WordPress Core’s bug-tracking system, to improve collaboration between Trac and GitHub. This month, to help make tracking contributions to the WordPress project across multiple locations easier, there is <a href=\"https://make.wordpress.org/core/2020/03/19/associating-github-accounts-with-wordpress-org-profiles/\">a new option</a> to connect your GitHub account to your WordPress.org profile. This connection allows for more accurate acknowledgement and recognition of contributors. You can connect your GitHub account to your WordPress.org account by editing your WordPress.org profile.</p>\n\n\n\n<p>For more information and instructions on how to connect your accounts, <a href=\"https://make.wordpress.org/core/2020/03/19/associating-github-accounts-with-wordpress-org-profiles/\">read the announcement post</a>.</p>\n\n\n\n<h2>Modernizing WordPress coding standards</h2>\n\n\n\n<p>Defined coding standards is an important step in creating the consistent codebase needed to prepare for requiring PHP 7.x for WordPress Core. As such, <a href=\"https://make.wordpress.org/core/2020/03/20/updating-the-coding-standards-for-modern-php/\">coding standards have been proposed</a> for implementation in WordPress Coding Standards 3.0.0. This includes new proposed standards for namespace declarations, import use statements, fully qualified names in inline code, traits and interfaces, type declarations, declare statements/strict typing, the ::class constant, operators, and more.&nbsp;</p>\n\n\n\n<p>Want to get involved or view the full list of currently proposed new coding standards? Visit and add your feedback to the post on <a href=\"https://make.wordpress.org/core/2020/03/20/updating-the-coding-standards-for-modern-php/\">updating the Coding standards for modern PHP</a> and follow <a href=\"https://make.wordpress.org/core/\">the Core team blog</a>.</p>\n\n\n\n<hr class=\"wp-block-separator\" />\n\n\n\n<h2>Further Reading:</h2>\n\n\n\n<ul><li>On March 16, <a href=\"https://make.wordpress.org/core/2020/03/18/auto-updates-feature-meeting-summary-march-17th-2020/\">Version 0.3 of the auto-updates feature was released</a>, including fixes to a number of issues and the introduction of email notifications.&nbsp;</li><li>WordCamp US announced that <a href=\"https://2020.us.wordcamp.org/2020/03/26/wcus-is-happening/\">the 2020 event will happen</a>, one way or another. But the team need your help to make sure that it’s another fantastic event. <a href=\"https://2020.us.wordcamp.org/2020/03/16/call-for-speakers-is-now-open/\">Consider applying to be a speaker</a>!</li><li>Speaking of WordCamp US, <a href=\"https://2020.us.wordcamp.org/2020/03/23/call-for-cities-for-wcus-2021-2022/\">the Call for Cities for WCUS 2021/2022</a> is now open. If your community is interested in being a future WCUS host, <a href=\"https://wordcampcentral.survey.fm/wcus-2021-2022\">apply today</a>!</li><li>With COVID-19 preventing in-person community events, the Diverse Speaker Training (#wpdiversity) Group encourages you to <a href=\"https://make.wordpress.org/community/2020/03/17/covid-19-and-the-diverse-speaker-training-wpdiversity-group/\">host a virtual Diverse Speaker Workshop</a> to prepare speakers for when we are able to meet in person again. To get started, <a href=\"https://tiny.cc/wpdiversity\">visit this page</a>.&nbsp;</li><li>An <a href=\"https://make.wordpress.org/updates/2020/03/06/update-progress-on-goals/\">update for progress on 2020 goals</a> has been posted, sharing some more defined targets and schedule.</li></ul>\n\n\n\n<p><em>Have a story that we should include in the next “Month in WordPress” post? Please </em><a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\"><em>submit it here</em></a><em>.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"8532\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:58:\"\n		\n		\n		\n		\n		\n				\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"WordPress 5.4 “Adderley”\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:44:\"https://wordpress.org/news/2020/03/adderley/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 31 Mar 2020 19:04:02 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8455\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:255:\"Version 5.4 \"Adderley\" of WordPress is available for download or update in your WordPress dashboard. This version brings you more ways to make content come alive with your best images and helps make your vision real by putting blocks in the perfect place.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:45:\"https://s.w.org/images/core/5.4/textcolor.mp4\";s:6:\"length\";s:6:\"440616\";s:4:\"type\";s:9:\"video/mp4\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:52015:\"\n<p class=\"has-text-color has-very-dark-gray-color\">Here it is! Named “Adderley” in honor of Nat Adderley, the latest and greatest version of WordPress is available for&nbsp;<a href=\"https://wordpress.org/download/\">download</a>&nbsp;or update in your dashboard.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img loading=\"lazy\" src=\"https://i0.wp.com/wordpress.org/news/files/2020/03/5-4_album-cover.png?resize=632%2C632&#038;ssl=1\" alt=\"\" class=\"wp-image-8484\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2020/03/5-4_album-cover.png?resize=1024%2C1024&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2020/03/5-4_album-cover.png?resize=300%2C300&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2020/03/5-4_album-cover.png?resize=150%2C150&amp;ssl=1 150w, https://i0.wp.com/wordpress.org/news/files/2020/03/5-4_album-cover.png?resize=768%2C768&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2020/03/5-4_album-cover.png?resize=1536%2C1536&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2020/03/5-4_album-cover.png?resize=2048%2C2048&amp;ssl=1 2048w, https://i0.wp.com/wordpress.org/news/files/2020/03/5-4_album-cover.png?w=1264&amp;ssl=1 1264w, https://i0.wp.com/wordpress.org/news/files/2020/03/5-4_album-cover.png?w=1896&amp;ssl=1 1896w\" sizes=\"(max-width: 632px) 100vw, 632px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<div class=\"wp-block-cover has-background-dim\" style=\"background-color:#0400e0\"><div class=\"wp-block-cover__inner-container\">\n<p style=\"font-size:32px\" class=\"has-text-align-center\"><strong>Say hello to more and better.</strong></p>\n\n\n\n<p class=\"has-text-align-center has-medium-font-size\">More ways to make your pages come alive. With easier ways to get it all done and looking better than ever—and boosts in speed you can feel.</p>\n</div></div>\n\n\n\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"has-text-align-left\"><strong>Welcome to WordPress 5.4</strong></h2>\n\n\n\n<p style=\"font-size:15px\" class=\"has-text-align-left\"><strong>Every major release adds more to the block editor.</strong></p>\n\n\n\n<p style=\"font-size:18px\">More ways to make posts and pages come alive with your best images. More ways to bring your visitors in, and keep them engaged, with the richness of embedded media from the web’s top services.</p>\n\n\n\n<p style=\"font-size:18px\">More ways to make your vision real, and put blocks in the perfect place—even if a particular kind of block is new to you. More efficient processes.</p>\n\n\n\n<p style=\"font-size:18px\">And more speed everywhere, so as you build sections or galleries, or just type in a line of prose, you can feel how much faster your work flows.</p>\n\n\n\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large\"><img loading=\"lazy\" src=\"https://i1.wp.com/wordpress.org/news/files/2020/03/Squares.jpg?resize=632%2C316&#038;ssl=1\" alt=\"\" class=\"wp-image-8480\" srcset=\"https://i1.wp.com/wordpress.org/news/files/2020/03/Squares.jpg?resize=1024%2C512&amp;ssl=1 1024w, https://i1.wp.com/wordpress.org/news/files/2020/03/Squares.jpg?resize=300%2C150&amp;ssl=1 300w, https://i1.wp.com/wordpress.org/news/files/2020/03/Squares.jpg?resize=768%2C384&amp;ssl=1 768w, https://i1.wp.com/wordpress.org/news/files/2020/03/Squares.jpg?resize=1536%2C768&amp;ssl=1 1536w, https://i1.wp.com/wordpress.org/news/files/2020/03/Squares.jpg?w=2000&amp;ssl=1 2000w, https://i1.wp.com/wordpress.org/news/files/2020/03/Squares.jpg?w=1264&amp;ssl=1 1264w, https://i1.wp.com/wordpress.org/news/files/2020/03/Squares.jpg?w=1896&amp;ssl=1 1896w\" sizes=\"(max-width: 632px) 100vw, 632px\" data-recalc-dims=\"1\" /></figure></div>\n\n\n\n<h3>Two new blocks. And better blocks overall.</h3>\n\n\n\n<ul><li>Two brand-new blocks: Social Icons and Buttons make adding interactive features fast and easy.</li><li>New ways with color: Gradients in the Buttons and Cover block, toolbar access to color options in Rich Text blocks, and for the first time, color options in the Group and Columns blocks.</li><li>Guess a whole lot less! Version 5.4 streamlines the whole process for placing and replacing multimedia in every block. Now it works the same way in almost every block!</li><li>And if you’ve ever thought your image in the Media+Text block should link to something else—perhaps a picture of a brochure should download that brochure as a document? Well, now it can.</li></ul>\n\n\n\n<figure class=\"wp-block-video\"><video controls src=\"https://s.w.org/images/core/5.4/textcolor.mp4\"></video></figure>\n\n\n\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h3>Cleaner UI, clearer navigation—and easier tabbing!</h3>\n\n\n\n<ul><li>Clearer block navigation with block breadcrumbs. And easier selection once you get there.</li><li>For when you need to navigate with the keyboard, better tabbing and focus. Plus, you can tab over to the sidebar of nearly any block.</li><li>Speed! 14% faster loading of the editor, 51% faster time-to-type!</li><li>Tips are gone. In their place, a Welcome Guide window you can bring up when you need it—and only when you need it—again and again.</li><li>Know at a glance whether you’re in a block’s Edit or Navigation mode. Or, if you have restricted vision, your screen reader will tell you which mode you’re in.</li></ul>\n\n\n\n<p style=\"background-color:#f8f8f9\" class=\"has-background\">Of course, if you want to work with the very latest tools and features, <strong><a href=\"https://wordpress.org/plugins/gutenberg/\">install the Gutenberg plugin</a></strong>. You’ll get to be the first to use new and exciting features in the block editor before anyone else has seen them!</p>\n\n\n\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large\"><img loading=\"lazy\" src=\"https://i0.wp.com/wordpress.org/news/files/2020/03/Rectangles-and-circles.jpg?resize=632%2C316&#038;ssl=1\" alt=\"\" class=\"wp-image-8481\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2020/03/Rectangles-and-circles.jpg?resize=1024%2C512&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2020/03/Rectangles-and-circles.jpg?resize=300%2C150&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2020/03/Rectangles-and-circles.jpg?resize=768%2C384&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2020/03/Rectangles-and-circles.jpg?resize=1536%2C768&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2020/03/Rectangles-and-circles.jpg?w=2000&amp;ssl=1 2000w, https://i0.wp.com/wordpress.org/news/files/2020/03/Rectangles-and-circles.jpg?w=1264&amp;ssl=1 1264w, https://i0.wp.com/wordpress.org/news/files/2020/03/Rectangles-and-circles.jpg?w=1896&amp;ssl=1 1896w\" sizes=\"(max-width: 632px) 100vw, 632px\" data-recalc-dims=\"1\" /></figure></div>\n\n\n\n<h3>Your fundamental right: privacy</h3>\n\n\n\n<p>5.4 helps with a variety of privacy issues around the world. So when users and stakeholders ask about regulatory compliance, or how your team handles user data, the answers should be a lot easier to get right.</p>\n\n\n\n<p>Take a look:</p>\n\n\n\n<ul><li>Now personal data exports include users session information and users location data from the community events widget. Plus, a table of contents!</li><li>See progress as you process export and erasure requests through the privacy tools.</li><li>Plus, little enhancements throughout give the privacy tools a little cleaner look. Your eyes will thank you!</li></ul>\n\n\n\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img loading=\"lazy\" src=\"https://i1.wp.com/wordpress.org/news/files/2020/03/Mixed.jpg?resize=632%2C316&#038;ssl=1\" alt=\"\" class=\"wp-image-8482\" srcset=\"https://i1.wp.com/wordpress.org/news/files/2020/03/Mixed.jpg?resize=1024%2C512&amp;ssl=1 1024w, https://i1.wp.com/wordpress.org/news/files/2020/03/Mixed.jpg?resize=300%2C150&amp;ssl=1 300w, https://i1.wp.com/wordpress.org/news/files/2020/03/Mixed.jpg?resize=768%2C384&amp;ssl=1 768w, https://i1.wp.com/wordpress.org/news/files/2020/03/Mixed.jpg?resize=1536%2C768&amp;ssl=1 1536w, https://i1.wp.com/wordpress.org/news/files/2020/03/Mixed.jpg?w=2000&amp;ssl=1 2000w, https://i1.wp.com/wordpress.org/news/files/2020/03/Mixed.jpg?w=1264&amp;ssl=1 1264w, https://i1.wp.com/wordpress.org/news/files/2020/03/Mixed.jpg?w=1896&amp;ssl=1 1896w\" sizes=\"(max-width: 632px) 100vw, 632px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<h2><strong>Just for developers</strong></h2>\n\n\n\n<h3>Add custom fields to menu items—natively</h3>\n\n\n\n<p>Two new actions let you add custom fields to menu items—without a plugin and without writing custom walkers.</p>\n\n\n\n<p>On the Menus admin screen, <code>wp_nav_menu_item_custom_fields</code> fires just before the move buttons of a nav menu item in the menu editor.</p>\n\n\n\n<p>In the Customizer, <code>wp_nav_menu_item_custom_fields_customize_template</code> fires at the end of the menu-items form-fields template.</p>\n\n\n\n<p>Check your code and see where these new actions can replace your custom code, and if you’re concerned about duplication, add a check for the WordPress version.</p>\n\n\n\n<h3>Blocks! Simpler styling, new APIs and embeds</h3>\n\n\n\n<ul><li>Radically simpler block styling. Negative margins and default padding are gone! Now you can style blocks the way you need them. And, a refactor got rid of four redundant wrapper divs.</li><li>If you build plugins, now you can register collections of your blocks by namespace across categories—a great way to get more brand visibility.</li><li>Let users do more with two new APIs: block variations and gradients.</li><li>In embeds, now the block editor supports TikTok—and CollegeHumor is gone.</li></ul>\n\n\n\n<p style=\"background-color:#f8f8f9\" class=\"has-background\">There’s lots more for developers to love in WordPress 5.4. To discover more and learn how to make these changes shine on your sites, themes, plugins and more, check the <strong><a href=\"https://make.wordpress.org/core/2020/03/03/wordpress-5-4-field-guide/\">WordPress 5.4 Field Guide</a></strong>.</p>\n\n\n\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2><strong>The Squad</strong></h2>\n\n\n\n<p>This release was led by&nbsp;<a href=\"http://ma.tt/\">Matt Mullenweg</a>,&nbsp;<a href=\"https://profiles.wordpress.org/francina\">Francesca Marano</a>, and&nbsp;<a href=\"https://dream-encode.com/blog/\">David Baumwald</a>. They were enthusiastically supported by a release squad:</p>\n\n\n\n<ul><li><strong>Editor Tech</strong>: Jorge Filipe Costa (<strong><a href=\"https://profiles.wordpress.org/jorgefilipecosta/\">@jorgefelipecosta</a></strong>)</li><li><strong>Editor Design</strong>: Mark Uraine (<a rel=\"noreferrer noopener\" target=\"_blank\" href=\"https://profiles.wordpress.org/mapk/\"><strong>@mapk</strong></a>)</li><li><strong>Core Tech</strong>: Sergey Biryukov (<a href=\"https://profiles.wordpress.org/sergeybiryukov/\"><strong>@sergeybiryukov</strong></a>)</li><li><strong>Design</strong>: Tammie Lister (<strong><a href=\"https://profiles.wordpress.org/karmatosed/\">@karmatosed</a></strong>)</li><li><strong>Docs Coordinator</strong>:&nbsp;JB Audras (<a href=\"https://profiles.wordpress.org/audrasjb/\"><strong>@audrasjb</strong></a>)</li><li><strong>Docs &amp; Comms Wrangler</strong>: Mary Baum (<strong><a href=\"https://profiles.wordpress.org/marybaum/\">@marybaum</a></strong>)</li></ul>\n\n\n\n<p>The squad was joined throughout the release cycle by <strong>552 generous volunteer contributors</strong> who collectively worked on <strong><a href=\"https://core.trac.wordpress.org/milestone/5.4\">361</a> tickets on Trac</strong> and <strong>1226 pull requests on GitHub</strong>.</p>\n\n\n\n<p>Put on a Nat Adderley playlist, click that update button (or&nbsp;<a href=\"https://wordpress.org/download/\">download it directly</a>), and check the profiles of the fine folks that helped:</p>\n\n\n<a href=\"https://profiles.wordpress.org/0v3rth3d4wn/\">0v3rth3d4wn</a>, <a href=\"https://profiles.wordpress.org/123host/\">123host</a>, <a href=\"https://profiles.wordpress.org/1naveengiri/\">1naveengiri</a>, <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a>, <a href=\"https://profiles.wordpress.org/abhijitrakas/\">Abhijit Rakas</a>, <a href=\"https://profiles.wordpress.org/abrightclearweb/\">abrightclearweb</a>, <a href=\"https://profiles.wordpress.org/acosmin/\">acosmin</a>, <a href=\"https://profiles.wordpress.org/adamsilverstein/\">Adam Silverstein</a>, <a href=\"https://profiles.wordpress.org/adamboro/\">adamboro</a>, <a href=\"https://profiles.wordpress.org/addiestavlo/\">Addie</a>, <a href=\"https://profiles.wordpress.org/adnanlimdi/\">adnan.limdi</a>, <a href=\"https://profiles.wordpress.org/shaikhaezaz80/\">Aezaz Shaikh</a>, <a href=\"https://profiles.wordpress.org/aftabmuni/\">Aftab Ali Muni</a>, <a href=\"https://profiles.wordpress.org/akibjorklund/\">Aki Bj&#246;rklund</a>, <a href=\"https://profiles.wordpress.org/smallprogrammers/\">Akib</a>, <a href=\"https://profiles.wordpress.org/atachibana/\">Akira Tachibana</a>, <a href=\"https://profiles.wordpress.org/akshayar/\">akshayar</a>, <a href=\"https://profiles.wordpress.org/schlessera/\">Alain Schlesser</a>, <a href=\"https://profiles.wordpress.org/aljullu/\">Albert Juh&#233; Lluveras</a>, <a href=\"https://profiles.wordpress.org/xknown/\">Alex Concha</a>, <a href=\"https://profiles.wordpress.org/viper007bond/\">Alex Mills</a>, <a href=\"https://profiles.wordpress.org/alexholsgrove/\">AlexHolsgrove</a>, <a href=\"https://profiles.wordpress.org/alexischenal/\">alexischenal</a>, <a href=\"https://profiles.wordpress.org/alextran/\">alextran</a>, <a href=\"https://profiles.wordpress.org/alishankhan/\">alishankhan</a>, <a href=\"https://profiles.wordpress.org/allancole/\">allancole</a>, <a href=\"https://profiles.wordpress.org/allendav/\">Allen Snook</a>, <a href=\"https://profiles.wordpress.org/alpipego/\">alpipego</a>, <a href=\"https://profiles.wordpress.org/amirs17/\">Amir Seljubac</a>, <a href=\"https://profiles.wordpress.org/wpamitkumar/\">Amit Dudhat</a>, <a href=\"https://profiles.wordpress.org/amolv/\">Amol Vhankalas</a>, <a href=\"https://profiles.wordpress.org/agawish/\">Amr Gawish</a>, <a href=\"https://profiles.wordpress.org/amykamala/\">Amy Kamala</a>, <a href=\"https://profiles.wordpress.org/anantajitjg/\">Anantajit JG</a>, <a href=\"https://profiles.wordpress.org/anlino/\">Anders Nor&#233;n</a>, <a href=\"https://profiles.wordpress.org/nosolosw/\">Andr&#233;s</a>, <a href=\"https://profiles.wordpress.org/afercia/\">Andrea Fercia</a>, <a href=\"https://profiles.wordpress.org/dontdream/\">Andrea Tarantini</a>, <a href=\"https://profiles.wordpress.org/andreaitm/\">andreaitm</a>, <a href=\"https://profiles.wordpress.org/andraganescu/\">Andrei Draganescu</a>, <a href=\"https://profiles.wordpress.org/aandrewdixon/\">Andrew Dixon</a>, <a href=\"https://profiles.wordpress.org/aduth/\">Andrew Duthie</a>, <a href=\"https://profiles.wordpress.org/nacin/\">Andrew Nacin</a>, <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a>, <a href=\"https://profiles.wordpress.org/andrewserong/\">Andrew Serong</a>, <a href=\"https://profiles.wordpress.org/eatingrules/\">Andrew Wilder</a>, <a href=\"https://profiles.wordpress.org/rarst/\">Andrey Savchenko</a>, <a href=\"https://profiles.wordpress.org/afragen/\">Andy Fragen</a>, <a href=\"https://profiles.wordpress.org/andizer/\">Andy Meerwaldt</a>, <a href=\"https://profiles.wordpress.org/apeatling/\">Andy Peatling</a>, <a href=\"https://profiles.wordpress.org/la-geek/\">Angelika Reisiger</a>, <a href=\"https://profiles.wordpress.org/ankitmaru/\">Ankit Panchal</a>, <a href=\"https://profiles.wordpress.org/antpb/\">Anthony Burchell</a>, <a href=\"https://profiles.wordpress.org/paranoia1906/\">Anthony Ledesma</a>, <a href=\"https://profiles.wordpress.org/apedog/\">apedog</a>, <a href=\"https://profiles.wordpress.org/apermo/\">Apermo</a>, <a href=\"https://profiles.wordpress.org/apieschel/\">apieschel</a>, <a href=\"https://profiles.wordpress.org/aravindajith/\">Aravind Ajith</a>, <a href=\"https://profiles.wordpress.org/archon810/\">archon810</a>, <a href=\"https://profiles.wordpress.org/arenddeboer/\">arenddeboer</a>, <a href=\"https://profiles.wordpress.org/aristath/\">Ari Stathopoulos</a>, <a href=\"https://profiles.wordpress.org/passoniate/\">Arslan Ahmed</a>, <a href=\"https://profiles.wordpress.org/ashokrd2013/\">ashokrd2013</a>, <a href=\"https://profiles.wordpress.org/ataurr/\">Ataur R</a>, <a href=\"https://profiles.wordpress.org/ate-up-with-motor/\">Ate Up With Motor</a>, <a href=\"https://profiles.wordpress.org/autotutorial/\">autotutorial</a>, <a href=\"https://profiles.wordpress.org/ayeshrajans/\">Ayesh Karunaratne</a>, <a href=\"https://profiles.wordpress.org/backups/\">BackuPs</a>, <a href=\"https://profiles.wordpress.org/bahia0019/\">bahia0019</a>, <a href=\"https://profiles.wordpress.org/b-07/\">Bappi</a>, <a href=\"https://profiles.wordpress.org/bartczyz/\">Bart Czyz</a>, <a href=\"https://profiles.wordpress.org/bengreeley/\">ben.greeley</a>, <a href=\"https://profiles.wordpress.org/benedictsinger/\">benedictsinger</a>, <a href=\"https://profiles.wordpress.org/bfintal/\">Benjamin Intal</a>, <a href=\"https://profiles.wordpress.org/bibliofille/\">bibliofille</a>, <a href=\"https://profiles.wordpress.org/bilgilabs/\">bilgilabs</a>, <a href=\"https://profiles.wordpress.org/birgire/\">Birgir Erlendsson</a>, <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a>, <a href=\"https://profiles.wordpress.org/skypressatx/\">BMO</a>, <a href=\"https://profiles.wordpress.org/boga86/\">Boga86</a>, <a href=\"https://profiles.wordpress.org/boonebgorges/\">Boone Gorges</a>, <a href=\"https://profiles.wordpress.org/bwmarkle/\">Brad Markle</a>, <a href=\"https://profiles.wordpress.org/kraftbj/\">Brandon Kraft</a>, <a href=\"https://profiles.wordpress.org/brentswisher/\">Brent Swisher</a>, <a href=\"https://profiles.wordpress.org/cvoell/\">Cameron Voell</a>, <a href=\"https://profiles.wordpress.org/poena/\">Carolina Nymark</a>, <a href=\"https://profiles.wordpress.org/ceyhun0/\">ceyhun0</a>, <a href=\"https://profiles.wordpress.org/chetan200891/\">Chetan Prajapati</a>, <a href=\"https://profiles.wordpress.org/ketuchetan/\">Chetan Satasiya</a>, <a href=\"https://profiles.wordpress.org/chinteshprajapati/\">Chintesh Prajapati</a>, <a href=\"https://profiles.wordpress.org/chipsnyder/\">Chip Snyder</a>, <a href=\"https://profiles.wordpress.org/cklosows/\">Chris Klosowski</a>, <a href=\"https://profiles.wordpress.org/eclare/\">Chris Trynkiewicz (Sukces Strony)</a>, <a href=\"https://profiles.wordpress.org/chrisvanpatten/\">Chris Van Patten</a>, <a href=\"https://profiles.wordpress.org/pixelverbieger/\">Christian Sabo</a>, <a href=\"https://profiles.wordpress.org/christianamohr/\">Christiana Mohr</a>, <a href=\"https://profiles.wordpress.org/clayisland/\">clayisland</a>, <a href=\"https://profiles.wordpress.org/copons/\">Copons</a>, <a href=\"https://profiles.wordpress.org/coreymckrill/\">Corey McKrill</a>, <a href=\"https://profiles.wordpress.org/crdunst/\">crdunst</a>, <a href=\"https://profiles.wordpress.org/littlebigthing/\">Csaba (LittleBigThings)</a>, <a href=\"https://profiles.wordpress.org/xendo/\">Dademaru</a>, <a href=\"https://profiles.wordpress.org/retrofox/\">Damián Suárez</a>, <a href=\"https://profiles.wordpress.org/danielbachhuber/\">Daniel Bachhuber</a>, <a href=\"https://profiles.wordpress.org/danieltj/\">Daniel James</a>, <a href=\"https://profiles.wordpress.org/diddledan/\">Daniel Llewellyn</a>, <a href=\"https://profiles.wordpress.org/talldanwp/\">Daniel Richards</a>, <a href=\"https://profiles.wordpress.org/mte90/\">Daniele Scasciafratte</a>, <a href=\"https://profiles.wordpress.org/daniloercoli/\">daniloercoli</a>, <a href=\"https://profiles.wordpress.org/nerrad/\">Darren Ethier (nerrad)</a>, <a href=\"https://profiles.wordpress.org/darrenlambert/\">darrenlambert</a>, <a href=\"https://profiles.wordpress.org/davidshq/\">Dave Mackey</a>, <a href=\"https://profiles.wordpress.org/get_dave/\">Dave Smith</a>, <a href=\"https://profiles.wordpress.org/daveslaughter/\">daveslaughter</a>, <a href=\"https://profiles.wordpress.org/davewp196/\">DaveWP196</a>, <a href=\"https://profiles.wordpress.org/dartiss/\">David Artiss</a>, <a href=\"https://profiles.wordpress.org/davidbinda/\">David Binovec</a>, <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a>, <a href=\"https://profiles.wordpress.org/dryanpress/\">David Ryan</a>, <a href=\"https://profiles.wordpress.org/dshanske/\">David Shanske</a>, <a href=\"https://profiles.wordpress.org/superdav42/\">David Stone</a>, <a href=\"https://profiles.wordpress.org/dkarfa/\">Debabrata Karfa</a>, <a href=\"https://profiles.wordpress.org/dekervit/\">dekervit</a>, <a href=\"https://profiles.wordpress.org/delowardev/\">Delowar Hossain</a>, <a href=\"https://profiles.wordpress.org/denisco/\">Denis Yanchevskiy</a>, <a href=\"https://profiles.wordpress.org/dhavalkasvala/\">Dhaval kasavala</a>, <a href=\"https://profiles.wordpress.org/dhurlburtusa/\">dhurlburtusa</a>, <a href=\"https://profiles.wordpress.org/dilipbheda/\">Dilip Bheda</a>, <a href=\"https://profiles.wordpress.org/dingo_d/\">dingo-d</a>, <a href=\"https://profiles.wordpress.org/dd32/\">Dion Hulse</a>, <a href=\"https://profiles.wordpress.org/dipeshkakadiya/\">dipeshkakadiya</a>, <a href=\"https://profiles.wordpress.org/djp424/\">djp424</a>, <a href=\"https://profiles.wordpress.org/dominic_ks/\">dominic_ks</a>, <a href=\"https://profiles.wordpress.org/ocean90/\">Dominik Schilling</a>, <a href=\"https://profiles.wordpress.org/dotancohen/\">Dotan Cohen</a>, <a href=\"https://profiles.wordpress.org/dphiffer/\">dphiffer</a>, <a href=\"https://profiles.wordpress.org/dragosh635/\">dragosh635</a>, <a href=\"https://profiles.wordpress.org/drewapicture/\">Drew Jaynes</a>, <a href=\"https://profiles.wordpress.org/eclev91/\">eclev91</a>, <a href=\"https://profiles.wordpress.org/seedsca/\">ecotechie</a>, <a href=\"https://profiles.wordpress.org/eden159/\">eden159</a>, <a href=\"https://profiles.wordpress.org/ediamin/\">Edi Amin</a>, <a href=\"https://profiles.wordpress.org/disillusia/\">edmundcwm</a>, <a href=\"https://profiles.wordpress.org/etoledom/\">Eduardo Toledo</a>, <a href=\"https://profiles.wordpress.org/ellatrix/\">Ella van Durpe</a>, <a href=\"https://profiles.wordpress.org/elmastudio/\">Ellen Bauer</a>, <a href=\"https://profiles.wordpress.org/aliveic/\">Emil E</a>, <a href=\"https://profiles.wordpress.org/epiqueras/\">Enrique Piqueras</a>, <a href=\"https://profiles.wordpress.org/nrqsnchz/\">Enrique Sánchez</a>, <a href=\"https://profiles.wordpress.org/equin0x80/\">equin0x80</a>, <a href=\"https://profiles.wordpress.org/erikkroes/\">erikkroes</a>, <a href=\"https://profiles.wordpress.org/estelaris/\">Estela Rueda</a>, <a href=\"https://profiles.wordpress.org/fabifott/\">Fabian</a>, <a href=\"https://profiles.wordpress.org/fabiankaegy/\">Fabian K&#228;gy</a>, <a href=\"https://profiles.wordpress.org/fahimmurshed/\">Fahim Murshed</a>, <a href=\"https://profiles.wordpress.org/faisal03/\">Faisal Alvi</a>, <a href=\"https://profiles.wordpress.org/felipeelia/\">Felipe Elia</a>, <a href=\"https://profiles.wordpress.org/felipeloureirosantos/\">Felipe Santos</a>, <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a>, <a href=\"https://profiles.wordpress.org/fernandovbsouza/\">Fernando Souza</a>, <a href=\"https://profiles.wordpress.org/fervillz/\">fervillz</a>, <a href=\"https://profiles.wordpress.org/fgiannar/\">fgiannar</a>, <a href=\"https://profiles.wordpress.org/flaviozavan/\">flaviozavan</a>, <a href=\"https://profiles.wordpress.org/mista-flo/\">Florian TIAR</a>, <a href=\"https://profiles.wordpress.org/fotisps/\">Fotis Pastrakis</a>, <a href=\"https://profiles.wordpress.org/efarem/\">Frank Martin</a>, <a href=\"https://profiles.wordpress.org/galbaras/\">Gal Baras</a>, <a href=\"https://profiles.wordpress.org/garrett-eclipse/\">Garrett Hyder</a>, <a href=\"https://profiles.wordpress.org/garyj/\">Gary Jones</a>, <a href=\"https://profiles.wordpress.org/pento/\">Gary Pendergast</a>, <a href=\"https://profiles.wordpress.org/guddu1315/\">Gaurang Dabhi</a>, <a href=\"https://profiles.wordpress.org/georgestephanis/\">George Stephanis</a>, <a href=\"https://profiles.wordpress.org/geriux/\">geriux</a>, <a href=\"https://profiles.wordpress.org/girishpanchal/\">Girish Panchal</a>, <a href=\"https://profiles.wordpress.org/glebkema/\">Gleb Kemarsky</a>, <a href=\"https://profiles.wordpress.org/hometowntrailers/\">Glenn</a>, <a href=\"https://profiles.wordpress.org/gh640/\">Goto Hayato</a>, <a href=\"https://profiles.wordpress.org/grafruessel/\">grafruessel</a>, <a href=\"https://profiles.wordpress.org/gregrickaby/\">Greg Rickaby</a>, <a href=\"https://profiles.wordpress.org/gziolo/\">Grzegorz Ziółkowski</a>, <a href=\"https://profiles.wordpress.org/grzegorzjanoszka/\">Grzegorz.Janoszka</a>, <a href=\"https://profiles.wordpress.org/bordoni/\">Gustavo Bordoni</a>, <a href=\"https://profiles.wordpress.org/gwwar/\">gwwar</a>, <a href=\"https://profiles.wordpress.org/hamedmoodi/\">hamedmoodi</a>, <a href=\"https://profiles.wordpress.org/hampzter/\">hAmpzter</a>, <a href=\"https://profiles.wordpress.org/happiryu/\">happiryu</a>, <a href=\"https://profiles.wordpress.org/hareesh-pillai/\">Hareesh Pillai</a>, <a href=\"https://profiles.wordpress.org/harry-milatz/\">Harry Milatz</a>, <a href=\"https://profiles.wordpress.org/hazdiego/\">Haz</a>, <a href=\"https://profiles.wordpress.org/helgatheviking/\">helgatheviking</a>, <a href=\"https://profiles.wordpress.org/henryholtgeerts/\">Henry Holtgeerts</a>, <a href=\"https://profiles.wordpress.org/imani3011/\">Himani Lotia</a>, <a href=\"https://profiles.wordpress.org/krynes/\">Hubert Kubiak</a>, <a href=\"https://profiles.wordpress.org/i3anaan/\">i3anaan</a>, <a href=\"https://profiles.wordpress.org/ianbelanger/\">Ian Belanger</a>, <a href=\"https://profiles.wordpress.org/iandunn/\">Ian Dunn</a>, <a href=\"https://profiles.wordpress.org/ianatkins/\">ianatkins</a>, <a href=\"https://profiles.wordpress.org/ianmjones/\">ianmjones</a>, <a href=\"https://profiles.wordpress.org/ideaboxcreations/\">IdeaBox Creations</a>, <a href=\"https://profiles.wordpress.org/shaampk1/\">Ihtisham Zahoor</a>, <a href=\"https://profiles.wordpress.org/intimez/\">intimez</a>, <a href=\"https://profiles.wordpress.org/ipstenu/\">Ipstenu (Mika Epstein)</a>, <a href=\"https://profiles.wordpress.org/isabel_brison/\">Isabel Brison</a>, <a href=\"https://profiles.wordpress.org/ispreview/\">ispreview</a>, <a href=\"https://profiles.wordpress.org/whyisjake/\">Jake Spurlock</a>, <a href=\"https://profiles.wordpress.org/jbinda/\">Jakub Binda</a>, <a href=\"https://profiles.wordpress.org/macmanx/\">James Huff</a>, <a href=\"https://profiles.wordpress.org/jameskoster/\">James Koster</a>, <a href=\"https://profiles.wordpress.org/jnylen0/\">James Nylen</a>, <a href=\"https://profiles.wordpress.org/jameslnewell/\">jameslnewell</a>, <a href=\"https://profiles.wordpress.org/jankimoradiya/\">Janki Moradiya</a>, <a href=\"https://profiles.wordpress.org/jarretc/\">Jarret</a>, <a href=\"https://profiles.wordpress.org/studiotwee/\">Jasper van der Meer</a>, <a href=\"https://profiles.wordpress.org/jaydeep23290/\">jaydeep23290</a>, <a href=\"https://profiles.wordpress.org/jdy68/\">jdy68</a>, <a href=\"https://profiles.wordpress.org/audrasjb/\">Jean-Baptiste Audras</a>, <a href=\"https://profiles.wordpress.org/jean-david/\">Jean-David Daviet</a>, <a href=\"https://profiles.wordpress.org/jblz/\">Jeff Bowen</a>, <a href=\"https://profiles.wordpress.org/jffng/\">Jeff Ong</a>, <a href=\"https://profiles.wordpress.org/jeffpaul/\">Jeff Paul</a>, <a href=\"https://profiles.wordpress.org/phpbits/\">Jeffrey Carandang</a>, <a href=\"https://profiles.wordpress.org/jeichorn/\">jeichorn</a>, <a href=\"https://profiles.wordpress.org/jenilk/\">Jenil Kanani</a>, <a href=\"https://profiles.wordpress.org/miss_jwo/\">Jenny Wong</a>, <a href=\"https://profiles.wordpress.org/jepperask/\">jepperask</a>, <a href=\"https://profiles.wordpress.org/jeremyclarke/\">Jer Clarke</a>, <a href=\"https://profiles.wordpress.org/jeremyfelt/\">Jeremy Felt</a>, <a href=\"https://profiles.wordpress.org/jeherve/\">Jeremy Herve</a>, <a href=\"https://profiles.wordpress.org/jeroenrotty/\">Jeroen Rotty</a>, <a href=\"https://profiles.wordpress.org/jeryj/\">Jerry Jones</a>, <a href=\"https://profiles.wordpress.org/luminuu/\">Jessica Lyschik</a>, <a href=\"https://profiles.wordpress.org/jipmoors/\">Jip Moors</a>, <a href=\"https://profiles.wordpress.org/joedolson/\">Joe Dolson</a>, <a href=\"https://profiles.wordpress.org/joehoyle/\">Joe Hoyle</a>, <a href=\"https://profiles.wordpress.org/joemcgill/\">Joe McGill</a>, <a href=\"https://profiles.wordpress.org/joen/\">Joen Asmussen</a>, <a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a>, <a href=\"https://profiles.wordpress.org/johnjamesjacoby/\">John James Jacoby</a>, <a href=\"https://profiles.wordpress.org/johnwatkins0/\">John Watkins</a>, <a href=\"https://profiles.wordpress.org/jon81/\">Jon</a>, <a href=\"https://profiles.wordpress.org/itsjonq/\">Jon Quach</a>, <a href=\"https://profiles.wordpress.org/jonsurrell/\">Jon Surrell</a>, <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a>, <a href=\"https://profiles.wordpress.org/jg-visual/\">Jonathan Goldford</a>, <a href=\"https://profiles.wordpress.org/spacedmonkey/\">Jonny Harris</a>, <a href=\"https://profiles.wordpress.org/jonoaldersonwp/\">Jono Alderson</a>, <a href=\"https://profiles.wordpress.org/joonasvanhatapio/\">Joonas Vanhatapio</a>, <a href=\"https://profiles.wordpress.org/joostdevalk/\">Joost de Valk</a>, <a href=\"https://profiles.wordpress.org/koke/\">Jorge Bernal</a>, <a href=\"https://profiles.wordpress.org/jorgefilipecosta/\">Jorge Costa</a>, <a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden</a>, <a href=\"https://profiles.wordpress.org/joshuawold/\">JoshuaWold</a>, <a href=\"https://profiles.wordpress.org/joyously/\">Joy</a>, <a href=\"https://profiles.wordpress.org/jqz/\">jqz</a>, <a href=\"https://profiles.wordpress.org/jsnajdr/\">jsnajdr</a>, <a href=\"https://profiles.wordpress.org/juanfra/\">Juanfra Aldasoro</a>, <a href=\"https://profiles.wordpress.org/derweili/\">Julian Weiland</a>, <a href=\"https://profiles.wordpress.org/juliankimmig/\">julian.kimmig</a>, <a href=\"https://profiles.wordpress.org/jrf/\">Juliette Reinders Folmer</a>, <a href=\"https://profiles.wordpress.org/juliobox/\">Julio Potier</a>, <a href=\"https://profiles.wordpress.org/nukaga/\">Junko Nukaga</a>, <a href=\"https://profiles.wordpress.org/jurgen/\">jurgen</a>, <a href=\"https://profiles.wordpress.org/justdaiv/\">justdaiv</a>, <a href=\"https://profiles.wordpress.org/justinahinon/\">Justin Ahinon</a>, <a href=\"https://profiles.wordpress.org/kadamwhite/\">K. Adam White</a>, <a href=\"https://profiles.wordpress.org/kaggdesign/\">kaggdesign</a>, <a href=\"https://profiles.wordpress.org/kalpshit/\">KalpShit Akabari</a>, <a href=\"https://profiles.wordpress.org/leprincenoir/\">Kantari Samy</a>, <a href=\"https://profiles.wordpress.org/kasparsd/\">Kaspars</a>, <a href=\"https://profiles.wordpress.org/ryelle/\">Kelly Dwan</a>, <a href=\"https://profiles.wordpress.org/kennithnichol/\">Kennith Nichol</a>, <a href=\"https://profiles.wordpress.org/khag7/\">Kevin Hagerty</a>, <a href=\"https://profiles.wordpress.org/kharisblank/\">Kharis Sulistiyono</a>, <a href=\"https://profiles.wordpress.org/khushbu19/\">Khushbu Modi</a>, <a href=\"https://profiles.wordpress.org/killerbishop/\">killerbishop</a>, <a href=\"https://profiles.wordpress.org/kinjaldalwadi/\">kinjaldalwadi</a>, <a href=\"https://profiles.wordpress.org/kitchin/\">kitchin</a>, <a href=\"https://profiles.wordpress.org/ixkaito/\">Kite</a>, <a href=\"https://profiles.wordpress.org/kjellr/\">Kjell Reigstad</a>, <a href=\"https://profiles.wordpress.org/kkarpieszuk/\">kkarpieszuk</a>, <a href=\"https://profiles.wordpress.org/knutsp/\">Knut Sparhell</a>, <a href=\"https://profiles.wordpress.org/kokkieh/\">KokkieH</a>, <a href=\"https://profiles.wordpress.org/obenland/\">Konstantin Obenland</a>, <a href=\"https://profiles.wordpress.org/xkon/\">Konstantinos Xenos</a>, <a href=\"https://profiles.wordpress.org/klopez8/\">Krystyna</a>, <a href=\"https://profiles.wordpress.org/kubiq/\">kubiq</a>, <a href=\"https://profiles.wordpress.org/wpkuf/\">kuflievskiy</a>, <a href=\"https://profiles.wordpress.org/sainthkh/\">Kukhyeon Heo</a>, <a href=\"https://profiles.wordpress.org/kyliesabra/\">kyliesabra</a>, <a href=\"https://profiles.wordpress.org/lakenh/\">Laken Hafner</a>, <a href=\"https://profiles.wordpress.org/leandroalonso/\">leandroalonso</a>, <a href=\"https://profiles.wordpress.org/leogermani/\">leogermani</a>, <a href=\"https://profiles.wordpress.org/lgrev01/\">lgrev01</a>, <a href=\"https://profiles.wordpress.org/linuxologos/\">linuxologos</a>, <a href=\"https://profiles.wordpress.org/lisota/\">lisota</a>, <a href=\"https://profiles.wordpress.org/lorenzof/\">Lorenzo Fracassi</a>, <a href=\"https://profiles.wordpress.org/luisherranz/\">luisherranz</a>, <a href=\"https://profiles.wordpress.org/luisrivera/\">luisrivera</a>, <a href=\"https://profiles.wordpress.org/lukaswaudentio/\">lukaswaudentio</a>, <a href=\"https://profiles.wordpress.org/ljasinskipl/\">Lukasz Jasinski</a>, <a href=\"https://profiles.wordpress.org/lukecavanagh/\">Luke Cavanagh</a>, <a href=\"https://profiles.wordpress.org/wodarekly/\">Lydia Wodarek</a>, <a href=\"https://profiles.wordpress.org/vinoth06/\">M A Vinoth Kumar</a>, <a href=\"https://profiles.wordpress.org/maciejmackowiak/\">maciejmackowiak</a>, <a href=\"https://profiles.wordpress.org/mahesh901122/\">Mahesh Waghmare</a>, <a href=\"https://profiles.wordpress.org/manzoorwanijk/\">Manzoor Wani</a>, <a href=\"https://profiles.wordpress.org/marcelo2605/\">marcelo2605</a>, <a href=\"https://profiles.wordpress.org/marcio-zebedeu/\">Marcio Zebedeu</a>, <a href=\"https://profiles.wordpress.org/marcoz/\">MarcoZ</a>, <a href=\"https://profiles.wordpress.org/mkaz/\">Marcus Kazmierczak</a>, <a href=\"https://profiles.wordpress.org/marekdedic/\">Marek Dědič</a>, <a href=\"https://profiles.wordpress.org/clorith/\">Marius Jensen</a>, <a href=\"https://profiles.wordpress.org/marius84/\">Marius84</a>, <a href=\"https://profiles.wordpress.org/markjaquith/\">Mark Jaquith</a>, <a href=\"https://profiles.wordpress.org/mmarzeotti/\">Mark Marzeotti</a>, <a href=\"https://profiles.wordpress.org/mapk/\">Mark Uraine</a>, <a href=\"https://profiles.wordpress.org/hinjiriyo/\">Martin Stehle</a>, <a href=\"https://profiles.wordpress.org/m-e-h/\">Marty Helmick</a>, <a href=\"https://profiles.wordpress.org/marybaum/\">Mary Baum</a>, <a href=\"https://profiles.wordpress.org/matstars/\">Mat Gargano</a>, <a href=\"https://profiles.wordpress.org/mat-lipe/\">Mat Lipe</a>, <a href=\"https://profiles.wordpress.org/imath/\">Mathieu Viet</a>, <a href=\"https://profiles.wordpress.org/matveb/\">Matias Ventura</a>, <a href=\"https://profiles.wordpress.org/mattkeys/\">Matt Keys</a>, <a href=\"https://profiles.wordpress.org/veraxus/\">Matt van Andel</a>, <a href=\"https://profiles.wordpress.org/mattchowning/\">mattchowning</a>, <a href=\"https://profiles.wordpress.org/snapfractalpop/\">Matthew Kevins</a>, <a href=\"https://profiles.wordpress.org/mattnyeus/\">mattnyeus</a>, <a href=\"https://profiles.wordpress.org/maxme/\">maxme</a>, <a href=\"https://profiles.wordpress.org/mayanksonawat/\">mayanksonawat</a>, <a href=\"https://profiles.wordpress.org/mbrailer/\">mbrailer</a>, <a href=\"https://profiles.wordpress.org/mehidi258/\">Mehidi Hassan</a>, <a href=\"https://profiles.wordpress.org/melchoyce/\">Mel Choyce-Dwan</a>, <a href=\"https://profiles.wordpress.org/mensmaximus/\">mensmaximus</a>, <a href=\"https://profiles.wordpress.org/michael-arestad/\">Michael Arestad</a>, <a href=\"https://profiles.wordpress.org/michaelecklund/\">Michael Ecklund</a>, <a href=\"https://profiles.wordpress.org/donmhico/\">Michael Panaga</a>, <a href=\"https://profiles.wordpress.org/marktimemedia/\">Michelle Schulp</a>, <a href=\"https://profiles.wordpress.org/mickaelperrin/\">mickaelperrin</a>, <a href=\"https://profiles.wordpress.org/miette49/\">miette49</a>, <a href=\"https://profiles.wordpress.org/mcsf/\">Miguel Fonseca</a>, <a href=\"https://profiles.wordpress.org/mmtr86/\">Miguel Torres</a>, <a href=\"https://profiles.wordpress.org/mihdan/\">mihdan</a>, <a href=\"https://profiles.wordpress.org/miinasikk/\">Miina Sikk</a>, <a href=\"https://profiles.wordpress.org/simison/\">Mikael Korpela</a>, <a href=\"https://profiles.wordpress.org/mauteri/\">Mike Auteri</a>, <a href=\"https://profiles.wordpress.org/mikehansenme/\">Mike Hansen</a>, <a href=\"https://profiles.wordpress.org/mikeschinkel/\">Mike Schinkel [WPLib Box project lead]</a>, <a href=\"https://profiles.wordpress.org/mikeschroder/\">Mike Schroder</a>, <a href=\"https://profiles.wordpress.org/mikejdent/\">mikejdent</a>, <a href=\"https://profiles.wordpress.org/msaari/\">Mikko Saari</a>, <a href=\"https://profiles.wordpress.org/iihglobal/\">Milan Patel</a>, <a href=\"https://profiles.wordpress.org/gdragon/\">Milan Petrovic</a>, <a href=\"https://profiles.wordpress.org/mimitips/\">mimi</a>, <a href=\"https://profiles.wordpress.org/mircoraffinetti/\">mircoraffinetti</a>, <a href=\"https://profiles.wordpress.org/mjnewman/\">mjnewman</a>, <a href=\"https://profiles.wordpress.org/mlbrgl/\">mlbrgl</a>, <a href=\"https://profiles.wordpress.org/morganestes/\">Morgan Estes</a>, <a href=\"https://profiles.wordpress.org/man4toman/\">Morteza Geransayeh</a>, <a href=\"https://profiles.wordpress.org/mppfeiffer/\">mppfeiffer</a>, <a href=\"https://profiles.wordpress.org/mryoga/\">mryoga</a>, <a href=\"https://profiles.wordpress.org/musamamasood/\">Muhammad Usama Masood</a>, <a href=\"https://profiles.wordpress.org/mujuonly/\">mujuonly</a>, <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a>, <a href=\"https://profiles.wordpress.org/assassinateur/\">Nadir Seghir</a>, <a href=\"https://profiles.wordpress.org/nagoke/\">nagoke</a>, <a href=\"https://profiles.wordpress.org/nfmohit/\">Nahid Ferdous Mohit</a>, <a href=\"https://profiles.wordpress.org/finchps/\">Nate Finch</a>, <a href=\"https://profiles.wordpress.org/mukto90/\">Nazmul Ahsan</a>, <a href=\"https://profiles.wordpress.org/nekomajin/\">nekomajin</a>, <a href=\"https://profiles.wordpress.org/nextscripts/\">NextScripts</a>, <a href=\"https://profiles.wordpress.org/nickdaugherty/\">Nick Daugherty</a>, <a href=\"https://profiles.wordpress.org/celloexpressions/\">Nick Halsey</a>, <a href=\"https://profiles.wordpress.org/nsundberg/\">Nicklas Sundberg</a>, <a href=\"https://profiles.wordpress.org/nickylimjj/\">Nicky Lim</a>, <a href=\"https://profiles.wordpress.org/vadimnicolai/\">nicolad</a>, <a href=\"https://profiles.wordpress.org/rahe/\">Nicolas Juen</a>, <a href=\"https://profiles.wordpress.org/nicole2292/\">nicole2292</a>, <a href=\"https://profiles.wordpress.org/nielslange/\">Niels Lange</a>, <a href=\"https://profiles.wordpress.org/nikhilgupte/\">nikhilgupte</a>, <a href=\"https://profiles.wordpress.org/nilamacharya/\">nilamacharya</a>, <a href=\"https://profiles.wordpress.org/noahtallen/\">noahtallen</a>, <a href=\"https://profiles.wordpress.org/noyle/\">noyle</a>, <a href=\"https://profiles.wordpress.org/nsubugak/\">nsubugak</a>, <a href=\"https://profiles.wordpress.org/oakesjosh/\">oakesjosh</a>, <a href=\"https://profiles.wordpress.org/oldenburg/\">oldenburg</a>, <a href=\"https://profiles.wordpress.org/alshakero/\">Omar Alshaker</a>, <a href=\"https://profiles.wordpress.org/ottok/\">Otto Kek&#228;l&#228;inen</a>, <a href=\"https://profiles.wordpress.org/ov3rfly/\">Ov3rfly</a>, <a href=\"https://profiles.wordpress.org/paaljoachim/\">Paal Joachim Romdahl</a>, <a href=\"https://profiles.wordpress.org/iaaxpage/\">page-carbajal</a>, <a href=\"https://profiles.wordpress.org/pagewidth/\">pagewidth</a>, <a href=\"https://profiles.wordpress.org/paragoninitiativeenterprises/\">Paragon Initiative Enterprises</a>, <a href=\"https://profiles.wordpress.org/swissspidy/\">Pascal Birchler</a>, <a href=\"https://profiles.wordpress.org/casiepa/\">Pascal Casier</a>, <a href=\"https://profiles.wordpress.org/pbearne/\">Paul Bearne</a>, <a href=\"https://profiles.wordpress.org/pbiron/\">Paul Biron</a>, <a href=\"https://profiles.wordpress.org/rixeo/\">Paul Kevin</a>, <a href=\"https://profiles.wordpress.org/paulschreiber/\">Paul Schreiber</a>, <a href=\"https://profiles.wordpress.org/pcarvalho/\">pcarvalho</a>, <a href=\"https://profiles.wordpress.org/pedromendonca/\">Pedro Mendon&#231;a</a>, <a href=\"https://profiles.wordpress.org/perrywagle/\">perrywagle</a>, <a href=\"https://profiles.wordpress.org/peterwilsoncc/\">Peter Wilson</a>, <a href=\"https://profiles.wordpress.org/philipmjackson/\">Philip Jackson</a>, <a href=\"https://profiles.wordpress.org/pierlo/\">Pierre Gordon</a>, <a href=\"https://profiles.wordpress.org/pierrelannoy/\">Pierre Lannoy</a>, <a href=\"https://profiles.wordpress.org/pikamander2/\">pikamander2</a>, <a href=\"https://profiles.wordpress.org/prashantvatsh/\">Prashant Singh</a>, <a href=\"https://profiles.wordpress.org/pratik-jain/\">Pratik Jain</a>, <a href=\"https://profiles.wordpress.org/presskopp/\">Presskopp</a>, <a href=\"https://profiles.wordpress.org/priyankabehera155/\">Priyanka Behera</a>, <a href=\"https://profiles.wordpress.org/raamdev/\">Raam Dev</a>, <a href=\"https://profiles.wordpress.org/bamadesigner/\">Rachel Cherry</a>, <a href=\"https://profiles.wordpress.org/larrach/\">Rachel Peter</a>, <a href=\"https://profiles.wordpress.org/ragnarokatz/\">ragnarokatz</a>, <a href=\"https://profiles.wordpress.org/ramiy/\">Rami Yushuvaev</a>, <a href=\"https://profiles.wordpress.org/raoulunger/\">raoulunger</a>, <a href=\"https://profiles.wordpress.org/razamalik/\">razamalik</a>, <a href=\"https://profiles.wordpress.org/remcotolsma/\">Remco Tolsma</a>, <a href=\"https://profiles.wordpress.org/rephotsirch/\">rephotsirch</a>, <a href=\"https://profiles.wordpress.org/rheinardkorf/\">rheinardkorf</a>, <a href=\"https://profiles.wordpress.org/youknowriad/\">Riad Benguella</a>, <a href=\"https://profiles.wordpress.org/quicoto/\">Ricard Torres</a>, <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a>, <a href=\"https://profiles.wordpress.org/rimadoshi/\">rimadoshi</a>, <a href=\"https://profiles.wordpress.org/rinkuyadav999/\">Rinku Y</a>, <a href=\"https://profiles.wordpress.org/rcutmore/\">Rob Cutmore</a>, <a href=\"https://profiles.wordpress.org/rob006/\">rob006</a>, <a href=\"https://profiles.wordpress.org/noisysocks/\">Robert Anderson</a>, <a href=\"https://profiles.wordpress.org/rconde/\">Roi Conde</a>, <a href=\"https://profiles.wordpress.org/murgroland/\">Roland Murg</a>, <a href=\"https://profiles.wordpress.org/costasovo/\">Rostislav Woln&#253;</a>, <a href=\"https://profiles.wordpress.org/roytanck/\">Roy Tanck</a>, <a href=\"https://profiles.wordpress.org/kingkool68/\">Russell Heimlich</a>, <a href=\"https://profiles.wordpress.org/rryyaanndd/\">Ryan</a>, <a href=\"https://profiles.wordpress.org/bookdude13/\">Ryan Fredlund</a>, <a href=\"https://profiles.wordpress.org/rmccue/\">Ryan McCue</a>, <a href=\"https://profiles.wordpress.org/welcher/\">Ryan Welcher</a>, <a href=\"https://profiles.wordpress.org/looswebstudio/\">Ryo</a>, <a href=\"https://profiles.wordpress.org/sebastienserre/\">S&#233;bastien SERRE</a>, <a href=\"https://profiles.wordpress.org/sablednah/\">sablednah</a>, <a href=\"https://profiles.wordpress.org/viralsampat/\">Sampat Viral</a>, <a href=\"https://profiles.wordpress.org/otto42/\">Samuel Wood (Otto)</a>, <a href=\"https://profiles.wordpress.org/samuelfernandez/\">SamuelFernandez</a>, <a href=\"https://profiles.wordpress.org/zanderz/\">Sander</a>, <a href=\"https://profiles.wordpress.org/santilinwp/\">santilinwp</a>, <a href=\"https://profiles.wordpress.org/sathyapulse/\">Sathiyamoorthy V</a>, <a href=\"https://profiles.wordpress.org/tivus/\">Schuhwerk</a>, <a href=\"https://profiles.wordpress.org/coffee2code/\">Scott Reilly</a>, <a href=\"https://profiles.wordpress.org/wonderboymusic/\">Scott Taylor</a>, <a href=\"https://profiles.wordpress.org/scruffian/\">scruffian</a>, <a href=\"https://profiles.wordpress.org/scvleon/\">scvleon</a>, <a href=\"https://profiles.wordpress.org/sebastianpisula/\">Sebastian Pisula</a>, <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a>, <a href=\"https://profiles.wordpress.org/sgr33n/\">Sergio de Falco</a>, <a href=\"https://profiles.wordpress.org/sergiomdgomes/\">sergiomdgomes</a>, <a href=\"https://profiles.wordpress.org/sgastard/\">sgastard</a>, <a href=\"https://profiles.wordpress.org/sgoen/\">sgoen</a>, <a href=\"https://profiles.wordpress.org/shahariaazam/\">Shaharia Azam</a>, <a href=\"https://profiles.wordpress.org/cafenoirdesign/\">Shannon Smith</a>, <a href=\"https://profiles.wordpress.org/shariqkhan2012/\">shariqkhan2012</a>, <a href=\"https://profiles.wordpress.org/sncoker/\">Shawntelle Coker</a>, <a href=\"https://profiles.wordpress.org/sheparddw/\">sheparddw</a>, <a href=\"https://profiles.wordpress.org/shital-patel/\">Shital Marakana</a>, <a href=\"https://profiles.wordpress.org/shizumi/\">Shizumi Yoshiaki</a>, <a href=\"https://profiles.wordpress.org/simonjanin/\">simonjanin</a>, <a href=\"https://profiles.wordpress.org/sinatrateam/\">sinatrateam</a>, <a href=\"https://profiles.wordpress.org/sirreal/\">sirreal</a>, <a href=\"https://profiles.wordpress.org/skorasaurus/\">skorasaurus</a>, <a href=\"https://profiles.wordpress.org/smerriman/\">smerriman</a>, <a href=\"https://profiles.wordpress.org/socalchristina/\">socalchristina</a>, <a href=\"https://profiles.wordpress.org/soean/\">Soren Wrede</a>, <a href=\"https://profiles.wordpress.org/spenserhale/\">spenserhale</a>, <a href=\"https://profiles.wordpress.org/sproutchris/\">sproutchris</a>, <a href=\"https://profiles.wordpress.org/squarecandy/\">squarecandy</a>, <a href=\"https://profiles.wordpress.org/starvoters1/\">starvoters1</a>, <a href=\"https://profiles.wordpress.org/steelwagstaff/\">SteelWagstaff</a>, <a href=\"https://profiles.wordpress.org/steevithak/\">steevithak</a>, <a href=\"https://profiles.wordpress.org/ryokuhi/\">Stefano Minoia</a>, <a href=\"https://profiles.wordpress.org/hypest/\">Stefanos Togoulidis</a>, <a href=\"https://profiles.wordpress.org/steffanhalv/\">steffanhalv</a>, <a href=\"https://profiles.wordpress.org/sabernhardt/\">Stephen Bernhardt</a>, <a href=\"https://profiles.wordpress.org/netweb/\">Stephen Edgar</a>, <a href=\"https://profiles.wordpress.org/dufresnesteven/\">Steve Dufresne</a>, <a href=\"https://profiles.wordpress.org/stevegrunwell/\">Steve Grunwell</a>, <a href=\"https://profiles.wordpress.org/stevenlinx/\">stevenlinx</a>, <a href=\"https://profiles.wordpress.org/stiofansisland/\">Stiofan</a>, <a href=\"https://profiles.wordpress.org/matthias-reuter/\">straightvisions GmbH</a>, <a href=\"https://profiles.wordpress.org/stroona/\">stroona.com</a>, <a href=\"https://profiles.wordpress.org/subratamal/\">Subrata Mal</a>, <a href=\"https://profiles.wordpress.org/subrataemfluence/\">Subrata Sarkar</a>, <a href=\"https://profiles.wordpress.org/manikmist09/\">Sultan Nasir Uddin</a>, <a href=\"https://profiles.wordpress.org/swapnild/\">swapnild</a>, <a href=\"https://profiles.wordpress.org/cybr/\">Sybre Waaijer</a>, <a href=\"https://profiles.wordpress.org/sergioestevao/\">Sérgio Estêvão</a>, <a href=\"https://profiles.wordpress.org/miyauchi/\">Takayuki Miyauchi</a>, <a href=\"https://profiles.wordpress.org/takeshifurusato/\">Takeshi Furusato</a>, <a href=\"https://profiles.wordpress.org/karmatosed/\">Tammie Lister</a>, <a href=\"https://profiles.wordpress.org/tanvirul/\">Tanvirul Haque</a>, <a href=\"https://profiles.wordpress.org/tbschen/\">TBschen</a>, <a href=\"https://profiles.wordpress.org/tdlewis77/\">tdlewis77</a>, <a href=\"https://profiles.wordpress.org/tellyworth/\">Tellyworth</a>, <a href=\"https://profiles.wordpress.org/thamaraiselvam/\">Thamaraiselvam</a>, <a href=\"https://profiles.wordpress.org/thefarlilacfield/\">thefarlilacfield</a>, <a href=\"https://profiles.wordpress.org/themezee/\">ThemeZee</a>, <a href=\"https://profiles.wordpress.org/timhavinga/\">Tim Havinga</a>, <a href=\"https://profiles.wordpress.org/hedgefield/\">Tim Hengeveld</a>, <a href=\"https://profiles.wordpress.org/timon33/\">timon33</a>, <a href=\"https://profiles.wordpress.org/spaceshipone/\">Timoth&#233;e Brosille</a>, <a href=\"https://profiles.wordpress.org/timothyblynjacobs/\">Timothy Jacobs</a>, <a href=\"https://profiles.wordpress.org/tkama/\">Tkama</a>, <a href=\"https://profiles.wordpress.org/tmanoilov/\">tmanoilov</a>, <a href=\"https://profiles.wordpress.org/tmatsuur/\">tmatsuur</a>, <a href=\"https://profiles.wordpress.org/tobifjellner/\">tobifjellner (Tor-Bjorn Fjellner)</a>, <a href=\"https://profiles.wordpress.org/tomgreer/\">Tom Greer</a>, <a href=\"https://profiles.wordpress.org/tjnowell/\">Tom J Nowell</a>, <a href=\"https://profiles.wordpress.org/tommix/\">tommix</a>, <a href=\"https://profiles.wordpress.org/skithund/\">Toni Viemer&#246;</a>, <a href=\"https://profiles.wordpress.org/toro_unit/\">Toro_Unit (Hiroshi Urabe)</a>, <a href=\"https://profiles.wordpress.org/torres126/\">torres126</a>, <a href=\"https://profiles.wordpress.org/zodiac1978/\">Torsten Landsiedel</a>, <a href=\"https://profiles.wordpress.org/itowhid06/\">Towhidul Islam</a>, <a href=\"https://profiles.wordpress.org/tristangemus/\">tristangemus</a>, <a href=\"https://profiles.wordpress.org/tristanleboss/\">tristanleboss</a>, <a href=\"https://profiles.wordpress.org/tsuyoring/\">tsuyoring</a>, <a href=\"https://profiles.wordpress.org/dinhtungdu/\">Tung Du</a>, <a href=\"https://profiles.wordpress.org/desaiuditd/\">Udit Desai</a>, <a href=\"https://profiles.wordpress.org/grapplerulrich/\">Ulrich</a>, <a href=\"https://profiles.wordpress.org/upadalavipul/\">upadalavipul</a>, <a href=\"https://profiles.wordpress.org/utsav72640/\">Utsav tilava</a>, <a href=\"https://profiles.wordpress.org/vaishalipanchal/\">Vaishali Panchal</a>, <a href=\"https://profiles.wordpress.org/valentinbora/\">Valentin Bora</a>, <a href=\"https://profiles.wordpress.org/varunshanbhag/\">Varun Shanbhag</a>, <a href=\"https://profiles.wordpress.org/veminom/\">Veminom</a>, <a href=\"https://profiles.wordpress.org/vinita29/\">Vinita Tandulkar</a>, <a href=\"https://profiles.wordpress.org/virgodesign/\">virgodesign</a>, <a href=\"https://profiles.wordpress.org/vsamoletov/\">Vlad. S.</a>, <a href=\"https://profiles.wordpress.org/vortfu/\">vortfu</a>, <a href=\"https://profiles.wordpress.org/waleedt93/\">waleedt93</a>, <a href=\"https://profiles.wordpress.org/webmandesign/\">WebMan Design &#124; Oliver Juhas</a>, <a href=\"https://profiles.wordpress.org/websupporter/\">websupporter</a>, <a href=\"https://profiles.wordpress.org/westonruter/\">Weston Ruter</a>, <a href=\"https://profiles.wordpress.org/earnjam/\">William Earnhardt</a>, <a href=\"https://profiles.wordpress.org/williampatton/\">William Patton</a>, <a href=\"https://profiles.wordpress.org/wpgurudev/\">wpgurudev</a>, <a href=\"https://profiles.wordpress.org/alexandreb3/\">WPMarmite</a>, <a href=\"https://profiles.wordpress.org/wptoolsdev/\">wptoolsdev</a>, <a href=\"https://profiles.wordpress.org/xedinunknown-1/\">xedinunknown-1</a>, <a href=\"https://profiles.wordpress.org/yale01/\">yale01</a>, <a href=\"https://profiles.wordpress.org/collet/\">Yannicki</a>, <a href=\"https://profiles.wordpress.org/yordansoares/\">Yordan Soares</a>, <a href=\"https://profiles.wordpress.org/fierevere/\">Yui</a>, <a href=\"https://profiles.wordpress.org/zachflauaus/\">zachflauaus</a>, <a href=\"https://profiles.wordpress.org/tollmanz/\">Zack Tollman</a>, <a href=\"https://profiles.wordpress.org/zebulan/\">Zebulan Stanphill</a>, <a href=\"https://profiles.wordpress.org/zaffarn/\">Zee</a>, and <a href=\"https://profiles.wordpress.org/zsusag/\">zsusag</a>.\n\n\n\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p>Many thanks to all of the community volunteers who contribute in the&nbsp;<a href=\"https://wordpress.org/support/\">support forums</a>. They answer questions from people across the world, whether they are using WordPress for the first time or since the first release. These releases are more successful for their efforts!</p>\n\n\n\n<p>Finally, thanks to all the community translators who worked on WordPress 5.4. Their efforts bring WordPress fully translated to&nbsp;46 languages at release time, with more on the way.</p>\n\n\n\n<p>If you want to learn more about volunteering with WordPress, check out&nbsp;<a href=\"https://make.wordpress.org/\">Make WordPress</a>&nbsp;or the&nbsp;<a href=\"https://make.wordpress.org/core/\">core development blog</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"8455\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"WordPress 5.4 RC5\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/2020/03/wordpress-5-4-rc5/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 28 Mar 2020 00:47:08 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8451\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:379:\"The fifth release candidate for WordPress 5.4 is live! WordPress 5.4 is currently scheduled to land on&#160;March 31 2020, and we need&#160;your&#160;help to get there—if you haven’t tried 5.4 yet, now is the time! You can test the WordPress 5.4 release candidate in two ways: Try the WordPress Beta Tester plugin (choose the “bleeding edge nightlies” option) [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"David Baumwald\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2181:\"\n<p><br>The fifth release candidate for WordPress 5.4 is live!</p>\n\n\n\n<p>WordPress 5.4 is currently scheduled to land on&nbsp;<strong><a href=\"https://make.wordpress.org/core/5-4/\">March 31 2020</a></strong>, and we need&nbsp;<em>your</em>&nbsp;help to get there—if you haven’t tried 5.4 yet, now is the time!</p>\n\n\n\n<p>You can test the WordPress 5.4 release candidate in two ways:</p>\n\n\n\n<ul><li>Try the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (choose the “bleeding edge nightlies” option)</li><li>Or <a href=\"https://wordpress.org/wordpress-5.4-RC5.zip\">download the release candidate here</a> (zip).</li></ul>\n\n\n\n<p>For details about what to expect in WordPress 5.4, please see the&nbsp;<a href=\"https://wordpress.org/news/2020/03/wordpress-5-4-release-candidate/\">first release candidate post</a>.</p>\n\n\n\n<h2>Plugin and Theme Developers</h2>\n\n\n\n<p>Please test your plugins and themes against WordPress 5.4 and update the&nbsp;<em>Tested up to</em>&nbsp;version in the readme to 5.4. The priority in testing is compatibility. If you find issues, please be sure to post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>&nbsp;so we can figure them out before the final release.</p>\n\n\n\n<p>The&nbsp;<a href=\"https://make.wordpress.org/core/2020/03/03/wordpress-5-4-field-guide/\">WordPress 5.4 Field Guide</a>&nbsp;is also out! It’s your source for details on all the major changes.</p>\n\n\n\n<h2>How to Help</h2>\n\n\n\n<p>Do you speak a language besides English?&nbsp;<a href=\"https://translate.wordpress.org/projects/wp/dev\">Help us translate WordPress into more than 100 languages!</a></p>\n\n\n\n<p><em><strong>If you think you’ve found a bug</strong>, you can post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a>&nbsp;in the support forums. We’d love to hear from you! If you’re comfortable writing a reproducible bug report,&nbsp;<a href=\"https://make.wordpress.org/core/reports/\">file one on WordPress Trac</a>, where you can also find&nbsp;<a href=\"https://core.trac.wordpress.org/tickets/major\">a list of known bugs</a>.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"8451\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"WordPress 5.4 RC4\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/2020/03/wordpress-5-4-rc4/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 24 Mar 2020 22:00:07 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8444\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:388:\"The fourth release candidate for WordPress 5.4 is live! WordPress 5.4 is currently scheduled to land on&#160;March 31 2020, and we need&#160;your&#160;help to get there—if you haven’t tried 5.4 yet, now is the time! You can test the WordPress 5.4 release candidate in two ways: Try the&#160;WordPress Beta Tester&#160;plugin (choose the “bleeding edge nightlies” option) [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Francesca Marano\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2395:\"\n<p>The fourth release candidate for WordPress 5.4 is live!</p>\n\n\n\n<p>WordPress 5.4 is currently scheduled to land on&nbsp;<strong><a href=\"https://make.wordpress.org/core/5-4/\">March 31 2020</a></strong>, and we need&nbsp;<em>your</em>&nbsp;help to get there—if you haven’t tried 5.4 yet, now is the time!</p>\n\n\n\n<p>You can test the WordPress 5.4 release candidate in two ways:</p>\n\n\n\n<ul><li>Try the&nbsp;<a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a>&nbsp;plugin (choose the “bleeding edge nightlies” option)</li><li>Or&nbsp;<a href=\"https://wordpress.org/wordpress-5.4-RC4.zip\">download the release candidate here</a>&nbsp;(zip).</li></ul>\n\n\n\n<p>For details about what to expect in WordPress 5.4, please see the&nbsp;<a href=\"https://wordpress.org/news/2020/03/wordpress-5-4-release-candidate/\">first release candidate post</a>.</p>\n\n\n\n<p>RC4 commits the new <a href=\"https://core.trac.wordpress.org/ticket/49295\">About page</a> and&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/49688\">updates the editor packages</a>.</p>\n\n\n\n<h2>Plugin and Theme Developers</h2>\n\n\n\n<p>Please test your plugins and themes against WordPress 5.4 and update the&nbsp;<em>Tested up to</em>&nbsp;version in the readme to 5.4. The priority in testing is compatibility. If you find issues, please be sure to post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>&nbsp;so we can figure them out before the final release.</p>\n\n\n\n<p>The&nbsp;<a href=\"https://make.wordpress.org/core/2020/03/03/wordpress-5-4-field-guide/\">WordPress 5.4 Field Guide</a>&nbsp;is also out! It&#8217;s your source for details on all the major changes.</p>\n\n\n\n<h2>How to Help</h2>\n\n\n\n<p>Do you speak a language besides English?&nbsp;<a href=\"https://translate.wordpress.org/projects/wp/dev\">Help us translate WordPress into more than 100 languages!</a></p>\n\n\n\n<p><em><strong>If you think you’ve found a bug</strong>, you can post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a>&nbsp;in the support forums. We’d love to hear from you! If you’re comfortable writing a reproducible bug report,&nbsp;<a href=\"https://make.wordpress.org/core/reports/\">file one on WordPress Trac</a>, where you can also find&nbsp;<a href=\"https://core.trac.wordpress.org/tickets/major\">a list of known bugs</a>.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"8444\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"WordPress 5.4 RC3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/2020/03/wordpress-5-4-rc3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 17 Mar 2020 21:24:24 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8432\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:384:\"The third release candidate for WordPress 5.4 is now available! WordPress 5.4 is currently scheduled to be released on&#160;March 31 2020, and we need&#160;your&#160;help to get there—if you haven’t tried 5.4 yet, now is the time! There are two ways to test the WordPress 5.4 release candidate: Try the&#160;WordPress Beta Tester&#160;plugin (choose the “bleeding edge [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"David Baumwald\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4104:\"\n<p>The third release candidate for WordPress 5.4 is now available!</p>\n\n\n\n<p>WordPress 5.4 is currently scheduled to be released on&nbsp;<strong><a href=\"https://make.wordpress.org/core/5-4/\">March 31 2020</a></strong>, and we need&nbsp;<em>your</em>&nbsp;help to get there—if you haven’t tried 5.4 yet, now is the time!</p>\n\n\n\n<p>There are two ways to test the WordPress 5.4 release candidate:</p>\n\n\n\n<ul><li>Try the&nbsp;<a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a>&nbsp;plugin (choose the “bleeding edge nightlies” option)</li><li>Or&nbsp;<a href=\"https://wordpress.org/wordpress-5.4-RC3.zip\">download the release candidate here</a>&nbsp;(zip).</li></ul>\n\n\n\n<p>For details about what to expect in WordPress 5.4, please see the&nbsp;<a href=\"https://wordpress.org/news/2020/03/wordpress-5-4-release-candidate/\">first release candidate post</a>.</p>\n\n\n\n<p>RC3 addresses improvements to the new About page and&nbsp;<a href=\"https://core.trac.wordpress.org/query?id=49657%2C49621%2C48164%2C49577%2C47053%2C48303%2C49374%2C49619&amp;milestone=5.4&amp;group=component&amp;col=id&amp;col=summary&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=status&amp;col=priority&amp;order=priority\">8 fixes</a>&nbsp;for the following bugs and regressions:</p>\n\n\n\n<ul><li><a href=\"https://core.trac.wordpress.org/ticket/49657\"></a><a href=\"https://core.trac.wordpress.org/ticket/49657\">49657</a> &#8211; <a href=\"https://core.trac.wordpress.org/ticket/49657\">Block Editor: Update WordPress Packages WordPress 5.4 RC 3</a></li><li><a href=\"https://core.trac.wordpress.org/ticket/49621\"></a><a href=\"https://core.trac.wordpress.org/ticket/49621\">49621</a> &#8211; <a href=\"https://core.trac.wordpress.org/ticket/49621\">Travis: Download Chromium for E2E Tests Only</a></li><li><a href=\"https://core.trac.wordpress.org/ticket/49164\"></a><a href=\"https://core.trac.wordpress.org/ticket/48164\">48164</a> &#8211; <a href=\"https://core.trac.wordpress.org/ticket/48164\">media_sideload_image Should Store Original URL and Optionally Check for Dupes</a></li><li><a href=\"https://core.trac.wordpress.org/ticket/49577\">49577 &#8211; Site Health Status Dashboard Provides Incorrect Items Count on Initial Load</a></li><li><a href=\"https://core.trac.wordpress.org/ticket/47053\">47053 &#8211; Accessibility: Need to set proper &#8216;tabindex&#8217; in &#8216;Skip To Toolbar&#8217; HTML</a></li><li><a href=\"https://core.trac.wordpress.org/ticket/48303\">48303 &#8211; Docblock Improvements for 5.4</a></li><li><a href=\"https://core.trac.wordpress.org/ticket/49374\">49374 &#8211; Use get_post_states to Denote Special Pages on the Added Menu Item Accordions</a></li><li><a href=\"https://core.trac.wordpress.org/ticket/49619\">49619 &#8211; Use &lt;hr /&gt; Instead of Margin on Freedoms Page</a></li></ul>\n\n\n\n<h2>Plugin and Theme Developers</h2>\n\n\n\n<p>Please test your plugins and themes against WordPress 5.4 and update the&nbsp;<em>Tested up to</em>&nbsp;version in the readme to 5.4. If you find compatibility problems, please be sure to post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>&nbsp;so we can figure those out before the final release.</p>\n\n\n\n<p>The&nbsp;<a href=\"https://make.wordpress.org/core/2020/03/03/wordpress-5-4-field-guide/\">WordPress 5.4 Field Guide</a>&nbsp;has also been published, which details the major changes.</p>\n\n\n\n<h2>How to Help</h2>\n\n\n\n<p>Do you speak a language other than English?&nbsp;<a href=\"https://translate.wordpress.org/projects/wp/dev\">Help us translate WordPress into more than 100 languages!</a></p>\n\n\n\n<p><em><strong>If you think you’ve found a bug</strong>, you can post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a>&nbsp;in the support forums. We’d love to hear from you! If you’re comfortable writing a reproducible bug report,&nbsp;<a href=\"https://make.wordpress.org/core/reports/\">file one on WordPress Trac</a>, where you can also find&nbsp;<a href=\"https://core.trac.wordpress.org/tickets/major\">a list of known bugs</a>.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"8432\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"WordPress 5.4 RC2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/2020/03/wordpress-5-4-rc2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 10 Mar 2020 21:40:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8422\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:385:\"The second release candidate for WordPress 5.4 is now available! WordPress 5.4 is currently scheduled to be released on&#160;March 31 2020, and we need&#160;your&#160;help to get there—if you haven’t tried 5.4 yet, now is the time! There are two ways to test the WordPress 5.4 release candidate: Try the&#160;WordPress Beta Tester&#160;plugin (choose the “bleeding edge [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Francesca Marano\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:3311:\"\n<p>The second release candidate for WordPress 5.4 is now available!</p>\n\n\n\n<p>WordPress 5.4 is currently scheduled to be released on&nbsp;<strong><a href=\"https://make.wordpress.org/core/5-4/\">March 31 2020</a></strong>, and we need&nbsp;<em>your</em>&nbsp;help to get there—if you haven’t tried 5.4 yet, now is the time!</p>\n\n\n\n<p>There are two ways to test the WordPress 5.4 release candidate:</p>\n\n\n\n<ul><li>Try the&nbsp;<a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a>&nbsp;plugin (choose the “bleeding edge nightlies” option)</li><li>Or&nbsp;<a href=\"https://wordpress.org/wordpress-5.4-RC2.zip\">download the release candidate here</a>&nbsp;(zip).</li></ul>\n\n\n\n<p>For details about what to expect in WordPress 5.4, please see the&nbsp;<a href=\"https://wordpress.org/news/2020/03/wordpress-5-4-release-candidate/\">first release candidate post</a>.</p>\n\n\n\n<p>RC2 addresses improvements to the new About page and <a href=\"https://core.trac.wordpress.org/query?id=49611%2C49318%2C49295%2C49585%2C49568%2C49549&amp;milestone=5.4&amp;group=component&amp;col=id&amp;col=summary&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=status&amp;col=priority&amp;order=priority\">5 fixes</a> for the following bugs and regressions:</p>\n\n\n\n<ul><li><a href=\"https://core.trac.wordpress.org/ticket/49611\">49611</a> &#8211; Block Editor: Update WordPress Packages WordPress 5.4 RC 2</li><li><a href=\"https://core.trac.wordpress.org/ticket/49318\">49318</a> &#8211; Bundled Themes: Twenty Twenty content font CSS selector is too important</li><li><a href=\"https://core.trac.wordpress.org/ticket/49585\">49585</a> &#8211; REST API: Fix typo in disable-custom-gradients theme feature description</li><li><a href=\"https://core.trac.wordpress.org/ticket/49568\">49568</a> &#8211; Block Editor: Fix visual regression in editor&#8217;s color picker</li><li><a href=\"https://core.trac.wordpress.org/ticket/49549\">49549</a> &#8211; Bundled Themes: Calendar widget CSS fixes on various Bundled themes</li></ul>\n\n\n\n<h2>Plugin and Theme Developers</h2>\n\n\n\n<p>Please test your plugins and themes against WordPress 5.4 and update the&nbsp;<em>Tested up to</em>&nbsp;version in the readme to 5.4. If you find compatibility problems, please be sure to post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>&nbsp;so we can figure those out before the final release.</p>\n\n\n\n<p>The&nbsp;<a href=\"https://make.wordpress.org/core/2020/03/03/wordpress-5-4-field-guide/\">WordPress 5.4 Field Guide</a>&nbsp;has also been published, which details the major changes.</p>\n\n\n\n<h2>How to Help</h2>\n\n\n\n<p>Do you speak a language other than English?&nbsp;<a href=\"https://translate.wordpress.org/projects/wp/dev\">Help us translate WordPress into more than 100 languages!</a></p>\n\n\n\n<p><em><strong>If you think you’ve found a bug</strong>, you can post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a>&nbsp;in the support forums. We’d love to hear from you! If you’re comfortable writing a reproducible bug report,&nbsp;<a href=\"https://make.wordpress.org/core/reports/\">file one on WordPress Trac</a>, where you can also find&nbsp;<a href=\"https://core.trac.wordpress.org/tickets/major\">a list of known bugs</a>.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"8422\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:79:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:6:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"People of WordPress: Mary Job\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"https://wordpress.org/news/2020/03/people-of-wordpress-mary-job/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://wordpress.org/news/2020/03/people-of-wordpress-mary-job/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 06 Mar 2020 16:30:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:9:\"heropress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:10:\"Interviews\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8406\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:189:\"In the March edition of our \"People of WordPress\" series, you\'ll find out how Mary Job grew from a timid, curious cat into a public speaker and organizer of WordPress Meetups and WordCamps.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Yvette Sonneveld\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:9720:\"\n<p><em>You’ve probably heard that WordPress is open-source software, and may know that it’s created and run by volunteers. WordPress enthusiasts share many examples of how WordPress changed people’s lives for the better. This monthly series shares some of those lesser-known, amazing stories.&nbsp;</em></p>\n\n\n\n<h2>How it all began</h2>\n\n\n\n<figure class=\"wp-block-image size-large\"><img loading=\"lazy\" src=\"https://i1.wp.com/wordpress.org/news/files/2020/02/At-WordCamp-Kampala-2020.jpeg?resize=632%2C844&#038;ssl=1\" alt=\"Mary Job at WordCamp Kampala 2020\" class=\"wp-image-8410\" srcset=\"https://i1.wp.com/wordpress.org/news/files/2020/02/At-WordCamp-Kampala-2020.jpeg?resize=767%2C1024&amp;ssl=1 767w, https://i1.wp.com/wordpress.org/news/files/2020/02/At-WordCamp-Kampala-2020.jpeg?resize=225%2C300&amp;ssl=1 225w, https://i1.wp.com/wordpress.org/news/files/2020/02/At-WordCamp-Kampala-2020.jpeg?resize=768%2C1025&amp;ssl=1 768w, https://i1.wp.com/wordpress.org/news/files/2020/02/At-WordCamp-Kampala-2020.jpeg?w=809&amp;ssl=1 809w\" sizes=\"(max-width: 632px) 100vw, 632px\" data-recalc-dims=\"1\" /><figcaption>Mary Job at WordCamp Kampala 2020</figcaption></figure>\n\n\n\n<p>Mary remembers when cybercafés started trending in Nigeria. She had just finished high school and was awaiting her results for admission to university. She spent all of her time (10 hours a day) and all of her pocket money buying bulk time online at cafes. All the way through university that was true, until in 2008 she graduated with a degree in philosophy and bought her own computer and modem.</p>\n\n\n\n<p>She started blogging in 2009. Initially, she tried out Blogger, Hubpages, and WordPress—but found WordPress too complicated.&nbsp;</p>\n\n\n\n<h2>Growing up as a timid but curious cat</h2>\n\n\n\n<p>Mary is one of four kids, and the only girl among her siblings. Throughout her childhood she felt shy, even though others didn’t always see her that way. </p>\n\n\n\n<p>When she first started her personal blog, it was mostly an opportunity for her to speak her mind where she was comfortable. Blogging gave her a medium to express her thoughts and with every new post she became a better writer.</p>\n\n\n\n<h2>Rediscovering WordPress</h2>\n\n\n\n<p>After completing a postgraduate diploma in mass communication, Mary started a Masters degree in Information Management. This required a three month internship. She decided to volunteer in Ghana in 2015 at the headquarters of the Salesians of Don Bosco in West Africa (SDBAFW<strong>)</strong> where her uncle was based.</p>\n\n\n\n<p>While she was there, her uncle asked Mary why she was not blogging on WordPress, which also happened to be the software the organisation used. She explained how difficult and complicated it was so he shared a group of beginner-level tutorial videos with her.</p>\n\n\n\n<p>After two weeks of watching those videos, she started to realize she could have a full-time career doing this. So she immediately joined a number of online training groups so she could learn everything.</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p><em>I saw a lot of people earning an income from things I knew and did for the fun of it. I found myself asking why I had not turned my passion into a business.</em></p><cite>Mary Job</cite></blockquote>\n\n\n\n<p>Not long after that, she was contacted by a website editor who was impressed by her blog. With the information available online for WordPress, she was able to learn everything she needed to improve and redesign a site for what turned into her first client.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img loading=\"lazy\" src=\"https://i1.wp.com/wordpress.org/news/files/2020/03/my-home-office-in-2016.jpeg?w=632&#038;ssl=1\" alt=\"\" class=\"wp-image-8412\" srcset=\"https://i1.wp.com/wordpress.org/news/files/2020/03/my-home-office-in-2016.jpeg?w=512&amp;ssl=1 512w, https://i1.wp.com/wordpress.org/news/files/2020/03/my-home-office-in-2016.jpeg?resize=300%2C169&amp;ssl=1 300w\" sizes=\"(max-width: 512px) 100vw, 512px\" data-recalc-dims=\"1\" /><figcaption>Mary&#8217;s home office in 2016</figcaption></figure>\n\n\n\n<blockquote class=\"wp-block-quote\"><p><em>I visited the <a href=\"https://wordpress.org/showcase/\">WordPress.org showcase</a> and was wowed with all the good things I could do with WordPress.</em></p><cite>Mary Job</cite></blockquote>\n\n\n\n<p>In 2016 after a year of deep WordPress learning, she had fallen in love with the CMS and wanted to give back to the <a href=\"https://make.wordpress.org/\">WordPress open source project</a>.&nbsp;</p>\n\n\n\n<p>She volunteered to help the Community team. And when she moved to Lagos later that year, she discovered there was an active WordPress Meetup community. This started her journey toward becoming a WordPress Meetup Co-organizer and a Global Community Team Deputy.</p>\n\n\n\n<p>Today the Nigerian WordPress community continues to grow, as has the <a href=\"https://www.meetup.com/Lagos-WordPress-Meetup-Group\">Lagos WordPress Meetup</a> group. The first Nigerian WordCamp took place in Lagos in 2018 and a <a href=\"https://2020.lagos.wordcamp.org/\">2020 event is being planned</a>. A local WordPress community also developed in Mary’s hometown in Ijebu.</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p><em>I have made great friends and met co-organizers in the community who are dedicated to building and sharing their WordPress knowledge with the community like I am.</em></p><cite>Mary Job</cite></blockquote>\n\n\n\n<h2>What did Mary gain from using and contributing to WordPress?</h2>\n\n\n\n<ul><li>She <strong>overcame her stage fright</strong> by getting up in front of an audience at her local Meetup to introduce speakers and to talk about the WordPress community.&nbsp;</li><li>She <strong>attended her first of many African WordCamps </strong>in Cape Town, South Africa. Coincidentally this was also her first time outside West Africa. Before that, she had not been in an aircraft for more than one hour.</li><li>She <strong>earned money</strong> from WordPress web design projects to sustain her during her learning period. Mary continues to use WordPress in her work and says she is still learning every day!</li><li>She got to <strong>jump off</strong> Signal Hill in Cape Town when visiting a WordCamp!&nbsp;</li></ul>\n\n\n\n<figure class=\"wp-block-image size-large\"><img loading=\"lazy\" src=\"https://i1.wp.com/wordpress.org/news/files/2020/03/Moderating-a-Panel-at-WCLOS2019.jpg?fit=632%2C422&amp;ssl=1\" alt=\"\" class=\"wp-image-8413\" srcset=\"https://i1.wp.com/wordpress.org/news/files/2020/03/Moderating-a-Panel-at-WCLOS2019.jpg?w=1683&amp;ssl=1 1683w, https://i1.wp.com/wordpress.org/news/files/2020/03/Moderating-a-Panel-at-WCLOS2019.jpg?resize=300%2C200&amp;ssl=1 300w, https://i1.wp.com/wordpress.org/news/files/2020/03/Moderating-a-Panel-at-WCLOS2019.jpg?resize=1024%2C683&amp;ssl=1 1024w, https://i1.wp.com/wordpress.org/news/files/2020/03/Moderating-a-Panel-at-WCLOS2019.jpg?resize=768%2C512&amp;ssl=1 768w, https://i1.wp.com/wordpress.org/news/files/2020/03/Moderating-a-Panel-at-WCLOS2019.jpg?resize=1536%2C1024&amp;ssl=1 1536w, https://i1.wp.com/wordpress.org/news/files/2020/03/Moderating-a-Panel-at-WCLOS2019.jpg?w=1264&amp;ssl=1 1264w\" sizes=\"(max-width: 632px) 100vw, 632px\" /><figcaption>Mary moderating a panel at WordCamp Lagos in 2019</figcaption></figure>\n\n\n\n<blockquote class=\"wp-block-quote\"><p><em>Essentially, the community has taught me to be a better communicator, and a better person. I’ve made friends across the world that have become like a family to me.</em></p><cite>Mary Job</cite></blockquote>\n\n\n\n<p>She now runs a village hub in Ijebu,&nbsp; where she teaches girls digital skills and WordPress as a way of giving back to her town.</p>\n\n\n\n<p>Since she started on this journey, Mary has gotten a fulltime job supporting a WordPress plugin. She’s also become a Community Team Rep and continues to build and foster communities.</p>\n\n\n\n<h2>Mary’s advice to others</h2>\n\n\n\n<blockquote class=\"wp-block-quote\"><p><em>Always seek to understand the basics of whatever knowledge you seek. Never jump in too fast, wanting to spiral to the top while ignoring the learning curve. You will likely crash down effortlessly if you do so, and would have learned nothing.</em></p><cite>Mary Job</cite></blockquote>\n\n\n\n<h2>Contributors</h2>\n\n\n\n<p>Thanks to Alison Rothwell (<a href=\"https://profiles.wordpress.org/wpfiddlybits/\">@wpfiddlybits</a>), Yvette Sonneveld (<a href=\"https://profiles.wordpress.org/yvettesonneveld/\">@yvettesonneveld</a>), Abha Thakor (<a href=\"https://profiles.wordpress.org/webcommsat/\">@webcommsat</a>), Josepha Haden (<a href=\"https://profiles.wordpress.org/chanthaboune/\">@chanthaboune</a>), Topher DeRosia (<a href=\"https://profiles.wordpress.org/topher1kenobe/\">@topher1kenobe</a>). Thank you to Mary Job (<a href=\"https://profiles.wordpress.org/mariaojob/\">@maryojob</a>) for sharing her #ContributorStory.</p>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"alignleft size-large\"><img loading=\"lazy\" src=\"https://i1.wp.com/wordpress.org/news/files/2020/03/heropress_logo_180.png?w=632&#038;ssl=1\" alt=\"\" class=\"wp-image-8409\" data-recalc-dims=\"1\" /></figure></div>\n\n\n\n<p><em>This post is based on </em><a href=\"https://heropress.com/essays/wordpress-gave-perfect-identity/\"><em>an article originally published on HeroPress.com</em></a><em>, a community initiative created by </em><a href=\"https://profiles.wordpress.org/topher1kenobe/\"><em>Topher DeRosia</em></a><em>. HeroPress highlights people in the WordPress community who have overcome barriers and whose stories would otherwise go unheard.</em></p>\n\n\n\n<p><em>Meet more WordPress community members over at </em><a href=\"https://heropress.com/\"><em>HeroPress.com</em></a><em>!</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2020/03/people-of-wordpress-mary-job/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"18\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"8406\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"WordPress 5.4 Release Candidate\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"https://wordpress.org/news/2020/03/wordpress-5-4-release-candidate/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 03 Mar 2020 21:59:20 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8399\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:360:\"The first release candidate for WordPress 5.4 is now available! This is an important milestone as we progress toward the WordPress 5.4 release date. “Release Candidate” means that the new version is ready for release, but with millions of users and thousands of plugins and themes, it’s possible something was missed. WordPress 5.4 is currently [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"David Baumwald\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2714:\"\n<p>The first release candidate for WordPress 5.4 is now available!</p>\n\n\n\n<p>This is an important milestone as we progress toward the WordPress 5.4 release date. “Release Candidate” means that the new version is ready for release, but with millions of users and thousands of plugins and themes, it’s possible something was missed. WordPress 5.4 is currently scheduled to be released on <strong>March 31, 2020</strong>, but we need <em>your</em> help to get there—if you haven’t tried 5.4 yet, <strong>now is the time</strong>!</p>\n\n\n\n<p>There are two ways to test the WordPress 5.4 release candidate:</p>\n\n\n\n<ul><li>Try the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (choose the “bleeding edge nightlies” option)</li><li>Or <a href=\"https://wordpress.org/wordpress-5.4-RC1.zip\">download the release candidate here</a> (zip).</li></ul>\n\n\n\n<h2>What’s in WordPress 5.4?</h2>\n\n\n\n<p>WordPress 5.4 has lots of refinements to polish the developer experience. To keep up, subscribe to the&nbsp;<a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a>&nbsp;and pay special attention to the&nbsp;<a href=\"https://make.wordpress.org/core/tag/5-4+dev-notes/\">developer notes</a>&nbsp;tag for updates on those and other changes that could affect your products.</p>\n\n\n\n<h2>Plugin and Theme Developers</h2>\n\n\n\n<p>Please test your plugins and themes against WordPress 5.4 and update the <em>Tested up to</em> version in the readme file to 5.4. If you find compatibility problems, please be sure to post to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a> so we can figure those out before the final release.</p>\n\n\n\n<p>The WordPress 5.4 Field Guide will be published within the next 24 hours with a more detailed dive into the major changes.</p>\n\n\n\n<h2>How to Help</h2>\n\n\n\n<p>Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help us translate WordPress into more than 100 languages!</a> This release also marks the <a href=\"https://make.wordpress.org/polyglots/handbook/glossary/#hard-freeze\">hard string freeze</a> point of the 5.4 release schedule.</p>\n\n\n\n<p><em><strong>If you think you’ve found a bug</strong>, you can post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a>&nbsp;in the support forums. We’d love to hear from you! If you’re comfortable writing a reproducible bug report,&nbsp;<a href=\"https://make.wordpress.org/core/reports/\">file one on WordPress Trac</a>, where you can also find&nbsp;<a href=\"https://core.trac.wordpress.org/tickets/major\">a list of known bugs</a>.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"8399\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:57:\"\n		\n		\n		\n		\n		\n				\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"The Month in WordPress: February 2020\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"https://wordpress.org/news/2020/03/the-month-in-wordpress-february-2020/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 02 Mar 2020 09:15:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Month in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8393\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:337:\"February 2020 was a busy month in the WordPress project! Most notably, there was an outpouring of sentiment in response to the unfortunate cancellation of WordCamp Asia. However, the team continues to work hard in the hopes of making WordCamp Asia 2021 happen. In addition, there were a number of releases and some exciting new [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Hugh Lashbrooke\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:9167:\"\n<p>February 2020 was a busy month in the WordPress project! Most notably, there was an outpouring of sentiment in response to the unfortunate cancellation of WordCamp Asia. However, the team continues to work hard in the hopes of making WordCamp Asia 2021 happen. In addition, there were a number of releases and some exciting new news during the month of February. Read on for more information!</p>\n\n\n\n<hr class=\"wp-block-separator\" />\n\n\n\n<h2>WordCamp Asia 2020 Cancelled &amp; Pop-up Livestream</h2>\n\n\n\n<p>There was a ton of excitement around WordCamp Asia, not to mention all the effort from organizers, speakers, sponsors and volunteers. Unfortunately, on February 12th, <a href=\"https://wordpress.org/news/2020/02/wordcamp-asia-cancelled-due-to-covid-19/\">WordCamp Asia was cancelled</a> due to concern and uncertainty around COVID-19. Since then, the organizing team has worked to <a href=\"https://2020.asia.wordcamp.org/2020/02/12/cancellation/\">refund tickets and to support hotel and air refunds</a>. In addition, a <a href=\"https://wordpress.org/news/2020/02/pop-up-livestream-on-february-22/\">pop-up livestream</a> featuring some WordCamp Asia speakers and a Fireside Chat and Q&amp;A with Matt Mullenweg took place on February 22nd.</p>\n\n\n\n<p>For a personal take on the cancellation of WordCamp Asia, read <a href=\"https://naoko.blog/2020/02/13/wordcamp-asia-2020-recap/\">this post from Naoko Takano</a>, the global lead organizer. Many thanks to the volunteers who worked hard to deliver WordCamp Asia. They’ve not only handled logistics associated with cancellation but have also announced that they’ve started <a href=\"https://2020.asia.wordcamp.org/2020/02/18/wordcamp-asia-2021/\">working on WordCamp Asia 2021</a> with some January dates in mind! To get the latest on WordCamp Asia, subscribe to updates <a href=\"https://2021.asia.wordcamp.org/\">here</a>.&nbsp;</p>\n\n\n\n<h2>WordPress 5.4 Beta is Now Available</h2>\n\n\n\n<p><a href=\"https://wordpress.org/news/2020/02/wordpress-5-4-beta-1/\">WordPress 5.4 Beta 1</a> was released on February 11 and quickly followed by <a href=\"https://wordpress.org/news/2020/02/wordpress-5-4-beta-2/\">Beta 2</a> on February 18 and <a href=\"https://wordpress.org/news/2020/02/wordpress-5-4-beta-3/\">Beta 3</a> on February 25. These two releases get us closer to our primary goal for 2020: full-site editing with blocks. WordPress 5.4 will merge ten releases of the Gutenberg plugin and is scheduled to be released on March 31, 2020. It will come with many new features, such as two new blocks for social links and buttons, and easier navigation in the block breadcrumbs. There are also a number of accessibility improvements, such as easier multi-block selection and easier tabbing, one of the editor’s biggest accessibility issues. <a href=\"https://make.wordpress.org/core/tag/5-4/\">5.4 will also include</a> many developer-focused changes, such as improved favicon handling and many new hooks and filters.</p>\n\n\n\n<p>Want to get involved in building WordPress? There are a number of ways to help right now! If you speak a language other than English, <a href=\"https://translate.wordpress.org/projects/wp/dev/\">help us translate WordPress</a>. Found a bug? Post it to the<a href=\"https://wordpress.org/support/forum/alphabeta/\"> Alpha/Beta area</a> in the support forums. You can also help us test the current beta by installing <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">the WordPress Beta Tester plugin</a>. Just remember that the software is still in development, so we recommend against running it on a production site.&nbsp;</p>\n\n\n\n<h2>WordCamp Centroamérica is Looking for Speakers and Sponsors!</h2>\n\n\n\n<p><a href=\"https://2020.centroamerica.wordcamp.org/\">WordCamp Centroamérica</a> is the first regional WordCamp for Central America and will be held on September 17-19, 2020, in Managua, Nicaragua. The <a href=\"https://2020.centroamerica.wordcamp.org/2020/01/28/llamado-a-ponentes-call-for-speakers/#more-5\">Call for Speakers</a> and <a href=\"https://2020.centroamerica.wordcamp.org/2020/01/16/call-for-sponsors/\">Call for Sponsors</a> are now open, so if you’re interested in speaking at or sponsoring WordCamp Centroamérica, now is your chance! To learn more about the eent, visit and subscribe to updates on their <a href=\"https://2020.centroamerica.wordcamp.org/\">website</a>, or follow their <a href=\"https://www.facebook.com/WordCampCA\">Facebook</a>, <a href=\"https://twitter.com/WordCampCA\">Twitter</a>, and <a href=\"https://instagram.com/wccentroamerica\">Instagram</a> accounts.&nbsp;&nbsp;</p>\n\n\n\n<p>Want to get involved in the Community team and help make more amazing WordCamps happen? <a href=\"https://make.wordpress.org/community/\">Follow the blog</a> and join the #community-events channel in <a href=\"https://make.wordpress.org/chat/\">the Making WordPress Slack group</a>! You can also find out about other <a href=\"https://central.wordcamp.org/\">upcoming WordCamps here</a>.</p>\n\n\n\n<h2>Contribute to WordPress Core via GitHub</h2>\n\n\n\n<p>An experimental feature has been added to Trac to help improve collaboration between Trac and GitHub. This feature allows contributors to link GitHub pull requests opened against the official <a href=\"https://github.com/wordpress/wordpress-develop\">WordPress Develop Git mirror</a> to tickets, which will make GitHub contributions more visible in the related Trac ticket. To learn all the details and to see how it works, read <a href=\"https://make.wordpress.org/core/2020/02/21/working-on-trac-tickets-using-github-pull-requests/\">this post</a>.</p>\n\n\n\n<h2>Gutenberg Development Continues</h2>\n\n\n\n<p>There are many new exciting additions to Gutenberg! On February 5, <a href=\"https://make.wordpress.org/core/2020/02/05/whats-new-in-gutenberg-5-february/\">Gutenberg 7.4 saw two new features added</a>, including background color support to the Columns block and text color support for the Group block. Many enhancements were made, including a number of improvements to the Navigation Block.</p>\n\n\n\n<p>Gutenberg 7.5 was released on February 12, <a href=\"https://make.wordpress.org/core/2020/02/26/whats-new-in-gutenberg-26-february/\">with 7.6 following</a> on February 27. They introduced even more features, including the Social Links block as a stable block and a number of additional blocks for full-site editing, not to mention the many enhancements, new APIs, bug fixes, documentation, and updates.</p>\n\n\n\n<p>Want to get involved in building Gutenberg? Follow <a href=\"https://make.wordpress.org/core/\">the Core team blog</a>, contribute to <a href=\"https://github.com/WordPress/gutenberg/\">Gutenberg on GitHub</a>, and join the #core-editor channel in <a href=\"https://make.wordpress.org/chat/\">the Making WordPress Slack group</a>.</p>\n\n\n\n<hr class=\"wp-block-separator\" />\n\n\n\n<h2>Further Reading:</h2>\n\n\n\n<ul><li>Aside from WordCamp Asia, two other WordCamps have been postponed due to COVID-19: <a href=\"https://2020-soltau.retreat.wordcamp.org/2020/02/29/verschiebung-des-wordcamp-retreat-postponing-of-wordcamp-retreat/\">WordCamp Retreat Soltau</a> and <a href=\"https://2020.geneve.wordcamp.org/wordcamp-geneve-reporte/\">WordCamp Genève</a>. News about further postponements or cancellations will be posted on <a href=\"https://central.wordcamp.org/news/\">the WordCamp Central blog</a>.</li><li>Automatic updates for themes and plugins <a href=\"https://make.wordpress.org/core/2020/02/26/feature-plugin-wp-auto-updates/\">are being planned</a> for inclusion in WordPress 5.5.</li><li>Version 2.2.1 of the WordPress Coding Standards has been released.</li><li>The Community Team <a href=\"https://make.wordpress.org/community/2020/02/06/community-team-reps-for-2020-2/\">has selected new team representatives</a> for 2020.</li><li>The Core team <a href=\"https://make.wordpress.org/core/2020/02/09/what-does-it-mean-to-be-a-component-maintainer-a-refresher/\">published a useful refresher</a> on what it means to be a component maintainer, along with some tips and best practices.</li><li><a href=\"https://make.wordpress.org/support/2020/02/changes-to-the-support-guidelines-for-linking-to-off-site-resources/\">The Support Team has announced</a> some amendments to their guidelines for linking to external resources when using the support forums.</li><li>The WordPress Foundation <a href=\"https://wordpressfoundation.org/2020/wordpress-foundation-donates-to-black-girls-code-and-internet-archive/\">has published financial information</a> regarding their charitable donations from 2019.</li><li>The Core XML Sitemaps project kicked off with <a href=\"https://make.wordpress.org/core/2020/02/24/xml-sitemaps-meeting-february-25th-2020/\">their first meeting</a> this month.</li><li>The Gutenberg team have created <a href=\"https://make.wordpress.org/core/2020/02/28/new-wordpress-create-block-package-for-block-scaffolding/\">a new @wordpress/create-block package</a> for scaffolding new blocks.</li></ul>\n\n\n\n<p><em>Have a story that we should include in the next “Month in WordPress” post? Please </em><a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\"><em>submit it here</em></a><em>.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"8393\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:32:\"https://wordpress.org/news/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"\n	hourly	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"\n	1	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:4:\"site\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"14607090\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:9:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Tue, 14 Apr 2020 23:33:35 GMT\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";s:25:\"strict-transport-security\";s:11:\"max-age=360\";s:6:\"x-olaf\";s:3:\"⛄\";s:13:\"last-modified\";s:29:\"Wed, 08 Apr 2020 00:57:03 GMT\";s:4:\"link\";s:63:\"<https://wordpress.org/news/wp-json/>; rel=\"https://api.w.org/\"\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:4:\"x-nc\";s:9:\"HIT ord 1\";}}s:5:\"build\";s:14:\"20150516211916\";}", "no");
INSERT INTO `wp_options` VALUES("160615", "_transient_timeout_feed_mod_9bbd59226dc36b9b26cd43f15694c5c3", "1586950415", "no");
INSERT INTO `wp_options` VALUES("160616", "_transient_feed_mod_9bbd59226dc36b9b26cd43f15694c5c3", "1586907215", "no");
INSERT INTO `wp_options` VALUES("160617", "_transient_timeout_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "1586950415", "no");
INSERT INTO `wp_options` VALUES("160618", "_transient_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:61:\"\n	\n	\n	\n	\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"WordPress Planet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"en\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"WordPress Planet - http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:50:{i:0;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"WPTavern: Block-a-saurus Embeds a Side-Scrolling T-Rex Game via the Block Editor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=98606\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:205:\"https://wptavern.com/block-a-saurus-embeds-a-side-scrolling-t-rex-game-via-the-block-editor?utm_source=rss&utm_medium=rss&utm_campaign=block-a-saurus-embeds-a-side-scrolling-t-rex-game-via-the-block-editor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6530:\"<div class=\"wp-block-cover alignfull has-background-dim-80 has-black-background-color has-background-dim bg-black\"><div class=\"wp-block-cover__inner-container\">\n<div class=\"wp-block-blockasaurus-blockasaurus\"><div id=\"bas-messageBox\" class=\"sendmessage\"><h1>Click to Play</h1><div class=\"niokbutton\"></div></div><div id=\"main-frame-error\" class=\"bas-interstitial-wrapper\"><div id=\"main-content\"><div class=\"bas-icon bas-icon-offline\" alt=\"\"></div></div><div id=\"bas-offline-resources\"><img id=\"offline-resources-1x\" src=\"https://wptavern.com/wp-content/plugins/block-a-saurus/src/img/default_100_percent/100-offline-sprite.png\" /><img id=\"offline-resources-2x\" src=\"https://wptavern.com/wp-content/plugins/block-a-saurus/src/img/default_200_percent/200-offline-sprite.png\" /></div></div></div>\n</div></div>\n\n\n\n<p class=\"has-drop-cap\">It is no secret that I love testing out the sort of <a href=\"https://wptavern.com/the-wacky-world-of-sorta-brilliants-sorta-fun-block-plugins\">fun WordPress blocks</a> that hark back to my early days of the web. I have <a href=\"https://wptavern.com/rebirth-of-creativity-gutenberg-and-the-future-of-wordpress-themes\">written on the subject</a> once or twice. Imagine my surprise when I came across a side-scrolling dinosaur game that users could simply plop into the block editor and provide something fun for their visitors to do.</p>\n\n\n\n<p><a href=\"https://wordpress.org/plugins/block-a-saurus/\">Block-a-saurus</a> is a simple game in which you play a T-Rex whose goal is to survive a course of obstacles such as jumping cactuses and ducking birds. To play, you merely need to control the T-Rex via your keyboard&rsquo;s D-pad. It should also work via touch control on mobile devices.</p>\n\n\n\n<p>The only bad thing is that I notice this gem eight months ago when it was first released to the public.</p>\n\n\n\n<p>&ldquo;When I started learning about blocks, I realized they could be basically miniature JavaScript applications,&rdquo; said Keanan Koppenhaver, the developer behind Block-a-saurus. &ldquo;I thought this was super interesting as opposed to how WordPress plugins relied more heavily on PHP, so I wanted to see what I could do with basically a blank JavaScript canvas and how that could enable experiences that would have been really difficult to do seamlessly pre-Gutenberg. It slowly went from a &lsquo;Is this even possible?&rsquo; to &lsquo;Let&rsquo;s release it and see if it can inspire people to build something even more out of the box.\'&rdquo;</p>\n\n\n\n<p>Give the game a whirl. Let us know your high score in the comments!</p>\n\n\n\n<h2>Using the Block-a-saurus Plugin</h2>\n\n\n\n<p class=\"has-drop-cap\">The plugin is straightforward. Once installed, it adds a new &ldquo;Block-a-saurus!&rdquo; block in the common blocks section of the block inserter.  The block currently has two options under the block settings panel:</p>\n\n\n\n<ul><li><strong>Dino Speed:</strong> Allows you to speed up or slow down the movement of the T-Rex in the game.</li><li><strong>Mute Audio:</strong> Allows you to enable or disable the game audio.</li></ul>\n\n\n\n<img />Inserting the Block-a-saurus block in the editor.\n\n\n\n<p>By default, the front-end output is bland. Do not expect a graphical powerhouse. However, sometimes, the simplest games can make for hours of fun.</p>\n\n\n\n<img />Default output of Block-a-saurus on the front end.\n\n\n\n<p>I wanted to spruce up my game&rsquo;s design on the front end. Therefore, I first inserted a cover block with a dinosaur background, as can be seen at the beginning of this post. I then dropped the plugin&rsquo;s block within the cover block. </p>\n\n\n\n<p>This works well with a variety of image backgrounds. Plus, it allows users to put a unique spin on their game.</p>\n\n\n\n<img />A custom background using the cover block around Block-a-saurus.\n\n\n\n<p>There is at least one missing piece that I would like to see in a future version of the plugin. It would be nice to integrate alignment options for the block, such as center, wide, and full alignments that are common with many other blocks.</p>\n\n\n\n<p>On the plus side, the plugin developer took the few moments necessary to load scripts and styles only on pages where the game is in use. If you want to run the game, you do not have to worry about it loading unnecessary files on every page of your website.</p>\n\n\n\n<h2>Future Plugin and Block Plans</h2>\n\n\n\n<p class=\"has-drop-cap\">Currently, Block-a-saurus is still sitting at version 1.0. However, Koppenhaver has plans to add extra features to the plugin, such as saving high scores for logged-in users and potentially making the game playable in the backend. The holdup with admin-side playing is some JavaScript conflicts with the native Gutenberg controls.</p>\n\n\n\n<p>&ldquo;Work is moving along pretty steadily,&rdquo; he said of new features. &ldquo;It&rsquo;s nice to have something relatively small and self-contained to work on in between larger client projects. The saving of scores has been the majority of the work so far, and I&rsquo;m hoping to have that released in the next couple of weeks.&rdquo;</p>\n\n\n\n<p>Koppenhaver does not have any immediate plans for similar types of blocks. The plan was for this particular plugin to showcase a fun, one-off block. &ldquo;I&rsquo;ve seen JavaScript implementations of Snake and Tetris, which would be cool to see converted to blocks,&rdquo; he said. &ldquo;I might have to give one of those a try.&rdquo; Perhaps Block-a-saurus is not the end of the road.</p>\n\n\n\n<p>If he wraps up the work on a front-end, JavaScript-based saving feature for high scores, it would be nice to see that offered as a standalone package for other block developers to use. It would certainly make porting other games such as Snake and Tetris to the block system easier.</p>\n\n\n\n<p>Koppenhaver and his team primarily work on more serious endeavors. &ldquo;We have been working on some other block experiments to allow for things like integrating data sourced from Google Drive as D3 visualizations as well as a block to allow agencies to create better case studies by creating those responsive screenshot mockups you see everywhere and being able to create them completely in Gutenberg,&rdquo; he said. &ldquo;We&rsquo;re very excited about the experiences the new editor has allowed us to create and are always experimenting and trying to learn more.&rdquo;</p>\n\n\n\n<p>More than anything, I want to see other plugin authors launch a few more <a href=\"https://wordpress.org/plugins/tags/game/\">games</a> for the block editor.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 14 Apr 2020 18:57:54 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"WPTavern: The Road Ahead: What’s in Store for WordPress for the Rest of 2020?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=98522\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:193:\"https://wptavern.com/the-road-ahead-whats-in-store-for-wordpress-for-the-rest-of-2020?utm_source=rss&utm_medium=rss&utm_campaign=the-road-ahead-whats-in-store-for-wordpress-for-the-rest-of-2020\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:9334:\"<div class=\"wp-block-cover alignfull has-background-dim-70 has-gray-900-background-color has-background-dim has-parallax bg-gray-900\"><div class=\"wp-block-cover__inner-container\">\n<div class=\"wp-block-group\"><div class=\"wp-block-group__inner-container\">\n<p class=\"has-drop-cap has-text-align-left has-extra-large-font-size text-xl text-left\">Full-site editing, automatic theme and plugin updates, global styles, and more await. With the release of <a href=\"https://wptavern.com/wordpress-5-4-adderley-released-includes-improved-editor-new-blocks-and-developer-apis\">WordPress 5.4</a> and an open call <a href=\"https://wptavern.com/open-call-for-wordpress-5-5-tickets-whats-on-your-wish-list\">version 5.5 tickets</a>, it is time to peer into the future and catch a glimpse of what is to come. It is shaping up to be an exciting year thus far.</p>\n</div></div>\n</div></div>\n\n\n\n<p>Josepha Haden, executive director of WordPress, provided a <a href=\"https://make.wordpress.org/updates/2020/03/06/update-progress-on-goals/\">progress update on the 2020 goals</a> in early March. As always, the timeline to hit certain goals can change based on roadblocks the development team hits and other factors. On the whole, the tentative roadmap looks feasible.</p>\n\n\n\n<p>Currently, WordPress 5.5 is set to ship on August 11, 2020. Version 5.6 is scheduled to follow on December 8, 2020.  Some major changes are forthcoming. Let us take a moment to look ahead and see where the WordPress ship is sailing.</p>\n\n\n\n<h2>Automatic Updates for Everything</h2>\n\n\n\n<img />Automatic updates column on the plugin management screen.\n\n\n\n<p class=\"has-drop-cap\">We have enjoyed automatic updates for minor versions of core WordPress since version 3.7. However, until recently, it has felt like progress on auto-updating everything had stalled. From mobile phones to smart TVs, the average end-user is accustomed to their software simply staying updated. In 2020, it is time WordPress continues pushing forward, particularly when staying updated is one component of maintaining a secure website.</p>\n\n\n\n<p>There are two separate changes centered on automatic updates in the pipeline. The first, which is set to ship in WordPress 5.5, is <a href=\"https://wptavern.com/automatic-theme-and-plugin-updates-slated-for-wordpress-5-5\">automatic updates for plugins and themes</a>. The feature plugin has been in development for several months and should be stable enough to launch with the next version of WordPress.</p>\n\n\n\n<p>Plugin and theme developers will need to adopt a development strategy that aligns more with the WordPress philosophy of maintaining backward compatibility, at least to the point where an automatic update does not break a user&rsquo;s site. This change is a welcome one because it will lead to a more secure web. However, it will be interesting to see how this plays out in the months to come. I am certain there will be a road bump or two that the developer community will need to overcome.</p>\n\n\n\n<p>Automatic updates of core WordPress is slated to officially land in version 5.6. It should be an opt-in feature when it rolls out. The feature plugin should also be ready by the time WordPress 5.5 lands.</p>\n\n\n\n<h2>Block Directory Integration</h2>\n\n\n\n<img />WordPress.org&rsquo;s <a href=\"https://wordpress.org/plugins/browse/block/\">block directory page</a>.\n\n\n\n<p class=\"has-drop-cap\">The block directory first <a href=\"https://wptavern.com/gutenberg-6-5-adds-experimental-block-directory-search-to-inserter-and-new-social-links-block\">landed in Gutenberg 6.5</a> as an experimental feature. For those of us running the plugin, it is almost easy to forget that it is not already a part of WordPress.</p>\n\n\n\n<p>The <a href=\"https://wordpress.org/plugins/browse/block/\">block directory</a> is a listing of a special type of plugin that adds only a single block. In WordPress 5.5, users should be able to search and install blocks from this directory via the post editing screen. If you need a block that is not installed, you can install and begin using it without going through the normal routine with installing a plugin.</p>\n\n\n\n<h2>Full-Site Editing</h2>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>Live Demo Q&amp;A from <a href=\"https://gutenbergtimes.com/theme-templates-full-site-editing-experience-enrique-piqueras/\">The Gutenberg Times</a>.\n\n\n\n<p class=\"has-drop-cap\">I am excited about the prospect of full-site editing landing in WordPress. I am concerned that a target date within 2020 may be rushing a feature that may not be ready. I want this to be a successful <a href=\"https://wptavern.com/initial-documentation-for-block-based-wordpress-themes-proposed\">transition of how themes work</a> and how users interact with their sites. I am optimistic about this future, but I am not convinced it will be good enough by the time WordPress 5.6 ships.</p>\n\n\n\n<p>Aside from the introduction of the block editor itself, this will be one of the largest changes to how WordPress works in its history. Arguably, it is a more wide-reaching change because it touches both the backend user interface and how the theme templating system functions. It needs time to age before it&rsquo;s dropped into the laps of end-users and developers alike.</p>\n\n\n\n<p>I will be the first to jump for joy if I am wrong.</p>\n\n\n\n<p>Currently, the plan is to complete the full-site editing feature in the Gutenberg plugin by the time WordPress 5.5 launches. It should still be behind the experimental flag in the plugin at that point. Then, ship the finished product in version 5.6.</p>\n\n\n\n<h2>Block Areas (Widgets)</h2>\n\n\n\n<img />Using blocks on the experimental block areas screen.\n\n\n\n<p class=\"has-drop-cap\">One of the features that has not gotten near enough attention is the conversion of traditional sidebars into block areas. This is a much-needed change in the mission to turn everything into a block.</p>\n\n\n\n<p>Currently, it is planned to ship in WordPress 5.6, alongside full-site editing. I would rather see block areas as a stepping stone toward full-site editing. It would be less painful for theme authors to have at least a major release to ease into the next step.</p>\n\n\n\n<p>The development of this feature could have been much smoother if WordPress would have simply deprecated sidebars and widgets. The Gutenberg team has had to pigeonhole a block-based system into the old widgets system. It is a little messy. Instead of the current approach, they should have created a separate system and allowed theme developers to begin opting into it. Because theme authors are the ones who will be handling support requests from end-users, they should have been given the power to handle that transition gracefully.</p>\n\n\n\n<p>Overall, there should be no issue making sure block areas are feature-complete by 5.6. Much of the work is finished at this point, and we should be getting a more accurate picture of this feature in the coming months.</p>\n\n\n\n<h2>Global Styles</h2>\n\n\n\n<img />Example mockup from the primary <a href=\"https://github.com/WordPress/gutenberg/issues/19255\">global styles ticket</a>.\n\n\n\n<p class=\"has-drop-cap\">A new <a href=\"https://github.com/WordPress/gutenberg/issues/19611\">global styles feature</a> is set to ship for WordPress 5.6 later this year. The feature is currently undergoing heavy development. We should begin to see early iterations of it in upcoming versions of the Gutenberg plugin over the next several months.</p>\n\n\n\n<p>Global styles will allow theme authors to create several default values, likely via a JSON file. In turn, users will be able to overwrite those styles through an interface in the admin.</p>\n\n\n\n<p>My biggest concern about this feature is that it could go overboard with options that end-users should not have to concern themselves with. For example, most users should have no need to adjust the line-height for their text. Instead, line-height values should automatically be calculated based on a font&rsquo;s x-height and size. The question is going to be where the global styles feature will draw the line. At a certain point, it is better to learn CSS. We certainly cannot expose every possibility via an option.</p>\n\n\n\n<h2>Other Notable Features</h2>\n\n\n\n<p class=\"has-drop-cap\">Lazy loading of images, which was <a href=\"https://wptavern.com/native-lazy-loading-support-coming-to-wordpress\">originally planned for WordPress 5.4</a>, will be shipping alongside a <a href=\"https://wptavern.com/xml-sitemaps-feature-plugin-open-for-testing-and-feedback\">built-in XML sitemaps</a> feature in version 5.5. Both features have been under active development for months and are stable at this point.</p>\n\n\n\n<p>The <a href=\"https://wptavern.com/gutenberg-7-0-launches-stable-navigation-block-post-blocks-and-template-parts\">navigation block</a> was complete enough to ship in the previous WordPress release. The block is intended to primarily be used with full-site editing, so the block was not included. However, it is supposed to be available in WordPress 5.5.</p>\n\n\n\n<p>As always, we should see a new default theme to propel us into the next year. My guess is that the core leads will want to ship a theme that is built completely on top of the upcoming full-site editing feature. If development goes as currently scheduled, <em>Twenty Twenty-One</em> could be a 100% block-based theme.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 13 Apr 2020 20:54:01 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"WPTavern: Open Call for WordPress 5.5 Tickets: What’s on Your Wish List?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=98435\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:183:\"https://wptavern.com/open-call-for-wordpress-5-5-tickets-whats-on-your-wish-list?utm_source=rss&utm_medium=rss&utm_campaign=open-call-for-wordpress-5-5-tickets-whats-on-your-wish-list\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3580:\"<p class=\"has-drop-cap\">Now that <a href=\"https://wptavern.com/wordpress-5-4-adderley-released-includes-improved-editor-new-blocks-and-developer-apis\">WordPress 5.4</a> has successfully launched, it is time to begin thinking about version 5.5, which has a tentative release date of August 8, 2020. On Wednesday, Josepha Haden, Executive Director of WordPress, <a href=\"https://make.wordpress.org/core/2020/04/08/wordpress-5-5-call-for-tickets/\">put out a call for tickets</a>.</p>\n\n\n\n<p>Naturally, the block editor is the top focus as we continually inch toward new features such as a refreshed interface, block patterns, and eventually full-site editing. However, there is room to put a small dent in the thousands of tickets that are still awaiting the right people to move them forward.</p>\n\n\n\n<p>Currently, there are 223 tickets <a href=\"https://core.trac.wordpress.org/tickets/major\">assigned to the 5.5 milestone</a>. We are early in the release cycle, so now is the time to advocate for the inclusion of that particular bug fix or enhancement you have had your eye on.</p>\n\n\n\n<p>What tickets do you want to see addressed?</p>\n\n\n\n<h2>Wish List: Finished Custom Post Status API</h2>\n\n\n\n<p class=\"has-drop-cap\">While I have no expectations that my personal wish list item will make the WordPress 5.5 cut, it does not mean that I cannot hope. After <a href=\"https://core.trac.wordpress.org/ticket/12706\">10 years in the making</a>, with a fix here and there, I would love to see custom post statuses become feature complete.</p>\n\n\n\n<p>A good example use case for custom post statuses is forum plugins. Topics or threads can either have an open or closed status. There are other cases such as archive, spam, hidden, and orphan statuses. Management of forums typically happens on the site front end, so plugin authors usually build custom front-end solutions to handle statuses.</p>\n\n\n\n<p>The scenarios where users need to assign a post status in the admin is where things get tricky. In the past, it was a <em>simple</em> matter of recreating the &ldquo;publish&rdquo; meta box on the edit post screen with a custom status dropdown. With the block editor, I am sure it is possible to do something similar with JavaScript. If so, this still leaves plugin authors in a bind. They will need to code at least two methods to pigeonhole custom statuses into the WordPress editor &mdash; three if also doing so on the front end.</p>\n\n\n\n<p>It is time we have a complete post status API.</p>\n\n\n\n<p>The lack of custom status support in the core user interface has created several roadblocks for projects I have worked on through the years. At one point, there seemed to be some traction to make this a reality, but it seems to have fallen to the wayside as more important and shinier features have been given the green light.</p>\n\n\n\n<p>Custom post statuses are as easy to register as custom post types and taxonomies. The primary missing element is the UI integration on the post editing screen.</p>\n\n\n\n<p>There is a real need for this feature as outlined by developers in a <a href=\"https://github.com/WordPress/gutenberg/issues/3144\">related Gutenberg ticket</a>. Some agencies and organizations with a more complex editing workflow cannot move forward with the block editor on some projects, even if they want to do so.</p>\n\n\n\n<p>The <a href=\"https://github.com/imath/wp-statuses\">WP Statuses</a> plugin by Mathieu Viet could ease the pain for developers with its integration with both the block and classic editors. However, this level of integration belongs in the core software.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 10 Apr 2020 19:54:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:44:\"WPTavern: State of the Meetup Under Lockdown\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=98421\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:133:\"https://wptavern.com/state-of-the-meetup-under-lockdown?utm_source=rss&utm_medium=rss&utm_campaign=state-of-the-meetup-under-lockdown\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6466:\"<p class=\"has-drop-cap\">By now we&rsquo;re all getting weary of the phrase &ldquo;new normal.&rdquo; Much ink has been spilled over the question of what that new normal will look like after the pandemic has passed over us. There&rsquo;s a stubborn streak in the American national character that admits of little change but, like an assiduous puppy, finds what works.</p>\n\n\n\n<p>I&rsquo;ve been attending the&nbsp;<a href=\"https://www.meetup.com/Asheville-Area-WordPress-Group\">local WordPress Meetup</a>&nbsp;since moving to Asheville, North Carolina, three years ago. Finding myself in a new city, getting out into the community and meeting people in the same industry seemed like a good opportunity to get connected. And it worked. I&rsquo;ve lived in a handful of cities, and nothing has worked faster and better in getting me acclimated to a new locale. As I write now from a sort of exile, present circumstances make clear why the meetup matters.</p>\n\n\n\n<p>The WordPress community is a naturally diverse one. But diversity itself is neither inherently good nor bad. Developers all over the world may commit to the same codebase, but that doesn&rsquo;t mean they&rsquo;re all together. Working among GitHub avatars and social media accounts alone, it&rsquo;s easy to allow in-group preference to collect and fester and eventually spill out; as it did recently with a&nbsp;<a href=\"https://wptavern.com/on-maga-caps-and-wordcamps\">brouhaha about a certain baseball cap</a>.</p>\n\n\n\n<p>The WordPress meetup is an in-group breaker. People of wildly different backgrounds manage to come together around a common theme (sometimes literally a&nbsp;<em>theme</em>). We meet in person, face to face, catch up on old things, and learn all new things. Depending on who you sit next to, you might even hear a dirty joke. We get the all-important sense of being in what the ancient Greeks called the&nbsp;<em>polis</em>, the city-state. We&rsquo;re all different, but Asheville is our city-state, and WordPress is why, twice a month, we get out of our homes and assemble. When we talk about democratizing publishing that means for&nbsp;<em>everyone</em>. This is why the meetup is important, and why it must go on even during a pandemic.</p>\n\n\n\n<img />\n\n\n\n<p>At the meetup, we&rsquo;re not just learning about WordPress. We&rsquo;re learning about each other. Business cards change hands. Smiles and handshakes lighten the air. Asheville is a beer town, so there&rsquo;s often a brew before, sometimes during, and always after. This kind of fellowship is a critical ingredient to building a tight-knit group, yet it&rsquo;s what we sacrifice first when the order to keep &ldquo;social distance&rdquo; comes down.</p>\n\n\n\n<p><em>Social distance?</em> I thought. <em>How is it possible to even have a meetup under such frosty circumstances?</em> But have a meetup we did&mdash;at least virtually.</p>\n\n\n\n<p>As the order to distance and stay at home came down, I canceled my &ldquo;Basics of SEO&rdquo; presentation and pondered whether the meetup will simply have to wait until the virus clears. John Dorner, a local developer and arch-organizer, decided we must give the virtual thing a try. Who knows how long we&rsquo;ll be barred from gathering?</p>\n\n\n\n<p>These days we&rsquo;re all familiar with&nbsp;<a href=\"https://meet.google.com/\">Google Meet</a>,&nbsp;<a href=\"https://www.skype.com/en/\">Skype</a>, and a host of other video conference tools. I&rsquo;ve been working remotely for three years now, and regular video meetings are part of my weekly routine. It&rsquo;s not that the video conference software isn&rsquo;t perfectly adequate, but there is a lack of warmth about it. It&rsquo;s perfunctory, a means to an end. But maybe I was wrong.</p>\n\n\n\n<p>As the virtual meeting launches, we have the usual throat-clearing and the customary hiccups. Ambient noise. Broken microphones and webcams require certain attendees to post chat comments. But we finally get down to business. Dorner encourages all the new people to join the Slack channel, where members can post questions, get help, and continue the conversation after the meetup. We spin a digital wheel of fortune to decide who gets the free JetBrains license&mdash;our regular giveaway, which I&rsquo;ve won twice now.</p>\n\n\n\n<p>Soon, John presents his screen and shows us how we can better manage large clusters of media files in our WordPress sites. It all goes off without a hitch. I volunteer to give my talk at the next meeting.</p>\n\n\n\n<p>Our Asheville area group has a long list of subscribers. Yet, we only see a fraction of that RSVP regularly. Often, people will RSVP but not be able to attend. More universal topics tend to bring out larger crowds. For some, making it out to a 6 PM meeting on a weeknight is a big ask.</p>\n\n\n\n<p>The benefit of the virtual meetup is that it gives those with busier schedules and longer travel times a chance to attend a topic they&rsquo;re interested in but may have otherwise skipped. We miss out on the fellowship, but we get the knowledge.</p>\n\n\n\n<img />John Dorner performs impressive card magic.\n\n\n\n<p>As time and space allow, we can consider what the long term outlook might be. Right now, it&rsquo;s just a series of if/then statements. We&rsquo;re all waiting.</p>\n\n\n\n<p>As the virtual meetup came to a close, it occurred to me that we could probably expand our boundaries a little bit. I can invite coworkers in Virginia Beach to check out our local meetup. I could invite family from Florida if they were interested. But then, would the Asheville WordPress Meetup lose its local flavor? Is that a bad thing?</p>\n\n\n\n<p>Eventually, the pandemic will pass, as all pandemics do. The meetup may land on the hybrid model, having virtual meetings from time to time while keeping the live thing going. I hope we&rsquo;ll find a happy mix. A meetup without the local flavor, and the camaraderie, would not be the same.</p>\n\n\n\n<p>Even if handshakes are replaced with elbow bumps, and we learn to stop touching our faces and to sneeze into our shirts, we need a place to go where we can assemble to keep the polis lively. Change is inevitable, and there&rsquo;s nothing new about &ldquo;new normals,&rdquo; but we don&rsquo;t do ourselves any favors by canceling what we know works best. Our exile on our personal Elbas will end, and we must go back out into society not as frightened peasants but rather as Napoleons of the new normal&mdash;whatever that will be.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 10 Apr 2020 16:03:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Chris Maiorana\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"Matt: Distributed Work’s Five Levels of Autonomy\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"https://ma.tt/?p=51231\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"https://ma.tt/2020/04/five-levels-of-autonomy/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:8869:\"<p>I recently had the opportunity to sit down with <a href=\"https://samharris.org/\">Sam Harris</a>, author and host of the <em>Making Sense</em> podcast, <a href=\"https://samharris.org/podcasts/194-new-future-work/\">for a wide-ranging conversation</a>. Given the moment we’re currently living through, we naturally touched on the way companies are adapting to a new reality — one where remote work is a model to which they must adapt in a matter of days, rather than years.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<p>As I mentioned to Sam on the podcast, “any company that can enable their people to be fully effective in a distributed fashion, can and should do it far beyond after this current crisis has passed.” <em>It&#8217;s a moral imperative.</em> But that doesn’t mean it’s going to be easy, or that the chaotic and stressful first taste some workplaces are getting right now is one that inspires them to keep trying.</p>\n\n\n\n<p>To make sense of this journey — from a company’s cautious exploration of remote possibilities to a fully realized distributed experience — I like to think of how it plays out through the concept of levels of distributed work, which I modeled after <a href=\"https://en.wikipedia.org/wiki/Self-driving_car#Classification\">self-driving car levels of autonomy</a>. I’ve seen some solid recaps of my conversation with Sam from <a href=\"https://medium.com/swlh/the-five-levels-of-remote-work-and-why-youre-probably-at-level-2-ccaf05a25b9c\">Steve Glaveski</a> and <a href=\"https://www.flickr.com/photos/jurvetson/49755484227/\">Steve Jurvetson</a>, but here’s my gist of how distributed companies evolve:</p>\n\n\n\n<ol start=\"0\"><li><strong>Level Zero</strong> autonomy is a job which cannot be done unless you&#8217;re physically there. Imagine construction worker, barista, massage therapist, firefighter&#8230; Many companies assumed they had far more of these than it has turned out they really did.</li><li>The <strong>first level</strong> is where most colocated businesses are: there’s no deliberate effort to make things remote-friendly, though in the case of many knowledge workers, people can keep things moving for a day or two when there’s an emergency. More often than not, they’ll likely put things off until they’re back in the office. Work happens on company equipment, in company space, on company time. You don&#8217;t have any special equipment and may have to use a clunky VPN to access basic work resources like email or your calendar. Larger level one companies often have people in the same building or campus dialing into a meeting. Level one companies were largely unprepared for this crisis.</li><li><strong>Level two</strong> is where many companies have found themselves in the past few weeks with the COVID-19 pandemic. They’ve accepted that work is going to happen at home for a while, but they recreate what they were doing in the office in a &#8220;remote&#8221; setting, like <a href=\"https://www.marshallmcluhan.com/\">Marshall McLuhan</a> talked about new media mediums initially copying the generation before. You’re probably able to access information from afar, you’ve adapted to tools like Zoom or Microsoft Teams, but everything is still synchronous, your day is full of interruptions, no real-time meetings have been canceled (yet), and there’s a lot of anxiety in management around productivity — that’s the stage where companies sometimes install surveillance software on laptops. Pro tip: Don’t do that! And also: Don’t stop at level two!</li><li>At the <strong>third level</strong>, you’re really starting to benefit from being remote-first, or <strong>distributed</strong>. That’s when you see people invest in better equipment — from a good desk lamp to <a href=\"https://ma.tt/2020/03/dont-mute-get-a-better-headset/\">solid audio gear</a> — and in more robust asynchronous processes that start to replace meetings. It’s also the point at which you realize just how crucial written communication is for your success, and you start looking for great writers in your hiring. When you are on a Zoom, you often also have a Google Doc up with the other meeting participants so you can take and check real-time notes together. Your company has a <a href=\"https://cloud.google.com/beyondcorp\">zero-trust BeyondCorp security model</a>. In a non-pandemic world you plan meetups so teams can break bread and meet each other in person a week or two a year.</li><li><strong>Level four</strong> is when things go truly asynchronous. You evaluate people’s work on what they produce, not how or when they produce it. Trust emerges as the glue that holds the entire operation together. You begin shifting to better — perhaps slower, but more deliberate — decision-making, and you empower everyone, not just the loudest or most extroverted, to weigh in on major conversations. You tap into the global talent pool, the 99% of the world&#8217;s population and intelligence that doesn&#8217;t live near one of your legacy physical office locations. Employee retention goes way up, and you invest more in training and coaching. Most employees have home-office setups that would make office workers green with envy. You have a rich social life with people you choose. Real-time meetings are respected and taken seriously, almost always have agendas and pre-work or post-work. If you <a href=\"https://spikes.worldathletics.org/post/japans-secret-to-relay-success\">get good at baton passes</a> work will follow the sun 24/7 around the world. Your organization is truly inclusive because standards are objective and give people agency to accomplish their work their way.</li><li>Finally, I believe it’s always useful to have an ideal that’s not wholly attainable — and that’s <strong>level five, Nirvana!</strong> This is when you consistently perform better than any in-person organization could. You&#8217;re effortlessly effective. It’s when everyone in the company has time for wellness and mental health, when people bring their best selves and highest levels of creativity to do the best work of their careers, and just have fun. <img src=\"https://s.w.org/images/core/emoji/12.0.0-1/72x72/1f920.png\" alt=\"🤠\" class=\"wp-smiley\" /></li></ol>\n\n\n\n<p>A highly influential book for me in designing Automattic was <a href=\"https://www.danpink.com/books/drive/\">Daniel Pink’s <em>Drive</em></a>, where he eloquently introduces the three things that really matter in motivating people: mastery, purpose, and autonomy. <strong>Mastery</strong> is the urge to get better skills. <strong>Purpose</strong> is the desire to do something that has meaning, that&#8217;s bigger than yourself. These first two principles physically co-located companies can be great at. But the third, autonomy, is where even the best in-office company can never match a Level 4 or above distributed company.</p>\n\n\n\n<p><strong>Autonomy</strong> is our desire to be self-directed, to have agency over ourselves and our environment. Close your eyes and imagine everything around you in a physical office: the chair you&#8217;re in, the desk, distance from a window, the smells, the temperature, the music, the flooring, what&#8217;s in the fridge, the comfort and privacy of the bathrooms, the people (or pets) around you, the lighting. Now imagine an environment where you can choose and control every one of those to your liking — maybe it&#8217;s a room in your house, a converted garage, a shared studio, or really anything, the important thing is you&#8217;re able to shape the environment fit your personal preferences, not the lowest common denominator of everyone an employer has decided to squish together for 8 hours a day. The micro-interactions of the hundreds of variables of your work environment can charge you and give you creative energy, or make you dependent, infantilized, and a character in someone else&#8217;s story. Which do you want to spend half of your waking workday hours in?</p>\n\n\n\n<p>For a good summary of Dan Pink, <a href=\"https://www.youtube.com/watch?v=u6XAPnuFjJc\">check out this animation</a>. The other books I referenced in the podcast are <a href=\"https://www.amazon.com/Scale-Universal-Innovation-Sustainability-Organisms/dp/1594205582?tag=photomatt08-20\">Geoffrey West&#8217;s <em>Scale</em></a> and <a href=\"https://www.amazon.com/Antifragile-Things-That-Disorder-Incerto/dp/0812979680?tag=photomatt08-20\">Nassim Nicholas Taleb&#8217;s <em>Antifragile</em></a>. </p>\n\n\n\n<p>My talk with Sam covered many other topics, from communicating in distributed companies to the challenges businesses are facing due to COVID-19, so I hope you <a href=\"https://samharris.org/podcasts/194-new-future-work/\">head over and listen to the rest</a> or <a href=\"https://www.youtube.com/watch?v=mJSf2Clx6qY\">stream it on Youtube</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 10 Apr 2020 14:33:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"BuddyPress: BP Beta Tester 1.1.0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://buddypress.org/?p=310880\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"https://buddypress.org/2020/04/bp-beta-tester-1-1-0/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1607:\"<p>Hi BuddyPress contributors,</p>\n\n\n\n<p>We&#8217;ve just updated the plugin to help you test BuddyPress beta &amp; RC releases. From now on, when testing BuddyPress pre-releases, you&#8217;ll find a new section into the plugin&#8217;s administration screen called &#8220;What to expect from next release?&#8221; as shown below.</p>\n\n\n\n<div class=\"wp-block-image\"><a href=\"https://bpdevel.wordpress.com/category/development-notes/6-0/\" target=\"_blank\" rel=\"noopener noreferrer\"><img src=\"https://buddypress.org/wp-content/uploads/1/2020/04/development-notes-1024x614.png\" alt=\"\" class=\"wp-image-310881\" /></a></div>\n\n\n\n<p>By clicking on the &#8220;our Development Blog&#8221; link you will be headed to <a href=\"https://bpdevel.wordpress.com/category/development-notes/6-0/\">the development notes of the BuddyPress next release</a>. It&#8217;s a good way to know about the important changes the BuddyPress final release will bring.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\"><a href=\"https://wordpress.org/plugins/bp-beta-tester/\">BP Beta Tester</a></blockquote>\n</div>\n\n\n\n<p>It&#8217;s the right time to play with this plugin! <a href=\"https://buddypress.org/2020/03/buddypress-6-0-0-beta1/\">BuddyPress 6.0.0-beta1</a> has been released a few days ago. Once again thanks in advance for testing it: it&#8217;s an important stage of the development process for us.</p>\n\n\n\n<p>Finally props to <a class=\"bp-suggestions-mention\" href=\"https://buddypress.org/members/iamthewebb/\" rel=\"nofollow\">@iamthewebb</a> for contributing to this new version of BP Beta Tester.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 10 Apr 2020 04:05:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Mathieu Viet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"WPTavern: Fighting the Stay-At-Home Boredom: Time to Create Rather Than Consume\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=98400\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:201:\"https://wptavern.com/fighting-the-stay-at-home-boredom-time-to-create-rather-than-consume?utm_source=rss&utm_medium=rss&utm_campaign=fighting-the-stay-at-home-boredom-time-to-create-rather-than-consume\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:7324:\"<p class=\"has-drop-cap\">A common theme among my friend groups is the utter boredom of being under stay-at-home orders during the COVID-19 pandemic. Part of me wants to tell folks that there has never been a greater time in human history to find something to do at home. There is a plethora of content available at the touch of a finger or even voice command.</p>\n\n\n\n<p>We have built a system, the web, that provides education, entertainment, and art at near-instantaneous speeds. Our WordPress community is a large part of that human endeavor.</p>\n\n\n\n<p>Perhaps the problem lies with our consumerist culture. With large social media networks effectively taking over the web, the trend seems to suggest that people spend their free time glued to their mobile devices, consuming content created by others. Now that many are home full time, it is easy to grow tired of consuming content that would normally be reserved for free time at all hours of the day.</p>\n\n\n\n<p>When asking what the elders in my family did in their free time decades ago, before modern technological advances, I noticed a different trend. They created music. On my grandmother&rsquo;s side of the family, that musicality in our genes produced Hank Williams. On my grandfather&rsquo;s side, we had The Tadlock Quartet, a little-known gospel group. If our family had a motto, it would be: <em>if you don&rsquo;t sing or play an instrument, you are not a Tadlock</em>.</p>\n\n\n\n<p>I have an uncle who is a painter and magician. Some of my cousins are in a band. My sister creates vases, tabletops, and other pieces out of broken glass when she&rsquo;s not chasing her two-year-old. My father is a singer, songwriter, and multi-instrument musician. I could go on listing the art that my family creates.</p>\n\n\n\n<p>Maybe I was fortunate to grow up in an artistic environment. That artistry has never been about fame and fortune. Most of my family will never reach stardom. However, we continue creating because it is simply a part of who we are.</p>\n\n\n\n<p>I also reminisce over my childhood years. I grew up in a lower-middle-class household. We did not have the luxury of the internet. We could not afford cable or satellite television. The only channels on the tube were 8, 12, 20, and sometimes 32. It was the era of the Saturday morning cartoon block, which I gladly awoke to every weekend with my off-brand cereal.</p>\n\n\n\n<p>Like many kids of my generation, I had a video game console and a handful of games. But, there are only so many times you can play through <em>The Legend of Zelda: Ocarina of Time</em> before finding something else to do.</p>\n\n\n\n<p>Most of my childhood was spent creating things. I ran several issues of a homemade video game magazine, painstakingly drawing all the artwork by hand. Fortunately, my uncle had a printer and scanner so that I could make copies. I wrote short stories, crafted screenplays, and filmed movies on a borrowed camcorder. I built tree forts that probably would not have passed any level of building safety codes, but my friends and I survived.</p>\n\n\n\n<p>I had about a three-year stint in the mid-&rsquo;90s in which I fashioned myself a songwriter, following in my father&rsquo;s footsteps (he has never sold a song but continues writing music to this day). I do not think I wrote anything other than love songs. What else would a 12-year-old boy write about? My only experience with love was a peck on the cheek from a previous girlfriend. Despite my naivete in matters of the heart, the human soul knows what it needs, and I expressed that through lyrics in the style of whatever boyband was popular in the given month. My music was not Grammy-worthy material, but it was deeply human.</p>\n\n\n\n<p>As I grew into adulthood, I did not stop creating. My journey into the world of WordPress began only because I wanted to share my writing. Eventually, I learned to create a new type of art: WordPress plugins and themes.</p>\n\n\n\n<p>Over my near-15 years of working with WordPress, my primary interest became more about building things that would help others to create. Even today, as a writer for the Tavern, my hope is to spark discussions and response articles that others create on their own blogs. This should never be a one-way discussion.</p>\n\n\n\n<p>Like many others, I recently found myself in a position with &ldquo;nothing to do.&rdquo; For the previous several months, I had been working on a plugin development book during my free time. Suddenly, I found myself with an empty calendar for an entire weekend. No social gatherings. No book chapters due. That meant putting my artist hat firmly back on my head. It was time to enjoy the act of creation for the sake of it, <a href=\"https://wptavern.com/create-custom-patterns-with-the-block-pattern-builder-plugin\">which led to a new plugin</a>.</p>\n\n\n\n<p>It felt good to once again create something with no expectations. I was not getting paid to build this project. I wanted neither fame nor fortune. What I needed was a moment to express an idea.</p>\n\n\n\n<p>The act of creating art is a primal part of our nature. The plugin was my modern-day equivalent of sitting around the campfire and crafting a story of slaying a great beast that happened upon the village.</p>\n\n\n\n<p>I am a firm believer that every human has the capacity to create some form of artwork. A novel. A dance. A song. I have seen farmers with gardens so well-tended they would make you weep. I have watched a man with an intellectual disability hand-build intricate birdhouses. I have sat in astonishment, listening as a friend&rsquo;s mother put together an entire piano arrangement after hearing a song only once.</p>\n\n\n\n<p>For the same reason, I am proud to be a part of the WordPress community. I am surrounded by artists in their own right daily. We create software that allows others to share their creations.</p>\n\n\n\n<p>When someone tells me they are bored during this social quarantine, I break out my speech about using this moment to create something. <em>Anything.</em> It does not need to have value to others. It should simply be an expression of one&rsquo;s self. If they follow through, I give them a speech about building a site with WordPress to share what they have built.</p>\n\n\n\n<p>No, now is not the time for boredom. It should be a time of pure creation.</p>\n\n\n\n<p>Create a shop with <a href=\"https://wordpress.org/plugins/woocommerce/\">WooCommerce</a> for those handcrafted items you have been wanting to build for years. Build up your inventory right now so that it is ready to ship after the pandemic has passed. Write an e-book and sell it via <a href=\"https://wordpress.org/plugins/easy-digital-downloads/\">Easy Digital Downloads</a>. Start a local fundraising effort to help those in need in your neighborhood with the <a href=\"https://wordpress.org/plugins/give/\">Give WP</a> plugin. Create a new forum with <a href=\"https://wordpress.org/plugins/bbpress/\">bbPress</a> on your favorite TV series or some other topic that piques your interest. Start a regular ol&rsquo; <a href=\"https://wordpress.org/\">WordPress</a> blog and share your thoughts during this time.</p>\n\n\n\n<p>Use this brief moment in history to create something new. Whether it is a side hustle, a new business, or poetry, just create. Then, of course, share it via your WordPress website.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 09 Apr 2020 20:11:38 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"WPTavern: WordCamp Europe 2020 Is Moving Online This Summer\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=98377\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:163:\"https://wptavern.com/wordcamp-europe-2020-is-moving-online-this-summer?utm_source=rss&utm_medium=rss&utm_campaign=wordcamp-europe-2020-is-moving-online-this-summer\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3992:\"<p class=\"has-drop-cap\">On Monday, the WordCamp Europe team <a href=\"https://2020.europe.wordcamp.org/2020/04/06/wordcamp-europe-2020-is-moving-online/\">announced it would hold its annual event</a> online from June 4-6. The move comes after initially postponing this year&rsquo;s physical event because of the COVID-19 pandemic currently sweeping the globe. Like many other events, the organizing team is in the process of switching gears and moving everything to work over the internet.</p>\n\n\n\n<p>WordCamp Europe 2020 Online will hold a virtual contributor day on June 4. The last two days of the event will consist of live-streamed sessions and workshops for half days. The team is still working out the details and will keep everyone updated when possible.</p>\n\n\n\n<p>The reopening of the event to a virtual audience was met with enthusiasm when the team <a href=\"https://twitter.com/WCEurope/status/1247196801393885184\">announced it on Twitter</a>.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">&#128227; We&rsquo;re back! We are excited to announce WordCamp Europe 2020 Online &ndash; a virtual event taking place on 4-6 June &#127881; Add the dates back into your diaries and stay tuned for more details coming soon &#128197; <a href=\"https://t.co/JdEEHN0GMT\">https://t.co/JdEEHN0GMT</a></p>&mdash; WordCamp Europe (@WCEurope) <a href=\"https://twitter.com/WCEurope/status/1247196801393885184?ref_src=twsrc%5Etfw\">April 6, 2020</a></blockquote>\n</div>\n\n\n\n<p>Last month, the organizers delivered the news that they would be postponing the 2020 physical event. &ldquo;The decision to postpone WCEU 2020 was not made lightly, as each member of the organising team is deeply invested in the event, but it was made collectively,&rdquo; <a href=\"https://2020.europe.wordcamp.org/2020/03/12/important-notice-wordcamp-europe-postponed/\">wrote the team on the WordCamp EU blog</a>. &ldquo;[The community] is, by far, the most heartbreaking part of a cancellation: the fact that we won&rsquo;t get to gather together in person, to connect, share knowledge and inspire one another during our sessions, hallway tracks, and dinners.&rdquo;</p>\n\n\n\n<p>The organizers are rebooting the physical WordCamp EU event for 2021. Last month, the team <a href=\"https://2020.europe.wordcamp.org/2020/03/24/wordcamp-europe-2021-dates-confirmed/\">confirmed June 3-5</a> for next year&rsquo;s event. It will take place at the Super Bock Arena (Pavilh&atilde;o Rosa Mota) in Porto, Portugal.</p>\n\n\n\n<p>For those who purchased tickets to the 2020 event, they should have already received a refund or get one by April 10. Organizers are in the process of contacting sponsors to discuss refunds and getting involved in the online event.</p>\n\n\n\n<p>The silver lining in this news is that everyone can attend WordCamp EU at no cost, albeit virtually rather than in person.</p>\n\n\n\n<p>Based on the size of the event, WordCamp EU will be the standard that many other events and meetups will likely want to emulate and build upon. It will be a test of how the WordPress community can come together and show the world that we can continue doing great things during uncertain times.</p>\n\n\n\n<p>Given that the current virus outbreak will likely continue through the summer, everyone in the WordPress community should mark this event on their calendars. Make social plans with the people who love the same software. It is free, and you are probably going to be home anyway. I look forward to an exciting event from the European WordPress community.</p>\n\n\n\n<p>To stay up to date on WordCamp EU or contact the team, follow its social networking accounts:</p>\n\n\n\n<ul><li><a href=\"https://www.facebook.com/WCEurope/\">WCEU Facebook</a></li><li><a href=\"https://twitter.com/wceurope?lang=en\">WCEU Twitter</a></li><li><a href=\"https://www.linkedin.com/company/wordcampeurope/\">WCEU LinkedIn</a></li><li><a href=\"https://www.instagram.com/wceurope/?hl=en\">WCEU Instagram</a></li></ul>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 08 Apr 2020 19:18:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"HeroPress: Embrace Who You Are and Others Will Follow\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=3095\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:158:\"https://heropress.com/essays/embrace-who-you-are-and-others-will-follow/#utm_source=rss&utm_medium=rss&utm_campaign=embrace-who-you-are-and-others-will-follow\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:10634:\"<img width=\"960\" height=\"480\" src=\"https://s20094.pcdn.co/wp-content/uploads/2021/04/040720-min.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: No one is excluded from carving their place in the WordPress industry.\" /><p><strong>Wondering how a university drop out with ADHD and a criminal record found a spot in the WordPress community? Read on to see why it’s often your “faults” that can make you a major asset to any product team.</strong></p>\n<p>For as long as I can remember, I’ve had a knack for spotting an opportunity to make money. Even as an industrious seven-year-old, I knew that if I spent my birthday money on a value-size container of gumballs, I could sell them off to my classmates for a profit.</p>\n<p>Soon, every school recess and bus ride was a chance to make a sale and as I grew, so did my appetite for the hustle. Eventually, I replaced gumballs with mowing lawns and later, importing and reselling electronics. As long as there was a demand, nothing was off-limits.</p>\n<p>At this point, you may be expecting the rest of my story to go something like “serial entrepreneur switches to digital products, joins the WordPress community, and lives happily ever after,” right?</p>\n<p>Well, there are a lot more twists and turns before that since my hustling did end up getting me into a lot of trouble. My WordPress origin story includes a tale of how I escaped government spies in China, served a prison sentence in Kansas, and ultimately turned my mixed bag of (decidedly non-technical) business and people skills into a marketing position at Sandhills Development.</p>\n<a href=\"https://s20094.pcdn.co/wp-content/uploads/2020/04/open-premiere-wcus-alain-schlesser-tyler-lau_700-min.jpg\"><img /></a>Tyler Lau with Alain Schlesser at the Open Film premiere at WCUS 2019 in St.Louis.\n<h3>Jack of all trades, master of fun</h3>\n<p>One of the many reasons I’m always on the lookout for new projects and business opportunities is my Attention Deficit Hyperactivity Disorder (ADHD), a diagnosis I received nearly 14 years ago. As the only child of a divorced couple, all the attention was on me, but I couldn’t seem to keep my attention on anything.</p>\n<p>Luckily, the disorder that made me a restless child has made me a creative and adaptable adult. In my current role, I’m a marketing relationship builder at Sandhills Development, a plugin company with a portfolio of brands including AffiliateWP, Easy Digital Downloads, and Restrict Content Pro. Unlike most people at Sandhills who focus on one or two of our products, my role spans across all our digital properties.</p>\n<p>Not only am I representing a portfolio of products, but for each, my tasks involve post-sales communication, partnership, and affiliate development, B2B sales, and event marketing. Behind the scenes, I also organize our company retreats, book WordCamp travel arrangements, and even helped open two Sandhills breweries in Kansas. That’s right, we branched out of tech into beer!</p>\n<p>In a way, I’m the people person at Sandhills Development and the face of the company to many in the WordPress community. In an industry built by programmers and developers with outstanding focus and attention to detail, someone with ADHD wouldn’t seem like a natural fit. And yet, the WordPress community really is one of those places where everyone can find the right spot for their unique mix of skills. For me, my skill was people, and that has translated into a slew of responsibilities.</p>\n<a href=\"https://s20094.pcdn.co/wp-content/uploads/2020/04/WordCamp-seattle-min.jpg\"><img /></a>Chatting with sponsors at WordCamp Seattle 2019\n<h3>Relationship-building as a career</h3>\n<p>On paper, there isn’t much that qualifies me to work for a tech company. Most of my previous experience was in the restaurant industry, something I’m still quite passionate about. That’s probably why I am always in charge of food at our company retreats. In fact, even though I was far from a Luddite, nothing on my CV pointed to a career in tech. And yet, that fast-paced, customer-facing service industry environment has actually prepared me the best for everything I’ve taken on since.</p>\n<p>When I’m at events on behalf of Sandhills, I’m meeting people from all over the world and developing personal and professional relationships with them, all while managing the logistics of event marketing. As an extrovert, I love it and I couldn’t imagine a job that didn’t involve relationship-building.</p>\n<p>Understanding people and being able to operate in any setting isn’t just an asset to grow a company, it can also be key to surviving in precarious environments. While my social tact is useful for making friends and building community in the WordPress space, at one point in my life, it was necessary for survival. Like the time I went to prison.</p>\n<h3>The true meaning of freedom</h3>\n<p>In the WordPress community, the concept of freedom comes up often. The GPL, free software, open-source communities&#8230;These are all fundamental values on which WordPress is built. Practically speaking, anyone can launch a company, become a freelancer, work remotely, or be their own boss to gain more freedom in their work and life. This is particularly appealing to me as someone who has never fit into the traditional work mold and as someone who now values my freedom more than ever.</p>\n<a href=\"https://s20094.pcdn.co/wp-content/uploads/2020/04/WCA2-Tracy-Josepha-DeRosia-girls-min.jpg\"><img /></a>With attendees at WordCamp Ann Arbor 2019\n<p>Six years ago, my inner opportunist got me into trouble with the law selling marijuana. It was a quick way to make good money and after dropping out of college following a brain aneurysm, I needed capital to fund my first startup. Between my shifts as a waiter, I worked on prototypes for my first product. The company was growing fast and to protect my patents and take R&amp;D to the next level, I had to work really hard.</p>\n<p>Everything came to a screeching halt when I went to prison. If you’re wondering if prison is like TV shows and movies, the answer is both yes and no. It’s harder in a lot of ways but my spirit never broke. Meeting other inmates reminded me that I was in a much better situation than most. I was educated, well-off, loved, and knew I had a future once I was released.</p>\n<p>Many inmates never graduated from high school and are completely computer illiterate. While on the inside, I taught science, math, writing, reading, and social studies. But still, I know many of them will struggle to get the mental health support and the job training they need to thrive after they serve their sentence. There’s more to freedom than just being on the outside. You also need a sense of agency and enfranchisement. As for me, my sense of purpose and my support network were plenty to keep me going and I was ready to take on my next (legal) business challenge as soon as I could.</p>\n<a href=\"https://s20094.pcdn.co/wp-content/uploads/2020/04/WordCamp-us-2019-min.jpg\"><img /></a>With sponsors and organizers at WCUS 2019 in St. Louis\n<h3>Your past doesn’t define you but you can choose to embrace it</h3>\n<p>I’m an outlier in many ways. From the day I was born, I was political. My father is a semi-dissident Chinese visual anthropologist and my mother is an art professor who left her home country of Japan to break from traditional Japanese gender roles. If you’re familiar with the history between these two nations, you’ll know a relationship between their citizens is rare and discouraged. I inherited a lot of that fearlessness, although I’m not sure if it’s nurture or nature. Most of my childhood was split, either following my father around the world, as he documented Chinese communities, or growing up as one of few Asian-Americans living in small-town Kansas.</p>\n<p>I’ve never fit in, and yet this is what makes me able to adapt to most situations and relate to just about anyone. I embrace my eclectic, dissonant past and see beauty in the person those experiences shaped me to be. Now, I’m able to put those skills to good use in the WordPress community and beyond. Regardless of your level of physical ability, your struggles with mental health, your upbringing, and even your run-ins with the law, no one is excluded from carving their place in the WordPress industry.</p>\n<div class=\"rtsocial-container rtsocial-container-align-right rtsocial-horizontal\"><div class=\"rtsocial-twitter-horizontal\"><div class=\"rtsocial-twitter-horizontal-button\"><a title=\"Tweet: Embrace Who You Are and Others Will Follow\" class=\"rtsocial-twitter-button\" href=\"https://twitter.com/share?text=Embrace%20Who%20You%20Are%20and%20Others%20Will%20Follow&via=heropress&url=https%3A%2F%2Fheropress.com%2Fessays%2Fembrace-who-you-are-and-others-will-follow%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-fb-horizontal fb-light\"><div class=\"rtsocial-fb-horizontal-button\"><a title=\"Like: Embrace Who You Are and Others Will Follow\" class=\"rtsocial-fb-button rtsocial-fb-like-light\" href=\"https://www.facebook.com/sharer.php?u=https%3A%2F%2Fheropress.com%2Fessays%2Fembrace-who-you-are-and-others-will-follow%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-linkedin-horizontal\"><div class=\"rtsocial-linkedin-horizontal-button\"><a class=\"rtsocial-linkedin-button\" href=\"https://www.linkedin.com/shareArticle?mini=true&url=https%3A%2F%2Fheropress.com%2Fessays%2Fembrace-who-you-are-and-others-will-follow%2F&title=Embrace+Who+You+Are+and+Others+Will+Follow\" rel=\"nofollow\" target=\"_blank\" title=\"Share: Embrace Who You Are and Others Will Follow\"></a></div></div><div class=\"rtsocial-pinterest-horizontal\"><div class=\"rtsocial-pinterest-horizontal-button\"><a class=\"rtsocial-pinterest-button\" href=\"https://pinterest.com/pin/create/button/?url=https://heropress.com/essays/embrace-who-you-are-and-others-will-follow/&media=https://heropress.com/wp-content/uploads/2021/04/040720-min-150x150.jpg&description=Embrace Who You Are and Others Will Follow\" rel=\"nofollow\" target=\"_blank\" title=\"Pin: Embrace Who You Are and Others Will Follow\"></a></div></div><a rel=\"nofollow\" class=\"perma-link\" href=\"https://heropress.com/essays/embrace-who-you-are-and-others-will-follow/\" title=\"Embrace Who You Are and Others Will Follow\"></a></div><p>The post <a rel=\"nofollow\" href=\"https://heropress.com/essays/embrace-who-you-are-and-others-will-follow/\">Embrace Who You Are and Others Will Follow</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 08 Apr 2020 09:00:59 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Tyler Lau\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"WordPress.org blog: People of WordPress: Mario Peshev\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8536\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://wordpress.org/news/2020/04/people-of-wordpress-mario-peshev/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:10574:\"<p><em>You’ve probably heard that WordPress is open source software, and may know that it’s created and run by volunteers. Enthusiasts share many examples of how WordPress has changed people’s lives for the better. In this monthly series, we share some of those lesser-known, amazing stories.</em></p>\n\n\n\n<h2><strong>Computer science in the nineties</strong></h2>\n\n\n\n<div class=\"wp-block-image\"><img src=\"https://i2.wp.com/wordpress.org/news/files/2020/04/25de575216d3743f80181b2dca2cd7d9.jpeg?w=632&ssl=1\" alt=\"\" class=\"wp-image-8539\" />Mario Peshev</div>\n\n\n\n<p>Mario has been hooked on computers ever since he&nbsp;got his first one in 1996. He started with digging into MS-DOS and Windows 3.1 first and learned tons by trial and error. Following that adventure, Mario built his first HTML site in 1999. He found development so exciting that he spent day and night learning QBasic and started working at the local PC game club. Mario got involved with several other things related to website administration (translating security bulletins, setting up simple sites, etc) and soon found the technology field was full of activities he really enjoyed.</p>\n\n\n\n<h2><strong>The Corporate Lifestyle</strong></h2>\n\n\n\n<p>Mario started studying programming including an intensive high-level course for C#, Java development, and software engineering, and eventually got a job in a corporate environment. He soon became a team lead there, managing all the planning and paperwork for their projects.</p>\n\n\n\n<p>But he continued freelancing on the side. He grew his own network of technical experts through attending, volunteering at, and organizing conferences. He also ran a technical forum and regularly spoke at universities and enterprise companies.</p>\n\n\n\n<h2><strong>Remote Working and Business Opportunity</strong></h2>\n\n\n\n<p>The combination of a high workload and a daily three-hour-long commute made Mario’s life difficult. Many of his friends were still studying, traveling or unemployed. The blissful and calm lives they lived seemed like a fairy tale to him. And even while both his managers and his clients were abroad, he was unable to obtain permission to work remotely.&nbsp;</p>\n\n\n\n<p>So Mario decided to leave his job and start freelancing full time. But he found he faced a massive challenge.&nbsp;</p>\n\n\n\n<p>He discovered Java projects were pretty large and required an established team of people working together in an office. All job opportunities were on-site, and some even required relocation abroad. Certified Java programmers weren’t being hired on a remote basis.&nbsp;</p>\n\n\n\n<p>As Mario had some PHP experience from previous jobs, he used this to start his freelance career. For his projects, he used both plain PHP and PHP frameworks like CakePHP and CodeIgniter.&nbsp;</p>\n\n\n\n<p>For a while, Mario accepted work using commonly known platforms including Joomla, Drupal, and WordPress. In addition, he worked on PHP, Java, Python and some C# projects for a couple of years, after which he decided to switch to WordPress completely.</p>\n\n\n\n<h2><strong>Building products</strong></h2>\n\n\n\n<p>One of his projects involved a technically challenging charity backed by several international organizations. Unexpected shortages in the team put him in the technical lead position. As a result, Mario found himself planning the next phases, meeting with the client regularly, and renegotiating the terms. The team completed the project successfully, and after the launch, a TV campaign led millions of visitors to the website.</p>\n\n\n\n<p>As a result of the successful launch, this client invited Mario to participate in more WordPress projects, including building a custom framework.</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p><em>“I wasn’t that acquainted with WordPress back then. For me, a conventional person trained in architectural design patterns and best practices, WordPress seemed like an eccentric young hipster somewhere on the line between insane and genius at the same time. I had to spend a couple of months learning WordPress from the inside out.”</em></p><cite>Mario Peshev</cite></blockquote>\n\n\n\n<p>As his interest in WordPress grew, Mario stopped delivering other custom platforms, and converted clients to WordPress.&nbsp;</p>\n\n\n\n<h2><strong>European Community</strong></h2>\n\n\n\n<img src=\"https://i2.wp.com/wordpress.org/news/files/2020/04/20191001_144227-scaled.jpg?fit=632%2C356&ssl=1\" alt=\"Mario presenting to an audience\" class=\"wp-image-8546\" />Mario presenting at a WordCamp\n\n\n\n<p>For Mario, one of the key selling points of WordPress was the international openness. He had previously been involved with other open source communities, some of which were US-focused. He felt they were more reliant on meeting people in person. With events only taking place in the US, this made building relationships much harder for people living in other countries.</p>\n\n\n\n<p>While the WordPress project started out in the US, the WordPress community quickly globalized. Dozens of WordCamps and hundreds of Meetup events take place around the globe every year.&nbsp; All of these events bring a wide variety of people sharing their enthusiasm for WordPress together.</p>\n\n\n\n<p>For Mario, the birth of WordCamp Europe was something magical. The fact that hundreds, and later on thousands, of people from all over the world gathered around the topic of WordPress speaks for itself. Mario has been involved with organizing WordCamp Europe twice (in 2014 and 2015).&nbsp;</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p><em>“There’s nothing like meeting WordPress enthusiasts and professionals from more than 50 countries brainstorming and working together at a WordCamp. You simply have to be there to understand how powerful it all is.”</em></p><cite>Mario Peshev</cite></blockquote>\n\n\n\n<h2><strong>Growing businesses and teams</strong></h2>\n\n\n\n<p>A key WordPress benefit is its popularity – an ever growing project currently powering <a href=\"https://w3techs.com/technologies/details/cm-wordpress\">more than 35% of the Internet [2020].</a> It’s popular enough to be a de facto standard for websites, platforms, e-commerce and blogs.&nbsp;</p>\n\n\n\n<p>WordPress has a low barrier to entry. You can achieve a lot without being an expert, meaning most people can start gaining experience without having to spend years learning how to code. That also makes it easier to build businesses and teams.</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p><em>“Being able to use a tool that is user-friendly, not overly complicated and easily extensible makes introducing it to team members faster and easier. It requires less time for adjustment, and as a result makes a team stronger and faster. The fact that this tool is cost-effective also allows more startups to enter the market. It requires&nbsp; less time and investments to launch an MVP. This boosts the entire ecosystem.”</em></p><cite>Mario Peshev</cite></blockquote>\n\n\n\n<h2><strong>Helping Others</strong></h2>\n\n\n\n<p>Mario also introduced WordPress to children and young people. He taught them how to use WordPress as a tool for homework and class assignments. By using WordPress, they were able to learn the basics of designing themes, developing plugins, marketing statistics, social media, copywriting, and so much more. This approachable introduction to the software meant technical skills were not needed.</p>\n\n\n\n<p>He was also part of a team of volunteers who helped a group of young people living at a foster home struggling to provide for themselves. The team taught the basic digital literacy skills necessary in the modern workplace and potentially pay for their rent and basic needs. This included working with Microsoft Word, Excel and WordPress, as well as some basic design and marketing skills. </p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p><em>“When you look at that from another perspective, a platform that could save lives &#8211; literally &#8211; and change the world for better is worth contributing to, in any possible manner.”</em></p><cite>Mario Peshev</cite></blockquote>\n\n\n\n<h2><strong>Contributing to the WordPress community</strong></h2>\n\n\n\n<p>From the core team to supporting and organizing WordCamps, Mario has long been an active contributor to the global WordPress project. He is passionate about the connections fostered by people who are involved in building both the WordPress software and the community around it.</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p><em>“The WordPress community consists of people of all race and color, living all around the world, working as teachers, developers, bloggers, designers, business owners. Let’s work together to help each other. Let’s stick together and show&nbsp; the world WordPress can help make it a better place.”</em></p><cite>Mario Peshev</cite></blockquote>\n\n\n\n<h2><strong>Contributors</strong></h2>\n\n\n\n<p>Thanks to Alison Rothwell (<a href=\"https://profiles.wordpress.org/wpfiddlybits/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>wpfiddlybits</a>), Yvette Sonneveld (<a href=\"https://profiles.wordpress.org/yvettesonneveld/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>yvettesonneveld</a>), Abha Thakor (<a href=\"https://profiles.wordpress.org/webcommsat/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>webcommsat</a>), Josepha Haden (<a href=\"https://profiles.wordpress.org/chanthaboune/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>chanthaboune</a>) and Topher DeRosia (<a href=\"https://profiles.wordpress.org/topher1kenobe/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>topher1kenobe</a>). Thank you to Mario Peshev (<a href=\"https://profiles.wordpress.org/nofearinc/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>nofearinc</a>) for sharing his #ContributorStory.</p>\n\n\n\n<div class=\"wp-block-image\"><img src=\"https://i1.wp.com/wordpress.org/news/files/2020/03/heropress_logo_180.png?w=632&ssl=1\" alt=\"HeroPress logo\" class=\"wp-image-8409\" /></div>\n\n\n\n<p><em>This post is based on </em><a href=\"https://heropress.com/essays/wordpress-gave-perfect-identity/\"><em>an article originally published on HeroPress.com</em></a><em>, a community initiative created by </em><a href=\"https://profiles.wordpress.org/topher1kenobe/\"><em>Topher DeRosia</em></a><em>. HeroPress highlights people in the WordPress community who have overcome barriers and whose stories would otherwise go unheard.</em></p>\n\n\n\n<p><em>Meet more WordPress community members over at </em><a href=\"https://heropress.com/\"><em>HeroPress.com</em></a><em>!</em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 08 Apr 2020 00:57:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Yvette Sonneveld\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"WPTavern: Jetpack Re-launches Search Feature as Standalone Service\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=98316\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:177:\"https://wptavern.com/jetpack-re-launches-search-feature-as-standalone-service?utm_source=rss&utm_medium=rss&utm_campaign=jetpack-re-launches-search-feature-as-standalone-service\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5477:\"<p class=\"has-drop-cap\">The Jetpack team announced today that its <a href=\"https://jetpack.com/2020/04/07/re-introducing-jetpack-search-for-wordpress-sites/\">search service is now available as a separate package</a> from the professional bundle it was previously under. The move should make it more affordable for small sites to use the service. Larger sites might have to shell out more money, depending on how much content is on the site.</p>\n\n\n\n<p>&ldquo;Jetpack Search had only been available as a part of the Jetpack Professional plan at $29 per month, but that pricing felt unfair: a site with one million posts costs 1,000 times as much to index as a site with one thousand posts, but both sites were paying the same amount,&rdquo; wrote Greg Brown, search wrangler at Automattic, in the announcement post. &ldquo;New pricing makes Jetpack Search more affordable for small sites and still costs big sites less than the competition.&rdquo;</p>\n\n\n\n<p>Jetpack Search now charges by the number of records:</p>\n\n\n\n<ul><li>Up to 100 records: $5 per month</li><li>Up to 1,000 records: $10 per month</li><li>Up to 10,000 records: $25 per month</li><li>Up to 100,000 records: $60 per month</li><li>Up to 1 million records: $200 per month</li><li>Over 1 million records: $200 per month per million records</li></ul>\n\n\n\n<p>&ldquo;Records&rdquo; are posts, pages, and custom post types. However, that may change in the future. &ldquo;We decided to use the term &lsquo;records&rsquo; because we think there are use cases where we may want to index comments as their own records sometime in the future,&rdquo; said Brown. &ldquo;Similarly, there are use cases for indexing authors, tags, categories, etc. as their own records.&rdquo;</p>\n\n\n\n<p>Jetpack Search combines comments and bbPress plugin replies, which are technically a custom post type, with their parent post. For now, these will not count against users&rsquo; record counts.</p>\n\n\n\n<p>One caveat with search is that media attachments are considered individual records by default. There are good reasons for some sites to expose attachments via search results. However, this could lead to unwanted records and cost more money each month for users who have a lot of media but do not wish to count those pages. Jetpack does have a filter hook that <a href=\"https://developer.jetpack.com/hooks/jetpack_sync_prevent_sending_post_data/\">controls which post types are cached</a> on the WordPress.com servers, so this can at least be configured via code.</p>\n\n\n\n<p>Version 8.4 of the <a href=\"https://wordpress.org/plugins/jetpack/\">Jetpack plugin</a> also includes an updated search interface. When a site visitor enters a search query, a fullscreen modal appears to showcase the search results. The results are snappy because they rely on the WordPress.com API and updated technology underneath. The new interface should work well with most themes out of the box on both desktop and mobile views.</p>\n\n\n\n<img />Jetpack search results modal.\n\n\n\n<p>&ldquo;This new version of Search is only available with the new plan,&rdquo; said Brown. &ldquo;The previous version of Search is still available on the Pro plan and will continue working as-is for the foreseeable future, but our focus going forward is on the new search experience.&rdquo;</p>\n\n\n\n<h2>New Architecture Behind Jetpack Search</h2>\n\n\n\n<p class=\"has-drop-cap\">The new version of Jetpack Search runs on a re-architected technology layer. The old system was an Elasticsearch wrapper around the standard WordPress search feature. While it was quicker than normal WordPress search results, it was still slower than it needed to be. There was no built-in spelling correction. Searched terms were not highlighted.</p>\n\n\n\n<p>The new system uses the same sync technology behind Jetpack features like Related Posts, Publicize, and Stats to cache content. It then builds a search index using the Elasticsearch engine from the cache.</p>\n\n\n\n<p>The team has built an optimized API, which now supports searching as the user types and uses pageview stats as part of the algorithm in result rankings. Search input also goes directly from the browser to the API on WordPress.com, which minimizes the delay in returning results.</p>\n\n\n\n<p>&ldquo;All search engines work by preprocessing the data to ensure that when a user&rsquo;s search query comes in the results can quickly be returned,&rdquo; said Brown. &ldquo;For Jetpack Search, very little of the processing time on our servers goes to processing the queries. Almost all of the server load comes from indexing the data and reindexing it as the content changes. Across our main search cluster, for instance, only 10% of the CPU time is spent processing about 850 search queries per second. Most of the time is spent on the 650 index operations per second.&rdquo;</p>\n\n\n\n<p>Brown explains this new architecture is why the new pricing tiers are based on the number of records cached from a site. &ldquo;We preprocess the data, which expands how big it is; store it on the fastest SSDs we can buy; replicate it to multiple data centers; and then can quickly serve results as soon as a search request comes to our API.&rdquo;</p>\n\n\n\n<p>For readers who are interested in a more technical breakdown of the system, Brown has written a full overview titled <a href=\"https://data.blog/2017/07/11/real-time-elasticsearch-indexing-on-wordpress-com/\">Real-Time Elasticsearch Indexing on WordPress.com</a> on the Data for Breakfast blog.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 07 Apr 2020 20:00:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:88:\"Post Status: Free event: Learn from top consultants during Post Status Live: Client Work\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://poststatus.com/?p=78476\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"https://poststatus.com/learn-live-client-work/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3345:\"<p>No doubt about it, we\'re in uncertain times and heading for very rough economic waters. </p>\n\n\n\n<p>If you work with clients, you\'ve already been seeing this. </p>\n\n\n\n<p>But as an <strong>agency owner, consultant, or freelancer, </strong>this isn\'t the time to freeze in fear, it\'s the time to double down, to act and to keep moving forward, to see opportunity and to seize it. </p>\n\n\n\n<p>At Post Status, we want to strengthen you, bolster you and energize you for what lies ahead as a WordPress professional. </p>\n\n\n\n<p>This <strong>Friday, April 10</strong>, carve out a half day to get ideas and be inspired, to make plans, to take a big deep breath before you attack this next season of life and business, as part of our free online learning event called <a href=\"https://poststatus.com/live/client-work/\"><strong>Post Status Live: Client Work.</strong></a> </p>\n\n\n\n<p>We\'ll spend time talk with experienced consultants, discussing things that matter to you:</p>\n\n\n\n<ul><li>Manage the ups and downs of entrepreneurship better</li><li>Build recurring revenue to normalize your cashflow</li><li>Improvise and make sales in a downturn</li><li>Clearly communicate with your clients as their trusted partner</li><li>Not just maintain, but scale and grow from freelancer to agency</li><li>And perhaps most importantly, lead the people who work with you</li></ul>\n\n\n\n<p>We are privileged to have veterans of client work who will be sharing their insights, experiences and tips:</p>\n\n\n\n<ul><li><strong>Joe Howard</strong> of <a href=\"https://wpbuffs.com/\">WP Buffs</a> and the <a href=\"https://wpmrr.com/podcast/\">WPMRR podcast</a></li><li><strong>Erin Flynn</strong> of <a href=\"https://www.erinflynn.com/\">Successfully Simple</a></li><li><strong>Jennifer Bourne </strong>of <a href=\"https://www.bourncreative.com/\">Bourne Creative</a> and <a href=\"https://jenniferbourn.com/profitable-project-plan/\">Profitable Project Plan</a></li><li><strong>Kori Ashton</strong> of <a href=\"https://webtegrity.com/\">WebTegrity</a> and <a href=\"https://www.youtube.com/channel/UCNypAJ8N90o6D2sLGZRVGnw\">WordPress Wednesdays</a></li><li><strong>Rahul Bansal</strong> of <a href=\"https://rtcamp.com/\">rtCamp</a></li><li><strong>Kimberly Lipari </strong>of <a href=\"https://valet.io\">Valet</a></li><li><strong>Brad Williams</strong> of <a href=\"https://webdevstudios.com/\">WebDevStudios</a> and co-author of <a href=\"https://www.amazon.com/Professional-WordPress-Plugin-Development-2nd/dp/1119666945/ref=sr_1_1?dchild=1&keywords=brad+williams+wordpress&qid=1586005190&sr=8-1\">Professional WordPress Plugin Development</a></li><li><strong>Lisa Sabin-Wilson</strong> of <a href=\"https://webdevstudios.com/\">WebDevStudios</a> and author of WordPress for Dummies</li><li><strong>Ant Miller</strong> of <a href=\"https://humanmade.com/\">Human Made</a></li><li><strong>Tracy Apps</strong> of <a href=\"http://tracyappsdesign.com/\">Tracy Apps Design</a></li><li><strong>Reid Peifer</strong> of <a href=\"https://tri.be/\">Modern Tribe</a></li></ul>\n\n\n\n<p>Each session will be moderated by Post Status partners Brian Krogsgard and Cory Miller.</p>\n\n\n\n<p>You won\'t want to miss this <strong>free event. </strong></p>\n\n\n\n<p><a class=\"big-ole-add-to-cart-button button-orange aligncenter button\" href=\"https://poststatus.com/live/client-work/\">Register Today!</a></p>\n\n\n\n<p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 07 Apr 2020 02:47:45 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Cory Miller\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"WPTavern: Proposal to Move WordPress Theme Review Process to GitHub\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=98312\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:179:\"https://wptavern.com/proposal-to-move-wordpress-theme-review-process-to-github?utm_source=rss&utm_medium=rss&utm_campaign=proposal-to-move-wordpress-theme-review-process-to-github\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5516:\"<p class=\"has-drop-cap\">Denis &#381;oljom, the automation representative for the WordPress theme review team, <a href=\"https://make.wordpress.org/themes/2020/04/03/proposal-github-theme-review/\">proposed moving much of the theme review system</a> over to GitHub. The idea is to move the interactive parts of the review away from the current system. The proposal claims such a move would streamline the process via automated tools and make the manual, reviewer-to-author interactions easier.</p>\n\n\n\n<p>Currently, the theme review process takes place on <a href=\"https://themes.trac.wordpress.org/\">Trac</a>. For many theme authors and reviewers, the software can feel archaic. It does not have the feature set that developers have become accustomed to with other solutions. With the move of major parts of WordPress, such as feature plugin development, to GitHub over the past few years, it might be time to reevaluate other areas of the core project.</p>\n\n\n\n<p>&#381;oljom noted in the proposal that reviews handled through Trac are cumbersome. As a former theme review team lead and reviewer, I know how many on the team feel. Right now, much of the review process is manual. It is handled via a lot of back-and-forth communication between the reviewer and author. There is no good way to leave a note or comment on a specific line of code when there is an issue. This ongoing <em>discussion</em> between reviewer and author is sometimes hindered by a language barrier. The experience of comparing changes between code updates is lackluster at best. Plus, the only automated check is handled by the <a href=\"https://wordpress.org/plugins/theme-check/\">Theme Check</a> plugin.</p>\n\n\n\n<p>Handling reviews on GitHub opens a new world of possibilities that could make reviews more efficient and provide a better experience on both ends of the process.</p>\n\n\n\n<p>From 2015 through 2019, I ran a side business with a partner where we performed code reviews on plugins and themes. The majority of that business was working with commercial theme shops. Around 90% of the reviews were handled on GitHub.</p>\n\n\n\n<p>At the same time, I was still volunteering with the WordPress theme review team. There was no comparison in terms of user experience. GitHub won hands down. This experience turned me away from wanting to perform reviews for the official directory. Nothing there was streamlined. It was tougher to point to specific code issues and check if a problem was corrected when an author sent in an update.</p>\n\n\n\n<p>&#381;oljom&rsquo;s initial proposal outlines a system where the theme author submits their theme through the WordPress <a href=\"https://wordpress.org/themes/getting-started/\">theme upload page</a>. If it passes the initial check, the system would automatically create a new GitHub repository with the theme. Theme authors can then fork this newly-created repository to work on code changes based on reviewer feedback. Theme updates would also work through GitHub.</p>\n\n\n\n<p>&ldquo;I think that forks are a good middle ground,&rdquo; said &#381;oljom. &ldquo;Authors have forks on their own GitHub accounts and can update those, and make updates that way even. That would definitely help us with people who are trying to trick the system by updating their themes once they go live with things that break the requirements.&rdquo;</p>\n\n\n\n<p>The proposal is merely an idea to explore at this stage. Much of the process could change if it is given the green light to proceed.</p>\n\n\n\n<p>&ldquo;In the end, I hope this initiative will go live and help us bring the review queue down,&rdquo; said &#381;oljom. He has hopes the team can integrate more automated checks such as the <a href=\"https://github.com/WordPress/WordPress-Coding-Standards\">WordPress Coding Standards</a>. With more automation, it could also mean the theme review team could focus on other projects it works on, such as preparing for the future of full-site editing and continuing education.</p>\n\n\n\n<h2>Beyond the Review Process</h2>\n\n\n\n<p class=\"has-drop-cap\">One of the primary issues the team has faced over the years is educating authors on writing cleaner and more secure code. Some issues like sanitizing data on input and escaping it on output are still prevalent during reviews. The team&rsquo;s history of communication via Trac has not seemed to help with education on the whole.</p>\n\n\n\n<p>&ldquo;The main point is the fact that many people can be involved in the review process, and then you have experienced reviewers who can show why some code is not good or needs improvement,&rdquo; said &#381;oljom. &ldquo;This provides a way for many people to see what is wrong with the code and how they can improve it. Plus the forked theme stays in their repo, so they can see the changes that they made and why.&rdquo;</p>\n\n\n\n<p>&#381;oljom has a few items in reserve for the long-term wish list. One possibility for the future may be setting up themes on Packagist for installation via Composer. He admits that it is a longshot at best.</p>\n\n\n\n<p>&ldquo;I see this as an opportunity to bring one aspect of WordPress up to par with other modern PHP frameworks like Laravel,&rdquo; he said. &ldquo;Plus, utilize automatic tools at our disposal. From PHP CodeSniffer, PHPStan, ES Lint, and a plethora of other tools, we could also show authors how they can set these tools on their projects and make their coding skills better. Maybe throw some automatic integration tests in the mix. The possibilities are really endless.&rdquo;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 06 Apr 2020 20:08:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"WPTavern: Proposal to Add a Consent API to WordPress, Feature Plugin Available\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=98269\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:199:\"https://wptavern.com/proposal-to-add-a-consent-api-to-wordpress-feature-plugin-available?utm_source=rss&utm_medium=rss&utm_campaign=proposal-to-add-a-consent-api-to-wordpress-feature-plugin-available\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4432:\"<p class=\"has-drop-cap\">On Wednesday, Garret Hyder announced a <a href=\"https://make.wordpress.org/core/2020/04/01/feature-plugin-proposal-wp-consent-api/\">feature proposal for a WordPress Consent API.</a> The proposal is one step on the larger <a href=\"https://make.wordpress.org/core/roadmap/privacy/\">privacy roadmap</a> for core. If merged into WordPress, it would establish a standard method for core, plugins, and themes to obtain consent for various privacy-related features. The idea is to create a consistent experience for developers, site administrators, and site visitors.</p>\n\n\n\n<p>The <a href=\"https://wordpress.org/plugins/wp-consent-api/\">WP Consent API</a> plugin is available via the WordPress plugin directory. Development is currently happening on the plugin&rsquo;s <a href=\"https://github.com/rlankhorst/wp-consent-level-api/\">GitHub repository</a>.</p>\n\n\n\n<p>Hyder identified several areas in which an API for handling consent could help in bringing a site into compliance with various privacy laws:</p>\n\n\n\n<ul><li>Consent management plugins cannot prevent other plugins from placing a PHP cookie.</li><li>Plugins that integrate tracking code on the client-side could break the site if blocked by a consent management plugin.</li><li>Minified URLs in JavaScript files may not be detected by automatic blocking scripts.</li><li>Using a blocking approach to handle privacy requires a list of all types of URLs when dealing with cookies and other types of tracking.</li></ul>\n\n\n\n<p>&ldquo;Primarily this API is aimed at helping to achieve a compliant use of cookies or other means of tracking by WordPress websites,&rdquo; wrote Hyder in the proposal. &ldquo;If a plugin or custom code triggers, for example, Facebook, usage of this API will be of help to ensure consent. If a user manually embeds a Facebook iframe, a cookie blocker is needed that initially disables the iframe and or scripts.&rdquo;</p>\n\n\n\n<p>The goal is not to create functionality that would block third-party scripts, such as tracking from a site like Facebook. Because different jurisdictions have their own laws across the world, the actual management of blocking functionality would be best suited for a consent management plugin. This would be outside of the scope of what WordPress does out of the box. By providing an API directly in core, it would allow plugin developers to build consent management plugins that are needed in different locations. The API would merely be a means for all plugins to <em>talk the same language</em>. That standardization would allow consent management plugins to work as they should.</p>\n\n\n\n<p>Furthermore, adding a front-end user interface would place additional scripts, styles, and functionality on all WordPress sites. These types are things are best handled by plugin developers.</p>\n\n\n\n<p>The API proposes allowing the creation of consent categories. Such categories might be preferences, marketing, or statistics. They would be filterable by plugins. The API has two indicators to determine consent for a category: a region-based consent type, which can be opt-in or opt-out, and the visitor&rsquo;s choice.</p>\n\n\n\n<p>The team working on the project has put together a <a href=\"https://wpconsentapi.org/\">Consent API Demo</a> to see how this plugin would work along with consent management on a website&rsquo;s front end. The demo makes use of the <a href=\"https://complianz.io/\">Complianz plugin</a> and an <a href=\"https://github.com/rlankhorst/consent-api-example-plugin\">example plugin</a> for showcasing how the API works.</p>\n\n\n\n<p>Consent management is a tough area to handle in terms of web design and development. On the one hand, respecting the privacy laws of various jurisdictions is necessary for many people around the world. On the other hand, cookie notice popups on websites often create a poor user experience for site visitors, and that experience may only get worse before it gets better.</p>\n\n\n\n<p>However, a standard API is past due in core WordPress. This will at least provide plugin authors with a means of working with consent management plugins. In time, maybe we will find a front-end interface that creates a nice experience while maintaining privacy.</p>\n\n\n\n<p>The team is currently looking for feedback on the proposal and plugin. If the feature proposal is accepted, authors of consent management plugins should be prepared to begin integrating with the API.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 03 Apr 2020 19:25:06 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"WordPress.org blog: The Month in WordPress: March 2020\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8532\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2020/04/the-month-in-wordpress-march-2020/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:8586:\"<p>The month of March was both a tough and exciting time for the WordPress open-source project. With COVID-19 declared a pandemic, in-person events have had to adapt quickly &#8211; a challenge for any community. March culminated with the release of WordPress 5.4, an exhilarating milestone only made possible by dedicated contributors. For all the latest, read on.&nbsp;</p>\n\n\n\n<hr class=\"wp-block-separator\" />\n\n\n\n<h2>WordPress 5.4 “Adderley”</h2>\n\n\n\n<p>WordPress 5.4 “Adderley” <a href=\"https://wordpress.org/news/2020/03/adderley/\">was released on March 31</a> and includes a robust list of new blocks, enhancements, and new features for both users and developers. The primary focus areas of this release included the block editor, privacy, accessibility, and developer improvements, with the full list of enhancements covered in <a href=\"https://make.wordpress.org/core/2020/03/03/wordpress-5-4-field-guide/\">the 5.4 field guide</a>.</p>\n\n\n\n<p>Want to get involved in building WordPress Core? Follow <a href=\"https://make.wordpress.org/core/\">the Core team blog</a>, and join the #core channel in <a href=\"https://make.wordpress.org/chat/\">the Making WordPress Slack group</a>.</p>\n\n\n\n<h2>Releases of Gutenberg 7.7 and 7.8</h2>\n\n\n\n<p>It’s been another busy month for Gutenberg, this time with the release of Gutenberg <a href=\"https://make.wordpress.org/core/2020/03/11/whats-new-in-gutenberg-11-march/\">7.7</a> and <a href=\"https://make.wordpress.org/core/2020/03/26/whats-new-in-gutenberg-25-march/\">7.8</a>. Gutenberg 7.7 introduced block patterns &#8211; predefined block layouts that are ready to use and tweak. This is an important step towards Full Site Editing, which is currently targeted for inclusion in WordPress 5.6. As a first iteration, you can pick and insert patterns from the Block Patterns UI, which has been added as a sidebar plugin.</p>\n\n\n\n<p>Gutenberg 7.7 also includes a refresh of the Block UI, which better responds to the ways users interact with the editor. For more information on the User UI and Block Patterns, read <a href=\"https://make.wordpress.org/themes/2020/03/18/block-based-themes-meeting-notes/\">this summary of the most recent Block-Based Themes meeting</a>. Gutenberg 7.8, introduced on March 25, further enhanced this Block UI redesign. Both releases also included a suite of improvements, bug fixes, new APIs, documentation, and more!</p>\n\n\n\n<p>Want to get involved in building Gutenberg? Follow <a href=\"https://make.wordpress.org/core/\">the Core team blog</a>, contribute to <a href=\"https://github.com/WordPress/gutenberg/\">Gutenberg on GitHub</a>, and join the #core-editor channel in <a href=\"https://make.wordpress.org/chat/\">the Making WordPress Slack group</a>.</p>\n\n\n\n<h2>WordCamp cancellations and shift to online events</h2>\n\n\n\n<p>In early March, the Community team issued <a href=\"https://make.wordpress.org/community/2020/03/11/new-recommendations-for-event-organizers-in-light-of-covid-19/\">new recommendations for event organizers</a> in light of growing concerns around COVID-19. Following this guidance, and with COVID-19 declared a pandemic, WordPress community organizers reluctantly but responsibly <a href=\"https://make.wordpress.org/community/2020/03/12/latest-updates-on-changes-to-wordcamps/\">postponed or canceled their upcoming WordCamps</a> and meetups.</p>\n\n\n\n<p>As community events are an important part of the WordPress open-source project, the Community team made suggestions for <a href=\"https://make.wordpress.org/community/2020/03/20/taking-charity-hackathons-online/\">taking charity hackathons online</a>, <a href=\"https://make.wordpress.org/community/2020/03/24/community-events-in-the-time-of-covid-19/\">proposed interim adjustments</a> to existing community event guidelines, and provided <a href=\"https://make.wordpress.org/community/2020/03/13/online-conference-organizer-training/\">training for online conference organizing</a> with Crowdcast. The team is currently working on building a <a href=\"https://make.wordpress.org/community/handbook/virtual-events/\">Virtual Events Handbook</a> that will continue to support WordPress community organizers at this time.&nbsp;</p>\n\n\n\n<p>Want to get involved with the WordPress Community team, host your own virtual WordPress event, or help improve the documentation for all of this? Follow <a href=\"https://make.wordpress.org/community/\">the Community team blog</a>, learn more about <a href=\"https://make.wordpress.org/community/handbook/virtual-events/\">virtual events</a>, and join the #community-events channel in <a href=\"https://make.wordpress.org/chat/\">the Making WordPress Slack group</a>.</p>\n\n\n\n<h2>Link your GitHub profile to WordPress.org</h2>\n\n\n\n<p>Last month, <a href=\"https://make.wordpress.org/core/2020/02/21/working-on-trac-tickets-using-github-pull-requests/\">an experimental feature</a> was added to Trac, WordPress Core’s bug-tracking system, to improve collaboration between Trac and GitHub. This month, to help make tracking contributions to the WordPress project across multiple locations easier, there is <a href=\"https://make.wordpress.org/core/2020/03/19/associating-github-accounts-with-wordpress-org-profiles/\">a new option</a> to connect your GitHub account to your WordPress.org profile. This connection allows for more accurate acknowledgement and recognition of contributors. You can connect your GitHub account to your WordPress.org account by editing your WordPress.org profile.</p>\n\n\n\n<p>For more information and instructions on how to connect your accounts, <a href=\"https://make.wordpress.org/core/2020/03/19/associating-github-accounts-with-wordpress-org-profiles/\">read the announcement post</a>.</p>\n\n\n\n<h2>Modernizing WordPress coding standards</h2>\n\n\n\n<p>Defined coding standards is an important step in creating the consistent codebase needed to prepare for requiring PHP 7.x for WordPress Core. As such, <a href=\"https://make.wordpress.org/core/2020/03/20/updating-the-coding-standards-for-modern-php/\">coding standards have been proposed</a> for implementation in WordPress Coding Standards 3.0.0. This includes new proposed standards for namespace declarations, import use statements, fully qualified names in inline code, traits and interfaces, type declarations, declare statements/strict typing, the ::class constant, operators, and more.&nbsp;</p>\n\n\n\n<p>Want to get involved or view the full list of currently proposed new coding standards? Visit and add your feedback to the post on <a href=\"https://make.wordpress.org/core/2020/03/20/updating-the-coding-standards-for-modern-php/\">updating the Coding standards for modern PHP</a> and follow <a href=\"https://make.wordpress.org/core/\">the Core team blog</a>.</p>\n\n\n\n<hr class=\"wp-block-separator\" />\n\n\n\n<h2>Further Reading:</h2>\n\n\n\n<ul><li>On March 16, <a href=\"https://make.wordpress.org/core/2020/03/18/auto-updates-feature-meeting-summary-march-17th-2020/\">Version 0.3 of the auto-updates feature was released</a>, including fixes to a number of issues and the introduction of email notifications.&nbsp;</li><li>WordCamp US announced that <a href=\"https://2020.us.wordcamp.org/2020/03/26/wcus-is-happening/\">the 2020 event will happen</a>, one way or another. But the team need your help to make sure that it’s another fantastic event. <a href=\"https://2020.us.wordcamp.org/2020/03/16/call-for-speakers-is-now-open/\">Consider applying to be a speaker</a>!</li><li>Speaking of WordCamp US, <a href=\"https://2020.us.wordcamp.org/2020/03/23/call-for-cities-for-wcus-2021-2022/\">the Call for Cities for WCUS 2021/2022</a> is now open. If your community is interested in being a future WCUS host, <a href=\"https://wordcampcentral.survey.fm/wcus-2021-2022\">apply today</a>!</li><li>With COVID-19 preventing in-person community events, the Diverse Speaker Training (#wpdiversity) Group encourages you to <a href=\"https://make.wordpress.org/community/2020/03/17/covid-19-and-the-diverse-speaker-training-wpdiversity-group/\">host a virtual Diverse Speaker Workshop</a> to prepare speakers for when we are able to meet in person again. To get started, <a href=\"https://tiny.cc/wpdiversity\">visit this page</a>.&nbsp;</li><li>An <a href=\"https://make.wordpress.org/updates/2020/03/06/update-progress-on-goals/\">update for progress on 2020 goals</a> has been posted, sharing some more defined targets and schedule.</li></ul>\n\n\n\n<p><em>Have a story that we should include in the next “Month in WordPress” post? Please </em><a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\"><em>submit it here</em></a><em>.</em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 03 Apr 2020 12:01:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Hugh Lashbrooke\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:15;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"Gary: Bebo, Betty, and Jaco\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://pento.net/?p=5166\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"https://pento.net/2020/04/03/bebo-betty-and-jaco/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:643:\"<p><em>Wait, wasn&#8217;t <a href=\"https://wordpress.org/news/2020/03/adderley/\">WordPress 5.4</a> just released?</em></p>\n\n\n\n<p>It absolutely was, and congratulations to everyone involved! Inspired by the fine work done to get another release out, I finally completed the last step of co-leading WordPress 5.0, 5.1, and 5.2 (Bebo, Betty, and Jaco, respectively).</p>\n\n\n\n<img src=\"https://pento.net/wp-content/uploads/2020/04/IMG_20200403_121947-1024x768.jpg\" alt=\"\" class=\"wp-image-5165\" />\n\n\n\n<p>My study now has a bit more jazz in it. <img src=\"https://s.w.org/images/core/emoji/12.0.0-1/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" /></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 03 Apr 2020 01:51:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Gary\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:16;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"WPTavern: Create Custom Patterns with the Block Pattern Builder Plugin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=98244\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:185:\"https://wptavern.com/create-custom-patterns-with-the-block-pattern-builder-plugin?utm_source=rss&utm_medium=rss&utm_campaign=create-custom-patterns-with-the-block-pattern-builder-plugin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4597:\"<p class=\"has-drop-cap\">Have I mentioned how excited I am about the potential of <a href=\"https://wptavern.com/block-patterns-will-change-everything\">block patterns</a>? For regular Tavern readers, I may sound like a broken record at this point, but I am going to continue evangelizing this upcoming feature for WordPress.</p>\n\n\n\n<p>With no social plans or other important things requiring my attention this past weekend, it made for a good moment to dip my toes back into the development waters. I have not built a new plugin for public release since becoming a writer for WP Tavern six months ago. My excitement over block patterns was creating an itch that I needed to scratch. Combine that with the physical distancing we are all practicing during the current worldwide pandemic, it made for an opportune moment to throw together a plugin idea I had.</p>\n\n\n\n<p>Let me introduce you to Block Pattern Builder.</p>\n\n\n\n<p>When the initial API launched for <a href=\"https://wptavern.com/gutenberg-7-8-adds-patterns-api-and-continues-interface-cleanup\">block patterns in Gutenberg 7.8</a>, it was immediately apparent how easy registering custom patterns would be for theme and plugin authors. Building a pattern was as simple as creating a unique ID, giving it a title, and pasting in the code for the blocks that make up the pattern. There is almost no coding actually involved with building patterns.</p>\n\n\n\n<p>Because patterns are merely the HTML code from blocks, it meant that it was possible to utilize the block editor to create them. End-users could do this. They just need an easy way to publish their custom patterns. That&rsquo;s where the Block Pattern Builder plugin comes in.</p>\n\n\n\n<p>With the idea in mind, I knocked out a working prototype in an hour on Saturday afternoon. I have since cleaned the code a bit and packaged it for you all to use.</p>\n\n\n\n<p><strong>Download the plugin:</strong>  You can <a href=\"https://wordpress.org/plugins/block-pattern-builder\">grab the plugin</a> from the WordPress plugin directory or install it directly from the new plugin screen in your admin. It is also <a href=\"https://github.com/justintadlock/block-pattern-builder\">available via GitHub</a>.</p>\n\n\n\n<h2>How Block Pattern Builder Works</h2>\n\n\n\n<p class=\"has-drop-cap\">Block Pattern Builder requires version 7.8 or later of the <a href=\"https://wordpress.org/plugins/gutenberg\">Gutenberg plugin</a> to work. Eventually, perhaps in WordPress 5.5, the block pattern system will be merged directly into WordPress. For now, the latest version of the Gutenberg plugin is necessary.</p>\n\n\n\n<p>After installing and activating the plugin, it adds a new admin menu item titled &ldquo;Block Patterns.&rdquo; From that point, creating patterns works just like creating a post or page. You simply add a new pattern by clicking the &ldquo;Add New&rdquo; link. You can rearrange blocks to your heart&rsquo;s desire. When you have a pattern that you like, publish it.</p>\n\n\n\n<img />Creating a custom block pattern.\n\n\n\n<p>Once a pattern is published, it is available via the pattern sidebar in the block editor. Currently, this is a button in the top right corner of the editor. However, its location and interface are likely to change as the Gutenberg team continues developing the feature.</p>\n\n\n\n<img />Inserting a block pattern into the post editor.\n\n\n\n<p>That is all there is to it. It is a simple system, but it will provide an easy way to play around with the patterns feature in Gutenberg.</p>\n\n\n\n<h2>Notes and Ideas</h2>\n\n\n\n<p class=\"has-drop-cap\">Because block patterns are an evolving feature in the Gutenberg plugin, the system could break until things are a bit more settled down. The underlying API could change. However, that does not mean we cannot have a little fun in the meantime. Just keep in mind this is currently flagged as an experimental feature in Gutenberg.</p>\n\n\n\n<p>If you are a plugin or theme author who wants to register your patterns within your own plugins or themes, you can make use of this plugin too. Build your custom patterns within the provided editor. Then, switch over to the code view for the block editor. You can copy the block code and register it via the <a href=\"https://developer.wordpress.org/block-editor/developers/block-api/block-patterns/\">Patterns API</a>.</p>\n\n\n\n<p>If you need inspiration for patterns, Gutenberg Hub&rsquo;s <a href=\"https://templates.gutenberghub.com/\">template library</a> has over 100 ideas to choose from. You can copy and paste those directly into the editor and save them as custom patterns with Block Pattern Builder.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 02 Apr 2020 20:03:17 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:17;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"WPTavern: BuddyPress 6.0 Beta Introduces Group and Member Blocks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=98219\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:173:\"https://wptavern.com/buddypress-6-0-beta-introduces-group-and-member-blocks?utm_source=rss&utm_medium=rss&utm_campaign=buddypress-6-0-beta-introduces-group-and-member-blocks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5461:\"<p class=\"has-drop-cap\">The team behind <a href=\"https://wordpress.org/plugins/buddypress/\">BuddyPress</a> dropped the first <a href=\"https://buddypress.org/2020/03/buddypress-6-0-0-beta1/\">version 6.0 beta release</a> of the plugin yesterday. One of the most important features is the introduction of the new member and group blocks for the WordPress editor. The plugin now requires at least PHP 5.6 and WordPress 4.8 (5.0 to use the new blocks).</p>\n\n\n\n<p>&ldquo;I think it&rsquo;s exciting times,&rdquo; said John James Jacoby, lead developer of BuddyPress, on the addition of the new blocks. &ldquo;Having things as blocks means end-users gain a bit more freedom with where and how they integrate BuddyPress into their existing sites. Right now, BuddyPress blocks are mostly presentational &mdash; quick ways to output stuff from the community anywhere blocks are allowed. In a few years, when blocks have matured and are the de-facto way to interact with everything, I can imagine there being a single BuddyPress block that wraps the entire functionality of the community into a single block like its own little web applet.&rdquo;</p>\n\n\n\n<p>BuddyPress 6.0 is scheduled for launch at the end of April. End-users can test the latest version of the plugin via the <a href=\"https://wordpress.org/plugins/bp-beta-tester/\">BP Beta Tester</a> or by directly downloading the <a href=\"https://downloads.wordpress.org/plugin/buddypress.6.0.0-beta1.zip\">beta ZIP file</a>.</p>\n\n\n\n<p>Aside from the new blocks, the <a href=\"https://developer.buddypress.org/bp-rest-api/\">BP REST API</a> is now complete, which provides developers with a more robust tool to build apps. The user profile photo and cover image fields have also been moved to the Members component of the plugin. This change allows end-users to use the features without activating the BP Extended Profile component.</p>\n\n\n\n<h2>Introducing the Member and Group Blocks</h2>\n\n\n\n<p class=\"has-drop-cap\">Version 6.0 of BuddyPress will include only two blocks. However, there are plans to add more over time. The development of blocks takes place in the <a href=\"https://github.com/buddypress/bp-blocks\">BP Blocks repository</a> on GitHub.</p>\n\n\n\n<p>BuddyPress 6.0 will create a new &ldquo;BuddyPress&rdquo; category in the block inserter. This houses the current blocks and will contain those created in the future.</p>\n\n\n\n<p>The member block is a simple member profile box that displays the member avatar, cover image, display name, and username. At the bottom of the block, it adds a button to view the member&rsquo;s profile. Each of the fields can be enabled or disabled via the block settings.</p>\n\n\n\n<img />BuddyPress member block.\n\n\n\n<p>The group block works similarly to the member block. The group avatar, cover image, name, and description are all shown by default. Visibility options are also available via the block settings.</p>\n\n\n\n<img />BuddyPress group block.\n\n\n\n<p>The only trivial gripe I have with the new blocks is how the block settings are handled. Each setting is placed within its own tabbed section. It does not make sense to open or close four tabs to get to a single setting for each. The team may add extra settings under each tab in the future, but it currently feels like unnecessary mouse clicks.</p>\n\n\n\n<p>Overall, the team has put together a nice update and the blocks worked without issue.</p>\n\n\n\n<h2>Future BuddyPress Blocks</h2>\n\n\n\n<p class=\"has-drop-cap\">Development of BuddyPress blocks <a href=\"https://buddypress.org/2019/11/the-road-to-buddypress-blocks/\">began in November 2019</a>. The team garnered 161 votes in a poll on which blocks to build. The initial work started based on that feedback.</p>\n\n\n\n<p>&ldquo;We think working on blocks to highlight a single Group or a single Member is a good starting point,&rdquo; wrote Mathieu Viet, BuddyPress developer. It made sense to implement simpler blocks for the team&rsquo;s first foray into block development. It will be a large undertaking that will take many months of development hours to build into the block system.</p>\n\n\n\n<p>The team has plans for the future but is looking forward to hearing feedback. &ldquo;We are very open to ideas into this area,&rdquo; said Viet. &ldquo;So the obvious next blocks are transforming our existing widgets into blocks. We are also working on a new <a href=\"https://github.com/buddypress/bp-attachments\">Media component</a>, which should include a block to select user-generated media from the block editor.&rdquo;</p>\n\n\n\n<p>Viet said he had at least one &ldquo;crazy idea&rdquo; in mind but hasn&rsquo;t discussed it much with the team yet. &ldquo;Bring a light version of the block editor into the front end to replace the textarea we are using to post activities,&rdquo; he said. &ldquo;Some BP block types like the User Media one would then be available to post richer activity content using a simple property like <em>supports activity</em>.&rdquo;</p>\n\n\n\n<p>Launching the block editor on the front end, even a light version, could be interesting. It may be the future for plugins like BuddyPress that rely on solid front-end posting solutions.</p>\n\n\n\n<p>For the near-term future, Viet said the team is looking for contributors to the <a href=\"https://github.com/buddypress/bp-blocks\">BP Blocks repository</a>. &ldquo;We&rsquo;ll be very happy to include their work into BP Core if we believe our community members would be interested in these blocks,&rdquo; he said.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 01 Apr 2020 19:28:28 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:18;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:99:\"HeroPress: How WordPress enabled me to take care of my baby without compromising on my career goals\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=3083\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:250:\"https://heropress.com/essays/how-wordpress-enabled-me-to-take-care-of-my-baby-without-compromising-on-my-career-goals/#utm_source=rss&utm_medium=rss&utm_campaign=how-wordpress-enabled-me-to-take-care-of-my-baby-without-compromising-on-my-career-goals\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6080:\"<img width=\"960\" height=\"480\" src=\"https://s20094.pcdn.co/wp-content/uploads/2021/03/032720-min.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: Remote jobs seem to be very promising & advantageous for women, especially for moms.\" /><p>Hello everyone! <img class=\"emoji\" src=\"https://s.w.org/images/core/emoji/12.0.0-1/svg/1f44b.svg\" alt=\"&#x1f44b;\" /></p>\n<p>Since my <a href=\"https://heropress.com/essays/joy-giving-back/\">first essay </a>on HeroPress, there have been many changes in my life. But there are two things that remained constant – <a href=\"http://wordpress.org/\">WordPress</a> and <a href=\"https://rtcamp.com/\">rtCamp</a>. <img class=\"emoji\" src=\"https://s.w.org/images/core/emoji/12.0.0-1/svg/1f607.svg\" alt=\"&#x1f607;\" /></p>\n<h2><strong>Working Remotely</strong></h2>\n<p>Three years back, I got married and had to relocate to Delhi, from Pune. Thanks to WordPress and rtCamp’s remote work culture, I didn’t have to worry about looking for a new career.</p>\n<p>It’s been more than 3 years since I have been working remotely with rtCamp. And having a work-life balance would not have been possible without WordPress.</p>\n<p><a href=\"https://s20094.pcdn.co/wp-content/uploads/2020/03/juhi-with-kashvi.jpeg\"><img /></a></p>\n<h2><strong>Taking care of my little one without compromising career goals?</strong></h2>\n<p>A lot of surveys indicate that a high percentage of women quit their job after having a baby. Even the ones who continue to work, face a guilt of leaving their babies at home or at a daycare. Thanks to WordPress and my company rtCamp, I didn’t have to face this trauma. <img class=\"emoji\" src=\"https://s.w.org/images/core/emoji/12.0.0-1/svg/1f603.svg\" alt=\"&#x1f603;\" /></p>\n<p>The remote work culture turned out to be a blessing when I got pregnant. I could take care of myself by staying in my comfort zone (home).</p>\n<p>One may perceive that a remote job means a freelance job, which is not true. I have a full-time regular job and all the employment terms apply to this. Because of the flexible parental policy, offered by rtCamp, I got maternity leaves of 6 months.</p>\n<p>This perk made <a href=\"https://sevencoloursblog.wordpress.com/2019/04/07/happiness-is-having-your-baby-24x7-by-your-side-even-when-you-are-working/\">my motherhood journey much more beautiful </a><img class=\"emoji\" src=\"https://s.w.org/images/core/emoji/12.0.0-1/svg/1f618.svg\" alt=\"&#x1f618;\" /><img class=\"emoji\" src=\"https://s.w.org/images/core/emoji/12.0.0-1/svg/1f618.svg\" alt=\"&#x1f618;\" />. I can feed my baby girl whenever she is hungry, I can play with her whenever I want, I can see her growing every second. What else can a mother desire?</p>\n<p>Remote jobs seem to be very promising and advantageous for women, especially for moms. Mothers no longer need to worry about leaving their little ones at home. I, as a mother, am very thankful to WordPress</p>\n<p>BTW, rtCamp is always hiring! Head over to the <a href=\"https://rtcamp.com/careers/\">careers page</a> to check out the current openings! <img class=\"emoji\" src=\"https://s.w.org/images/core/emoji/12.0.0-1/svg/1f917.svg\" alt=\"&#x1f917;\" /></p>\n<div class=\"rtsocial-container rtsocial-container-align-right rtsocial-horizontal\"><div class=\"rtsocial-twitter-horizontal\"><div class=\"rtsocial-twitter-horizontal-button\"><a title=\"Tweet: How WordPress enabled me to take care of my baby without compromising on my career goals\" class=\"rtsocial-twitter-button\" href=\"https://twitter.com/share?text=How%20WordPress%20enabled%20me%20to%20take%20care%20of%20my%20baby%20without%20compromising%20on%20my%20career%20goals&via=heropress&url=https%3A%2F%2Fheropress.com%2Fessays%2Fhow-wordpress-enabled-me-to-take-care-of-my-baby-without-compromising-on-my-career-goals%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-fb-horizontal fb-light\"><div class=\"rtsocial-fb-horizontal-button\"><a title=\"Like: How WordPress enabled me to take care of my baby without compromising on my career goals\" class=\"rtsocial-fb-button rtsocial-fb-like-light\" href=\"https://www.facebook.com/sharer.php?u=https%3A%2F%2Fheropress.com%2Fessays%2Fhow-wordpress-enabled-me-to-take-care-of-my-baby-without-compromising-on-my-career-goals%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-linkedin-horizontal\"><div class=\"rtsocial-linkedin-horizontal-button\"><a class=\"rtsocial-linkedin-button\" href=\"https://www.linkedin.com/shareArticle?mini=true&url=https%3A%2F%2Fheropress.com%2Fessays%2Fhow-wordpress-enabled-me-to-take-care-of-my-baby-without-compromising-on-my-career-goals%2F&title=How+WordPress+enabled+me+to+take+care+of+my+baby+without+compromising+on+my+career+goals\" rel=\"nofollow\" target=\"_blank\" title=\"Share: How WordPress enabled me to take care of my baby without compromising on my career goals\"></a></div></div><div class=\"rtsocial-pinterest-horizontal\"><div class=\"rtsocial-pinterest-horizontal-button\"><a class=\"rtsocial-pinterest-button\" href=\"https://pinterest.com/pin/create/button/?url=https://heropress.com/essays/how-wordpress-enabled-me-to-take-care-of-my-baby-without-compromising-on-my-career-goals/&media=https://heropress.com/wp-content/uploads/2021/03/032720-min-150x150.jpg&description=How WordPress enabled me to take care of my baby without compromising on my career goals\" rel=\"nofollow\" target=\"_blank\" title=\"Pin: How WordPress enabled me to take care of my baby without compromising on my career goals\"></a></div></div><a rel=\"nofollow\" class=\"perma-link\" href=\"https://heropress.com/essays/how-wordpress-enabled-me-to-take-care-of-my-baby-without-compromising-on-my-career-goals/\" title=\"How WordPress enabled me to take care of my baby without compromising on my career goals\"></a></div><p>The post <a rel=\"nofollow\" href=\"https://heropress.com/essays/how-wordpress-enabled-me-to-take-care-of-my-baby-without-compromising-on-my-career-goals/\">How WordPress enabled me to take care of my baby without compromising on my career goals</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 01 Apr 2020 08:00:24 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Juhi Saxena\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:19;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"BuddyPress: BuddyPress 6.0.0-beta1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://buddypress.org/?p=310710\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"https://buddypress.org/2020/03/buddypress-6-0-0-beta1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3990:\"<p><a href=\"https://downloads.wordpress.org/plugin/buddypress.6.0.0-beta1.zip\">BuddyPress 6.0.0-beta1</a> is now available for testing!</p>\n\n\n\n<p>Please note the plugin is <strong>still in development</strong>, so we recommend running this beta release on a <strong>testing site</strong>.</p>\n\n\n\n<p>You can test BuddyPress 6.0.0-beta1 in 4 ways :</p>\n\n\n\n<ul><li>Try the <a href=\"https://wordpress.org/plugins/bp-beta-tester/\">BP Beta Tester</a> plugin.</li><li><a href=\"https://downloads.wordpress.org/plugin/buddypress.6.0.0-beta1.zip\">Download the beta here (zip file)</a>.</li><li>Check out our SVN repository: <code>svn co https://buddypress.svn.wordpress.org/trunk/</code></li><li>Clone our read-only Git repository: <code>git clone git://buddypress.git.wordpress.org/</code></li></ul>\n\n\n\n<p>We&#8217;ve scheduled the 6.0.0 stable release to the end of April, and we&#8217;d love you to give us a hand to get there!</p>\n\n\n\n<p>Testing for bugs is an important part of polishing the release during the beta stage and a great way to contribute. Here are some of the big changes and features to pay close attention to while testing (Check out&nbsp;<a href=\"https://buddypress.trac.wordpress.org/query?status=closed&group=resolution&milestone=6.0.0\">this report</a>&nbsp;on Trac for the full list).</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2>User Profile Photo &amp; User Cover Image are now belonging to the BP Members component.</h2>\n\n\n\n<p>Since the very first version of BuddyPress, the local avatar management feature (renamed as <em>Profile Photo</em> in version 2.1) was depending on the BP Extended Profile component. When we introduced the Cover Image feature in version 2.4, we&#8217;ve also made it dependent of the BP Extended Profile component. <strong>In 6.0.0, both features has been moved to the BP Members component</strong>. It means they will always be available even if the BP Extended Profile component is not active on your setup. We recommend you to <a href=\"https://bpdevel.wordpress.com/2020/03/01/the-profile-photo-cover-image-features-belong-to-members/\">read this development note</a> to learn what this move changes for end users and for BuddyPress plugin/theme developers.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2>The BP REST API is now completed!</h2>\n\n\n\n<p>In 5.0.0, we&#8217;ve introduced the first endpoints and a <a href=\"https://developer.buddypress.org/bp-rest-api/\">reference documentation about them</a>. In 6.0.0, we are adding the remaining ones so that you can build great BuddyPress full featured apps!</p>\n\n\n\n<p>PS:  we will update the reference documentation with these new endpoints during this beta stage.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2>The first BuddyPress Blocks are arriving <img src=\"https://s.w.org/images/core/emoji/12.0.0-1/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" /></h2>\n\n\n\n<p>In 6.0.0, you will be able to feature a specific member or a specific group of your community site into your posts or pages: discover more information about the BP Member Block and the BP Group Block reading <a href=\"https://bpdevel.wordpress.com/2020/03/30/welcome-to-the-first-buddypress-blocks/\">this development note</a>. </p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2>New PHP and WordPress required versions.</h2>\n\n\n\n<p>BuddyPress 6.0.0 is requiring <strong>PHP &gt;= 5.6</strong> and <strong>WordPress &gt;= 4.8</strong></p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2>How You Can Help</h2>\n\n\n\n<p>Do you speak a language other than English?&nbsp;<a href=\"https://translate.wordpress.org/projects/wp-plugins/buddypress/dev/\">Help us translate BuddyPress into more than 100 languages</a>!</p>\n\n\n\n<p>If you think you’ve found a bug, you can post in&nbsp;<a href=\"https://buddypress.org/support\">the support forums</a>. We’d love to hear from you! If you’re comfortable writing a reproducible bug report,&nbsp;<a href=\"https://buddypress.trac.wordpress.org/newticket\">file one on BuddyPress Trac</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 31 Mar 2020 23:00:07 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Mathieu Viet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:20;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:95:\"WPTavern: WordPress 5.4 “Adderley” Includes Improved Editor, New Blocks, and Developer APIs\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=98192\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:237:\"https://wptavern.com/wordpress-5-4-adderley-released-includes-improved-editor-new-blocks-and-developer-apis?utm_source=rss&utm_medium=rss&utm_campaign=wordpress-5-4-adderley-released-includes-improved-editor-new-blocks-and-developer-apis\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:7819:\"<p class=\"has-drop-cap\">WordPress 5.4 &ldquo;Adderley&rdquo;, named in honor American jazz musician Nat Adderley, <a href=\"https://wordpress.org/news/2020/03/adderley/\">was released today</a> and is now available for download. The update includes new social icons and buttons blocks, usability improvements to the block editor, and new APIs for developers to use in plugins and themes.</p>\n\n\n\n<p>This release saw contributions from 168 new volunteers.  There were 552 contributors in total.</p>\n\n\n\n<p>The release was led by <a href=\"https://ma.tt/\">Matt Mullenweg</a>, <a href=\"https://profiles.wordpress.org/francina/\">Francesca Marano</a>, and <a href=\"https://profiles.wordpress.org/davidbaumwald\">David Baumwald</a>. They were joined by the following contributors in supporting roles in getting version 5.4 released:</p>\n\n\n\n<ul><li>Editor Tech &ndash; <a href=\"https://profiles.wordpress.org/jorgefilipecosta/\">Jorge Filipe Costa</a></li><li>Editor Design &ndash; <a href=\"https://profiles.wordpress.org/mapk/\">Mark Uraine</a></li><li>Core Tech &ndash; <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a></li><li>Design &ndash; <a href=\"https://profiles.wordpress.org/karmatosed/\">Tammie Lister</a></li><li>Docs Coordinator &ndash; <a href=\"https://profiles.wordpress.org/audrasjb/\">JB Audras</a></li><li>Docs and Comms Wrangler &ndash; <a href=\"https://profiles.wordpress.org/marybaum/\">Mary Baum</a></li></ul>\n\n\n\n<p>Users can update directly from their WordPress admin or grab a copy from the <a href=\"https://wordpress.org/download/\">download page</a>.  For more information on updating, view the <a href=\"https://wordpress.org/support/wordpress-version/version-5-4/\">WordPress 5.4 support guide</a>.</p>\n\n\n\n<h2>New Block Editor Features</h2>\n\n\n\n<img />Cover block with new gradient background and social icons block.\n\n\n\n<p class=\"has-drop-cap\">Users who have not been running the Gutenberg plugin, the project behind editor development, will enjoy an improved editor experience. A slew of features were developed in the past several months. This release will include features from Gutenberg 6.6 through 7.5. Bug fixes from more recent versions of the plugin are also included.</p>\n\n\n\n<p>The development team refined the user experience with updates such as making it easier to select multiple blocks and pinning the toolbar to the top of the screen on mobile devices. They introduced a Welcome Guide modal to familiarize end-users with the block editor. Block breadcrumbs are easier to navigate.</p>\n\n\n\n<p>The biggest user-facing change is that the <a href=\"https://wptavern.com/editor-will-default-to-fullscreen-mode-in-wordpress-5-4\">block editor now defaults to fullscreen mode</a>. Users who do not prefer fullscreen mode can revert this change by clicking the tools and options button (vertical ellipsis icon) and uncheck the &ldquo;Fullscreen mode&rdquo; option.</p>\n\n\n\n<p>WordPress has added a gradient background feature to the button and cover blocks. Users can change the color of individual bits of text within all rich text fields (e.g., paragraphs, lists). Plus, the featured image box supports dragging and dropping an image.</p>\n\n\n\n<p>The block editor has two new blocks: social icons and buttons. The social icons block allows users to add a group of linked icons to their social networks. This feature will become more useful once WordPress moves to full-site editing in the future. For now, usage may be limited by being able to place them only in post or page content. The buttons block lets end-users create a group of buttons. The existing button block is allowed only within the buttons block now.</p>\n\n\n\n<p>With a few exceptions, WP Tavern has covered every major release of the Gutenberg plugin that will be included in this WordPress update. You can catch up all the details of each update via the following links:</p>\n\n\n\n<ul><li><a href=\"https://make.wordpress.org/core/2019/10/02/whats-new-in-gutenberg-2-october/\">Gutenberg 6.6 on Make Core Blog</a></li><li><a href=\"https://wptavern.com/gutenberg-6-7-introduces-storybook-and-gradient-backgrounds\">Gutenberg 6.7 Introduces Storybook and Gradient Backgrounds</a></li><li><a href=\"https://make.wordpress.org/core/2019/10/30/whats-new-in-gutenberg-30-october/\">Gutenberg 6.8 on Make Core Blog</a></li><li><a href=\"https://wptavern.com/gutenberg-6-9-introduces-image-titles-block-patterns-and-new-theme-features\">Gutenberg 6.9 Introduces Image Titles, Block Patterns, and New Theme Features</a></li><li><a href=\"https://wptavern.com/gutenberg-7-0-launches-stable-navigation-block-post-blocks-and-template-parts\">Gutenberg 7.0 Launches Stable Navigation Block, Post Blocks, and Template Parts</a></li><li><a href=\"https://wptavern.com/gutenberg-7-1-includes-welcome-modal-improves-multi-block-selection-and-adds-drag-and-drop-featured-images\">Gutenberg 7.1 Includes Welcome Modal, Improves Multi-Block Selection, and Adds Drag-and-Drop Featured Images</a></li><li><a href=\"https://wptavern.com/gutenberg-7-2-adds-long-awaited-multi-button-block-and-gallery-image-size-option\">Gutenberg 7.2 Adds Long-Awaited Multi-Button Block and Gallery Image Size Option</a></li><li><a href=\"https://wptavern.com/gutenberg-7-3-brings-navigation-block-colors-block-collections-api-and-dynamic-post-blocks\">Gutenberg 7.3 Brings Navigation Block Colors, Block Collections API, and Dynamic Post Blocks</a></li><li><a href=\"https://wptavern.com/gutenberg-7-4-adds-new-color-controls-link-ui-and-block-scaffolding-for-developers\">Gutenberg 7.4 Adds New Color Controls, Link UI, and Block Scaffolding for Developers</a></li><li><a href=\"https://make.wordpress.org/core/2020/02/12/whats-new-in-gutenberg-12-february/\">Gutenberg 7.5 on Make Core Blog</a></li></ul>\n\n\n\n<h2>Changes for Developers</h2>\n\n\n\n<p class=\"has-drop-cap\">WordPress 5.4 introduces several changes, some of which break backward compatibility, for plugin and theme authors. For a full overview, see our coverage of the most important code changes in our <a href=\"https://wptavern.com/preparing-for-wordpress-5-4-changes-theme-and-plugin-developers-should-know-about\">version 5.4 developer preparation post</a>.</p>\n\n\n\n<p>Theme authors now have access to the <a href=\"https://make.wordpress.org/core/2020/03/02/new-gradient-theme-apis/\">Gradients API</a> for the cover and button blocks. They should also make sure their theme block styles handle the new social icons and buttons blocks.</p>\n\n\n\n<p>There are some breaking changes that theme authors may need to account for. Several CSS classes have been <a href=\"https://make.wordpress.org/core/2020/03/02/markup-and-style-related-changes/\">renamed within the block editor</a>. The core team also rewrote the <a href=\"https://make.wordpress.org/core/2020/02/12/changes-related-to-calendar-widget-markup-in-wordpress-5-4/\">HTML markup for the calendar widget</a> and updated its classes.</p>\n\n\n\n<p>Block developers can now use the <a href=\"https://make.wordpress.org/core/2020/02/27/block-collections/\">Collections API</a> to group collections of blocks by namespace. The <a href=\"https://make.wordpress.org/core/2020/02/27/introduce-block-variations-api/\">Variations API</a> allows developers to create variations of an individual block. The new social icons block makes good use of this API to create variations for each of the social icons.</p>\n\n\n\n<p>Plugin and theme authors have new hooks for <a href=\"https://make.wordpress.org/core/2020/02/25/wordpress-5-4-introduces-new-hooks-to-add-custom-fields-to-menu-items/\">adding custom fields to nav menus</a>. WordPress 5.4 also <a href=\"https://make.wordpress.org/core/2020/02/13/wordpress-5-4-introduces-apply-shortcodes-as-an-alias-for-do-shortcode/\">introduces the <code>apply_shortcodes()</code> alias</a> for the former <code>do_shortcode()</code> function.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 31 Mar 2020 21:24:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:21;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"WordPress.org blog: WordPress 5.4 “Adderley”\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8455\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:44:\"https://wordpress.org/news/2020/03/adderley/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:47920:\"<p class=\"has-text-color has-very-dark-gray-color\">Here it is! Named “Adderley” in honor of Nat Adderley, the latest and greatest version of WordPress is available for&nbsp;<a href=\"https://wordpress.org/download/\">download</a>&nbsp;or update in your dashboard.</p>\n\n\n\n<img src=\"https://i0.wp.com/wordpress.org/news/files/2020/03/5-4_album-cover.png?resize=632%2C632&ssl=1\" alt=\"\" class=\"wp-image-8484\" />\n\n\n\n<div class=\"wp-block-cover has-background-dim\"><div class=\"wp-block-cover__inner-container\">\n<p class=\"has-text-align-center\"><strong>Say hello to more and better.</strong></p>\n\n\n\n<p class=\"has-text-align-center has-medium-font-size\">More ways to make your pages come alive. With easier ways to get it all done and looking better than ever—and boosts in speed you can feel.</p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"has-text-align-left\"><strong>Welcome to WordPress 5.4</strong></h2>\n\n\n\n<p class=\"has-text-align-left\"><strong>Every major release adds more to the block editor.</strong></p>\n\n\n\n<p>More ways to make posts and pages come alive with your best images. More ways to bring your visitors in, and keep them engaged, with the richness of embedded media from the web’s top services.</p>\n\n\n\n<p>More ways to make your vision real, and put blocks in the perfect place—even if a particular kind of block is new to you. More efficient processes.</p>\n\n\n\n<p>And more speed everywhere, so as you build sections or galleries, or just type in a line of prose, you can feel how much faster your work flows.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-image\"><img src=\"https://i1.wp.com/wordpress.org/news/files/2020/03/Squares.jpg?resize=632%2C316&ssl=1\" alt=\"\" class=\"wp-image-8480\" /></div>\n\n\n\n<h3>Two new blocks. And better blocks overall.</h3>\n\n\n\n<ul><li>Two brand-new blocks: Social Icons and Buttons make adding interactive features fast and easy.</li><li>New ways with color: Gradients in the Buttons and Cover block, toolbar access to color options in Rich Text blocks, and for the first time, color options in the Group and Columns blocks.</li><li>Guess a whole lot less! Version 5.4 streamlines the whole process for placing and replacing multimedia in every block. Now it works the same way in almost every block!</li><li>And if you’ve ever thought your image in the Media+Text block should link to something else—perhaps a picture of a brochure should download that brochure as a document? Well, now it can.</li></ul>\n\n\n\n\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h3>Cleaner UI, clearer navigation—and easier tabbing!</h3>\n\n\n\n<ul><li>Clearer block navigation with block breadcrumbs. And easier selection once you get there.</li><li>For when you need to navigate with the keyboard, better tabbing and focus. Plus, you can tab over to the sidebar of nearly any block.</li><li>Speed! 14% faster loading of the editor, 51% faster time-to-type!</li><li>Tips are gone. In their place, a Welcome Guide window you can bring up when you need it—and only when you need it—again and again.</li><li>Know at a glance whether you’re in a block’s Edit or Navigation mode. Or, if you have restricted vision, your screen reader will tell you which mode you’re in.</li></ul>\n\n\n\n<p class=\"has-background\">Of course, if you want to work with the very latest tools and features, <strong><a href=\"https://wordpress.org/plugins/gutenberg/\">install the Gutenberg plugin</a></strong>. You’ll get to be the first to use new and exciting features in the block editor before anyone else has seen them!</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-image\"><img src=\"https://i0.wp.com/wordpress.org/news/files/2020/03/Rectangles-and-circles.jpg?resize=632%2C316&ssl=1\" alt=\"\" class=\"wp-image-8481\" /></div>\n\n\n\n<h3>Your fundamental right: privacy</h3>\n\n\n\n<p>5.4 helps with a variety of privacy issues around the world. So when users and stakeholders ask about regulatory compliance, or how your team handles user data, the answers should be a lot easier to get right.</p>\n\n\n\n<p>Take a look:</p>\n\n\n\n<ul><li>Now personal data exports include users session information and users location data from the community events widget. Plus, a table of contents!</li><li>See progress as you process export and erasure requests through the privacy tools.</li><li>Plus, little enhancements throughout give the privacy tools a little cleaner look. Your eyes will thank you!</li></ul>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img src=\"https://i1.wp.com/wordpress.org/news/files/2020/03/Mixed.jpg?resize=632%2C316&ssl=1\" alt=\"\" class=\"wp-image-8482\" />\n\n\n\n<h2><strong>Just for developers</strong></h2>\n\n\n\n<h3>Add custom fields to menu items—natively</h3>\n\n\n\n<p>Two new actions let you add custom fields to menu items—without a plugin and without writing custom walkers.</p>\n\n\n\n<p>On the Menus admin screen, <code>wp_nav_menu_item_custom_fields</code> fires just before the move buttons of a nav menu item in the menu editor.</p>\n\n\n\n<p>In the Customizer, <code>wp_nav_menu_item_custom_fields_customize_template</code> fires at the end of the menu-items form-fields template.</p>\n\n\n\n<p>Check your code and see where these new actions can replace your custom code, and if you’re concerned about duplication, add a check for the WordPress version.</p>\n\n\n\n<h3>Blocks! Simpler styling, new APIs and embeds</h3>\n\n\n\n<ul><li>Radically simpler block styling. Negative margins and default padding are gone! Now you can style blocks the way you need them. And, a refactor got rid of four redundant wrapper divs.</li><li>If you build plugins, now you can register collections of your blocks by namespace across categories—a great way to get more brand visibility.</li><li>Let users do more with two new APIs: block variations and gradients.</li><li>In embeds, now the block editor supports TikTok—and CollegeHumor is gone.</li></ul>\n\n\n\n<p class=\"has-background\">There’s lots more for developers to love in WordPress 5.4. To discover more and learn how to make these changes shine on your sites, themes, plugins and more, check the <strong><a href=\"https://make.wordpress.org/core/2020/03/03/wordpress-5-4-field-guide/\">WordPress 5.4 Field Guide</a></strong>.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2><strong>The Squad</strong></h2>\n\n\n\n<p>This release was led by&nbsp;<a href=\"http://ma.tt/\">Matt Mullenweg</a>,&nbsp;<a href=\"https://profiles.wordpress.org/francina\">Francesca Marano</a>, and&nbsp;<a href=\"https://dream-encode.com/blog/\">David Baumwald</a>. They were enthusiastically supported by a release squad:</p>\n\n\n\n<ul><li><strong>Editor Tech</strong>: Jorge Filipe Costa (<strong><a href=\"https://profiles.wordpress.org/jorgefilipecosta/\">@jorgefelipecosta</a></strong>)</li><li><strong>Editor Design</strong>: Mark Uraine (<a rel=\"noreferrer noopener\" target=\"_blank\" href=\"https://profiles.wordpress.org/mapk/\"><strong>@mapk</strong></a>)</li><li><strong>Core Tech</strong>: Sergey Biryukov (<a href=\"https://profiles.wordpress.org/sergeybiryukov/\"><strong>@sergeybiryukov</strong></a>)</li><li><strong>Design</strong>: Tammie Lister (<strong><a href=\"https://profiles.wordpress.org/karmatosed/\">@karmatosed</a></strong>)</li><li><strong>Docs Coordinator</strong>:&nbsp;JB Audras (<a href=\"https://profiles.wordpress.org/audrasjb/\"><strong>@audrasjb</strong></a>)</li><li><strong>Docs &amp; Comms Wrangler</strong>: Mary Baum (<strong><a href=\"https://profiles.wordpress.org/marybaum/\">@marybaum</a></strong>)</li></ul>\n\n\n\n<p>The squad was joined throughout the release cycle by <strong>552 generous volunteer contributors</strong> who collectively worked on <strong><a href=\"https://core.trac.wordpress.org/milestone/5.4\">361</a> tickets on Trac</strong> and <strong>1226 pull requests on GitHub</strong>.</p>\n\n\n\n<p>Put on a Nat Adderley playlist, click that update button (or&nbsp;<a href=\"https://wordpress.org/download/\">download it directly</a>), and check the profiles of the fine folks that helped:</p>\n\n\n<a href=\"https://profiles.wordpress.org/0v3rth3d4wn/\">0v3rth3d4wn</a>, <a href=\"https://profiles.wordpress.org/123host/\">123host</a>, <a href=\"https://profiles.wordpress.org/1naveengiri/\">1naveengiri</a>, <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a>, <a href=\"https://profiles.wordpress.org/abhijitrakas/\">Abhijit Rakas</a>, <a href=\"https://profiles.wordpress.org/abrightclearweb/\">abrightclearweb</a>, <a href=\"https://profiles.wordpress.org/acosmin/\">acosmin</a>, <a href=\"https://profiles.wordpress.org/adamsilverstein/\">Adam Silverstein</a>, <a href=\"https://profiles.wordpress.org/adamboro/\">adamboro</a>, <a href=\"https://profiles.wordpress.org/addiestavlo/\">Addie</a>, <a href=\"https://profiles.wordpress.org/adnanlimdi/\">adnan.limdi</a>, <a href=\"https://profiles.wordpress.org/shaikhaezaz80/\">Aezaz Shaikh</a>, <a href=\"https://profiles.wordpress.org/aftabmuni/\">Aftab Ali Muni</a>, <a href=\"https://profiles.wordpress.org/akibjorklund/\">Aki Bj&#246;rklund</a>, <a href=\"https://profiles.wordpress.org/smallprogrammers/\">Akib</a>, <a href=\"https://profiles.wordpress.org/atachibana/\">Akira Tachibana</a>, <a href=\"https://profiles.wordpress.org/akshayar/\">akshayar</a>, <a href=\"https://profiles.wordpress.org/schlessera/\">Alain Schlesser</a>, <a href=\"https://profiles.wordpress.org/aljullu/\">Albert Juh&#233; Lluveras</a>, <a href=\"https://profiles.wordpress.org/xknown/\">Alex Concha</a>, <a href=\"https://profiles.wordpress.org/viper007bond/\">Alex Mills</a>, <a href=\"https://profiles.wordpress.org/alexholsgrove/\">AlexHolsgrove</a>, <a href=\"https://profiles.wordpress.org/alexischenal/\">alexischenal</a>, <a href=\"https://profiles.wordpress.org/alextran/\">alextran</a>, <a href=\"https://profiles.wordpress.org/alishankhan/\">alishankhan</a>, <a href=\"https://profiles.wordpress.org/allancole/\">allancole</a>, <a href=\"https://profiles.wordpress.org/allendav/\">Allen Snook</a>, <a href=\"https://profiles.wordpress.org/alpipego/\">alpipego</a>, <a href=\"https://profiles.wordpress.org/amirs17/\">Amir Seljubac</a>, <a href=\"https://profiles.wordpress.org/wpamitkumar/\">Amit Dudhat</a>, <a href=\"https://profiles.wordpress.org/amolv/\">Amol Vhankalas</a>, <a href=\"https://profiles.wordpress.org/agawish/\">Amr Gawish</a>, <a href=\"https://profiles.wordpress.org/amykamala/\">Amy Kamala</a>, <a href=\"https://profiles.wordpress.org/anantajitjg/\">Anantajit JG</a>, <a href=\"https://profiles.wordpress.org/anlino/\">Anders Nor&#233;n</a>, <a href=\"https://profiles.wordpress.org/nosolosw/\">Andr&#233;s</a>, <a href=\"https://profiles.wordpress.org/afercia/\">Andrea Fercia</a>, <a href=\"https://profiles.wordpress.org/dontdream/\">Andrea Tarantini</a>, <a href=\"https://profiles.wordpress.org/andreaitm/\">andreaitm</a>, <a href=\"https://profiles.wordpress.org/andraganescu/\">Andrei Draganescu</a>, <a href=\"https://profiles.wordpress.org/aandrewdixon/\">Andrew Dixon</a>, <a href=\"https://profiles.wordpress.org/aduth/\">Andrew Duthie</a>, <a href=\"https://profiles.wordpress.org/nacin/\">Andrew Nacin</a>, <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a>, <a href=\"https://profiles.wordpress.org/andrewserong/\">Andrew Serong</a>, <a href=\"https://profiles.wordpress.org/eatingrules/\">Andrew Wilder</a>, <a href=\"https://profiles.wordpress.org/rarst/\">Andrey Savchenko</a>, <a href=\"https://profiles.wordpress.org/afragen/\">Andy Fragen</a>, <a href=\"https://profiles.wordpress.org/andizer/\">Andy Meerwaldt</a>, <a href=\"https://profiles.wordpress.org/apeatling/\">Andy Peatling</a>, <a href=\"https://profiles.wordpress.org/la-geek/\">Angelika Reisiger</a>, <a href=\"https://profiles.wordpress.org/ankitmaru/\">Ankit Panchal</a>, <a href=\"https://profiles.wordpress.org/antpb/\">Anthony Burchell</a>, <a href=\"https://profiles.wordpress.org/paranoia1906/\">Anthony Ledesma</a>, <a href=\"https://profiles.wordpress.org/apedog/\">apedog</a>, <a href=\"https://profiles.wordpress.org/apermo/\">Apermo</a>, <a href=\"https://profiles.wordpress.org/apieschel/\">apieschel</a>, <a href=\"https://profiles.wordpress.org/aravindajith/\">Aravind Ajith</a>, <a href=\"https://profiles.wordpress.org/archon810/\">archon810</a>, <a href=\"https://profiles.wordpress.org/arenddeboer/\">arenddeboer</a>, <a href=\"https://profiles.wordpress.org/aristath/\">Ari Stathopoulos</a>, <a href=\"https://profiles.wordpress.org/passoniate/\">Arslan Ahmed</a>, <a href=\"https://profiles.wordpress.org/ashokrd2013/\">ashokrd2013</a>, <a href=\"https://profiles.wordpress.org/ataurr/\">Ataur R</a>, <a href=\"https://profiles.wordpress.org/ate-up-with-motor/\">Ate Up With Motor</a>, <a href=\"https://profiles.wordpress.org/autotutorial/\">autotutorial</a>, <a href=\"https://profiles.wordpress.org/ayeshrajans/\">Ayesh Karunaratne</a>, <a href=\"https://profiles.wordpress.org/backups/\">BackuPs</a>, <a href=\"https://profiles.wordpress.org/bahia0019/\">bahia0019</a>, <a href=\"https://profiles.wordpress.org/b-07/\">Bappi</a>, <a href=\"https://profiles.wordpress.org/bartczyz/\">Bart Czyz</a>, <a href=\"https://profiles.wordpress.org/bengreeley/\">ben.greeley</a>, <a href=\"https://profiles.wordpress.org/benedictsinger/\">benedictsinger</a>, <a href=\"https://profiles.wordpress.org/bfintal/\">Benjamin Intal</a>, <a href=\"https://profiles.wordpress.org/bibliofille/\">bibliofille</a>, <a href=\"https://profiles.wordpress.org/bilgilabs/\">bilgilabs</a>, <a href=\"https://profiles.wordpress.org/birgire/\">Birgir Erlendsson</a>, <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a>, <a href=\"https://profiles.wordpress.org/skypressatx/\">BMO</a>, <a href=\"https://profiles.wordpress.org/boga86/\">Boga86</a>, <a href=\"https://profiles.wordpress.org/boonebgorges/\">Boone Gorges</a>, <a href=\"https://profiles.wordpress.org/bwmarkle/\">Brad Markle</a>, <a href=\"https://profiles.wordpress.org/kraftbj/\">Brandon Kraft</a>, <a href=\"https://profiles.wordpress.org/brentswisher/\">Brent Swisher</a>, <a href=\"https://profiles.wordpress.org/cvoell/\">Cameron Voell</a>, <a href=\"https://profiles.wordpress.org/poena/\">Carolina Nymark</a>, <a href=\"https://profiles.wordpress.org/ceyhun0/\">ceyhun0</a>, <a href=\"https://profiles.wordpress.org/chetan200891/\">Chetan Prajapati</a>, <a href=\"https://profiles.wordpress.org/ketuchetan/\">Chetan Satasiya</a>, <a href=\"https://profiles.wordpress.org/chinteshprajapati/\">Chintesh Prajapati</a>, <a href=\"https://profiles.wordpress.org/chipsnyder/\">Chip Snyder</a>, <a href=\"https://profiles.wordpress.org/cklosows/\">Chris Klosowski</a>, <a href=\"https://profiles.wordpress.org/eclare/\">Chris Trynkiewicz (Sukces Strony)</a>, <a href=\"https://profiles.wordpress.org/chrisvanpatten/\">Chris Van Patten</a>, <a href=\"https://profiles.wordpress.org/pixelverbieger/\">Christian Sabo</a>, <a href=\"https://profiles.wordpress.org/christianamohr/\">Christiana Mohr</a>, <a href=\"https://profiles.wordpress.org/clayisland/\">clayisland</a>, <a href=\"https://profiles.wordpress.org/copons/\">Copons</a>, <a href=\"https://profiles.wordpress.org/coreymckrill/\">Corey McKrill</a>, <a href=\"https://profiles.wordpress.org/crdunst/\">crdunst</a>, <a href=\"https://profiles.wordpress.org/littlebigthing/\">Csaba (LittleBigThings)</a>, <a href=\"https://profiles.wordpress.org/xendo/\">Dademaru</a>, <a href=\"https://profiles.wordpress.org/retrofox/\">Damián Suárez</a>, <a href=\"https://profiles.wordpress.org/danielbachhuber/\">Daniel Bachhuber</a>, <a href=\"https://profiles.wordpress.org/danieltj/\">Daniel James</a>, <a href=\"https://profiles.wordpress.org/diddledan/\">Daniel Llewellyn</a>, <a href=\"https://profiles.wordpress.org/talldanwp/\">Daniel Richards</a>, <a href=\"https://profiles.wordpress.org/mte90/\">Daniele Scasciafratte</a>, <a href=\"https://profiles.wordpress.org/daniloercoli/\">daniloercoli</a>, <a href=\"https://profiles.wordpress.org/nerrad/\">Darren Ethier (nerrad)</a>, <a href=\"https://profiles.wordpress.org/darrenlambert/\">darrenlambert</a>, <a href=\"https://profiles.wordpress.org/davidshq/\">Dave Mackey</a>, <a href=\"https://profiles.wordpress.org/get_dave/\">Dave Smith</a>, <a href=\"https://profiles.wordpress.org/daveslaughter/\">daveslaughter</a>, <a href=\"https://profiles.wordpress.org/davewp196/\">DaveWP196</a>, <a href=\"https://profiles.wordpress.org/dartiss/\">David Artiss</a>, <a href=\"https://profiles.wordpress.org/davidbinda/\">David Binovec</a>, <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a>, <a href=\"https://profiles.wordpress.org/dryanpress/\">David Ryan</a>, <a href=\"https://profiles.wordpress.org/dshanske/\">David Shanske</a>, <a href=\"https://profiles.wordpress.org/superdav42/\">David Stone</a>, <a href=\"https://profiles.wordpress.org/dkarfa/\">Debabrata Karfa</a>, <a href=\"https://profiles.wordpress.org/dekervit/\">dekervit</a>, <a href=\"https://profiles.wordpress.org/delowardev/\">Delowar Hossain</a>, <a href=\"https://profiles.wordpress.org/denisco/\">Denis Yanchevskiy</a>, <a href=\"https://profiles.wordpress.org/dhavalkasvala/\">Dhaval kasavala</a>, <a href=\"https://profiles.wordpress.org/dhurlburtusa/\">dhurlburtusa</a>, <a href=\"https://profiles.wordpress.org/dilipbheda/\">Dilip Bheda</a>, <a href=\"https://profiles.wordpress.org/dingo_d/\">dingo-d</a>, <a href=\"https://profiles.wordpress.org/dd32/\">Dion Hulse</a>, <a href=\"https://profiles.wordpress.org/dipeshkakadiya/\">dipeshkakadiya</a>, <a href=\"https://profiles.wordpress.org/djp424/\">djp424</a>, <a href=\"https://profiles.wordpress.org/dominic_ks/\">dominic_ks</a>, <a href=\"https://profiles.wordpress.org/ocean90/\">Dominik Schilling</a>, <a href=\"https://profiles.wordpress.org/dotancohen/\">Dotan Cohen</a>, <a href=\"https://profiles.wordpress.org/dphiffer/\">dphiffer</a>, <a href=\"https://profiles.wordpress.org/dragosh635/\">dragosh635</a>, <a href=\"https://profiles.wordpress.org/drewapicture/\">Drew Jaynes</a>, <a href=\"https://profiles.wordpress.org/eclev91/\">eclev91</a>, <a href=\"https://profiles.wordpress.org/seedsca/\">ecotechie</a>, <a href=\"https://profiles.wordpress.org/eden159/\">eden159</a>, <a href=\"https://profiles.wordpress.org/ediamin/\">Edi Amin</a>, <a href=\"https://profiles.wordpress.org/disillusia/\">edmundcwm</a>, <a href=\"https://profiles.wordpress.org/etoledom/\">Eduardo Toledo</a>, <a href=\"https://profiles.wordpress.org/ellatrix/\">Ella van Durpe</a>, <a href=\"https://profiles.wordpress.org/elmastudio/\">Ellen Bauer</a>, <a href=\"https://profiles.wordpress.org/aliveic/\">Emil E</a>, <a href=\"https://profiles.wordpress.org/epiqueras/\">Enrique Piqueras</a>, <a href=\"https://profiles.wordpress.org/nrqsnchz/\">Enrique Sánchez</a>, <a href=\"https://profiles.wordpress.org/equin0x80/\">equin0x80</a>, <a href=\"https://profiles.wordpress.org/erikkroes/\">erikkroes</a>, <a href=\"https://profiles.wordpress.org/estelaris/\">Estela Rueda</a>, <a href=\"https://profiles.wordpress.org/fabifott/\">Fabian</a>, <a href=\"https://profiles.wordpress.org/fabiankaegy/\">Fabian K&#228;gy</a>, <a href=\"https://profiles.wordpress.org/fahimmurshed/\">Fahim Murshed</a>, <a href=\"https://profiles.wordpress.org/faisal03/\">Faisal Alvi</a>, <a href=\"https://profiles.wordpress.org/felipeelia/\">Felipe Elia</a>, <a href=\"https://profiles.wordpress.org/felipeloureirosantos/\">Felipe Santos</a>, <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a>, <a href=\"https://profiles.wordpress.org/fernandovbsouza/\">Fernando Souza</a>, <a href=\"https://profiles.wordpress.org/fervillz/\">fervillz</a>, <a href=\"https://profiles.wordpress.org/fgiannar/\">fgiannar</a>, <a href=\"https://profiles.wordpress.org/flaviozavan/\">flaviozavan</a>, <a href=\"https://profiles.wordpress.org/mista-flo/\">Florian TIAR</a>, <a href=\"https://profiles.wordpress.org/fotisps/\">Fotis Pastrakis</a>, <a href=\"https://profiles.wordpress.org/efarem/\">Frank Martin</a>, <a href=\"https://profiles.wordpress.org/galbaras/\">Gal Baras</a>, <a href=\"https://profiles.wordpress.org/garrett-eclipse/\">Garrett Hyder</a>, <a href=\"https://profiles.wordpress.org/garyj/\">Gary Jones</a>, <a href=\"https://profiles.wordpress.org/pento/\">Gary Pendergast</a>, <a href=\"https://profiles.wordpress.org/guddu1315/\">Gaurang Dabhi</a>, <a href=\"https://profiles.wordpress.org/georgestephanis/\">George Stephanis</a>, <a href=\"https://profiles.wordpress.org/geriux/\">geriux</a>, <a href=\"https://profiles.wordpress.org/girishpanchal/\">Girish Panchal</a>, <a href=\"https://profiles.wordpress.org/glebkema/\">Gleb Kemarsky</a>, <a href=\"https://profiles.wordpress.org/hometowntrailers/\">Glenn</a>, <a href=\"https://profiles.wordpress.org/gh640/\">Goto Hayato</a>, <a href=\"https://profiles.wordpress.org/grafruessel/\">grafruessel</a>, <a href=\"https://profiles.wordpress.org/gregrickaby/\">Greg Rickaby</a>, <a href=\"https://profiles.wordpress.org/gziolo/\">Grzegorz Ziółkowski</a>, <a href=\"https://profiles.wordpress.org/grzegorzjanoszka/\">Grzegorz.Janoszka</a>, <a href=\"https://profiles.wordpress.org/bordoni/\">Gustavo Bordoni</a>, <a href=\"https://profiles.wordpress.org/gwwar/\">gwwar</a>, <a href=\"https://profiles.wordpress.org/hamedmoodi/\">hamedmoodi</a>, <a href=\"https://profiles.wordpress.org/hampzter/\">hAmpzter</a>, <a href=\"https://profiles.wordpress.org/happiryu/\">happiryu</a>, <a href=\"https://profiles.wordpress.org/hareesh-pillai/\">Hareesh Pillai</a>, <a href=\"https://profiles.wordpress.org/harry-milatz/\">Harry Milatz</a>, <a href=\"https://profiles.wordpress.org/hazdiego/\">Haz</a>, <a href=\"https://profiles.wordpress.org/helgatheviking/\">helgatheviking</a>, <a href=\"https://profiles.wordpress.org/henryholtgeerts/\">Henry Holtgeerts</a>, <a href=\"https://profiles.wordpress.org/imani3011/\">Himani Lotia</a>, <a href=\"https://profiles.wordpress.org/krynes/\">Hubert Kubiak</a>, <a href=\"https://profiles.wordpress.org/i3anaan/\">i3anaan</a>, <a href=\"https://profiles.wordpress.org/ianbelanger/\">Ian Belanger</a>, <a href=\"https://profiles.wordpress.org/iandunn/\">Ian Dunn</a>, <a href=\"https://profiles.wordpress.org/ianatkins/\">ianatkins</a>, <a href=\"https://profiles.wordpress.org/ianmjones/\">ianmjones</a>, <a href=\"https://profiles.wordpress.org/ideaboxcreations/\">IdeaBox Creations</a>, <a href=\"https://profiles.wordpress.org/shaampk1/\">Ihtisham Zahoor</a>, <a href=\"https://profiles.wordpress.org/intimez/\">intimez</a>, <a href=\"https://profiles.wordpress.org/ipstenu/\">Ipstenu (Mika Epstein)</a>, <a href=\"https://profiles.wordpress.org/isabel_brison/\">Isabel Brison</a>, <a href=\"https://profiles.wordpress.org/ispreview/\">ispreview</a>, <a href=\"https://profiles.wordpress.org/whyisjake/\">Jake Spurlock</a>, <a href=\"https://profiles.wordpress.org/jbinda/\">Jakub Binda</a>, <a href=\"https://profiles.wordpress.org/macmanx/\">James Huff</a>, <a href=\"https://profiles.wordpress.org/jameskoster/\">James Koster</a>, <a href=\"https://profiles.wordpress.org/jnylen0/\">James Nylen</a>, <a href=\"https://profiles.wordpress.org/jameslnewell/\">jameslnewell</a>, <a href=\"https://profiles.wordpress.org/jankimoradiya/\">Janki Moradiya</a>, <a href=\"https://profiles.wordpress.org/jarretc/\">Jarret</a>, <a href=\"https://profiles.wordpress.org/studiotwee/\">Jasper van der Meer</a>, <a href=\"https://profiles.wordpress.org/jaydeep23290/\">jaydeep23290</a>, <a href=\"https://profiles.wordpress.org/jdy68/\">jdy68</a>, <a href=\"https://profiles.wordpress.org/audrasjb/\">Jean-Baptiste Audras</a>, <a href=\"https://profiles.wordpress.org/jean-david/\">Jean-David Daviet</a>, <a href=\"https://profiles.wordpress.org/jblz/\">Jeff Bowen</a>, <a href=\"https://profiles.wordpress.org/jffng/\">Jeff Ong</a>, <a href=\"https://profiles.wordpress.org/jeffpaul/\">Jeff Paul</a>, <a href=\"https://profiles.wordpress.org/phpbits/\">Jeffrey Carandang</a>, <a href=\"https://profiles.wordpress.org/jeichorn/\">jeichorn</a>, <a href=\"https://profiles.wordpress.org/jenilk/\">Jenil Kanani</a>, <a href=\"https://profiles.wordpress.org/miss_jwo/\">Jenny Wong</a>, <a href=\"https://profiles.wordpress.org/jepperask/\">jepperask</a>, <a href=\"https://profiles.wordpress.org/jeremyclarke/\">Jer Clarke</a>, <a href=\"https://profiles.wordpress.org/jeremyfelt/\">Jeremy Felt</a>, <a href=\"https://profiles.wordpress.org/jeherve/\">Jeremy Herve</a>, <a href=\"https://profiles.wordpress.org/jeroenrotty/\">Jeroen Rotty</a>, <a href=\"https://profiles.wordpress.org/jeryj/\">Jerry Jones</a>, <a href=\"https://profiles.wordpress.org/luminuu/\">Jessica Lyschik</a>, <a href=\"https://profiles.wordpress.org/jipmoors/\">Jip Moors</a>, <a href=\"https://profiles.wordpress.org/joedolson/\">Joe Dolson</a>, <a href=\"https://profiles.wordpress.org/joehoyle/\">Joe Hoyle</a>, <a href=\"https://profiles.wordpress.org/joemcgill/\">Joe McGill</a>, <a href=\"https://profiles.wordpress.org/joen/\">Joen Asmussen</a>, <a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a>, <a href=\"https://profiles.wordpress.org/johnjamesjacoby/\">John James Jacoby</a>, <a href=\"https://profiles.wordpress.org/johnwatkins0/\">John Watkins</a>, <a href=\"https://profiles.wordpress.org/jon81/\">Jon</a>, <a href=\"https://profiles.wordpress.org/itsjonq/\">Jon Quach</a>, <a href=\"https://profiles.wordpress.org/jonsurrell/\">Jon Surrell</a>, <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a>, <a href=\"https://profiles.wordpress.org/jg-visual/\">Jonathan Goldford</a>, <a href=\"https://profiles.wordpress.org/spacedmonkey/\">Jonny Harris</a>, <a href=\"https://profiles.wordpress.org/jonoaldersonwp/\">Jono Alderson</a>, <a href=\"https://profiles.wordpress.org/joonasvanhatapio/\">Joonas Vanhatapio</a>, <a href=\"https://profiles.wordpress.org/joostdevalk/\">Joost de Valk</a>, <a href=\"https://profiles.wordpress.org/koke/\">Jorge Bernal</a>, <a href=\"https://profiles.wordpress.org/jorgefilipecosta/\">Jorge Costa</a>, <a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden</a>, <a href=\"https://profiles.wordpress.org/joshuawold/\">JoshuaWold</a>, <a href=\"https://profiles.wordpress.org/joyously/\">Joy</a>, <a href=\"https://profiles.wordpress.org/jqz/\">jqz</a>, <a href=\"https://profiles.wordpress.org/jsnajdr/\">jsnajdr</a>, <a href=\"https://profiles.wordpress.org/juanfra/\">Juanfra Aldasoro</a>, <a href=\"https://profiles.wordpress.org/derweili/\">Julian Weiland</a>, <a href=\"https://profiles.wordpress.org/juliankimmig/\">julian.kimmig</a>, <a href=\"https://profiles.wordpress.org/jrf/\">Juliette Reinders Folmer</a>, <a href=\"https://profiles.wordpress.org/juliobox/\">Julio Potier</a>, <a href=\"https://profiles.wordpress.org/nukaga/\">Junko Nukaga</a>, <a href=\"https://profiles.wordpress.org/jurgen/\">jurgen</a>, <a href=\"https://profiles.wordpress.org/justdaiv/\">justdaiv</a>, <a href=\"https://profiles.wordpress.org/justinahinon/\">Justin Ahinon</a>, <a href=\"https://profiles.wordpress.org/kadamwhite/\">K. Adam White</a>, <a href=\"https://profiles.wordpress.org/kaggdesign/\">kaggdesign</a>, <a href=\"https://profiles.wordpress.org/kalpshit/\">KalpShit Akabari</a>, <a href=\"https://profiles.wordpress.org/leprincenoir/\">Kantari Samy</a>, <a href=\"https://profiles.wordpress.org/kasparsd/\">Kaspars</a>, <a href=\"https://profiles.wordpress.org/ryelle/\">Kelly Dwan</a>, <a href=\"https://profiles.wordpress.org/kennithnichol/\">Kennith Nichol</a>, <a href=\"https://profiles.wordpress.org/khag7/\">Kevin Hagerty</a>, <a href=\"https://profiles.wordpress.org/kharisblank/\">Kharis Sulistiyono</a>, <a href=\"https://profiles.wordpress.org/khushbu19/\">Khushbu Modi</a>, <a href=\"https://profiles.wordpress.org/killerbishop/\">killerbishop</a>, <a href=\"https://profiles.wordpress.org/kinjaldalwadi/\">kinjaldalwadi</a>, <a href=\"https://profiles.wordpress.org/kitchin/\">kitchin</a>, <a href=\"https://profiles.wordpress.org/ixkaito/\">Kite</a>, <a href=\"https://profiles.wordpress.org/kjellr/\">Kjell Reigstad</a>, <a href=\"https://profiles.wordpress.org/kkarpieszuk/\">kkarpieszuk</a>, <a href=\"https://profiles.wordpress.org/knutsp/\">Knut Sparhell</a>, <a href=\"https://profiles.wordpress.org/kokkieh/\">KokkieH</a>, <a href=\"https://profiles.wordpress.org/obenland/\">Konstantin Obenland</a>, <a href=\"https://profiles.wordpress.org/xkon/\">Konstantinos Xenos</a>, <a href=\"https://profiles.wordpress.org/klopez8/\">Krystyna</a>, <a href=\"https://profiles.wordpress.org/kubiq/\">kubiq</a>, <a href=\"https://profiles.wordpress.org/wpkuf/\">kuflievskiy</a>, <a href=\"https://profiles.wordpress.org/sainthkh/\">Kukhyeon Heo</a>, <a href=\"https://profiles.wordpress.org/kyliesabra/\">kyliesabra</a>, <a href=\"https://profiles.wordpress.org/lakenh/\">Laken Hafner</a>, <a href=\"https://profiles.wordpress.org/leandroalonso/\">leandroalonso</a>, <a href=\"https://profiles.wordpress.org/leogermani/\">leogermani</a>, <a href=\"https://profiles.wordpress.org/lgrev01/\">lgrev01</a>, <a href=\"https://profiles.wordpress.org/linuxologos/\">linuxologos</a>, <a href=\"https://profiles.wordpress.org/lisota/\">lisota</a>, <a href=\"https://profiles.wordpress.org/lorenzof/\">Lorenzo Fracassi</a>, <a href=\"https://profiles.wordpress.org/luisherranz/\">luisherranz</a>, <a href=\"https://profiles.wordpress.org/luisrivera/\">luisrivera</a>, <a href=\"https://profiles.wordpress.org/lukaswaudentio/\">lukaswaudentio</a>, <a href=\"https://profiles.wordpress.org/ljasinskipl/\">Lukasz Jasinski</a>, <a href=\"https://profiles.wordpress.org/lukecavanagh/\">Luke Cavanagh</a>, <a href=\"https://profiles.wordpress.org/wodarekly/\">Lydia Wodarek</a>, <a href=\"https://profiles.wordpress.org/vinoth06/\">M A Vinoth Kumar</a>, <a href=\"https://profiles.wordpress.org/maciejmackowiak/\">maciejmackowiak</a>, <a href=\"https://profiles.wordpress.org/mahesh901122/\">Mahesh Waghmare</a>, <a href=\"https://profiles.wordpress.org/manzoorwanijk/\">Manzoor Wani</a>, <a href=\"https://profiles.wordpress.org/marcelo2605/\">marcelo2605</a>, <a href=\"https://profiles.wordpress.org/marcio-zebedeu/\">Marcio Zebedeu</a>, <a href=\"https://profiles.wordpress.org/marcoz/\">MarcoZ</a>, <a href=\"https://profiles.wordpress.org/mkaz/\">Marcus Kazmierczak</a>, <a href=\"https://profiles.wordpress.org/marekdedic/\">Marek Dědič</a>, <a href=\"https://profiles.wordpress.org/clorith/\">Marius Jensen</a>, <a href=\"https://profiles.wordpress.org/marius84/\">Marius84</a>, <a href=\"https://profiles.wordpress.org/markjaquith/\">Mark Jaquith</a>, <a href=\"https://profiles.wordpress.org/mmarzeotti/\">Mark Marzeotti</a>, <a href=\"https://profiles.wordpress.org/mapk/\">Mark Uraine</a>, <a href=\"https://profiles.wordpress.org/hinjiriyo/\">Martin Stehle</a>, <a href=\"https://profiles.wordpress.org/m-e-h/\">Marty Helmick</a>, <a href=\"https://profiles.wordpress.org/marybaum/\">Mary Baum</a>, <a href=\"https://profiles.wordpress.org/matstars/\">Mat Gargano</a>, <a href=\"https://profiles.wordpress.org/mat-lipe/\">Mat Lipe</a>, <a href=\"https://profiles.wordpress.org/imath/\">Mathieu Viet</a>, <a href=\"https://profiles.wordpress.org/matveb/\">Matias Ventura</a>, <a href=\"https://profiles.wordpress.org/mattkeys/\">Matt Keys</a>, <a href=\"https://profiles.wordpress.org/veraxus/\">Matt van Andel</a>, <a href=\"https://profiles.wordpress.org/mattchowning/\">mattchowning</a>, <a href=\"https://profiles.wordpress.org/snapfractalpop/\">Matthew Kevins</a>, <a href=\"https://profiles.wordpress.org/mattnyeus/\">mattnyeus</a>, <a href=\"https://profiles.wordpress.org/maxme/\">maxme</a>, <a href=\"https://profiles.wordpress.org/mayanksonawat/\">mayanksonawat</a>, <a href=\"https://profiles.wordpress.org/mbrailer/\">mbrailer</a>, <a href=\"https://profiles.wordpress.org/mehidi258/\">Mehidi Hassan</a>, <a href=\"https://profiles.wordpress.org/melchoyce/\">Mel Choyce-Dwan</a>, <a href=\"https://profiles.wordpress.org/mensmaximus/\">mensmaximus</a>, <a href=\"https://profiles.wordpress.org/michael-arestad/\">Michael Arestad</a>, <a href=\"https://profiles.wordpress.org/michaelecklund/\">Michael Ecklund</a>, <a href=\"https://profiles.wordpress.org/donmhico/\">Michael Panaga</a>, <a href=\"https://profiles.wordpress.org/marktimemedia/\">Michelle Schulp</a>, <a href=\"https://profiles.wordpress.org/miette49/\">miette49</a>, <a href=\"https://profiles.wordpress.org/mcsf/\">Miguel Fonseca</a>, <a href=\"https://profiles.wordpress.org/mmtr86/\">Miguel Torres</a>, <a href=\"https://profiles.wordpress.org/mihdan/\">mihdan</a>, <a href=\"https://profiles.wordpress.org/miinasikk/\">Miina Sikk</a>, <a href=\"https://profiles.wordpress.org/simison/\">Mikael Korpela</a>, <a href=\"https://profiles.wordpress.org/mauteri/\">Mike Auteri</a>, <a href=\"https://profiles.wordpress.org/mikehansenme/\">Mike Hansen</a>, <a href=\"https://profiles.wordpress.org/mikeschinkel/\">Mike Schinkel [WPLib Box project lead]</a>, <a href=\"https://profiles.wordpress.org/mikeschroder/\">Mike Schroder</a>, <a href=\"https://profiles.wordpress.org/mikejdent/\">mikejdent</a>, <a href=\"https://profiles.wordpress.org/msaari/\">Mikko Saari</a>, <a href=\"https://profiles.wordpress.org/iihglobal/\">Milan Patel</a>, <a href=\"https://profiles.wordpress.org/gdragon/\">Milan Petrovic</a>, <a href=\"https://profiles.wordpress.org/mimitips/\">mimi</a>, <a href=\"https://profiles.wordpress.org/mircoraffinetti/\">mircoraffinetti</a>, <a href=\"https://profiles.wordpress.org/mjnewman/\">mjnewman</a>, <a href=\"https://profiles.wordpress.org/mlbrgl/\">mlbrgl</a>, <a href=\"https://profiles.wordpress.org/morganestes/\">Morgan Estes</a>, <a href=\"https://profiles.wordpress.org/man4toman/\">Morteza Geransayeh</a>, <a href=\"https://profiles.wordpress.org/mppfeiffer/\">mppfeiffer</a>, <a href=\"https://profiles.wordpress.org/mryoga/\">mryoga</a>, <a href=\"https://profiles.wordpress.org/musamamasood/\">Muhammad Usama Masood</a>, <a href=\"https://profiles.wordpress.org/mujuonly/\">mujuonly</a>, <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a>, <a href=\"https://profiles.wordpress.org/assassinateur/\">Nadir Seghir</a>, <a href=\"https://profiles.wordpress.org/nagoke/\">nagoke</a>, <a href=\"https://profiles.wordpress.org/nfmohit/\">Nahid Ferdous Mohit</a>, <a href=\"https://profiles.wordpress.org/finchps/\">Nate Finch</a>, <a href=\"https://profiles.wordpress.org/mukto90/\">Nazmul Ahsan</a>, <a href=\"https://profiles.wordpress.org/nekomajin/\">nekomajin</a>, <a href=\"https://profiles.wordpress.org/nextscripts/\">NextScripts</a>, <a href=\"https://profiles.wordpress.org/nickdaugherty/\">Nick Daugherty</a>, <a href=\"https://profiles.wordpress.org/celloexpressions/\">Nick Halsey</a>, <a href=\"https://profiles.wordpress.org/nsundberg/\">Nicklas Sundberg</a>, <a href=\"https://profiles.wordpress.org/nickylimjj/\">Nicky Lim</a>, <a href=\"https://profiles.wordpress.org/vadimnicolai/\">nicolad</a>, <a href=\"https://profiles.wordpress.org/rahe/\">Nicolas Juen</a>, <a href=\"https://profiles.wordpress.org/nicole2292/\">nicole2292</a>, <a href=\"https://profiles.wordpress.org/nielslange/\">Niels Lange</a>, <a href=\"https://profiles.wordpress.org/nikhilgupte/\">nikhilgupte</a>, <a href=\"https://profiles.wordpress.org/nilamacharya/\">nilamacharya</a>, <a href=\"https://profiles.wordpress.org/noahtallen/\">noahtallen</a>, <a href=\"https://profiles.wordpress.org/noyle/\">noyle</a>, <a href=\"https://profiles.wordpress.org/nsubugak/\">nsubugak</a>, <a href=\"https://profiles.wordpress.org/oakesjosh/\">oakesjosh</a>, <a href=\"https://profiles.wordpress.org/oldenburg/\">oldenburg</a>, <a href=\"https://profiles.wordpress.org/alshakero/\">Omar Alshaker</a>, <a href=\"https://profiles.wordpress.org/ottok/\">Otto Kek&#228;l&#228;inen</a>, <a href=\"https://profiles.wordpress.org/ov3rfly/\">Ov3rfly</a>, <a href=\"https://profiles.wordpress.org/paaljoachim/\">Paal Joachim Romdahl</a>, <a href=\"https://profiles.wordpress.org/iaaxpage/\">page-carbajal</a>, <a href=\"https://profiles.wordpress.org/pagewidth/\">pagewidth</a>, <a href=\"https://profiles.wordpress.org/paragoninitiativeenterprises/\">Paragon Initiative Enterprises</a>, <a href=\"https://profiles.wordpress.org/swissspidy/\">Pascal Birchler</a>, <a href=\"https://profiles.wordpress.org/casiepa/\">Pascal Casier</a>, <a href=\"https://profiles.wordpress.org/pbearne/\">Paul Bearne</a>, <a href=\"https://profiles.wordpress.org/pbiron/\">Paul Biron</a>, <a href=\"https://profiles.wordpress.org/rixeo/\">Paul Kevin</a>, <a href=\"https://profiles.wordpress.org/paulschreiber/\">Paul Schreiber</a>, <a href=\"https://profiles.wordpress.org/pcarvalho/\">pcarvalho</a>, <a href=\"https://profiles.wordpress.org/pedromendonca/\">Pedro Mendon&#231;a</a>, <a href=\"https://profiles.wordpress.org/perrywagle/\">perrywagle</a>, <a href=\"https://profiles.wordpress.org/peterwilsoncc/\">Peter Wilson</a>, <a href=\"https://profiles.wordpress.org/philipmjackson/\">Philip Jackson</a>, <a href=\"https://profiles.wordpress.org/pierlo/\">Pierre Gordon</a>, <a href=\"https://profiles.wordpress.org/pierrelannoy/\">Pierre Lannoy</a>, <a href=\"https://profiles.wordpress.org/pikamander2/\">pikamander2</a>, <a href=\"https://profiles.wordpress.org/prashantvatsh/\">Prashant Singh</a>, <a href=\"https://profiles.wordpress.org/pratik-jain/\">Pratik Jain</a>, <a href=\"https://profiles.wordpress.org/presskopp/\">Presskopp</a>, <a href=\"https://profiles.wordpress.org/priyankabehera155/\">Priyanka Behera</a>, <a href=\"https://profiles.wordpress.org/raamdev/\">Raam Dev</a>, <a href=\"https://profiles.wordpress.org/bamadesigner/\">Rachel Cherry</a>, <a href=\"https://profiles.wordpress.org/larrach/\">Rachel Peter</a>, <a href=\"https://profiles.wordpress.org/ragnarokatz/\">ragnarokatz</a>, <a href=\"https://profiles.wordpress.org/ramiy/\">Rami Yushuvaev</a>, <a href=\"https://profiles.wordpress.org/raoulunger/\">raoulunger</a>, <a href=\"https://profiles.wordpress.org/razamalik/\">razamalik</a>, <a href=\"https://profiles.wordpress.org/remcotolsma/\">Remco Tolsma</a>, <a href=\"https://profiles.wordpress.org/rephotsirch/\">rephotsirch</a>, <a href=\"https://profiles.wordpress.org/rheinardkorf/\">rheinardkorf</a>, <a href=\"https://profiles.wordpress.org/youknowriad/\">Riad Benguella</a>, <a href=\"https://profiles.wordpress.org/quicoto/\">Ricard Torres</a>, <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a>, <a href=\"https://profiles.wordpress.org/rimadoshi/\">rimadoshi</a>, <a href=\"https://profiles.wordpress.org/rinkuyadav999/\">Rinku Y</a>, <a href=\"https://profiles.wordpress.org/rcutmore/\">Rob Cutmore</a>, <a href=\"https://profiles.wordpress.org/rob006/\">rob006</a>, <a href=\"https://profiles.wordpress.org/noisysocks/\">Robert Anderson</a>, <a href=\"https://profiles.wordpress.org/rconde/\">Roi Conde</a>, <a href=\"https://profiles.wordpress.org/murgroland/\">Roland Murg</a>, <a href=\"https://profiles.wordpress.org/costasovo/\">Rostislav Woln&#253;</a>, <a href=\"https://profiles.wordpress.org/roytanck/\">Roy Tanck</a>, <a href=\"https://profiles.wordpress.org/kingkool68/\">Russell Heimlich</a>, <a href=\"https://profiles.wordpress.org/rryyaanndd/\">Ryan</a>, <a href=\"https://profiles.wordpress.org/bookdude13/\">Ryan Fredlund</a>, <a href=\"https://profiles.wordpress.org/rmccue/\">Ryan McCue</a>, <a href=\"https://profiles.wordpress.org/welcher/\">Ryan Welcher</a>, <a href=\"https://profiles.wordpress.org/looswebstudio/\">Ryo</a>, <a href=\"https://profiles.wordpress.org/sebastienserre/\">S&#233;bastien SERRE</a>, <a href=\"https://profiles.wordpress.org/sablednah/\">sablednah</a>, <a href=\"https://profiles.wordpress.org/viralsampat/\">Sampat Viral</a>, <a href=\"https://profiles.wordpress.org/otto42/\">Samuel Wood (Otto)</a>, <a href=\"https://profiles.wordpress.org/samuelfernandez/\">SamuelFernandez</a>, <a href=\"https://profiles.wordpress.org/zanderz/\">Sander</a>, <a href=\"https://profiles.wordpress.org/santilinwp/\">santilinwp</a>, <a href=\"https://profiles.wordpress.org/sathyapulse/\">Sathiyamoorthy V</a>, <a href=\"https://profiles.wordpress.org/tivus/\">Schuhwerk</a>, <a href=\"https://profiles.wordpress.org/coffee2code/\">Scott Reilly</a>, <a href=\"https://profiles.wordpress.org/wonderboymusic/\">Scott Taylor</a>, <a href=\"https://profiles.wordpress.org/scruffian/\">scruffian</a>, <a href=\"https://profiles.wordpress.org/scvleon/\">scvleon</a>, <a href=\"https://profiles.wordpress.org/sebastianpisula/\">Sebastian Pisula</a>, <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a>, <a href=\"https://profiles.wordpress.org/sgr33n/\">Sergio de Falco</a>, <a href=\"https://profiles.wordpress.org/sergiomdgomes/\">sergiomdgomes</a>, <a href=\"https://profiles.wordpress.org/sgastard/\">sgastard</a>, <a href=\"https://profiles.wordpress.org/sgoen/\">sgoen</a>, <a href=\"https://profiles.wordpress.org/shahariaazam/\">Shaharia Azam</a>, <a href=\"https://profiles.wordpress.org/cafenoirdesign/\">Shannon Smith</a>, <a href=\"https://profiles.wordpress.org/shariqkhan2012/\">shariqkhan2012</a>, <a href=\"https://profiles.wordpress.org/sncoker/\">Shawntelle Coker</a>, <a href=\"https://profiles.wordpress.org/sheparddw/\">sheparddw</a>, <a href=\"https://profiles.wordpress.org/shital-patel/\">Shital Marakana</a>, <a href=\"https://profiles.wordpress.org/shizumi/\">Shizumi Yoshiaki</a>, <a href=\"https://profiles.wordpress.org/simonjanin/\">simonjanin</a>, <a href=\"https://profiles.wordpress.org/sinatrateam/\">sinatrateam</a>, <a href=\"https://profiles.wordpress.org/sirreal/\">sirreal</a>, <a href=\"https://profiles.wordpress.org/skorasaurus/\">skorasaurus</a>, <a href=\"https://profiles.wordpress.org/smerriman/\">smerriman</a>, <a href=\"https://profiles.wordpress.org/socalchristina/\">socalchristina</a>, <a href=\"https://profiles.wordpress.org/soean/\">Soren Wrede</a>, <a href=\"https://profiles.wordpress.org/spenserhale/\">spenserhale</a>, <a href=\"https://profiles.wordpress.org/sproutchris/\">sproutchris</a>, <a href=\"https://profiles.wordpress.org/squarecandy/\">squarecandy</a>, <a href=\"https://profiles.wordpress.org/starvoters1/\">starvoters1</a>, <a href=\"https://profiles.wordpress.org/steelwagstaff/\">SteelWagstaff</a>, <a href=\"https://profiles.wordpress.org/steevithak/\">steevithak</a>, <a href=\"https://profiles.wordpress.org/ryokuhi/\">Stefano Minoia</a>, <a href=\"https://profiles.wordpress.org/hypest/\">Stefanos Togoulidis</a>, <a href=\"https://profiles.wordpress.org/steffanhalv/\">steffanhalv</a>, <a href=\"https://profiles.wordpress.org/sabernhardt/\">Stephen Bernhardt</a>, <a href=\"https://profiles.wordpress.org/netweb/\">Stephen Edgar</a>, <a href=\"https://profiles.wordpress.org/dufresnesteven/\">Steve Dufresne</a>, <a href=\"https://profiles.wordpress.org/stevegrunwell/\">Steve Grunwell</a>, <a href=\"https://profiles.wordpress.org/stevenlinx/\">stevenlinx</a>, <a href=\"https://profiles.wordpress.org/stiofansisland/\">Stiofan</a>, <a href=\"https://profiles.wordpress.org/matthias-reuter/\">straightvisions GmbH</a>, <a href=\"https://profiles.wordpress.org/stroona/\">stroona.com</a>, <a href=\"https://profiles.wordpress.org/subratamal/\">Subrata Mal</a>, <a href=\"https://profiles.wordpress.org/subrataemfluence/\">Subrata Sarkar</a>, <a href=\"https://profiles.wordpress.org/manikmist09/\">Sultan Nasir Uddin</a>, <a href=\"https://profiles.wordpress.org/swapnild/\">swapnild</a>, <a href=\"https://profiles.wordpress.org/cybr/\">Sybre Waaijer</a>, <a href=\"https://profiles.wordpress.org/sergioestevao/\">Sérgio Estêvão</a>, <a href=\"https://profiles.wordpress.org/miyauchi/\">Takayuki Miyauchi</a>, <a href=\"https://profiles.wordpress.org/takeshifurusato/\">Takeshi Furusato</a>, <a href=\"https://profiles.wordpress.org/karmatosed/\">Tammie Lister</a>, <a href=\"https://profiles.wordpress.org/tanvirul/\">Tanvirul Haque</a>, <a href=\"https://profiles.wordpress.org/tbschen/\">TBschen</a>, <a href=\"https://profiles.wordpress.org/tdlewis77/\">tdlewis77</a>, <a href=\"https://profiles.wordpress.org/tellyworth/\">Tellyworth</a>, <a href=\"https://profiles.wordpress.org/thamaraiselvam/\">Thamaraiselvam</a>, <a href=\"https://profiles.wordpress.org/thefarlilacfield/\">thefarlilacfield</a>, <a href=\"https://profiles.wordpress.org/themezee/\">ThemeZee</a>, <a href=\"https://profiles.wordpress.org/timhavinga/\">Tim Havinga</a>, <a href=\"https://profiles.wordpress.org/hedgefield/\">Tim Hengeveld</a>, <a href=\"https://profiles.wordpress.org/timon33/\">timon33</a>, <a href=\"https://profiles.wordpress.org/spaceshipone/\">Timoth&#233;e Brosille</a>, <a href=\"https://profiles.wordpress.org/timothyblynjacobs/\">Timothy Jacobs</a>, <a href=\"https://profiles.wordpress.org/tkama/\">Tkama</a>, <a href=\"https://profiles.wordpress.org/tmanoilov/\">tmanoilov</a>, <a href=\"https://profiles.wordpress.org/tmatsuur/\">tmatsuur</a>, <a href=\"https://profiles.wordpress.org/tobifjellner/\">tobifjellner (Tor-Bjorn Fjellner)</a>, <a href=\"https://profiles.wordpress.org/tomgreer/\">Tom Greer</a>, <a href=\"https://profiles.wordpress.org/tjnowell/\">Tom J Nowell</a>, <a href=\"https://profiles.wordpress.org/tommix/\">tommix</a>, <a href=\"https://profiles.wordpress.org/skithund/\">Toni Viemer&#246;</a>, <a href=\"https://profiles.wordpress.org/toro_unit/\">Toro_Unit (Hiroshi Urabe)</a>, <a href=\"https://profiles.wordpress.org/torres126/\">torres126</a>, <a href=\"https://profiles.wordpress.org/zodiac1978/\">Torsten Landsiedel</a>, <a href=\"https://profiles.wordpress.org/itowhid06/\">Towhidul Islam</a>, <a href=\"https://profiles.wordpress.org/tristangemus/\">tristangemus</a>, <a href=\"https://profiles.wordpress.org/tristanleboss/\">tristanleboss</a>, <a href=\"https://profiles.wordpress.org/tsuyoring/\">tsuyoring</a>, <a href=\"https://profiles.wordpress.org/dinhtungdu/\">Tung Du</a>, <a href=\"https://profiles.wordpress.org/desaiuditd/\">Udit Desai</a>, <a href=\"https://profiles.wordpress.org/grapplerulrich/\">Ulrich</a>, <a href=\"https://profiles.wordpress.org/upadalavipul/\">upadalavipul</a>, <a href=\"https://profiles.wordpress.org/utsav72640/\">Utsav tilava</a>, <a href=\"https://profiles.wordpress.org/vaishalipanchal/\">Vaishali Panchal</a>, <a href=\"https://profiles.wordpress.org/valentinbora/\">Valentin Bora</a>, <a href=\"https://profiles.wordpress.org/varunshanbhag/\">Varun Shanbhag</a>, <a href=\"https://profiles.wordpress.org/veminom/\">Veminom</a>, <a href=\"https://profiles.wordpress.org/vinita29/\">Vinita Tandulkar</a>, <a href=\"https://profiles.wordpress.org/virgodesign/\">virgodesign</a>, <a href=\"https://profiles.wordpress.org/vsamoletov/\">Vlad. S.</a>, <a href=\"https://profiles.wordpress.org/vortfu/\">vortfu</a>, <a href=\"https://profiles.wordpress.org/waleedt93/\">waleedt93</a>, <a href=\"https://profiles.wordpress.org/webmandesign/\">WebMan Design &#124; Oliver Juhas</a>, <a href=\"https://profiles.wordpress.org/websupporter/\">websupporter</a>, <a href=\"https://profiles.wordpress.org/westonruter/\">Weston Ruter</a>, <a href=\"https://profiles.wordpress.org/earnjam/\">William Earnhardt</a>, <a href=\"https://profiles.wordpress.org/williampatton/\">William Patton</a>, <a href=\"https://profiles.wordpress.org/wpgurudev/\">wpgurudev</a>, <a href=\"https://profiles.wordpress.org/alexandreb3/\">WPMarmite</a>, <a href=\"https://profiles.wordpress.org/wptoolsdev/\">wptoolsdev</a>, <a href=\"https://profiles.wordpress.org/xedinunknown-1/\">xedinunknown-1</a>, <a href=\"https://profiles.wordpress.org/yale01/\">yale01</a>, <a href=\"https://profiles.wordpress.org/collet/\">Yannicki</a>, <a href=\"https://profiles.wordpress.org/yordansoares/\">Yordan Soares</a>, <a href=\"https://profiles.wordpress.org/fierevere/\">Yui</a>, <a href=\"https://profiles.wordpress.org/zachflauaus/\">zachflauaus</a>, <a href=\"https://profiles.wordpress.org/tollmanz/\">Zack Tollman</a>, <a href=\"https://profiles.wordpress.org/zebulan/\">Zebulan Stanphill</a>, <a href=\"https://profiles.wordpress.org/zaffarn/\">Zee</a>, and <a href=\"https://profiles.wordpress.org/zsusag/\">zsusag</a>.\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<p>Many thanks to all of the community volunteers who contribute in the&nbsp;<a href=\"https://wordpress.org/support/\">support forums</a>. They answer questions from people across the world, whether they are using WordPress for the first time or since the first release. These releases are more successful for their efforts!</p>\n\n\n\n<p>Finally, thanks to all the community translators who worked on WordPress 5.4. Their efforts bring WordPress fully translated to&nbsp;46 languages at release time, with more on the way.</p>\n\n\n\n<p>If you want to learn more about volunteering with WordPress, check out&nbsp;<a href=\"https://make.wordpress.org/\">Make WordPress</a>&nbsp;or the&nbsp;<a href=\"https://make.wordpress.org/core/\">core development blog</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 31 Mar 2020 19:04:02 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:22;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"WPTavern: Proposal to Update the WordPress Coding Standards for Modern PHP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=98172\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:193:\"https://wptavern.com/proposal-to-update-the-wordpress-coding-standards-for-modern-php?utm_source=rss&utm_medium=rss&utm_campaign=proposal-to-update-the-wordpress-coding-standards-for-modern-php\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5010:\"<p class=\"has-drop-cap\">WordPress is a dinosaur. If you are a PHP programmer and have had the <a href=\"https://wptavern.com/lessons-learned-by-stepping-outside-wordpress-comfort-zone\">opportunity to work outside of WordPress</a> in the past 10 years, there are likely one or two or a few dozen things that frustrate you when diving back into the project&rsquo;s 16-year-old codebase. At a time when WordPress is gifting JavaScript programmers with the latest and greatest goodies, those doing PHP work can feel left behind.</p>\n\n\n\n<p>There is a good reason for the legacy code in WordPress: it is backward compatible with over a decade of third-party extensions. Plus, <em>old</em> code does not necessarily equate to <em>bad</em> code. <em>If it ain&rsquo;t broke</em> &mdash; well, you know how the rest goes.</p>\n\n\n\n<p>Last year, WordPress <a href=\"https://wptavern.com/wordpress-ends-support-for-php-5-2-5-5-bumps-minimum-required-php-version-to-5-6\">bumped the minimum requirement</a> for running the software to PHP 5.6 or newer. Many developers cheered in support of features such as short array syntax, namespacing, and the spread operator. Others wanted to jump to PHP 7+, but PHP 5.6 was a good stepping stone to more modern PHP code.</p>\n\n\n\n<p>This change opened some new questions. <em>When will core WordPress begin using new features? What coding standards should the project follow?</em></p>\n\n\n\n<p>WordPress 5.3 made use of the new <a href=\"https://wptavern.com/coming-in-wordpress-5-3-what-is-the-php-spread-operator\">spread operator</a>, which cleaned up and simplified several functions. It showed a willingness of the core leads to update some outdated code while avoiding backward-compatible issues.</p>\n\n\n\n<h2>An Updated Set of Standards</h2>\n\n\n\n<p class=\"has-drop-cap\">To begin using modern PHP features in WordPress, the platform&rsquo;s coding standards must evolve. On March 20, Juliette Reinders Folmer <a href=\"https://make.wordpress.org/core/2020/03/20/updating-the-coding-standards-for-modern-php/\">proposed an extensive set of guidelines</a>. The proposal is a draft and will need to be fine-tuned based on feedback from developers and core contributors.</p>\n\n\n\n<p>&ldquo;While it may still be a while before some of these features will actually be adopted for use in WordPress Core,&rdquo; wrote Folmer, &ldquo;defining the coding standards in advance will allow for a consistent code base when they do get adopted and will allow for plugins and themes, which are not necessarily bound to the PHP 5.6 minimum, to safeguard their code consistency when they start using more modern PHP already.&rdquo;</p>\n\n\n\n<p>The proposed standards are broken down into the following topics:</p>\n\n\n\n<ul><li>Namespace declarations</li><li>Import <code>use</code> statements</li><li>Traits and interfaces</li><li>Type declarations</li><li>Declare statements / strict typing</li><li>The <code>::class</code> constant</li><li>Operators</li><li>Additional new rules covering various items</li></ul>\n\n\n\n<p>Any code that goes directly into WordPress must follow the project&rsquo;s coding standards. It is strongly recommended that plugin and theme developers adopt the same standards, but it is not a requirement for inclusion in the official plugin and theme directories. Coding standards across an ecosystem make it easier for one developer to pick up code from other developers without having to learn unique styles between extensions.</p>\n\n\n\n<p>On the whole, the update look solid. There is a lot to like about this proposal, and it would be a welcome addition to a <a href=\"https://make.wordpress.org/core/handbook/best-practices/coding-standards/php/\">set of guidelines</a> that sorely needed a refresh.</p>\n\n\n\n<p>One of my biggest gripes is around file naming. The WordPress project should drop the use of <code>class-</code>, <code>interface-</code>, and <code>trait-</code> prefixes from PHP filenames. Instead, we should use this opportunity to adopt the <a href=\"https://www.php-fig.org/psr/psr-4/\">PSR-4 autoloading standard&rsquo;s</a> naming convention. In that standard, the filename matches the class, interface, or trait&rsquo;s name exactly. At the very least, the prefixed filenames should not be a recommendation that goes out to WordPress developers everywhere. Keep it for core if necessary for tradition, but don&rsquo;t recommend widespread usage of a system that is years out of touch with modern PHP.</p>\n\n\n\n<p>I would also like to see WordPress adopt the use of Pascal case (i.e., <code>ExampleProject</code>) over camel caps (i.e., <code>Example_Project</code>) for namespaces. However, given the tradition of camel caps for class names, I do not see this changing. This is a bit nit-picky, but it feels out of place in comparison to other, more modern PHP projects.</p>\n\n\n\n<p>The biggest thing the WordPress developer community can do right now is to discuss the proposal and offer feedback. Most of the work is done. It is up to the community to help push it forward.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 30 Mar 2020 19:48:09 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:23;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"WordPress.org blog: WordPress 5.4 RC5\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8451\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/2020/03/wordpress-5-4-rc5/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2181:\"<p><br />The fifth release candidate for WordPress 5.4 is live!</p>\n\n\n\n<p>WordPress 5.4 is currently scheduled to land on&nbsp;<strong><a href=\"https://make.wordpress.org/core/5-4/\">March 31 2020</a></strong>, and we need&nbsp;<em>your</em>&nbsp;help to get there—if you haven’t tried 5.4 yet, now is the time!</p>\n\n\n\n<p>You can test the WordPress 5.4 release candidate in two ways:</p>\n\n\n\n<ul><li>Try the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (choose the “bleeding edge nightlies” option)</li><li>Or <a href=\"https://wordpress.org/wordpress-5.4-RC5.zip\">download the release candidate here</a> (zip).</li></ul>\n\n\n\n<p>For details about what to expect in WordPress 5.4, please see the&nbsp;<a href=\"https://wordpress.org/news/2020/03/wordpress-5-4-release-candidate/\">first release candidate post</a>.</p>\n\n\n\n<h2>Plugin and Theme Developers</h2>\n\n\n\n<p>Please test your plugins and themes against WordPress 5.4 and update the&nbsp;<em>Tested up to</em>&nbsp;version in the readme to 5.4. The priority in testing is compatibility. If you find issues, please be sure to post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>&nbsp;so we can figure them out before the final release.</p>\n\n\n\n<p>The&nbsp;<a href=\"https://make.wordpress.org/core/2020/03/03/wordpress-5-4-field-guide/\">WordPress 5.4 Field Guide</a>&nbsp;is also out! It’s your source for details on all the major changes.</p>\n\n\n\n<h2>How to Help</h2>\n\n\n\n<p>Do you speak a language besides English?&nbsp;<a href=\"https://translate.wordpress.org/projects/wp/dev\">Help us translate WordPress into more than 100 languages!</a></p>\n\n\n\n<p><em><strong>If you think you’ve found a bug</strong>, you can post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a>&nbsp;in the support forums. We’d love to hear from you! If you’re comfortable writing a reproducible bug report,&nbsp;<a href=\"https://make.wordpress.org/core/reports/\">file one on WordPress Trac</a>, where you can also find&nbsp;<a href=\"https://core.trac.wordpress.org/tickets/major\">a list of known bugs</a>.</em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 28 Mar 2020 00:47:08 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"David Baumwald\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:24;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"WPTavern: Font Awesome Releases New COVID-19 Awareness Icons\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=98132\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:165:\"https://wptavern.com/font-awesome-releases-new-covid-19-awareness-icons?utm_source=rss&utm_medium=rss&utm_campaign=font-awesome-releases-new-covid-19-awareness-icons\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2733:\"<img />COVID-19 awareness icons added to Font Awesome.\n\n\n\n<p class=\"has-drop-cap\">On Monday, the Font Awesome team <a href=\"https://blog.fontawesome.com/covid-19-awareness-icons/\">launched a new set of icons</a> to promote awareness around COVID-19. The solid icons available in the Font Awesome 5.13 update are all available for free and are open-source. The regular, light, and duotone versions of the icons are a part of the pro package.</p>\n\n\n\n<p>The goal of the new icons is to help websites and apps boost awareness around the global pandemic. The latest update adds 47 new icons that range from medical use to promoting hygienic practices such as hand washing. Some icons represent viruses and social/physical distancing. There is even a couple of toilet paper icons thrown in for good measure. <em>Apparently, those are necessary in today&rsquo;s world of mass panic buying.</em></p>\n\n\n\n<p>&ldquo;Based on recommendations from The World Health Organization and others, you&rsquo;ll find symbols to communicate good hygiene and social distancing,&rdquo; wrote Jory Raphael, Icon Design Lead at Font Awesome. &ldquo;While we can&rsquo;t be on the front lines like brave medical professionals across the globe, we hope these icons aid in communicating some of the most important things people can do to protect themselves and their communities.&rdquo;</p>\n\n\n\n<p>The icons were <a href=\"https://github.com/FortAwesome/Font-Awesome/issues/16315\">originally requested</a> two weeks ago on the Font Awesome GitHub repository. The design team moved quickly to make them available. There are additional icon tickets for <a href=\"https://github.com/FortAwesome/Font-Awesome/issues/13931\">liquid soap</a> and a <a href=\"https://github.com/FortAwesome/Font-Awesome/issues/15855\">bar of soap</a> open.</p>\n\n\n\n<p>Like all Font Awesome icons, the new icons are available as part of the font package or for download as individual SVG files.</p>\n\n\n\n<p>The fonts may come in handy for website owners, designers, and developers who are building sites or pages with content related to COVID-19. Icons can add context to content or focus attention where needed.</p>\n\n\n\n<p>Users of the <a href=\"https://wordpress.org/plugins/font-awesome/\">Font Awesome WordPress plugin</a> should have immediate access to the new icons if needed. The plugin relies on the external Font Awesome CDN or Font Awesome kits. Users can also choose which version of the library of icons they wish to use, which includes the latest release.</p>\n\n\n\n<p class=\"has-background has-gray-100-background-color is-style-highlight bg-gray-100\">If you know of any other icon sets or resources for designers and developers related to COVID-19, please share them in the comments.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 27 Mar 2020 20:00:59 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:25;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"WPTavern: Gutenberg 7.8 Adds Patterns API and Continues Interface Cleanup\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=98109\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:191:\"https://wptavern.com/gutenberg-7-8-adds-patterns-api-and-continues-interface-cleanup?utm_source=rss&utm_medium=rss&utm_campaign=gutenberg-7-8-adds-patterns-api-and-continues-interface-cleanup\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5936:\"<p class=\"has-drop-cap\">Version 7.8 of the Gutenberg plugin <a href=\"https://make.wordpress.org/core/2020/03/26/whats-new-in-gutenberg-25-march/\">landed yesterday</a>. The team continues to improve the editor with the refreshed interface work that began in <a href=\"https://wptavern.com/gutenberg-7-7-ships-refreshed-ui-and-first-iteration-of-block-patterns\">version 7.7</a>. The most useful feature with this update of the plugin is the inclusion of the Patterns API for plugin and theme developers.</p>\n\n\n\n<p>This release is not the massive feature release that we experienced with some earlier versions. It is the culmination of many smaller improvements, particularly with improving the user interface and experience. The update includes over 20 bug fixes, some continued work on experimental features like the site editor, and several improvements in code quality.</p>\n\n\n\n<p><a href=\"https://github.com/WordPress/gutenberg/pull/12009\">Editing a post permalink</a> without requiring a save should work correctly, which has been an outstanding issue for over a year. Users can now <a href=\"https://github.com/WordPress/gutenberg/pull/20781\">select multiple categories</a> for the latest posts block as opposed to a single category. And, the experimental full-site editing feature now <a href=\"https://github.com/WordPress/gutenberg/pull/20691\">supports fullscreen mode</a>.</p>\n\n\n\n<h2>UI Continues Improving</h2>\n\n\n\n<img />Gutenberg 7.8 editor with updated preview button.\n\n\n\n<p class=\"has-drop-cap\">The team began a massive refresh of the user interface in Gutenberg 7.7. With this release, they continued building upon that initial work. Designers have <a href=\"https://github.com/WordPress/gutenberg/pull/20980\">fine-tuned several of the icons</a> for the editor toolbar, which includes the bold, italic, strikethrough, indent, outdent, and spacer icons.</p>\n\n\n\n<p>One of the most notable differences is an update to the user-facing text for the post preview button. In the previous version, there was a button that simply read &ldquo;Desktop.&rdquo; Once clicked, it would open a drop-down list to preview the post in desktop, tablet, or mobile mode. I had initially thought the team had removed the post preview option until I clicked on it. In version 7.8, that button&rsquo;s text now reads &ldquo;Preview,&rdquo; which is a much-needed change that is no longer confusing.</p>\n\n\n\n<p>Overall, the polishing work done on the editor looks good. At this point, I have become so accustomed to it that I have no desire to go back to a regular WordPress install without the Gutenberg plugin installed.</p>\n\n\n\n<h2>Building Custom Block Patterns</h2>\n\n\n\n<img />Custom block pattern registered and in use.\n\n\n\n<p class=\"has-drop-cap\">I have said it before, but it bears repeating: I am <a href=\"https://wptavern.com/block-patterns-will-change-everything\">excited about block patterns</a>. I am even more excited about the ability for plugin and theme authors to begin testing this feature by building custom patterns of their own. I foresee an explosion of creativity over the next several months and beyond.</p>\n\n\n\n<p>Patterns are a registration of the HTML for one or more blocks. Plugin and theme authors can further define the settings for those blocks. The Gutenberg team included a simple PHP function for developers to <a href=\"https://github.com/WordPress/gutenberg/pull/21074\">register custom patterns</a> called <code>register_pattern()</code>.</p>\n\n\n\n<p>I have tinkered with numerous pattern ideas since I updated yesterday evening. The simplest way to build a pattern is to do so visually. Open the editor and create a unique group of blocks that you like. Then, switch to the code editor and copy the code. From that point, you can register the pattern via PHP and paste the copied code. There is not really much actual coding involved in the process. Even advanced users with enough DIY grit could register them within their theme&rsquo;s <code>functions.php</code> file.</p>\n\n\n\n<p>The following is a simple &ldquo;hero&rdquo; pattern as shown in the above screenshot that uses the cover block, a heading, a paragraph, and a buttons group (I formatted the code a little after copying and pasting for readability):</p>\n\n\n\n<pre class=\"wp-block-code\"><code>add_action( \'init\', function() {\n\n	register_pattern( \'tavern/hero-1\', [\n		\'title\'   =&gt; __( \'Hero 1\' ),\n		\'content\' =&gt;\n			\'&lt;!-- wp:cover {\"customOverlayColor\":\"#273f60\",\"align\":\"full\"} --&gt;\n			&lt;div class=\"wp-block-cover alignfull has-background-dim\" style=\"background-color:#273f60\"&gt;\n				&lt;div class=\"wp-block-cover__inner-container\"&gt;\n					&lt;!-- wp:heading {\"align\":\"center\"} --&gt;\n					&lt;h2 class=\"has-text-align-center\"&gt;Heading Title Here&lt;/h2&gt;\n					&lt;!-- /wp:heading --&gt;\n\n					&lt;!-- wp:paragraph {\"align\":\"center\"} --&gt;\n					&lt;p class=\"has-text-align-center\"&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit.&lt;/p&gt;\n					&lt;!-- /wp:paragraph --&gt;\n\n					&lt;!-- wp:buttons {\"align\":\"center\"} --&gt;\n					&lt;div class=\"wp-block-buttons aligncenter\"&gt;\n						&lt;!-- wp:button {\"className\":\"is-style-outline\"} --&gt;\n						&lt;div class=\"wp-block-button is-style-outline\"&gt;&lt;a class=\"wp-block-button__link\"&gt;Button A&lt;/a&gt;&lt;/div&gt;\n						&lt;!-- /wp:button --&gt;\n						&lt;!-- wp:button {\"className\":\"is-style-outline\"} --&gt;\n						&lt;div class=\"wp-block-button is-style-outline\"&gt;&lt;a class=\"wp-block-button__link\"&gt;Button B&lt;/a&gt;&lt;/div&gt;\n						&lt;!-- /wp:button --&gt;\n					&lt;/div&gt;\n					&lt;!-- /wp:buttons --&gt;\n				&lt;/div&gt;\n			&lt;/div&gt;\n			&lt;!-- /wp:cover --&gt;\'\n	] );\n} );</code></pre>\n\n\n\n<p class=\"has-background has-gray-100-background-color bg-gray-100\"><strong>Disclaimer:</strong> The preceding code is for an experimental feature and could change in later versions of the Gutenberg plugin or before the API is officially added to core WordPress.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 26 Mar 2020 20:06:55 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:26;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"WPTavern: Finding Balance in These Uncertain Times: Remote Work and Sharing Our Struggles\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=98079\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:221:\"https://wptavern.com/finding-balance-in-these-uncertain-times-remote-work-and-sharing-our-struggles?utm_source=rss&utm_medium=rss&utm_campaign=finding-balance-in-these-uncertain-times-remote-work-and-sharing-our-struggles\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5811:\"<p class=\"has-drop-cap\">There is a popular saying, which has been used in several memes, among my developer and remote-working friend groups. It goes something like the following:</p>\n\n\n\n<p><strong>Government and Doctors:</strong> <em>Practice physical distancing during this pandemic.</em></p>\n\n\n\n<p><strong>Remote Workers:</strong> <em>I&rsquo;ve been preparing my whole life for this moment. I got this.</em></p>\n\n\n\n<p>The truth is that we don&rsquo;t &ldquo;got this,&rdquo; at least I know I don&rsquo;t.</p>\n\n\n\n<p>While practicing physical distancing during the COVID-19 pandemic, it is those little moments that you do not think you will miss that suddenly become important.</p>\n\n\n\n<p>Every Saturday, I awake around 6 or 6:30 a.m. I go through my normal routine and get dressed for a morning drive into the city. My home is in a quiet area in rural Alabama. I am a Millennial living within a neighborhood of mostly Baby Boomers. For the most part, it is an ideal place for remote work. Few people bother me, and I can tend to my animals and get my work done in peace. However, it is not exactly the most socially invigorating place in the world.</p>\n\n\n\n<p>Those Saturday mornings are important. Assuming I have no other social plans for the week, it is my one chance to get out into the world. I stop by the local Co-Op, pick up any feed or seed I need, and chat with the people there about the farming season or the weather &mdash; mostly the weather. I drop into Hidden Treasures, a flea market, and talk with a seller who shares an interest in finding old DVDs, VHS tapes, and Laserdiscs. I grab a sandwich at Subway and am greeted by the Indian-American manager who learned my name on my first visit years ago. He asks about my family. I ask how his family is doing.</p>\n\n\n\n<p>These fleeting moments are almost forgettable. They are routine. Run-of-the-mill. When they are happening, you do not think about them. However, when they are gone, there is a void remaining that is hard to fill.</p>\n\n\n\n<p>Yes, I have been practicing physical distancing for over a decade, at least to some degree. That makes those small moments where I interact with others in person crucial to my mental health.</p>\n\n\n\n<p>This Saturday, I will once again head into the city after a hiatus. However, my trip will be different. This time, I will be gathering necessities for myself and some of my elderly neighbors who want to avoid the public for a while. The trip will be quick. Some of the places I normally visit are closed. My Subway meal will be carryout.</p>\n\n\n\n<p>Even after a couple of weeks, and feeling like I was prepared for this moment, I am still coming to grips with the world as it is now.</p>\n\n\n\n<h2>Staying Strong as a Community</h2>\n\n\n\n<p class=\"has-drop-cap\">The WordPress community, the people, have put up a strong front. Bloggers have written <a href=\"https://wptavern.com/advice-for-newcomers-to-remote-work-lessons-learned\">posts on remote work</a>. Developers, designers, and others have willingly shared their knowledge with others. Companies are offering discounts to help ease the burden for those looking to begin a shop or blog online. Yes, our community will get through this, and we will be stronger for it.</p>\n\n\n\n<p>However, it is OK for us to share our vulnerabilities during these uncertain times.</p>\n\n\n\n<p>Ultimately, this community is not about software. It is about people. The software is the way we connect. It is a tool that we program, design, and evangelize. We do it for ourselves. We do it for millions of others to have a voice online. But, it is always about people.</p>\n\n\n\n<p>Sometimes, people need to know that others in our community are struggling. This is a collective pain that we are working through. Remote work does not always mean physical distancing from everything and every one of the outside world. Many of us may have a bit of a head-start on staying put at home for hours on end, but we are also dealing with a new reality every day. Showing strength is good, but sharing our stories of struggle is just as important.</p>\n\n\n\n<p>For some of us, that weekly trip into the city plays a vital role in our well-being. Others are dealing with children who would normally be in school or daycare. Kids can be disruptive, even when you have the best-laid plans and every hour of their day mapped out. Even for us remote workers, life is a little out of balance now. It is OK to admit that. If you are running a WordPress business, it is OK for you to provide a little more flexibility for your workers who are at home. Many of them will need it.</p>\n\n\n\n<p>It is not time to break down. It is time to find a new balance in our current environments. That may mean starting up a family board game night. It may mean making sure that you set up a video chat with those loved ones you have been too busy to call in several months. Maybe you will start taking a daily walk for better health. It might also be time to <a href=\"https://twitter.com/jemjabella/status/1240283538596999170\">set up WordPress blogs for your children</a> as part of their education. Some of these new things may and probably should become routine, <em>especially that last one</em>.</p>\n\n\n\n<p>Do not become overwhelmed if you feel like you should be handling this situation better because you have practice at remote work.</p>\n\n\n\n<p>Hop over to your personal WordPress blog. You may have to dust that thing off; some of you have not used it in a while. Write about the things you are struggling with. Share them with the community and find support among others. Post about your experiences. Tell us about your tough days and those small wins that are helping you get through this.</p>\n\n\n\n<p>For me, it is having my dad call to check in for the third time this week, and it is only Wednesday.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 25 Mar 2020 18:45:33 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:27;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"Matt: Don’t Mute, Get a Better Headset\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"https://ma.tt/?p=51030\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://ma.tt/2020/03/dont-mute-get-a-better-headset/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:11250:\"<p>One heterodox recommendation I have for audio and video calls when you&#8217;re working in a distributed fashion is <strong>not to mute</strong>, if you can help it. When you&#8217;re speaking to a muted room, it&#8217;s eerie and unnatural —&nbsp;you feel alone even if you can see other people&#8217;s faces. You lose all of those spontaneous reactions that keep a conversation flowing. If you ask someone a question, or they want to jump in, they have to wait to unmute. I also don&#8217;t love the &#8220;unmute to raise your hand&#8221; behavior, as it lends itself to meetings where people are just waiting their turn to speak instead of truly listening. I&#8217;m always hesitant <a href=\"https://seths.blog/2018/09/how-to-be-on-a-zoom-or-skype-call-the-secrets-of-video-conferences/\">to disagree with Seth Godin</a>, but that&#8217;s been my experience.</p>\n\n\n\n<p>So what should you do? Use the latest and greatest hardware and software to have the best of both worlds, a fantastic auditory experience for you and your interlocutors and little to no background noise.</p>\n\n\n\n<p>To summarize, <a href=\"https://www.amazon.com/s?k=sennheiser+usb-c+headset&tag=photomatt08-20\">I recommend a wired, USB headset with a mic that stays a constant distant from your mouth and has a noise-canceling microphone</a>. Save mute for coughs and sips of drinks.</p>\n\n\n\n<p>The rest of this post I&#8217;m going to try out eleven different microphones and headsets, ranging from $35 to $1,000+, and record a short file on each, and intersperse some software tips for people on MacOS.        You may want to listen to these samples with good headphones on to really hear the differences. I apologize some are louder than others, I didn&#8217;t edit to even out the levels, which Zoom or Skype would do automatically.</p>\n\n\n\n<p>My previous top recommendation was the <a href=\"https://www.amazon.com/gp/product/B00D4LBOV6/?tag=photomatt08-20\">trusty Sennheiser SC 30</a>, in <a href=\"https://ma.tt/2018/10/whats-in-my-bag-2018-edition/\">my previous bag posts</a>. It&#8217;s cheap and effective, but the cord was too long and it was USB-A. If you read no further, get this one and revolutionize how you sound on Zoom calls. Here&#8217;s how it sounds:</p>\n\n\n\n<div class=\"wp-block-columns are-vertically-aligned-top\">\n<div class=\"wp-block-column is-vertically-aligned-top\">\n\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-top\">\n<img />\n</div>\n</div>\n\n\n\n<p><a href=\"https://www.amazon.com/dp/B07P68C7Y7/?tag=photomatt08-20\">Sennheiser has upgraded to a USB-C version, with a much shorter cord, the SC 130</a>. It feels and looks much better, you don&#8217;t need a USB-C dongle, and the sound quality of the earphones is quite bearable. The cost is about twice as much (~$70).</p>\n\n\n\n<div class=\"wp-block-columns\">\n<div class=\"wp-block-column\">\n\n</div>\n\n\n\n<div class=\"wp-block-column\">\n<img />\n</div>\n</div>\n\n\n\n<p>You can plug the USB-C into your iPad or Android phone as well and it works great, though the headphones can be a bit quiet on Android. Either of the above will spoil you for making calls, and you won&#8217;t want to go back to the old low-fi way of doing things.</p>\n\n\n\n<p>In order to have a bit more flexibility I tried out the much more expensive ($134) <a href=\"https://www.amazon.com/dp/B00MPX2P0I/?tag=photomatt08-20\">Sennheiser MB Pro 1</a>. I liked the freedom of wireless Bluetooth, but you can hear that the sound is much worse. Connecting over Bluetooth lowers the quality a ton, and also occasionally means you need to disconnect, reconnect, etc.</p>\n\n\n\n<div class=\"wp-block-columns\">\n<div class=\"wp-block-column\">\n\n</div>\n\n\n\n<div class=\"wp-block-column\">\n<img />\n</div>\n</div>\n\n\n\n<p>All three of the Sennheisers above come in two-ear versions, which I prefer if I&#8217;m in a noisy environment, but at home I find the one-ear a bit more comfortable. I got excited about this $70 <a href=\"https://www.amazon.com/gp/product/B081Q5RCMV/?tag=photomatt08-20\">TaoTronics &#8220;Trucker Bluetooth&#8221; headset because it had Bluetooth 5.0</a> so I foolishly assumed it would have better quality, but it sounds really terrible:</p>\n\n\n\n<div class=\"wp-block-columns\">\n<div class=\"wp-block-column\">\n\n</div>\n\n\n\n<div class=\"wp-block-column\">\n<img />\n</div>\n</div>\n\n\n\n<p>But does wireless have to mean terrible quality? The <a href=\"https://www.amazon.com/dp/B07ZPC9QD4/?tag=photomatt08-20\">Apple Airpods Pro ($249) are actually pretty decent</a>, and you can easily switch them between your phone and your computer in the audio menu. If you haven&#8217;t tried the Pro version, the noise canceling is actually pretty amazing for something so small and light —&nbsp;I jog with them.</p>\n\n\n\n<div class=\"wp-block-columns\">\n<div class=\"wp-block-column\">\n\n</div>\n\n\n\n<div class=\"wp-block-column\">\n<img />\n</div>\n</div>\n\n\n\n<p>And one of the best sounding mics in this entire roundup was the wireless $119 <a href=\"https://www.amazon.com/dp/B07KQF165L?tag=photomatt08-20\">Antlion Audio ModMic Wireless</a>, which sound amazing, but you have to provide your own headphones to attach it to, and the entire thing ends up being fairly bulky and has its own wireless adapter. On the plus side, you can bring your own super-fancy headphones and get amazing audio quality. With certain headphones it did cause a buzz in the ear of the headphone I attached it to.</p>\n\n\n\n<div class=\"wp-block-columns\">\n<div class=\"wp-block-column\">\n\n</div>\n\n\n\n<div class=\"wp-block-column\">\n<img />\n</div>\n</div>\n\n\n\n<p>But hot dang that sounds good. If they made an over-the-ear USB-C version with an earbud, and had the mic be a little smaller, it would be work-from-home nirvana.</p>\n\n\n\n<p>I ventured into the gaming headset territory for this <a href=\"https://www.amazon.com/dp/B07HSC3WWL/?tag=photomatt08-20\">SteelSeries Arctis Pro Wireless Gaming Headset</a>, which at first felt totally ridiculous with its own connector box, a million cables, etc, but goshdarnit grew on me. It has this really cool boom mic   that extends out, and I think it&#8217;s the most comfortable headset I&#8217;ve worn for an extended amount of time. I tried it out via its proprietary 2.4ghz wireless connection + USB, and Bluetooth, and unfortunately the results weren&#8217;t great, including the Bluetooth being a little garbled. I hope Steelseries does another iteration because they&#8217;re <a href=\"https://twitter.com/photomatt/status/1242668323466350592\">so close</a>, it just needs to be USB-C on the headphones, the cables, the everything, and super high quality recording.</p>\n\n\n\n<div class=\"wp-block-columns\">\n<div class=\"wp-block-column\">\n\n\n\n\n\n</div>\n\n\n\n<div class=\"wp-block-column\">\n<img />\n</div>\n</div>\n\n\n\n<p>One final entrant —&nbsp;how about just your laptop? Normally I would say this sounds terrible and judge people who didn&#8217;t use a headset, but <a href=\"https://daringfireball.net/2019/11/16-inch_macbook_pro_first_impressions\">John Gruber&#8217;s review of the new Macbook 16 had some really impressive audio files that intrigued me</a>, so here it is, the Macbook Pro 16&#8243;, which starts at about $2,400. It&#8217;s a little boomy, but not bad.</p>\n\n\n\n<div class=\"wp-block-columns\">\n<div class=\"wp-block-column\">\n\n</div>\n\n\n\n<div class=\"wp-block-column\">\n<img />\n</div>\n</div>\n\n\n\n<p>Okay now let&#8217;s get a little crazy. Here&#8217;s a <a href=\"https://www.amazon.com/gp/product/B00KCXMBES/?tag=photomatt08-20\">Zoom H5</a> with the <a href=\"https://www.amazon.com/gp/product/B00GXMTZE6/?tag=photomatt08-20\">SGH6 shotgun mic attachment</a>. (The other Zoom! $410 total.)</p>\n\n\n\n<div class=\"wp-block-columns\">\n<div class=\"wp-block-column\">\n\n</div>\n\n\n\n<div class=\"wp-block-column\">\n<img />\n</div>\n</div>\n\n\n\n<p>Next up is the <a href=\"https://www.amazon.com/gp/product/B0002E4Z8M/?tag=photomatt08-20\">Shure SM7B Cardioid Dynamic</a>, which is what I usually use to record the <a href=\"http://distributed.blog\">Distributed</a> podcast, and costs about $400. This is milky and smooth. (I accidentally called it a Sennheiser in the recording.)</p>\n\n\n\n<div class=\"wp-block-columns\">\n<div class=\"wp-block-column\">\n\n</div>\n\n\n\n<div class=\"wp-block-column\">\n<img />\n</div>\n</div>\n\n\n\n<p>A favorite <a href=\"https://tomdheere.com/voiceovers-and-my-sennheiser-416-the-not-silent-blog-52416/\">of voiceover artists everywhere</a> is the <a href=\"https://www.amazon.com/gp/product/B00030679K/?tag=photomatt08-20\">Sennheiser MKH416 Super-Cardioid Shotgun Tube Condenser ($1,000)</a>, which I like the sound of and I also use for if I&#8217;m doing a fancy video setup and want super-good sound that&#8217;s not in the frame of the camera.</p>\n\n\n\n<div class=\"wp-block-columns\">\n<div class=\"wp-block-column\">\n\n</div>\n\n\n\n<div class=\"wp-block-column\">\n<img />\n</div>\n</div>\n\n\n\n<p>It&#8217;s a great sound, but the part of the house where I recorded all of these is pretty noisy with an AC unit on the other side of the wall, and there&#8217;s a ton of background noise in this.</p>\n\n\n\n<h3>Software eats the audio world</h3>\n\n\n\n<p>Just like photography has been completely transformed by software enhancing images to the point where the top-of-the-line Apple or Samsung smartphone camera is better than all but the very top pro SLR cameras, I think the same thing is going to happen for audio. </p>\n\n\n\n<p>None of these clips are processed, which is why some of the volume levels are different, but I thought it would be fun to demo a tool I&#8217;ve been recommending to a lot of people.</p>\n\n\n\n<p>There&#8217;s a <a href=\"https://krisp.ai/\">$40/year program called Krisp.ai</a>, which I first learned about in 2018 from this awesome post on the <a href=\"https://devblogs.nvidia.com/nvidia-real-time-noise-suppression-deep-learning/\">Nvidia developer blog, Real-Time Noise Suppression Using Deep Learning</a>. What it does is create a virtual microphone, like a filter that exists between one of your physical inputs and what the software on your computer &#8220;hears.&#8221; For fun I re-recorded the MKH416 in the exact same place, but filtered through Krisp.ai:</p>\n\n\n\n<div class=\"wp-block-columns are-vertically-aligned-top\">\n<div class=\"wp-block-column is-vertically-aligned-top\">\n\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-top\">\n<img />\n</div>\n</div>\n\n\n\n<p>Now the audio quality is not as good, it sounds a bit clipped, but throughout there is no more distracting background hums or noise. Krisp can be a little awkward to use but they&#8217;ve made it a lot more user friendly. You could mix Krisp with almost any option here and it would make it sound much better, in fact when I&#8217;m in a pinch my favorite go-to is Airpods Pro + Krisp.</p>\n\n\n\n<p>With everything, a pro tip on MacOS is to hold Option when you click on the sound icon in your upper right taskbar, and it will let you select both input and output devices. Sound Preferences, linked at the bottom of that menu, are your friend. If a mic is too soft you can boost the input volume in the preferences. To choose a camera or mic in Zoom, click the arrow next to the mute button in the bottom left. In Zoom audio settings, under Advanced, they are starting to expose a number of new options for real-time audio processing.</p>\n\n\n\n<img />\n\n\n\n<p>The future sounds good.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 25 Mar 2020 06:04:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:28;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"WordPress.org blog: WordPress 5.4 RC4\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8444\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/2020/03/wordpress-5-4-rc4/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2393:\"<p>The fourth release candidate for WordPress 5.4 is live!</p>\n\n\n\n<p>WordPress 5.4 is currently scheduled to land on&nbsp;<strong><a href=\"https://make.wordpress.org/core/5-4/\">March 31 2020</a></strong>, and we need&nbsp;<em>your</em>&nbsp;help to get there—if you haven’t tried 5.4 yet, now is the time!</p>\n\n\n\n<p>You can test the WordPress 5.4 release candidate in two ways:</p>\n\n\n\n<ul><li>Try the&nbsp;<a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a>&nbsp;plugin (choose the “bleeding edge nightlies” option)</li><li>Or&nbsp;<a href=\"https://wordpress.org/wordpress-5.4-RC4.zip\">download the release candidate here</a>&nbsp;(zip).</li></ul>\n\n\n\n<p>For details about what to expect in WordPress 5.4, please see the&nbsp;<a href=\"https://wordpress.org/news/2020/03/wordpress-5-4-release-candidate/\">first release candidate post</a>.</p>\n\n\n\n<p>RC4 commits the new <a href=\"https://core.trac.wordpress.org/ticket/49295\">About page</a> and&nbsp;<a href=\"https://core.trac.wordpress.org/ticket/49688\">updates the editor packages</a>.</p>\n\n\n\n<h2>Plugin and Theme Developers</h2>\n\n\n\n<p>Please test your plugins and themes against WordPress 5.4 and update the&nbsp;<em>Tested up to</em>&nbsp;version in the readme to 5.4. The priority in testing is compatibility. If you find issues, please be sure to post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>&nbsp;so we can figure them out before the final release.</p>\n\n\n\n<p>The&nbsp;<a href=\"https://make.wordpress.org/core/2020/03/03/wordpress-5-4-field-guide/\">WordPress 5.4 Field Guide</a>&nbsp;is also out! It&#8217;s your source for details on all the major changes.</p>\n\n\n\n<h2>How to Help</h2>\n\n\n\n<p>Do you speak a language besides English?&nbsp;<a href=\"https://translate.wordpress.org/projects/wp/dev\">Help us translate WordPress into more than 100 languages!</a></p>\n\n\n\n<p><em><strong>If you think you’ve found a bug</strong>, you can post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a>&nbsp;in the support forums. We’d love to hear from you! If you’re comfortable writing a reproducible bug report,&nbsp;<a href=\"https://make.wordpress.org/core/reports/\">file one on WordPress Trac</a>, where you can also find&nbsp;<a href=\"https://core.trac.wordpress.org/tickets/major\">a list of known bugs</a>.</em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 24 Mar 2020 22:00:07 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Francesca Marano\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:29;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"WPTavern: Yoast Publishes Free Online Training Course for the Block Editor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=98052\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:193:\"https://wptavern.com/yoast-publishes-free-online-training-course-for-the-block-editor?utm_source=rss&utm_medium=rss&utm_campaign=yoast-publishes-free-online-training-course-for-the-block-editor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5162:\"<p class=\"has-drop-cap\">Yoast, the company behind the popular Yoast SEO plugin, launched its free <a href=\"https://academy.yoast.com/courses/block-editor-training/\">block editor training course</a> today. The course is available to anyone by signing up for Yoast Academy, which also includes multiple other free and paid courses. Users can learn everything from SEO and copy writing to basic WordPress skills. The Academy team&rsquo;s latest course promises to get first-time users up to speed on using the block editor.</p>\n\n\n\n<p>&ldquo;At Yoast, we are huge fans of the block editor,&rdquo; wrote Marieke van de Rakt, CEO of Yoast in the <a href=\"https://yoast.com/new-free-online-training-block-editor-training/\">training course announcement</a>. &ldquo;Admittedly -not right from the start-, but we&rsquo;re now block-editor fanboys and fangirls. That&rsquo;s why we created an awesome free block editor course! We hope it will help everybody to use the block editor to the fullest!&rdquo;</p>\n\n\n\n<p>Currently, the course on block editor training has at least two or three hours of content to work through, depending on how quickly users digest the content. The course offers three major sections:</p>\n\n\n\n<ul><li>What is the block editor?</li><li>Using the block editor</li><li>Extras</li></ul>\n\n\n\n<p>Each of these is further broken down between one and three sub-sections. At the moment, there are seven lessons in total, which range between 7 and 49 minutes based on Yoast&rsquo;s estimated time.</p>\n\n\n\n<p>The courses are similar to taking a school class. The Academy team provides short videos that cover individual topics around the block editor. The team also provides a PDF version of the lesson for those who prefer text over video format. At the end of the lesson, users take a quiz and move on to the next lesson. A score of 80% or more is considered a passing grade.</p>\n\n\n\n<p>The team keeps each lesson digestible enough to complete in a short bout. Even if watching the videos, the PDF version of the lessons, which are high quality and have loads of useful information with links to third-party resources, are recommended reading.</p>\n\n\n\n<p>The team has provided a preview of the block editor course via YouTube:</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<h2>Moving to the Block Editor and Building Training Courses</h2>\n\n\n\n<p class=\"has-drop-cap\">Joost de Valk, founder and CPO of Yoast, said the team would continue building on the training course over time as new features are added to the block editor. There are no plans to update it on a strict schedule, but the team wants to keep it current.</p>\n\n\n\n<p>Yoast, as a company, focuses on SEO. Therefore, some of the advice offered through the course puts focus on creating content that is useful for people and friendly for search engines. One of the primary topics the course touches on is publishing &ldquo;resources&rdquo; and how this is made better by the block editor. &ldquo;Resources are larger articles, evergreen content or in our SEO terminology &lsquo;cornerstone content&rsquo;: the stuff you want to rank within the search results,&rdquo; said de Valk. &ldquo;You can&rsquo;t just throw some words on a page and expect to rank anymore.  You&rsquo;ll have to try a bit harder.  Gutenberg makes that extremely easy.&rdquo;</p>\n\n\n\n<p>The Yoast team has been moving its massive site to the block editor over time. &ldquo;The post types I deal with regularly are all written with the block editor, but we might have some areas of the site that aren&rsquo;t there yet,&rdquo; said de Valk. &ldquo;It&rsquo;s a rather large site, with e-commerce, training, jobs, etc. all built into one giant WordPress multi-site install, so that was a bit of an undertaking. We always try to dog-food stuff though, so we moved everything over quite quickly.&rdquo;</p>\n\n\n\n<p>Getting the 11 million users who are using Yoast&rsquo;s products to make the switch is not quite as easy. Not everyone has embraced the block editor. &ldquo;The usage of the block editor is definitely improving, but it&rsquo;s not going as fast as we&rsquo;d like to see,&rdquo; said de Valk. &ldquo;We honestly think a lot of people don&rsquo;t understand the chances the block editor brings yet, one of the reasons for releasing this course and trying to help more people to start using it.&rdquo;</p>\n\n\n\n<p>The team&rsquo;s latest SEO course had over 10,000 signups within a week. While that number is a drop in the bucket in comparison to their full user count, it is promising. With a similar turnout for the block editor training course, it may convert more users from the older classic editor.</p>\n\n\n\n<p>Putting together full training courses is a large undertaking, but these are the types of resources the WordPress community needs moving forward. &ldquo;It&rsquo;s a lot of work,&rdquo; said de Valk. &ldquo;We have four people in our Academy team, a crew that records our videos, and our design team designs all the PDFs and slides within the videos. It&rsquo;s a non-trivial investment, but we&rsquo;re happy to make that if it helps make more people enthusiastic for the block editor.&rdquo;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 24 Mar 2020 19:47:20 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:30;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"WPTavern: Block Patterns Will Change Everything\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=98017\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:139:\"https://wptavern.com/block-patterns-will-change-everything?utm_source=rss&utm_medium=rss&utm_campaign=block-patterns-will-change-everything\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6877:\"<img />Book sales section from a custom theme.\n\n\n\n<p class=\"has-drop-cap\">It was about a year ago. I was happily designing a theme for aspiring novelists. I wanted to get ahead of the competition and market a theme specifically to writers who would be attempting the National Novel Writing Month 2019 challenge.</p>\n\n\n\n<p>NaNoWriMo, for short, is a whirlwind of a month where 1,000s of people from around the world clatter away on their keyboards to pen a 50,000-word novel manuscript. One month of sheer willpower, coffee by the gallon, and sleepless nights in exchange for glory. There are no grand prizes or guaranteed publishing contracts at the end of the journey. You nab a certificate, a few coupons, and bragging rights. I completed the challenge in 2018.</p>\n\n\n\n<p>Inspired by my win just months before, I built a theme for those who would be taking the journey the following year. I also wanted to broaden its appeal to anyone who might be an aspiring novelist but not necessarily participating in the challenge. Or, maybe even to someone who just published their first book. Perhaps this would be an opportunity to bring a few new WordPress users into our community.</p>\n\n\n\n<p>I outlined a homepage layout to show how users could feature their latest book with a purchase button. Then, it dawned on me.</p>\n\n\n\n<p><em>How could someone build this book sales page without solid experience with the block editor?</em></p>\n\n\n\n<p>I had been using the Gutenberg plugin for months upon months before it landed in WordPress 5.0. I knew the ins and outs of the system.</p>\n\n\n\n<p>The design was simple. Using the core media &amp; text block, a heading, a couple of paragraphs, and a button, I had created something that may have been too complex for the average user. I had not even gotten into the custom color, font-size, and block-style options that accented the layout.</p>\n\n\n\n<p>This simple combination of blocks had the potential to be overly complicated for some. I had other plans for more complex layouts. Other theme authors had taken on bigger combinations of blocks. For end-users, they were likely stepping into a world that did not make sense. They would see beautiful theme demos and grow frustrated when they could not make things work. The block editor was not, and is still not, intuitive enough for the least-knowledgeable users to build layouts beyond the basics.</p>\n\n\n\n<p>I opted for a step-by-step tutorial to guide my users into building this <em>simple</em> book-selling section. However, documentation is not always the best answer. Even when users find and read it, the results are not always accurate. It would have been far simpler to have a button that, when clicked, inserted this section directly into the editor. The user could then customize it to fit their content.</p>\n\n\n\n<p>That is where <a href=\"https://github.com/WordPress/gutenberg/issues/17335\">block patterns</a> come in.</p>\n\n\n\n<p>Theme authors should be able to build unique and complex combinations of blocks with custom styles. Users should be able to just <em>make it look like the demo</em>.</p>\n\n\n\n<p>Since &ldquo;building&rdquo; (I use this term loosely) my first WordPress theme in 2005, I have either seen or attempted every manner of solution to this problem. Page templates. Theme options. Shortcodes. Widgets. You name it. They have all been tried before. Each method provided major hurdles for users. Some (<em>ahem, shortcodes</em>) left users&rsquo; content in shambles and created a lock-in effect where they ended up tied down to their theme.</p>\n\n\n\n<p>It is long past time for something new.</p>\n\n\n\n<h2>What Are Block Patterns and How Will They Improve User Experience?</h2>\n\n\n\n<img />Custom pricing columns section.\n\n\n\n<p class=\"has-drop-cap\">What happens when a user wants to build a layout with multiple columns of pricing options as shown in the above screenshot? Good luck. Most could not produce it with the block system. Even without block patterns, the theme would need some custom block styles to make it possible. Plugins will likely fill in the void for such complex output and have been tackling pricing tables in various ways over the years. What if we could produce layouts like this within themes or in much simpler plugins?</p>\n\n\n\n<p>It is possible with block patterns.</p>\n\n\n\n<p>Put simply, a block pattern is a group of blocks. Core WordPress, themes, and plugins will be able to register patterns with predefined settings attached to them.</p>\n\n\n\n<p>From the average user&rsquo;s point of view, block patterns are predefined sections they can use to create layouts. These layouts can be something as simple as the book section from earlier in this article to the more complex pricing columns. With these patterns available, users will be able to create complex layouts at the click of a button.</p>\n\n\n\n<p>The block system laid the foundation for a much different and forward-compatible future than what we have experienced over the years. At the end of the day, most blocks are just plain old HTML. Block patterns will be nothing more than the registration of a group of these blocks. When a user switches themes, their content remains intact, even when their new theme does not register the same patterns.</p>\n\n\n\n<p><a href=\"https://wptavern.com/gutenberg-7-7-ships-refreshed-ui-and-first-iteration-of-block-patterns\">Version 7.7 of the Gutenberg plugin</a> shipped the first iteration of an interface for patterns. It is basic and will undergo several more iterations before it is ready for use in production. Eventually, there will be a fully-integrated interface for selecting from multiple patterns. The user sees something they want to use. They click on that pattern. It gets inserted into the post.</p>\n\n\n\n<p>No more complicated theme options. No more shortcode soup. No more hours of frustration wondering why you cannot build that custom front page shown in that carefully-crafted theme demo.</p>\n\n\n\n<p>I may be a tad optimistic. Block patterns will require massive buy-in from the theme and plugin developer community. While core WordPress will ship several popular patterns by default, they will in no way cover the breadth of design that is possible when theme authors put their artistic skills to work.</p>\n\n\n\n<p>I have always been excited about the block editor. However, it has always felt like I was more excited about the <em>potential</em> than the end product. I was in a constant state of waiting for it to become the thing I thought it could be. Yes, I am still waiting. However, tinkering with an early version of the pattern system feels like we are getting to the point where we can do those awesome things the editor was supposed to allow us to accomplish. It has been a long wait, and we still have a bit to go. But, I have a renewed passion for the project after experiencing the work that has been done thus far.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 23 Mar 2020 20:12:47 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:31;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"WPTavern: Still No Wood Grain: WP Tavern Design Update\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=97987\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:151:\"https://wptavern.com/still-no-wood-grain-wp-tavern-design-update?utm_source=rss&utm_medium=rss&utm_campaign=still-no-wood-grain-wp-tavern-design-update\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2924:\"<img />WP Tavern homepage design.\n\n\n\n<p class=\"has-drop-cap\">It has been a bit of a slow news week in the land of WordPress with the COVID-19 pandemic reaching across the globe. Most people are hunkering down or getting accustomed to a change in their daily lives. For some people, that has meant figuring out a way to work with children at home. For others, it has meant they cannot take their daily lunch with colleagues or friends.</p>\n\n\n\n<p>With far less WordPress-specific news going on, it made for an ideal time to put some work into the WP Tavern website. Most weeks, I am far too busy sifting through stories to put the amount of work I want into updating the design, but I am trying to treat this week as a little bit of a blessing and look at the upside.</p>\n\n\n\n<p>Not much has changed with the overall layout of the site, but I was able to tackle a couple of issues that you, our readers, have been asking for.</p>\n\n\n\n<p>The biggest change that you will notice is a new header design. On mobile devices, it will look the same. However, on larger screens, the header expands to reveal a search form with a navigation menu below. The header colors have been updated. With more horizontal space, the menu also has extra links pointing to our primary categories, which has also been an oft-requested change.</p>\n\n\n\n<p>While these changes may seem minor, I wanted to address some of the bigger user-experience issues that you all have messaged about. There is still more work to do, but I want you to know that we are listening to your feedback.</p>\n\n\n\n<p>The major roadblock with this design iteration was related to the block editor&rsquo;s markup changes. These changes will <a href=\"https://wptavern.com/preparing-for-wordpress-5-4-changes-theme-and-plugin-developers-should-know-about\">land in WordPress 5.4</a>, so theme authors need to make sure they are prepared.</p>\n\n\n\n<p>I wanted to spend more time working on front-end updates, but correcting editor issues took precedence. It has not been a great experience writing on the site for the past week without theme styles being properly applied. The block editor&rsquo;s default font size is far too small for my poor eyesight, so backend work moved to the top of the to-do list.</p>\n\n\n\n<p>Aside from those changes, I cleaned up several trivial issues that have been bugging me but would go unnoticed by visitors. Work on a website design is never finished, and I look forward to continuing molding things to better serve our readers.</p>\n\n\n\n<p>One of the things I want to tackle next is featuring comments from you all in better ways. We have done a little of this with our <a href=\"https://wptavern.com/category/from-the-comments\">From the Comments</a> series, but that is just the first step toward building more of a community atmosphere. As always, feedback is welcome.</p>\n\n\n\n<p>Everyone stay safe during this rough patch the world is going through.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 20 Mar 2020 20:09:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:32;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"WPTavern: Block-Based Themes and the Problem with Dynamic Data in HTML Templates\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=97955\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:205:\"https://wptavern.com/block-based-themes-and-the-problem-with-dynamic-data-in-html-templates?utm_source=rss&utm_medium=rss&utm_campaign=block-based-themes-and-the-problem-with-dynamic-data-in-html-templates\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6431:\"<p class=\"has-drop-cap\">The Gutenberg project and its eventual full-site editing feature is coming upon a major issue that will need to be solved. <a href=\"https://wptavern.com/initial-documentation-for-block-based-wordpress-themes-proposed\">Block-based themes</a> of the future are currently on a path toward a template system that will comprise of plain HTML files. While that will work for the majority of a theme&rsquo;s output, the trouble is figuring out how the project will handle dynamic values.</p>\n\n\n\n<p>Most of the discussion has centered on handling URLs, which are probably the most common use case. Currently, theme templates have all sorts of dynamic content. Much of that will be replaced with blocks as we continue moving toward full-site editing. However, not all dynamic data will have a block equivalent.</p>\n\n\n\n<p>A good example is that theme authors cannot currently add the <a href=\"https://github.com/WordPress/gutenberg/issues/20542\">homepage URL to the navigation block</a>. Some experimental block-based themes are using a simple <code>/</code> character, which points to the wrong location on many WordPress installs.</p>\n\n\n\n<p>Solving this issue sooner rather than later is important for the progression of theme development in a block world. However, such a solution needs to be carefully crafted so that the theming community is not bogged down by a decade or more with a poor templating implementation.</p>\n\n\n\n<h2>The Current Proposals</h2>\n\n\n\n<p>The Gutenberg repository currently has an <a href=\"https://github.com/WordPress/gutenberg/issues/20966\">open ticket for discussion</a> on handling dynamic values in templates. At the moment, there are four proposals on how to address the issue.</p>\n\n\n\n<h3>On-the-Fly String Replacement</h3>\n\n\n\n<p>One solution would be to use PHP to parse each HTML file and replace strings representing dynamic data on the fly. This would require parsing all of a theme&rsquo;s templates on every page load. The downside is that it would slow down the page load. We would need real unit tests to see how much of a spike in loading time this method creates.</p>\n\n\n\n<p>Assuming a <a href=\"https://mustache.github.io/\">Mustache</a>-like syntax, templates would have values such as the following image output:</p>\n\n\n\n<pre class=\"wp-block-code\"><code>&lt;img src=\"{{ theme_image_example }}\" /&gt;</code></pre>\n\n\n\n<p>One added benefit of adopting such a solution is that WordPress could automatically escape these dynamic values by default. This would be a boon to theme security, which is one of the <a href=\"https://wptavern.com/data-from-theme-reviews-shows-authors-need-more-education-on-developing-secure-wordpress-themes\">biggest issues faced by the theme review team</a>.</p>\n\n\n\n<h3>One-Time String Replacement</h3>\n\n\n\n<p>The second solution proposes using the same method but parsing the HTML files once, upon theme activation, and replacing dynamic values with proper values. The largest benefit of this method is that the parsing would not affect front-end loading speed.</p>\n\n\n\n<p>This method is problematic because it does not account for changes to templates after the initial parsing. It also does not handle scenarios when a value changes via user input. For example, a user may decide to change the location of their blog posts page. Therefore, a parsed URL that becomes static would point to the wrong location.</p>\n\n\n\n<h3>Templates as JSON</h3>\n\n\n\n<p>A third solution proposes the idea of turning theme files into JSON. It is far easier to parse and extract data from a JSON file than and HTML file. However, theme designers do not write JSON to build template output. HTML exists for a reason.</p>\n\n\n\n<p>This solution would raise the barrier so high for new theme authors that it would be rare for those who just learned basic CSS and HTML to get into WordPress theme development. This idea is so foreign to the idea of template design, that it should not be a serious consideration.</p>\n\n\n\n<h3>Templates That Return Blocks via PHP</h3>\n\n\n\n<p>The fourth and final proposal is to use PHP files with a function that returns a block template. This method would be straightforward and could be picked up easily for existing theme authors who have a familiarity with PHP.</p>\n\n\n\n<p>A template would look something like the following:</p>\n\n\n\n<pre class=\"wp-block-code\"><code>function my_theme_front_page() {\n	return \'&lt;!-- wp:cover {\"url\":\"\' . get_template_directory_uri() .\'/block-background-image.png\",\"id\":273,\"dimRatio\":0,\"minHeight\":647,\"align\":\"wide\"} --&gt;\';\n}</code></pre>\n\n\n\n<p>This idea puts more focus on PHP than HTML. It would be the easiest-to-implement solution for the Gutenberg development team. However, like the JSON method, it would raise the barrier to entry for first-time theme authors. It will mean making sure quote and double-quote characters do not get mixed up. The method would be prone to bugs and looks alien to modern-day templating.</p>\n\n\n\n<h2>Templating Should Focus on HTML</h2>\n\n\n\n<p>Templating should always be HTML-first. Even in our current theme system, theme authors can build beautiful, safe, and functional themes by simply knowing HTML and CSS. PHP is secondary, especially when it comes to the templating aspect. Our templating system relies on knowing HTML and plugging in a few <em>template tags</em>, which are PHP functions that WordPress provides for dropping in between HTML tags. This simplicity is, in part, what made WordPress theme development so easy to learn for anyone willing to put in a little time.</p>\n\n\n\n<p>Block-based themes have the potential to drop the barrier even lower than our current templating system. However, templates as JSON or PHP functions runs counter to that. Any solution that pushes us farther away from the basic building blocks of the web, HTML, should not be on the table for discussion.</p>\n\n\n\n<p>It may be time to adopt a proper PHP templating engine. There are plenty of examples out there. <a href=\"https://twig.symfony.com/\">Twig</a>, <a href=\"https://laravel.com/docs/5.7/blade\">Blade</a>, <a href=\"https://www.smarty.net/\">Smarty</a>, and others have existed for years. Those also have some barrier to entry in the form of new syntax, but this should be no tougher than learning to plug template tags into the current system.</p>\n\n\n\n<p>At the very least, we will need to figure out a solution for handling dynamic data in what is essentially static HTML files.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 19 Mar 2020 20:37:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:33;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"Matt: Physical Distancing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"https://ma.tt/?p=51063\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"https://ma.tt/2020/03/physical-distancing/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1303:\"<blockquote class=\"wp-block-quote\"><p>I&#8217;ve really had enough of this term &#8220;social distancing.&#8221; That is not at all what we are looking for, is it? It should be &#8220;physical distancing.&#8221; In these times of rampant loneliness (especially for seniors), disconnection, and lack of empathy and compassion, we need the opposite — social connecting. And we need it under these circumstances more than ever. Let&#8217;s be creative in finding new ways to come together.</p><cite><a href=\"https://gazzaley.com/\">Adam Gazzaley</a>, M. D., Ph. D, University of California, San Francisco</cite></blockquote>\n\n\n\n<p>Update: On March 20th, the World Health Organization has officially updated it&#8217;s recommendation to &#8220;physical distancing.&#8221;</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">WHO is changing the phrase \'social distancing\' to recommend \'physical distancing,\' encouraging people to stay connected via social media. Live updates: <a href=\"https://t.co/cEBwkonfeh\">https://t.co/cEBwkonfeh</a> <a href=\"https://t.co/csWTpViUQh\">pic.twitter.com/csWTpViUQh</a></p>&mdash; Reuters (@Reuters) <a href=\"https://twitter.com/Reuters/status/1241058736501858304?ref_src=twsrc%5Etfw\">March 20, 2020</a></blockquote>\n</div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 19 Mar 2020 03:26:48 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:34;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:90:\"Post Status: Taking care of your mental health in uncertain times, with Dr. Sherry Walling\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://poststatus.com/?p=78135\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"https://poststatus.com/mental-health-dr-sherry-walling/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:57908:\"<p>Dr. Sherry Walling is a psychologist and entrepreneur adept at &#8220;helping smart people do hard things.&#8221; She was gracious with her time in this Post Status Webinar with Cory Miller, where Dr. Walling explained how to navigate life in uncertain times.</p>\n\n\n\n<p>Here\'s the audio episode:</p>\n\n\n\n\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<div class=\"embed-vimeo\"></div>\n</div>\n\n\n\n<hr class=\"wp-block-separator\" />\n\n\n\n<h3><strong>Topics discussed </strong></h3>\n\n\n\n<ul><li>Managing fear, worry, and anxiety.</li><li>The coronavirus (COVID-19), and how to handle it.</li><li>Isolation, social distancing, remote work, and mental health.</li><li>Q&A; on work boundaries, stress, and more.</li></ul>\n\n\n\n<h3>Cory\'s Takeaways</h3>\n\n\n\n<ul><li><strong>Take some big deep breaths: </strong>Do Dr. Walling\'s 4&#215;4 breathing exercise: four slow seconds in, four slow seconds out. </li><li><strong>Refocus on gratitude: </strong> Make a list of what are you thankful for.</li><li><strong>Have the worry voice inside you make an appointment: </strong>Put it on a schedule that\'s not 24/7. Listen to it for a set time; it’s there to protect you, but once its time is up, move on.  </li><li><strong>Connect with others daily:</strong> Social distancing doesn’t mean losing connection. Use FaceTime, Zoom, etc, and schedule a virtual Lunch or Snack. </li><li><strong>Have playtime: </strong>Whether that’s playing with Legos, cooking, or pulling our your old musical instruments. </li><li><strong>Get your heart rate up with exercise:</strong> Have a family dancing competition, do yoga or pushups.</li><li><strong>Limit your news consumption to 15 minutes a day.</strong></li><li><strong>For single people living alone and missing physical touch:</strong> Find a soft, comfortable, and perhaps a heavy blanket, or take a hot bath. </li><li><strong>For entrepreneurs:</strong> Remember, you can’t do everything yourself and you can’t fix everything by yourself. We’re all in this together, especially your team: &#8220;Leadership means you\'re hosting the conversation. You\'re listening. you\'re engaging, it doesn\'t mean that you are the ultimate decider.&#8221; </li></ul>\n\n\n\n<h3>Links</h3>\n\n\n\n<ul><li><a href=\"https://mastermindjam.com/\">Zen Founder</a></li><li><a href=\"https://sherrywalling.com\">Dr. Sherry Walling\'s website</a></li><li><a href=\"https://twitter.com/zenfounder\">@zenfounder</a> — Dr. Walling\'s Twitter</li><li><a href=\"https://zenfounder.com/episodes/episode-235-calm-stability-in-the-crisis-of-coronavirus/\">Calm Stability in the Crisis of Coronavirus</a> (ZenFounder podcast)</li></ul>\n\n\n\n<h3>Episode Partner: <a href=\"https://poststat.us/sandhills\">WordFence</a></h3>\n\n\n\n<p>If your website is mission-critical you can\'t afford the downtime, reputation challenges or SEO impact of getting hacked. That\'s why so many sites rely on the real-time protection provided by&nbsp;<a href=\"https://poststat.us/wordfence\">Wordfence&nbsp;Premium</a>.</p>\n\n\n\n<p><a href=\"https://poststat.us/wordfence\">Wordfence</a>&nbsp;protects your websites with the best WordPress security available and offers a powerful and efficient way to manage security for multiple sites in one place with&nbsp;Wordfence&nbsp;Central.</p>\n\n\n\n<h3>Full Transcript:</h3>\n\n\n\n<div class=\"transcript\">\n\n<p><strong>Cory:</strong> Hey, everybody, my name is Cory Miller and I am pumped to have my good friend Dr. Sherry walling. Here Today she is an experienced psychologist has worked with all types of people across the spectrum in particular how we got to know each other is her work with entrepreneurs. She is an entrepreneur, she happens to be married to a serial entrepreneur, but I love the breadth and depth of her experience, particularly with trauma. And so, amidst the circumstances, we find ourselves today, I texted Sherry and said, Would you do a q&#038;a? Would you just have a conversation with me? And she said, &#8220;Absolutely.&#8221; Sherry, thank you for the time today. This is vital that we keep this conversation on and I appreciate you be willing to share your experience and expertise with whoever\'s on the webinar today.\n\n<p><strong>Sherry:</strong> Yeah, thanks so much for asking. Cory and I had — we\'ve had — lots of conversations related to mental health and the need for an open conversation about mental health in entrepreneur communities that we kind of live and work and breathe in. So I\'m always grateful for the way that you are hosting conversations where people get to be honest about what they\'re needing and what part and also share what\'s helpful.\n\n<p><strong>Cory:</strong> Absolutely. Well, just if you join And you can help me help others as they join the webinar late perhaps, and I\'m talking to our attendees, that little button that says q&#038;a on the bottom zoom, hit that and ask a question along the way, but Jerry and I are just going to geek out and have a conversation. And so I\'m glad you can join us for it. Okay, Doctor,\n\n<p><strong>Sherry:</strong> —this is also what it\'s like to have a coffee with Cory and me, by the way.\n\n<p><strong>Cory:</strong> Exactly. Okay, doctor. The world is a little bit chaotic right now.\n\n<p><strong>Sherry:</strong> Yeah, I noticed.\n\n<p><strong>Cory:</strong> Um, I feel like this. This conversation is pertinent because right now, if we just kind of stay, here\'s where I\'m going at what I\'m going through. I\'ve got two kids and now you\'ve got three. Were quarantined. No school for the foreseeable future. They\'re talking about in Kansas, for instance, I think shutting down school for the end of the year. End of the school year. There\'s, I don\'t even want to look at my stock market equities stuff. Um, what are you feeling?\n\n<p><strong>Sherry:</strong> You know, I think I go up and down probably like everybody else. So the pain point just for me personally right now is that I am continuing to work my husband is continuing to work because thankfully both of us still have work to do. And both of us have jobs that are fairly possible to do from home. But now we have all three of our children home off the road children who go to three different schools who are now trying to throw together online education over a weekend and you know, all of us who do work on the internet can appreciate that that\'s not very easy to do. So all my kids are like, how do I like it? How do I do this, how to do that, like nobody, none of the systems are flowing and that is, of course unnecessary. In where the best case scenario you\'ve got two parents who are used to working from home and are flexible and things like that. So the bottom line is that there is no normal anymore for a while for anyone. And so there\'s a great deal of as you know, just anxiety and the need to be able to be extraordinarily flexible in a way that none of us are used to doing because especially those of us that run businesses we plan we look at spreadsheets, we think we\'re strategic, and all of those bands are not relevant right now for the foreseeable future, which is extraordinary—\n\n<p><strong>Cory:</strong> So the one emotion I guess, that comes to mind in all of this and I\'m speaking from personal experience here is fear. I think it was the first word I mentioned to you — so much fear — some of it just fear on fear, you know, just accounting fear. You can\'t go online or watch TV without being just bombarded about it. So if you had a microphone right now and the entire world could hear it and all their native languages and stuff, when we talk about fear, and fear produces anxiety, all this stuff. We can\'t we can get frozen in it. What? What\'s something you would say?\n\n<p><strong>Sherry:</strong> I mean, in a way, I think we\'re all feeling it in our bodies. Like when even you say the word fear, like your la just kind of gets tight. Your chest gets heavy, it\'s hard to breathe. And on one hand, it feels really disingenuous to say don\'t be afraid. But on the other hand, we are all in the same boat and we will all All survived one way or another together. So I think the extent to which we can slow down that fear response and breathe and look around to see what is directly controllable which, you know for many of us is our bodies you know have gone on a walk today joining me to lay down for a nap What does my body need at this moment? Do I need just a really big glass of water, like the really, really simple things that are directly controllable help to counterbalance this sense of fear which comes from being out of control? And so getting really specific, slowing down, keeping life as simple as possible. They sound so simple, but of course, when we actually try to put them into practice, they\'re profound and somewhat difficult. But the, you know, the fear is in and of itself, its own problem. So turning down that fear even if it\'s well-grounded fear I\'m I mean, I\'m under No, no delusion that everything is fine. Everything is not fine, but the fear doesn\'t help.\n\n<p><strong>Cory:</strong> Yeah, there\'s so much in there I want to impact. So when I think it was like a couple of days ago kids were home because of spring break here in Oklahoma. And we\'re looking at Oh, man, will they go back to school? markets, all that stuff. And I remember walking out that night and just looking at the beautiful sunset and going, the sun is still setting in the next morning when I woke up is still rose again. It\'s this weird thing. I guess we haven\'t told the son that there\'s a chaotic thing happening right now. But some of those things. One I think you just give us freedom and permission to know that fear is a human experience. But I like the words you said there — &#8220;what are the things we can control?&#8221; And I\'m probably an admitted control freak. What are some of the prompts you ask yourself or your clients or others about that I want to get to? &#8220;Walk&#8221; and &#8220;sunshine&#8221; and all that because I know there\'s a big word called &#8220;play&#8221; that you love, you\'ve helped introduce back to me. But, you know, for me, it\'s fun. It feels like okay, what can I control? You know, our responses potentially to freeze in the fear, let it compound and just suffocate us. And I go, what are the things I can\'t control? What are the things I know are fact like, you know, the sun setting and rising the next day?\n\n<p><strong>Sherry:</strong> Yeah, I mean, I do think we can, we can control our body, sleep, food movement, we control our breasts, the ability to take slow deep breaths, we can control our thoughts. To some extent, and we can go back to breath in a minute, you want to talk more about that. But like, we can control our thoughts to some extent. And that\'s, that is the thing that I think feels really difficult right now. Because I know like you like my instinct is like, every time I pick up this magical device to be like, how many more? How many more cases are there? What\'s the market doing? Like, you know which borders are closed, which is open. You know, there\'s so much and I think some of the control that we all want to exert right now is to really limit the amount of factoids and information that we\'re, we\'re accessing right now. Like, obviously, it is an important time to have good healthy information on which to make decisions, but the amount of information is, is really not helpful. So 15 minutes in the morning, 15 minutes a night should probably do, yeah, you don\'t need to have your newsfeed buzzing all day. So controlling titrating turning up and down the volume around which you\'re exposed to information is helpful, that helps control your thoughts. Even specifically skewing your thoughts one way or another. I mean, his is the best time in the world for our gratitude practice, again, not because we need to walk around pretending it\'s all sunshine and roses, but because right now we\'re on this call and we\'re all breathing. And we\'re all okay so far. And that, in and of itself is I think going to become profoundly important to remember the things that are going well the things that are intact, the things that we can be grateful for. That helps to put some parameters around the power of fear to begin to sort of control our minds.\n\n<p><strong>Cory:</strong> Yeah, I love that. The things you just mentioned are all just so simple. I think we have a tendency to &#8230; skim over them, but the fact that we can just take a breath and gratitude. I hadn\'t had that on the list before we talked, but gratitude those are things we absolutely control. In the past groups you and I have done together, you\'ve really led. You really talk about the breath. And I know, yoga is a deep part of your life. I know. And that is not all about the breath. But you know, I know this is something we all have at our disposal right now, as you just said. Can you share some practices, some thoughts about that?\n\n<p><strong>Sherry:</strong> So the super-fast version of the science is that there\'s this thing called the vagus nerve, which is based in our brainstem and then goes all the way throughout our bodies and after these tendrils of connection and all of our major organs, and that\'s a part of their bodies that declares all as well. So after we have that anxiety response, it\'s the vagus nerve that signals Okay, we\'re good now, like the tiger is not going to eat us today. And that is the part of the body that in a way we kind of want to hack those of you who coders here, do you want to hack to be able to say, Okay, I need to take my body into palm because my body\'s been living in fear. Anxiety too long. So the breath is this strategy that we use to help signal the all-clear sign to end the emergency response. You think about, it\'s almost impossible to be really upset and breathe really slowly there. There\'s kind of antithetical physical realities. So when we can engage our vagus nerve through deep, slow breath, we\'re essentially sort of pushing the dominoes to fall toward calm both in our mind and in our physiological reality. So the simplest practice, like the Easy, easy way to do this, is I call it it\'s just four by four breaths. So it\'s four seconds in, four seconds out, for birth should begin to turn the tide. It doesn\'t have to be this deep, 30-minute sort of meditation where you go into some existential Zen Nirvana place. Just really, that was a terrible cultural statement, I\'m sorry, but four deep breaths. And the breath should be low and slow, which means we\'re pulling the breath all the way down into our belly or diaphragm and slowing it down. So lots of like apps and YouTube things about this. We can end with a breath practice if we have time. But it\'s beyond yoga and meditation. It\'s just really, really great concrete science to help counteract that anxiety response.\n\n<p><strong>Cory:</strong> Well, this is something you know, I\'ve read navy seals and combat. They control their breath. They weren\'t maybe before but you know, they weren\'t. So think about that in crisis. That first instinct is to take a big deep breath, but I love the former for practice, Southern by—\n\n<p><strong>Sherry:</strong> I didn\'t learn that in yoga, I learned it working in with the military. Oh, that\'s right. That\'s right.\n\n<p><strong>Cory:</strong> Well, I\'d invite everybody right now and your own while we\'re talking. Let\'s do that the four by four, four slow, deep breaths in, slip four out. We\'re going to continue your conversations because I\'ve got a lot to talk this year about, by the way, and I\'m glad you\'re eavesdropping on our conversation. gratitude. It\'s that one that it\'s like, I know the science the studies are there. And it\'s that one that man, I just — my mind just wants to focus on all the junk, all the chaos. But it\'s kind of like that you\'re the former for deep breath is telling you. I love your statement there. It\'s hard to do both of these negative and positive things at the same time. So it is to pick feels that way was gratitude too, though. Yeah.\n\n<p><strong>Sherry:</strong> I think when you\'re when you\'re acknowledging, making a list three to five things that you\'re grateful for. And that can be the fact that hey, I don\'t have to go to the doctor today. Or, you know, my kids are able to relate lead. So worst-case scenario can give him a book and we can call that school I mean there it can be really, really simple things it\'s pretty impossible to feel like everything is horrible when you can find those five things to be grateful for. So even you know, those of you who live with other people this is a great practice for the dinner table. When I was growing up, we would begin our meal with a prayer my family doesn\'t practice that tradition anymore, but we do begin our meal with a gratitude, and so each of our children will go around and just say one or two things that that are they\'re thankful are happening right now.\n\n<p><strong>Cory:</strong> And what a great pair with the breathing you know, finding yourself going down the anxiety true deep, getting lost into feeling suffocated, whatever those sensations are, but then going back to the breath and gratitude. I think you\'re just really fantastic. You know, worry. So one thing that comes to mind for me is when something happens, I go catastrophe mode. And another fancy phrase, phrase for this is cognitive distortion, I believe cognitive bias traffic—\n\n<p><strong>Sherry:</strong> —traffic thinking, yeah.\n\n<p><strong>Cory:</strong> And I would bet you money that a lot of people go cash-free to, like the markets crashing, my 401k is screwed. Like, I\'m not going to be rich, I\'m going to be working until I\'m 110 I live that low kind of thing. And that feels like something when we talk about worry is that our mind can it can work against us, too. What are some thoughts about that? My mind goes racing, I got a contest free I got a Yeah, you know, there is no I mean, the world is, you know, ending in my mind. I can see it all — all the bad things that could potentially happen. And how do I, how do I reset? I mean, we\'ve just talked about breath for sure and gratitude, but how do we combat some of the — I call it my inner jerk.\n\n<p><strong>Sherry:</strong> So I have maybe a little bit of a different take on that, especially right now, which is to like, let your inner jerk have his moment. So, you know, it\'s to sort of maybe sit down with Lindsey or meet with my husband, Rob, sort of say like, what is the worst-case scenario? Like? If we haven\'t, you know, to basically put it on your calendar, we\'re going to have two hours of catastrophe planning. And we\'re going to talk about all of the things that are going to fall for us it meant we like updated our will, you know, like, hey, both of us died from this virus who\'s going to watch our kids who haven\'t done in a while. We bought a hand-crank radio. So I don\'t know how the power is going to go out from coronavirus but like, you know, we have one in the basement now. So it\'s basically acknowledgment that you call it the jerk but like the sort of paranoid voice. So it lives in your head, is there as an attempt to protect you? Like, he\'s not really a jerk? He\'s just like, hey, Cory, are you paying attention? And so when we give them a moment and sort of say, Okay, what do you need to tell me? You know, and what can I possibly do with what is within my control my power to prepare for the end of the world? There might be some things, right you know, we have a really stupid radio thing, we have more batteries that we need, canned food &#8230; So I would say make an appointment with your, the crisis manager that lives in your head and give he or she a couple of hours of your focused attention and follow whatever recommendations are reasonable and you can reasonably do and then when that voice resurfaces, you can say &#8220;it\'s cool, dude, I got the hand-crank radio in the basement, like we did that, yeah, we have a water filter, you know? Or, you know, we\'ve got some gold or you know&#8230;&#8221; Certainly, lots of these scenarios we can\'t perfectly plan for. But I think when we give that alarmist voice a little bit of airtime and make a plan accordingly, it helps to sue that more than just sort of push it down and say, Stop, stop, stop, stop, stop. You\'re a jerk because I don\'t know I don\'t think he\'s a jerk or I think he\'s just trying to help you out.\n\n<p><strong>Cory:</strong> Yes, a jerk voice though sometimes, but yeah, we\'ll get no I love that because I think there\'s this sense insane, like, make an appointment, bro. And then just my counselor a couple weeks ago, I was stressing about something like catastrophe. It wasn\'t related to this. Because Okay, tell me what you\'re gonna do. Keep going down the cash-free room. Okay. And I went dark and I went deep, and I started the video. Kind of laughing because I could hear myself say things and go do I really think this catastrophe is gonna happen? But I love your advice is that I mean there is some there\'s probably some sense of safety. I\'m just thinking like, I want to go by hand-cranked radio, you know, but like I think there\'s some sense of like you\'ve acknowledged it like you said, but also go in your head. There\'s a hand-crank radio, by the way. Hey, remember, I did listen to you. He may not be perfect for FEMA executive director, but you\'re helping me and I think what you\'re saying to Sherry is acknowledging that that also is natural that that inner the prey maybe not so jerk. She\'s there for good reason too.\n\n<p><strong>Sherry:</strong> The alarm is protection has a role. We don\'t let it go crazy, but it doesn\'t also help to sort of shove it in the closet.\n\n<p><strong>Cory:</strong> Yeah, then just pulls up even probably worse, when when you don\'t, you know, let these human things part of being human, kind of acknowledge them and, you know, thousands of years ago were in us biologically to help us survive and I think that\'s good. Okay, so we\'ve talked about fear worry, there\'s some in that I think some of the uncertainty and some really good ways to tackle that. So let\'s switch gears just a tad in the situation we find ourselves in we just acknowledge like, you\'ve got three kiddos. I\'ve got two kiddos were sequestered at home, you know? Yeah. So it\'s, it\'s crazy. You know, Sherry have talked so long about that, trying to provide resources into the world that says I\'m not alone. Yet this phenomenon that\'s trending which is a good reason for this particular this pandemic is social distancing. But we\'re sequestered in our house. You know? So this the situation we\'re in, I want to talk about parenting to and spouse, significant other roommates, all that. But, yeah, isolation. I mean, we have to oscillate in order to flatten that curve and do the right things and everything but there\'s a real phenomenon that we\'re pushing deeper into, which is isolation, social distancing, which is good for maybe a virus but not for our emotional high.\n\n<p><strong>Sherry:</strong> Yeah.\n\n<p><strong>Cory:</strong> What are your thoughts about we\'re in our bunkers, right? We\'re in right we\'re told don\'t high five and hug. Yeah. Don\'t go Yeah, middle of groups, whether it be churches or groups for instance, or, you know, our workplaces. were told to go isolate like&#8230;\n\n<p><strong>Sherry:</strong> — and that is where, you know, again, this magical device in my hand becomes really powerful because I can still FaceTime my mom in California. And, you know, I\'m having, you know, a zoom snack later with my friend Anna. Like, I think that register zooms back. We\'re not drinking right now. So we\'re having Zoom snacks instead of Zoom drinks. But I think that, you know, the danger is that we mistake Facebook feed or twitter feed for connection. And there\'s a utility there, but it\'s not the kind of connection that we\'re craving. But if we get on the phone, get face to face, over the devices, with friends with people, we love that that\'s still a way to have a really meaningful connection that we all desperately need. Even the kids need, you know, my kids are facetiming a lot more people than normal. So, so Social distancing is about, you know, spreading germs. It\'s not about our hearts and our minds. social connection is as important if not more important than it\'s ever been before. And that\'s where technology is suddenly really, really helpful for all of us. But the thing that I want to stress is that it\'s intentional. It\'s connected, it\'s heart to heart. It\'s not just like reading the highlight reel on Facebook. Like that\'s not the kind of connection that we all necessarily need. It\'s the appointment. Let\'s sit down and talk. Tell me how you\'re feeling. What\'s driving you crazy. What are you grateful for? What\'s bringing you joy right now?\n\n<p><strong>Cory:</strong> Those are great questions, like, just phone a friend or having a zoom snack. What\'s bringing you joy right now? What do you mean? You just, I see your Taekwondo here. You\'re a ninja. You\'re like, okay, ask the question. Maybe it\'s a conversation with someone who is a dear friend. Some of you haven\'t talked to a loved one. Back to the gratitude. Hey, can we have a deep breath together? I love that. Someone and by the way, let me just take a moment to say if you have a question, hit the Q&#038;A button at the bottom of the Zoom window. And you can ask an anonymous question. A couple have come in. I\'ll take those in just a minute. But one of them said, Sherry, I really liked this distinction. Any thoughts on tape, changing the term social distancing to physical distancing? You can still be social. But yeah, it\'s there. There\'s a physical distance — \n\n<p><strong>Sherry:</strong> —allotted for it. Yeah. \n\n<p><strong>Cory:</strong> Yeah. I like that distinction. So maybe, I mean, I tend to think share a —  try to think — take problems and see the opportunity in it. And you know, there\'s probably some kind of sunshine quote, I should figure that out. You know, like, every Rain, Rain is the rainbow or something. But there are opportunities were sequestered. It might be an opportunity where we\'re not in a busy office or having to run around like, you know, take kids to school and practice that we\'ve got a little bit more time to And can use that to reach out to somebody we haven\'t. And, and I really, really, really like that and using technology, not trying to replace it. But right now it\'s a, it\'s an opportunity we have FaceTime is free soon, I\'ll have your zoom snack thing. So&#8230;\n\n<p><strong>Sherry:</strong> Yeah, it\'s a good time to make a list of a couple of people who you haven\'t talked to in a while or who might be having a rough time of it. You know, I, I know my mom is quarantined all by herself in her big house in California. And she\'s, you know, when can come and no one can go and that\'s, so we\'re talking every day and we don\'t normally talk every day. And like, my yoga teachers and my kids, music instructors, like people who are really woven into the fabric of our lives, who have no income, all of a sudden, I\'m sending them notes. So I think you know, we can again, we can change our frame of mind to say who needs a virtual high five, who needs a little reach out, who\'s going to be lonely? And I think that also helps our own mental health when we realize there\'s a lot I can do to be helpful. It doesn\'t involve maybe even finances or even just involve some fullness. So that\'s good for everybody.\n\n<p><strong>Cory:</strong> So we\'ve talked about just now about the forward, you know, pushing forward and reaching out. I want to switch in real quick and say, how do we ask for help? And you know, man sure this is hard. This is tough. I like to keep things bottled up. I like to try to be Superman, and do everything myself. But there is a very real-time this one, this is every single day, not just in the pain demo. Right now. It\'s heightened for even more of the population, I think, reaching out and saying I do need help. I do need support and how to do that.\n\n<p><strong>Sherry:</strong> Yeah, I, I think this is really a tough one, especially for, again, our entrepreneur, brothers and sisters, because we\'re really used to being pretty autonomous and pretty capable of handling things ourselves. And all kinds of help is going to be needed, right? financial help, just emotional sanity help. Addiction help, parenting help. Like, I feel like there\'s really a pretty nightmare scenario where we\'re, we\'re stuck in the house, it\'s easy to start drinking more, it\'s easy to be a little more abrasive or rougher with your kids because they\'re going crazy and you\'re going crazy. You know, I just think there are lots of dominoes that could fall in a bad way and to be able to call someone and just say like, Okay, can you just talk to me for 10 minutes like I need a break from what\'s happening right now. Maybe you don\'t even have to use the H-word. Maybe you can say like, hey, &#8220;Just tell me a story from your day?&#8221; or &#8220;What are you reading right now,&#8221; you know, just get connected in a way that gets you out of the cycle that you\'re in. And there also may be times where you just really do need help to say, I can\'t pay my rent right now, or I have no work. Do you have, you know, reach out to some people? Do you have any extra projects or things that I can help you with? Or that it? I think the thing is that everyone is going to need help, you know, there\'s not going to be a family that\'s sort of untouched by all of this. And so we as leaders, as entrepreneurs, as people who are aware can now begin to set a new trend where now is just part of the vernacular to ask for an offer to help.\n\n<p><strong>Cory:</strong> Yep. And I think we said examples about that, too, is I mean, I think many of us — I won\'t say most — many of us, and I\'ll just say myself, I\'m good at offering help. I\'m terrible at asking for help, you know, and I let it go too far and it gets, it gets tough. And I think you\'ve hit a resonating thing, which is, this is not the time for social isolations in the sense of not the physical, we get to watch that with the virus, but that this is the time to lean in on connection and doing those to this amazing technology. We have the internet to do so free resources to do so. So I appreciate that. Okay, Sherry, I want to talk about things that I know you have put like squarely on my plate for so long. And if you follow Sherry on Instagram, you know, she does aerial yoga, I believe is the name of it.\n\n<p><strong>Sherry:</strong> That\'s all my Instagram is.\n\n<p><strong>Cory:</strong> It\'s all she told me a couple like a week ago she was she said she was two weeks ago. She was in Vegas and she was going to the circus on site. I remember the circus and that wasn\'t actually the circus. It was aerial yoga. The Circus I remember. But the word that I\'m coming to share is the one that you\'ve really helped introduced to me, which is called play, like most of us think play was when I was a kid. It\'s what my kids do. But you\'ve been very intentional about talking about play. And its necessity and I think it might tie into, I\'m gonna approach it again, exercise the things that we could do. You know, we talked about the breath, we talked about gratitude, there\'s play this component that I would love for you to tell me more about us about and then exercise too, and how to dance really.\n\n<p><strong>Sherry:</strong> It\'s really counterintuitive, because I think we need play more than ever, but the world feels so very serious. And especially those of us who are grownups with lots of grand responsibilities. We can feel a lot of pressure to live in that seriousness all the time and our bodies and our minds really need play, which is essentially a word that It describes being part of an activity purely for the joy of it for a sense of getting lost in it for a sense of you know, flow is another word. Because it sort of stimulates your curiosity and your sense of joy not because it leads to a certain kind of outcome. So people play in lots of ways I happen to have fallen in love with play related to circus, which is very physical, but, you know, playing music, playing by cooking by, you know, working through a cookbook, so I think, you know, if anything, I would love to challenge each of us to find a quarantine play activity. Maybe that\'s building a new york Lego set, or maybe it\'s, you know, mastering handstands or something that is a break from the heaviness of life and just lets you be joyful and light-hearted Again, it\'s a counterbalance, we have all of this heaviness. So we need to introduce some more lightness, we have all of this sadness and fear, we need to introduce more joy. We have all of this like deep, difficult intellectual problem solving to do we need to introduce more sort of nonlinear, playful, less structured ways of thinking and ways of using our brains. So play the engages the body is like doubly helpful because you have all the benefits of play and then all of the benefits of movement. But play doesn\'t. It doesn\'t have to be physical. It\'s just, you know, it\'s nice if it is you just want to be able to lose yourself in something.\n\n<p><strong>Cory:</strong> Yeah, by the way, if you\'re not following Sherry on Twitter, you need to. I\'ve stolen her ideas that she tweets&#8230;. Please keep doing this. One of them was talking about Legos and I was like, you know, Calloway my son that\'s got a roomful of Legos, man. Maybe we could reconstruct the things. He\'s completely obliterated. Going back to that joyful time like, it could be, you know, doodling what thinking back as a kid and going What? What brought you joy that you\'d like lost yourself in video games, whatever. I know you even mentioned to Netflix and chill like, you brought up one on Twitter By the way, she\'s at Zen founder. And I\'ll give you her website address, which is Sherry walling calm too, as well. But you mentioned the West Wing on the classics that we bought. And so, we\'ve been just a couple things. But I love this it could be what is that art, like breaking out the instrument, you know, the musical instrument, you know, that\'s dusty in the closet or, you know, something and I love that you continually and you follow you know, Sherry scream, you will see that she loves the play aspect, and I think that\'s such a great reminder for me every time I see it, I\'m like, I don\'t know if I could do the aerobatic stuff, but—\n\n<p><strong>Sherry:</strong>—you could if you made it your ambition.\n\n<p><strong>Cory:</strong> That\'s true. I can make it—\n\n<p><strong>Sherry:</strong>—into your quarantine project, you could.\n\n<p><strong>Cory:</strong> Yeah. And I love you how you\'ve paired also, it doesn\'t have to but me, you know, exercise being kind of the wonder drug, getting your heart rate up doing something which we can all maybe do a push up or sit up for something, even in our confined space to do that, and, you know, I can remember the book offhand but you know, he says that wonder drug so finding something within your, you know, physical space to do YouTubing some things I think is great just getting that body, you know, what do you call that? pulse, the heart —\n\n<p><strong>Sherry:</strong> &#8230;heart rate elevator getting some adrenaline, some endorphins flowing. I mean, it\'s also good old fashioned catharsis, right, for he talked about this the sense of like, just moving big emotion, through and out of the body. And we know that the longer that emotions are sitting stagnant in us, especially stress, it causes a lot of chemical changes within our body. So if we can engage in whether it\'s playful or just deeply physical activities that help, like, shift around to that chemistry, it\'s much better for us in the long run. So things like dancing are both like neurologically stimulating because you\'re like, what? Which left foot which one is left and where does it go? But also take you they require you to think about something that\'s not the coronavirus or your you know, your business spreadsheets. So something that engages your mind, as well as your body, is really, really helpful.\n\n<p><strong>Cory:</strong> Yeah, like that. So, you know, Sherry Lindsey is listening and I don\'t like to dance. First thing, you know, she\'s gonna say is like, let\'s do it. Let\'s dance.\n\n[laughing] Cory.\n\n<p><strong>Cory:</strong> Well, I want to, I want to make sure we have some time and space for questions and there\'s a couple that have come in Sherry and again, by the way, hit that Q&#038;A button right there, and you can do it anonymously. I will be the only one that sees the actual questions and but it also says anonymous when you click anonymous. So please hit that. There are a couple of questions. So you just hit on stress, or you know, use the word stress in your sentence. And so one of the questions was, my spouse is in a complete state of denial, running a manufacturing plant, and when the shade the state has shut down all the essential stuff. So what if, what if you have people in your life that are in a sense of like, denial? And I\'ve honestly, I\'ll tell you, some people that don\'t really take the measures that the CDC and government officials that know way more about these things than me have suggested don\'t take it. Don\'t take it very seriously. So, thoughts on thoughts on how to handle the denial or you know, lack of seriousness about the issues at hand?\n\n<p><strong>Sherry:</strong> Yeah, that\'s a tough one in a family for sure. I mean, I think it\'s helpful that those conversations happen very intentionally. So as opposed to, like, you know, in this scenario, it\'s partners that live together. Like, you\'re not doing dishes or sort of running from one thing to another or like, you\'re not distracted, but you sit down and you say to your significant other, like, I, I appreciate that you see this way. I see it in a different way. And I am quite concerned and I would like your help in implementing some of these measures for our family. And you just make it a very personal conversation. You don\'t try to go, you know, toe to toe or head to head about like which news sources which and you know, how many people die of the flu versus how many I mean, don\'t just don\'t engage in the kind of infowar and just say &#8220;hi&#8221; to me It\'s gonna help my heart. Yep. If you just stay home for two weeks, like just as a favor to me, like let\'s just bunker up together. And I think not try to, you know, sort of went over someone\'s mind as much as you just asked for their heart can be a little bit more compelling than trying to debate them into submission, which you know, never works.\n\n<p><strong>Cory:</strong> Well and I didn\'t get to this but it brings up the topic and there are two questions on this kind of thing, which is now we\'re isolated with our family that we don\'t spend 24 hours a day with basically, yeah, and now we look on potentially weeks of doing this. There\'s going to be inevitable conflict arguments. It\'s, you know, it can feel like in the isolation &#8230; with people. And I know I\'m not the best to always get along but Okay, so here\'s, here\'s a couple of thoughts here that came in through anonymous questions if your employer wants you to work 100% but you can\'t because of kids, not having a workspace, etc. How do you maintain that boundary without pushing yourself too hard?\n\n<p><strong>Sherry:</strong> Yeah, I mean, I think everybody is, is sort of having a lot more attuned to what they need. So, you know, talking with your significant other unit. So for example, today I have a monster day I\'ve just scheduled from nine to six straight just the day that it is for me today. Friday, much more flexible. So I sat down with Rob and I said, Look, you\'re on duty on Wednesday, because I\'m really busy. But I\'m Friday, I\'ll be on duty, we got to sort of trade back and forth. So talking with the people in your house about what they need what you need. I\'ve also sat down with each of my kids individually and said, Hey, guys, here\'s the reality like all of us are home. The house cleaner is not common. Nobody can leave. Your mom and your dad were both more stressed than normal. So and I know You\'re more stressed than normal. So here are some of the things that I need from you. What do you need from me? So I mean, my youngest is nine. But so we\'re having some really open dialogue about stress and emotion and how that affects our household and how our household runs. I think it\'s also an open conversation with your employer. I mean, many, many people are now home with their children, and again, minor nine to nine-year-olds and a 13-year-old but they can like make their own breakfast and like do things. But if I was home with a three-year-old, like, I couldn\'t be doing, you know, you can\'t work in a focused way. So that\'s a conversation with the employer to say, I need a scale my hours back or maybe I can just add six hours on Saturday so that I\'m working shorter days or I\'m mixing up my hours so I can do it when my kids are sleeping, like sit down and think about what you need to help your life kind of work and begin To ask people for that, there might be some negotiation, but there has to be flexibility from other people too. So don\'t sit here assuming I have to work full time, I have to watch my kids full time I have to, you know, like that\'s, that\'s not realistic, this is not going to be just this week, this is going to be for a while. So you have to proactively protect your energy and ask for what you need from other people, including your clients, including your employer.\n\n<p><strong>Cory:</strong> We were having this conversation and some similar, you know, stock market, all that kind of stuff work. And my thought was, you know, there\'s, let\'s say there\'s a natural disaster that happens that come through, and then there are people affected, but not everyone is affected. This particular thing, everyone, the globe, essentially, is the stock market. Everybody\'s in our place, work. Most everyone is in our place. Whether it\'s worrying about a job worrying about if you know selling We\'re going to continue. And but I think going back to what you said, just reiterating the boundaries. I mean, what a great thought there and scheduling out, this is what I\'m dealing with. It\'s what we\'re dealing with. We did that this morning talking to that now, it\'s not perfect, like you said, and that\'s the other thing is, it\'s never going to be perfect, but we\'re going to make the best of it. Okay, so we\'ve talked about parenting a little bit, and I said, You\'re not parenting, but really having people in the house. And there\'s a flip to our conversation, which is the single people that might be at home having to, you know, quarantine, and you\'ve talked about the connection there. But again, so for our single friends on the call, too, we got kind of that specific advice about searching in place alone. But what other issues or concerns and having no one to touch or runaway thoughts, for example, someone asked, you know, compelling the isolation when we\'ve talked about it parents like we\'re not I\'m going to be alone. There are people here physically with us. But you can still feel alone for sure. But for our single friends out there,\n\n<p><strong>Sherry:</strong> Yeah, I think this is a time to, to, again, get a couple of people on your list that you\'re just going to say, hey, you\'re my person for the quarantine. Let\'s check-in every day. Let\'s just make sure we\'re both Well, yeah, and I, you mentioned it may be a little in passing, but the idea of touches are a really big deal for for this sort of quarantine process. And it\'s imperfect, but like things like a really warm, fuzzy blanket things where you can sort of feel pressure on your skin, if you have a pet, that\'s great, but realizing that your body is is also going to sort of need some sense of comfort in sort of on the cellular level. So if you\'re living alone, you know, extra, like nurture on your body so you know, warm baths. lotion, things that sort of help take care of your skin or even your sort of touching your own skin. Skin sort of stimulates this sense of calm within our bodies that is pretty physiologically hardwired, warm blankets, you know, things that are heavy. And then having your list of people who are you\'re checking people, so every day, you\'re talking with someone or you\'re seeing someone\'s face, even if it\'s virtually to just be really proactive.\n\n<p><strong>Cory:</strong>  Single buddy, I like that single buddies being there for each other leaning on each other. \n\n<p><strong>Sherry:</strong> Or even, you know, you don\'t have to be single like my, you know, my friend Anna, who we\'re having the Zoom snack, she lives by herself. I don\'t live by myself, but I certainly would like to talk to somebody that\'s not my husband or children today. She needs a break from quiet, I need a break from them. It\'ll work.\n\n<p><strong>Cory:</strong> But I love in the absence of being able to physically touch another human being a fiver a hug. The warm blanket the heavy heavy blankets. I know if they have pets, of course, I love that specific tip. That\'s this seemed like it just resonates so deeply. Thank you for saving for your skin. Yeah, suit the suit to your skin. Yeah, absolutely. And there\'s that my daughter loves these little soft blankets and every time I touch she\'s just — and I\'m like, man, I should steal that for an hour. Hey, everybody, we have like 14 minutes. Thanks for eavesdropping on our conversation together. Sherry\'s always just I love talking to her Do you can just tell in her voice and she\'s got such a true calling and all of this and spent most of her life either in education or with clients helping people. So thank you again. Sure. It\'s been so good. Okay, so let me look through some questions real quick. Yes, this will be recorded by the way. We\'ll post it. Post it right after this or shortly after. I think We got some of that&#8230;I\'m just looking to the questions real quick. &#8220;To compound the stress, we\'re older parents one child is a senior in high school, given a stress that he wants to go out. We\'re financially strapped, scared that we will not financially make it through this. I\'m a type A personality. So this has really affected me. And again, I want to give the disclaimer for my dear friend Sherry, she\'s not doing therapy. One-on-one therapy is private. It\'s with a professional license. Sherry has just made herself available to answer questions and offer tips. But thank you, Sherry, any thoughts on you know, a situation like this where Okay, I can imagine my kids are too young, they want to go out but there\'s rain stuff. It\'s not like they can drive away. And then there\'s mention of the financial stress which is the thing that most of us, all of us are looming You know, economic crisis, for instance.\n\n<p><strong>Sherry:</strong> It kind of comes back to control what you can control. With financial stuff, you know, there are ways that we can all probably tighten up well, we\'ll have to because nobody\'s going out to eat. So, sort of planning for the worst as much as possible. But also, again, realizing everyone\'s in the same boat, like, I don\'t know what the government\'s gonna do. I don\'t know how they\'re gonna. I don\'t know how we\'re all going to put it back together. But we all will have to work together to put it back together. Because all of us are feeling it and will continue to feel it. And I know that that\'s deeply comforting, but I think it is important to realize you don\'t have to solve this on your own. And that sense of, you know, how do I work it out. Other people will feel as well. Man with the kiddo though who is like, just doing their own thing or teenager? I have a 13-year-old. He\'s like the best and worst human that I know. And Peston worse. Um, and I think you know, again, you can try to do the logic and then you just got to do the love and just say like, Hey, man, my heart won\'t let you go out. I\'m gonna hide your keys if I have to. Or, you know, if you go out like you\'re putting your whole family at risk, and maybe you don\'t care about that right now, but like I do know, it\'s a tough conversation.\n\n<p><strong>Cory:</strong> Yeah, absolutely. \n\n<p><strong>Sherry:</strong> There\'s enough social pressure on everyone to help reinforce it\'s not just like, mom\'s word or dad\'s word. It\'s universal.\n\n<p><strong>Cory:</strong> So I want to ask this one to a question for entrepreneurs specifically because you are one you live with one. Rob is a tremendous human being is like you are and also brilliant entrepreneur, but you know, for someone that\'s responsible for, you know, other people\'s livelihood, potentially, yeah, as an entrepreneur, I mean, uncertainty. It\'s, we call it the roller coaster for a good reason. And this one just starting to go, you know, it\'s, it\'s going downhill and thinking, Okay, well, I know some people that potentially have restaurants or service companies or everybody feeling some sense of like, what happens if nobody can move and do anything. And then they\'re, you know, this ripple effect. Thoughts for entrepreneurs on this? This is a down this is a downward swing potentially for the roller coaster of entrepreneurship, thoughts about how we, as entrepreneurs, you know, we\'re also leading other people and how we do that. Well.\n\n<p><strong>Sherry:</strong> You know, I think, as always, there\'s an invitation for very calm, intentional communication, which is to say, Hey, this is a situation right now. I, you know, I know I\'ve got runway for\nhowever long. And then there may be a time when we need to adjust what we\'re doing. I think, again, everybody gets it. You as an entrepreneur, as a business owner with employees, you don\'t have a magic wand, you\'re doing the math like everybody else. And the more that you can just constantly communicate and do your best to keep people calm, but also give them a realistic picture so they can sort of make their choices as best they can too. You know, it\'s not easy, but don\'t put yourself in the superhero position like you can\'t save your self, your family, the whole world, all your employees like you are not responsible if you need to, like lay people off or make some different choices like there is a massive virus and that\'s what is causing this I think people sometimes take a little bit too much ownership, which is not to say be, I don\'t know, all of this is a balancing act, right? Be careful, be wise, be strategic, communicate, treat others the way that you will want to be treated. And at the end of the day, I realize that there are just really significant limits to what is within your power to do.\n\n<p><strong>Cory:</strong> That is such a dear message for my brothers and sisters that are entrepreneurs. You can\'t control everything, obviously. And you\'re not Superman they can magically or I don\'t know, some magical wizard that\'s gonna make everything better. And I like what you just said there\'s a limit there\'s to what we can do, and we\'ll try our best and communicate. So here\'s another thing too, on this kind of topic, cheery, trying to balance this Brian for his team calm and confidence but also not ignoring reality that as a lot of full unknown. And I and I would feel disingenuous, not admitting that any tips on how to walk those lines. You know, you know, you\'ve, you\'ve seen, we\'ve talked about this as being vulnerable and open with people, but not scaring the crap out of them to making the situation and that\'s a balanced two.\n\n<p><strong>Sherry:</strong> And I in a way, you know, when all else fails, you tell the truth, which is to say, Hey, I\'m working hard to keep us all employed, you know, these are the steps that I\'m taking, these are the things that I\'m trying. But I am worried if this goes on for two months or three months. So, you know, let\'s, let\'s all think together about what we might be able to contribute in order to solve this problem, in order to stay to stay fresh. So again, everyone is in the same boat. So tell the truth about that. I think people find that comforting.\n\n<p><strong>Cory:</strong> Why going back to something you said I think applies here too Sherry is like, this is what I know. I know, that I want you to have I want us to keep going. Yeah, I don\'t know what the financial future looks like for the entire world. We just don\'t know those things and coming back to those trees. And also like the message of like, it\'s hard to say this because we can\'t physically be together. But this is our time to rally as humans and the team. Like, I don\'t know what the feature is that what I do know is I love you, I care about you. I care about your family. You know, I think those things are really good, really good words too.\n\n\n<p><strong>Sherry:</strong> You, I think, again, depending on your context, because these are very context-dependent kind of questions. But it\'s also you know, I wouldn\'t save this for every team, but it\'s okay as a leader to sort of put it back to the team and say, here are the numbers. Here\'s the work. Here\'s the timeline, like what do we want to do? Maybe people are going to say, hey, let\'s just take 25% off. Across the board will help reduce our salaries will, you know bank that money? Hopefully or, I mean, I think you can think creatively together. And again, not feel the pressure of I have to solve this for everyone. That\'s not what leadership means. Leadership means you\'re hosting the conversation. You\'re listening. you\'re engaging, it doesn\'t mean that you are the ultimate decider. You\'re not the wizard to use your term. Yeah.\n\n<p><strong>Cory:</strong> Yeah. I love that. We don\'t have to have the answer. We\'re not gonna have the answer. \n\n<p><strong>Sherry:</strong> We can\'t. You don\'t. You can\'t. It\'s not a choice.\n\n<p><strong>Cory:</strong> We can put her my partner used to say the open hand approached open palm is like how do we? That\'s a great question. How do we figure this out? That goes for family situations too, right here. How to, hey, we\'re in this together. This is you know, if we find this rainbow in the storm cloud kind of thing is, this is forced our human race to go. We\'re in this together, even the ones that maybe don\'t even have a quote case. Have the virus, especially as to say like we are all in this together. And it\'s an opportunity for Philly, all of us to come together at this time. Che just a couple more minutes. I want people to know how to get ahold of you or resources. And before I let you say that I want to say, Sherry, thank you again, everybody. Thank her please, chat online if you feel do so on Twitter. She\'s ads and founder. But I want to mention one thing, too. She\'s got a prolific podcast. And the last podcast episode she did is called calm stability. Can you hear that in her voice, by the way, should be calm stability, calm by Sherry Wallace. But go do that she\'s got a ton of resources there particularly for entrepreneurs. Sure, how can people learn more about you and the different pieces of content? Ah, I forgot to do this Sherry. She\'s got a great book called How to keep your sh t together and I\'ll put a link to do that in the chat or somebody can put a link to that in chat, by the way, it\'s 399 on Kindle. It\'s a great resource that Sherry and her husband Rob put together just for these times. I don\'t want to miss that. But how else can we kind of keep on the Sherry? Sherry fan? Fan bank bandwagon?\n\n<p><strong>Sherry:</strong> Yeah, you know, I think, and I\'m just really happy to do it, Cory, anything, like, like all of you, if I can find a little space of where I can offer something helpful, what an honor for me to be able to offer something helpful. And I think all of us are sort of asking, How can I be helpful. So you know, I\'m right alongside you and the rest of your team and ask him that question. I mean, the podcast, I hope is a great resource in terms of just, you know, freely available. It\'s not always perfect, but you know, we try to provide some thoughtful content that helps people navigate the storms that sort of safe all of our mental health. But yeah, if people want to reach out to me, I\'m at Sherry wall. dot com or Zen founder, comm z and founder calm so yeah,\n\n<p><strong>Cory:</strong> I\'ll put the link in the recording. But also Lindsay\'s put the link to her book, fantastic book, a couple of recaps, I just want to say from what I heard from Sherry, from what I heard from you, my friend. We\'re in this together, a big four by four, deep, low breath, for in four seconds in four seconds out, gratitude. Find a way to play. Still, your kids like this, break out a board game, do something, find a way to play to this element of childlike joy. Exercise is a great antidote. Find a way to get your heartbeat up. Stay connected. Have your list of people that you\'re going to connect with every day, or frequently to do that as a kind of an antidote to the time that we\'re in. Sherry Thank you, please. Say hi to Rob and the kiddos. And thank you so so so much for your time. Today sharing I think this was a big deep breath for everyone and you\'re calm presence and you\'re just sharing your tips and things have helped a lot of people that I hope will keep you going and you can share these things. Practice these things actually be an example for others and reach out when we need help. So any less than this year, thanks. \n\n<p><strong>Sherry:</strong> Thanks so much and thanks for having the conversation. We\'ll have the conversation as many times as we need to tell this is a little bit better.\n\n<p><strong>Cory:</strong> Yes ma\'am. Thank you, everybody. Stay safe and healthy. mentally and physically. See you</div>\n\n<p><a href=\"https://otter.ai/s/yMpkP8vNRy-5Ildi4Ec82Q\">Transcription via Otter</a>.</p>\n\n\n\n<p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 19 Mar 2020 01:42:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Brian Krogsgard\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:35;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"WPTavern: Build Custom Templates with the MB Views Add-On for Meta Box\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=97940\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:185:\"https://wptavern.com/build-custom-templates-with-the-mb-views-add-on-for-meta-box?utm_source=rss&utm_medium=rss&utm_campaign=build-custom-templates-with-the-mb-views-add-on-for-meta-box\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:8296:\"<p class=\"has-drop-cap\">Meta Box released its <a href=\"https://metabox.io/plugins/mb-views/\">MB Views add-on plugin</a> last week. The new extension allows developers to build custom templates from the comfort of their WordPress admin. The goal is to provide an easy-to-use interface for outputting custom fields without editing theme files, but its flexibility pushes the boundaries of full-site editing.</p>\n\n\n\n<p><strong>Quick take:</strong> MB Views offers a solid developer experience but falls a little short of being friendly for those unfamiliar with code.</p>\n\n\n\n<p>I have long been a fan of what the <a href=\"https://wordpress.org/plugins/meta-box/\">Meta Box</a> team has done with its core plugin and extensions. The project&rsquo;s developers have created a well-documented code base, written solid documentation, and have generally paid attention to details where others have failed. MB Views is no different. In minutes after activating the extension, I had custom views set up and rolled out on the front end of my test site.</p>\n\n\n\n<p>The interface is simple enough to pick up almost immediately with enough flexibility to build nearly anything from the WordPress admin.</p>\n\n\n\n<p>On the whole, the team&rsquo;s new add-on is well worth the price of one of the available <a href=\"https://metabox.io/pricing/\">premium bundles</a>, which range between $79 and $349. It is not without a few minor issues, but that is to be expected with a version 1.0 release.</p>\n\n\n\n<h2>A Powerful Tool for Front End Editing</h2>\n\n\n\n<img />Creating a custom view with the plugin&rsquo;s view editor.\n\n\n\n<p class=\"has-drop-cap\">My experience working with the view-editing screen felt natural. The code editor uses <a href=\"https://codemirror.net/\">Code Mirror</a> and its Oceanic Next theme. It has auto-tabbing and auto-complete built in, so it feels like most offline editors. Developers should feel at home quickly building a custom view.</p>\n\n\n\n<p>Because I mostly use Tailwind CSS these days, I was able to build a <em>faux</em> email signup form in a couple of minutes and display it directly beneath my posts using the available view settings.</p>\n\n\n\n<img />Custom-built email signup form with MB Views.\n\n\n\n<p>The code editor has a &ldquo;New Field&rdquo; button that opens a slide-out box on the right side of the screen. It allows users to insert post, site, user, and query fields. The options also include custom fields created via the Meta Box plugin.</p>\n\n\n\n<p>Besides editing the template, users can also add custom CSS and JavaScript directly from the view code editor.</p>\n\n\n\n<p>The output of these fields are all handled through <a href=\"https://twig.symfony.com/\">Twig</a>, a modern PHP templating engine. Many PHP developers will already be familiar with Twig and will feel comfortable with its syntax. Through this system, plugin users are not limited to HTML. They can use conditionals and loops to customize the output of their view content.</p>\n\n\n\n<p>For a better developer experience, it would be nice to see an auto-complete option for inserting new fields instead of clicking the &ldquo;New Field&rdquo; button and then clicking on a particular field. Most likely, developers will begin memorizing the fields over time and simply type them out. Auto-complete would be a nice touch for custom fields.</p>\n\n\n\n<img />View settings and conditionals.\n\n\n\n<p>Where MB Views really shines is its view settings. The plugin allows views to take over the entire page between the theme header and footer or just the content area. It allows users to choose between displaying a view on singular posts, archive pages, or something custom using its built-in shortcode. Users can further break down where a view appears based on conditions that can be grouped in various ways. It can be as simple or complex as needed. It is not completely on par with what&rsquo;s possible with custom PHP conditionals, but it is close enough to cover the majority of use cases.</p>\n\n\n\n<p>If someone wanted to try their hand at it, they could use MB Views as an entire site editor. The only real requirement would be to build their theme with a header and footer. At some point, maybe the plugin will allow users to take over the entire page layout, effectively making a theme unnecessary.</p>\n\n\n\n<h2>Issues and Future Enhancements</h2>\n\n\n\n<p class=\"has-drop-cap\">Version 1.0 is about shipping something into the hands of users. It is a time when developers get some of their most useful feedback, so I expect the following to be addressed as the developers continue to build upon the plugin in the future. I did not hit any major roadblocks, but I did come across some minor issues and had some ideas for improvement.</p>\n\n\n\n<p>The first issue I hit made me initially believe the plugin did not work at all. I had chosen to display my custom view on singular posts. This is easy to do via the view settings. You select the &ldquo;Singular&rdquo; type. Then, select &ldquo;Post&rdquo; in the first drop-down select. I had assumed this would make the template appear on all posts. However, nothing happened after saving. None of my custom content appeared on the front end. The problem was there was a second drop-down select, which had not been populated with a value by default. There was an &ldquo;All Posts&rdquo; option I needed to select. It was a quick issue to address, but this is why good defaults are so important in plugin development.</p>\n\n\n\n<p>There is no revision support. For a code editor in the WordPress admin, it makes sense that users could revert their code to an earlier version. If users only ever create views with minor bits of code, this will be a non-issue. However, the plugin goes as far as allowing users to create an entire page layout between the theme&rsquo;s header and footer. That will sometimes mean a lot of code and the need to backpedal changes.</p>\n\n\n\n<p>MB Views offers an <code>[mbv]</code> shortcode for outputting a view within shortcode-ready areas, such as post content. However, there is no block equivalent for use in the block editor. At this point, having a shortcode but no block seems like a major oversight. Shortcodes need to die a slow and painful death.</p>\n\n\n\n<p>The view management screen could use a little love too. It would be nice to see at least a column for the view type. As the list of custom views grows, it may get hard to figure out where each view is used at a glance.</p>\n\n\n\n<h2>User Friendliness and the Future</h2>\n\n\n\n<blockquote class=\"wp-block-quote\"><p>You want to get values of Meta Box fields and put them on your front-end templates, but you&rsquo;re not too familiar with coding and don&rsquo;t want to touch theme files?</p></blockquote>\n\n\n\n<p>MB Views&rsquo; opening description claims the plugin is geared toward users who are not familiar with coding. I am unsure if the average user could take advantage of it without picking up some coding knowledge along the way. The interface is primarily geared toward developers. Quite literally, the view editor is a code editor. It does have an easy-to-click field inserter, but those fields will often be useless without some familiarity with HTML and CSS.</p>\n\n\n\n<p>The tool is good at what it does, but it almost feels like a stop-gap measure in the era of the block editor.</p>\n\n\n\n<p>For MB Views to be a more useful end-user tool, it will need to transition to more of a visual, point-and-click interface with design options. Otherwise, it will mostly stay in the land of developers who can customize view output to perfection.</p>\n\n\n\n<p>I don&rsquo;t necessarily think MB Views must go in that direction if the team wants to focus on a great developer experience. However, it does not currently live up to its claim of friendliness for those less familiar with code.</p>\n\n\n\n<p>We are still likely at least a year out from a full-site editing experience via the block system. Efforts by the Meta Box team may be best spent integrating view editing within that system. The MB Views add-on is a useful and necessary tool for many Meta Box plugin users today, but it may not have time to gain traction before full-site editing lands in core. At that point, the plugin team will need to already be transitioning into a much different world of user experience with WordPress.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 18 Mar 2020 20:35:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:36;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"HeroPress: Finding My Way With WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=3076\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:132:\"https://heropress.com/essays/finding-my-way-with-wordpress/#utm_source=rss&utm_medium=rss&utm_campaign=finding-my-way-with-wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:8398:\"<img width=\"960\" height=\"480\" src=\"https://s20094.pcdn.co/wp-content/uploads/2021/03/031620-min.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"WordPress Changed My Life\" /><p>Wow, HeroPress! How did I even get here? Why am I even here? I&#8217;m hardly a hero after reading so many inspiring stories.</p>\n<p>Let me tell you mine. I do this with my usual reluctance which I will explain in a bit.</p>\n<h3>The Beginning</h3>\n<p>I got started with WordPress about 10 years ago. I was having lunch with a friend (formerly a client) in Grand Central Station in New York. He, being much wiser than I, said, &#8220;Hey Bud, you ought to learn WordPress.&#8221;</p>\n<p>&#8220;No way,&#8221; I objected. &#8220;I&#8217;m a code guy. I&#8217;m a &#8216;Rage Against The Machine Guy.&#8217; I&#8217;ll never use anything like that.&#8221;</p>\n<p>He pleaded with me to re-consider. &#8220;You don&#8217;t know what you&#8217;re talking about. Things are changing. I&#8217;ll give you my username and password. Just login and have a look. My guy installed a bunch of plugins that you can use.&#8221;</p>\n<p>What the heck was a plugin?</p>\n<p>And so it began. I logged in. Looking back, it was WordPress 2.6. I didn&#8217;t really know what that meant.</p>\n<p>I signed up with Bluehost. I played around with lots of themes but kept coming back to Kubrick (aka TwentyTen). I religiously installed all the plugins used in my friend&#8217;s site, holding on to his railings as I began to learn WP. Then came Thematic and its &#8220;easy&#8221; introduction to what a child theme was. Once I saw that you could edit anything and make it yours, I was hooked. The endorphins were freely coursing through my veins.</p>\n<h3>Spreading The Word</h3>\n<p>Now soon after &#8211; being an instructor &#8211; I thought, &#8220;I could teach this&#8221; and so I did at the Fashion Institute of Technology in New York City. That first class was totally by the seat of my pants. Hardly my usual MO. The syllabus was completely in my head. I pulled it off and that was a lot of fun.</p>\n<p>The classrooms were packed those first few years of teaching. WP was exploding. If you were the first kid on the block using or teaching it, you were gold.</p>\n<p>Then two big things were about to happen that were really going to change my life. They would show me the way to the WordPress community &#8211; not that I even knew what that was.</p>\n<h3>Finding Community</h3>\n<p>A student advised that I should go to the monthly WordPress MeetUp in New York City. That was in 2014. He&#8217;s long gone but I&#8217;m a regular. I have presented talks many times where we usually got about 40 people to attend. Other types of WordPress MeetUps started to take hold and I became a regular there as well.</p>\n<p>At the same time, I started going to WordCamps in NYC. Those were eye openers. This WordPress thing was getting big and there were people connected to it and each other. They were all so nice and smart and I felt at home &#8211; not that I&#8217;m always so nice and smart. In 2016 I was accepted to speak at WordCamp NYC. (It still is the only WordCamp ever held at the United Nations.) I didn&#8217;t know a soul but one of the organizers loved my presentation, &#8220;Lessons Learned: Considerations For Teaching Your Clients WordPress.&#8221; He and I became good friends as he ushered me into the New York City WordPress community.</p>\n<p>From there it was on to WordCamp US in Philadelphia and the following year in Nashville. I started meeting WordPress Royalty like <a href=\"https://heropress.com/essays/its-never-too-late-even-in-the-tech-community/\">BobWP</a> (aka Bob Dunn). WordCamps were starting to feel like high school reunions. In 2019 I spoke at WordCamps Boston, Montclair, and Philadelphia. Speaker wrangling became my thing. I&#8217;ll be doing it for the third and final time this year for WordCamp NYC. (That&#8217;s if all goes well given how many WordCamps have been cancelled because of COVID-19.)</p>\n<p>Somewhere in the middle of it all, I was listening to a WordPress Weekly podcast and a host, Marcus Couch, just got a gig with Smashing Magazine as their WordPress guy. He put out a call for anyone to submit an article for publication. I sent in &#8220;The Golden Age Of Web Design&#8221; and, after a few back and forths, it got turned down. Then I came up with an idea that I didn&#8217;t think they&#8217;d turn away, but I did not want to write about.</p>\n<p>I figured why not write about something that is very personal and something I was reluctant to discuss publicly. I am legally blind.</p>\n<h3>Freedom From Blindness</h3>\n<p>So &#8220;<a href=\"https://www.smashingmagazine.com/2018/05/using-low-vision-teach-wordpress/\">Using Low Vision As My Tool To Help Me Teach WordPress</a>&#8221; was written. There was no way Smashing Mag would turn me down now, and they didn&#8217;t. In a year or so I turned that article into &#8220;My Way With WordPress,&#8221; a WordCamp talk. While I was not really interested in the subject, it seemed as if others were.</p>\n<p>But the funniest &#8211; I suppose &#8211; story was when I spoke at the first ever WordCamp Montclair in 2019. It was a presentation on Gutenberg plugins. Since I couldn&#8217;t do this from a notebook screen (the screen is too small and the keyboard is hard for me to manipulate), it was decided that I would bring (I am about to embarrass myself) my 27&#8243; iMac to a WordCamp. I&#8217;m probably the first person to ever have done this. It was good thing I only lived a few miles away.</p>\n<p>After lunch on Day One, it was my turn to present. The guys (it was a crew) spent a few minutes hooking me up to all the equipment. I sat behind my computer, did my thing, and every once in awhile peered out to make sure people were still there. While there doesn&#8217;t seem to be any pictures of this ever happening, I don&#8217;t need visual proof to remind me of this. I hear about it all the time!</p>\n<p>And that&#8217;s fine with me.</p>\n<p>WordPress changed my life. It’s not just about the community but through it the sense of accomplishment I get whenever I launch a new or re-designed site. It’s also given me a great feeling to know that many people have learned WordPress around the world because of my 2 free online classes. This might just be the most gratifying thing of all.</p>\n<div class=\"rtsocial-container rtsocial-container-align-right rtsocial-horizontal\"><div class=\"rtsocial-twitter-horizontal\"><div class=\"rtsocial-twitter-horizontal-button\"><a title=\"Tweet: Finding My Way With WordPress\" class=\"rtsocial-twitter-button\" href=\"https://twitter.com/share?text=Finding%20My%20Way%20With%20WordPress&via=heropress&url=https%3A%2F%2Fheropress.com%2Fessays%2Ffinding-my-way-with-wordpress%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-fb-horizontal fb-light\"><div class=\"rtsocial-fb-horizontal-button\"><a title=\"Like: Finding My Way With WordPress\" class=\"rtsocial-fb-button rtsocial-fb-like-light\" href=\"https://www.facebook.com/sharer.php?u=https%3A%2F%2Fheropress.com%2Fessays%2Ffinding-my-way-with-wordpress%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-linkedin-horizontal\"><div class=\"rtsocial-linkedin-horizontal-button\"><a class=\"rtsocial-linkedin-button\" href=\"https://www.linkedin.com/shareArticle?mini=true&url=https%3A%2F%2Fheropress.com%2Fessays%2Ffinding-my-way-with-wordpress%2F&title=Finding+My+Way+With+WordPress\" rel=\"nofollow\" target=\"_blank\" title=\"Share: Finding My Way With WordPress\"></a></div></div><div class=\"rtsocial-pinterest-horizontal\"><div class=\"rtsocial-pinterest-horizontal-button\"><a class=\"rtsocial-pinterest-button\" href=\"https://pinterest.com/pin/create/button/?url=https://heropress.com/essays/finding-my-way-with-wordpress/&media=https://heropress.com/wp-content/uploads/2021/03/031620-min-150x150.jpg&description=Finding My Way With WordPress\" rel=\"nofollow\" target=\"_blank\" title=\"Pin: Finding My Way With WordPress\"></a></div></div><a rel=\"nofollow\" class=\"perma-link\" href=\"https://heropress.com/essays/finding-my-way-with-wordpress/\" title=\"Finding My Way With WordPress\"></a></div><p>The post <a rel=\"nofollow\" href=\"https://heropress.com/essays/finding-my-way-with-wordpress/\">Finding My Way With WordPress</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 18 Mar 2020 08:00:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Bud Kraus\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:37;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"WordPress.org blog: WordPress 5.4 RC3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8432\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/2020/03/wordpress-5-4-rc3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4062:\"<p>The third release candidate for WordPress 5.4 is now available!</p>\n\n\n\n<p>WordPress 5.4 is currently scheduled to be released on&nbsp;<strong><a href=\"https://make.wordpress.org/core/5-4/\">March 31 2020</a></strong>, and we need&nbsp;<em>your</em>&nbsp;help to get there—if you haven’t tried 5.4 yet, now is the time!</p>\n\n\n\n<p>There are two ways to test the WordPress 5.4 release candidate:</p>\n\n\n\n<ul><li>Try the&nbsp;<a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a>&nbsp;plugin (choose the “bleeding edge nightlies” option)</li><li>Or&nbsp;<a href=\"https://wordpress.org/wordpress-5.4-RC3.zip\">download the release candidate here</a>&nbsp;(zip).</li></ul>\n\n\n\n<p>For details about what to expect in WordPress 5.4, please see the&nbsp;<a href=\"https://wordpress.org/news/2020/03/wordpress-5-4-release-candidate/\">first release candidate post</a>.</p>\n\n\n\n<p>RC3 addresses improvements to the new About page and&nbsp;<a href=\"https://core.trac.wordpress.org/query?id=49657%2C49621%2C48164%2C49577%2C47053%2C48303%2C49374%2C49619&milestone=5.4&group=component&col=id&col=summary&col=milestone&col=owner&col=type&col=status&col=priority&order=priority\">8 fixes</a>&nbsp;for the following bugs and regressions:</p>\n\n\n\n<ul><li><a href=\"https://core.trac.wordpress.org/ticket/49657\"></a><a href=\"https://core.trac.wordpress.org/ticket/49657\">49657</a> &#8211; <a href=\"https://core.trac.wordpress.org/ticket/49657\">Block Editor: Update WordPress Packages WordPress 5.4 RC 3</a></li><li><a href=\"https://core.trac.wordpress.org/ticket/49621\"></a><a href=\"https://core.trac.wordpress.org/ticket/49621\">49621</a> &#8211; <a href=\"https://core.trac.wordpress.org/ticket/49621\">Travis: Download Chromium for E2E Tests Only</a></li><li><a href=\"https://core.trac.wordpress.org/ticket/49164\"></a><a href=\"https://core.trac.wordpress.org/ticket/48164\">48164</a> &#8211; <a href=\"https://core.trac.wordpress.org/ticket/48164\">media_sideload_image Should Store Original URL and Optionally Check for Dupes</a></li><li><a href=\"https://core.trac.wordpress.org/ticket/49577\">49577 &#8211; Site Health Status Dashboard Provides Incorrect Items Count on Initial Load</a></li><li><a href=\"https://core.trac.wordpress.org/ticket/47053\">47053 &#8211; Accessibility: Need to set proper &#8216;tabindex&#8217; in &#8216;Skip To Toolbar&#8217; HTML</a></li><li><a href=\"https://core.trac.wordpress.org/ticket/48303\">48303 &#8211; Docblock Improvements for 5.4</a></li><li><a href=\"https://core.trac.wordpress.org/ticket/49374\">49374 &#8211; Use get_post_states to Denote Special Pages on the Added Menu Item Accordions</a></li><li><a href=\"https://core.trac.wordpress.org/ticket/49619\">49619 &#8211; Use &lt;hr /&gt; Instead of Margin on Freedoms Page</a></li></ul>\n\n\n\n<h2>Plugin and Theme Developers</h2>\n\n\n\n<p>Please test your plugins and themes against WordPress 5.4 and update the&nbsp;<em>Tested up to</em>&nbsp;version in the readme to 5.4. If you find compatibility problems, please be sure to post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>&nbsp;so we can figure those out before the final release.</p>\n\n\n\n<p>The&nbsp;<a href=\"https://make.wordpress.org/core/2020/03/03/wordpress-5-4-field-guide/\">WordPress 5.4 Field Guide</a>&nbsp;has also been published, which details the major changes.</p>\n\n\n\n<h2>How to Help</h2>\n\n\n\n<p>Do you speak a language other than English?&nbsp;<a href=\"https://translate.wordpress.org/projects/wp/dev\">Help us translate WordPress into more than 100 languages!</a></p>\n\n\n\n<p><em><strong>If you think you’ve found a bug</strong>, you can post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a>&nbsp;in the support forums. We’d love to hear from you! If you’re comfortable writing a reproducible bug report,&nbsp;<a href=\"https://make.wordpress.org/core/reports/\">file one on WordPress Trac</a>, where you can also find&nbsp;<a href=\"https://core.trac.wordpress.org/tickets/major\">a list of known bugs</a>.</em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 17 Mar 2020 21:24:24 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"David Baumwald\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:38;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"Akismet: Version 4.1.4 of the Akismet WordPress Plugin is Now Available\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://blog.akismet.com/?p=2065\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"https://blog.akismet.com/2020/03/17/akismet-4-1-4-for-wordpress/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:971:\"<p>Version 4.1.4 of <a href=\"http://wordpress.org/plugins/akismet/\">the Akismet plugin for WordPress</a> is now available. It contains the following changes:</p>\n\n\n\n<ul>\n<li>The plugin will now only redirect to the Akismet setup screen upon plugin activation if the plugin was activated manually from within the plugin-related screens, to help users with non-standard install workflows (like WP-CLI).</li>\n<li>We&#8217;ve updated the layout of the initial setup screen to be more readable on small screens.</li>\n<li>We&#8217;ve reduced the amount of code that runs when no API key has been entered yet.</li>\n<li>We&#8217;ve improved the readability of the comment history entries.</li>\n</ul>\n\n\n\n<p>To upgrade, visit the Updates page of your WordPress dashboard and follow the instructions. If you need to download the plugin zip file directly, links to all versions are available in <a href=\"http://wordpress.org/plugins/akismet/\">the WordPress plugins directory</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 17 Mar 2020 20:53:38 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Christopher Finke\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:39;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"WPTavern: GitHub Acquires npm, Plans to Improve Infrastructure and Experience\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=97921\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:197:\"https://wptavern.com/github-acquires-npm-plans-to-improve-infrastructure-and-experience?utm_source=rss&utm_medium=rss&utm_campaign=github-acquires-npm-plans-to-improve-infrastructure-and-experience\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3988:\"<p class=\"has-drop-cap\">GitHub announced yesterday that it had <a href=\"https://github.blog/2020-03-16-npm-is-joining-github/\">acquired the popular JavaScript package service</a> npm for an undisclosed amount. npm, Inc. was the company behind the Node package manager, npm Registry, and npm CLI. The company is shuttering its doors, but the future of the npm service looks bright with this acquisition.</p>\n\n\n\n<p>Currently, npm serves over 1.3 million packages with 75 billion downloads every month. Over the past decade, the service has solidified itself as a vital part of the modern web. At least 12 million developers use npm to manage JavaScript dependencies.</p>\n\n\n\n<p>In recent years, it has become a necessary piece of core WordPress, plugin, and theme development. The WordPress software currently has <a href=\"https://www.npmjs.com/org/wordpress\">71 packages</a> available through the public npm registry. As the platform continues relying on JavaScript in the coming years, the number of packages should continue increasing.</p>\n\n\n\n<p>&ldquo;There are few unmitigated successes or failures in the real world,&rdquo; wrote Isaac Schlueter in a <a href=\"http://blog.npmjs.org/post/612764866888007680/next-phase-montage\">post on the npm blog</a>. &ldquo;But this is a win, and a good one, for me and the team and the entire JavaScript community.&rdquo;</p>\n\n\n\n<p>The merging of npm and GitHub will make sense for many developers. Because the two services are used in conjunction so often, it can be hard to tell where one ends and the other begins to the uninitiated. GitHub is an online service built to make it easier to collaborate and work on top of the Git version control system. It is social-coding on a massive scale. Many JavaScript repositories hosted on GitHub are then submitted to the npm registry. Other developers can then use npm to manage their dependencies on a per-project level.</p>\n\n\n\n<p>Nat Friedman, CEO of GitHub, said npm will always remain available and free of charge in the company&rsquo;s announcement. GitHub plans to invest in the registry infrastructure and improve the core experience, particularly with work that has already gone into version 7 of the npm CLI. He also stressed the company will garner feedback from the JavaScript community to mold npm&rsquo;s future.</p>\n\n\n\n<p>&ldquo;Looking further ahead, we&rsquo;ll integrate GitHub and npm to improve the security of the open source software supply chain, and enable you to trace a change from a GitHub pull request to the npm package version that fixed it,&rdquo; wrote Friedman. &ldquo;Open source security is an important global issue, and with the recent launch of the GitHub Security Lab and GitHub&rsquo;s built-in security advisories, we are well-positioned to make a difference.&rdquo;</p>\n\n\n\n<p>Schlueter expressed that he feels like this is an ideal move for npm, largely in part to GitHub&rsquo;s commitment to open source. &ldquo;As we dug into the technical and strategic plans for how npm would fit into the vision of GitHub moving forward, it became clear that this isn&rsquo;t just a good option for the JavaScript community &ndash; it&rsquo;s significantly better than what npm, Inc., can provide on its own,&rdquo; he said. &ldquo;I&rsquo;ve said countless times before that I wouldn&rsquo;t let the registry go someplace that won&rsquo;t take care of it.&rdquo;</p>\n\n\n\n<p>For JavaScript programmers, this change should not cause any issues. It should be <em>business as usual</em>. With a company as large as GitHub and the infrastructure it can provide, developers will likely be looking for new features and improved tools.</p>\n\n\n\n<p>&ldquo;There are some awesome opportunities for improvement in the npm experience, to meaningfully improve life for JS devs in countless large and small ways,&rdquo; said Schlueter. &ldquo;We&rsquo;ll be making things more reliable, convenient, and connected for everyone across our vast interdependent JavaScript ecosystem.&rdquo;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 17 Mar 2020 20:05:40 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:40;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"Matt: Business as Usual in The Information\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"https://ma.tt/?p=51051\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"https://ma.tt/2020/03/business-as-usual-in-the-information/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2394:\"<p><a href=\"https://www.theinformation.com/articles/business-as-usual-remotely\">The Information wrote Business as Usual — Remotely</a>, which includes &#8220;85% of its 900 employees working from their homes&#8221; Hashicorp, which just raised $175M at a $5.1B valuation today. (I have to get them on <a href=\"https://distributed.blog/\">Distributed</a>.) Here&#8217;s my part:</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p>A survey of American workers by the polling firm Gallup found that in 2016 43% of employees worked remotely at least some of the time, up from 39% in 2012. Of those remote workers, almost a third spent 80% or more of their time working remotely in 2016, compared to 24% in 2012. In computer-related professions, 57% did some remote work in 2016, according to Gallup. </p><p>That includes tech companies like Automattic, which makes WordPress and other software products and has been almost entirely remote since it was founded in 2005. At one point, it opened a large office in San Francisco for employees who preferred a more traditional work environment, but it got rid of that space in 2016 because of how little people used it.  </p><p>“We had this 15,000-square-foot place with only five people coming into it,” said Matt Mullenweg, CEO of Automattic, which acquired Tumblr last year. </p><p>Now Automattic rents only one small co-working space in a WeWork suite in New York  and uses another small office in San Francisco exclusively for board meetings. It manages its remote workforce using Slack and Zoom and gives new employees $2,000 so they can purchase home office equipment. </p><p>Employees can also get up to $250 per month for access to a co-working space or for daily coffees at a local coffee shop. But Mullenweg says only about 300 of the company’s 1,200 employees chose to work somewhere other than a home office.</p><p>“I hope there can be a silver lining to this crisis, which we all hope is over as soon as possible, that enables people to reexamine how they work and how they interact with things and improve it,” said Mullenweg. “I’m happy to spread the gospel wherever possible for distributed work. I think it’s better for companies, employees, the environment and the world. There are very few downsides.” </p></blockquote>\n\n\n\n<p>The Information is a worthwhile subscription if you&#8217;re in the tech business.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 17 Mar 2020 03:21:15 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:41;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"WPTavern: Gutenberg 7.7 Ships Refreshed UI and First Iteration of Block Patterns\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=97905\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:205:\"https://wptavern.com/gutenberg-7-7-ships-refreshed-ui-and-first-iteration-of-block-patterns?utm_source=rss&utm_medium=rss&utm_campaign=gutenberg-7-7-ships-refreshed-ui-and-first-iteration-of-block-patterns\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6734:\"<p class=\"has-drop-cap\">Last week, <a href=\"https://make.wordpress.org/core/2020/03/11/whats-new-in-gutenberg-11-march/\">version 7.7 of the Gutenberg plugin</a> shipped to users. In what is one of the more visually-striking updates in a while, the design team presented a refreshed UI. Users will also get their first chance to test the upcoming block patterns feature.</p>\n\n\n\n<p>Some users may get a surprise. Gutenberg 7.7 is the first version of the plugin to ship the editor in fullscreen mode out of the box. This change will <a href=\"https://wptavern.com/editor-will-default-to-fullscreen-mode-in-wordpress-5-4\">land in WordPress 5.4</a>. Now is a good opportunity to see how it works before upgrading later this month.</p>\n\n\n\n<p>Block developers can rejoice for the ability to <a href=\"https://github.com/WordPress/gutenberg/pull/19701\">create their own block wrappers</a>. This is part of a change for creating a faster DOM. Inner blocks also produce a <a href=\"https://github.com/WordPress/gutenberg/pull/19910\">lighter DOM output</a>, so the element tree in the editor now matches the front end. These changes make it easier for theme designers to style blocks without a convoluted mess of nested <code>&lt;div&gt;</code> elements.</p>\n\n\n\n<p>Version 7.7 includes over two dozen bug fixes. It also includes a fix for the &ldquo;View Posts&rdquo; back button at the top of the editor while in fullscreen mode. Instead of an arrow button, which was confusing for users who thought it might return them to the regular editing mode, the team replaced it with the WordPress &ldquo;W&rdquo; icon.</p>\n\n\n\n<h2>A Fresh and Clean Editor UI</h2>\n\n\n\n<img />Refreshed UI in Gutenberg 7.7.\n\n\n\n<p class=\"has-drop-cap\">It took a few days to grow on me after more than a year getting accustomed to the old UI. The basics are the same. The layout has not changed. However, the buttons and related elements have received a nice refresh.</p>\n\n\n\n<p>The editor feels more professional. The block toolbar is simpler and cleaner. The Gutenberg team redesigned the icons. The color contrast makes everything crisper.</p>\n\n\n\n<p>The block inserter now uses the full height of the editor. This is a large improvement over earlier iterations. It means less scrolling to find the right block, which has been one of my pet-peeves (<em>I have fewer and fewer of these with each release</em>).</p>\n\n\n\n<p>This is a first pass over the new interface, and there is still more work for the Gutenberg design team to tackle. Work on the sidebar, dropdowns, and other elements is currently in progress and should land in upcoming plugin updates.</p>\n\n\n\n<p>Overall, the UI is much more polished. The average WordPress user will not experience it until WordPress 5.5, but it is well worth installing and activating the Gutenberg plugin to give it a spin.</p>\n\n\n\n<h2>Early Work Toward Block Patterns</h2>\n\n\n\n<img />Inserting a pattern into the block editor.\n\n\n\n<p class=\"has-drop-cap\">Perhaps one of the most-anticipated Gutenberg features is the inclusion of a pattern library. A pattern is a collection of blocks in a predefined arrangement. For example, a common pattern is a large hero image with text and a couple of buttons laid over the top. Another common pattern is a set of three or four boxes aligned next to each other, each with a title, image, and text.</p>\n\n\n\n<p>The more complex a particular layout, the harder it is to create from the editor without the know-how. That&rsquo;s where patterns come in. They are a sort of &ldquo;template&rdquo; that allows end-users to quickly build out sections of content without the requirement of inserting the individual blocks.</p>\n\n\n\n<p>Patterns will be a game-changer.</p>\n\n\n\n<p>Some projects have already made solid attempts at something akin to patterns. <a href=\"https://wptavern.com/creator-of-editorskit-launches-community-block-sharing-site\">ShareABlock&rsquo;s community-based shared blocks</a> and <a href=\"https://wptavern.com/gutenberg-hub-launches-collection-of-100-block-templates\">Gutenberg Hub&rsquo;s copy-and-paste templates</a> are good options for people who know about those projects. Users are even turning the reusable block system into <em>faux</em> patterns. However, few solutions will be able to compete with having a true Block Patterns API and exposing those patterns in the UI to end-users.</p>\n\n\n\n<p>The new patterns feature in Gutenberg 7.7 is meant as a minimum viable product and not representative of what the feature will look like by the time it ships in core WordPress. At the moment, the UI is a new sidebar with a small sampling of patterns to choose from. However, patterns will likely be a part of the block inserter or exposed differently down the road. The goal is to ship something that works and iterate.</p>\n\n\n\n<p>Currently, the team has bundled only four patterns:</p>\n\n\n\n<ul><li>Two Columns of Text</li><li>Two Buttons</li><li>Cover</li><li>Two Images Side by Side</li></ul>\n\n\n\n<p>While these particular patterns are not exciting, they are simple examples to begin testing the feature. The big question: <em>what patterns should Gutenberg include by default?</em> There is currently an <a href=\"https://github.com/WordPress/gutenberg/issues/20345\">open GitHub ticket</a> to discuss and implement the possibilities. There are several proposals for commonly-seen patterns around the web. The ideal people to be involved with this discussion would be theme authors because they have been working closely and directly with users for years. With enough solid patterns in core, it would mean less code work in themes. Instead of building dozens of patterns to achieve modern layouts, theme authors could focus more on the design aspect of theme development.</p>\n\n\n\n<p>In testing, the feature worked without issue. After selecting the patterns sidebar, you simply select the pattern you want, which is inserted directly in the content area of the editor. From that point, you can edit like any other block.</p>\n\n\n\n<p>Patterns will certainly make the block editor far more <a href=\"https://wptavern.com/will-page-builders-remain-competitive-in-the-block-era\">competitive with page building plugins</a>. More than anything, they will allow users to more quickly build layouts that often make for an overly complex and frustrating experience.</p>\n\n\n\n<p>Right now, the pattern library is not included in the most recent <a href=\"https://make.wordpress.org/updates/2020/03/06/update-progress-on-goals/\">roadmap update</a> for 2020. However, I could see it making an official appearance in WordPress this year if work continues at its current pace. That is merely speculation, and perhaps a little hope, but this is one of the most exciting Gutenberg features in the works.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 16 Mar 2020 20:13:08 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:42;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"WPTavern: Women in Tech Salary Transparency Project: Addressing the Gender Pay Gap\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=97782\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:207:\"https://wptavern.com/women-in-tech-salary-transparency-project-addressing-the-gender-pay-gap?utm_source=rss&utm_medium=rss&utm_campaign=women-in-tech-salary-transparency-project-addressing-the-gender-pay-gap\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:12827:\"<p class=\"has-drop-cap\">Lizzie Kardon, Head of Content and Engagement at Pagely, was featured in a nationwide segment on NBC&rsquo;s TODAY show last month.  On the show, <a href=\"https://www.today.com/video/women-tackle-the-wage-gap-by-sharing-their-salaries-78161989798\">women talked about the wage gap</a> and the issues faced by women in the workforce.  Kardon is a part of a growing movement of women who are supporting other women in negotiating a fairer paycheck.</p>\n\n\n\n<p>NBC caught wind of Kardon&rsquo;s <a href=\"http://salarytransparencyproject.com/\">Women in Tech Salary Transparency Project</a>, an open spreadsheet where women share salaries. The next step was bringing her on the show and featuring the work she is doing. &ldquo;Today I went on national television to represent over 500 women in tech because it&rsquo;s time to close the pay gap and start paying people what they&rsquo;re worth,&rdquo; she wrote in an <a href=\"https://pagely.com/blog/pagely-today-show/\">article about the show and project</a>.</p>\n\n\n\n<p>The inspiration for the project came after reading a piece by the New York Times on <a href=\"https://www.nytimes.com/2020/01/09/style/women-salary-transparency.html\">salary transparency</a>. Kardon wanted to put theory into practice. It was an experiment to see if others would be willing to share.</p>\n\n\n\n<p>&ldquo;I honestly never expected it to turn into what it is today,&rdquo; said Kardon. &ldquo;When I started this, the day after that NYT piece went out, it was slow to get traction. After I took the plunge to be the first one to share, others gained the confidence to do the same and it snowballed from there.&rdquo;</p>\n\n\n\n<h2>The Salary Transparency Project</h2>\n\n\n\n<p class=\"has-drop-cap\">Currently, the project is a <a href=\"http://salarytransparencyproject.com/\">simple spreadsheet</a> where women in tech can anonymously share their salaries. It has grown since the initial 500 entries when Kardon was on national television. Today, over 1,900 women have transparently shared their job title, wages, location, benefits, and years of experience.</p>\n\n\n\n<p>The goal is to provide concrete data for other women to use in salary and raise negotiations.</p>\n\n\n\n<p>Kardon expressed a desire to do more with the data than having it sitting around in a spreadsheet. One of the goals is to convert it into an ongoing open-source project. She is looking for partners to kick-start such a project with the development skills to compliment her growth and marketing experience.</p>\n\n\n\n<p>She also just kicked off the <a href=\"https://nogendergap.substack.com/p/no-gender-gap-issue-1\">first issue</a> of a new Substack newsletter, <a href=\"https://nogendergap.substack.com/\">No Gender Gap</a>. The first email went to 209 subscribers. The newsletter is a more immediate-term solution toward larger goals.</p>\n\n\n\n<p>&ldquo;[The newsletter] examines everything from getting fairly compensated for your work and negotiating a higher salary to being inspired by women in leadership and finding progressive companies with the best people practices,&rdquo; Kardon said. &ldquo;I have a bachelor&rsquo;s in mathematics, so I&rsquo;m also stretching those muscles and providing data insights inside of the newsletter. One of the added benefits for paid subscribers is that they can ask me their specific questions on the data, which I will then analyze and answer.&rdquo;</p>\n\n\n\n<p>After shipping the first issue, <em>No Gender Gap</em> has surpassed 300 subscribers.</p>\n\n\n\n<p>&ldquo;It&rsquo;s just amazing how many people are in need of this information and support, and I guess I&rsquo;ve just taken it upon myself to provide that right now,&rdquo; said Kardon. After her guest spot on nationwide news, she has suddenly become an advocate for working women over a few weeks. &ldquo;It&rsquo;s a bit surreal, and I can&rsquo;t stop now.&rdquo;</p>\n\n\n\n<h2>Camaraderie and Being Vocal</h2>\n\n\n\n<p class=\"has-drop-cap\">For men in tech and elsewhere, there exists a sort of <em>bro culture</em> where men are supportive of other men. This culture is not necessarily anti-woman. However, this camaraderie sets men up for success when it comes to negotiating salaries. Men are often open and push their male colleagues and friends to pursue a better wage.</p>\n\n\n\n<p>&ldquo;More and more we as women are learning how to replicate the positive aspects of that culture, inside of our own cohort,&rdquo; she said. &ldquo;The most obvious example is my recent salary transparency project. I think it&rsquo;s fair to say that efforts like this are a somewhat new movement within the women in tech community. In part, it&rsquo;s as a response to the ways our male counterparts have already established similar systems of support (and sources to boost self-confidence) in terms of their worth. I suppose that out of necessity we&rsquo;ve begun to rally around each other in hopes to help close the gender pay gap. There&rsquo;s strength in numbers, and women have realized it&rsquo;s time to light that fire.&rdquo;</p>\n\n\n\n<p>The first step toward closing the gender pay gap is talking about it. Kardon said the best help women can provide others is to be vocal about helping one another.</p>\n\n\n\n<p>&ldquo;Talking about salary <em>doesn&rsquo;t have to be</em> taboo anymore,&rdquo; she said. &ldquo;The more we share, the better we position each other to know our worth.&rdquo;</p>\n\n\n\n<p>She stresses that the movement cannot stop with data on salaries. Women must be vocal about their interview experiences and their work environments. They must share both the good and the bad experiences while keeping companies accountable for maintaining inclusive practices.</p>\n\n\n\n<p>&ldquo;For some reason, professional society evolved to support companies more than individuals, in the sense that we are inclined to feel uncomfortable sharing our salary, our benefits, how much stock we get, etc.,&rdquo; she said. &ldquo;We get scared that if we share, it might somehow negatively affect our position within the companies we work for. Guess what? That <em>only</em> supports companies because it lets <em>them</em> control the narrative. In order to support ourselves as individuals, and hold companies accountable, we should switch that practice to being open about our experiences.&rdquo;</p>\n\n\n\n<p>Kardon described taking those first steps toward normalizing these conversations as scary.</p>\n\n\n\n<p>&ldquo;In my personal experience, sharing the success of this project within Pagely felt like a little bit of a risk, but my higher-ups have been supportive,&rdquo; she said. &ldquo;They&rsquo;ve published my successes across their social platforms, the Pagely newsletter, etc., which is great and has helped the initiative grow even more. I did feel like I might be stirring some sort of pot at first, but it&rsquo;s lead to some more open conversations that I hadn&rsquo;t previously had with employers. I needed to take that risk to continue advocating for working women, and I&rsquo;m glad I did.&rdquo;</p>\n\n\n\n<h2>Roadblocks and Systemic Issues</h2>\n\n\n\n<p class=\"has-drop-cap\">Kardon explains that some of the roadblocks to higher salaries are often self-inflicted because many women lack the confidence of their male counterparts in negotiations. Part of the solution is knowing what they are worth going in.</p>\n\n\n\n<p>&ldquo;The process many organizations implement today is that you, as the talent, go into an interview and are asked what your ideal salary band is,&rdquo; she said. &ldquo;This means you set the bar for how much the company needs to offer you. Let&rsquo;s say they were planning on allocating $100K to this salary, but you only indicate $80K as your ideal number. Do you know any companies that would come back and say, &lsquo;well, we think you&rsquo;re worth more&rsquo;? I don&rsquo;t think that&rsquo;s standard practice anywhere. To put it in plain terms, if a woman is more inclined to low ball herself to that $80K number, her male counterpart might have the built-in confidence to go ahead and aim higher at $100K and have his demands met.&rdquo;</p>\n\n\n\n<p>The larger roadblock stemming from this is that starting salaries will determine future earnings with a company. Raises are often based on a percentage of that starting salary rather than value to the company.</p>\n\n\n\n<p>&ldquo;After a handful of years, you gain a <em>lot</em> of skill and knowledge in your current position,&rdquo; Kardon said. &ldquo;But, you&rsquo;re still tied to that initial number which oftentimes ends up low compared to the expertise you&rsquo;ve developed. In that sense, the only way forward is to find another job. For women, we&rsquo;re more likely to be undervalued over time because we didn&rsquo;t understand how much we were worth in that initial salary negotiation.&rdquo;</p>\n\n\n\n<p>Kardon does not want to dismiss systemic issues such as gender discrimination, which are not self-inflicted roadblocks. &ldquo;I think, luckily, there is a trend towards less of that in tech today &mdash; though it still exists, don&rsquo;t get me wrong,&rdquo; she said. &ldquo;The best thing I can offer here, in terms of simple solutions that companies can implement to help address these issues, are organization-wide salary transparency and better people practices.&rdquo;</p>\n\n\n\n<p>One solution is for companies to follow the lead of Buffer with its <a href=\"https://buffer.com/salary/senior-data-engineer/average\">publicly viewable salary calculator</a>. This helps level the field in salary negotiations for all genders.</p>\n\n\n\n<p>Another important aspect is taking care of people&rsquo;s needs. Pagely, the company Kardon works for, provides three months of paid parental leave for both parents. &ldquo;Yes, this is great for male parents, but benefits like this also make it possible for birthing (and working) women to get the support they need from their partners,&rdquo; she said. &ldquo;There&rsquo;s nothing more isolating than being scared and alone at home with a newborn when your partner goes back to work two weeks later. People practices like this make sure women don&rsquo;t bear that responsibility all on their own. It&rsquo;s a small start, but a wonderful move in the right direction of equality and shared responsibilities in the home.&rdquo;</p>\n\n\n\n<p>However, more can be done. &ldquo;Other women-led people practices to consider are reimbursement for fertility treatments and lactation consultations, professional female networking, women&rsquo;s leadership development programs, and so much more,&rdquo; said Kardon.</p>\n\n\n\n<h2>The WordPress Ecosystem and Women</h2>\n\n\n\n<p class=\"has-drop-cap\">While Kardon does not have data specific to WordPress companies, the data she has collected thus far is clear. Women make up to 10%, on average, less than their male counterparts in the tech industry. Most of this data comes from women who are developers and engineers, jobs that are in abundance in the WordPress ecosystem.</p>\n\n\n\n<p>&ldquo;Overall, on a positive note, I think the WordPress community is inherently inclusive,&rdquo; said Kardon. &ldquo;At WordCamps, we see a high number of female organizers and speakers, and there are a bunch of female-founded companies in the ecosystem and women being recognized for the work they do in our community.&rdquo;</p>\n\n\n\n<p>&ldquo;A few examples of some of the most respected people in WordPress, who happen to be female, are Lisa-Sabin Wilson, co-owner of WebDevStudios; Tracy Apps of Tracy Apps Design; Rian Kinney of The Kinney Firm; Helen Hou-Sand&iacute;, director of open source initiatives at 10up and WordPress lead developer; Rachel Cherry; Andrea Middleton; Josepha Haden; and of course Sally Strebel, co-founder and COO of Pagely,&rdquo; she said.</p>\n\n\n\n<h2>Available Tools and Resources</h2>\n\n\n\n<p class=\"has-drop-cap\">Kardon describes this movement as new-<em>ish</em> with more resources being created every day. As more women become vocal and begin supporting each other, the more progress our society will make.</p>\n\n\n\n<p>The following links are to sites and resources where women, not those just in tech, can help each other and find more information (links provided by Kardon):</p>\n\n\n\n<ul><li><a href=\"https://www.ellevest.com/magazine\">Ellevest</a>, an online magazine that tackles money, career, and relevant topics.</li><li><a href=\"https://www.linkedin.com/in/salliekrawcheck/\">Videos on LinkedIn</a> from Ellevest CEO, Sallie Krawcheck.</li><li><a href=\"https://elpha.com/\">Elpha</a>, a community for women in tech to speak candidly.</li><li><a href=\"https://theriveter.co/\">The Riveter</a>, a group for women and allies fighting for equality.</li><li><a href=\"https://www.femalefoundercollective.com/\">The Female Founder Collective</a>, a network of businesses led by women, supporting women.</li></ul>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 13 Mar 2020 19:58:21 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:43;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"WPTavern: The Wacky World of Sorta Brilliant’s Sorta Fun Block Plugins\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=97824\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:183:\"https://wptavern.com/the-wacky-world-of-sorta-brilliants-sorta-fun-block-plugins?utm_source=rss&utm_medium=rss&utm_campaign=the-wacky-world-of-sorta-brilliants-sorta-fun-block-plugins\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:9731:\"<div class=\"wp-block-cover alignfull has-background-dim has-cool-to-warm-spectrum-gradient-background\"><div class=\"wp-block-cover__inner-container\">\n<h1 class=\"has-text-align-center is-style-ghostwriter text-center\">The Wacky World of Sorta Brilliant&rsquo;s Sorta Fun Block Plugins</h1>\n</div></div>\n\n\n\n<div class=\"wp-block-group alignwide ticss-8eeb9a7e\"><div class=\"wp-block-group__inner-container\">\n<p class=\"has-drop-cap my-8\">You could say that I am a bit of a fanboy of the late 1990s and early 2000s web. I loved the funkiness of GeoCities. I enjoyed the random midi file that began playing when a new web page opened. I am <a href=\"https://wptavern.com/rebirth-of-creativity-gutenberg-and-the-future-of-wordpress-themes\">nostalgic about an early web</a> that felt like an explosion of weird creativity that was driven by the passion of the people who were using this newfangled toy and were not quite sure what to do with it. Visiting a web page was like diving into a shameless, bottomless pit of geekdom.</p>\n\n\n\n<p>When I see a new block editor plugin pushed out by Nick Hamze, I perk up. It is sure to be something interesting.</p>\n\n\n\n<p>Hamze is the mind behind <a href=\"https://sortabrilliant.com/\">Sorta Brillian</a>t, a website that is dedicated to sharing unique blocks mostly for the fun of it. In a web development world that is seemingly pushing another business or eCommerce tool every day, it is easy to sit back with blinders on. <em>Yawn.</em> Hamze is asking, <em>where has all the creativity gone?</em> He is putting his ideas and cash behind the development of features that harken to those early, fun days of the web. His projects will not be everyone&rsquo;s cup of tea, but he is filling in a particular void that has been widening for years. And he&rsquo;s doing it in style.</p>\n\n\n\n<p>&ldquo;I have at least 10 new block ideas a day,&rdquo; said Hamze. &ldquo;They just pop in there, and I have them made as fast as I can.&rdquo;</p>\n\n\n\n<p>Part of the problem is finding enough developers to help push out these projects at the pace that he can draw them up. Hamze is the creative force behind the projects, but he is not a programmer.</p>\n\n\n\n<p>Discoverability of these plugins can be also an issue. They are not exactly the types of plugins that are in fashion at the moment and can fly under the radar. &ldquo;I waffle back and forth between wanting to make stuff to make WordPress fun and get lots of installs,&rdquo; he said. &ldquo;Every time I ask someone how to get more installs, they tell me to make more boring stuff, but I don&rsquo;t want to do that.&rdquo; Hamze is speaking about the ecosystem&rsquo;s drive toward more minimalist and business-oriented trends.</p>\n\n\n\n<p>Hamze said many of his plugin ideas come from building his Zune fansite, <a href=\"https://hellofromseattle.com/\">Hello From Seattle</a>. It is a passion project for a long-dead MP3 player, but it fuels his brand of creativity.</p>\n\n\n\n<p>&ldquo;I see zero passion, especially in the WordPress space,&rdquo; Hamze said. &ldquo;It seems like everyone is just going through the motions lately. I&rsquo;m trying my best but I don&rsquo;t see anyone else who wants to bring back the old days. <em>Fun</em> doesn&rsquo;t seem like something WordPress is supposed to be used for. It makes me kind of sad. <em>WordPress is supposed to be used for large corporations and business; it shouldn&rsquo;t be used for silly things like I&rsquo;m doing.</em>&ldquo;</p>\n\n\n\n<p>He has at least one fan. <em>Hello.</em> I am just here to bring the rest of you along for the revival of the weird and wacky web experienced during the golden age of website creation.</p>\n\n\n\n<p>One such throwback plugin is his <a href=\"https://wordpress.org/plugins/peculiar-pointers/\">Peculiar Pointers</a> block. It is a container that allows users to upload an image to use as a custom cursor while moving the mouse over anything within the block. May the modern web development gods strike me down, but custom cursor images were really fun back in the day. I said it. No shame here.</p>\n\n\n\n<p>For users who do not have a custom cursor image in mind, Hamze provides some inspiration via his new <a href=\"https://weirdpress.club/\">WeirdPress website</a>, an early venture into his <em>weirder</em> WordPress ideas. &ldquo;I love making things but also really want to get people to actually use them,&rdquo; he said. &ldquo;With <a href=\"https://block.garden/\">Block Garden</a> and Sorta Brilliant, I try to stay a bit between fun and business because of this. With WeirdPress, I just wanted to make things that were really dumb but made me happy. Plugins, that if I&rsquo;m the only user, it&rsquo;s OK. People don&rsquo;t do things for fun anymore.&rdquo;</p>\n\n\n\n<p>Hamze wants more plugin developers to use their skills to be creative with block development. &ldquo;I&rsquo;ve asked all my ex-coworkers or people that I know in the WP world, <em>if you have the ability to make blocks, why don&rsquo;t you?</em> I can&rsquo;t code, so I end up paying a ton of money every month to developers. If I had the ability, I&rsquo;d be coding fun plugins all day long. But, to most people, WordPress is a business, a job, not something they do for fun.&rdquo;</p>\n\n\n\n<h2>A Collection of Block Editor Plugins</h2>\n\n\n\n<img />VHS filter from the Altered Reality plugin.\n\n\n\n<p class=\"has-drop-cap\">Last week, Hamze released the <a href=\"https://wordpress.org/plugins/altered-reality/\">Altered Reality</a> plugin, which allows users to select from over two dozen filters to apply over images. Aside from simply having a cool name for a plugin, end-users can enjoy everything from the funky Acid Trip filter to something more professional like the cool, blue tones of the Brooklyn filter. Most of the filters come from the <a href=\"https://una.im/CSSgram/\">CSS Gram</a> project, but there are a few extras thrown in for fun, such as the throwback VHS style.</p>\n\n\n\n<p>Hamze laments about the shortage of unique designs in the WordPress theme design world. &ldquo;It&rsquo;s like an afterthought,&rdquo; he said. &ldquo;All the themes look basically the same. They are minimalist and boring and have no personality. One of the main things I want to do is introduce fun design to WordPress. I can&rsquo;t do anything about boring themes, but I can make them a bit more fun.&rdquo;</p>\n\n\n\n<p>Because of the complexities of building out a fully-fledged WordPress theme, it is not cost-effective to fund such development at the moment. Hamze is sticking with smaller, one-off plugins that bring something unique to the block editor.</p>\n\n\n\n<img />\n\n\n\n<p>Last month, Hamze released <a href=\"https://wordpress.org/plugins/meme-me/\">Meme Me</a>, a plugin that allows users to generate a meme-style image directly via the block editor. The plugin is simple. It creates a custom image block style. When chosen, the image caption becomes the meme text. The plugin also offers a few design settings, such as the location of the text. A useful feature for the future would be to make the entire meme downloadable for sharing on social media. <em>That&rsquo;s what half of Facebook and Instagram are these days, right?</em></p>\n\n\n\n<p>It is not all fun and games. Hamze, through his Sorta Brilliant brand, has several block-related plugins that fit into the more <em>sensible</em> side of the web. <a href=\"https://wordpress.org/plugins/block-shots/\">Blockshots</a> allows end-users to snap a screenshot of individual blocks from the editor. <a href=\"https://wordpress.org/plugins/lazy-lists/\">Lazy Lists</a> is ideal for people who need to sort their list block alphabetically or numerically at the click of the button. <a href=\"https://wordpress.org/plugins/dapper-desktop/\">Dapper Desktop</a> is useful for turning large images into multiple, downloadable image sizes for visitors to use as wallpapers.</p>\n\n\n\n<p>On the wackier side of things, Hamze released a plugin called <a href=\"https://wordpress.org/plugins/vital-information/\">Vital Information</a> yesterday. It displays messages from a segment titled <em>Vital Information for Your Everyday Life</em> from the 1990s sketch-comedy <em>All That</em> across the top of the block editor. It is the modern-day Hello Dolly plugin with useful information like, &ldquo;If you&rsquo;re drinking apple juice, and it feels warm, odds are that ain&rsquo;t apple juice.&rdquo;</p>\n\n\n\n<p>We are barreling toward the point where there is truly a plugin for everything.</p>\n\n\n\n<p>Hamze said he does not plan far in advance when it comes to plugin ideas. &ldquo;Most of my projects go like this,&rdquo; he began. &ldquo;I think of an idea in the morning and two days later it&rsquo;s launched.&rdquo; He is currently working on a plugin that will <em>blockify</em> the WordPress dashboard. He also has a budding project for fun button styles. Followers of the <a href=\"https://github.com/sortabrilliant\">Sorta Brilliant GitHub account</a> can keep track of his projects as they are born.</p>\n\n\n\n<p>Recently, Hamze has felt discouraged by the seeming lack of interest from leaders within the core and inner WordPress community. He feels like there is not enough of a push to bring unique flavors to design in general to the WordPress ecosystem. &ldquo;One thing that I really believe is that we need fresh blood in the WordPress world,&rdquo; he said. &ldquo;There are some amazing designers out there that could make WordPress fun if we just made them feel welcome.&rdquo;</p>\n\n\n\n<p>I, for one, am ready see a scrolling-text block plugin.  Because the old <code>&lt;marquee&gt;</code> HTML tag is obsolete, we need a replacement to bring back some of the fun from those long-lost days of my early foray into the web.</p>\n</div></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 12 Mar 2020 20:47:42 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:44;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:90:\"WPTavern: WooCommerce 4.0 Lands with New Admin Interface and Updated Onboarding Experience\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=97797\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:225:\"https://wptavern.com/woocommerce-4-0-lands-with-new-admin-interface-and-updated-onboarding-experience?utm_source=rss&utm_medium=rss&utm_campaign=woocommerce-4-0-lands-with-new-admin-interface-and-updated-onboarding-experience\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5219:\"<p class=\"has-drop-cap\">Yesterday, Automattic <a href=\"https://woocommerce.wordpress.com/2020/03/10/woocommerce-4-0-is-here/\">launched version 4.0</a> of its WooCommerce plugin.  Except for the new admin interface, which has been in testing for over a year, the development of this update began in January 2020.  The update also includes an updated onboarding experience for new users.</p>\n\n\n\n<p>Version 4.0 is a major release of the plugin.  Users should create a database backup before upgrading.  The WooCommerce team suggests testing on a staging site before upgrading on a live site to make sure everything runs smoothly.</p>\n\n\n\n<p>The new version is not completely backward compatible with previous versions of WooCommerce.  Reading the <a href=\"https://docs.woocommerce.com/document/how-to-update-woocommerce/\">How to Update WooCommerce</a> documentation before clicking the update button is recommended.</p>\n\n\n\n<p>Developers and end-users should take note of the <a href=\"https://woocommerce.wordpress.com/2020/01/08/action-scheduler-3-0/\">changes to the Action Scheduler library</a>, which is the background job runner bundled in WooCommerce.  In the past, it stored data as a custom post type, which has now been switched to a custom database table.  The change should make background processes more performant with large amounts of data.  It also has the potential to break custom code that does not interface directly with the API, but this should not be an issue for most users.</p>\n\n\n\n<h2>WooCommerce Admin Project Merged into the Core Plugin</h2>\n\n\n\n<img />Customizable dashboard stats and charts.\n\n\n\n<p class=\"has-drop-cap\">With well over a year of developer and user feedback,  the WooCommerce team decided it was time to merge its new admin interface into the core plugin.  Originally, the interface was developed as a separate plugin named <a href=\"https://wordpress.org/support/plugin/woocommerce-admin/\">WooCommerce Admin</a>.  The project began <a href=\"https://woocommerce.wordpress.com/2018/10/18/wc-admin/\">alpha testing in October 2018</a> and was later released publicly in February 2019. </p>\n\n\n\n<p>WooCommerce Admin is a JavaScript-driven experience, which allows loading certain data while remaining on the same screen.  It is indicative of the direction we will likely see more of in the future.  The plugin currently has over one million active installs and a three-star rating.  For many reviewers, they either loved or hated the plugin version, with most of the ratings either coming in one or five stars.</p>\n\n\n\n<p>The new admin interface features a customizable dashboard.  End-users can choose which stats to display in the performance section, select the charts they want to appear, and customize their leaderboard output.</p>\n\n\n\n<p>Reports are much improved over previous iterations.  The updated interface allows better filtering and comparisons.  It should provide merchants with more useful insights into how well their shop is performing.</p>\n\n\n\n<p>Plugin developers should take note that admin notices may not appear on all WooCommerce screens.  This seems to be limited to custom screens created by WooCommerce.  Notices appear on WordPress-generated pages (e.g., products, orders, coupons).  While this may be a welcome sight for third-party notices that are sometimes plastered across the admin, it could present an issue for plugins that are specifically attempting to display a notice related to WooCommerce.</p>\n\n\n\n<p>My biggest dislike is the inclusion of a sticky header and menu on all WooCommerce admin screens.  I have been vocal in the past about my dislike of sticky headers while viewing sites from my laptop.  If their height is small enough, it is a non-issue.  However, when a sticky header uses enough screen real estate, it triggers a gut-wrenching claustrophobia that is hard for me to shake.  WooCommerce&rsquo;s new sticky header would be enough for me to look elsewhere if starting a shop, or at least push me to write some custom code to change it.  I know this is a personal hangup, but I hope it is something that gets dropped from a future release.</p>\n\n\n\n<h2>Updated Onboarding Process</h2>\n\n\n\n<img />Selecting a theme during the final onboarding step.\n\n\n\n<p class=\"has-drop-cap\">The onboarding process was spot on.  For someone who rarely sets up online shops, each step was easy and helped me get off the ground running.  This type of experience for larger plugins should be the standard rather than the exception.  Far too often with these types of plugins, users can feel like they have been tossed into the wilderness with no compass after plugin activation.  This was one of the nicer onboarding experiences I have had with a WordPress plugin.</p>\n\n\n\n<p>Users have the option of selecting the old setup wizard if they are already familiar with it.  The new one is worth a spin.</p>\n\n\n\n<p>The first step primarily points users to Jetpack and other Automattic services, but many of those will be useful for shop owners.  There are also options for connecting with Facebook and Mailchimp.  The final step of the wizard offers a selection of free and paid themes, which is a useful part of setting up a shop for many first-time store owners.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 11 Mar 2020 20:46:02 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:45;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"WordPress.org blog: WordPress 5.4 RC2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=8422\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/2020/03/wordpress-5-4-rc2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3269:\"<p>The second release candidate for WordPress 5.4 is now available!</p>\n\n\n\n<p>WordPress 5.4 is currently scheduled to be released on&nbsp;<strong><a href=\"https://make.wordpress.org/core/5-4/\">March 31 2020</a></strong>, and we need&nbsp;<em>your</em>&nbsp;help to get there—if you haven’t tried 5.4 yet, now is the time!</p>\n\n\n\n<p>There are two ways to test the WordPress 5.4 release candidate:</p>\n\n\n\n<ul><li>Try the&nbsp;<a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a>&nbsp;plugin (choose the “bleeding edge nightlies” option)</li><li>Or&nbsp;<a href=\"https://wordpress.org/wordpress-5.4-RC2.zip\">download the release candidate here</a>&nbsp;(zip).</li></ul>\n\n\n\n<p>For details about what to expect in WordPress 5.4, please see the&nbsp;<a href=\"https://wordpress.org/news/2020/03/wordpress-5-4-release-candidate/\">first release candidate post</a>.</p>\n\n\n\n<p>RC2 addresses improvements to the new About page and <a href=\"https://core.trac.wordpress.org/query?id=49611%2C49318%2C49295%2C49585%2C49568%2C49549&milestone=5.4&group=component&col=id&col=summary&col=milestone&col=owner&col=type&col=status&col=priority&order=priority\">5 fixes</a> for the following bugs and regressions:</p>\n\n\n\n<ul><li><a href=\"https://core.trac.wordpress.org/ticket/49611\">49611</a> &#8211; Block Editor: Update WordPress Packages WordPress 5.4 RC 2</li><li><a href=\"https://core.trac.wordpress.org/ticket/49318\">49318</a> &#8211; Bundled Themes: Twenty Twenty content font CSS selector is too important</li><li><a href=\"https://core.trac.wordpress.org/ticket/49585\">49585</a> &#8211; REST API: Fix typo in disable-custom-gradients theme feature description</li><li><a href=\"https://core.trac.wordpress.org/ticket/49568\">49568</a> &#8211; Block Editor: Fix visual regression in editor&#8217;s color picker</li><li><a href=\"https://core.trac.wordpress.org/ticket/49549\">49549</a> &#8211; Bundled Themes: Calendar widget CSS fixes on various Bundled themes</li></ul>\n\n\n\n<h2>Plugin and Theme Developers</h2>\n\n\n\n<p>Please test your plugins and themes against WordPress 5.4 and update the&nbsp;<em>Tested up to</em>&nbsp;version in the readme to 5.4. If you find compatibility problems, please be sure to post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>&nbsp;so we can figure those out before the final release.</p>\n\n\n\n<p>The&nbsp;<a href=\"https://make.wordpress.org/core/2020/03/03/wordpress-5-4-field-guide/\">WordPress 5.4 Field Guide</a>&nbsp;has also been published, which details the major changes.</p>\n\n\n\n<h2>How to Help</h2>\n\n\n\n<p>Do you speak a language other than English?&nbsp;<a href=\"https://translate.wordpress.org/projects/wp/dev\">Help us translate WordPress into more than 100 languages!</a></p>\n\n\n\n<p><em><strong>If you think you’ve found a bug</strong>, you can post to the&nbsp;<a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a>&nbsp;in the support forums. We’d love to hear from you! If you’re comfortable writing a reproducible bug report,&nbsp;<a href=\"https://make.wordpress.org/core/reports/\">file one on WordPress Trac</a>, where you can also find&nbsp;<a href=\"https://core.trac.wordpress.org/tickets/major\">a list of known bugs</a>.</em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 10 Mar 2020 21:40:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Francesca Marano\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:46;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"WPTavern: Advice for Newcomers to Remote Work: Lessons Learned\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=97784\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:167:\"https://wptavern.com/advice-for-newcomers-to-remote-work-lessons-learned?utm_source=rss&utm_medium=rss&utm_campaign=advice-for-newcomers-to-remote-work-lessons-learned\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:7835:\"<p>&ldquo;What did you do today?&rdquo; asked my aunt.  &ldquo;Take a nap?  Watch TV?&rdquo;</p>\n\n\n\n<p>&ldquo;You know, I work a real job, Auntie?  They pay me and everything.&rdquo;</p>\n\n\n\n<p>Making some of my family and friends understand what I <em>actually</em> do from home is tough.  If it is a family member I don&rsquo;t really like, I sometimes respond, &ldquo;I work &mdash; probably harder than you.&rdquo;  In all seriousness, over time, you learn to roll with it.  In 2020, more people are accustomed to the concept of remote work than ever before, so the conversations have become easier, even with family and friends.</p>\n\n\n\n<p>With the latest coronavirus strain (COVID-19) becoming widespread, many companies and people are looking at remote work options.  I am not sure if the world is ready, but it is a part of our new reality.  Those of us within the WordPress community can lead the charge by sharing our experiences and advice.</p>\n\n\n\n<p>I am in my twelfth year of working from home.  It is hard to believe that there was ever a time when I went into an office or commuted to a watermelon field in the middle of an Alabama summer.  I was the first person in my family to work from home.  Now I have siblings who do much of their work remotely, a nephew who is using the internet to jump-start his career before leaving high school, and a cousin who is &ldquo;exploring some options&rdquo; (he really just doesn&rsquo;t like wearing shoes).  Still, the overwhelming majority of the people I know are required to work in a physical location.  For many, working from home is not an option.  However, others are now facing a wild swing in how they will work for the next few weeks, months, and perhaps beyond.</p>\n\n\n\n<p>What follows is my advice for newcomers to remote work.  I have spent nearly my entire professional career behind a laptop at home and have had to learn some important lessons the hard way.</p>\n\n\n\n<p>Before diving in, my top tip is to get a comfortable chair and work from the front porch if possible.  Enjoy nature.  Watch the birds.  Breathe fresh air.  Don&rsquo;t trade one stuffy office for another.</p>\n\n\n\n<h2>Organization and Structure</h2>\n\n\n\n<p class=\"has-drop-cap\">I have worked remotely ever since I returned home from a teaching stint in South Korea.  I had spent a over a year teaching English as a second language, mostly to kids who would have rather been out playing.  Teaching is tough work.  You enjoy imparting knowledge upon young minds.  However, you must be part caregiver; part administrator; and part judge, jury, and detention-giver for the kid cussing you out in a foreign language (tip: always learn the bad words when teaching in another country).  At the end of the day, you are exhausted, but you get up the next morning because you&rsquo;re passionate about what you are doing.  </p>\n\n\n\n<p>For me, one of the best parts of going to the office was the structure.  To that point, I had spent my entire life within rigidly-defined systems.  From age 5 to 23, I was in school.  Nearly everything I did or anywhere I went was decided by someone else, whether that was my parents, teachers, coaches, or boss at a part-time job.  Moving into a job that was likewise structured seemed natural.</p>\n\n\n\n<p>My days felt like they had a purpose because of this structure.</p>\n\n\n\n<p>In the month before I moved back home to the States, I launched my business around WordPress.  I was excited to work from home.  I was unsure what that actually meant, but I was going to do it.  I would no longer be constrained by administrators or bosses.  I could set my own schedule.</p>\n\n\n\n<p>The idea sounded great&hellip;<em>in theory</em>.</p>\n\n\n\n<p>While I had successfully launched a business that I would continue for over a decade, there was an essential missing piece of the puzzle.  I had no structure.  In some ways, this was exciting.  I never knew what a new day would bring.  I could choose my own adventure each morning.</p>\n\n\n\n<p>However, that disarray eventually took its toll.  It took a toll on my health as my waistline continued to expand.  It took a toll on me mentally as I slept and worked at random hours.  I knew I could not continue along the same path.</p>\n\n\n\n<p>Before setting out on my own, all structure in my life was determined by others.  I had not learned the basic skills necessary for organizing my daily routine.  I thrive when I know exactly what I am going to do.  A little spontaneity is not bad, and my schedule does not need to broken down by the hour or minute.  However, a little planning and outlining goes a long way toward kick-starting my day.</p>\n\n\n\n<p>When talking with people who are setting out on their first journey into working from home, I always stress the need for structure.  This becomes even more important for people who are married or have children.  Not everyone needs to be rigid with their organization and map out each hour of the day.  However, it is good practice when first starting out to have some basic outline in place, at least until you get a feel for what works for you.</p>\n\n\n\n<p>For me, this means having daily goals.  In my current work setting, this is about having the next day&rsquo;s story lined up plus a couple of backup stories in case the first falls through.  It means knowing who I need to contact for an interview and touching base with sources.  In the past, as a developer, I would set up daily feature development or bug fix goals.  This system leaves me wiggle room while still setting me up for success.  I also play with the formula a bit when I feel like I need more or less structure.</p>\n\n\n\n<p>Everyone will be a little different, but jumping into remote work is a massive work and lifestyle change.  Having some level of organization and structure can set you up for easy wins early on.</p>\n\n\n\n<h2>Social Health and Relationships</h2>\n\n\n\n<p class=\"has-drop-cap\">The worst thing about working from home can be the loss of social structure.  More often than not, co-workers become part of our inner groups.  You find someone to be your gym spotter from your department.  You start a weekly poker game with folks from the office breakroom.  Often, where we work defines a part or all of our social circle.</p>\n\n\n\n<p>It is also easy to get too caught up in your work when no longer commuting to the office.  It becomes easier to skip a night out to the theater when you have been working on your latest project for 16 hours.  It is easy to forgo family dinner because you want to wrap up a few emails.  Your spouse suddenly becomes the only one reading the kids their bedtime story as you do a final check-in for the night.</p>\n\n\n\n<p>The biggest regret I have about working from home over the years is missing opportunities to spend with family and friends.  Far too often, I was working on my next &ldquo;big&rdquo; project.  I had to build out that feature that was going to revolutionize whatever I was working on.</p>\n\n\n\n<p>There is rarely something so important that it cannot wait until the morning.  While we all have to put food on the table, our social well-being is just as important as financial stability.</p>\n\n\n\n<p>Even those of us who prefer to be alone most of the time still need other people in our lives.  This connection with others is part of what makes us human.  It is not something we can afford to sacrifice.  You do not need to say <em>yes</em> to every social invite, but make sure you do not miss out on all human-to-human interaction.</p>\n\n\n\n<p>If nothing else, at least get a few furry, feathery, or scaly companions.  My cats, chickens, and ducks certainly keep life entertaining when I am not out in the world.</p>\n\n\n\n<hr class=\"wp-block-separator\" />\n\n\n\n<p>For those of you who work from home, what are your tips?  Share your experiences, lessons, and advice.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 10 Mar 2020 19:55:34 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:47;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"Post Status: The benefits of Masterminds\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://poststatus.com/?p=78070\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://poststatus.com/masterminds/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1729:\"<p>Ken Wallace runs <a href=\"https://mastermindjam.com/\">Mastermind Jam</a>, which according to the website, &#8220;gives you everything you need to join, create, and manage your mastermind group, all without having to waste time cobbling together a bunch of different software, forms, and shared documents, even if you don\'t have a large personal network.&#8221;</p>\n\n\n\n<p>Here\'s the episode:</p>\n\n\n\n\n\n\n\n<hr class=\"wp-block-separator\" />\n\n\n\n<p><strong>Some of the topics discussed about Masterminds</strong></p>\n\n\n\n<ul><li>Defining what a mastermind is</li><li>The difference between a mastermind and other community channels</li><li>Why masterminds are important to hold with peers outside of your company</li><li>Learning to trust your mastermind</li><li>The importance of consistency, and setting up a regular cadence</li><li>How to structure conversations</li><li>How to find people for a mastermind </li></ul>\n\n\n\n<h3>Links</h3>\n\n\n\n<ul><li><a href=\"https://mastermindjam.com/\">Mastermind Jam</a>: find your mastermind</li><li>Ken <a href=\"https://twitter.com/boaticus\">on Twitter</a></li></ul>\n\n\n\n<h3>Episode Parter: <a href=\"https://poststat.us/sandhills\">Sandhills Development</a></h3>\n\n\n\n<p>No matter what you\'re working on with your WordPress website, <a href=\"https://poststat.us/sandhills\">Sandhills Development</a> probably has a tool that can help you. </p>\n\n\n\n<ul><li>Easy Digital Downloads – Sell digital products with WordPress</li><li>AffiliateWP – A full-featured affiliate marketing solution</li><li>Restrict Content Pro – A powerful membership plugin for WordPress</li><li>Sugar Calendar – WordPress event management made simple</li><li>WP Simple Pay – A lightweight Stripe payments plugin</li></ul>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 10 Mar 2020 16:39:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Brian Krogsgard\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:48;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"WPTavern: Editor Will Default to Fullscreen Mode in WordPress 5.4\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=97751\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:175:\"https://wptavern.com/editor-will-default-to-fullscreen-mode-in-wordpress-5-4?utm_source=rss&utm_medium=rss&utm_campaign=editor-will-default-to-fullscreen-mode-in-wordpress-5-4\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5068:\"<img />WordPress editor in fullscreen mode.\n\n\n\n<p class=\"has-drop-cap\">Riad Benguella announced on the core development blog last week the editor in <a href=\"https://make.wordpress.org/core/2020/03/03/fullscreen-mode-enabled-by-default-in-the-editor/\">WordPress 5.4 will ship in fullscreen mode</a> by default.  While some form of fullscreen or distraction-free writing has existed for years in the core platform, this marks the first time WordPress will make it the default experience.</p>\n\n\n\n<p>Not all installations will see the fullscreen editor upon upgrading.  The editor will be in fullscreen mode the first time a user opens the editor in a new installation, on a new device, or whenever WordPress resets a user&rsquo;s preferences.</p>\n\n\n\n<p>Some people were not happy with the timing of the <a href=\"https://github.com/WordPress/gutenberg/pull/20611\">code change</a>, regardless of their feelings about whether it was a good decision to switch to a fullscreen experience by default.  The change was slipped in three weeks after a feature and enhancements freeze for the WordPress 5.4 development cycle.  This was also the same day that the first <a href=\"https://wordpress.org/news/2020/03/wordpress-5-4-release-candidate/\">WordPress 5.4 release candidate</a> was released.  Some argued that the development cycle should remain sacred, that last-minute changes should be punted to the next cycle.  Doing so would provide an appropriate level of testing and preparation.  The shock-factor would also be lessened when more people are aware that a change is coming.</p>\n\n\n\n<p>&ldquo;I would have expected this to sit in the plugin for a cycle or two, and dropping an alteration to the editor&rsquo;s behavior this major into core several hours before 5.4 was promoted to Release Candidate is very confusing to me,&rdquo; said software engineer K. Adam White.  &ldquo;What about this change made it have to happen today, rather than following our release process and bundling this enhancement with 5.5?&rdquo;</p>\n\n\n\n<p>Matt Mullenweg, WordPress co-founder and 5.4 release lead, chimed in and accepted responsibility.  &ldquo;This is on me as release lead &mdash; I&rsquo;ve been meaning to get this in for a while but it got lost in the shuffle,&rdquo; he said.  &ldquo;I&rsquo;m very comfortable with the decision to have fullscreen by default given the user testing we&rsquo;ve seen and other qualitative feedback, which I&rsquo;ve also heard is similar to what folks like GoDaddy have found in their testing. The code change is minimal so if during the month of March we need to revert it, shouldn&rsquo;t be a problem.&rdquo;</p>\n\n\n\n<p>Late changes can catch people who provide support or manage client websites off guard.  Joost de Valk, founder and CPO of Yoast, noted that such changes also force extra work on people who maintain courses and other materials around the editor.</p>\n\n\n\n<h2>The Fullscreen Experience</h2>\n\n\n\n<p class=\"has-drop-cap\">Admittedly, I have never used fullscreen mode since the block editor landed.  I tested the earlier iteration when the classic editor was still the norm.  I did not care for it then, but I also did not care for the classic editor.  Instead, I always wrote in an offline editor.  I was not the ideal test candidate for the feature.  Since then, I have not given it much thought.</p>\n\n\n\n<p>When testing the fullscreen mode in WordPress 5.4, I was a little shocked by the change.  It felt like I stepped outside of my WordPress admin panel.  However, that shock quickly wore off.  The experience was not much different from working within the normal editor.</p>\n\n\n\n<p>The only thing that was a poor user experience for me was clicking the arrow button at the top left of the editor.  I had wrongly assumed the button would open the WordPress admin menu.  Instead, it took me back to the posts management screen.  The button does have a &ldquo;View Posts&rdquo; tooltip that appears when you hover it, but I tend to move fast and clicked it before I understood its purpose.  </p>\n\n\n\n<img />Top left button in editor returns users to posts management screen.\n\n\n\n<p>I was prepared to open a ticket to address this problem.  However, the Gutenberg team was <a href=\"https://github.com/WordPress/gutenberg/issues/20579\">already on top of the issue</a> and have <a href=\"https://github.com/WordPress/gutenberg/pull/20603\">merged a fix</a> within the plugin that uses the WordPress &ldquo;W&rdquo; icon.  It is unclear if this change will make it into WordPress 5.4.  It would be ideal to avoid the same issue I ran into.</p>\n\n\n\n<p>Finding these types of problems and addressing them is one of the primary reasons that we should avoid major changes to user interfaces late in the development cycle.  If we are lucky, this is the worst problem that arises this time around.</p>\n\n\n\n<p>The fullscreen experience would also be nicer if there was a button or keyboard shortcut to quickly switch modes.  Currently, users must click the &ldquo;&#8942;&rdquo; button for tools and options.  Then, select the editing mode. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 09 Mar 2020 19:44:35 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:49;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"Matt: Sonny Rollins Interview\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"https://ma.tt/?p=50983\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"https://ma.tt/2020/03/sonny-rollins-interview/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:186:\"<p><a href=\"https://www.nytimes.com/interactive/2020/02/24/magazine/sonny-rollins-interview.html\">David Marchese at the  NY Times has a beautiful interview with Sonny Rollins up</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 08 Mar 2020 21:27:14 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:8:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Tue, 14 Apr 2020 23:33:35 GMT\";s:12:\"content-type\";s:8:\"text/xml\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:13:\"last-modified\";s:29:\"Tue, 14 Apr 2020 23:15:08 GMT\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:4:\"x-nc\";s:9:\"HIT ord 2\";s:16:\"content-encoding\";s:4:\"gzip\";}}s:5:\"build\";s:14:\"20150516211916\";}", "no");
INSERT INTO `wp_options` VALUES("160619", "_transient_timeout_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1586950415", "no");
INSERT INTO `wp_options` VALUES("160620", "_transient_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1586907215", "no");
INSERT INTO `wp_options` VALUES("160621", "_transient_timeout_feed_e0061ca2fa5b884e483872aa34d3e7eb", "1586950415", "no");
INSERT INTO `wp_options` VALUES("160622", "_transient_feed_e0061ca2fa5b884e483872aa34d3e7eb", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:49:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"UpdraftPlus\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"https://updraftplus.com\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"WordPress\'s leading backup plugin - backup, restore and clone WordPress sites\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 09 Apr 2020 10:11:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wordpress.org/?v=5.3.2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:79:\"\n		\n		\n				\n				\n		\n				\n		\n		\n		\n		\n		\n		\n\n		\n				\n								\n							\n		\n							\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:6:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"How has your business and WordPress site been affected by the Covid-19 crisis?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"http://feedproxy.google.com/~r/UpdraftPlus/~3/i9RYhj9bdZI/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"https://updraftplus.com/business-wordpress-site-been-affected-by-the-covid-19-crisis/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 10 Apr 2020 11:00:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:7:{i:0;a:5:{s:4:\"data\";s:9:\"Off Topic\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:20:\"Other WordPress news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:13:\"Uncategorized\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:5:\"covid\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:11:\"UpdraftPlus\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:5:\"virus\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:6;a:5:{s:4:\"data\";s:9:\"wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"https://updraftplus.com/?p=550725\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:812:\"<p>It feels like the whole world is turned upside down.  Everybody and everything has been affected by the global pandemic. Even those who avoid exposure to the dreaded virus have their businesses exposed to a new, unknown environment of economic &#8230; <a href=\"https://updraftplus.com/business-wordpress-site-been-affected-by-the-covid-19-crisis/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a></p>\n<p>The post <a rel=\"nofollow\" href=\"https://updraftplus.com/business-wordpress-site-been-affected-by-the-covid-19-crisis/\">How has your business and WordPress site been affected by the Covid-19 crisis?</a> appeared first on <a rel=\"nofollow\" href=\"https://updraftplus.com\">UpdraftPlus</a>. <a href=\"http://updraftplus.com\">UpdraftPlus - Backup, restore and migration plugin for WordPress.</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Naomi Miles\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:3233:\"<p><span style=\"font-weight: 400;\">It feels like the whole world is turned upside down. </span></p>\n<p><span style=\"font-weight: 400;\">Everybody and everything has been affected by the global pandemic. Even those who avoid exposure to the dreaded virus have their businesses exposed to a new, unknown environment of economic uncertainty. This is an unprecedented time and for many, it’s deeply unsettling. </span></p>\n<p><span style=\"font-weight: 400;\">At a time when so many of us are shut in, the internet provides us with some consolation: it is, for many, a vital lifeline to the outside world providing news and advice, a way of us getting hold of groceries, medication and other necessities, and of getting e-learning resources for our children.</span></p>\n<p><span style=\"font-weight: 400;\">This time of crisis makes us more aware than ever of our frailty- both as individuals and as a society. It makes us conscious of just how interconnected our world is, and there’s strength in that fact too. We can all do our bit and stand shoulder to shoulder with others.</span></p>\n<p><span style=\"font-weight: 400;\">We want you to know that at UpdraftPlus, we’re here for you. With so much else going on, the last thing you want to worry about is your WordPress site&#8217;s basic functioning, so rest assured that we&#8217;re here to provide expert support 6 days a week, around the clock.  We&#8217;re a team of 15, distributed across 9 different countries and 4 continents and as of the last few weeks, we&#8217;re all working from home. Whatever happens over the coming weeks and months, someone will be on hand to help with your backup queries. </span></p>\n<p><span style=\"font-weight: 400;\">In the midst of</span><a href=\"https://www.telegraph.co.uk/news/2020/03/09/uk-broadband-wont-cope-millions-working-home-coronavirus-outbreak/\"> <span style=\"font-weight: 400;\">reports</span></a><span style=\"font-weight: 400;\"> of the internet becoming slower from all the people working from home, we&#8217;re also working hard to process all your support requests at Updraft&#8217;s</span><a href=\"https://getwpo.com/\"> <span style=\"font-weight: 400;\">WP-Optimize Cache</span></a><span style=\"font-weight: 400;\"> to ensure your website runs as fast and efficiently as possible.</span></p>\n<p><span style=\"font-weight: 400;\">Finally, the team here at UpdraftPlus want to hear about how your WordPress business is being affected by this crisis. What’s your experience? How have you adapted? Has your business been hit or your online presence providing a crucial service? And what advice would you pass on to other businesses?</span></p>\n<p><b><i>Please share below how your WordPress business has been affected for the worse or better at this time.</i></b></p>\n<p><span style=\"font-weight: 400;\">The UpdraftPlus Team</span></p>\n<p>The post <a rel=\"nofollow\" href=\"https://updraftplus.com/business-wordpress-site-been-affected-by-the-covid-19-crisis/\">How has your business and WordPress site been affected by the Covid-19 crisis?</a> appeared first on <a rel=\"nofollow\" href=\"https://updraftplus.com\">UpdraftPlus</a>. <a href=\"http://updraftplus.com\">UpdraftPlus - Backup, restore and migration plugin for WordPress.</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:90:\"https://updraftplus.com/business-wordpress-site-been-affected-by-the-covid-19-crisis/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:42:\"http://rssnamespace.org/feedburner/ext/1.0\";a:1:{s:8:\"origLink\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"https://updraftplus.com/business-wordpress-site-been-affected-by-the-covid-19-crisis/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:91:\"\n		\n		\n				\n				\n		\n				\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n\n		\n				\n								\n							\n		\n							\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:6:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"Top 5 tips to keep active and healthy during lock-down\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"http://feedproxy.google.com/~r/UpdraftPlus/~3/PE4nuL42HaU/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"https://updraftplus.com/top-5-tips-to-keep-active-and-healthy-during-lock-down/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 07 Apr 2020 13:54:48 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:11:{i:0;a:5:{s:4:\"data\";s:9:\"Off Topic\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:20:\"Other WordPress news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:5:\"covid\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:8:\"exercise\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:7:\"healthy\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:21:\"how to work from home\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:6;a:5:{s:4:\"data\";s:9:\"lock-down\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:7;a:5:{s:4:\"data\";s:4:\"tips\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:8;a:5:{s:4:\"data\";s:5:\"top 5\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:9;a:5:{s:4:\"data\";s:5:\"virus\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:10;a:5:{s:4:\"data\";s:17:\"working from home\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"https://updraftplus.com/?p=549255\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:773:\"<p>Trying to keep active and healthy during lock-down is proving to be challenging as the spread of the novel Coronavirus has now reached every corner of the globe, including Asia, Europe, Africa and the Americas resulting in many people across &#8230; <a href=\"https://updraftplus.com/top-5-tips-to-keep-active-and-healthy-during-lock-down/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a></p>\n<p>The post <a rel=\"nofollow\" href=\"https://updraftplus.com/top-5-tips-to-keep-active-and-healthy-during-lock-down/\">Top 5 tips to keep active and healthy during lock-down</a> appeared first on <a rel=\"nofollow\" href=\"https://updraftplus.com\">UpdraftPlus</a>. <a href=\"http://updraftplus.com\">UpdraftPlus - Backup, restore and migration plugin for WordPress.</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Wayne Mullins\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:9652:\"<p><span style=\"font-weight: 400;\">Trying to keep active and healthy during lock-down is proving to be challenging as the spread of the novel Coronavirus has now reached every corner of the globe, including Asia, Europe, Africa and the Americas resulting in many people across the world being directed to begin working from home in the largest mandatory change in work direction since the second world war. </span></p>\n<p><span style=\"font-weight: 400;\">If you had asked most businesses if it was possible for them to switch to a work from home platform, the majority would have no doubt told you such a change was impossible and would result in mass firings and countless businesses going under due to lack of constant management oversight and inadequate infrastructure. Yet here we are just a month or two later and countless millions across the world have joined the existing </span><a href=\"https://www.bbc.co.uk/news/business-51868894\"><span style=\"font-weight: 400;\">1.5 million</span></a><span style=\"font-weight: 400;\"> that currently work from home in the UK. </span></p>\n<p><span style=\"font-weight: 400;\">Of the millions of new employees that are now remotely working, only a small fraction of those have the experience and knowledge of how to successfully balance your home based work demands and the need for an active and healthy lifestyle. Those of us at UpdraftPlus have also had to adapt to the full-time ‘at-home’ working experience currently recommended, with our Monday morning video conference chats becoming an important factor in maintaining important working relationships and giving everyone a chance to catch up with colleagues, while sharing their latest work and developments. </span></p>\n<p><span style=\"font-weight: 400;\">While maintaining social interaction with colleagues during the lock-down is important, the challenge to keep active and healthy (both mentally and physically) while balancing the demands of our new work/life schedule during this time is something we all need to address, especially given the restrictions imposed on going outside unless absolutely necessary. </span></p>\n<p><span style=\"font-weight: 400;\">Following on from our recent blog: <a href=\"https://updraftplus.com/wordpress-community-helping-to-provide-services-online-for-people-in-isolation/\">WordPress community: Helping to provide services online for people in isolation</a>, there are a few simple ways to make the best of a bad situation and we are happy to share with you some of the tips and tricks we have been following in order to make the best of this difficult and challenging time.</span></p>\n<ol>\n<li><b> Keep work separate</b></li>\n</ol>\n<p><span style=\"font-weight: 400;\">While this may not seem like an obvious ‘health-tip’, it is important to identify when you are actually at work, even when at home. This will play a massive part in your overall health and well-being (not to mention quality of work) while stuck in the house. It can be tempting to blur the lines between personal and work life when they occur in the same building, so it is important to try and follow something broadly familiar to your normal working patterns and routine. Stick to a regular start and finish time, wear appropriate work clothes (no pajamas!), follow the same hygiene pattern you would as if you were going to your office (shower, shave etc) and create a suitable home office environment so you are not distracted by family, pets or the TV. </span></p>\n<ol start=\"2\">\n<li><b> Have a proper home office set-up</b></li>\n</ol>\n<p><span style=\"font-weight: 400;\">The thought of working from home probably brings up images of slouching on the sofa in front of the TV with a lap-top, and while this may sound appealing, it could cause some serious problems with your health. The lack of proper lumbar support, constantly slouching and looking down at your screen can cause serious neck and back problems if you are not careful. This is why it is </span><a href=\"https://www.nhs.uk/live-well/healthy-body/how-to-sit-correctly/\"><span style=\"font-weight: 400;\">highly recommended</span></a><span style=\"font-weight: 400;\"> that you have a dedicated home office space from which to work, an office chair with lumbar support, a monitor properly adjusted to your eye level and a traditional separate mouse/keyboard (not a track-pad) to use. </span></p>\n<ol start=\"3\">\n<li><b> Try to avoid being too isolated</b></li>\n</ol>\n<p><span style=\"font-weight: 400;\">While governments all over the world are recommending </span><a href=\"https://www.gov.uk/government/publications/covid-19-guidance-on-social-distancing-and-for-vulnerable-people/guidance-on-social-distancing-for-everyone-in-the-uk-and-protecting-older-people-and-vulnerable-adults\"><span style=\"font-weight: 400;\">social distancing</span></a><span style=\"font-weight: 400;\"> as a way to slow down the spread of the virus, for people who are used to the hustle and bustle of a busy office in which they interact with people all day, this can be very challenging. To counteract the enforced isolation, try to physically talk to someone on the phone or via video conferencing at least once a day if possible. You can also undertake personal social interactions remotely by having a group Netflix viewing party with your friends. </span><a href=\"https://chrome.google.com/webstore/detail/netflix-party/oocalimimngaihdkbihfgmpkcpnmlaoa?hl=en\"><span style=\"font-weight: 400;\">Netflix Party</span></a><span style=\"font-weight: 400;\"> is a Google Chrome extension that allows a single person to share a video with friends, allowing you and all your invited friends to binge watch Tiger King together. </span></p>\n<ol start=\"4\">\n<li><b> Watch what you eat and drink</b></li>\n</ol>\n<p><span style=\"font-weight: 400;\">With the confines of a traditional office, you are somewhat limited to what you can eat or drink during a working day. The fact that the canteen is at the other end of the building or a neighbouring office has stolen your milk again probably limits what you consumed while in work. When working from home however, these issues are out the window. Unlimited cups of tea, toast, sandwiches and snacks and just a walk to the kitchen away. To limit your excess consumption, make a list of what you would normally consume during a regular working day and try to stick to the same pattern when working from home. With all the extra food available combined with an increased sedentary lifestyle, the risk of putting on weight (which could lead to health problems) is very real. If you do find yourself consuming more, try purchasing fat free or diet options the next time you go shopping.</span></p>\n<ol start=\"5\">\n<li><b> Get as much exercise as you can</b></li>\n</ol>\n<p><span style=\"font-weight: 400;\">This may sound like the most obvious advice, but with an effective lock-down essentially in place, the options and opportunities to stretch your legs and go outside have become incredibly limited. With all the gyms closed and Police being somewhat overzealous with what constitutes an acceptable reason to go out and exercise, home workers are having to look elsewhere for their daily fix of endorphins. </span></p>\n<p><span style=\"font-weight: 400;\">All is not lost however. With just a yoga mat and a YouTube link, a whole world of possibilities can open up for those stuck inside. Consider trying a high intensity work-out from professional exercise instructors such as </span><a href=\"https://www.youtube.com/channel/UCAxW1XT0iEJo0TYlRfn6rYQ\"><span style=\"font-weight: 400;\">The Body Coach</span></a><span style=\"font-weight: 400;\">, who have generously put videos online for free. </span></p>\n<p><span style=\"font-weight: 400;\">If that is not your speed, you could take a leaf out of a book from people who have no choice but to exercise with limited space and follow the tried and tested ‘</span><a href=\"https://www.bodybuilding.com/content/prison-workout-the-jailhouse-strong-routine.html\"><span style=\"font-weight: 400;\">jail-house’ exercise regime</span></a><span style=\"font-weight: 400;\"> of push-ups, sit-ups, squats and planks. Remember to start slow and slowly build you way up though as t</span><span style=\"font-weight: 400;\">he last thing you want to do right now is to go to hospital due to a pulled muscle or a head injury from over enthusiastic jumping jacks. If you are not able to undertake these kinds of exercises, at the very least remember to get up and walk around for at least 5 minutes every hour.  </span></p>\n<p><b>In summary</b></p>\n<p><span style=\"font-weight: 400;\">While the dangers presented by the COVID-19 virus have rightly confined us to our homes and out of our offices for the foreseeable future, it is important to remember that the dangers to our health come not just from this virus, but from the new (for many) and unfamiliar working environment most of us now find ourselves in. </span></p>\n<p><span style=\"font-weight: 400;\">Without proper consideration of our health and well-being (both body and mind), we could risk becoming overweight, depressed and anxious. Be sure to create and set up a work schedule and exercise plan to see you through the lock-down in order to give you a better and happier work from home experience. </span></p>\n<p>The post <a rel=\"nofollow\" href=\"https://updraftplus.com/top-5-tips-to-keep-active-and-healthy-during-lock-down/\">Top 5 tips to keep active and healthy during lock-down</a> appeared first on <a rel=\"nofollow\" href=\"https://updraftplus.com\">UpdraftPlus</a>. <a href=\"http://updraftplus.com\">UpdraftPlus - Backup, restore and migration plugin for WordPress.</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"https://updraftplus.com/top-5-tips-to-keep-active-and-healthy-during-lock-down/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:42:\"http://rssnamespace.org/feedburner/ext/1.0\";a:1:{s:8:\"origLink\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://updraftplus.com/top-5-tips-to-keep-active-and-healthy-during-lock-down/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:85:\"\n		\n		\n				\n				\n		\n				\n		\n		\n		\n		\n		\n		\n		\n		\n\n		\n				\n								\n							\n		\n							\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:6:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"WordPress community: Helping to provide services online for people in isolation\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"http://feedproxy.google.com/~r/UpdraftPlus/~3/lwd_wxUdwqE/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:111:\"https://updraftplus.com/wordpress-community-helping-to-provide-services-online-for-people-in-isolation/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 24 Mar 2020 16:29:47 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:9:{i:0;a:5:{s:4:\"data\";s:20:\"Other WordPress news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"anxiety\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:8:\"COVID-19\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:10:\"depression\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:9:\"isolation\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:6:\"stress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:6;a:5:{s:4:\"data\";s:5:\"virus\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:7;a:5:{s:4:\"data\";s:9:\"wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:8;a:5:{s:4:\"data\";s:17:\"working from home\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"https://updraftplus.com/?p=538761\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:838:\"<p>With most Governments all over the world implementing further isolation practices in order to limit the spread of the COVID-19 virus, many of us have found that the internet has become an even more essential and important tool in our &#8230; <a href=\"https://updraftplus.com/wordpress-community-helping-to-provide-services-online-for-people-in-isolation/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a></p>\n<p>The post <a rel=\"nofollow\" href=\"https://updraftplus.com/wordpress-community-helping-to-provide-services-online-for-people-in-isolation/\">WordPress community: Helping to provide services online for people in isolation</a> appeared first on <a rel=\"nofollow\" href=\"https://updraftplus.com\">UpdraftPlus</a>. <a href=\"http://updraftplus.com\">UpdraftPlus - Backup, restore and migration plugin for WordPress.</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Wayne Mullins\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:8950:\"<p><span style=\"font-weight: 400;\">With most Governments all over the world implementing further isolation practices in order to limit the spread of the COVID-19 virus, many of us have found that the internet has become an even more essential and important tool in our everyday lives. It has allowed people to stay connected to loved ones, has reduced the risk of spreading the virus by letting those most vulnerable stay home and order essential products online and gave businesses the option of continuing to operate in some capacity through work at home programmes. </span></p>\n<p><span style=\"font-weight: 400;\">With WordPress underpinning </span><a href=\"https://expandedramblings.com/index.php/wordpress-statistics/\"><span style=\"font-weight: 400;\">27.5%</span></a><span style=\"font-weight: 400;\"> of the World’s websites (with 50,000 new websites being added daily) and with many businesses now moving exclusively to an online ‘work from home’ model, the platform is at the forefront of keeping these services open and running smoothly. With continued business operations such a necessity, WordPress is having to quickly adapt to meet these new demands in order to meet the rapidly changing needs of it’s massive user base.</span></p>\n<p><span style=\"font-weight: 400;\">From a more practical perspective, WordPress </span><a href=\"https://wordpress.org/news/2020/02/wordcamp-asia-cancelled-due-to-covid-19/\"><span style=\"font-weight: 400;\">cancelled</span></a><span style=\"font-weight: 400;\"> WordCamp Asia back in February in response to the outbreak, while developers have built and launched a variety of plugins that are helping websites to share important information with their users. One new plugin that is helping is the </span><a href=\"https://wordpress.org/plugins/corona-virus-covid-19-banner/\"><span style=\"font-weight: 400;\">CoronaVirus (COVID-19) Banner</span></a><span style=\"font-weight: 400;\">. This simple plugin allows website owners to add a banner notice to their website informing users of any COVID-19 related updates that they need to share.</span></p>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/03/pasted-image-0.png\"><img class=\"alignnone wp-image-538771\" src=\"https://updraftplus.com/wp-content/uploads/2020/03/pasted-image-0.png\" alt=\"Covid Banner in WordPress\" width=\"732\" height=\"639\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/03/pasted-image-0.png 956w, https://updraftplus.com/wp-content/uploads/2020/03/pasted-image-0-300x262.png 300w, https://updraftplus.com/wp-content/uploads/2020/03/pasted-image-0-768x670.png 768w, https://updraftplus.com/wp-content/uploads/2020/03/pasted-image-0-510x445.png 510w\" sizes=\"(max-width: 732px) 100vw, 732px\" /></a></p>\n<h3>The potential difficulties of working from home</h3>\n<p><span style=\"font-weight: 400;\">While practical applications are indeed useful and can help spread awareness and up to date developments, more personal issues such as depression and loneliness will become an emerging factor for those who are experiencing working from home in isolation for the first time.</span></p>\n<p><span style=\"font-weight: 400;\">As many freelancers and self-employed small business owners already know, working by yourself from home can be both a blessing and a curse with freelancers reported to be </span><a href=\"https://www.fenews.co.uk/press-releases/40757-freelancers-almost-2x-as-likely-to-be-depressed-compared-to-office-workers-survey-finds\"><span style=\"font-weight: 400;\">twice as likely</span></a><span style=\"font-weight: 400;\"> to be depressed compared to office workers. The effects of spending long days working alone has resulted in 56% of freelancers reporting to suffer from depression as a result of their job, with a further 62% saying they feel stressed due to the lonely nature of the work. This is compared to office-based workers, where less than 30% say they suffer from depression and 55% reported feelings of stress.</span></p>\n<div id=\"attachment_538773\" style=\"width: 886px\" class=\"wp-caption alignnone\"><a href=\"https://updraftplus.com/wp-content/uploads/2020/03/pasted-image-0-1.png\"><img aria-describedby=\"caption-attachment-538773\" class=\"wp-image-538773\" src=\"https://updraftplus.com/wp-content/uploads/2020/03/pasted-image-0-1.png\" alt=\"Stressed\" width=\"876\" height=\"568\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/03/pasted-image-0-1.png 1372w, https://updraftplus.com/wp-content/uploads/2020/03/pasted-image-0-1-300x194.png 300w, https://updraftplus.com/wp-content/uploads/2020/03/pasted-image-0-1-1024x664.png 1024w, https://updraftplus.com/wp-content/uploads/2020/03/pasted-image-0-1-768x498.png 768w, https://updraftplus.com/wp-content/uploads/2020/03/pasted-image-0-1-1080x700.png 1080w, https://updraftplus.com/wp-content/uploads/2020/03/pasted-image-0-1-510x330.png 510w\" sizes=\"(max-width: 876px) 100vw, 876px\" /></a><p id=\"caption-attachment-538773\" class=\"wp-caption-text\">Stressed while working from home</p></div>\n<p>While working from home may be the dream of many who harbour thoughts of creating their own work hours and operating in a much more comfortable and familiar environment, there is also the downside of being starved of important emotional factors such as social human interaction (something we are <a href=\"https://www.psychologytoday.com/gb/blog/emotional-nourishment/201612/why-we-need-each-other\">biologically hardwired</a> to seek out), personal contact and suffering from increased feelings of isolation and lack of community. This of course is on top of the extra anxiety and stress that has been created from the extra child care issues many parents are now facing, as well as having to ensure the safety and well-being of older relatives and loved ones.</p>\n<p><span style=\"font-weight: 400;\">In an effort to stem these negative emotions, organisations such as </span><a href=\"https://wphugs.org/\"><span style=\"font-weight: 400;\">WPHugs</span></a><span style=\"font-weight: 400;\"> have been established to provide a community for like-minded people to discuss these difficult topics in real-time. The </span><a href=\"https://wphugs.org/wp-login.php?action=slack-invitation\"><span style=\"font-weight: 400;\">WPHugs Slack channel</span></a><span style=\"font-weight: 400;\"> is free to join via an invitation by registering at the WPHugs website and has the goal of providing community support to those who need help during these difficult times. While not a professional therapy channel, it’s founder Leo Gopal hopes that by crowd-sourcing tips, tricks and conversations, they can help to maintain good mental health amongst the WordPress community. </span></p>\n<h3>Keeping the world running</h3>\n<p><span style=\"font-weight: 400;\">With the majority of people being told to stay home and if possible do their shopping online, websites are seeing unprecedented levels of visitors and demand. With the </span><a href=\"https://www.dailymail.co.uk/news/article-8129629/Ocado-sales-soar-stay-home-shoppers-plump-deliveries-amid-pandemic.html\"><span style=\"font-weight: 400;\">extra millions</span></a><span style=\"font-weight: 400;\"> of customers now ordering through online shopping channels for large stores such as Tesco, Sainsbury’s and Morrions, customers are facing a 3 week wait for their deliveries to be filled. While WordPress cannot do much about this massive surge in demand for groceries and delivery drivers, it has helped keep </span><a href=\"https://www.codeinwp.com/blog/wordpress-statistics/\"><span style=\"font-weight: 400;\">numerous big sites such</span></a><span style=\"font-weight: 400;\"> as Microsoft News, Facebook Newsroom, New York Observer, TED, CNN, Time.com, The White House and the New York Post online and accessible to people looking for the latest news and information regarding the virus from local and national agencies. For people in isolation, these outlets are providing essential important information and news regarding the constantly evolving Government guides and plans for dealing with the virus outbreak. </span></p>\n<p><span style=\"font-weight: 400;\">While many people are naturally adjusting to the massive change in their lives following the spread of the COVID-19 virus, WordPress has proved to be an amazing platform for evolving to the needs of its users and building a shared community. If you would like to share with us any of your stories regarding work isolation and stress and how you have managed to cope during tough times, please do so in the comment section below. </span></p>\n<p>The post <a rel=\"nofollow\" href=\"https://updraftplus.com/wordpress-community-helping-to-provide-services-online-for-people-in-isolation/\">WordPress community: Helping to provide services online for people in isolation</a> appeared first on <a rel=\"nofollow\" href=\"https://updraftplus.com\">UpdraftPlus</a>. <a href=\"http://updraftplus.com\">UpdraftPlus - Backup, restore and migration plugin for WordPress.</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:108:\"https://updraftplus.com/wordpress-community-helping-to-provide-services-online-for-people-in-isolation/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:42:\"http://rssnamespace.org/feedburner/ext/1.0\";a:1:{s:8:\"origLink\";a:1:{i:0;a:5:{s:4:\"data\";s:103:\"https://updraftplus.com/wordpress-community-helping-to-provide-services-online-for-people-in-isolation/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:79:\"\n		\n		\n				\n				\n		\n				\n		\n		\n		\n		\n		\n		\n\n		\n				\n								\n							\n		\n							\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:6:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"How to Backup a WordPress Site: Step by Step Guide\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"http://feedproxy.google.com/~r/UpdraftPlus/~3/bMVqro_AfHk/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"https://updraftplus.com/how-to-backup-a-wordpress-site-step-by-step-guide/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 06 Mar 2020 11:17:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:7:{i:0;a:5:{s:4:\"data\";s:7:\"Support\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:22:\"UpdraftPlus advantages\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:23:\"how to backup WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:22:\"How to use UpdraftPlus\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:11:\"UpdraftPlus\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:18:\"updraftplus backup\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:6;a:5:{s:4:\"data\";s:14:\"WordPress back\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"https://updraftplus.com/?p=527050\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:743:\"<p>No matter the size of your WordPress website, finding a way to keep it safe from issues such as updates gone wrong, hacking, user error and crashes should be of the utmost importance. If you’ve not set-up regular backups of &#8230; <a href=\"https://updraftplus.com/how-to-backup-a-wordpress-site-step-by-step-guide/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a></p>\n<p>The post <a rel=\"nofollow\" href=\"https://updraftplus.com/how-to-backup-a-wordpress-site-step-by-step-guide/\">How to Backup a WordPress Site: Step by Step Guide</a> appeared first on <a rel=\"nofollow\" href=\"https://updraftplus.com\">UpdraftPlus</a>. <a href=\"http://updraftplus.com\">UpdraftPlus - Backup, restore and migration plugin for WordPress.</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Gina Lucia\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:21357:\"<p><span style=\"font-weight: 400;\">No matter the size of your WordPress website, finding a way to keep it safe from issues such as updates gone wrong, hacking, user error and crashes should be of the utmost importance. If you’ve not set-up regular backups of your site yet, now’s the time to get it done, and it couldn’t be easier with the </span><a href=\"https://www.wpbeginner.com/plugins/7-best-wordpress-backup-plugins-compared-pros-and-cons/\"><span style=\"font-weight: 400;\">world’s most trusted</span></a><span style=\"font-weight: 400;\"> WordPress backup plugin, </span><a href=\"https://updraftplus.com/\"><span style=\"font-weight: 400;\">UpdraftPlus</span></a><span style=\"font-weight: 400;\">.</span></p>\n<p><span style=\"font-weight: 400;\">In this article, we’re going to show you how to backup a WordPress site with an easy-to-use, free backup plugin. Follow our step-by-step tutorial below to get started.</span></p>\n<p><span style=\"font-weight: 400;\">UpdraftPlus allows you to backup your WordPress website and restore it with a single click. </span><b>It also allows you to:</b></p>\n<ul>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">Backup all of your WordPress files, databases, plugins and themes</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">Set backup schedules every 4, 8 or 12 hours, daily, weekly, fortnightly or monthly</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">Restore backups directly from your WordPress control panel</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">Store your backups remotely on Google Drive, Dropbox, OneDrive and more</span></li>\n</ul>\n<p><iframe id=\"heading-video\" src=\"https://player.vimeo.com/video/154870690?color=df6926&amp;title=0&amp;byline=0&amp;portrait=0\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></p>\n<p><span style=\"font-weight: 400;\">In this article, we’ll show you how to set-up and use UpdraftPlus to backup your WordPress website with ease so you can get on with more important stuff.</span></p>\n<h2><span style=\"font-weight: 400;\">What does ‘backup’ mean?</span></h2>\n<p><span style=\"font-weight: 400;\">Put simply, a ‘backup’ makes a copy of the files or data on your site in case the originals are lost or damaged.</span></p>\n<p><span style=\"font-weight: 400;\">A backup of your WordPress website makes a copy of your entire database. It will backup every post, comment and link you have on your site, as well as your plugins, themes and uploads. </span></p>\n<h2><span style=\"font-weight: 400;\">Why you need to backup your WordPress site</span></h2>\n<p><span style=\"font-weight: 400;\">Backing up your website regularly is an essential part of managing a WordPress website. Your site contains every post, comment and link you’ve ever created, if something were to go wrong, all of that could be lost in an instant. </span></p>\n<p><span style=\"font-weight: 400;\">Without performing vital backups, your site could be at risk from any of the following problems:</span></p>\n<h3><span style=\"font-weight: 400;\">Updates gone wrong</span></h3>\n<p><span style=\"font-weight: 400;\">WordPress websites are notorious for needing regular updates to plugin files, theme and WordPress itself.</span></p>\n<p><span style=\"font-weight: 400;\">When performing these updates, there’s a small chance your site could be negatively affected by the changes. You could lose vital functionality, your site’s look and feel could change, or the new update could simply be incompatible. </span></p>\n<p><span style=\"font-weight: 400;\">These updates need to be carried out to ensure the safety of your website and generally should be done on a testing site first. To protect your site from updates gone wrong, you should always carry out regular backups and </span><a href=\"https://updraftplus.com/how-to-take-an-automatic-backup-before-an-update-using-updraftplus-premium/\"><span style=\"font-weight: 400;\">automatic backups before each plugin update</span></a><span style=\"font-weight: 400;\">.</span></p>\n<h3><span style=\"font-weight: 400;\">Your site is vulnerable to hacking</span></h3>\n<p><span style=\"font-weight: 400;\">Due to the sheer number of people using WordPress as their content management system (it powers over </span><a href=\"https://www.codeinwp.com/blog/wordpress-statistics/#popularity\"><span style=\"font-weight: 400;\">35% of all websites across the globe</span></a><span style=\"font-weight: 400;\">), the platform is the frequent target of hackers and spammers. </span></p>\n<p><span style=\"font-weight: 400;\">You may feel like your site is safe and will not be a target for hackers because as it doesn’t contain sensitive information, but hacks can happen for any of the following reasons:</span></p>\n<ul>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">To spread malware</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">Using your site to attack another site</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">Spamming the internet with inappropriate links</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">Just for fun</span></li>\n</ul>\n<p><span style=\"font-weight: 400;\">In order to work, hackers have to find flaws in a system and exploit them to get around security controls. So if you have a weak passwords, don’t update plugins regularly, have weak security on your site, your site could be at risk.</span></p>\n<p><span style=\"font-weight: 400;\">By backing up your site regularly, you can restore your site to its former pre-broken state before the hack took place. </span></p>\n<h3><span style=\"font-weight: 400;\">Your hosting company may have server outages</span></h3>\n<p><span style=\"font-weight: 400;\">No hosting company is perfect. In fact, you may have experienced your website ‘going down’ from time to time. This downtime (or server outage) can happen for a variety of reasons, including viruses and cyber hacking, traffic overload, hardware failure and more.</span></p>\n<p><span style=\"font-weight: 400;\">While you can’t control your hosting company’s server, you can protect your site if something happens. Many times, when server outages happen, your hosting company will be able to recover the lost files. </span></p>\n<p><span style=\"font-weight: 400;\">However, on some occasions, they will have to revert back to a version of your site that’s a few days old. This could mean you’d lose vital changes to your site such as sales records and new member registrations. The only way to recover these would be through your personal UpdraftPlus site backup.</span></p>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/03/updraftplus.png\"><img class=\"alignnone wp-image-527053 size-full\" src=\"https://updraftplus.com/wp-content/uploads/2020/03/updraftplus.png\" alt=\"how to backup a wordpress site\" width=\"690\" height=\"328\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/03/updraftplus.png 690w, https://updraftplus.com/wp-content/uploads/2020/03/updraftplus-300x143.png 300w, https://updraftplus.com/wp-content/uploads/2020/03/updraftplus-510x242.png 510w\" sizes=\"(max-width: 690px) 100vw, 690px\" /></a></p>\n<h2><span style=\"font-weight: 400;\">How to backup your WordPress site with UpdraftPlus</span></h2>\n<p><span style=\"font-weight: 400;\">The easiest and quickest way to backup your website is by using a WordPress backup plugin. UpdraftPlus is the world’s most trusted WordPress backup and restore plugin and is simple and easy to set-up.</span></p>\n<h2><span style=\"font-weight: 400;\">How to install UpdraftPlus</span></h2>\n<p><span style=\"font-weight: 400;\">Installing UpdraftPlus takes just a minute or two and is as simple as adding any other plugin. To install, follow these steps:</span></p>\n<ol>\n<li><span style=\"font-weight: 400;\"> In your WordPress dashboard go to </span><b>Plugins</b><span style=\"font-weight: 400;\"> &gt; </span><b>Add New</b><span style=\"font-weight: 400;\">.</span></li>\n</ol>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.17.30.jpg\"><img class=\"alignnone wp-image-527057 size-full\" src=\"https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.17.30.jpg\" alt=\"UpdraftPlus tutorial\" width=\"675\" height=\"150\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.17.30.jpg 675w, https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.17.30-300x67.jpg 300w, https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.17.30-510x113.jpg 510w\" sizes=\"(max-width: 675px) 100vw, 675px\" /></a></p>\n<ol start=\"2\">\n<li><span style=\"font-weight: 400;\"> Type </span><b>UpdraftPlus</b><span style=\"font-weight: 400;\"> into the search bar.</span></li>\n</ol>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.18.39.png\"><img class=\"alignnone wp-image-527058 size-full\" src=\"https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.18.39.png\" alt=\"UpdraftPlus add plugin\" width=\"1017\" height=\"126\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.18.39.png 1017w, https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.18.39-300x37.png 300w, https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.18.39-768x95.png 768w, https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.18.39-510x63.png 510w\" sizes=\"(max-width: 1017px) 100vw, 1017px\" /></a></p>\n<ol start=\"3\">\n<li><span style=\"font-weight: 400;\"> Find the </span><b>UpdraftPlus WordPress Backup Plugin</b><span style=\"font-weight: 400;\"> and press </span><b>Install Now</b><span style=\"font-weight: 400;\"> and then </span><b>Activate</b><span style=\"font-weight: 400;\">.</span></li>\n</ol>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.19.53.png\"><img class=\"alignnone wp-image-527059 size-full\" src=\"https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.19.53.png\" alt=\"UpdraftPlus WordPress backup plugin\" width=\"514\" height=\"350\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.19.53.png 514w, https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.19.53-300x204.png 300w, https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.19.53-510x347.png 510w\" sizes=\"(max-width: 514px) 100vw, 514px\" /></a></p>\n<h2><span style=\"font-weight: 400;\">How to use UpdraftPlus</span></h2>\n<p><span style=\"font-weight: 400;\">Once installed, UpdraftPlus makes setting up your first WordPress backup easy. Simply follow these steps:</span></p>\n<ol>\n<li><span style=\"font-weight: 400;\"> Select </span><b>Settings</b><span style=\"font-weight: 400;\"> &gt; </span><b>UpdraftPlus Backups</b><span style=\"font-weight: 400;\"> in your WordPress menu. This will open your UpdraftPlus settings page.</span></li>\n</ol>\n<ol start=\"2\">\n<li><span style=\"font-weight: 400;\"> Select the </span><b>Settings</b><span style=\"font-weight: 400;\"> tab at the top.</span></li>\n</ol>\n<p><span style=\"font-weight: 400;\">Here you can schedule how often UpdraftPlus creates a new backup. You can pick whichever schedule suits you and your site. For example, if you regularly update your site with new pages and posts, then a more frequent backup may be required. </span></p>\n<p><span style=\"font-weight: 400;\">You can also adjust how many of these backups should be stored at one time. Any new backups will then override the old ones.</span></p>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.37.26.png\"><img class=\"alignnone wp-image-527060 size-full\" src=\"https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.37.26.png\" alt=\"WordPress backup schedule\" width=\"934\" height=\"264\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.37.26.png 934w, https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.37.26-300x85.png 300w, https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.37.26-768x217.png 768w, https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.37.26-510x144.png 510w\" sizes=\"(max-width: 934px) 100vw, 934px\" /></a></p>\n<ol start=\"3\">\n<li><span style=\"font-weight: 400;\"> Select where you would like your backups to be stored.</span></li>\n</ol>\n<p><span style=\"font-weight: 400;\">Scroll down the page and you can choose where you’d like your files to be stored. UpdraftPlus can integrate with numerous remote storage options, so pick the one that suits you best. </span></p>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.45.59.png\"><img class=\"alignnone wp-image-527061 size-full\" src=\"https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.45.59.png\" alt=\"WordPress backup to Google Drive\" width=\"912\" height=\"401\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.45.59.png 912w, https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.45.59-300x132.png 300w, https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.45.59-768x338.png 768w, https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.45.59-510x224.png 510w\" sizes=\"(max-width: 912px) 100vw, 912px\" /></a></p>\n<ol start=\"4\">\n<li><span style=\"font-weight: 400;\"> Once selected, each storage option will have its own set of instructions. Simply follow these and press the blue </span><b>Save Changes</b><span style=\"font-weight: 400;\"> button at the bottom of the page.</span></li>\n</ol>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.46.27.png\"><img class=\"alignnone wp-image-527062 size-full\" src=\"https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.46.27.png\" alt=\"UpdraftPlus Google Drive\" width=\"903\" height=\"366\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.46.27.png 903w, https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.46.27-300x122.png 300w, https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.46.27-768x311.png 768w, https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.46.27-510x207.png 510w\" sizes=\"(max-width: 903px) 100vw, 903px\" /></a></p>\n<p><span style=\"font-weight: 400;\">If you’d like to backup to more than one location or want to customise your backups further, you can do so by upgrading to </span><a href=\"https://updraftplus.com/shop/updraftplus-premium\"><span style=\"font-weight: 400;\">UpdraftPremium</span></a><span style=\"font-weight: 400;\">. Or purchase the add-on, </span><a href=\"https://updraftplus.com/shop/morestorage\"><span style=\"font-weight: 400;\">Multiple Storage Destinations</span></a><span style=\"font-weight: 400;\">.</span></p>\n<p><span style=\"font-weight: 400;\">Now that you’ve set up your storage location and how often you’d like to backup your site, UpdraftPlus will automatically carry out your first site backup without you having to do a thing.</span></p>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.50.03.png\"><img class=\"alignnone wp-image-527063 size-full\" src=\"https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.50.03.png\" alt=\"Scheduled WordPress backup\" width=\"1021\" height=\"312\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.50.03.png 1021w, https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.50.03-300x92.png 300w, https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.50.03-768x235.png 768w, https://updraftplus.com/wp-content/uploads/2020/03/Screenshot-2020-02-24-at-13.50.03-510x156.png 510w\" sizes=\"(max-width: 1021px) 100vw, 1021px\" /></a></p>\n<h2><span style=\"font-weight: 400;\">How to restore your WordPress site from a backup</span></h2>\n<p><span style=\"font-weight: 400;\">Now that your site is regularly backed up, you’re safe in the knowledge that you can recover and restore it if something goes wrong. So when the worst does happen, how do you restore your site with UpdraftPlus?</span></p>\n<ol>\n<li><span style=\"font-weight: 400;\"> Go to </span><b>Settings</b><span style=\"font-weight: 400;\"> &gt; </span><b>UpdraftPlus Backups</b><span style=\"font-weight: 400;\"> in your WordPress menu. This again will open your UpdraftPlus settings page</span></li>\n</ol>\n<ol start=\"2\">\n<li><span style=\"font-weight: 400;\"> Scroll down the page until you reach the </span><b>Existing Backups</b><span style=\"font-weight: 400;\"> section</span></li>\n</ol>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/03/01-udp-dashboard-1-1.png\"><img class=\"alignnone wp-image-527066 size-full\" src=\"https://updraftplus.com/wp-content/uploads/2020/03/01-udp-dashboard-1-1.png\" alt=\"UpdraftPlus backup and restore\" width=\"1033\" height=\"846\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/03/01-udp-dashboard-1-1.png 1033w, https://updraftplus.com/wp-content/uploads/2020/03/01-udp-dashboard-1-1-300x246.png 300w, https://updraftplus.com/wp-content/uploads/2020/03/01-udp-dashboard-1-1-1024x839.png 1024w, https://updraftplus.com/wp-content/uploads/2020/03/01-udp-dashboard-1-1-768x629.png 768w, https://updraftplus.com/wp-content/uploads/2020/03/01-udp-dashboard-1-1-510x418.png 510w\" sizes=\"(max-width: 1033px) 100vw, 1033px\" /></a></p>\n<ol start=\"3\">\n<li><span style=\"font-weight: 400;\"> Find the backup you want to restore and press the blue </span><b>Restore</b><span style=\"font-weight: 400;\"> button</span></li>\n</ol>\n<ol start=\"4\">\n<li><span style=\"font-weight: 400;\"> You’ll then be presented with a popup which will ask you which elements of your database you want to restore. Select the ones that apply and press </span><b>Restore</b></li>\n</ol>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/03/restore2.png\"><img class=\"alignnone wp-image-527067 size-full\" src=\"https://updraftplus.com/wp-content/uploads/2020/03/restore2.png\" alt=\"restore WordPress backup\" width=\"601\" height=\"488\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/03/restore2.png 601w, https://updraftplus.com/wp-content/uploads/2020/03/restore2-300x244.png 300w, https://updraftplus.com/wp-content/uploads/2020/03/restore2-510x414.png 510w\" sizes=\"(max-width: 601px) 100vw, 601px\" /></a></p>\n<p><span style=\"font-weight: 400;\">When your restore is complete, a message will pop up telling you the restore has been successful.</span></p>\n<h2><span style=\"font-weight: 400;\">Roundup </span></h2>\n<p><span style=\"font-weight: 400;\">If you’re looking to keep your site safe from hacking, updates gone wrong and server crashes, then using a WordPress backup plugin is a must. As the world’s most trusted WordPress backup and restore plugin, UpdraftPlus allows you to do just this for free.</span></p>\n<p><b>By investing in </b><a href=\"https://updraftplus.com/shop/updraftplus-premium/\"><b>UpdraftPlus Premium</b></a><b>, you also get the following added features:</b></p>\n<ul>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">The ability to </span><a href=\"https://updraftplus.com/updraftplus-confirms-development-of-clone-feature/\"><span style=\"font-weight: 400;\">clone your site</span></a><span style=\"font-weight: 400;\"> so you can carry out updates in a testing environment</span></li>\n<li style=\"font-weight: 400;\"><a href=\"https://updraftplus.com/faqs/how-do-i-schedule-backups-for-my-files-and-databases/\"><span style=\"font-weight: 400;\">Schedule backups</span></a><span style=\"font-weight: 400;\"> at specific times of the day to take advantage of when fewer people are on your site</span></li>\n<li style=\"font-weight: 400;\"><a href=\"https://updraftplus.com/backup-multiple-accounts-remote-storage-location/\"><span style=\"font-weight: 400;\">Multiple storage</span></a><span style=\"font-weight: 400;\"> destinations for extra safety</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">Detailed reports of your backups</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">Password protection for your UpdraftPlus backups to keep other administrators out</span></li>\n<li style=\"font-weight: 400;\"><a href=\"https://updraftplus.com/automatic-backups/\"><span style=\"font-weight: 400;\">Automatic backups</span></a><span style=\"font-weight: 400;\"> before updating WordPress core, themes and plugins</span></li>\n</ul>\n<p><span style=\"font-weight: 400;\">Get the best security for your website with the <a href=\"https://updraftplus.com/shop/updraftplus-premium/\">full UpdraftPlus package</a> </span></p>\n<p>&nbsp;</p>\n<p>The post <a rel=\"nofollow\" href=\"https://updraftplus.com/how-to-backup-a-wordpress-site-step-by-step-guide/\">How to Backup a WordPress Site: Step by Step Guide</a> appeared first on <a rel=\"nofollow\" href=\"https://updraftplus.com\">UpdraftPlus</a>. <a href=\"http://updraftplus.com\">UpdraftPlus - Backup, restore and migration plugin for WordPress.</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://updraftplus.com/how-to-backup-a-wordpress-site-step-by-step-guide/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:42:\"http://rssnamespace.org/feedburner/ext/1.0\";a:1:{s:8:\"origLink\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"https://updraftplus.com/how-to-backup-a-wordpress-site-step-by-step-guide/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:60:\"\n		\n		\n				\n		\n				\n		\n		\n		\n		\n\n		\n				\n								\n										\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"WP-Optimize to release new Minify feature\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"http://feedproxy.google.com/~r/UpdraftPlus/~3/nCbaYH34luY/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 21 Feb 2020 14:51:40 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"WP Optimize\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"WP-Optimise\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:18:\"WP-Optimise Update\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"WP-Optimize\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:17:\"WP-Optmize update\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"https://updraftplus.com/?p=518135\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:721:\"<p>We are happy to share with you that WP-Optimize will soon be adding an exciting new feature to our popular WordPress optimization plugin. In an upcoming release, users will soon be able to use an all-new Minify feature that will &#8230; <a href=\"https://updraftplus.com/wp-optimize-to-release-new-minify-feature/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a></p>\n<p>The post <a rel=\"nofollow\" href=\"https://updraftplus.com/wp-optimize-to-release-new-minify-feature/\">WP-Optimize to release new Minify feature</a> appeared first on <a rel=\"nofollow\" href=\"https://updraftplus.com\">UpdraftPlus</a>. <a href=\"http://updraftplus.com\">UpdraftPlus - Backup, restore and migration plugin for WordPress.</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Wayne Mullins\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1974:\"<p><span style=\"font-weight: 400;\">We are happy to share with you that <a href=\"https://getwpo.com/\">WP-Optimize</a> will soon be adding an exciting new feature to our popular WordPress optimization plugin. In an upcoming release, users will soon be able to use an all-new Minify feature that will help make their websites run even faster.</span></p>\n<p><b>How does minification work?</b></p>\n<p><span style=\"font-weight: 400;\">The minify process works by removing all the unnecessary characters from a piece of code, such as line breaks, white spaces etc. The minified code still works exactly the same as it did before the minification process, but the files now take up less space due to the removal of unnecessary information. </span><span style=\"font-weight: 400;\">This process has proved to have been very popular when being used on scripts, stylesheets and and other components on your website which can benefit from faster loading times. </span><span style=\"font-weight: 400;\">The Minify feature will further reduce HTTP requests to help speed up your site. This works by merging CSS and Javascript files into a group of files and attempting to use as few of these files as possible.</span></p>\n<p><span style=\"font-weight: 400;\">Our new Minify feature will be simple to use and intuitive. Most users just need to set it to default settings and let it do it’s thing. This new feature will be launched soon, so be sure to keep an eye out for it in an upcoming release of </span><a href=\"https://getwpo.com/\"><span style=\"font-weight: 400;\">WP-Optimize</span></a><span style=\"font-weight: 400;\">. </span></p>\n<p>&nbsp;</p>\n<p>The post <a rel=\"nofollow\" href=\"https://updraftplus.com/wp-optimize-to-release-new-minify-feature/\">WP-Optimize to release new Minify feature</a> appeared first on <a rel=\"nofollow\" href=\"https://updraftplus.com\">UpdraftPlus</a>. <a href=\"http://updraftplus.com\">UpdraftPlus - Backup, restore and migration plugin for WordPress.</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:42:\"http://rssnamespace.org/feedburner/ext/1.0\";a:1:{s:8:\"origLink\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"https://updraftplus.com/wp-optimize-to-release-new-minify-feature/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:57:\"\n		\n		\n				\n		\n				\n		\n		\n		\n\n		\n				\n								\n										\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"How to integrate Slack reminder notification with WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"http://feedproxy.google.com/~r/UpdraftPlus/~3/Dr_dSp_IZP8/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 07 Feb 2020 11:49:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:15:\"Tips and tricks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:28:\"slack message reminder serup\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:24:\"slack notification setup\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:14:\"slack reminder\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"https://updraftplus.com/?p=509161\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:760:\"<p>With so many different demands vying for your attention in modern life, it can be easy to lose track of the many important tasks you are supposed to carry out and hopefully be reminded of. After all, there is only &#8230; <a href=\"https://updraftplus.com/how-to-integrate-slack-reminder-notification-with-wordpress/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a></p>\n<p>The post <a rel=\"nofollow\" href=\"https://updraftplus.com/how-to-integrate-slack-reminder-notification-with-wordpress/\">How to integrate Slack reminder notification with WordPress</a> appeared first on <a rel=\"nofollow\" href=\"https://updraftplus.com\">UpdraftPlus</a>. <a href=\"http://updraftplus.com\">UpdraftPlus - Backup, restore and migration plugin for WordPress.</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Wayne Mullins\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:19201:\"<p><span style=\"font-weight: 400;\">With so many different demands vying for your attention in modern life, it can be easy to lose track of the many important tasks you are supposed to carry out and hopefully be reminded of. After all, there is only so much a desk full of scribbled post-it notes can do to ensure you are reminded about something important, so there is a good chance you have forgotten about something recently. However, there is a way to get Slack to remind you of all these tasks as and when you require, and the good news is we are going to show you how to set it up!   </span></p>\n<p><span style=\"font-weight: 400;\">There can be a large number of things you may need Slack to remind you of. The who, what, when and why of a reminder is hugely important and can cover anything from setting a reminder of a meeting with your bank manager, submitting your travelling expenses on time or a reminder for a deadline of an important project coming up. The reminder example we will be using in this blog is setting up a “blog post Slack reminder&#8221; message. Though feel free to substitute this for any kind of reminder that is more appropriate to you and your situation.     </span></p>\n<p><span style=\"font-weight: 400;\">Given the importance of SEO, most people who run websites are aware of vital regularly updating and posting new blogs is. While the tasks needed to succeed at SEO are a closely guarded secret, we do know that regularly posting a new blog is a great way to move up the Google SEO ranking. As such, website owners may be interested in an app for Slack that will send a notification to your Slack channel if you have not posted a new article on your blog within the last 7 days. These reminders will hopefully help you manage your articles and blogs better and also help to remind you to publish them on time.</span></p>\n<p><span style=\"font-weight: 400;\">In this article, we show you how you can integrate Slack notification with your WordPress blog using an app you can create yourself.</span></p>\n<p><b>Getting started &#8211; Create a Slack application</b></p>\n<p><span style=\"font-weight: 400;\">To get started, you first need to create an application within your Slack account. To do this, go to the</span><a href=\"https://api.slack.com/apps\"> <span style=\"font-weight: 400;\">Slack API</span></a><span style=\"font-weight: 400;\"> page and hit the &#8216;Create New App&#8217; button.</span></p>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/02/18H23PPbM_FaaaN8Cucx6GWk_FPOo_-9xMBUY2Ezt_oFLmognCbpOk9M4Hv9YQRh3EfirJuWlj6oMurowhkPov9eHe5aFb2UmwCJ6EF9VOSdM5eZJdHD-dVUAEmlR1NhMU7erwru.png\"><img class=\"size-full wp-image-509171 aligncenter\" src=\"https://updraftplus.com/wp-content/uploads/2020/02/18H23PPbM_FaaaN8Cucx6GWk_FPOo_-9xMBUY2Ezt_oFLmognCbpOk9M4Hv9YQRh3EfirJuWlj6oMurowhkPov9eHe5aFb2UmwCJ6EF9VOSdM5eZJdHD-dVUAEmlR1NhMU7erwru.png\" alt=\"\" width=\"1600\" height=\"309\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/02/18H23PPbM_FaaaN8Cucx6GWk_FPOo_-9xMBUY2Ezt_oFLmognCbpOk9M4Hv9YQRh3EfirJuWlj6oMurowhkPov9eHe5aFb2UmwCJ6EF9VOSdM5eZJdHD-dVUAEmlR1NhMU7erwru.png 1600w, https://updraftplus.com/wp-content/uploads/2020/02/18H23PPbM_FaaaN8Cucx6GWk_FPOo_-9xMBUY2Ezt_oFLmognCbpOk9M4Hv9YQRh3EfirJuWlj6oMurowhkPov9eHe5aFb2UmwCJ6EF9VOSdM5eZJdHD-dVUAEmlR1NhMU7erwru-300x58.png 300w, https://updraftplus.com/wp-content/uploads/2020/02/18H23PPbM_FaaaN8Cucx6GWk_FPOo_-9xMBUY2Ezt_oFLmognCbpOk9M4Hv9YQRh3EfirJuWlj6oMurowhkPov9eHe5aFb2UmwCJ6EF9VOSdM5eZJdHD-dVUAEmlR1NhMU7erwru-1024x198.png 1024w, https://updraftplus.com/wp-content/uploads/2020/02/18H23PPbM_FaaaN8Cucx6GWk_FPOo_-9xMBUY2Ezt_oFLmognCbpOk9M4Hv9YQRh3EfirJuWlj6oMurowhkPov9eHe5aFb2UmwCJ6EF9VOSdM5eZJdHD-dVUAEmlR1NhMU7erwru-768x148.png 768w, https://updraftplus.com/wp-content/uploads/2020/02/18H23PPbM_FaaaN8Cucx6GWk_FPOo_-9xMBUY2Ezt_oFLmognCbpOk9M4Hv9YQRh3EfirJuWlj6oMurowhkPov9eHe5aFb2UmwCJ6EF9VOSdM5eZJdHD-dVUAEmlR1NhMU7erwru-1536x297.png 1536w, https://updraftplus.com/wp-content/uploads/2020/02/18H23PPbM_FaaaN8Cucx6GWk_FPOo_-9xMBUY2Ezt_oFLmognCbpOk9M4Hv9YQRh3EfirJuWlj6oMurowhkPov9eHe5aFb2UmwCJ6EF9VOSdM5eZJdHD-dVUAEmlR1NhMU7erwru-1080x209.png 1080w, https://updraftplus.com/wp-content/uploads/2020/02/18H23PPbM_FaaaN8Cucx6GWk_FPOo_-9xMBUY2Ezt_oFLmognCbpOk9M4Hv9YQRh3EfirJuWlj6oMurowhkPov9eHe5aFb2UmwCJ6EF9VOSdM5eZJdHD-dVUAEmlR1NhMU7erwru-510x98.png 510w\" sizes=\"(max-width: 1600px) 100vw, 1600px\" /></a></p>\n<p><span style=\"font-weight: 400;\">This will create a popup window. Complete your details requested and you will be redirected to a ”settings page”. In this settings page, click on the &#8216;Incoming Webhooks&#8217; from the left section. Toggle this option to “On”.</span></p>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/02/RbSYMfvMBlYSC47eeo0MM9UzlF6Q21MAlVCnc8P-dVmMvsvVguGQlD17tp-e4gcMsmr85G4VVtXWQT2DtsOU9MZC_C8R2YzVUwpjY3oeVZF5CGT_952ZWvULgCGmkf-NSqexYOqT.png\"><img class=\"size-full wp-image-509179 aligncenter\" src=\"https://updraftplus.com/wp-content/uploads/2020/02/RbSYMfvMBlYSC47eeo0MM9UzlF6Q21MAlVCnc8P-dVmMvsvVguGQlD17tp-e4gcMsmr85G4VVtXWQT2DtsOU9MZC_C8R2YzVUwpjY3oeVZF5CGT_952ZWvULgCGmkf-NSqexYOqT.png\" alt=\"\" width=\"1380\" height=\"440\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/02/RbSYMfvMBlYSC47eeo0MM9UzlF6Q21MAlVCnc8P-dVmMvsvVguGQlD17tp-e4gcMsmr85G4VVtXWQT2DtsOU9MZC_C8R2YzVUwpjY3oeVZF5CGT_952ZWvULgCGmkf-NSqexYOqT.png 1380w, https://updraftplus.com/wp-content/uploads/2020/02/RbSYMfvMBlYSC47eeo0MM9UzlF6Q21MAlVCnc8P-dVmMvsvVguGQlD17tp-e4gcMsmr85G4VVtXWQT2DtsOU9MZC_C8R2YzVUwpjY3oeVZF5CGT_952ZWvULgCGmkf-NSqexYOqT-300x96.png 300w, https://updraftplus.com/wp-content/uploads/2020/02/RbSYMfvMBlYSC47eeo0MM9UzlF6Q21MAlVCnc8P-dVmMvsvVguGQlD17tp-e4gcMsmr85G4VVtXWQT2DtsOU9MZC_C8R2YzVUwpjY3oeVZF5CGT_952ZWvULgCGmkf-NSqexYOqT-1024x326.png 1024w, https://updraftplus.com/wp-content/uploads/2020/02/RbSYMfvMBlYSC47eeo0MM9UzlF6Q21MAlVCnc8P-dVmMvsvVguGQlD17tp-e4gcMsmr85G4VVtXWQT2DtsOU9MZC_C8R2YzVUwpjY3oeVZF5CGT_952ZWvULgCGmkf-NSqexYOqT-768x245.png 768w, https://updraftplus.com/wp-content/uploads/2020/02/RbSYMfvMBlYSC47eeo0MM9UzlF6Q21MAlVCnc8P-dVmMvsvVguGQlD17tp-e4gcMsmr85G4VVtXWQT2DtsOU9MZC_C8R2YzVUwpjY3oeVZF5CGT_952ZWvULgCGmkf-NSqexYOqT-1080x344.png 1080w, https://updraftplus.com/wp-content/uploads/2020/02/RbSYMfvMBlYSC47eeo0MM9UzlF6Q21MAlVCnc8P-dVmMvsvVguGQlD17tp-e4gcMsmr85G4VVtXWQT2DtsOU9MZC_C8R2YzVUwpjY3oeVZF5CGT_952ZWvULgCGmkf-NSqexYOqT-510x163.png 510w\" sizes=\"(max-width: 1380px) 100vw, 1380px\" /></a></p>\n<p><span style=\"font-weight: 400;\">Scroll down to the bottom and click on the &#8216;Request to Add New Webhook&#8217; button. If you are not an Admin then you need to get admin approval to access this option.</span></p>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/02/unnamed-3.png\"><img class=\"wp-image-509181 aligncenter\" src=\"https://updraftplus.com/wp-content/uploads/2020/02/unnamed-3.png\" alt=\"\" width=\"686\" height=\"256\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/02/unnamed-3.png 512w, https://updraftplus.com/wp-content/uploads/2020/02/unnamed-3-300x112.png 300w, https://updraftplus.com/wp-content/uploads/2020/02/unnamed-3-510x190.png 510w\" sizes=\"(max-width: 686px) 100vw, 686px\" /></a></p>\n<p><span style=\"font-weight: 400;\">Once the app is approved, click on the &#8216;Install APP&#8217; from the left side menu. And then press the &#8216;Install App to Workspace&#8217; button.</span></p>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/02/5AhEfNRSSTOmGSeV8tG-ZxROJpv_whGvvh8gFeLJXhdlou0RL6FUkJ-zVFIQd-Qpor3jzVyogAAa8LOf-bqERlPTyoWShjosKu0bOWaJWkNW8yLwwqk7_9J9S4EWhPI8pOxOiUM9.png\"><img class=\"size-full wp-image-509182 aligncenter\" src=\"https://updraftplus.com/wp-content/uploads/2020/02/5AhEfNRSSTOmGSeV8tG-ZxROJpv_whGvvh8gFeLJXhdlou0RL6FUkJ-zVFIQd-Qpor3jzVyogAAa8LOf-bqERlPTyoWShjosKu0bOWaJWkNW8yLwwqk7_9J9S4EWhPI8pOxOiUM9.png\" alt=\"\" width=\"1438\" height=\"460\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/02/5AhEfNRSSTOmGSeV8tG-ZxROJpv_whGvvh8gFeLJXhdlou0RL6FUkJ-zVFIQd-Qpor3jzVyogAAa8LOf-bqERlPTyoWShjosKu0bOWaJWkNW8yLwwqk7_9J9S4EWhPI8pOxOiUM9.png 1438w, https://updraftplus.com/wp-content/uploads/2020/02/5AhEfNRSSTOmGSeV8tG-ZxROJpv_whGvvh8gFeLJXhdlou0RL6FUkJ-zVFIQd-Qpor3jzVyogAAa8LOf-bqERlPTyoWShjosKu0bOWaJWkNW8yLwwqk7_9J9S4EWhPI8pOxOiUM9-300x96.png 300w, https://updraftplus.com/wp-content/uploads/2020/02/5AhEfNRSSTOmGSeV8tG-ZxROJpv_whGvvh8gFeLJXhdlou0RL6FUkJ-zVFIQd-Qpor3jzVyogAAa8LOf-bqERlPTyoWShjosKu0bOWaJWkNW8yLwwqk7_9J9S4EWhPI8pOxOiUM9-1024x328.png 1024w, https://updraftplus.com/wp-content/uploads/2020/02/5AhEfNRSSTOmGSeV8tG-ZxROJpv_whGvvh8gFeLJXhdlou0RL6FUkJ-zVFIQd-Qpor3jzVyogAAa8LOf-bqERlPTyoWShjosKu0bOWaJWkNW8yLwwqk7_9J9S4EWhPI8pOxOiUM9-768x246.png 768w, https://updraftplus.com/wp-content/uploads/2020/02/5AhEfNRSSTOmGSeV8tG-ZxROJpv_whGvvh8gFeLJXhdlou0RL6FUkJ-zVFIQd-Qpor3jzVyogAAa8LOf-bqERlPTyoWShjosKu0bOWaJWkNW8yLwwqk7_9J9S4EWhPI8pOxOiUM9-1080x345.png 1080w, https://updraftplus.com/wp-content/uploads/2020/02/5AhEfNRSSTOmGSeV8tG-ZxROJpv_whGvvh8gFeLJXhdlou0RL6FUkJ-zVFIQd-Qpor3jzVyogAAa8LOf-bqERlPTyoWShjosKu0bOWaJWkNW8yLwwqk7_9J9S4EWhPI8pOxOiUM9-510x163.png 510w\" sizes=\"(max-width: 1438px) 100vw, 1438px\" /></a></p>\n<p><span style=\"font-weight: 400;\">Choose the desired channel on the next page and click on the &#8216;Allow&#8217; button. You will then be redirected to a page where you will get your Webhook URL. Copy this URL as you will require it shortly.</span></p>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/02/unnamed-4.png\"><img class=\"wp-image-509183 aligncenter\" src=\"https://updraftplus.com/wp-content/uploads/2020/02/unnamed-4.png\" alt=\"\" width=\"648\" height=\"205\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/02/unnamed-4.png 512w, https://updraftplus.com/wp-content/uploads/2020/02/unnamed-4-300x95.png 300w, https://updraftplus.com/wp-content/uploads/2020/02/unnamed-4-510x161.png 510w\" sizes=\"(max-width: 648px) 100vw, 648px\" /></a></p>\n<p><b>Send notification on Slack channel from WordPress</b></p>\n<p><span style=\"font-weight: 400;\">You are now ready to proceed as you have the Webhook URL and have also configured the Slack channel, where the notification will be sent. Next, you need to write a code that sends a POST request along with a message to the webhook URL. This webhook URL will automatically post the received message to the chosen Slack channel. </span></p>\n<p><span style=\"font-weight: 400;\">So, let’s do some coding.</span></p>\n<p><b>Calculate days when last article is posted</b></p>\n<p><span style=\"font-weight: 400;\">When sending a notification to the Slack channel, you first need to calculate days from when the last article was posted. The below code will go inside your active themes:</span><code>functions.php</code> file.</p>\n<pre style=\"background: #efefef;\"><code>&lt;?php\n\n<span style=\"font-weight: 400;\">function get_daycount_of_last_blog_posted(){\n</span><span style=\"font-weight: 400;\">   $args=array(\n</span><span style=\"font-weight: 400;\">        \'post_type\' =&gt; \'post\',\n</span><span style=\"font-weight: 400;\">        \'post_status\' =&gt; \'publish\',\n</span><span style=\"font-weight: 400;\">        \'posts_per_page\' =&gt; 1,       \n</span><span style=\"font-weight: 400;\">    );</span>  \n\n<span style=\"font-weight: 400;\">    $datediff = 0;\n</span><span style=\"font-weight: 400;\">    $blog_posts = new WP_Query( $args );\n</span>    if ( $blog_posts-&gt;have_posts() ) :\n<span style=\"font-weight: 400;\"> \n while ( $blog_posts-&gt;have_posts() ) : $blog_posts-&gt;the_post();\n\n   $datediff = time() - strtotime(get_the_date());\n      endwhile;\n        wp_reset_postdata();\n    endif;</span>\n\n<span style=\"font-weight: 400;\">    if ($datediff) return round($datediff / (60 * 60 * 24));</span>\n\n<span style=\"font-weight: 400;\">   return $datediff;\n</span><span style=\"font-weight: 400;\">}</span>\n</code></pre>\n<p><span style=\"font-weight: 400;\">This code and method will get the last added post from the WordPress database and calculate the days between when you requested it and when the last article was posted.</span></p>\n<p><b>Send POST request to Webhook</b></p>\n<p><span style=\"font-weight: 400;\">WordPress provides a function <i>wp_remote_post()</i> that performs an HTTP request and receives the response. Using this method we will send our custom message to the webhook.</span></p>\n<p><span style=\"font-weight: 400;\">Create a file <code>notification.php</code> in the root directory of your WordPress project and add the below code to it.</span></p>\n<pre style=\"background: #efefef;\"><code><span style=\"font-weight: 400;\">&lt;?php \n</span><span style=\"font-weight: 400;\">require_once(\'wp-load.php\');\n</span><span style=\"font-weight: 400;\">$slack_webhook_url = \'YOUR_WEBHOOK_URL\';\n</span><span style=\"font-weight: 400;\">$last_blog_day_count = get_daycount_of_last_blog_posted();\n</span><span style=\"font-weight: 400;\">if($last_blog_day_count &gt; 5) {</span>\n\n<span style=\"font-weight: 400;\"> $msg = \'Hey team, our app found that we have not added new article on UpdraftPlus\n for more than 5 days. Please look into it.\';</span>\n\n<span style=\"font-weight: 400;\">    // Prepare the data / payload to be posted to Slack\n</span><span style=\"font-weight: 400;\">  $data = array(\n</span><span style=\"font-weight: 400;\">        \'payload\'   =&gt; json_encode( array(\n</span><span style=\"font-weight: 400;\">                \"text\" =&gt;  $msg,\n</span><span style=\"font-weight: 400;\">            )\n</span><span style=\"font-weight: 400;\">        )\n</span><span style=\"font-weight: 400;\">    );</span>\n\n<span style=\"font-weight: 400;\">    // Post our data via the slack webhook endpoint using wp_remote_post\n</span><span style=\"font-weight: 400;\">  wp_remote_post( $slack_webhook_url, array(\n</span><span style=\"font-weight: 400;\">            \'method\' =&gt; \'POST\',\n</span><span style=\"font-weight: 400;\">            \'body\' =&gt; $data,\n</span><span style=\"font-weight: 400;\">        )\n</span><span style=\"font-weight: 400;\">    );\n</span><span style=\"font-weight: 400;\">}</span>\n</code></pre>\n<p><span style=\"font-weight: 400;\">This code will post a message to Webhook URL if a new article is not added for more than 5 days on your blog. As a result, you get a notification on your selected Slack channel.</span></p>\n<p><b>Set cron on your server</b></p>\n<p><span style=\"font-weight: 400;\">Our goal is to create an automated system which will notify the team about this task on a specific Slack channel. Because of this, we created a PHP file in the root folder of the WordPress project. By setting cron with this file on your server, you can set up your Slack app to run automatically.</span></p>\n<p><span style=\"font-weight: 400;\">Setting cron on the server may differ on the basis of your hosting provider. For the sake of this tutorial, we will give an example on how to set cron on Media Temple web hosting&#8217;s CPanel.</span></p>\n<p><span style=\"font-weight: 400;\">Login to your CPanel. Select &#8216;Cron Jobs&#8217; under the “Advanced” section.</span></p>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/02/XJRZ1skju2esDJFf4JDq5q7eZkJxTC9yf-myua5-H_nMHEp8T_OWMk3zKjRaedfbkNKR_n_KErfgoY89QpTsQzHjtKDK7Us4G_Xf2J1nzhWz3szGkvuSyrk7Mqgqiitx_tKI_AJh.png\"><img class=\"size-full wp-image-509184 aligncenter\" src=\"https://updraftplus.com/wp-content/uploads/2020/02/XJRZ1skju2esDJFf4JDq5q7eZkJxTC9yf-myua5-H_nMHEp8T_OWMk3zKjRaedfbkNKR_n_KErfgoY89QpTsQzHjtKDK7Us4G_Xf2J1nzhWz3szGkvuSyrk7Mqgqiitx_tKI_AJh.png\" alt=\"\" width=\"994\" height=\"328\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/02/XJRZ1skju2esDJFf4JDq5q7eZkJxTC9yf-myua5-H_nMHEp8T_OWMk3zKjRaedfbkNKR_n_KErfgoY89QpTsQzHjtKDK7Us4G_Xf2J1nzhWz3szGkvuSyrk7Mqgqiitx_tKI_AJh.png 994w, https://updraftplus.com/wp-content/uploads/2020/02/XJRZ1skju2esDJFf4JDq5q7eZkJxTC9yf-myua5-H_nMHEp8T_OWMk3zKjRaedfbkNKR_n_KErfgoY89QpTsQzHjtKDK7Us4G_Xf2J1nzhWz3szGkvuSyrk7Mqgqiitx_tKI_AJh-300x99.png 300w, https://updraftplus.com/wp-content/uploads/2020/02/XJRZ1skju2esDJFf4JDq5q7eZkJxTC9yf-myua5-H_nMHEp8T_OWMk3zKjRaedfbkNKR_n_KErfgoY89QpTsQzHjtKDK7Us4G_Xf2J1nzhWz3szGkvuSyrk7Mqgqiitx_tKI_AJh-768x253.png 768w, https://updraftplus.com/wp-content/uploads/2020/02/XJRZ1skju2esDJFf4JDq5q7eZkJxTC9yf-myua5-H_nMHEp8T_OWMk3zKjRaedfbkNKR_n_KErfgoY89QpTsQzHjtKDK7Us4G_Xf2J1nzhWz3szGkvuSyrk7Mqgqiitx_tKI_AJh-510x168.png 510w\" sizes=\"(max-width: 994px) 100vw, 994px\" /></a></p>\n<p><span style=\"font-weight: 400;\">On the next page, choose the &#8216;Once Per Day(0 0 * * *)&#8217; option from the &#8216;Common Settings&#8217; dropdown. This means the cron will execute the script once a day.</span></p>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/02/CMmgq4GVjx6wWdFMDJydgQBj2zxyL4qufL3YBbTqAX5_zyEsTPPa6GZGxOCi1-0X-uhIHk12GckxlsnNevqvJhx-UzgKh_YP6YEJUoVbIPMtT0UijQa1da05BSi8A60JdV3R00WU.png\"><img class=\"size-full wp-image-509185 aligncenter\" src=\"https://updraftplus.com/wp-content/uploads/2020/02/CMmgq4GVjx6wWdFMDJydgQBj2zxyL4qufL3YBbTqAX5_zyEsTPPa6GZGxOCi1-0X-uhIHk12GckxlsnNevqvJhx-UzgKh_YP6YEJUoVbIPMtT0UijQa1da05BSi8A60JdV3R00WU.png\" alt=\"\" width=\"896\" height=\"706\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/02/CMmgq4GVjx6wWdFMDJydgQBj2zxyL4qufL3YBbTqAX5_zyEsTPPa6GZGxOCi1-0X-uhIHk12GckxlsnNevqvJhx-UzgKh_YP6YEJUoVbIPMtT0UijQa1da05BSi8A60JdV3R00WU.png 896w, https://updraftplus.com/wp-content/uploads/2020/02/CMmgq4GVjx6wWdFMDJydgQBj2zxyL4qufL3YBbTqAX5_zyEsTPPa6GZGxOCi1-0X-uhIHk12GckxlsnNevqvJhx-UzgKh_YP6YEJUoVbIPMtT0UijQa1da05BSi8A60JdV3R00WU-300x236.png 300w, https://updraftplus.com/wp-content/uploads/2020/02/CMmgq4GVjx6wWdFMDJydgQBj2zxyL4qufL3YBbTqAX5_zyEsTPPa6GZGxOCi1-0X-uhIHk12GckxlsnNevqvJhx-UzgKh_YP6YEJUoVbIPMtT0UijQa1da05BSi8A60JdV3R00WU-768x605.png 768w, https://updraftplus.com/wp-content/uploads/2020/02/CMmgq4GVjx6wWdFMDJydgQBj2zxyL4qufL3YBbTqAX5_zyEsTPPa6GZGxOCi1-0X-uhIHk12GckxlsnNevqvJhx-UzgKh_YP6YEJUoVbIPMtT0UijQa1da05BSi8A60JdV3R00WU-510x402.png 510w\" sizes=\"(max-width: 896px) 100vw, 896px\" /></a></p>\n<p><span style=\"font-weight: 400;\">Finally, in the Command field add the below statement by adjusting your <code>notification.php</code> file path.</span></p>\n<pre style=\"background: #efefef;\"><code><span style=\"font-weight: 400;\">&lt;pre&gt;/usr/local/bin/php /home/xyz/public_html/notification.php&lt;/pre&gt;</span>\n</code></pre>\n<p><span style=\"font-weight: 400;\">That&#8217;s it! </span></p>\n<p><span style=\"font-weight: 400;\">By following this tutorial, you are now able to create your own Slack app for you and your team. This will certainly help everyone keep up to date with scheduled blogs and ensure you do not miss out on any important dates. </span></p>\n<p>The post <a rel=\"nofollow\" href=\"https://updraftplus.com/how-to-integrate-slack-reminder-notification-with-wordpress/\">How to integrate Slack reminder notification with WordPress</a> appeared first on <a rel=\"nofollow\" href=\"https://updraftplus.com\">UpdraftPlus</a>. <a href=\"http://updraftplus.com\">UpdraftPlus - Backup, restore and migration plugin for WordPress.</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:42:\"http://rssnamespace.org/feedburner/ext/1.0\";a:1:{s:8:\"origLink\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"https://updraftplus.com/how-to-integrate-slack-reminder-notification-with-wordpress/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:54:\"\n		\n		\n				\n		\n				\n		\n		\n\n		\n				\n								\n										\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"Easy Updates Manager 9.0.0 and 9.0.1 released\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"http://feedproxy.google.com/~r/UpdraftPlus/~3/wtej9LrGtlE/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 27 Jan 2020 10:29:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:20:\"Easy Updates Manager\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:28:\"easy updates manager premium\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:27:\"Easy Updates Manager update\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"https://updraftplus.com/?p=502278\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:648:\"<p>We are pleased to announce an updated version of Easy Updates Manager with the releases of 9.0.0 and 9.0.1. The new updates includes a range of new features, tweaks and fixes. As part of the update you will see that &#8230; <a href=\"https://updraftplus.com/eum-9-0-0/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a></p>\n<p>The post <a rel=\"nofollow\" href=\"https://updraftplus.com/eum-9-0-0/\">Easy Updates Manager 9.0.0 and 9.0.1 released</a> appeared first on <a rel=\"nofollow\" href=\"https://updraftplus.com\">UpdraftPlus</a>. <a href=\"http://updraftplus.com\">UpdraftPlus - Backup, restore and migration plugin for WordPress.</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Wayne Mullins\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2491:\"<p><span style=\"font-weight: 400;\">We are pleased to announce an updated version of Easy Updates Manager with the releases of 9.0.0 and 9.0.1. The new updates includes a range of new features, tweaks and fixes.</span></p>\n<p><span style=\"font-weight: 400;\">As part of the update you will see that we have developed the main admin user interface. This gives the user a much more clear and easier way to use and make the most of all the features of Easy Updates Manager. The update also lets Premium users check for unmaintained plugins, so there will be no nasty surprises when a plugin that you rely on stops updating and potentially becomes unsecured.</span></p>\n<p><span style=\"font-weight: 400;\">We recommend the update for all Easy Updates Manager users.</span></p>\n<p><b>9.0.1</b></p>\n<ul>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">FIX: (Premium feature) UpdraftPlus will only take one backup during the auto-update process.</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">FIX: Update translations after an auto-update has completed.</span></li>\n</ul>\n<p><b>9.0.0</b></p>\n<ul>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">FEATURE: Admin user interface has been cleaned up, providing more straightforward options.</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">FEATURE: (Premium) Check for unmaintained plugins.</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">TWEAK: Constants can now be used to disable the outdated browser warning (EUM_ENABLE_BROWSER_NAG), the WordPress version in the footer (EUM_ENABLE_WORDPRESS_FOOTER_VERSION), and the ratings prompt on the General screen (EUM_ENABLE_RATINGS_NAG).</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">FIX: Prevent Force Updates from deactivating plugins.</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">FIX: (Premium feature) UpdraftPlus will now take a backup during an auto-update</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">FIX: (Premium feature) Fix cron schedules so they are run at the correct time.</span></li>\n</ul>\n<p>The post <a rel=\"nofollow\" href=\"https://updraftplus.com/eum-9-0-0/\">Easy Updates Manager 9.0.0 and 9.0.1 released</a> appeared first on <a rel=\"nofollow\" href=\"https://updraftplus.com\">UpdraftPlus</a>. <a href=\"http://updraftplus.com\">UpdraftPlus - Backup, restore and migration plugin for WordPress.</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:42:\"http://rssnamespace.org/feedburner/ext/1.0\";a:1:{s:8:\"origLink\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://updraftplus.com/eum-9-0-0/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:60:\"\n		\n		\n				\n		\n				\n		\n		\n		\n		\n\n		\n				\n								\n										\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"UpdraftPlus CCPA privacy notice\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"http://feedproxy.google.com/~r/UpdraftPlus/~3/mUj6gG5y094/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 23 Jan 2020 14:00:21 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:20:\"Other WordPress news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:31:\"California Consumer Privacy Act\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:4:\"CCPA\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:4:\"GDRP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:12:\"privacy laws\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"https://updraftplus.com/?p=500110\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:704:\"<p>On January 1st 2020, the California Consumer Privacy Act (CCPA) introduced new data privacy rights for California residents – forcing companies that conduct business in the state of California to implement structural changes to their privacy programs. The new law &#8230; <a href=\"https://updraftplus.com/ccpa-privacy-notice/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a></p>\n<p>The post <a rel=\"nofollow\" href=\"https://updraftplus.com/ccpa-privacy-notice/\">UpdraftPlus CCPA privacy notice</a> appeared first on <a rel=\"nofollow\" href=\"https://updraftplus.com\">UpdraftPlus</a>. <a href=\"http://updraftplus.com\">UpdraftPlus - Backup, restore and migration plugin for WordPress.</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Wayne Mullins\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:19558:\"<p><span style=\"font-weight: 400;\">On January 1st 2020, the California Consumer Privacy Act (</span><a href=\"https://oag.ca.gov/privacy/ccpa\"><span style=\"font-weight: 400;\">CCPA</span></a><span style=\"font-weight: 400;\">) introduced new data privacy rights for California residents – forcing companies that conduct business in the state of California to implement structural changes to their privacy programs. </span><span style=\"font-weight: 400;\">The new law is a response to the increasing role personal data plays in business practices and the personal privacy implications surrounding the collection, use, and protection of personal information.</span></p>\n<p><span style=\"font-weight: 400;\">Though UpdraftPlus may not necessarily meet the criteria necessary in order to comply with the CCPA law (1. Have $25 million or more in annual sales &#8211; 2. Buys, sells, or shares information on 50,000 or more individuals, households, or devices &#8211; 3. Derives more than half of our annual revenue from selling personal information), we have made every effort to meet and achieve CCPA compliance for the privacy rights of our California based customers. As such, we are providing this CCPA-specific privacy notice to supplement the information and disclosures already contained in our </span><a href=\"https://updraftplus.com/data-protection-and-privacy-centre/\"><span style=\"font-weight: 400;\">Data Protection and Privacy Centre</span></a><span style=\"font-weight: 400;\">. This notice applies only to individuals residing in California with an <a href=\"https://updraftplus.com/faqs/tell-me-about-my-updraftplus-com-account/\">UpdraftPlus account</a> from whom we collect personal information.</span></p>\n<p><b>What is the CCPA?</b></p>\n<p><span style=\"font-weight: 400;\">The CCPA allows any California consumer to demand to see all the information a company has saved on them, as well as a full list of all the third parties that data is shared with. In addition, the California law allows consumers to sue companies if the privacy guidelines are violated, even if there is no breach.</span></p>\n<p><span style=\"font-weight: 400;\">Much like the </span><a href=\"https://updraftplus.com/gdpr-compliance-with-updraftplus-encrypting-the-databases-in-your-wordpress-backups-if-they-contain-user-data/\"><span style=\"font-weight: 400;\">GDPR</span></a><span style=\"font-weight: 400;\"> law that was enacted in May 2018, many of the same rules on the use of customer data are represented in the CCPA. However the CCPA does takes a broader view than the GDPR of what constitutes private data.</span></p>\n<p><b>How does CCPA differ from GDPR?</b></p>\n<p><span style=\"font-weight: 400;\">GDPR applies to the processing of all personal data, regardless of what that data is intended for or how it will be processed.</span></p>\n<p><span style=\"font-weight: 400;\">The CCPA is more specific regarding what kinds of data are protected and under what circumstances. While GDPR has strict user “opt-in” consent options before companies can access any of your data, CCPA only requires companies to supply the option to “opt-out” when user information is going to be actively sold or shared.</span></p>\n<p><span style=\"font-weight: 400;\">The CCPA does not provide the same protection to a wider range of user data types that the GDPR does. These include:</span></p>\n<ul>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">Data that is already legally available to the public</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">Medical information that’s protected under California’s Confidentiality of Medical Information Act (CMIA) or the federal Health Insurance Portability and Accountability Act (HIPPA)</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">Personal information covered by California’s Driver’s Privacy Protection Act</span></li>\n</ul>\n<p><span style=\"font-weight: 400;\">And other similar data sets.</span></p>\n<p><b>UpdraftPlus does not sell personal information</b></p>\n<p><span style=\"font-weight: 400;\">The following categories of personal information have been defined by the CCPA. This information may have been collected and/or disclosed for a business purpose by ourselves in the last twelve months. The examples of the personal information provided in each category are taken from the CCPA and are included so you can better understand the specific information contained within a category. More information about the specific information UpdraftPlus gathers and how that information is used and processed can be <a href=\"https://updraftplus.com/faqs/what-data-is-gathered-when-updraftplus-is-used-and-how-is-that-data-processed/\">found here</a></span><span style=\"font-weight: 400;\">.</span></p>\n<p>&nbsp;</p>\n<table>\n<tbody>\n<tr>\n<td><b>Category</b></td>\n<td><b>We Collect</b></td>\n<td><b>We Sell</b></td>\n</tr>\n<tr>\n<td><b>A. Identifiers</b></td>\n<td><span style=\"font-weight: 400;\">Yes                               </span></td>\n<td><span style=\"font-weight: 400;\">No                               </span></td>\n</tr>\n<tr>\n<td><span style=\"font-weight: 400;\">Examples: Name, alias, postal address, unique personal identifier, online identifier, internet protocol address, email address, account name, social security number, driver’s license number, passport number, or other similar identifiers.</span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n</tr>\n<tr>\n<td><b>B. Categories of personal information in Cal. Civ. Code 1798.80(e)</b></td>\n<td><span style=\"font-weight: 400;\">Yes                               </span></td>\n<td><span style=\"font-weight: 400;\">No                               </span></td>\n</tr>\n<tr>\n<td><span style=\"font-weight: 400;\">Examples: Name, signature, social security number, physical characteristics or description, address, telephone number, passport number, driver’s license or state identification card number, insurance policy number, education, employment, employment history, bank account number, credit card number, debit card number, or any other financial information, medical information, or health insurance information.</span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n</tr>\n<tr>\n<td><b>C. Characteristics of protected classifications under California or Federal law</b></td>\n<td><span style=\"font-weight: 400;\">No                               </span></td>\n<td><span style=\"font-weight: 400;\">N/A                               </span></td>\n</tr>\n<tr>\n<td><span style=\"font-weight: 400;\">Examples: Race or color, ancestry or national origin, religion or creed, age (over 40), mental or physical disability, sex (including gender and pregnancy, childbirth, breastfeeding or related medical conditions), sexual orientation, gender identity or expression, medical condition, genetic information, marital status, military and veteran status.</span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n</tr>\n<tr>\n<td><b>D. Commercial information</b></td>\n<td><span style=\"font-weight: 400;\">Yes                               </span></td>\n<td><span style=\"font-weight: 400;\">No                               </span></td>\n</tr>\n<tr>\n<td><span style=\"font-weight: 400;\">Examples: Records of personal property, products or services purchased, obtained, or considered, or other purchasing or consuming histories or tendencies.</span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n</tr>\n<tr>\n<td><b>E. Biometric information</b></td>\n<td><span style=\"font-weight: 400;\">No                               </span></td>\n<td><span style=\"font-weight: 400;\">N/A                               </span></td>\n</tr>\n<tr>\n<td><span style=\"font-weight: 400;\">Examples: Physiological, biological, or behavioral characteristics, including DNA, that can be used, singly or in combination with each other or with other identifying data, to establish individual identity, such as imagery of the iris, retina, fingerprint, face, hand, palm, vein patterns, and voice recordings, from which an identifier template, such as a faceprint, a minutiae template, or a voiceprint, can be extracted, and keystroke patterns or rhythms, gait patterns or rhythms, and sleep, health, or exercise data that contain identifying information.</span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n</tr>\n<tr>\n<td><b>F. Internet or other electronic network activity information</b></td>\n<td><span style=\"font-weight: 400;\">Yes                               </span></td>\n<td><span style=\"font-weight: 400;\">No                               </span></td>\n</tr>\n<tr>\n<td><span style=\"font-weight: 400;\">Examples: Browsing history, search history, and information regarding a consumer’s interaction with an internet website, application or advertisement.</span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n</tr>\n<tr>\n<td><b>G. Geolocation data</b></td>\n<td><span style=\"font-weight: 400;\">Yes                               </span></td>\n<td><span style=\"font-weight: 400;\">No</span></td>\n</tr>\n<tr>\n<td><span style=\"font-weight: 400;\">Example: Precise physical location.</span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n</tr>\n<tr>\n<td><b>H. Sensory information</b></td>\n<td><span style=\"font-weight: 400;\">No                               </span></td>\n<td><span style=\"font-weight: 400;\">N/A                               </span></td>\n</tr>\n<tr>\n<td><span style=\"font-weight: 400;\">Examples: Audio, electronic, visual, thermal, olfactory, or similar information.</span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n</tr>\n<tr>\n<td><b>I. Professional or employment-related information</b></td>\n<td><span style=\"font-weight: 400;\">No                               </span></td>\n<td><span style=\"font-weight: 400;\">N/A</span></td>\n</tr>\n<tr>\n<td><span style=\"font-weight: 400;\">Examples: Job application or resume information, past and current job history, and job performance information.</span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n</tr>\n<tr>\n<td><b>J. Non-Public education information (as defined in 20 U.S.C. 1232g; 34 C.F.R. Part 99)</b></td>\n<td><span style=\"font-weight: 400;\">No                               </span></td>\n<td><span style=\"font-weight: 400;\">N/A                               </span></td>\n</tr>\n<tr>\n<td><span style=\"font-weight: 400;\">Examples: Records that are directly related to a student maintained by an educational agency or institution or by a party acting for the agency or institution.</span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n</tr>\n<tr>\n<td><b>K. Inferences drawn from personal information</b></td>\n<td><span style=\"font-weight: 400;\">No                               </span></td>\n<td><span style=\"font-weight: 400;\">N/A</span></td>\n</tr>\n<tr>\n<td><span style=\"font-weight: 400;\">Examples: Consumer profiles reflecting a consumer’s preferences, characteristics, psychological trends, preferences, predispositions, behavior, attitudes, intelligence, abilities, and aptitudes.</span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n<td><span style=\"font-weight: 400;\">                              </span></td>\n</tr>\n</tbody>\n</table>\n<p><b style=\"color: #333333; font-size: 22px;\"><br />\nUse of personal information</b></p>\n<p><span style=\"font-weight: 400;\">As the new CCPA has now come into force we wanted to clarify that UpdraftPlus meets the criteria necessary to be in accordance with the specific CCPA business and commercial purposes, as detailed below:</span></p>\n<ol>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">Auditing related to a current interaction with you and concurrent transactions, including, but not limited to auditing compliance with this specification and other standards.</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">Detecting security incidents, protecting against malicious, deceptive, fraudulent, or illegal activity, and prosecuting those responsible for that activity.</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">Debugging to identify and repair errors that impair existing intended functionality.</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">Short-term, transient use.</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">Contracting with service providers to perform services on our behalf, including maintaining or servicing accounts, providing customer service, processing or fulfilling orders and transactions, verifying customer information, processing payments, providing advertising or marketing services, providing analytic services, or providing similar services on behalf of the business or service provider.</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">Undertaking internal research for technological development and demonstration.</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">Undertaking activities to verify or maintain the quality or safety of our services, and to improve, upgrade, or enhance our services.</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">Otherwise enabling or effecting, directly or indirectly, a commercial transaction.</span></li>\n<li style=\"font-weight: 400;\"><span style=\"font-weight: 400;\">For other purposes for which we provide specific notice at the time the information is collected.</span></li>\n</ol>\n<h3><b>UpdraftPlus’ collection and disclosure of personal information</b></h3>\n<p><span style=\"font-weight: 400;\">In the last year UpdraftPlus have collected personal information from general sources including you, your use of our services, your devices, our affiliates, our vendors, and our service providers. More specific information about the personal information we collect is laid out in this in our </span><a href=\"https://updraftplus.com/gdpr-compliance-with-updraftplus-encrypting-the-databases-in-your-wordpress-backups-if-they-contain-user-data/\"><span style=\"font-weight: 400;\">GDPR</span></a><span style=\"font-weight: 400;\"> and </span><a href=\"https://www.digitalocean.com/legal/privacy-policy/\"><span style=\"font-weight: 400;\"> </span></a><a href=\"https://updraftplus.com/data-protection-and-privacy-centre/\"><span style=\"font-weight: 400;\">Data Protection and Privacy Centre</span></a><span style=\"font-weight: 400;\">.</span></p>\n<h3><b>Your California privacy rights</b></h3>\n<p><span style=\"font-weight: 400;\">If you are a California resident, the CCPA allows you to exercise the following rights. </span></p>\n<p><b>Right to know and access.</b><span style=\"font-weight: 400;\"> You may submit a verifiable request for information regarding the: (1) categories of personal information collected or disclosed by us; (2) purposes for which categories of personal information are collected by us; (3) categories of sources from which we collect personal information; and (4) specific pieces of personal information we have collected about you during the past twelve months.</span></p>\n<p><b>Right to Delete</b><span style=\"font-weight: 400;\">. Subject to certain exceptions, you have the option to delete personal information about you that we have collected from you.</span></p>\n<p><b>Verification.</b><span style=\"font-weight: 400;\"> Requests for access to or deletion of personal information are subject to our ability to reasonably verify your identity in light of the information requested and pursuant to relevant CCPA requirements, limitations, and regulations.</span></p>\n<p><b>Right to Equal Service and Price.</b><span style=\"font-weight: 400;\"> You have the right not to receive discriminatory treatment for the exercise of your CCPA privacy rights, subject to certain limitations.</span></p>\n<p><b>Shine the Light.</b><span style=\"font-weight: 400;\"> We do not rent, sell, or share your personal information with non affiliated companies for their direct marketing purposes, unless we have your permission.</span></p>\n<p><b>Submit Requests</b><span style=\"font-weight: 400;\">. To exercise your rights under the CCPA, you can <a href=\"https://updraftplus.com/faqs/i-wish-you-to-delete-all-personal-data-which-you-hold-upon-me-gdpr-right-to-be-forgotten-right-to-erasure/\">deactivate and purge</a> your account (similar to the <a href=\"https://updraftplus.com/faqs/i-wish-you-to-delete-all-personal-data-which-you-hold-upon-me-gdpr-right-to-be-forgotten-right-to-erasure/\">GDPR “right to erasure” &#8211; “right to be forgotten”)</a> by sending us a <a href=\"https://updraftplus.com/paid-support-requests/\">customer support request</a> under &#8220;This is a GDPR/CCPA-related query&#8221; in the &#8220;What kind of support request is this?&#8221; option. </span></p>\n<p><span style=\"font-weight: 400;\">If you have any further questions or queries, please leave a comment below and we will get back to you as soon as possible.</span></p>\n<p>The post <a rel=\"nofollow\" href=\"https://updraftplus.com/ccpa-privacy-notice/\">UpdraftPlus CCPA privacy notice</a> appeared first on <a rel=\"nofollow\" href=\"https://updraftplus.com\">UpdraftPlus</a>. <a href=\"http://updraftplus.com\">UpdraftPlus - Backup, restore and migration plugin for WordPress.</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:42:\"http://rssnamespace.org/feedburner/ext/1.0\";a:1:{s:8:\"origLink\";a:1:{i:0;a:5:{s:4:\"data\";s:44:\"https://updraftplus.com/ccpa-privacy-notice/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:57:\"\n		\n		\n				\n		\n				\n		\n		\n		\n\n		\n				\n								\n										\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:92:\"How to localize and translate a WordPress plugin – an in depth guide for plugin developers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"http://feedproxy.google.com/~r/UpdraftPlus/~3/GL0et7NkClI/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 20 Jan 2020 12:03:46 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:15:\"Tips and tricks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:16:\"plugin translate\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:28:\"wordpress plugin translation\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:21:\"wordpress translation\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"https://updraftplus.com/?p=496391\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:878:\"<p>When developing a plugin, it’s always good idea to make it translation ready as it could additionally reach audiences who do not use English as their first language. If you were wondering how important a translation option is, you can &#8230; <a href=\"https://updraftplus.com/how-to-localize-and-translate-a-wordpress-plugin-an-in-depth-guide-for-plugin-developers/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a></p>\n<p>The post <a rel=\"nofollow\" href=\"https://updraftplus.com/how-to-localize-and-translate-a-wordpress-plugin-an-in-depth-guide-for-plugin-developers/\">How to localize and translate a WordPress plugin &#8211; an in depth guide for plugin developers</a> appeared first on <a rel=\"nofollow\" href=\"https://updraftplus.com\">UpdraftPlus</a>. <a href=\"http://updraftplus.com\">UpdraftPlus - Backup, restore and migration plugin for WordPress.</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Wayne Mullins\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:15245:\"<p>When developing a plugin, it’s always good idea to make it translation ready as it could additionally reach audiences who do not use English as their first language. If you were wondering how important a translation option is, you can check the repository and see that every single popular plugin is available for language localization. You will find this option is available with UpdraftPlus, MetaSlider, WP-Optimize, Contact Form 7 and WooCommerce, as well as many more. These are some of the most popular plugins available and are coded in a way that allows anyone to translate them easily into their native language.</p>\n<p>The purpose of this blog is to demonstrate to our readers how they can code a plugin so that it will be localized and translated into any supported WordPress language. For example, if we wanted to translate a plugin into French, the following steps will allow plugin translation and also make it ready for all supported WordPress languages.</p>\n<h3>Getting Started</h3>\n<p>When creating a plugin, we should make sure that we load the plugin text domain. WordPress provides this function:</p>\n<p><a href=\"https://codex.wordpress.org/Function_Reference/load_plugin_textdomain\" target=\"_blank\" rel=\"nofollow noopener noreferrer\">load_plugin_textdomain()</a></p>\n<p>This code will load the plugin&#8217;s translated strings. It may seem a little confusing, but keep reading and we’ll explain how it works shortly.</p>\n<p>First, let&#8217;s take a look at how to add this function to our plugin code. In your plugin folder, create a directory called &#8216;languages&#8217;. Next, add the below code to your plugin main file.</p>\n<pre style=\"background: #efefef;\"><code>* Load plugin textdomain.\n*/\nfunction plugin_load_textdomain() {\nload_plugin_textdomain( \'udp\', false, basename( dirname( __FILE__ ) ) . \'/languages/\' );\n}\nadd_action( \'init\', \'plugin_load_textdomain\' );\n</code></pre>\n<p>In the above code, we keep the first parameter (domain) as &#8216;udp&#8217;. We should keep this domain name as per our name of the plugin. The second parameter defaults to false. The third parameter is the path of our &#8216;languages&#8217; directory. This code keeps our translation files ready on the WordPress initialization.</p>\n<h3>Use of __() and _e() Methods</h3>\n<p>As we are aiming to make our plugin available in all languages, we should wrap all our plugin text inside either:</p>\n<p><code>__()</code> or <code>_e()</code> functions.</p>\n<p>It is very easy to use these methods. Both methods work exactly the same but there is a rule for using both.</p>\n<p>In our plugin code, we normally have two types of text. The first is wrapped in HTML directly and the second is displayed using PHP echo function. Below are examples of both types:</p>\n<p><b>Type 1</b></p>\n<pre style=\"background: #efefef;\"><code>&lt;h2&gt;My Plugin Title&lt;/h2&gt;</code></pre>\n<p><b>Type 2</b></p>\n<pre style=\"background: #efefef;\">&lt;?php echo \'My Plugin Settings\'; ?&gt;</pre>\n<p>The general rule is that if you are printing text using PHP echo then you should wrap text in the following code:</p>\n<p><code>&lt;code&gt;__()&lt;/code&gt;</code></p>\n<p>If it is in HTML then use the code: <code>&lt;code&gt;_e()&lt;/code&gt;.</code></p>\n<p>The above code should be written in the following way:</p>\n<pre style=\"background: #efefef;\">&lt;h2&gt;&lt;?php _e(\'My Plugin Title\', \'udp\'); ?&gt;&lt;/h2&gt;</pre>\n<p>and</p>\n<pre style=\"background: #efefef;\">&lt;?php echo __(\'My Plugin Settings\', \'udp\'); ?&gt;</pre>\n<p>As can be seen in the above examples, the second parameter was written as &#8216;udp&#8217;, which is our plugin text domain. By using this domain, it will allow us to later translate our text into any language. This is how other plugins make their plugins translation ready.</p>\n<p>If you wish, you can check our plugin:</p>\n<p><a href=\"https://wordpress.org/plugins/updraftplus\" target=\"_blank\" rel=\"noopener noreferrer\">UpdraftPlus</a></p>\n<p>If you search for the text domain &#8216;updraftplus&#8217;, you will see how our plugin’s text is wrapped inside <code>__()</code> and <code>_e()</code> functions.</p>\n<h3>Create a Sample Plugin</h3>\n<p>The next stage is to create a sample plugin with the some text so we can test our translations. First, create an &#8216;udp&#8217; folder in your plugin directory. Inside this folder create the file: <code>udp.php</code> and the folder <code>languages</code>. Next, add the below code to the plugin file.</p>\n<p><b>udp.php</b></p>\n<pre style=\"background: #efefef;\">&lt;?php\n/*\nPlugin Name: UDP\nDescription: This is a sample plugin to test for plugin text domain\nAuthor: Editorial Staff\nVersion: 1.0\nLicense: GPLv3 or later\nText Domain: udp\nDomain Path: /languages\n*/\n\nif (!defined(\'ABSPATH\')) die(\'No direct access allowed\');/**\n* Load plugin textdomain.\n*/\nfunction udp_load_textdomain() {\nload_plugin_textdomain( \'udp\', false, basename( dirname( __FILE__ ) ) . \'/languages/\' );\n}\nadd_action( \'init\', \'udp_load_textdomain\' ); \n\nfunction udp_menu_page() {\nadd_menu_page(\n__( \'UDP Setting Page\', \'udp\' ),\n__( \'UDP Setting Page\', \'udp\' ),\n\'manage_options\',\n\'udp_setting_page\',\n\'udp_setting_page\',\n\'\',\n6\n);\n}\nadd_action(\'admin_menu\', \'udp_menu_page\');\n\nfunction udp_setting_page() {\n?&gt;\n&lt;h2&gt;&lt;?php _e(\'My Plugin Title\', \'udp\'); ?&gt;&lt;/h2&gt;\n&lt;?php\n}</pre>\n<h3>Create the Translation Files</h3>\n<p>To generate our translation files, we will use the following translation editor software:</p>\n<p><a href=\"https://poedit.net\" target=\"_blank\" rel=\"nofollow noopener noreferrer\">POEDIT</a></p>\n<p>Translation files (.po and .mo) contain the string to translate and the translated string. While creating the .po file we need to save it in &#8216;{domain}-language code&#8217; format. In this example, the file will be <i>udp-fr_FR.po</i>.</p>\n<p>Next, install the POEDIT software on your system. This software is available for all platforms and can be installed on Windows, Linux or Mac.</p>\n<p>Once installed, open POEDIT and go to <i>File-&gt;New</i>, where we will enter our language code in the window prompt.</p>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/01/language-code.png\"><img class=\"size-full wp-image-497997 aligncenter\" src=\"https://updraftplus.com/wp-content/uploads/2020/01/language-code.png\" alt=\"\" width=\"1000\" height=\"296\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/01/language-code.png 1000w, https://updraftplus.com/wp-content/uploads/2020/01/language-code-300x89.png 300w, https://updraftplus.com/wp-content/uploads/2020/01/language-code-768x227.png 768w, https://updraftplus.com/wp-content/uploads/2020/01/language-code-510x151.png 510w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" /></a></p>\n<p>Click on the &#8216;Save&#8217; icon, after which, the file explorer will open. Head over to the plugins languages directory and save it as the following: <i>udp-fr_FR.po</i>.</p>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/01/save-po.png\"><img class=\"size-full wp-image-497999 aligncenter\" src=\"https://updraftplus.com/wp-content/uploads/2020/01/save-po.png\" alt=\"\" width=\"1188\" height=\"748\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/01/save-po.png 1188w, https://updraftplus.com/wp-content/uploads/2020/01/save-po-300x189.png 300w, https://updraftplus.com/wp-content/uploads/2020/01/save-po-1024x645.png 1024w, https://updraftplus.com/wp-content/uploads/2020/01/save-po-768x484.png 768w, https://updraftplus.com/wp-content/uploads/2020/01/save-po-1080x680.png 1080w, https://updraftplus.com/wp-content/uploads/2020/01/save-po-510x321.png 510w\" sizes=\"(max-width: 1188px) 100vw, 1188px\" /></a></p>\n<p>Now we are able to add the French translation for our plugin text. To do so, click on the &#8216;Extract from sources&#8217; section.</p>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/01/extract-from-sources.png\"><img class=\"size-full wp-image-498000 aligncenter\" src=\"https://updraftplus.com/wp-content/uploads/2020/01/extract-from-sources.png\" alt=\"\" width=\"986\" height=\"487\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/01/extract-from-sources.png 986w, https://updraftplus.com/wp-content/uploads/2020/01/extract-from-sources-300x148.png 300w, https://updraftplus.com/wp-content/uploads/2020/01/extract-from-sources-768x379.png 768w, https://updraftplus.com/wp-content/uploads/2020/01/extract-from-sources-510x252.png 510w\" sizes=\"(max-width: 986px) 100vw, 986px\" /></a></p>\n<p>This will open a catalog properties popup. We now need to configure the three following tabs: Translation Properties, Source Paths and Source Keywords. In the Translation Properties tab, add our domain &#8216;udp&#8217; as the project name. Source Paths will be our plugin folder and we will add ‘__ and _e’ inside Source Keywords.</p>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/01/translation-properties.png\"><img class=\"size-full wp-image-498001 aligncenter\" src=\"https://updraftplus.com/wp-content/uploads/2020/01/translation-properties.png\" alt=\"\" width=\"605\" height=\"565\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/01/translation-properties.png 605w, https://updraftplus.com/wp-content/uploads/2020/01/translation-properties-300x280.png 300w, https://updraftplus.com/wp-content/uploads/2020/01/translation-properties-510x476.png 510w\" sizes=\"(max-width: 605px) 100vw, 605px\" /></a></p>\n<p>If you have multiple folders inside the plugin, then we will need to choose each directory individually.</p>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/01/source-path.png\"><img class=\"size-full wp-image-498002 aligncenter\" src=\"https://updraftplus.com/wp-content/uploads/2020/01/source-path.png\" alt=\"\" width=\"605\" height=\"567\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/01/source-path.png 605w, https://updraftplus.com/wp-content/uploads/2020/01/source-path-300x281.png 300w, https://updraftplus.com/wp-content/uploads/2020/01/source-path-510x478.png 510w\" sizes=\"(max-width: 605px) 100vw, 605px\" /></a></p>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/01/source-path-1.png\"><img class=\"size-full wp-image-498003 aligncenter\" src=\"https://updraftplus.com/wp-content/uploads/2020/01/source-path-1.png\" alt=\"\" width=\"941\" height=\"596\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/01/source-path-1.png 941w, https://updraftplus.com/wp-content/uploads/2020/01/source-path-1-300x190.png 300w, https://updraftplus.com/wp-content/uploads/2020/01/source-path-1-768x486.png 768w, https://updraftplus.com/wp-content/uploads/2020/01/source-path-1-510x323.png 510w\" sizes=\"(max-width: 941px) 100vw, 941px\" /></a></p>\n<p>After selecting the plugin folder you should see &#8216;.&#8217; in the Paths section. Repeat the same process for other folders inside your plugin directory if necessary.</p>\n<p>Under the Source Keywords, click on the + icon and add &#8216;__&#8217; and ‘_e’ as a keyword and click the OK button.</p>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/01/source-keywords.png\"><img class=\"size-full wp-image-498005 aligncenter\" src=\"https://updraftplus.com/wp-content/uploads/2020/01/source-keywords.png\" alt=\"\" width=\"611\" height=\"579\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/01/source-keywords.png 611w, https://updraftplus.com/wp-content/uploads/2020/01/source-keywords-300x284.png 300w, https://updraftplus.com/wp-content/uploads/2020/01/source-keywords-510x483.png 510w\" sizes=\"(max-width: 611px) 100vw, 611px\" /></a></p>\n<p>In the next window, under Source text, you will have all strings available to translate from your plugin. Choose the string one by one and add your French translation to the string.</p>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/01/translation.png\"><img class=\"size-full wp-image-498006 aligncenter\" src=\"https://updraftplus.com/wp-content/uploads/2020/01/translation.png\" alt=\"\" width=\"550\" height=\"696\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/01/translation.png 550w, https://updraftplus.com/wp-content/uploads/2020/01/translation-237x300.png 237w, https://updraftplus.com/wp-content/uploads/2020/01/translation-510x645.png 510w\" sizes=\"(max-width: 550px) 100vw, 550px\" /></a></p>\n<p>Once you add all translations, click on the Save icon. This will automatically save all your string translation in your <code>udp-ft_FR.po</code> file. Your .po file will now contain the following code:</p>\n<pre style=\"background: #efefef;\">#: udp.php:24 udp.php:25\nmsgid \"UDP Setting Page\"\nmsgstr \"Page de configuration UDP\"\n\n#: udp.php:37\nmsgid \"My Plugin Title\"\nmsgstr \"Titre de mon plugin\"</pre>\n<h3>Test Our Plugin Translation</h3>\n<p>We have now completed the task of creating .po and .mo files for our plugin. Now it&#8217;s time to test our plugin and check the French language translation.</p>\n<p>First, download our language file from the following address:</p>\n<p><a href=\"https://i18n.svn.wordpress.org\" target=\"_blank\" rel=\"nofollow noopener noreferrer\">WordPress Language repository</a>.</p>\n<p>For the French language, the path is as follows:</p>\n<p><a href=\"https://i18n.svn.wordpress.org/fr_FR/\" rel=\"nofollow noopener noreferrer\">French WordPress Language repository</a>.<i><br />\n</i><code>fr_FR.mo</code> and <code>fr_FR.po</code></p>\n<p>Download files from this link and store it in the <i>wp-content/languages</i> directory. Create the &#8216;languages&#8217; folder, if it does not already exist.</p>\n<p>Next, we need to change the default language of our WordPress installation. Open the <code>wp-config.php</code> file and add the language as follows:</p>\n<pre style=\"background: #efefef;\">define(\'WPLANG\', \'fr_FR\');</pre>\n<p>Now if you go to the dashboard, your plugin should be displaying in the French language.</p>\n<p><a href=\"https://updraftplus.com/wp-content/uploads/2020/01/final.png\"><img class=\"size-full wp-image-498007 aligncenter\" src=\"https://updraftplus.com/wp-content/uploads/2020/01/final.png\" alt=\"\" width=\"865\" height=\"255\" srcset=\"https://updraftplus.com/wp-content/uploads/2020/01/final.png 865w, https://updraftplus.com/wp-content/uploads/2020/01/final-300x88.png 300w, https://updraftplus.com/wp-content/uploads/2020/01/final-768x226.png 768w, https://updraftplus.com/wp-content/uploads/2020/01/final-510x150.png 510w\" sizes=\"(max-width: 865px) 100vw, 865px\" /></a></p>\n<p><strong>In conclusion</strong></p>\n<p>Creating a localized translation for your WordPress plugin can seem a little daunting and complicated at first. However the potential benefits of offering large non English speaking countries like Brazil, France and Germany your plugin in their native language can help open your plugin up to a whole new, appreciate audience. While it may seem like a lot of work, the rewards could be considerable.</p>\n<p>The post <a rel=\"nofollow\" href=\"https://updraftplus.com/how-to-localize-and-translate-a-wordpress-plugin-an-in-depth-guide-for-plugin-developers/\">How to localize and translate a WordPress plugin &#8211; an in depth guide for plugin developers</a> appeared first on <a rel=\"nofollow\" href=\"https://updraftplus.com\">UpdraftPlus</a>. <a href=\"http://updraftplus.com\">UpdraftPlus - Backup, restore and migration plugin for WordPress.</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:42:\"http://rssnamespace.org/feedburner/ext/1.0\";a:1:{s:8:\"origLink\";a:1:{i:0;a:5:{s:4:\"data\";s:113:\"https://updraftplus.com/how-to-localize-and-translate-a-wordpress-plugin-an-in-depth-guide-for-plugin-developers/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:60:\"\n		\n		\n				\n		\n				\n		\n		\n		\n		\n\n		\n				\n								\n										\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"5 ways you can set up a profitable side hustle using WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"http://feedproxy.google.com/~r/UpdraftPlus/~3/kzSsUC0hYcA/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 10 Jan 2020 15:33:36 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:20:\"Other WordPress news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:12:\"dropshipping\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:12:\"entrepreneur\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"side hustle\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:9:\"wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"https://updraftplus.com/?p=491977\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:804:\"<p>With the stresses and demands of modern life, most working-aged people are perfectly happy to sustain and manage just one full-time job and while there isn’t anything inherently wrong with having just one arrow in your professional quiver, it can &#8230; <a href=\"https://updraftplus.com/5-ways-you-can-set-up-a-profitable-side-hustle-using-wordpress/\">Continue reading <span class=\"meta-nav\">&#8594;</span></a></p>\n<p>The post <a rel=\"nofollow\" href=\"https://updraftplus.com/5-ways-you-can-set-up-a-profitable-side-hustle-using-wordpress/\">5 ways you can set up a profitable side hustle using WordPress</a> appeared first on <a rel=\"nofollow\" href=\"https://updraftplus.com\">UpdraftPlus</a>. <a href=\"http://updraftplus.com\">UpdraftPlus - Backup, restore and migration plugin for WordPress.</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Wayne Mullins\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:8763:\"<p><span style=\"font-weight: 400;\">With the stresses and demands of modern life, most working-aged people are perfectly happy to sustain and manage just one full-time job and while there isn’t anything inherently wrong with having just one arrow in your professional quiver, it can leave you open to being at the whims of the unexpected. What would happen if your best-laid plans went awry? One moment you’re gainfully employed, the next the company you work for has gone bankrupt and you’re wondering where it all went wrong, as you try to keep the wolves away from the door and do your best to chart a course back to a full-time income</span></p>\n<p><span style=\"font-weight: 400;\">There’s also the prospect of creative stagnation. Even if you enjoy and excel at what you do to an extent that you don’t need to worry about being fired or made redundant, do you really want to do the same thing over and over again for years to come? A lack of variety and new challenges can eventually sour you on something that you originally loved, and leave you feeling unfulfilled in your working life.</span></p>\n<p><span style=\"font-weight: 400;\">Enter the </span><a href=\"https://www.entrepreneur.com/article/293954\"><span style=\"font-weight: 400;\">side hustle</span></a><span style=\"font-weight: 400;\">. Thanks to the internet, more and more people are now making their hobbies, interests and innovative business ideas pay off. By setting up a business  in your free time, it is possible to pick up some extra cash and alleviate the daily grind. This may sound like a lot of work and effort, but by using WordPress as your primary platform, it doesn’t need to be. Here’s how you can WordPress to get moving in the right direction:</span></p>\n<h2><span style=\"font-weight: 400;\">1. Join WPMRR.com</span></h2>\n<p><span style=\"font-weight: 400;\">If you are a WordPress pro and want to join a vibrant, busy team, the head on over to </span><span style=\"font-weight: 400;\"><a href=\"https://wpmrr.com\">wpmrr.com</a> where you can learn how to implement, sell and execute website care plans. This side hustle has the benefit of providing revenue every month that you can continually grow by building your client list. </span></p>\n<p><span style=\"font-weight: 400;\">By enrolling in their WordPress management scheme, you will also get access to a member only Facebook group, direct access to the team at <a href=\"https://wpbuffs.com/\">WP Buffs</a>, lifetime access to all course updates and 1-on-1 coaching.</span></p>\n<h2><span style=\"font-weight: 400;\">2. Create your own inexpensive website</span></h2>\n<p><span style=\"font-weight: 400;\">In many cases (perhaps most), if you are setting up a side hustle, you will not have huge sums of money with which to hire professional web designers to build the site. Simply finding the time to work on your new site can be challenging enough with all the existing commitments most people can have. It can be easy to either spend lots or create debts of many thousands when attempting to launch a dream project, but with up to </span><a href=\"https://www.inc.com/bill-carmody/why-96-of-businesses-fail-within-10-years.html\"><span style=\"font-weight: 400;\">96% of businesses</span></a><span style=\"font-weight: 400;\"> failing within 10 years, it is worth cutting your cloth appropriately.   </span></p>\n<p><span style=\"font-weight: 400;\">As </span><a href=\"https://www.wpbeginner.com/beginners-guide/why-is-wordpress-free-what-are-the-costs-what-is-the-catch/\"><span style=\"font-weight: 400;\">WordPress is a free platform</span></a><span style=\"font-weight: 400;\">, you can keep the costs to a minimum by only paying for the hosting and any paid plugins or themes you deem necessary. Where many other easy site-builders are free initially, they eventually start charging a monthly fee. With WordPress you don’t need to worry about unexpected costs. </span></p>\n<h2><span style=\"font-weight: 400;\">3. It’s a great base for dropshipping</span></h2>\n<p><span style=\"font-weight: 400;\">Although it has been around for a while, dropshipping is an incredibly popular (and thus very competitive) side hustle. This type of side business is still a viable option for entrepreneurs &#8211; holding a place </span><a href=\"https://www.shopify.com/blog/side-hustle\"><span style=\"font-weight: 400;\">among the best side hustle ideas</span></a><span style=\"font-weight: 400;\">. The idea is a very straightforward one: instead of creating or buying products, stocking them, selling them and shipping them out (or making them available for collection), you list items from third-party suppliers and let them handle any resulting sales.</span></p>\n<p><span style=\"font-weight: 400;\">Where does your profit come from you may ask? It comes from the markup you place on those products. You find something sold at a particular price and then list it on your site at an increased price. You can think of the price increase as either a curation charge  or maybe a finder’s fee. WordPress is a great platform for setting up a dropshipping site. Just set up the free </span><a href=\"https://woocommerce.com/\"><span style=\"font-weight: 400;\">WooCommerce</span></a><span style=\"font-weight: 400;\"> plugin, then connect it to one or more of various dropshipping services (</span><a href=\"https://themeisle.com/blog/dropship-with-wordpress/\"><span style=\"font-weight: 400;\">read more about them here</span></a><span style=\"font-weight: 400;\">).</span></p>\n<h2><span style=\"font-weight: 400;\">4. </span><span style=\"font-weight: 400;\">Always keeping mobile in mind</span></h2>\n<p><span style=\"font-weight: 400;\">For quite some time now, default WordPress themes have looked and worked excellently on mobile devices, with the breadth of free themes available online providing website owners with nearly-boundless options. This is vitally important when you’re trying to establish a website based business, as mobile customers made up </span><a href=\"https://www.perficientdigital.com/insights/our-research/mobile-vs-desktop-usage-study\"><span style=\"font-weight: 400;\">58% of all</span></a><span style=\"font-weight: 400;\"> website site visits in 2018.</span></p>\n<p><span style=\"font-weight: 400;\">Couple this with the massive selection of </span><a href=\"https://colorlib.com/wp/wordpress-monetizing-plugins/\"><span style=\"font-weight: 400;\">monetization plugins for WordPress</span></a><span style=\"font-weight: 400;\"> that go beyond just dropshipping (selling digital resources, accepting gifts and donations, book consultations, etc.); you have all the necessary ingredients for reaching and profiting from a potentially huge audience. Given that there are still numerous websites that look decidedly clunky on smartphones, this isn’t something to be taken lightly.</span></p>\n<h2><span style=\"font-weight: 400;\">5. A supportive community</span></h2>\n<p><span style=\"font-weight: 400;\">Starting </span><i><span style=\"font-weight: 400;\">completely </span></i><span style=\"font-weight: 400;\">from scratch isn’t the easiest way to go when building a side hustle business. Taking your destiny into your own hands and starting a project that’s wholly your own may sound romantic, but it isn’t practical. There are so many things that can go wrong during the startup process that you can easily fail before you have even got going if you are not careful.</span></p>\n<p><span style=\"font-weight: 400;\">Due to the general difficulties involved in launching a new side hustle, it is always a good idea to seek out an entrepreneurial community that can help you get through the tough times. WordPress has a vast and helpful community of entrepreneurial types </span><a href=\"https://www.listwp.com/top-wordpress-communities/\"><span style=\"font-weight: 400;\">spread throughout the world</span></a><span style=\"font-weight: 400;\">. If you make an effort to be part of it, you’ll find that there’s a huge amount of great advice on offer for free, covering both website development issues </span><i><span style=\"font-weight: 400;\">and </span></i><span style=\"font-weight: 400;\">general entrepreneurial roadblocks.</span></p>\n<p><b>A WordPress site will save you money, neatly support the powerful dropshipping model, allow you to experiment safely and freely, give you access to a huge supportive community and work perfectly on mobile devices. </b></p>\n<p>The post <a rel=\"nofollow\" href=\"https://updraftplus.com/5-ways-you-can-set-up-a-profitable-side-hustle-using-wordpress/\">5 ways you can set up a profitable side hustle using WordPress</a> appeared first on <a rel=\"nofollow\" href=\"https://updraftplus.com\">UpdraftPlus</a>. <a href=\"http://updraftplus.com\">UpdraftPlus - Backup, restore and migration plugin for WordPress.</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:42:\"http://rssnamespace.org/feedburner/ext/1.0\";a:1:{s:8:\"origLink\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"https://updraftplus.com/5-ways-you-can-set-up-a-profitable-side-hustle-using-wordpress/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"\n	hourly	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"\n	1	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:2:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";s:4:\"href\";s:39:\"http://feeds.feedburner.com/UpdraftPlus\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:2:{s:3:\"rel\";s:3:\"hub\";s:4:\"href\";s:32:\"http://pubsubhubbub.appspot.com/\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:42:\"http://rssnamespace.org/feedburner/ext/1.0\";a:1:{s:4:\"info\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:3:\"uri\";s:11:\"updraftplus\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:11:{s:12:\"content-type\";s:23:\"text/xml; charset=UTF-8\";s:4:\"etag\";s:27:\"HSn2d9PIQerVx2y7xzfZwVo6eZU\";s:13:\"last-modified\";s:29:\"Tue, 14 Apr 2020 23:06:24 GMT\";s:16:\"content-encoding\";s:4:\"gzip\";s:4:\"date\";s:29:\"Tue, 14 Apr 2020 23:33:35 GMT\";s:7:\"expires\";s:29:\"Tue, 14 Apr 2020 23:33:35 GMT\";s:13:\"cache-control\";s:18:\"private, max-age=0\";s:22:\"x-content-type-options\";s:7:\"nosniff\";s:16:\"x-xss-protection\";s:13:\"1; mode=block\";s:6:\"server\";s:3:\"GSE\";s:7:\"alt-svc\";s:196:\"quic=\":443\"; ma=2592000; v=\"46,43\",h3-Q050=\":443\"; ma=2592000,h3-Q049=\":443\"; ma=2592000,h3-Q048=\":443\"; ma=2592000,h3-Q046=\":443\"; ma=2592000,h3-Q043=\":443\"; ma=2592000,h3-T050=\":443\"; ma=2592000\";}}s:5:\"build\";s:14:\"20150516211916\";}", "no");
INSERT INTO `wp_options` VALUES("160623", "_transient_timeout_feed_mod_e0061ca2fa5b884e483872aa34d3e7eb", "1586950415", "no");
INSERT INTO `wp_options` VALUES("160624", "_transient_feed_mod_e0061ca2fa5b884e483872aa34d3e7eb", "1586907215", "no");
INSERT INTO `wp_options` VALUES("160625", "_transient_timeout_updraftplus_dashboard_news", "1586950415", "no");
INSERT INTO `wp_options` VALUES("160626", "_transient_updraftplus_dashboard_news", "<div class=\"rss-widget\"><ul><li class=\"updraftplus_dashboard_news_item\"><a class=\'rsswidget\' href=\'http://feedproxy.google.com/~r/UpdraftPlus/~3/i9RYhj9bdZI/\'>UpdraftPlus: How has your business and WordPress site been affected by the Covid-19 crisis?</a><a href=\"https://buckspizza.com/wp-admin/\" class=\"dashicons dashicons-no-alt\" title=\"Dismiss all UpdraftPlus news\" onClick=\"updraftplus_dismiss_dashboard_news(); return false;\" style=\"float: right; box-shadow: none;\"></li></a><li class=\"updraftplus_dashboard_news_item\"><a class=\'rsswidget\' href=\'http://feedproxy.google.com/~r/UpdraftPlus/~3/PE4nuL42HaU/\'>UpdraftPlus: Top 5 tips to keep active and healthy during lock-down</a><a href=\"https://buckspizza.com/wp-admin/\" class=\"dashicons dashicons-no-alt\" title=\"Dismiss all UpdraftPlus news\" onClick=\"updraftplus_dismiss_dashboard_news(); return false;\" style=\"float: right; box-shadow: none;\"></li></a></ul></div>", "no");
INSERT INTO `wp_options` VALUES("160627", "_transient_timeout_dash_v2_88ae138922fe95674369b1cb3d215a2b", "1586950415", "no");
INSERT INTO `wp_options` VALUES("160628", "_transient_dash_v2_88ae138922fe95674369b1cb3d215a2b", "<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2020/04/people-of-wordpress-mario-peshev/\'>People of WordPress: Mario Peshev</a></li></ul></div><div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wptavern.com/block-a-saurus-embeds-a-side-scrolling-t-rex-game-via-the-block-editor?utm_source=rss&#038;utm_medium=rss&#038;utm_campaign=block-a-saurus-embeds-a-side-scrolling-t-rex-game-via-the-block-editor\'>WPTavern: Block-a-saurus Embeds a Side-Scrolling T-Rex Game via the Block Editor</a></li><li><a class=\'rsswidget\' href=\'https://wptavern.com/the-road-ahead-whats-in-store-for-wordpress-for-the-rest-of-2020?utm_source=rss&#038;utm_medium=rss&#038;utm_campaign=the-road-ahead-whats-in-store-for-wordpress-for-the-rest-of-2020\'>WPTavern: The Road Ahead: What’s in Store for WordPress for the Rest of 2020?</a></li><li><a class=\'rsswidget\' href=\'https://wptavern.com/open-call-for-wordpress-5-5-tickets-whats-on-your-wish-list?utm_source=rss&#038;utm_medium=rss&#038;utm_campaign=open-call-for-wordpress-5-5-tickets-whats-on-your-wish-list\'>WPTavern: Open Call for WordPress 5.5 Tickets: What’s on Your Wish List?</a></li></ul></div>", "no");

/* INSERT TABLE DATA: wp_postmeta */
INSERT INTO `wp_postmeta` VALUES("9", "6", "_wp_attached_file", "2015/06/bucks-pizza-logo.png");
INSERT INTO `wp_postmeta` VALUES("10", "6", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:447;s:6:\"height\";i:269;s:4:\"file\";s:28:\"2015/06/bucks-pizza-logo.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:28:\"bucks-pizza-logo-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:28:\"bucks-pizza-logo-250x150.png\";s:5:\"width\";i:250;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:27:\"bucks-pizza-logo-120x72.png\";s:5:\"width\";i:120;s:6:\"height\";i:72;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:28:\"bucks-pizza-logo-447x200.png\";s:5:\"width\";i:447;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("11", "6", "_edit_lock", "1433338840:1");
INSERT INTO `wp_postmeta` VALUES("12", "7", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("13", "7", "_edit_lock", "1556657324:2");
INSERT INTO `wp_postmeta` VALUES("14", "7", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("26", "11", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("27", "11", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("28", "11", "_edit_lock", "1586888728:1");
INSERT INTO `wp_postmeta` VALUES("29", "13", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("30", "13", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("31", "13", "_edit_lock", "1501513319:1");
INSERT INTO `wp_postmeta` VALUES("32", "15", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("33", "15", "_edit_lock", "1501603581:1");
INSERT INTO `wp_postmeta` VALUES("34", "15", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("35", "17", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("36", "17", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("37", "17", "_edit_lock", "1501516507:1");
INSERT INTO `wp_postmeta` VALUES("38", "19", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("39", "19", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("40", "19", "_menu_item_object_id", "17");
INSERT INTO `wp_postmeta` VALUES("41", "19", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("42", "19", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("43", "19", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("44", "19", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("45", "19", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("47", "20", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("48", "20", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("49", "20", "_menu_item_object_id", "15");
INSERT INTO `wp_postmeta` VALUES("50", "20", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("51", "20", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("52", "20", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("53", "20", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("54", "20", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("56", "21", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("57", "21", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("58", "21", "_menu_item_object_id", "13");
INSERT INTO `wp_postmeta` VALUES("59", "21", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("60", "21", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("61", "21", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("62", "21", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("63", "21", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("65", "22", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("66", "22", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("67", "22", "_menu_item_object_id", "11");
INSERT INTO `wp_postmeta` VALUES("68", "22", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("69", "22", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("70", "22", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("71", "22", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("72", "22", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("74", "23", "_wp_attached_file", "2015/06/order-now.gif");
INSERT INTO `wp_postmeta` VALUES("75", "23", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:619;s:6:\"height\";i:110;s:4:\"file\";s:21:\"2015/06/order-now.gif\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:21:\"order-now-150x110.gif\";s:5:\"width\";i:150;s:6:\"height\";i:110;s:9:\"mime-type\";s:9:\"image/gif\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("76", "23", "_edit_lock", "1433340289:1");
INSERT INTO `wp_postmeta` VALUES("80", "25", "_wp_attached_file", "2015/06/hungry.png");
INSERT INTO `wp_postmeta` VALUES("81", "25", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:309;s:6:\"height\";i:50;s:4:\"file\";s:18:\"2015/06/hungry.png\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:17:\"hungry-150x50.png\";s:5:\"width\";i:150;s:6:\"height\";i:50;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:17:\"hungry-250x40.png\";s:5:\"width\";i:250;s:6:\"height\";i:40;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:17:\"hungry-120x19.png\";s:5:\"width\";i:120;s:6:\"height\";i:19;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("82", "26", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("83", "26", "_edit_lock", "1559012954:2");
INSERT INTO `wp_postmeta` VALUES("84", "26", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("85", "30", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("86", "30", "_edit_lock", "1466184473:1");
INSERT INTO `wp_postmeta` VALUES("87", "30", "_wp_page_template", "page-order.php");
INSERT INTO `wp_postmeta` VALUES("88", "32", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("89", "32", "_wp_page_template", "page-order.php");
INSERT INTO `wp_postmeta` VALUES("90", "32", "_edit_lock", "1525962793:2");
INSERT INTO `wp_postmeta` VALUES("95", "36", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("96", "36", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("97", "36", "_edit_lock", "1556656499:2");
INSERT INTO `wp_postmeta` VALUES("101", "40", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("102", "40", "_wp_page_template", "page-order.php");
INSERT INTO `wp_postmeta` VALUES("103", "40", "_edit_lock", "1556657119:2");
INSERT INTO `wp_postmeta` VALUES("107", "44", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("108", "44", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("109", "44", "_edit_lock", "1538957437:1");
INSERT INTO `wp_postmeta` VALUES("110", "46", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("111", "46", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("112", "46", "_edit_lock", "1538957474:1");
INSERT INTO `wp_postmeta` VALUES("113", "48", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("114", "48", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("115", "48", "_edit_lock", "1538957504:1");
INSERT INTO `wp_postmeta` VALUES("116", "50", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("117", "50", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("118", "50", "_edit_lock", "1538957261:1");
INSERT INTO `wp_postmeta` VALUES("119", "52", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("120", "52", "_wp_page_template", "page-order.php");
INSERT INTO `wp_postmeta` VALUES("121", "52", "_edit_lock", "1586887054:1");
INSERT INTO `wp_postmeta` VALUES("122", "54", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("123", "54", "_wp_page_template", "page-order.php");
INSERT INTO `wp_postmeta` VALUES("124", "54", "_edit_lock", "1586887027:1");
INSERT INTO `wp_postmeta` VALUES("125", "56", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("126", "56", "_wp_page_template", "page-order.php");
INSERT INTO `wp_postmeta` VALUES("127", "56", "_edit_lock", "1556656955:2");
INSERT INTO `wp_postmeta` VALUES("128", "58", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("129", "58", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("130", "58", "_edit_lock", "1458680558:1");
INSERT INTO `wp_postmeta` VALUES("131", "60", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("132", "60", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("133", "60", "_edit_lock", "1538958818:1");
INSERT INTO `wp_postmeta` VALUES("134", "62", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("135", "62", "_wp_page_template", "page-noorder.php");
INSERT INTO `wp_postmeta` VALUES("136", "62", "_edit_lock", "1559741432:2");
INSERT INTO `wp_postmeta` VALUES("137", "64", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("138", "64", "_wp_page_template", "page-order.php");
INSERT INTO `wp_postmeta` VALUES("139", "64", "_edit_lock", "1556657195:2");
INSERT INTO `wp_postmeta` VALUES("143", "68", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("144", "68", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("145", "68", "_edit_lock", "1538958995:1");
INSERT INTO `wp_postmeta` VALUES("146", "70", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("147", "70", "_wp_page_template", "page-order.php");
INSERT INTO `wp_postmeta` VALUES("148", "70", "_edit_lock", "1586887301:1");
INSERT INTO `wp_postmeta` VALUES("149", "72", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("150", "72", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("151", "72", "_edit_lock", "1496242622:1");
INSERT INTO `wp_postmeta` VALUES("152", "74", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("153", "74", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("154", "74", "_edit_lock", "1538959163:1");
INSERT INTO `wp_postmeta` VALUES("155", "76", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("156", "76", "_wp_page_template", "page-order.php");
INSERT INTO `wp_postmeta` VALUES("157", "76", "_edit_lock", "1556657444:2");
INSERT INTO `wp_postmeta` VALUES("158", "78", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("159", "78", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("160", "78", "_edit_lock", "1540830522:2");
INSERT INTO `wp_postmeta` VALUES("161", "80", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("162", "80", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("163", "80", "_edit_lock", "1538959616:1");
INSERT INTO `wp_postmeta` VALUES("164", "82", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("165", "82", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("166", "82", "_edit_lock", "1458680564:1");
INSERT INTO `wp_postmeta` VALUES("167", "140", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("168", "140", "_edit_lock", "1571848710:1");
INSERT INTO `wp_postmeta` VALUES("169", "140", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("173", "144", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("174", "144", "_edit_lock", "1501524635:1");
INSERT INTO `wp_postmeta` VALUES("175", "144", "_wp_page_template", "page-noorder.php");
INSERT INTO `wp_postmeta` VALUES("176", "146", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("177", "146", "_wp_page_template", "page-noorder.php");
INSERT INTO `wp_postmeta` VALUES("178", "146", "_edit_lock", "1501524819:1");
INSERT INTO `wp_postmeta` VALUES("197", "161", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("198", "161", "_edit_lock", "1501594705:1");
INSERT INTO `wp_postmeta` VALUES("199", "161", "_wp_page_template", "page-noorder.php");
INSERT INTO `wp_postmeta` VALUES("206", "167", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("207", "167", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("208", "167", "_edit_lock", "1501600719:1");
INSERT INTO `wp_postmeta` VALUES("218", "175", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("219", "175", "_wp_page_template", "page-noorder.php");
INSERT INTO `wp_postmeta` VALUES("220", "175", "_edit_lock", "1501601888:1");
INSERT INTO `wp_postmeta` VALUES("224", "179", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("225", "179", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("226", "179", "_edit_lock", "1501602525:1");
INSERT INTO `wp_postmeta` VALUES("233", "185", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("234", "185", "_wp_page_template", "page-noorder.php");
INSERT INTO `wp_postmeta` VALUES("235", "185", "_edit_lock", "1501603236:1");
INSERT INTO `wp_postmeta` VALUES("236", "187", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("237", "187", "_wp_page_template", "page-noorder.php");
INSERT INTO `wp_postmeta` VALUES("238", "187", "_edit_lock", "1559741469:2");
INSERT INTO `wp_postmeta` VALUES("242", "191", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("243", "191", "_wp_page_template", "page-noorder.php");
INSERT INTO `wp_postmeta` VALUES("244", "191", "_edit_lock", "1501524025:1");
INSERT INTO `wp_postmeta` VALUES("251", "201", "_wp_attached_file", "2015/06/Bucks-Pizza-Alabaster-Alabama.jpg");
INSERT INTO `wp_postmeta` VALUES("252", "201", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:500;s:4:\"file\";s:41:\"2015/06/Bucks-Pizza-Alabaster-Alabama.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:41:\"Bucks-Pizza-Alabaster-Alabama-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:41:\"Bucks-Pizza-Alabaster-Alabama-250x125.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:125;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:41:\"Bucks-Pizza-Alabaster-Alabama-700x350.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:350;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:40:\"Bucks-Pizza-Alabaster-Alabama-120x60.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:60;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:41:\"Bucks-Pizza-Alabaster-Alabama-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("253", "201", "_wp_attachment_image_alt", "Buck\'s Pizza, Alabaster, Alabama");
INSERT INTO `wp_postmeta` VALUES("296", "334", "_menu_item_type", "custom");
INSERT INTO `wp_postmeta` VALUES("297", "334", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("298", "334", "_menu_item_object_id", "334");
INSERT INTO `wp_postmeta` VALUES("299", "334", "_menu_item_object", "custom");
INSERT INTO `wp_postmeta` VALUES("300", "334", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("301", "334", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("302", "334", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("303", "334", "_menu_item_url", "https://secure.microworks.com/Bucks/");
INSERT INTO `wp_postmeta` VALUES("305", "340", "_form", "[text* Name placeholder \"Name\"]\n\n[email* Email placeholder \"Email\"]\n\n[text* Phone placeholder \"Phone\"]\n\n[textarea Questionsorcomments placeholder \"Questions or Comments\"]\n\n[text* Location placeholder \"Location\"]\n\n[submit \"Send »\"]");
INSERT INTO `wp_postmeta` VALUES("306", "340", "_mail", "a:8:{s:7:\"subject\";s:17:\"Main Contact Form\";s:6:\"sender\";s:19:\"josh@buckspizza.com\";s:4:\"body\";s:108:\"From: [Name] <[Email]>\n\nPhone: [Phone]\n\nQuestions or Comments: \n\n[Questionsorcomments]\n\nLocation: [Location]\";s:9:\"recipient\";s:19:\"josh@buckspizza.com\";s:18:\"additional_headers\";s:26:\"Reply-To: [Name] <[Email]>\";s:11:\"attachments\";s:0:\"\";s:8:\"use_html\";b:0;s:13:\"exclude_blank\";b:0;}");
INSERT INTO `wp_postmeta` VALUES("307", "340", "_mail_2", "a:9:{s:6:\"active\";b:0;s:7:\"subject\";s:14:\"[your-subject]\";s:6:\"sender\";s:40:\"Buck\'s Pizza <jlknauff@spartanmedia.com>\";s:4:\"body\";s:113:\"Message Body:\n[your-message]\n\n--\nThis e-mail was sent from a contact form on Buck\'s Pizza (http://buckspizza.com)\";s:9:\"recipient\";s:12:\"[your-email]\";s:18:\"additional_headers\";s:35:\"Reply-To: jlknauff@spartanmedia.com\";s:11:\"attachments\";s:0:\"\";s:8:\"use_html\";b:0;s:13:\"exclude_blank\";b:0;}");
INSERT INTO `wp_postmeta` VALUES("308", "340", "_messages", "a:23:{s:12:\"mail_sent_ok\";s:43:\"Your message was sent successfully. Thanks.\";s:12:\"mail_sent_ng\";s:93:\"Failed to send your message. Please try later or contact the administrator by another method.\";s:16:\"validation_error\";s:74:\"Validation errors occurred. Please confirm the fields and submit it again.\";s:4:\"spam\";s:93:\"Failed to send your message. Please try later or contact the administrator by another method.\";s:12:\"accept_terms\";s:35:\"Please accept the terms to proceed.\";s:16:\"invalid_required\";s:34:\"Please fill in the required field.\";s:16:\"invalid_too_long\";s:23:\"This input is too long.\";s:17:\"invalid_too_short\";s:24:\"This input is too short.\";s:17:\"captcha_not_match\";s:31:\"Your entered code is incorrect.\";s:14:\"invalid_number\";s:28:\"Number format seems invalid.\";s:16:\"number_too_small\";s:25:\"This number is too small.\";s:16:\"number_too_large\";s:25:\"This number is too large.\";s:13:\"invalid_email\";s:28:\"Email address seems invalid.\";s:11:\"invalid_url\";s:18:\"URL seems invalid.\";s:11:\"invalid_tel\";s:31:\"Telephone number seems invalid.\";s:23:\"quiz_answer_not_correct\";s:27:\"Your answer is not correct.\";s:12:\"invalid_date\";s:26:\"Date format seems invalid.\";s:14:\"date_too_early\";s:23:\"This date is too early.\";s:13:\"date_too_late\";s:22:\"This date is too late.\";s:13:\"upload_failed\";s:22:\"Failed to upload file.\";s:24:\"upload_file_type_invalid\";s:30:\"This file type is not allowed.\";s:21:\"upload_file_too_large\";s:23:\"This file is too large.\";s:23:\"upload_failed_php_error\";s:38:\"Failed to upload file. Error occurred.\";}");
INSERT INTO `wp_postmeta` VALUES("309", "340", "_additional_settings", "");
INSERT INTO `wp_postmeta` VALUES("310", "340", "_locale", "en_US");
INSERT INTO `wp_postmeta` VALUES("311", "344", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("312", "344", "_edit_lock", "1539713128:1");
INSERT INTO `wp_postmeta` VALUES("313", "346", "_form", "[text* Name placeholder \"Name\"]\n\n[email* Email placeholder \"Email\"]\n\n[text* Phone placeholder \"Phone\"]\n\n[text* City placeholder \"City\"]\n\n[text* State placeholder \"State\"]\n\n[textarea Questionsorcomments placeholder \"Questions or Comments\"]\n\n[submit \"Send »\"]");
INSERT INTO `wp_postmeta` VALUES("314", "346", "_mail", "a:8:{s:7:\"subject\";s:26:\"Bucks Pizza Franchise Form\";s:6:\"sender\";s:19:\"josh@buckspizza.com\";s:4:\"body\";s:111:\"From: [Name] <[Email]>\n\nPhone: [Phone]\n\nAddress: [City], [State]\n\nQuestions or Comments:\n\n[Questionsorcomments]\";s:9:\"recipient\";s:36:\"campaign6356823@mail.emaximation.com\";s:18:\"additional_headers\";s:26:\"Reply-To: [Name] <[Email]>\";s:11:\"attachments\";s:0:\"\";s:8:\"use_html\";b:0;s:13:\"exclude_blank\";b:0;}");
INSERT INTO `wp_postmeta` VALUES("315", "346", "_mail_2", "a:9:{s:6:\"active\";b:1;s:7:\"subject\";s:26:\"Bucks Pizza Franchise Form\";s:6:\"sender\";s:19:\"josh@buckspizza.com\";s:4:\"body\";s:111:\"From: [Name] <[Email]>\n\nPhone: [Phone]\n\nAddress: [City], [State]\n\nQuestions or Comments:\n\n[Questionsorcomments]\";s:9:\"recipient\";s:19:\"josh@buckspizza.com\";s:18:\"additional_headers\";s:26:\"Reply-To: [Name] <[Email]>\";s:11:\"attachments\";s:0:\"\";s:8:\"use_html\";b:0;s:13:\"exclude_blank\";b:0;}");
INSERT INTO `wp_postmeta` VALUES("316", "346", "_messages", "a:23:{s:12:\"mail_sent_ok\";s:43:\"Your message was sent successfully. Thanks.\";s:12:\"mail_sent_ng\";s:93:\"Failed to send your message. Please try later or contact the administrator by another method.\";s:16:\"validation_error\";s:74:\"Validation errors occurred. Please confirm the fields and submit it again.\";s:4:\"spam\";s:93:\"Failed to send your message. Please try later or contact the administrator by another method.\";s:12:\"accept_terms\";s:35:\"Please accept the terms to proceed.\";s:16:\"invalid_required\";s:34:\"Please fill in the required field.\";s:16:\"invalid_too_long\";s:23:\"This input is too long.\";s:17:\"invalid_too_short\";s:24:\"This input is too short.\";s:17:\"captcha_not_match\";s:31:\"Your entered code is incorrect.\";s:14:\"invalid_number\";s:28:\"Number format seems invalid.\";s:16:\"number_too_small\";s:25:\"This number is too small.\";s:16:\"number_too_large\";s:25:\"This number is too large.\";s:13:\"invalid_email\";s:28:\"Email address seems invalid.\";s:11:\"invalid_url\";s:18:\"URL seems invalid.\";s:11:\"invalid_tel\";s:31:\"Telephone number seems invalid.\";s:23:\"quiz_answer_not_correct\";s:27:\"Your answer is not correct.\";s:12:\"invalid_date\";s:26:\"Date format seems invalid.\";s:14:\"date_too_early\";s:23:\"This date is too early.\";s:13:\"date_too_late\";s:22:\"This date is too late.\";s:13:\"upload_failed\";s:22:\"Failed to upload file.\";s:24:\"upload_file_type_invalid\";s:30:\"This file type is not allowed.\";s:21:\"upload_file_too_large\";s:23:\"This file is too large.\";s:23:\"upload_failed_php_error\";s:38:\"Failed to upload file. Error occurred.\";}");
INSERT INTO `wp_postmeta` VALUES("317", "346", "_additional_settings", "");
INSERT INTO `wp_postmeta` VALUES("318", "346", "_locale", "en_US");
INSERT INTO `wp_postmeta` VALUES("319", "344", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("320", "348", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("321", "348", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("322", "348", "_menu_item_object_id", "344");
INSERT INTO `wp_postmeta` VALUES("323", "348", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("324", "348", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("325", "348", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("326", "348", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("327", "348", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("332", "357", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("333", "357", "_edit_lock", "1571848631:1");
INSERT INTO `wp_postmeta` VALUES("334", "357", "_wp_page_template", "page-noorder.php");
INSERT INTO `wp_postmeta` VALUES("337", "362", "_wp_attached_file", "2015/06/bucks-entrance.jpg");
INSERT INTO `wp_postmeta` VALUES("338", "362", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:700;s:4:\"file\";s:26:\"2015/06/bucks-entrance.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"bucks-entrance-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"bucks-entrance-250x175.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:175;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"bucks-entrance-700x490.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:490;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:25:\"bucks-entrance-120x84.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:84;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:26:\"bucks-entrance-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("339", "364", "_wp_attached_file", "2015/06/bucks-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("340", "364", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:700;s:4:\"file\";s:23:\"2015/06/bucks-pizza.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"bucks-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"bucks-pizza-250x175.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:175;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:23:\"bucks-pizza-700x490.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:490;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:22:\"bucks-pizza-120x84.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:84;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:23:\"bucks-pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("341", "364", "_wp_attachment_image_alt", "Buck\'s Pizza");
INSERT INTO `wp_postmeta` VALUES("342", "362", "_wp_attachment_image_alt", "Buck\'s Pizza");
INSERT INTO `wp_postmeta` VALUES("345", "409", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("346", "409", "_edit_lock", "1501601570:1");
INSERT INTO `wp_postmeta` VALUES("347", "409", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("363", "442", "_wp_attached_file", "2015/10/bucks-header.jpg");
INSERT INTO `wp_postmeta` VALUES("364", "442", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:500;s:4:\"file\";s:24:\"2015/10/bucks-header.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"bucks-header-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"bucks-header-250x98.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:98;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:24:\"bucks-header-700x273.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:273;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:23:\"bucks-header-120x47.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:47;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:24:\"bucks-header-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("365", "443", "_wp_attached_file", "2015/10/menu.jpg");
INSERT INTO `wp_postmeta` VALUES("366", "443", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:340;s:6:\"height\";i:417;s:4:\"file\";s:16:\"2015/10/menu.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:16:\"menu-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:16:\"menu-250x307.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:307;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:16:\"menu-120x147.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:147;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:16:\"menu-340x200.jpg\";s:5:\"width\";i:340;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("367", "444", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("368", "444", "_edit_lock", "1501510390:1");
INSERT INTO `wp_postmeta` VALUES("369", "444", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("374", "452", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("375", "452", "_edit_lock", "1448571085:1");
INSERT INTO `wp_postmeta` VALUES("376", "452", "_yoast_wpseo_metadesc", "Pizza has casually morphed into an all-American symbol, and if you take a look at movies, you can see pizza is an edible but indelible part of pop culture.");
INSERT INTO `wp_postmeta` VALUES("377", "455", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("378", "455", "_edit_lock", "1450300868:1");
INSERT INTO `wp_postmeta` VALUES("379", "455", "_yoast_wpseo_metadesc", "Today\'s changing culinary scene has brought wine into the pizza picture and pairings depend on picking out strong flavor profiles.");
INSERT INTO `wp_postmeta` VALUES("380", "457", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("381", "457", "_edit_lock", "1501862146:1");
INSERT INTO `wp_postmeta` VALUES("382", "457", "_yoast_wpseo_metadesc", "If you\'re traveling to the City of Angels and craving some pizza, you can ask a local or consult the list of our choices for the top spots for 2015.");
INSERT INTO `wp_postmeta` VALUES("383", "459", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("384", "459", "_edit_lock", "1447823320:1");
INSERT INTO `wp_postmeta` VALUES("385", "459", "_yoast_wpseo_metadesc", "Pizza is so popular it might become an afterthought of a meal if it weren\'t for people applying science and ingenuity to create some \"pie-tech\" pizza hacks.");
INSERT INTO `wp_postmeta` VALUES("386", "461", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("387", "461", "_edit_lock", "1447823707:1");
INSERT INTO `wp_postmeta` VALUES("388", "461", "_yoast_wpseo_metadesc", "The perfect family movie night at home may look different for each household, but creating something special doesn\'t have to be expensive or exhausting.");
INSERT INTO `wp_postmeta` VALUES("389", "463", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("390", "463", "_edit_lock", "1450412898:1");
INSERT INTO `wp_postmeta` VALUES("391", "463", "_yoast_wpseo_metadesc", "With some tried and tested seasonal pie recipes, it\'s time Thanksgiving pizza (or post-Thanksgiving pizza) makes it mainstream.");
INSERT INTO `wp_postmeta` VALUES("392", "467", "_wp_attached_file", "2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes.jpg");
INSERT INTO `wp_postmeta` VALUES("393", "467", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:57:\"2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:57:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:57:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:57:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:56:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:57:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("394", "467", "_wp_attachment_image_alt", "Have You Seen These Iconic Pizza Movie Scenes?");
INSERT INTO `wp_postmeta` VALUES("395", "452", "_thumbnail_id", "467");
INSERT INTO `wp_postmeta` VALUES("397", "468", "_wp_attached_file", "2015/10/Wine-Pairing-for-Pizza-Toppings.jpg");
INSERT INTO `wp_postmeta` VALUES("398", "468", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:43:\"2015/10/Wine-Pairing-for-Pizza-Toppings.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:43:\"Wine-Pairing-for-Pizza-Toppings-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:43:\"Wine-Pairing-for-Pizza-Toppings-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:43:\"Wine-Pairing-for-Pizza-Toppings-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:42:\"Wine-Pairing-for-Pizza-Toppings-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:43:\"Wine-Pairing-for-Pizza-Toppings-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("399", "468", "_wp_attachment_image_alt", "Wine Pairing for Pizza Toppings");
INSERT INTO `wp_postmeta` VALUES("400", "455", "_thumbnail_id", "468");
INSERT INTO `wp_postmeta` VALUES("402", "470", "_wp_attached_file", "2015/10/10-Best-Pizza-Places-in-Los-Angeles.jpg");
INSERT INTO `wp_postmeta` VALUES("403", "470", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:47:\"2015/10/10-Best-Pizza-Places-in-Los-Angeles.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:47:\"10-Best-Pizza-Places-in-Los-Angeles-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:47:\"10-Best-Pizza-Places-in-Los-Angeles-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:47:\"10-Best-Pizza-Places-in-Los-Angeles-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:46:\"10-Best-Pizza-Places-in-Los-Angeles-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:47:\"10-Best-Pizza-Places-in-Los-Angeles-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("404", "470", "_wp_attachment_image_alt", "10 Best Pizza Places in Los Angeles");
INSERT INTO `wp_postmeta` VALUES("405", "457", "_thumbnail_id", "470");
INSERT INTO `wp_postmeta` VALUES("407", "472", "_wp_attached_file", "2015/11/7-Genius-Pizza-Hacks.jpg");
INSERT INTO `wp_postmeta` VALUES("408", "472", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:32:\"2015/11/7-Genius-Pizza-Hacks.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:32:\"7-Genius-Pizza-Hacks-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:32:\"7-Genius-Pizza-Hacks-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:32:\"7-Genius-Pizza-Hacks-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:31:\"7-Genius-Pizza-Hacks-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:32:\"7-Genius-Pizza-Hacks-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("409", "472", "_wp_attachment_image_alt", "7 Genius Pizza Hacks");
INSERT INTO `wp_postmeta` VALUES("410", "459", "_thumbnail_id", "472");
INSERT INTO `wp_postmeta` VALUES("412", "474", "_wp_attached_file", "2015/11/How-to-Host-the-Perfect-Family-Movie-Night-at-Home.jpg");
INSERT INTO `wp_postmeta` VALUES("413", "474", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:62:\"2015/11/How-to-Host-the-Perfect-Family-Movie-Night-at-Home.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:62:\"How-to-Host-the-Perfect-Family-Movie-Night-at-Home-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:62:\"How-to-Host-the-Perfect-Family-Movie-Night-at-Home-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:62:\"How-to-Host-the-Perfect-Family-Movie-Night-at-Home-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:61:\"How-to-Host-the-Perfect-Family-Movie-Night-at-Home-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:62:\"How-to-Host-the-Perfect-Family-Movie-Night-at-Home-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("414", "474", "_wp_attachment_image_alt", "How to Host the Perfect Family Movie Night at Home");
INSERT INTO `wp_postmeta` VALUES("415", "461", "_thumbnail_id", "474");
INSERT INTO `wp_postmeta` VALUES("417", "475", "_wp_attached_file", "2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spiderman-2.jpg");
INSERT INTO `wp_postmeta` VALUES("418", "475", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:69:\"2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spiderman-2.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:69:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spiderman-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:69:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spiderman-2-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:69:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spiderman-2-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:68:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spiderman-2-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:69:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spiderman-2-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("419", "475", "_wp_attachment_image_alt", "Have You Seen These Iconic Pizza Movie Scenes-Spiderman 2");
INSERT INTO `wp_postmeta` VALUES("420", "477", "_wp_attached_file", "2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Teenage-Mutant-Ninja-Turtles.jpg");
INSERT INTO `wp_postmeta` VALUES("421", "477", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:86:\"2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Teenage-Mutant-Ninja-Turtles.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:86:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Teenage-Mutant-Ninja-Turtles-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:86:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Teenage-Mutant-Ninja-Turtles-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:86:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Teenage-Mutant-Ninja-Turtles-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:85:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Teenage-Mutant-Ninja-Turtles-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:86:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Teenage-Mutant-Ninja-Turtles-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("422", "477", "_wp_attachment_image_alt", "Have You Seen These Iconic Pizza Movie Scenes-Teenage Mutant Ninja Turtles");
INSERT INTO `wp_postmeta` VALUES("423", "478", "_wp_attached_file", "2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Eat-Pray-Love.jpg");
INSERT INTO `wp_postmeta` VALUES("424", "478", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:71:\"2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Eat-Pray-Love.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:71:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Eat-Pray-Love-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:71:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Eat-Pray-Love-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:71:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Eat-Pray-Love-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:70:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Eat-Pray-Love-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:71:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Eat-Pray-Love-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("425", "478", "_wp_attachment_image_alt", "Have You Seen These Iconic Pizza Movie Scenes-Eat Pray Love");
INSERT INTO `wp_postmeta` VALUES("426", "479", "_wp_attached_file", "2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Do-The-Right-Thing.jpg");
INSERT INTO `wp_postmeta` VALUES("427", "479", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:76:\"2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Do-The-Right-Thing.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:76:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Do-The-Right-Thing-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:76:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Do-The-Right-Thing-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:76:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Do-The-Right-Thing-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:75:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Do-The-Right-Thing-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:76:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Do-The-Right-Thing-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("428", "479", "_wp_attachment_image_alt", "Have You Seen These Iconic Pizza Movie Scenes-Do The Right Thing");
INSERT INTO `wp_postmeta` VALUES("429", "480", "_wp_attached_file", "2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spaceballs.jpg");
INSERT INTO `wp_postmeta` VALUES("430", "480", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:68:\"2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spaceballs.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:68:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spaceballs-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:68:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spaceballs-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:68:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spaceballs-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:67:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spaceballs-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:68:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spaceballs-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("431", "480", "_wp_attachment_image_alt", "Have You Seen These Iconic Pizza Movie Scenes-Spaceballs");
INSERT INTO `wp_postmeta` VALUES("432", "481", "_wp_attached_file", "2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Back-to-the-Future-II.jpg");
INSERT INTO `wp_postmeta` VALUES("433", "481", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:79:\"2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Back-to-the-Future-II.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:79:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Back-to-the-Future-II-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:79:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Back-to-the-Future-II-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:79:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Back-to-the-Future-II-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:78:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Back-to-the-Future-II-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:79:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Back-to-the-Future-II-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("434", "481", "_wp_attachment_image_alt", "Have You Seen These Iconic Pizza Movie Scenes-Back to the Future II");
INSERT INTO `wp_postmeta` VALUES("435", "482", "_wp_attached_file", "2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Saturday-Night-Fever.jpg");
INSERT INTO `wp_postmeta` VALUES("436", "482", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:78:\"2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Saturday-Night-Fever.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:78:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Saturday-Night-Fever-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:78:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Saturday-Night-Fever-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:78:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Saturday-Night-Fever-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:77:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Saturday-Night-Fever-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:78:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Saturday-Night-Fever-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("437", "482", "_wp_attachment_image_alt", "Have You Seen These Iconic Pizza Movie Scenes-Saturday Night Fever");
INSERT INTO `wp_postmeta` VALUES("438", "483", "_wp_attached_file", "2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Fast-Times-At-Ridgemont-High.jpg");
INSERT INTO `wp_postmeta` VALUES("439", "483", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:86:\"2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Fast-Times-At-Ridgemont-High.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:86:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Fast-Times-At-Ridgemont-High-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:86:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Fast-Times-At-Ridgemont-High-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:86:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Fast-Times-At-Ridgemont-High-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:85:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Fast-Times-At-Ridgemont-High-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:86:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Fast-Times-At-Ridgemont-High-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("440", "483", "_wp_attachment_image_alt", "Have You Seen These Iconic Pizza Movie Scenes-Fast Times At Ridgemont High");
INSERT INTO `wp_postmeta` VALUES("441", "484", "_wp_attached_file", "2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Home-Alone.jpg");
INSERT INTO `wp_postmeta` VALUES("442", "484", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:68:\"2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Home-Alone.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:68:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Home-Alone-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:68:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Home-Alone-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:68:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Home-Alone-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:67:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Home-Alone-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:68:\"Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Home-Alone-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("443", "484", "_wp_attachment_image_alt", "Have You Seen These Iconic Pizza Movie Scenes-Home Alone");
INSERT INTO `wp_postmeta` VALUES("445", "486", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("446", "486", "_wp_page_template", "landingpage.php");
INSERT INTO `wp_postmeta` VALUES("447", "486", "_edit_lock", "1501517821:1");
INSERT INTO `wp_postmeta` VALUES("448", "496", "_wp_attached_file", "2015/11/Bucks-side-by-side.png");
INSERT INTO `wp_postmeta` VALUES("449", "496", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:759;s:6:\"height\";i:666;s:4:\"file\";s:30:\"2015/11/Bucks-side-by-side.png\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:30:\"Bucks-side-by-side-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:30:\"Bucks-side-by-side-250x219.png\";s:5:\"width\";i:250;s:6:\"height\";i:219;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:30:\"Bucks-side-by-side-700x614.png\";s:5:\"width\";i:700;s:6:\"height\";i:614;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:30:\"Bucks-side-by-side-120x105.png\";s:5:\"width\";i:120;s:6:\"height\";i:105;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:30:\"Bucks-side-by-side-700x200.png\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("450", "499", "_wp_attached_file", "2015/11/Rockwell-Freedom-from-Want-1943.jpg");
INSERT INTO `wp_postmeta` VALUES("451", "499", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:43:\"2015/11/Rockwell-Freedom-from-Want-1943.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:43:\"Rockwell-Freedom-from-Want-1943-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:43:\"Rockwell-Freedom-from-Want-1943-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:43:\"Rockwell-Freedom-from-Want-1943-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:42:\"Rockwell-Freedom-from-Want-1943-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:43:\"Rockwell-Freedom-from-Want-1943-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("452", "499", "_wp_attachment_image_alt", "Thanksgiving Pizza? Yep, That’s a Thing! Here Are 13 Recipes");
INSERT INTO `wp_postmeta` VALUES("455", "501", "_wp_attached_file", "2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes.jpg");
INSERT INTO `wp_postmeta` VALUES("456", "501", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:68:\"2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:68:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:68:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:68:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:67:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:68:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("457", "501", "_wp_attachment_image_alt", "Thanksgiving Pizza? Yep, That’s a Thing! Here Are 13 Recipes");
INSERT INTO `wp_postmeta` VALUES("458", "463", "_thumbnail_id", "501");
INSERT INTO `wp_postmeta` VALUES("460", "503", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("461", "503", "_edit_lock", "1452376891:1");
INSERT INTO `wp_postmeta` VALUES("462", "503", "_yoast_wpseo_metadesc", "If you\'re traveling to South Florida and crave some pizza, you can ask a local or take a cue from our list of 2015\'s top pizza places in Miami.");
INSERT INTO `wp_postmeta` VALUES("463", "505", "_wp_attached_file", "2015/12/Miamis-10-Best-Pizza-Places.jpg");
INSERT INTO `wp_postmeta` VALUES("464", "505", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:39:\"2015/12/Miamis-10-Best-Pizza-Places.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:39:\"Miamis-10-Best-Pizza-Places-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:39:\"Miamis-10-Best-Pizza-Places-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"Miamis-10-Best-Pizza-Places-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:38:\"Miamis-10-Best-Pizza-Places-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:39:\"Miamis-10-Best-Pizza-Places-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("465", "505", "_wp_attachment_image_alt", "Miami\'s 10 Best Pizza Places");
INSERT INTO `wp_postmeta` VALUES("466", "503", "_thumbnail_id", "505");
INSERT INTO `wp_postmeta` VALUES("468", "506", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("469", "506", "_edit_lock", "1449607742:1");
INSERT INTO `wp_postmeta` VALUES("470", "506", "_yoast_wpseo_metadesc", "As Americans grow more health conscious, pizza has had trouble shaking a reputation as an unhealthy food.");
INSERT INTO `wp_postmeta` VALUES("471", "509", "_wp_attached_file", "2015/12/Pizzas-Surprising-Health-Benefits.jpg");
INSERT INTO `wp_postmeta` VALUES("472", "509", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:45:\"2015/12/Pizzas-Surprising-Health-Benefits.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:45:\"Pizzas-Surprising-Health-Benefits-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:45:\"Pizzas-Surprising-Health-Benefits-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:45:\"Pizzas-Surprising-Health-Benefits-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:44:\"Pizzas-Surprising-Health-Benefits-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:45:\"Pizzas-Surprising-Health-Benefits-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `wp_postmeta` VALUES("473", "509", "_wp_attachment_image_alt", "Pizza\'s Surprising Health Benefits");
INSERT INTO `wp_postmeta` VALUES("474", "506", "_thumbnail_id", "509");
INSERT INTO `wp_postmeta` VALUES("476", "511", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("477", "511", "_edit_lock", "1450306972:1");
INSERT INTO `wp_postmeta` VALUES("478", "512", "_wp_attached_file", "2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas.jpg");
INSERT INTO `wp_postmeta` VALUES("479", "512", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:72:\"2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:72:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:72:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:72:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:72:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:71:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:72:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("480", "512", "_wp_attachment_image_alt", "Save Breakfast with These Mouthwatering Leftover Pizza Ideas");
INSERT INTO `wp_postmeta` VALUES("481", "511", "_thumbnail_id", "512");
INSERT INTO `wp_postmeta` VALUES("482", "511", "_yoast_wpseo_metadesc", "Cold pizza isn\'t the only way to enjoy what\'s left in the box the next morning!");
INSERT INTO `wp_postmeta` VALUES("483", "514", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("484", "514", "_edit_lock", "1585585913:2");
INSERT INTO `wp_postmeta` VALUES("485", "514", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("487", "519", "_wp_attached_file", "2015/10/Wine-Pairing-for-Pizza-Toppings-Classic-Pepperoni-Pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("488", "519", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:67:\"2015/10/Wine-Pairing-for-Pizza-Toppings-Classic-Pepperoni-Pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:67:\"Wine-Pairing-for-Pizza-Toppings-Classic-Pepperoni-Pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:66:\"Wine-Pairing-for-Pizza-Toppings-Classic-Pepperoni-Pizza-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:67:\"Wine-Pairing-for-Pizza-Toppings-Classic-Pepperoni-Pizza-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:67:\"Wine-Pairing-for-Pizza-Toppings-Classic-Pepperoni-Pizza-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:66:\"Wine-Pairing-for-Pizza-Toppings-Classic-Pepperoni-Pizza-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:67:\"Wine-Pairing-for-Pizza-Toppings-Classic-Pepperoni-Pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("489", "519", "_wp_attachment_image_alt", "Wine Pairing for Pizza Toppings-Classic Pepperoni Pizza");
INSERT INTO `wp_postmeta` VALUES("490", "521", "_wp_attached_file", "2015/10/Wine-Pairing-for-Pizza-Toppings-Prosciutto-Pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("491", "521", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:60:\"2015/10/Wine-Pairing-for-Pizza-Toppings-Prosciutto-Pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:60:\"Wine-Pairing-for-Pizza-Toppings-Prosciutto-Pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:59:\"Wine-Pairing-for-Pizza-Toppings-Prosciutto-Pizza-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:60:\"Wine-Pairing-for-Pizza-Toppings-Prosciutto-Pizza-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:60:\"Wine-Pairing-for-Pizza-Toppings-Prosciutto-Pizza-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:59:\"Wine-Pairing-for-Pizza-Toppings-Prosciutto-Pizza-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:60:\"Wine-Pairing-for-Pizza-Toppings-Prosciutto-Pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("492", "521", "_wp_attachment_image_alt", "Wine Pairing for Pizza Toppings-Prosciutto Pizza");
INSERT INTO `wp_postmeta` VALUES("493", "522", "_wp_attached_file", "2015/10/Wine-Pairing-for-Pizza-Toppings-Smoked-Salmon-Pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("494", "522", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:63:\"2015/10/Wine-Pairing-for-Pizza-Toppings-Smoked-Salmon-Pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:63:\"Wine-Pairing-for-Pizza-Toppings-Smoked-Salmon-Pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:62:\"Wine-Pairing-for-Pizza-Toppings-Smoked-Salmon-Pizza-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:63:\"Wine-Pairing-for-Pizza-Toppings-Smoked-Salmon-Pizza-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:63:\"Wine-Pairing-for-Pizza-Toppings-Smoked-Salmon-Pizza-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:62:\"Wine-Pairing-for-Pizza-Toppings-Smoked-Salmon-Pizza-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:63:\"Wine-Pairing-for-Pizza-Toppings-Smoked-Salmon-Pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("495", "522", "_wp_attachment_image_alt", "Wine Pairing for Pizza Toppings-Smoked Salmon Pizza");
INSERT INTO `wp_postmeta` VALUES("496", "523", "_wp_attached_file", "2015/10/Wine-Pairing-for-Pizza-Toppings-Seafood-Pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("497", "523", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:57:\"2015/10/Wine-Pairing-for-Pizza-Toppings-Seafood-Pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:57:\"Wine-Pairing-for-Pizza-Toppings-Seafood-Pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:56:\"Wine-Pairing-for-Pizza-Toppings-Seafood-Pizza-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:57:\"Wine-Pairing-for-Pizza-Toppings-Seafood-Pizza-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:57:\"Wine-Pairing-for-Pizza-Toppings-Seafood-Pizza-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:56:\"Wine-Pairing-for-Pizza-Toppings-Seafood-Pizza-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:57:\"Wine-Pairing-for-Pizza-Toppings-Seafood-Pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("498", "523", "_wp_attachment_image_alt", "Wine Pairing for Pizza Toppings-Seafood Pizza");
INSERT INTO `wp_postmeta` VALUES("499", "524", "_wp_attached_file", "2015/10/Wine-Pairing-for-Pizza-Toppings-Vegetarian-Pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("500", "524", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:60:\"2015/10/Wine-Pairing-for-Pizza-Toppings-Vegetarian-Pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:60:\"Wine-Pairing-for-Pizza-Toppings-Vegetarian-Pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:59:\"Wine-Pairing-for-Pizza-Toppings-Vegetarian-Pizza-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:60:\"Wine-Pairing-for-Pizza-Toppings-Vegetarian-Pizza-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:60:\"Wine-Pairing-for-Pizza-Toppings-Vegetarian-Pizza-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:59:\"Wine-Pairing-for-Pizza-Toppings-Vegetarian-Pizza-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:60:\"Wine-Pairing-for-Pizza-Toppings-Vegetarian-Pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("501", "524", "_wp_attachment_image_alt", "Wine Pairing for Pizza Toppings-Vegetarian-Pizza");
INSERT INTO `wp_postmeta` VALUES("502", "525", "_wp_attached_file", "2015/10/Wine-Pairing-for-Pizza-Toppings-Classic-Barbecued-Chicken-Pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("503", "525", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:75:\"2015/10/Wine-Pairing-for-Pizza-Toppings-Classic-Barbecued-Chicken-Pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:75:\"Wine-Pairing-for-Pizza-Toppings-Classic-Barbecued-Chicken-Pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:74:\"Wine-Pairing-for-Pizza-Toppings-Classic-Barbecued-Chicken-Pizza-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:75:\"Wine-Pairing-for-Pizza-Toppings-Classic-Barbecued-Chicken-Pizza-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:75:\"Wine-Pairing-for-Pizza-Toppings-Classic-Barbecued-Chicken-Pizza-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:74:\"Wine-Pairing-for-Pizza-Toppings-Classic-Barbecued-Chicken-Pizza-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:75:\"Wine-Pairing-for-Pizza-Toppings-Classic-Barbecued-Chicken-Pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("504", "525", "_wp_attachment_image_alt", "Wine Pairing for Pizza Toppings-Barbecued Chicken Pizza");
INSERT INTO `wp_postmeta` VALUES("506", "527", "_wp_attached_file", "2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Waffle.jpg");
INSERT INTO `wp_postmeta` VALUES("507", "527", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:85:\"2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Waffle.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:85:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Waffle-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:84:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Waffle-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:85:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Waffle-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:85:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Waffle-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:84:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Waffle-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:85:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Waffle-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("508", "527", "_wp_attachment_image_alt", "Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Pizza Waffle");
INSERT INTO `wp_postmeta` VALUES("509", "529", "_wp_attached_file", "2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Eggs.jpg");
INSERT INTO `wp_postmeta` VALUES("510", "529", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:83:\"2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Eggs.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:83:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Eggs-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:82:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Eggs-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:83:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Eggs-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:83:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Eggs-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:82:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Eggs-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:83:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Eggs-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("511", "529", "_wp_attachment_image_alt", "Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Pizza Eggs");
INSERT INTO `wp_postmeta` VALUES("512", "530", "_wp_attached_file", "2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Quiche.jpg");
INSERT INTO `wp_postmeta` VALUES("513", "530", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:85:\"2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Quiche.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:85:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Quiche-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:84:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Quiche-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:85:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Quiche-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:85:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Quiche-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:84:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Quiche-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:85:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Quiche-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("514", "530", "_wp_attachment_image_alt", "Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Pizza Quiche");
INSERT INTO `wp_postmeta` VALUES("515", "531", "_wp_attached_file", "2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Breakfast-Casserole.jpg");
INSERT INTO `wp_postmeta` VALUES("516", "531", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:107:\"2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Breakfast-Casserole.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:107:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Breakfast-Casserole-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:106:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Breakfast-Casserole-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:107:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Breakfast-Casserole-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:107:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Breakfast-Casserole-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:106:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Breakfast-Casserole-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:107:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Breakfast-Casserole-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("517", "531", "_wp_attachment_image_alt", "Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Leftover Pizza Breakfast Casserole");
INSERT INTO `wp_postmeta` VALUES("518", "532", "_wp_attached_file", "2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Frittata.jpg");
INSERT INTO `wp_postmeta` VALUES("519", "532", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:96:\"2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Frittata.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:96:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Frittata-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:95:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Frittata-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:96:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Frittata-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:96:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Frittata-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:95:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Frittata-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:96:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Frittata-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("520", "532", "_wp_attachment_image_alt", "Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Leftover Pizza Frittata");
INSERT INTO `wp_postmeta` VALUES("521", "533", "_wp_attached_file", "2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Potato-Cakes.jpg");
INSERT INTO `wp_postmeta` VALUES("522", "533", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:91:\"2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Potato-Cakes.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:91:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Potato-Cakes-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:90:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Potato-Cakes-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:91:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Potato-Cakes-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:91:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Potato-Cakes-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:90:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Potato-Cakes-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:91:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Potato-Cakes-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("523", "533", "_wp_attachment_image_alt", "Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Pizza Potato Cakes");
INSERT INTO `wp_postmeta` VALUES("524", "534", "_wp_attached_file", "2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Omelet.jpg");
INSERT INTO `wp_postmeta` VALUES("525", "534", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:85:\"2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Omelet.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:85:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Omelet-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:84:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Omelet-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:85:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Omelet-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:85:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Omelet-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:84:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Omelet-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:85:\"Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Omelet-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("526", "534", "_wp_attachment_image_alt", "Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Pizza Omelet");
INSERT INTO `wp_postmeta` VALUES("528", "537", "_wp_attached_file", "2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Duff-Goldmans-Thanksgiving-Pizza-Food-Network.jpg");
INSERT INTO `wp_postmeta` VALUES("529", "537", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:114:\"2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Duff-Goldmans-Thanksgiving-Pizza-Food-Network.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:114:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Duff-Goldmans-Thanksgiving-Pizza-Food-Network-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:113:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Duff-Goldmans-Thanksgiving-Pizza-Food-Network-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:114:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Duff-Goldmans-Thanksgiving-Pizza-Food-Network-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:114:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Duff-Goldmans-Thanksgiving-Pizza-Food-Network-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:113:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Duff-Goldmans-Thanksgiving-Pizza-Food-Network-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:114:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Duff-Goldmans-Thanksgiving-Pizza-Food-Network-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("530", "537", "_wp_attachment_image_alt", "Thanksgiving Pizza? Yep That\'s a Thing! Here Are 13 Recipes-Duff Goldman\'s Thanksgiving Pizza-Food Network");
INSERT INTO `wp_postmeta` VALUES("531", "538", "_wp_attached_file", "2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Pizza-Completely-Delicious.jpg");
INSERT INTO `wp_postmeta` VALUES("532", "538", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:118:\"2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Pizza-Completely-Delicious.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:118:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Pizza-Completely-Delicious-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:117:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Pizza-Completely-Delicious-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:118:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Pizza-Completely-Delicious-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:118:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Pizza-Completely-Delicious-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:117:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Pizza-Completely-Delicious-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:118:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Pizza-Completely-Delicious-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("533", "538", "_wp_attachment_image_alt", "Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-Thanksgiving Leftovers Pizza-Completely Delicious");
INSERT INTO `wp_postmeta` VALUES("534", "539", "_wp_attached_file", "2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Flatzza-Pizza-Angelic-Steakhouse.jpg");
INSERT INTO `wp_postmeta` VALUES("535", "539", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:124:\"2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Flatzza-Pizza-Angelic-Steakhouse.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:124:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Flatzza-Pizza-Angelic-Steakhouse-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:123:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Flatzza-Pizza-Angelic-Steakhouse-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:124:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Flatzza-Pizza-Angelic-Steakhouse-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:124:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Flatzza-Pizza-Angelic-Steakhouse-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:123:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Flatzza-Pizza-Angelic-Steakhouse-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:124:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Flatzza-Pizza-Angelic-Steakhouse-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("536", "539", "_wp_attachment_image_alt", "Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-Thanksgiving Leftovers Flatzza Pizza-Angelic Steakhouse");
INSERT INTO `wp_postmeta` VALUES("537", "540", "_wp_attached_file", "2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftover-Pizza-Jelly-Toast.jpg");
INSERT INTO `wp_postmeta` VALUES("538", "540", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:108:\"2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftover-Pizza-Jelly-Toast.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:108:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftover-Pizza-Jelly-Toast-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:107:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftover-Pizza-Jelly-Toast-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:108:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftover-Pizza-Jelly-Toast-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:108:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftover-Pizza-Jelly-Toast-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:107:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftover-Pizza-Jelly-Toast-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:108:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftover-Pizza-Jelly-Toast-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("539", "540", "_wp_attachment_image_alt", "Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-Thanksgiving Leftover Pizza-Jelly Toast");
INSERT INTO `wp_postmeta` VALUES("540", "541", "_wp_attached_file", "2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Leftover-Thanksgiving-Turkey-Pizza-Baked-by-Rachel.jpg");
INSERT INTO `wp_postmeta` VALUES("541", "541", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:119:\"2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Leftover-Thanksgiving-Turkey-Pizza-Baked-by-Rachel.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:119:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Leftover-Thanksgiving-Turkey-Pizza-Baked-by-Rachel-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:118:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Leftover-Thanksgiving-Turkey-Pizza-Baked-by-Rachel-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:119:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Leftover-Thanksgiving-Turkey-Pizza-Baked-by-Rachel-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:119:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Leftover-Thanksgiving-Turkey-Pizza-Baked-by-Rachel-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:118:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Leftover-Thanksgiving-Turkey-Pizza-Baked-by-Rachel-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:119:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Leftover-Thanksgiving-Turkey-Pizza-Baked-by-Rachel-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("542", "541", "_wp_attachment_image_alt", "Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-Leftover Thanksgiving Turkey Pizza-Baked by Rachel");
INSERT INTO `wp_postmeta` VALUES("543", "542", "_wp_attached_file", "2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Cheeky-Kitchen-Thanksgiving-Pizza-Tablespoon.jpg");
INSERT INTO `wp_postmeta` VALUES("544", "542", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:113:\"2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Cheeky-Kitchen-Thanksgiving-Pizza-Tablespoon.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:113:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Cheeky-Kitchen-Thanksgiving-Pizza-Tablespoon-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:112:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Cheeky-Kitchen-Thanksgiving-Pizza-Tablespoon-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:113:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Cheeky-Kitchen-Thanksgiving-Pizza-Tablespoon-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:113:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Cheeky-Kitchen-Thanksgiving-Pizza-Tablespoon-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:112:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Cheeky-Kitchen-Thanksgiving-Pizza-Tablespoon-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:113:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Cheeky-Kitchen-Thanksgiving-Pizza-Tablespoon-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("545", "542", "_wp_attachment_image_alt", "Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-Cheeky Kitchen Thanksgiving Pizza-Tablespoon");
INSERT INTO `wp_postmeta` VALUES("546", "543", "_wp_attached_file", "2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-BBQ-Thanksgiving-Turkey-Pizza-White-On-Rice-Couple.jpg");
INSERT INTO `wp_postmeta` VALUES("547", "543", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:119:\"2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-BBQ-Thanksgiving-Turkey-Pizza-White-On-Rice-Couple.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:119:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-BBQ-Thanksgiving-Turkey-Pizza-White-On-Rice-Couple-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:118:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-BBQ-Thanksgiving-Turkey-Pizza-White-On-Rice-Couple-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:119:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-BBQ-Thanksgiving-Turkey-Pizza-White-On-Rice-Couple-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:119:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-BBQ-Thanksgiving-Turkey-Pizza-White-On-Rice-Couple-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:118:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-BBQ-Thanksgiving-Turkey-Pizza-White-On-Rice-Couple-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:119:\"Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-BBQ-Thanksgiving-Turkey-Pizza-White-On-Rice-Couple-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("548", "543", "_wp_attachment_image_alt", "Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-BBQ Thanksgiving Turkey Pizza-White On Rice Couple");
INSERT INTO `wp_postmeta` VALUES("550", "547", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("551", "547", "_edit_lock", "1452143505:1");
INSERT INTO `wp_postmeta` VALUES("552", "549", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("553", "549", "_edit_lock", "1453346808:1");
INSERT INTO `wp_postmeta` VALUES("554", "554", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("555", "554", "_edit_lock", "1455652249:1");
INSERT INTO `wp_postmeta` VALUES("556", "556", "_wp_attached_file", "2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Smoked-Reindeer.jpg");
INSERT INTO `wp_postmeta` VALUES("557", "556", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:87:\"2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Smoked-Reindeer.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:87:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Smoked-Reindeer-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:86:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Smoked-Reindeer-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:87:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Smoked-Reindeer-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:87:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Smoked-Reindeer-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:86:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Smoked-Reindeer-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:87:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Smoked-Reindeer-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("558", "557", "_wp_attached_file", "2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Bananas-Curry.jpg");
INSERT INTO `wp_postmeta` VALUES("559", "557", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:85:\"2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Bananas-Curry.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:85:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Bananas-Curry-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:84:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Bananas-Curry-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:85:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Bananas-Curry-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:85:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Bananas-Curry-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:84:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Bananas-Curry-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:85:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Bananas-Curry-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("560", "558", "_wp_attached_file", "2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Crocodile.jpg");
INSERT INTO `wp_postmeta` VALUES("561", "558", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:81:\"2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Crocodile.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:81:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Crocodile-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:80:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Crocodile-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:81:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Crocodile-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:81:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Crocodile-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:80:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Crocodile-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:81:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Crocodile-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("562", "559", "_wp_attached_file", "2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Emu.jpg");
INSERT INTO `wp_postmeta` VALUES("563", "559", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:75:\"2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Emu.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:75:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Emu-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:74:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Emu-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:75:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Emu-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:75:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Emu-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:74:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Emu-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:75:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Emu-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("564", "560", "_wp_attached_file", "2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Kangaroo.jpg");
INSERT INTO `wp_postmeta` VALUES("565", "560", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:80:\"2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Kangaroo.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:80:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Kangaroo-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:79:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Kangaroo-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:80:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Kangaroo-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:80:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Kangaroo-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:79:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Kangaroo-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:80:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Kangaroo-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("566", "561", "_wp_attached_file", "2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Haggis.jpg");
INSERT INTO `wp_postmeta` VALUES("567", "561", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:78:\"2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Haggis.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:78:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Haggis-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:77:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Haggis-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:78:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Haggis-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:78:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Haggis-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:77:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Haggis-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:78:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Haggis-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("568", "562", "_wp_attached_file", "2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Caviar.jpg");
INSERT INTO `wp_postmeta` VALUES("569", "562", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:78:\"2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Caviar.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:78:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Caviar-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:77:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Caviar-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:78:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Caviar-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:78:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Caviar-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:77:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Caviar-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:78:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Caviar-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("570", "563", "_wp_attached_file", "2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Octopus-Squid.jpg");
INSERT INTO `wp_postmeta` VALUES("571", "563", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:85:\"2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Octopus-Squid.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:85:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Octopus-Squid-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:84:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Octopus-Squid-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:85:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Octopus-Squid-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:85:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Octopus-Squid-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:84:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Octopus-Squid-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:85:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Octopus-Squid-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("572", "564", "_wp_attached_file", "2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beet-Pesto.jpg");
INSERT INTO `wp_postmeta` VALUES("573", "564", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:82:\"2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beet-Pesto.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:82:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beet-Pesto-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:81:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beet-Pesto-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:82:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beet-Pesto-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:82:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beet-Pesto-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:81:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beet-Pesto-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:82:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beet-Pesto-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("574", "565", "_wp_attached_file", "2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beer-Battered-Calamari.jpg");
INSERT INTO `wp_postmeta` VALUES("575", "565", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:94:\"2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beer-Battered-Calamari.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:94:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beer-Battered-Calamari-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:93:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beer-Battered-Calamari-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:94:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beer-Battered-Calamari-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:94:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beer-Battered-Calamari-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:93:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beer-Battered-Calamari-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:94:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beer-Battered-Calamari-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("576", "566", "_wp_attached_file", "2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Rhubarb.jpg");
INSERT INTO `wp_postmeta` VALUES("577", "566", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:79:\"2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Rhubarb.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:79:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Rhubarb-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:78:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Rhubarb-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:79:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Rhubarb-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:79:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Rhubarb-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:78:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Rhubarb-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:79:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Rhubarb-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("578", "567", "_wp_attached_file", "2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mashed-Potatoes.jpg");
INSERT INTO `wp_postmeta` VALUES("579", "567", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:87:\"2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mashed-Potatoes.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:87:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mashed-Potatoes-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:86:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mashed-Potatoes-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:87:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mashed-Potatoes-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:87:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mashed-Potatoes-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:86:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mashed-Potatoes-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:87:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mashed-Potatoes-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("580", "568", "_wp_attached_file", "2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Raspberry-Mascarpone-Lemon-Custard.jpg");
INSERT INTO `wp_postmeta` VALUES("581", "568", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:106:\"2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Raspberry-Mascarpone-Lemon-Custard.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:106:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Raspberry-Mascarpone-Lemon-Custard-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:105:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Raspberry-Mascarpone-Lemon-Custard-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:106:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Raspberry-Mascarpone-Lemon-Custard-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:106:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Raspberry-Mascarpone-Lemon-Custard-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:105:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Raspberry-Mascarpone-Lemon-Custard-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:106:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Raspberry-Mascarpone-Lemon-Custard-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("582", "569", "_wp_attached_file", "2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Blackberries.jpg");
INSERT INTO `wp_postmeta` VALUES("583", "569", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:84:\"2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Blackberries.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:84:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Blackberries-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:83:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Blackberries-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:84:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Blackberries-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:84:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Blackberries-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:83:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Blackberries-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:84:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Blackberries-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("584", "570", "_wp_attached_file", "2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Grilled-Peaches.jpg");
INSERT INTO `wp_postmeta` VALUES("585", "570", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:87:\"2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Grilled-Peaches.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:87:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Grilled-Peaches-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:86:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Grilled-Peaches-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:87:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Grilled-Peaches-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:87:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Grilled-Peaches-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:86:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Grilled-Peaches-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:87:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Grilled-Peaches-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("586", "571", "_wp_attached_file", "2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mangoes.jpg");
INSERT INTO `wp_postmeta` VALUES("587", "571", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:79:\"2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mangoes.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:79:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mangoes-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:78:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mangoes-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:79:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mangoes-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:79:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mangoes-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:78:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mangoes-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:79:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mangoes-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("588", "572", "_wp_attached_file", "2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should.jpg");
INSERT INTO `wp_postmeta` VALUES("589", "572", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:71:\"2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:71:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:71:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:71:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:71:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:70:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:71:\"Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("590", "572", "_wp_attachment_image_alt", "Unique Pizza Toppings You’ve Probably Never Tried (But Should!)");
INSERT INTO `wp_postmeta` VALUES("591", "547", "_thumbnail_id", "572");
INSERT INTO `wp_postmeta` VALUES("592", "564", "_wp_attachment_image_alt", "Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Beet Pesto");
INSERT INTO `wp_postmeta` VALUES("593", "567", "_wp_attachment_image_alt", "Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Mashed Potatoes");
INSERT INTO `wp_postmeta` VALUES("594", "566", "_wp_attachment_image_alt", "Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Rhubarb");
INSERT INTO `wp_postmeta` VALUES("595", "557", "_wp_attachment_image_alt", "Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Bananas and Curry");
INSERT INTO `wp_postmeta` VALUES("596", "568", "_wp_attachment_image_alt", "Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Raspberry Mascarpone and Lemon Custard");
INSERT INTO `wp_postmeta` VALUES("597", "569", "_wp_attachment_image_alt", "Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Blackberries");
INSERT INTO `wp_postmeta` VALUES("598", "570", "_wp_attachment_image_alt", "Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Grilled Peaches");
INSERT INTO `wp_postmeta` VALUES("599", "571", "_wp_attachment_image_alt", "Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Mangoes");
INSERT INTO `wp_postmeta` VALUES("600", "558", "_wp_attachment_image_alt", "Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Crocodile");
INSERT INTO `wp_postmeta` VALUES("601", "559", "_wp_attachment_image_alt", "Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Emu");
INSERT INTO `wp_postmeta` VALUES("602", "560", "_wp_attachment_image_alt", "Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Kangaroo");
INSERT INTO `wp_postmeta` VALUES("603", "561", "_wp_attachment_image_alt", "Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Haggis");
INSERT INTO `wp_postmeta` VALUES("604", "562", "_wp_attachment_image_alt", "Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Caviar");
INSERT INTO `wp_postmeta` VALUES("605", "563", "_wp_attachment_image_alt", "Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Octopus and Squid");
INSERT INTO `wp_postmeta` VALUES("606", "565", "_wp_attachment_image_alt", "Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Beer-battered Calamari");
INSERT INTO `wp_postmeta` VALUES("607", "556", "_wp_attachment_image_alt", "Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Smoked Reindeer");
INSERT INTO `wp_postmeta` VALUES("609", "547", "_yoast_wpseo_metadesc", "Traditional toppings are admittedly taste-tempting, but it might be time to give your imagination a swift kick in the pants.");
INSERT INTO `wp_postmeta` VALUES("610", "574", "_wp_attached_file", "2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love.jpg");
INSERT INTO `wp_postmeta` VALUES("611", "574", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:52:\"2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:52:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:52:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:51:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:52:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("612", "575", "_wp_attached_file", "2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Almost-Primal.jpg");
INSERT INTO `wp_postmeta` VALUES("613", "575", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:66:\"2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Almost-Primal.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:66:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Almost-Primal-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:65:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Almost-Primal-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:66:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Almost-Primal-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:66:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Almost-Primal-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:65:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Almost-Primal-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:66:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Almost-Primal-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("614", "576", "_wp_attached_file", "2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Primal-icious.jpg");
INSERT INTO `wp_postmeta` VALUES("615", "576", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:66:\"2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Primal-icious.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:66:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Primal-icious-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:65:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Primal-icious-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:66:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Primal-icious-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:66:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Primal-icious-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:65:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Primal-icious-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:66:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Primal-icious-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("616", "577", "_wp_attached_file", "2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-From-Fries-to-Fit.jpg");
INSERT INTO `wp_postmeta` VALUES("617", "577", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:70:\"2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-From-Fries-to-Fit.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:70:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-From-Fries-to-Fit-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:69:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-From-Fries-to-Fit-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:70:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-From-Fries-to-Fit-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:70:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-From-Fries-to-Fit-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:69:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-From-Fries-to-Fit-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:70:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-From-Fries-to-Fit-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("618", "578", "_wp_attached_file", "2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Strands-of-My-Life.jpg");
INSERT INTO `wp_postmeta` VALUES("619", "578", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:71:\"2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Strands-of-My-Life.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:71:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Strands-of-My-Life-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:70:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Strands-of-My-Life-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:71:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Strands-of-My-Life-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:71:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Strands-of-My-Life-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:70:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Strands-of-My-Life-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:71:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Strands-of-My-Life-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("620", "579", "_wp_attached_file", "2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-The-Iron-You.jpg");
INSERT INTO `wp_postmeta` VALUES("621", "579", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:65:\"2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-The-Iron-You.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:65:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-The-Iron-You-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:64:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-The-Iron-You-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:65:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-The-Iron-You-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:65:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-The-Iron-You-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:64:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-The-Iron-You-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:65:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-The-Iron-You-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("622", "580", "_wp_attached_file", "2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Pure-and-Simple.jpg");
INSERT INTO `wp_postmeta` VALUES("623", "580", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:68:\"2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Pure-and-Simple.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:68:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Pure-and-Simple-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:67:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Pure-and-Simple-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:68:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Pure-and-Simple-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:68:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Pure-and-Simple-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:67:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Pure-and-Simple-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:68:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Pure-and-Simple-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("624", "581", "_wp_attached_file", "2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Lucky-Penny.jpg");
INSERT INTO `wp_postmeta` VALUES("625", "581", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:64:\"2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Lucky-Penny.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:64:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Lucky-Penny-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:63:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Lucky-Penny-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:64:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Lucky-Penny-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:64:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Lucky-Penny-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:63:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Lucky-Penny-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:64:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Lucky-Penny-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("626", "582", "_wp_attached_file", "2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Paleo-Cupboard.jpg");
INSERT INTO `wp_postmeta` VALUES("627", "582", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:67:\"2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Paleo-Cupboard.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:67:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Paleo-Cupboard-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:66:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Paleo-Cupboard-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:67:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Paleo-Cupboard-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:67:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Paleo-Cupboard-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:66:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Paleo-Cupboard-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:67:\"Paleo-Pizza-Recipes-a-Caveman-Would-Love-Paleo-Cupboard-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("628", "582", "_wp_attachment_image_alt", "Paleo Pizza Recipes a Caveman Would Love!-Paleo Cupboard");
INSERT INTO `wp_postmeta` VALUES("629", "581", "_wp_attachment_image_alt", "Paleo Pizza Recipes a Caveman Would Love!-Lucky Penny");
INSERT INTO `wp_postmeta` VALUES("630", "580", "_wp_attachment_image_alt", "Paleo Pizza Recipes a Caveman Would Love!-Pure and Simple");
INSERT INTO `wp_postmeta` VALUES("631", "579", "_wp_attachment_image_alt", "Paleo Pizza Recipes a Caveman Would Love!-The Iron You");
INSERT INTO `wp_postmeta` VALUES("632", "578", "_wp_attachment_image_alt", "Paleo Pizza Recipes a Caveman Would Love!-Strands of My Life");
INSERT INTO `wp_postmeta` VALUES("633", "577", "_wp_attachment_image_alt", "Paleo Pizza Recipes a Caveman Would Love!-From Fries to Fit");
INSERT INTO `wp_postmeta` VALUES("634", "576", "_wp_attachment_image_alt", "Paleo Pizza Recipes a Caveman Would Love!-Primal-licious");
INSERT INTO `wp_postmeta` VALUES("635", "575", "_wp_attachment_image_alt", "Paleo Pizza Recipes a Caveman Would Love!-Almost Primal");
INSERT INTO `wp_postmeta` VALUES("636", "574", "_wp_attachment_image_alt", "Paleo Pizza Recipes a Caveman Would Love!");
INSERT INTO `wp_postmeta` VALUES("637", "549", "_thumbnail_id", "574");
INSERT INTO `wp_postmeta` VALUES("639", "549", "_yoast_wpseo_metadesc", "If you’ve chosen the paleo lifestyle, you don\'t have to live pizza-less.");
INSERT INTO `wp_postmeta` VALUES("640", "554", "_yoast_wpseo_metadesc", "New York City might just be the best place for pizza on the planet, but what\'s the best of the best? Check out our list as we begin 2016.");
INSERT INTO `wp_postmeta` VALUES("646", "586", "_wp_attached_file", "2016/01/Best-Pizza-Places-in-New-York-City-2016.jpg");
INSERT INTO `wp_postmeta` VALUES("647", "586", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:51:\"2016/01/Best-Pizza-Places-in-New-York-City-2016.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:51:\"Best-Pizza-Places-in-New-York-City-2016-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:51:\"Best-Pizza-Places-in-New-York-City-2016-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:51:\"Best-Pizza-Places-in-New-York-City-2016-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:51:\"Best-Pizza-Places-in-New-York-City-2016-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:50:\"Best-Pizza-Places-in-New-York-City-2016-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:51:\"Best-Pizza-Places-in-New-York-City-2016-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("648", "586", "_wp_attachment_image_alt", "10 Best Pizza Places in New York City");
INSERT INTO `wp_postmeta` VALUES("649", "554", "_thumbnail_id", "586");
INSERT INTO `wp_postmeta` VALUES("653", "591", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("654", "591", "_edit_lock", "1454970953:1");
INSERT INTO `wp_postmeta` VALUES("655", "592", "_wp_attached_file", "2016/02/How-to-Throw-a-Pizza-Party-Your-Kids-Will-Remember.jpg");
INSERT INTO `wp_postmeta` VALUES("656", "592", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:62:\"2016/02/How-to-Throw-a-Pizza-Party-Your-Kids-Will-Remember.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:62:\"How-to-Throw-a-Pizza-Party-Your-Kids-Will-Remember-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:62:\"How-to-Throw-a-Pizza-Party-Your-Kids-Will-Remember-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:62:\"How-to-Throw-a-Pizza-Party-Your-Kids-Will-Remember-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:62:\"How-to-Throw-a-Pizza-Party-Your-Kids-Will-Remember-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:61:\"How-to-Throw-a-Pizza-Party-Your-Kids-Will-Remember-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:62:\"How-to-Throw-a-Pizza-Party-Your-Kids-Will-Remember-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("657", "592", "_wp_attachment_image_alt", "How to Throw a Pizza Party Your Kids Will Remember");
INSERT INTO `wp_postmeta` VALUES("658", "591", "_thumbnail_id", "592");
INSERT INTO `wp_postmeta` VALUES("659", "591", "_yoast_wpseo_metadesc", "Here are ideas on how to give you time to focus on the important aspects of the pizza party experience because the more creative the fun, the more memorable it\'s likely to be.");
INSERT INTO `wp_postmeta` VALUES("661", "594", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("662", "594", "_edit_lock", "1455317376:1");
INSERT INTO `wp_postmeta` VALUES("663", "595", "_wp_attached_file", "2016/02/Blogs-for-Pizza-Lovers-2016.jpg");
INSERT INTO `wp_postmeta` VALUES("664", "595", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:39:\"2016/02/Blogs-for-Pizza-Lovers-2016.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:39:\"Blogs-for-Pizza-Lovers-2016-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:39:\"Blogs-for-Pizza-Lovers-2016-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:39:\"Blogs-for-Pizza-Lovers-2016-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"Blogs-for-Pizza-Lovers-2016-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:38:\"Blogs-for-Pizza-Lovers-2016-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:39:\"Blogs-for-Pizza-Lovers-2016-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("665", "595", "_wp_attachment_image_alt", "Blogs for Pizza Lovers-2016");
INSERT INTO `wp_postmeta` VALUES("666", "594", "_thumbnail_id", "595");
INSERT INTO `wp_postmeta` VALUES("667", "596", "_wp_attached_file", "2016/02/Blogs-for-Pizza-Lovers-Baking-Steel.jpg");
INSERT INTO `wp_postmeta` VALUES("668", "596", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:47:\"2016/02/Blogs-for-Pizza-Lovers-Baking-Steel.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:47:\"Blogs-for-Pizza-Lovers-Baking-Steel-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:46:\"Blogs-for-Pizza-Lovers-Baking-Steel-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:47:\"Blogs-for-Pizza-Lovers-Baking-Steel-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:47:\"Blogs-for-Pizza-Lovers-Baking-Steel-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:46:\"Blogs-for-Pizza-Lovers-Baking-Steel-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:47:\"Blogs-for-Pizza-Lovers-Baking-Steel-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("669", "596", "_wp_attachment_image_alt", "Blogs for Pizza Lovers-2016-Baking Steel");
INSERT INTO `wp_postmeta` VALUES("670", "597", "_wp_attached_file", "2016/02/Blogs-for-Pizza-Lovers-Scotts-Pizza-Journal.jpg");
INSERT INTO `wp_postmeta` VALUES("671", "597", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:55:\"2016/02/Blogs-for-Pizza-Lovers-Scotts-Pizza-Journal.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:55:\"Blogs-for-Pizza-Lovers-Scotts-Pizza-Journal-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:54:\"Blogs-for-Pizza-Lovers-Scotts-Pizza-Journal-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:55:\"Blogs-for-Pizza-Lovers-Scotts-Pizza-Journal-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:55:\"Blogs-for-Pizza-Lovers-Scotts-Pizza-Journal-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:54:\"Blogs-for-Pizza-Lovers-Scotts-Pizza-Journal-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:55:\"Blogs-for-Pizza-Lovers-Scotts-Pizza-Journal-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("672", "597", "_wp_attachment_image_alt", "Blogs for Pizza Lovers-2016-Scott\'s Pizza Journal");
INSERT INTO `wp_postmeta` VALUES("673", "598", "_wp_attached_file", "2016/02/Blogs-for-Pizza-Lovers-Pizza-Therapy.jpg");
INSERT INTO `wp_postmeta` VALUES("674", "598", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:48:\"2016/02/Blogs-for-Pizza-Lovers-Pizza-Therapy.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:48:\"Blogs-for-Pizza-Lovers-Pizza-Therapy-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:47:\"Blogs-for-Pizza-Lovers-Pizza-Therapy-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:48:\"Blogs-for-Pizza-Lovers-Pizza-Therapy-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:48:\"Blogs-for-Pizza-Lovers-Pizza-Therapy-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:47:\"Blogs-for-Pizza-Lovers-Pizza-Therapy-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:48:\"Blogs-for-Pizza-Lovers-Pizza-Therapy-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("675", "598", "_wp_attachment_image_alt", "Blogs for Pizza Lovers-2016-Pizza Therapy");
INSERT INTO `wp_postmeta` VALUES("676", "599", "_wp_attached_file", "2016/02/10-Blogs-for-Pizza-Lovers-For-the-Love-of-Pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("677", "599", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:59:\"2016/02/10-Blogs-for-Pizza-Lovers-For-the-Love-of-Pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:59:\"10-Blogs-for-Pizza-Lovers-For-the-Love-of-Pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:58:\"10-Blogs-for-Pizza-Lovers-For-the-Love-of-Pizza-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:59:\"10-Blogs-for-Pizza-Lovers-For-the-Love-of-Pizza-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:59:\"10-Blogs-for-Pizza-Lovers-For-the-Love-of-Pizza-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:58:\"10-Blogs-for-Pizza-Lovers-For-the-Love-of-Pizza-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:59:\"10-Blogs-for-Pizza-Lovers-For-the-Love-of-Pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("678", "599", "_wp_attachment_image_alt", "10 Blogs for Pizza Lovers-2016-For the Love of Pizza");
INSERT INTO `wp_postmeta` VALUES("679", "594", "_yoast_wpseo_metadesc", "For some, enjoying the pizza isn\'t enough. We\'ve selected some bloggers who live, breath, eat, and most importantly write about pizza for true pizza fans.");
INSERT INTO `wp_postmeta` VALUES("681", "603", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("682", "603", "_edit_lock", "1455657127:1");
INSERT INTO `wp_postmeta` VALUES("683", "604", "_wp_attached_file", "2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places.jpg");
INSERT INTO `wp_postmeta` VALUES("684", "604", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:50:\"2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:50:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:50:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:50:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:50:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:49:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:50:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("685", "604", "_wp_attachment_image_alt", "Chicago’s Top 10 Deep Dish Pizza Places");
INSERT INTO `wp_postmeta` VALUES("686", "603", "_thumbnail_id", "604");
INSERT INTO `wp_postmeta` VALUES("687", "605", "_wp_attached_file", "2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-The-Art-of-Pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("688", "605", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:67:\"2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-The-Art-of-Pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:67:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-The-Art-of-Pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:66:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-The-Art-of-Pizza-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:67:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-The-Art-of-Pizza-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:67:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-The-Art-of-Pizza-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:66:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-The-Art-of-Pizza-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:67:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-The-Art-of-Pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("689", "605", "_wp_attachment_image_alt", "");
INSERT INTO `wp_postmeta` VALUES("690", "606", "_wp_attached_file", "2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Lou-Malnatis-Pizzeria.jpg");
INSERT INTO `wp_postmeta` VALUES("691", "606", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:72:\"2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Lou-Malnatis-Pizzeria.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:72:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Lou-Malnatis-Pizzeria-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:71:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Lou-Malnatis-Pizzeria-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:72:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Lou-Malnatis-Pizzeria-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:72:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Lou-Malnatis-Pizzeria-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:71:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Lou-Malnatis-Pizzeria-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:72:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Lou-Malnatis-Pizzeria-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("692", "606", "_wp_attachment_image_alt", "Lou Malnati\'s Pizzeria");
INSERT INTO `wp_postmeta` VALUES("693", "607", "_wp_attached_file", "2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Pequods-Pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("694", "607", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:64:\"2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Pequods-Pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:64:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Pequods-Pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:63:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Pequods-Pizza-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:64:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Pequods-Pizza-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:64:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Pequods-Pizza-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:63:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Pequods-Pizza-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:64:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Pequods-Pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("695", "607", "_wp_attachment_image_alt", "Pequod\'s Pizza");
INSERT INTO `wp_postmeta` VALUES("696", "608", "_wp_attached_file", "2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Louisa-Pizza-and-Pasta.jpg");
INSERT INTO `wp_postmeta` VALUES("697", "608", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:73:\"2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Louisa-Pizza-and-Pasta.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:73:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Louisa-Pizza-and-Pasta-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:72:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Louisa-Pizza-and-Pasta-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:73:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Louisa-Pizza-and-Pasta-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:73:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Louisa-Pizza-and-Pasta-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:72:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Louisa-Pizza-and-Pasta-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:73:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Louisa-Pizza-and-Pasta-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("698", "608", "_wp_attachment_image_alt", "");
INSERT INTO `wp_postmeta` VALUES("699", "608", "_wp_attachment_image_alt", "");
INSERT INTO `wp_postmeta` VALUES("700", "609", "_wp_attached_file", "2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Bartolis-Pizzeria.jpg");
INSERT INTO `wp_postmeta` VALUES("701", "609", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:68:\"2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Bartolis-Pizzeria.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:68:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Bartolis-Pizzeria-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:67:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Bartolis-Pizzeria-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:68:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Bartolis-Pizzeria-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:68:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Bartolis-Pizzeria-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:67:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Bartolis-Pizzeria-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:68:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Bartolis-Pizzeria-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("702", "609", "_wp_attachment_image_alt", "Bartoli\'s Pizzeria");
INSERT INTO `wp_postmeta` VALUES("703", "610", "_wp_attached_file", "2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Bacinos.jpg");
INSERT INTO `wp_postmeta` VALUES("704", "610", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:58:\"2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Bacinos.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:58:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Bacinos-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:57:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Bacinos-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:58:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Bacinos-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:58:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Bacinos-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:57:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Bacinos-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:58:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Bacinos-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("705", "610", "_wp_attachment_image_alt", "Bacino\'s");
INSERT INTO `wp_postmeta` VALUES("706", "611", "_wp_attached_file", "2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Giordanos.jpg");
INSERT INTO `wp_postmeta` VALUES("707", "611", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:60:\"2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Giordanos.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:60:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Giordanos-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:59:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Giordanos-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:60:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Giordanos-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:60:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Giordanos-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:59:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Giordanos-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:60:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Giordanos-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("708", "611", "_wp_attachment_image_alt", "");
INSERT INTO `wp_postmeta` VALUES("709", "612", "_wp_attached_file", "2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Ninos-Pizzeria.jpg");
INSERT INTO `wp_postmeta` VALUES("710", "612", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:65:\"2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Ninos-Pizzeria.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:65:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Ninos-Pizzeria-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:64:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Ninos-Pizzeria-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:65:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Ninos-Pizzeria-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:65:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Ninos-Pizzeria-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:64:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Ninos-Pizzeria-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:65:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Ninos-Pizzeria-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("711", "612", "_wp_attachment_image_alt", "Nino\'s Pizzeria");
INSERT INTO `wp_postmeta` VALUES("712", "613", "_wp_attached_file", "2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Pizzeria-Uno.jpg");
INSERT INTO `wp_postmeta` VALUES("713", "613", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:63:\"2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Pizzeria-Uno.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:63:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Pizzeria-Uno-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:62:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Pizzeria-Uno-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:63:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Pizzeria-Uno-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:63:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Pizzeria-Uno-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:62:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Pizzeria-Uno-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:63:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Pizzeria-Uno-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("714", "613", "_wp_attachment_image_alt", "Pizzeria Uno");
INSERT INTO `wp_postmeta` VALUES("715", "614", "_wp_attached_file", "2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Tanos-Pizzeria.jpg");
INSERT INTO `wp_postmeta` VALUES("716", "614", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:250;s:4:\"file\";s:65:\"2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Tanos-Pizzeria.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:65:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Tanos-Pizzeria-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:64:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Tanos-Pizzeria-250x78.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:78;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:65:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Tanos-Pizzeria-768x240.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:240;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:65:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Tanos-Pizzeria-700x219.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:219;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:64:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Tanos-Pizzeria-120x38.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:38;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:65:\"Chicagos-Top-10-Deep-Dish-Pizza-Places-Tanos-Pizzeria-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("717", "614", "_wp_attachment_image_alt", "Tano\'s Pizzeria");
INSERT INTO `wp_postmeta` VALUES("719", "603", "_yoast_wpseo_metadesc", "If you\'re heading to the Windy City, try a deep dish pizza or two from our early 2016 list of the best spots to find Chicago style pie.");
INSERT INTO `wp_postmeta` VALUES("720", "620", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("721", "620", "_edit_lock", "1467142056:1");
INSERT INTO `wp_postmeta` VALUES("725", "622", "_wp_attached_file", "2016/03/vegan-pizza-recipes.jpg");
INSERT INTO `wp_postmeta` VALUES("726", "622", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:31:\"2016/03/vegan-pizza-recipes.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"vegan-pizza-recipes-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"vegan-pizza-recipes-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:31:\"vegan-pizza-recipes-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:31:\"vegan-pizza-recipes-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:30:\"vegan-pizza-recipes-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:31:\"vegan-pizza-recipes-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("727", "622", "_wp_attachment_image_alt", "vegan pizza recipes");
INSERT INTO `wp_postmeta` VALUES("728", "620", "_thumbnail_id", "622");
INSERT INTO `wp_postmeta` VALUES("729", "620", "_yoast_wpseo_primary_category", "3");
INSERT INTO `wp_postmeta` VALUES("730", "624", "_wp_attached_file", "2016/03/Cauliflower-Crust-Pizza-with-Black-Mung-Bean-Curry1-1200x795.jpg");
INSERT INTO `wp_postmeta` VALUES("731", "624", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1200;s:6:\"height\";i:795;s:4:\"file\";s:72:\"2016/03/Cauliflower-Crust-Pizza-with-Black-Mung-Bean-Curry1-1200x795.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:72:\"Cauliflower-Crust-Pizza-with-Black-Mung-Bean-Curry1-1200x795-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:72:\"Cauliflower-Crust-Pizza-with-Black-Mung-Bean-Curry1-1200x795-250x166.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:166;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:72:\"Cauliflower-Crust-Pizza-with-Black-Mung-Bean-Curry1-1200x795-768x509.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:509;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:72:\"Cauliflower-Crust-Pizza-with-Black-Mung-Bean-Curry1-1200x795-700x464.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:464;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:71:\"Cauliflower-Crust-Pizza-with-Black-Mung-Bean-Curry1-1200x795-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:72:\"Cauliflower-Crust-Pizza-with-Black-Mung-Bean-Curry1-1200x795-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("732", "624", "_wp_attachment_image_alt", "Cauliflower Crust Pizza with Black Mung Bean");
INSERT INTO `wp_postmeta` VALUES("733", "626", "_wp_attached_file", "2016/03/Asparagus-Potato-Pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("734", "626", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:579;s:4:\"file\";s:34:\"2016/03/Asparagus-Potato-Pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:34:\"Asparagus-Potato-Pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:34:\"Asparagus-Potato-Pizza-250x145.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:145;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:34:\"Asparagus-Potato-Pizza-768x445.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:445;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:34:\"Asparagus-Potato-Pizza-700x405.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:405;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:33:\"Asparagus-Potato-Pizza-120x69.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:69;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:34:\"Asparagus-Potato-Pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:3:\"4.5\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:10:\"NIKON D40X\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1396222107\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"31\";s:3:\"iso\";s:3:\"200\";s:13:\"shutter_speed\";s:4:\"0.02\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("735", "626", "_wp_attachment_image_alt", "Asparagus Potato Pizza with Kale");
INSERT INTO `wp_postmeta` VALUES("739", "628", "_wp_attached_file", "2016/03/Artichoke-and-Olive-Pizza.jpeg");
INSERT INTO `wp_postmeta` VALUES("740", "628", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:600;s:6:\"height\";i:400;s:4:\"file\";s:38:\"2016/03/Artichoke-and-Olive-Pizza.jpeg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"Artichoke-and-Olive-Pizza-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"Artichoke-and-Olive-Pizza-250x167.jpeg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:37:\"Artichoke-and-Olive-Pizza-120x80.jpeg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:38:\"Artichoke-and-Olive-Pizza-600x200.jpeg\";s:5:\"width\";i:600;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("741", "628", "_wp_attachment_image_alt", "Artichoke and Olive Pizza");
INSERT INTO `wp_postmeta` VALUES("742", "629", "_wp_attached_file", "2016/03/Raw-Vegan-Pizza-Recipe-1200x800.jpg");
INSERT INTO `wp_postmeta` VALUES("743", "629", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1200;s:6:\"height\";i:800;s:4:\"file\";s:43:\"2016/03/Raw-Vegan-Pizza-Recipe-1200x800.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:43:\"Raw-Vegan-Pizza-Recipe-1200x800-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:43:\"Raw-Vegan-Pizza-Recipe-1200x800-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:43:\"Raw-Vegan-Pizza-Recipe-1200x800-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:43:\"Raw-Vegan-Pizza-Recipe-1200x800-700x467.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:467;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:42:\"Raw-Vegan-Pizza-Recipe-1200x800-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:43:\"Raw-Vegan-Pizza-Recipe-1200x800-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("744", "629", "_wp_attachment_image_alt", "Raw Vegan Pizza with Red Pepper Flax Crust");
INSERT INTO `wp_postmeta` VALUES("745", "630", "_wp_attached_file", "2016/03/Raw-Pizza-with-Spinach-Pesto-and-Vegetables1-1200x800.jpg");
INSERT INTO `wp_postmeta` VALUES("746", "630", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1200;s:6:\"height\";i:800;s:4:\"file\";s:65:\"2016/03/Raw-Pizza-with-Spinach-Pesto-and-Vegetables1-1200x800.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:65:\"Raw-Pizza-with-Spinach-Pesto-and-Vegetables1-1200x800-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:65:\"Raw-Pizza-with-Spinach-Pesto-and-Vegetables1-1200x800-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:65:\"Raw-Pizza-with-Spinach-Pesto-and-Vegetables1-1200x800-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:65:\"Raw-Pizza-with-Spinach-Pesto-and-Vegetables1-1200x800-700x467.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:467;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:64:\"Raw-Pizza-with-Spinach-Pesto-and-Vegetables1-1200x800-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:65:\"Raw-Pizza-with-Spinach-Pesto-and-Vegetables1-1200x800-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("747", "630", "_wp_attachment_image_alt", "Raw Vegan Pizza with Spinach, Pesto, and Marinated Vegetables");
INSERT INTO `wp_postmeta` VALUES("748", "631", "_wp_attached_file", "2016/03/salad-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("749", "631", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:533;s:4:\"file\";s:23:\"2016/03/salad-pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"salad-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"salad-pizza-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:23:\"salad-pizza-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:23:\"salad-pizza-700x466.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:466;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:22:\"salad-pizza-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:23:\"salad-pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("750", "631", "_wp_attachment_image_alt", "Vegan Caesar Salad Pizza");
INSERT INTO `wp_postmeta` VALUES("751", "632", "_wp_attached_file", "2016/03/Eggplant-Pesto-Mushroom-Pizza-with-Tofu-1066x800.jpg");
INSERT INTO `wp_postmeta` VALUES("752", "632", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1066;s:6:\"height\";i:800;s:4:\"file\";s:60:\"2016/03/Eggplant-Pesto-Mushroom-Pizza-with-Tofu-1066x800.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:60:\"Eggplant-Pesto-Mushroom-Pizza-with-Tofu-1066x800-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:60:\"Eggplant-Pesto-Mushroom-Pizza-with-Tofu-1066x800-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:60:\"Eggplant-Pesto-Mushroom-Pizza-with-Tofu-1066x800-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:60:\"Eggplant-Pesto-Mushroom-Pizza-with-Tofu-1066x800-700x525.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:59:\"Eggplant-Pesto-Mushroom-Pizza-with-Tofu-1066x800-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:60:\"Eggplant-Pesto-Mushroom-Pizza-with-Tofu-1066x800-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("753", "632", "_wp_attachment_image_alt", "Eggplant, Pesto, and Mushroom Pizza with Tofu");
INSERT INTO `wp_postmeta` VALUES("755", "620", "_yoast_wpseo_focuskw_text_input", "vegan pizza recipes");
INSERT INTO `wp_postmeta` VALUES("756", "620", "_yoast_wpseo_focuskw", "vegan pizza recipes");
INSERT INTO `wp_postmeta` VALUES("757", "620", "_yoast_wpseo_linkdex", "71");
INSERT INTO `wp_postmeta` VALUES("758", "634", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("759", "634", "_edit_lock", "1467142012:1");
INSERT INTO `wp_postmeta` VALUES("760", "635", "_wp_attached_file", "2016/03/pizza-crust-alternatives.jpg");
INSERT INTO `wp_postmeta` VALUES("761", "635", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:36:\"2016/03/pizza-crust-alternatives.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:36:\"pizza-crust-alternatives-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:36:\"pizza-crust-alternatives-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:36:\"pizza-crust-alternatives-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:36:\"pizza-crust-alternatives-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:35:\"pizza-crust-alternatives-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:36:\"pizza-crust-alternatives-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("762", "635", "_wp_attachment_image_alt", "pizza crust alternatives");
INSERT INTO `wp_postmeta` VALUES("763", "634", "_thumbnail_id", "635");
INSERT INTO `wp_postmeta` VALUES("766", "637", "_wp_attached_file", "2016/03/cauliflower-pizza-crust.jpg");
INSERT INTO `wp_postmeta` VALUES("767", "637", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:550;s:6:\"height\";i:418;s:4:\"file\";s:35:\"2016/03/cauliflower-pizza-crust.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:35:\"cauliflower-pizza-crust-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:35:\"cauliflower-pizza-crust-250x190.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:190;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:34:\"cauliflower-pizza-crust-120x91.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:91;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:35:\"cauliflower-pizza-crust-550x200.jpg\";s:5:\"width\";i:550;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("768", "637", "_wp_attachment_image_alt", "cauliflower pizza crust");
INSERT INTO `wp_postmeta` VALUES("769", "638", "_wp_attached_file", "2016/03/almond-pizza-crust.jpg");
INSERT INTO `wp_postmeta` VALUES("770", "638", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1080;s:6:\"height\";i:609;s:4:\"file\";s:30:\"2016/03/almond-pizza-crust.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:30:\"almond-pizza-crust-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:30:\"almond-pizza-crust-250x141.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:141;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:30:\"almond-pizza-crust-768x433.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:433;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:30:\"almond-pizza-crust-700x395.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:395;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:29:\"almond-pizza-crust-120x68.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:68;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:30:\"almond-pizza-crust-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("771", "638", "_wp_attachment_image_alt", "");
INSERT INTO `wp_postmeta` VALUES("772", "639", "_wp_attached_file", "2016/03/carrot-pizza-crust.jpg");
INSERT INTO `wp_postmeta` VALUES("773", "639", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:429;s:4:\"file\";s:30:\"2016/03/carrot-pizza-crust.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:30:\"carrot-pizza-crust-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:30:\"carrot-pizza-crust-250x134.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:134;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:30:\"carrot-pizza-crust-768x412.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:412;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:30:\"carrot-pizza-crust-700x375.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:375;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:29:\"carrot-pizza-crust-120x64.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:64;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:30:\"carrot-pizza-crust-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("774", "639", "_wp_attachment_image_alt", "carrot pizza crust");
INSERT INTO `wp_postmeta` VALUES("775", "640", "_wp_attached_file", "2016/03/portobello-pizza-crust.jpg");
INSERT INTO `wp_postmeta` VALUES("776", "640", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:650;s:6:\"height\";i:433;s:4:\"file\";s:34:\"2016/03/portobello-pizza-crust.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:34:\"portobello-pizza-crust-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:34:\"portobello-pizza-crust-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:33:\"portobello-pizza-crust-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:34:\"portobello-pizza-crust-650x200.jpg\";s:5:\"width\";i:650;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("777", "640", "_wp_attachment_image_alt", "");
INSERT INTO `wp_postmeta` VALUES("778", "641", "_wp_attached_file", "2016/03/bacon-pizza-crust.jpg");
INSERT INTO `wp_postmeta` VALUES("779", "641", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:533;s:4:\"file\";s:29:\"2016/03/bacon-pizza-crust.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:29:\"bacon-pizza-crust-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:29:\"bacon-pizza-crust-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:29:\"bacon-pizza-crust-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:29:\"bacon-pizza-crust-700x466.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:466;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:28:\"bacon-pizza-crust-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:29:\"bacon-pizza-crust-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("780", "641", "_wp_attachment_image_alt", "");
INSERT INTO `wp_postmeta` VALUES("782", "634", "_yoast_wpseo_primary_category", "3");
INSERT INTO `wp_postmeta` VALUES("783", "643", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("784", "643", "_edit_lock", "1458916278:1");
INSERT INTO `wp_postmeta` VALUES("785", "644", "_wp_attached_file", "2016/03/meat-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("786", "644", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:630;s:6:\"height\";i:420;s:4:\"file\";s:22:\"2016/03/meat-pizza.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:22:\"meat-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:22:\"meat-pizza-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:21:\"meat-pizza-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:22:\"meat-pizza-630x200.jpg\";s:5:\"width\";i:630;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:3:\"3.2\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:9:\"NIKON D3X\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1310744329\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"35\";s:3:\"iso\";s:4:\"1600\";s:13:\"shutter_speed\";s:5:\"0.005\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("787", "644", "_wp_attachment_image_alt", "meat pizza");
INSERT INTO `wp_postmeta` VALUES("788", "645", "_wp_attached_file", "2016/03/cheese-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("789", "645", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:876;s:6:\"height\";i:493;s:4:\"file\";s:24:\"2016/03/cheese-pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"cheese-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:24:\"cheese-pizza-250x141.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:141;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:24:\"cheese-pizza-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:24:\"cheese-pizza-700x394.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:394;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:23:\"cheese-pizza-120x68.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:68;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:24:\"cheese-pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("790", "645", "_wp_attachment_image_alt", "cheese pizza");
INSERT INTO `wp_postmeta` VALUES("791", "646", "_wp_attached_file", "2016/03/yellow-squiash-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("792", "646", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:466;s:6:\"height\";i:350;s:4:\"file\";s:32:\"2016/03/yellow-squiash-pizza.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:32:\"yellow-squiash-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:32:\"yellow-squiash-pizza-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:31:\"yellow-squiash-pizza-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:32:\"yellow-squiash-pizza-466x200.jpg\";s:5:\"width\";i:466;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("793", "646", "_wp_attachment_image_alt", "yellow squash pizza");
INSERT INTO `wp_postmeta` VALUES("794", "647", "_wp_attached_file", "2016/03/spinach-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("795", "647", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:700;s:6:\"height\";i:500;s:4:\"file\";s:25:\"2016/03/spinach-pizza.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"spinach-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"spinach-pizza-250x179.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:179;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:25:\"spinach-pizza-700x500.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:500;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:24:\"spinach-pizza-120x86.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:86;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:25:\"spinach-pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:3:\"2.8\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:19:\"Canon EOS REBEL T1i\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1402334890\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"50\";s:3:\"iso\";s:3:\"200\";s:13:\"shutter_speed\";s:4:\"0.02\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("796", "647", "_wp_attachment_image_alt", "spinach pizza");
INSERT INTO `wp_postmeta` VALUES("797", "648", "_wp_attached_file", "2016/03/pickles-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("798", "648", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:600;s:6:\"height\";i:400;s:4:\"file\";s:25:\"2016/03/pickles-pizza.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"pickles-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"pickles-pizza-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:24:\"pickles-pizza-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:25:\"pickles-pizza-600x200.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("799", "648", "_wp_attachment_image_alt", "pickles pizza");
INSERT INTO `wp_postmeta` VALUES("800", "649", "_wp_attached_file", "2016/03/olives-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("801", "649", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:532;s:4:\"file\";s:24:\"2016/03/olives-pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"olives-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:24:\"olives-pizza-250x166.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:166;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:24:\"olives-pizza-768x511.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:511;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:24:\"olives-pizza-700x466.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:466;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:23:\"olives-pizza-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:24:\"olives-pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("802", "649", "_wp_attachment_image_alt", "olives pizza");
INSERT INTO `wp_postmeta` VALUES("803", "643", "_yoast_wpseo_focuskw_text_input", "low carb pizza toppings");
INSERT INTO `wp_postmeta` VALUES("804", "643", "_yoast_wpseo_focuskw", "low carb pizza toppings");
INSERT INTO `wp_postmeta` VALUES("805", "643", "_yoast_wpseo_linkdex", "63");
INSERT INTO `wp_postmeta` VALUES("806", "643", "_yoast_wpseo_primary_category", "3");
INSERT INTO `wp_postmeta` VALUES("808", "652", "_wp_attached_file", "2016/03/low-carb-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("809", "652", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:26:\"2016/03/low-carb-pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"low-carb-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"low-carb-pizza-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:26:\"low-carb-pizza-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"low-carb-pizza-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:25:\"low-carb-pizza-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:26:\"low-carb-pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("810", "652", "_wp_attachment_image_alt", "low carb pizza");
INSERT INTO `wp_postmeta` VALUES("811", "643", "_thumbnail_id", "652");
INSERT INTO `wp_postmeta` VALUES("812", "654", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("813", "654", "_edit_lock", "1467735855:1");
INSERT INTO `wp_postmeta` VALUES("814", "654", "_yoast_wpseo_primary_category", "7");
INSERT INTO `wp_postmeta` VALUES("815", "656", "_wp_attached_file", "2016/05/pinks-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("816", "656", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:400;s:4:\"file\";s:23:\"2016/05/pinks-pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"pinks-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"pinks-pizza-250x125.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:125;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:23:\"pinks-pizza-768x384.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:384;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:23:\"pinks-pizza-700x350.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:350;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:22:\"pinks-pizza-120x60.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:60;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:23:\"pinks-pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("817", "656", "_wp_attachment_image_alt", "Pink\'s Pizza");
INSERT INTO `wp_postmeta` VALUES("818", "657", "_wp_attached_file", "2016/05/pizza-l-vino.jpg");
INSERT INTO `wp_postmeta` VALUES("819", "657", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:400;s:4:\"file\";s:24:\"2016/05/pizza-l-vino.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"pizza-l-vino-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:24:\"pizza-l-vino-250x125.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:125;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:24:\"pizza-l-vino-768x384.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:384;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:24:\"pizza-l-vino-700x350.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:350;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:23:\"pizza-l-vino-120x60.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:60;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:24:\"pizza-l-vino-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("820", "657", "_wp_attachment_image_alt", "Pizza L’Vino");
INSERT INTO `wp_postmeta` VALUES("821", "658", "_wp_attached_file", "2016/05/Boheme-Cafe-and-Wine-Bar.jpg");
INSERT INTO `wp_postmeta` VALUES("822", "658", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:400;s:4:\"file\";s:36:\"2016/05/Boheme-Cafe-and-Wine-Bar.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:36:\"Boheme-Cafe-and-Wine-Bar-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:36:\"Boheme-Cafe-and-Wine-Bar-250x125.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:125;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:36:\"Boheme-Cafe-and-Wine-Bar-768x384.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:384;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:36:\"Boheme-Cafe-and-Wine-Bar-700x350.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:350;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:35:\"Boheme-Cafe-and-Wine-Bar-120x60.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:60;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:36:\"Boheme-Cafe-and-Wine-Bar-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("823", "658", "_wp_attachment_image_alt", "Boheme Cafe and Wine Bar");
INSERT INTO `wp_postmeta` VALUES("824", "659", "_wp_attached_file", "2016/05/Piola.jpg");
INSERT INTO `wp_postmeta` VALUES("825", "659", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:400;s:4:\"file\";s:17:\"2016/05/Piola.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:17:\"Piola-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:17:\"Piola-250x125.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:125;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:17:\"Piola-768x384.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:384;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:17:\"Piola-700x350.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:350;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:16:\"Piola-120x60.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:60;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:17:\"Piola-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("826", "659", "_wp_attachment_image_alt", "Piola");
INSERT INTO `wp_postmeta` VALUES("827", "660", "_wp_attached_file", "2016/05/Coppa-Osteria.jpg");
INSERT INTO `wp_postmeta` VALUES("828", "660", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:400;s:4:\"file\";s:25:\"2016/05/Coppa-Osteria.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"Coppa-Osteria-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"Coppa-Osteria-250x125.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:125;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"Coppa-Osteria-768x384.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:384;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:25:\"Coppa-Osteria-700x350.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:350;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:24:\"Coppa-Osteria-120x60.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:60;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:25:\"Coppa-Osteria-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("829", "660", "_wp_attachment_image_alt", "Coppa Osteria");
INSERT INTO `wp_postmeta` VALUES("830", "661", "_wp_attached_file", "2016/05/Pizaros.jpg");
INSERT INTO `wp_postmeta` VALUES("831", "661", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:400;s:4:\"file\";s:19:\"2016/05/Pizaros.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"Pizaros-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"Pizaros-250x125.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:125;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:19:\"Pizaros-768x384.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:384;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:19:\"Pizaros-700x350.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:350;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:18:\"Pizaros-120x60.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:60;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:19:\"Pizaros-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("832", "661", "_wp_attachment_image_alt", "Pizaro’s");
INSERT INTO `wp_postmeta` VALUES("833", "662", "_wp_attached_file", "2016/05/Pi-Pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("834", "662", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:400;s:4:\"file\";s:20:\"2016/05/Pi-Pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:20:\"Pi-Pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:20:\"Pi-Pizza-250x125.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:125;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:20:\"Pi-Pizza-768x384.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:384;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:20:\"Pi-Pizza-700x350.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:350;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:19:\"Pi-Pizza-120x60.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:60;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:20:\"Pi-Pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("835", "662", "_wp_attachment_image_alt", "Pi Pizza");
INSERT INTO `wp_postmeta` VALUES("836", "663", "_wp_attached_file", "2016/05/Provisions.jpg");
INSERT INTO `wp_postmeta` VALUES("837", "663", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:400;s:4:\"file\";s:22:\"2016/05/Provisions.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:22:\"Provisions-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:22:\"Provisions-250x125.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:125;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:22:\"Provisions-768x384.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:384;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:22:\"Provisions-700x350.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:350;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:21:\"Provisions-120x60.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:60;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:22:\"Provisions-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("838", "663", "_wp_attachment_image_alt", "Provisions");
INSERT INTO `wp_postmeta` VALUES("839", "664", "_wp_attached_file", "2016/05/Dolce-Vita-Pizzeria-and-Enoteca.jpg");
INSERT INTO `wp_postmeta` VALUES("840", "664", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:400;s:4:\"file\";s:43:\"2016/05/Dolce-Vita-Pizzeria-and-Enoteca.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:43:\"Dolce-Vita-Pizzeria-and-Enoteca-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:43:\"Dolce-Vita-Pizzeria-and-Enoteca-250x125.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:125;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:43:\"Dolce-Vita-Pizzeria-and-Enoteca-768x384.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:384;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:43:\"Dolce-Vita-Pizzeria-and-Enoteca-700x350.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:350;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:42:\"Dolce-Vita-Pizzeria-and-Enoteca-120x60.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:60;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:43:\"Dolce-Vita-Pizzeria-and-Enoteca-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("841", "664", "_wp_attachment_image_alt", "Dolce Vita Pizzeria and Enoteca");
INSERT INTO `wp_postmeta` VALUES("842", "665", "_wp_attached_file", "2016/05/Pizzeria-Solario.jpg");
INSERT INTO `wp_postmeta` VALUES("843", "665", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:400;s:4:\"file\";s:28:\"2016/05/Pizzeria-Solario.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:28:\"Pizzeria-Solario-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:28:\"Pizzeria-Solario-250x125.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:125;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:28:\"Pizzeria-Solario-768x384.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:384;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"Pizzeria-Solario-700x350.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:350;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:27:\"Pizzeria-Solario-120x60.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:60;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:28:\"Pizzeria-Solario-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("844", "665", "_wp_attachment_image_alt", "Pizzeria Solario");
INSERT INTO `wp_postmeta` VALUES("850", "654", "_yoast_wpseo_focuskw_text_input", "10 Best Pizza Places in Houston");
INSERT INTO `wp_postmeta` VALUES("851", "654", "_yoast_wpseo_focuskw", "10 Best Pizza Places in Houston");
INSERT INTO `wp_postmeta` VALUES("852", "654", "_yoast_wpseo_title", "10 Best Pizza Places in Houston");
INSERT INTO `wp_postmeta` VALUES("853", "654", "_yoast_wpseo_linkdex", "58");
INSERT INTO `wp_postmeta` VALUES("854", "668", "_wp_attached_file", "2016/04/Pizza-Places-Houston.jpg");
INSERT INTO `wp_postmeta` VALUES("855", "668", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:32:\"2016/04/Pizza-Places-Houston.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:32:\"Pizza-Places-Houston-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:32:\"Pizza-Places-Houston-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:32:\"Pizza-Places-Houston-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:32:\"Pizza-Places-Houston-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:31:\"Pizza-Places-Houston-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:32:\"Pizza-Places-Houston-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("856", "668", "_wp_attachment_image_alt", "Pizza Places in Houston");
INSERT INTO `wp_postmeta` VALUES("857", "654", "_thumbnail_id", "668");
INSERT INTO `wp_postmeta` VALUES("859", "669", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("860", "669", "_edit_lock", "1464119049:1");
INSERT INTO `wp_postmeta` VALUES("861", "670", "_wp_attached_file", "2016/05/homemade-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("862", "670", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:26:\"2016/05/homemade-pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"homemade-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"homemade-pizza-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:26:\"homemade-pizza-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"homemade-pizza-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:25:\"homemade-pizza-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:26:\"homemade-pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("863", "670", "_wp_attachment_image_alt", "homemade pizza");
INSERT INTO `wp_postmeta` VALUES("864", "669", "_thumbnail_id", "670");
INSERT INTO `wp_postmeta` VALUES("866", "669", "_yoast_wpseo_focuskw_text_input", "homemade pizza");
INSERT INTO `wp_postmeta` VALUES("867", "669", "_yoast_wpseo_focuskw", "homemade pizza");
INSERT INTO `wp_postmeta` VALUES("868", "669", "_yoast_wpseo_linkdex", "66");
INSERT INTO `wp_postmeta` VALUES("869", "669", "_yoast_wpseo_primary_category", "3");
INSERT INTO `wp_postmeta` VALUES("870", "672", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("871", "672", "_edit_lock", "1464290798:1");
INSERT INTO `wp_postmeta` VALUES("875", "674", "_wp_attached_file", "2016/05/stress-free-pool-party.jpg");
INSERT INTO `wp_postmeta` VALUES("876", "674", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:34:\"2016/05/stress-free-pool-party.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:34:\"stress-free-pool-party-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:34:\"stress-free-pool-party-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:34:\"stress-free-pool-party-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:34:\"stress-free-pool-party-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:33:\"stress-free-pool-party-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:34:\"stress-free-pool-party-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("877", "674", "_wp_attachment_image_alt", "stress free pool party");
INSERT INTO `wp_postmeta` VALUES("878", "672", "_thumbnail_id", "674");
INSERT INTO `wp_postmeta` VALUES("880", "672", "_yoast_wpseo_primary_category", "5");
INSERT INTO `wp_postmeta` VALUES("881", "676", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("882", "676", "_edit_lock", "1467143116:1");
INSERT INTO `wp_postmeta` VALUES("883", "677", "_wp_attached_file", "2016/05/appetizers.jpg");
INSERT INTO `wp_postmeta` VALUES("884", "677", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:600;s:4:\"file\";s:22:\"2016/05/appetizers.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:22:\"appetizers-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:22:\"appetizers-250x150.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:22:\"appetizers-768x461.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:461;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:22:\"appetizers-700x420.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:21:\"appetizers-120x72.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:72;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:22:\"appetizers-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("885", "677", "_wp_attachment_image_alt", "appetizers");
INSERT INTO `wp_postmeta` VALUES("886", "678", "_wp_attached_file", "2016/05/salad.jpg");
INSERT INTO `wp_postmeta` VALUES("887", "678", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:600;s:4:\"file\";s:17:\"2016/05/salad.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:17:\"salad-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:17:\"salad-250x150.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:17:\"salad-768x461.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:461;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:17:\"salad-700x420.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:16:\"salad-120x72.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:72;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:17:\"salad-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("888", "678", "_wp_attachment_image_alt", "salad");
INSERT INTO `wp_postmeta` VALUES("889", "679", "_wp_attached_file", "2016/05/dessert.jpg");
INSERT INTO `wp_postmeta` VALUES("890", "679", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:600;s:4:\"file\";s:19:\"2016/05/dessert.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"dessert-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"dessert-250x150.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:19:\"dessert-768x461.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:461;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:19:\"dessert-700x420.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:18:\"dessert-120x72.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:72;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:19:\"dessert-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("891", "679", "_wp_attachment_image_alt", "dessert");
INSERT INTO `wp_postmeta` VALUES("892", "680", "_wp_attached_file", "2016/05/pizza-side-dishes.jpg");
INSERT INTO `wp_postmeta` VALUES("893", "680", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:29:\"2016/05/pizza-side-dishes.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:29:\"pizza-side-dishes-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:29:\"pizza-side-dishes-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:29:\"pizza-side-dishes-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:29:\"pizza-side-dishes-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:28:\"pizza-side-dishes-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:29:\"pizza-side-dishes-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("894", "680", "_wp_attachment_image_alt", "pizza side dishes");
INSERT INTO `wp_postmeta` VALUES("895", "676", "_thumbnail_id", "680");
INSERT INTO `wp_postmeta` VALUES("897", "676", "_yoast_wpseo_primary_category", "3");
INSERT INTO `wp_postmeta` VALUES("898", "685", "_tablepress_table_options", "{\"last_editor\":1,\"table_head\":true,\"table_foot\":false,\"alternating_row_colors\":true,\"row_hover\":true,\"print_name\":false,\"print_name_position\":\"above\",\"print_description\":false,\"print_description_position\":\"below\",\"extra_css_classes\":\"\",\"use_datatables\":true,\"datatables_sort\":true,\"datatables_filter\":true,\"datatables_paginate\":true,\"datatables_lengthchange\":true,\"datatables_paginate_entries\":10,\"datatables_info\":true,\"datatables_scrollx\":false,\"datatables_custom_commands\":\"\"}");
INSERT INTO `wp_postmeta` VALUES("899", "685", "_tablepress_table_visibility", "{\"rows\":[1,1,1,1,1,1],\"columns\":[1,1,1,1,1]}");
INSERT INTO `wp_postmeta` VALUES("900", "687", "_tablepress_table_options", "{\"last_editor\":1,\"table_head\":true,\"table_foot\":false,\"alternating_row_colors\":true,\"row_hover\":true,\"print_name\":false,\"print_name_position\":\"above\",\"print_description\":false,\"print_description_position\":\"below\",\"extra_css_classes\":\"\",\"use_datatables\":true,\"datatables_sort\":true,\"datatables_filter\":true,\"datatables_paginate\":true,\"datatables_lengthchange\":true,\"datatables_paginate_entries\":10,\"datatables_info\":true,\"datatables_scrollx\":false,\"datatables_custom_commands\":\"\"}");
INSERT INTO `wp_postmeta` VALUES("901", "687", "_tablepress_table_visibility", "{\"rows\":[1,1,1,1,1],\"columns\":[1,1,1]}");
INSERT INTO `wp_postmeta` VALUES("902", "691", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("903", "691", "_edit_lock", "1467141967:1");
INSERT INTO `wp_postmeta` VALUES("904", "692", "_wp_attached_file", "2016/06/Cadia-Organic-Gluten-Free-Vegan-Pizza-Sauce.jpg");
INSERT INTO `wp_postmeta` VALUES("905", "692", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:97;s:6:\"height\";i:175;s:4:\"file\";s:55:\"2016/06/Cadia-Organic-Gluten-Free-Vegan-Pizza-Sauce.jpg\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:54:\"Cadia-Organic-Gluten-Free-Vegan-Pizza-Sauce-97x150.jpg\";s:5:\"width\";i:97;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("906", "692", "_wp_attachment_image_alt", "Cadia Organic, Gluten Free, Vegan Pizza Sauce");
INSERT INTO `wp_postmeta` VALUES("907", "693", "_wp_attached_file", "2016/06/Muir-Glen-Organic-Pizza-Sauce.jpg");
INSERT INTO `wp_postmeta` VALUES("908", "693", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:109;s:6:\"height\";i:175;s:4:\"file\";s:41:\"2016/06/Muir-Glen-Organic-Pizza-Sauce.jpg\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:41:\"Muir-Glen-Organic-Pizza-Sauce-109x150.jpg\";s:5:\"width\";i:109;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("909", "693", "_wp_attachment_image_alt", "Muir Glen Organic Pizza Sauce");
INSERT INTO `wp_postmeta` VALUES("910", "694", "_wp_attached_file", "2016/06/Bertolli-Organic-Olive-Oil-Basil-Garlic-Sauce.jpg");
INSERT INTO `wp_postmeta` VALUES("911", "694", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:84;s:6:\"height\";i:175;s:4:\"file\";s:57:\"2016/06/Bertolli-Organic-Olive-Oil-Basil-Garlic-Sauce.jpg\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:56:\"Bertolli-Organic-Olive-Oil-Basil-Garlic-Sauce-84x150.jpg\";s:5:\"width\";i:84;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("912", "694", "_wp_attachment_image_alt", "Bertolli® Organic Olive Oil, Basil & Garlic Sauce");
INSERT INTO `wp_postmeta` VALUES("913", "695", "_wp_attached_file", "2016/06/Bertolli-Organic-Traditional-Tomato-Basil-Sauce.jpg");
INSERT INTO `wp_postmeta` VALUES("914", "695", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:84;s:6:\"height\";i:175;s:4:\"file\";s:59:\"2016/06/Bertolli-Organic-Traditional-Tomato-Basil-Sauce.jpg\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:58:\"Bertolli-Organic-Traditional-Tomato-Basil-Sauce-84x150.jpg\";s:5:\"width\";i:84;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("915", "695", "_wp_attachment_image_alt", "Bertolli® Organic Traditional Tomato & Basil Sauce");
INSERT INTO `wp_postmeta` VALUES("919", "697", "_wp_attached_file", "2016/06/Organicville-Organic-Pizza-Sauce.jpg");
INSERT INTO `wp_postmeta` VALUES("920", "697", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:110;s:6:\"height\";i:175;s:4:\"file\";s:44:\"2016/06/Organicville-Organic-Pizza-Sauce.jpg\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:44:\"Organicville-Organic-Pizza-Sauce-110x150.jpg\";s:5:\"width\";i:110;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("921", "697", "_wp_attachment_image_alt", "Organicville Organic Pizza Sauce");
INSERT INTO `wp_postmeta` VALUES("922", "698", "_wp_attached_file", "2016/06/organic-pizza-sauce.jpg");
INSERT INTO `wp_postmeta` VALUES("923", "698", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:31:\"2016/06/organic-pizza-sauce.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"organic-pizza-sauce-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"organic-pizza-sauce-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:31:\"organic-pizza-sauce-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:31:\"organic-pizza-sauce-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:30:\"organic-pizza-sauce-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:31:\"organic-pizza-sauce-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("924", "698", "_wp_attachment_image_alt", "");
INSERT INTO `wp_postmeta` VALUES("925", "691", "_thumbnail_id", "698");
INSERT INTO `wp_postmeta` VALUES("926", "691", "_yoast_wpseo_primary_category", "21");
INSERT INTO `wp_postmeta` VALUES("928", "700", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("929", "700", "_edit_lock", "1465862022:1");
INSERT INTO `wp_postmeta` VALUES("930", "701", "_wp_attached_file", "2016/06/Luigis-Pizza-Fresca.jpg");
INSERT INTO `wp_postmeta` VALUES("931", "701", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:640;s:6:\"height\";i:460;s:4:\"file\";s:31:\"2016/06/Luigis-Pizza-Fresca.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"Luigis-Pizza-Fresca-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"Luigis-Pizza-Fresca-250x180.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:180;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:30:\"Luigis-Pizza-Fresca-120x86.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:86;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:31:\"Luigis-Pizza-Fresca-640x200.jpg\";s:5:\"width\";i:640;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("932", "701", "_wp_attachment_image_alt", "Luigi’s Pizza Fresca");
INSERT INTO `wp_postmeta` VALUES("933", "702", "_wp_attached_file", "2016/06/Lazaros-Pizzeria-and-Grill.jpg");
INSERT INTO `wp_postmeta` VALUES("934", "702", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:720;s:6:\"height\";i:524;s:4:\"file\";s:38:\"2016/06/Lazaros-Pizzeria-and-Grill.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"Lazaros-Pizzeria-and-Grill-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"Lazaros-Pizzeria-and-Grill-250x182.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:182;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:38:\"Lazaros-Pizzeria-and-Grill-700x509.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:509;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:37:\"Lazaros-Pizzeria-and-Grill-120x87.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:87;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:38:\"Lazaros-Pizzeria-and-Grill-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("935", "702", "_wp_attachment_image_alt", "Lazaro’s Pizzeria and Grill");
INSERT INTO `wp_postmeta` VALUES("936", "703", "_wp_attached_file", "2016/06/Rustica.jpg");
INSERT INTO `wp_postmeta` VALUES("937", "703", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:630;s:4:\"file\";s:19:\"2016/06/Rustica.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"Rustica-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"Rustica-250x197.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:197;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:19:\"Rustica-768x605.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:605;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:19:\"Rustica-700x551.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:551;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:18:\"Rustica-120x95.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:95;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:19:\"Rustica-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("938", "703", "_wp_attachment_image_alt", "Rustica");
INSERT INTO `wp_postmeta` VALUES("939", "704", "_wp_attached_file", "2016/06/Kermits-Bake-Shoppe.jpg");
INSERT INTO `wp_postmeta` VALUES("940", "704", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:600;s:4:\"file\";s:31:\"2016/06/Kermits-Bake-Shoppe.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"Kermits-Bake-Shoppe-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"Kermits-Bake-Shoppe-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:31:\"Kermits-Bake-Shoppe-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:31:\"Kermits-Bake-Shoppe-700x525.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:30:\"Kermits-Bake-Shoppe-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:31:\"Kermits-Bake-Shoppe-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("941", "704", "_wp_attachment_image_alt", "Kermit’s Bake Shoppe");
INSERT INTO `wp_postmeta` VALUES("942", "705", "_wp_attached_file", "2016/06/Lorenzo-Sons.jpg");
INSERT INTO `wp_postmeta` VALUES("943", "705", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:711;s:6:\"height\";i:533;s:4:\"file\";s:24:\"2016/06/Lorenzo-Sons.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"Lorenzo-Sons-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:24:\"Lorenzo-Sons-250x187.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:187;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:24:\"Lorenzo-Sons-700x525.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:23:\"Lorenzo-Sons-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:24:\"Lorenzo-Sons-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("944", "705", "_wp_attachment_image_alt", "Lorenzo & Sons");
INSERT INTO `wp_postmeta` VALUES("945", "706", "_wp_attached_file", "2016/06/Pizza-Brain.jpg");
INSERT INTO `wp_postmeta` VALUES("946", "706", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:524;s:4:\"file\";s:23:\"2016/06/Pizza-Brain.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"Pizza-Brain-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"Pizza-Brain-250x164.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:23:\"Pizza-Brain-768x503.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:503;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:23:\"Pizza-Brain-700x459.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:459;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:22:\"Pizza-Brain-120x79.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:79;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:23:\"Pizza-Brain-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("947", "706", "_wp_attachment_image_alt", "Pizza Brain");
INSERT INTO `wp_postmeta` VALUES("948", "707", "_wp_attached_file", "2016/06/Slice.jpg");
INSERT INTO `wp_postmeta` VALUES("949", "707", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:526;s:4:\"file\";s:17:\"2016/06/Slice.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:17:\"Slice-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:17:\"Slice-250x164.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:17:\"Slice-768x505.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:505;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:17:\"Slice-700x460.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:460;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:16:\"Slice-120x79.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:79;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:17:\"Slice-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("950", "707", "_wp_attachment_image_alt", "Slice");
INSERT INTO `wp_postmeta` VALUES("951", "708", "_wp_attached_file", "2016/06/Little-Italy.jpg");
INSERT INTO `wp_postmeta` VALUES("952", "708", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:700;s:6:\"height\";i:523;s:4:\"file\";s:24:\"2016/06/Little-Italy.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"Little-Italy-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:24:\"Little-Italy-250x187.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:187;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:24:\"Little-Italy-700x523.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:523;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:23:\"Little-Italy-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:24:\"Little-Italy-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("953", "708", "_wp_attachment_image_alt", "Little Italy");
INSERT INTO `wp_postmeta` VALUES("954", "709", "_wp_attached_file", "2016/06/Francoluigis-Pizzeria.jpg");
INSERT INTO `wp_postmeta` VALUES("955", "709", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:600;s:6:\"height\";i:300;s:4:\"file\";s:33:\"2016/06/Francoluigis-Pizzeria.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:33:\"Francoluigis-Pizzeria-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:33:\"Francoluigis-Pizzeria-250x125.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:125;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:32:\"Francoluigis-Pizzeria-120x60.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:60;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:33:\"Francoluigis-Pizzeria-600x200.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("956", "709", "_wp_attachment_image_alt", "Francoluigi’s Pizzeria");
INSERT INTO `wp_postmeta` VALUES("957", "710", "_wp_attached_file", "2016/06/Rosas-Fresh-Pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("958", "710", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:480;s:6:\"height\";i:320;s:4:\"file\";s:29:\"2016/06/Rosas-Fresh-Pizza.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:29:\"Rosas-Fresh-Pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:29:\"Rosas-Fresh-Pizza-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:28:\"Rosas-Fresh-Pizza-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:29:\"Rosas-Fresh-Pizza-480x200.jpg\";s:5:\"width\";i:480;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("959", "710", "_wp_attachment_image_alt", "Rosa’s Fresh Pizza");
INSERT INTO `wp_postmeta` VALUES("960", "700", "_yoast_wpseo_primary_category", "7");
INSERT INTO `wp_postmeta` VALUES("961", "712", "_wp_attached_file", "2016/06/Phillys-Top-10-Pizza-Places.jpg");
INSERT INTO `wp_postmeta` VALUES("962", "712", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:39:\"2016/06/Phillys-Top-10-Pizza-Places.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:39:\"Phillys-Top-10-Pizza-Places-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:39:\"Phillys-Top-10-Pizza-Places-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:39:\"Phillys-Top-10-Pizza-Places-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"Phillys-Top-10-Pizza-Places-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:38:\"Phillys-Top-10-Pizza-Places-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:39:\"Phillys-Top-10-Pizza-Places-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("963", "700", "_thumbnail_id", "712");
INSERT INTO `wp_postmeta` VALUES("964", "712", "_wp_attachment_image_alt", "Philly’s Top 10 Pizza Places");
INSERT INTO `wp_postmeta` VALUES("965", "11", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("971", "720", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("972", "720", "_edit_lock", "1525962766:2");
INSERT INTO `wp_postmeta` VALUES("973", "720", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("974", "720", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("975", "724", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("976", "724", "_edit_lock", "1466711663:1");
INSERT INTO `wp_postmeta` VALUES("982", "724", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("983", "724", "_yoast_wpseo_primary_category", "21");
INSERT INTO `wp_postmeta` VALUES("984", "727", "_wp_attached_file", "2016/06/greens-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("985", "727", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:24:\"2016/06/greens-pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"greens-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:24:\"greens-pizza-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:24:\"greens-pizza-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:24:\"greens-pizza-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:23:\"greens-pizza-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:24:\"greens-pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("986", "727", "_wp_attachment_image_alt", "greens pizza");
INSERT INTO `wp_postmeta` VALUES("987", "724", "_thumbnail_id", "727");
INSERT INTO `wp_postmeta` VALUES("989", "728", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("990", "728", "_edit_lock", "1466713572:1");
INSERT INTO `wp_postmeta` VALUES("991", "729", "_wp_attached_file", "2016/06/Pomo-Pizzeria-Napoletana.jpg");
INSERT INTO `wp_postmeta` VALUES("992", "729", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:600;s:6:\"height\";i:300;s:4:\"file\";s:36:\"2016/06/Pomo-Pizzeria-Napoletana.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:36:\"Pomo-Pizzeria-Napoletana-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:36:\"Pomo-Pizzeria-Napoletana-250x125.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:125;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:35:\"Pomo-Pizzeria-Napoletana-120x60.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:60;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:36:\"Pomo-Pizzeria-Napoletana-600x200.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("993", "729", "_wp_attachment_image_alt", "Pomo Pizzeria Napoletana");
INSERT INTO `wp_postmeta` VALUES("994", "730", "_wp_attached_file", "2016/06/federal-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("995", "730", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1025;s:6:\"height\";i:685;s:4:\"file\";s:25:\"2016/06/federal-pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"federal-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"federal-pizza-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"federal-pizza-768x513.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:513;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:25:\"federal-pizza-700x468.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:468;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:24:\"federal-pizza-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:25:\"federal-pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("996", "730", "_wp_attachment_image_alt", "Federal Pizza");
INSERT INTO `wp_postmeta` VALUES("997", "731", "_wp_attached_file", "2016/06/pizzeria-bianco.jpg");
INSERT INTO `wp_postmeta` VALUES("998", "731", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:990;s:6:\"height\";i:660;s:4:\"file\";s:27:\"2016/06/pizzeria-bianco.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"pizzeria-bianco-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"pizzeria-bianco-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"pizzeria-bianco-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:27:\"pizzeria-bianco-700x467.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:467;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:26:\"pizzeria-bianco-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:27:\"pizzeria-bianco-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("999", "731", "_wp_attachment_image_alt", "Pizzeria Bianco");
INSERT INTO `wp_postmeta` VALUES("1000", "732", "_wp_attached_file", "2016/06/La-Grande-Orange-Pizzeria.jpg");
INSERT INTO `wp_postmeta` VALUES("1001", "732", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:458;s:4:\"file\";s:37:\"2016/06/La-Grande-Orange-Pizzeria.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:37:\"La-Grande-Orange-Pizzeria-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:37:\"La-Grande-Orange-Pizzeria-250x143.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:143;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:37:\"La-Grande-Orange-Pizzeria-768x440.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:440;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:37:\"La-Grande-Orange-Pizzeria-700x401.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:401;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:36:\"La-Grande-Orange-Pizzeria-120x69.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:69;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:37:\"La-Grande-Orange-Pizzeria-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1002", "732", "_wp_attachment_image_alt", "La Grande Orange Pizzeria");
INSERT INTO `wp_postmeta` VALUES("1003", "733", "_wp_attached_file", "2016/06/Cibo.jpg");
INSERT INTO `wp_postmeta` VALUES("1004", "733", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:736;s:6:\"height\";i:414;s:4:\"file\";s:16:\"2016/06/Cibo.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:16:\"Cibo-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:16:\"Cibo-250x141.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:141;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:16:\"Cibo-700x394.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:394;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:15:\"Cibo-120x68.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:68;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:16:\"Cibo-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1005", "733", "_wp_attachment_image_alt", "Cibo");
INSERT INTO `wp_postmeta` VALUES("1006", "734", "_wp_attached_file", "2016/06/Spinatos-Pizzeria.jpg");
INSERT INTO `wp_postmeta` VALUES("1007", "734", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:385;s:4:\"file\";s:29:\"2016/06/Spinatos-Pizzeria.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:29:\"Spinatos-Pizzeria-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:29:\"Spinatos-Pizzeria-250x120.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:120;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:29:\"Spinatos-Pizzeria-768x370.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:370;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:29:\"Spinatos-Pizzeria-700x337.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:337;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:28:\"Spinatos-Pizzeria-120x58.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:58;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:29:\"Spinatos-Pizzeria-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1008", "734", "_wp_attachment_image_alt", "Spinato’s Pizzeria");
INSERT INTO `wp_postmeta` VALUES("1009", "735", "_wp_attached_file", "2016/06/Oreganos-Pizza-Bistro.jpg");
INSERT INTO `wp_postmeta` VALUES("1010", "735", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:550;s:6:\"height\";i:275;s:4:\"file\";s:33:\"2016/06/Oreganos-Pizza-Bistro.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:33:\"Oreganos-Pizza-Bistro-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:33:\"Oreganos-Pizza-Bistro-250x125.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:125;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:32:\"Oreganos-Pizza-Bistro-120x60.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:60;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:33:\"Oreganos-Pizza-Bistro-550x200.jpg\";s:5:\"width\";i:550;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1011", "735", "_wp_attachment_image_alt", "Oregano’s Pizza Bistro");
INSERT INTO `wp_postmeta` VALUES("1012", "736", "_wp_attached_file", "2016/06/la-bocca-urban-pizzaria.jpg");
INSERT INTO `wp_postmeta` VALUES("1013", "736", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:550;s:6:\"height\";i:366;s:4:\"file\";s:35:\"2016/06/la-bocca-urban-pizzaria.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:35:\"la-bocca-urban-pizzaria-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:35:\"la-bocca-urban-pizzaria-250x166.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:166;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:34:\"la-bocca-urban-pizzaria-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:35:\"la-bocca-urban-pizzaria-550x200.jpg\";s:5:\"width\";i:550;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1014", "736", "_wp_attachment_image_alt", "La Bocca Urban Pizzeria & Wine Bar");
INSERT INTO `wp_postmeta` VALUES("1015", "737", "_wp_attached_file", "2016/06/lamp-wood-oven-pizzeria.jpg");
INSERT INTO `wp_postmeta` VALUES("1016", "737", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:745;s:6:\"height\";i:497;s:4:\"file\";s:35:\"2016/06/lamp-wood-oven-pizzeria.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:35:\"lamp-wood-oven-pizzeria-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:35:\"lamp-wood-oven-pizzeria-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:35:\"lamp-wood-oven-pizzeria-700x467.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:467;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:34:\"lamp-wood-oven-pizzeria-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:35:\"lamp-wood-oven-pizzeria-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1017", "737", "_wp_attachment_image_alt", "Lamp Wood Oven Pizzeria");
INSERT INTO `wp_postmeta` VALUES("1018", "738", "_wp_attached_file", "2016/06/olde-64.jpg");
INSERT INTO `wp_postmeta` VALUES("1019", "738", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:864;s:6:\"height\";i:576;s:4:\"file\";s:19:\"2016/06/olde-64.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"olde-64-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"olde-64-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:19:\"olde-64-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:19:\"olde-64-700x467.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:467;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:18:\"olde-64-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:19:\"olde-64-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1418474658\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1020", "738", "_wp_attachment_image_alt", "Olde 64");
INSERT INTO `wp_postmeta` VALUES("1021", "739", "_wp_attached_file", "2016/06/pizza-places-phoenix.jpg");
INSERT INTO `wp_postmeta` VALUES("1022", "739", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:32:\"2016/06/pizza-places-phoenix.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:32:\"pizza-places-phoenix-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:32:\"pizza-places-phoenix-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:32:\"pizza-places-phoenix-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:32:\"pizza-places-phoenix-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:31:\"pizza-places-phoenix-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:32:\"pizza-places-phoenix-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1023", "739", "_wp_attachment_image_alt", "");
INSERT INTO `wp_postmeta` VALUES("1024", "728", "_thumbnail_id", "739");
INSERT INTO `wp_postmeta` VALUES("1026", "728", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1027", "728", "_yoast_wpseo_primary_category", "7");
INSERT INTO `wp_postmeta` VALUES("1028", "742", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1029", "742", "_edit_lock", "1467140503:1");
INSERT INTO `wp_postmeta` VALUES("1030", "743", "_wp_attached_file", "2016/06/4th-July-Independence-Day.jpg");
INSERT INTO `wp_postmeta` VALUES("1031", "743", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:37:\"2016/06/4th-July-Independence-Day.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:37:\"4th-July-Independence-Day-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:37:\"4th-July-Independence-Day-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:37:\"4th-July-Independence-Day-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:37:\"4th-July-Independence-Day-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:36:\"4th-July-Independence-Day-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:37:\"4th-July-Independence-Day-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1032", "743", "_wp_attachment_image_alt", "Independence Day");
INSERT INTO `wp_postmeta` VALUES("1033", "742", "_thumbnail_id", "743");
INSERT INTO `wp_postmeta` VALUES("1034", "744", "_wp_attached_file", "2016/06/4th-Of-July.jpg");
INSERT INTO `wp_postmeta` VALUES("1035", "744", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:546;s:6:\"height\";i:451;s:4:\"file\";s:23:\"2016/06/4th-Of-July.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"4th-Of-July-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"4th-Of-July-250x207.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:207;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:22:\"4th-Of-July-120x99.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:99;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:23:\"4th-Of-July-546x200.jpg\";s:5:\"width\";i:546;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1036", "744", "_wp_attachment_image_alt", "");
INSERT INTO `wp_postmeta` VALUES("1040", "746", "_wp_attached_file", "2016/06/Independence-Day-4th-of-July-kite.jpg");
INSERT INTO `wp_postmeta` VALUES("1041", "746", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:645;s:6:\"height\";i:645;s:4:\"file\";s:45:\"2016/06/Independence-Day-4th-of-July-kite.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:45:\"Independence-Day-4th-of-July-kite-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:45:\"Independence-Day-4th-of-July-kite-250x250.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:45:\"Independence-Day-4th-of-July-kite-120x120.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:120;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:45:\"Independence-Day-4th-of-July-kite-645x200.jpg\";s:5:\"width\";i:645;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1042", "746", "_wp_attachment_image_alt", "Independence Day 4th of July kites");
INSERT INTO `wp_postmeta` VALUES("1043", "747", "_wp_attached_file", "2016/06/Sonoran-Hot-Dog.jpg");
INSERT INTO `wp_postmeta` VALUES("1044", "747", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:600;s:6:\"height\";i:402;s:4:\"file\";s:27:\"2016/06/Sonoran-Hot-Dog.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"Sonoran-Hot-Dog-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"Sonoran-Hot-Dog-250x168.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:168;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:26:\"Sonoran-Hot-Dog-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:27:\"Sonoran-Hot-Dog-600x200.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1045", "747", "_wp_attachment_image_alt", "Sonoran hot dog");
INSERT INTO `wp_postmeta` VALUES("1046", "748", "_wp_attached_file", "2016/06/mason-jar-flags.jpg");
INSERT INTO `wp_postmeta` VALUES("1047", "748", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:531;s:4:\"file\";s:27:\"2016/06/mason-jar-flags.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"mason-jar-flags-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"mason-jar-flags-250x166.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:166;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"mason-jar-flags-768x510.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:510;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:27:\"mason-jar-flags-700x465.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:465;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:26:\"mason-jar-flags-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:27:\"mason-jar-flags-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1048", "748", "_wp_attachment_image_alt", "Independence Day 4th of July decorations");
INSERT INTO `wp_postmeta` VALUES("1050", "742", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1051", "742", "_yoast_wpseo_primary_category", "5");
INSERT INTO `wp_postmeta` VALUES("1053", "751", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1054", "751", "_edit_lock", "1467149006:1");
INSERT INTO `wp_postmeta` VALUES("1055", "751", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1056", "751", "_yoast_wpseo_primary_category", "3");
INSERT INTO `wp_postmeta` VALUES("1057", "753", "_wp_attached_file", "2016/06/fruit-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("1058", "753", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:390;s:6:\"height\";i:500;s:4:\"file\";s:23:\"2016/06/fruit-pizza.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"fruit-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"fruit-pizza-250x321.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:321;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:23:\"fruit-pizza-120x154.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:154;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:23:\"fruit-pizza-390x200.jpg\";s:5:\"width\";i:390;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1059", "753", "_wp_attachment_image_alt", "fruit pizza");
INSERT INTO `wp_postmeta` VALUES("1060", "754", "_wp_attached_file", "2016/06/SmoresPieBrighter.jpg");
INSERT INTO `wp_postmeta` VALUES("1061", "754", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:667;s:4:\"file\";s:29:\"2016/06/SmoresPieBrighter.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:29:\"SmoresPieBrighter-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:29:\"SmoresPieBrighter-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:29:\"SmoresPieBrighter-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:29:\"SmoresPieBrighter-700x467.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:467;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:28:\"SmoresPieBrighter-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:29:\"SmoresPieBrighter-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:12:\"Canon EOS 7D\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1375759557\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"50\";s:3:\"iso\";s:3:\"800\";s:13:\"shutter_speed\";s:4:\"0.01\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1062", "754", "_wp_attachment_image_alt", "S\'mores Pie");
INSERT INTO `wp_postmeta` VALUES("1063", "755", "_wp_attached_file", "2016/06/rasberry-almond.jpg");
INSERT INTO `wp_postmeta` VALUES("1064", "755", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:616;s:6:\"height\";i:462;s:4:\"file\";s:27:\"2016/06/rasberry-almond.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"rasberry-almond-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"rasberry-almond-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:26:\"rasberry-almond-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:27:\"rasberry-almond-616x200.jpg\";s:5:\"width\";i:616;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1065", "755", "_wp_attachment_image_alt", "r");
INSERT INTO `wp_postmeta` VALUES("1066", "756", "_wp_attached_file", "2016/06/berry-brownie-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("1067", "756", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:500;s:6:\"height\";i:331;s:4:\"file\";s:31:\"2016/06/berry-brownie-pizza.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"berry-brownie-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"berry-brownie-pizza-250x166.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:166;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:30:\"berry-brownie-pizza-120x79.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:79;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:31:\"berry-brownie-pizza-500x200.jpg\";s:5:\"width\";i:500;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1068", "756", "_wp_attachment_image_alt", "Berry-brownie pizza");
INSERT INTO `wp_postmeta` VALUES("1069", "757", "_wp_attached_file", "2016/06/layered-pear-pizza-Ricotta-apricot-preserves.jpeg");
INSERT INTO `wp_postmeta` VALUES("1070", "757", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:406;s:6:\"height\";i:305;s:4:\"file\";s:57:\"2016/06/layered-pear-pizza-Ricotta-apricot-preserves.jpeg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:57:\"layered-pear-pizza-Ricotta-apricot-preserves-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:57:\"layered-pear-pizza-Ricotta-apricot-preserves-250x188.jpeg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:56:\"layered-pear-pizza-Ricotta-apricot-preserves-120x90.jpeg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:57:\"layered-pear-pizza-Ricotta-apricot-preserves-406x200.jpeg\";s:5:\"width\";i:406;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1071", "757", "_wp_attachment_image_alt", "Layered pear pizza with Ricotta and apricot preserves");
INSERT INTO `wp_postmeta` VALUES("1072", "759", "_wp_attached_file", "2016/06/dessert-pizza-ideas.jpg");
INSERT INTO `wp_postmeta` VALUES("1073", "759", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:31:\"2016/06/dessert-pizza-ideas.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"dessert-pizza-ideas-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"dessert-pizza-ideas-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:31:\"dessert-pizza-ideas-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:31:\"dessert-pizza-ideas-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:30:\"dessert-pizza-ideas-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:31:\"dessert-pizza-ideas-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1074", "759", "_wp_attachment_image_alt", "");
INSERT INTO `wp_postmeta` VALUES("1075", "751", "_thumbnail_id", "759");
INSERT INTO `wp_postmeta` VALUES("1078", "654", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1080", "764", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1081", "764", "_edit_lock", "1469311765:1");
INSERT INTO `wp_postmeta` VALUES("1082", "764", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1083", "764", "_yoast_wpseo_primary_category", "5");
INSERT INTO `wp_postmeta` VALUES("1084", "766", "_wp_attached_file", "2016/07/One-Last-Summer-Bash-Before-Sending-Your-Kids-Back-to-School.jpg");
INSERT INTO `wp_postmeta` VALUES("1085", "766", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:72:\"2016/07/One-Last-Summer-Bash-Before-Sending-Your-Kids-Back-to-School.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:72:\"One-Last-Summer-Bash-Before-Sending-Your-Kids-Back-to-School-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:72:\"One-Last-Summer-Bash-Before-Sending-Your-Kids-Back-to-School-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:72:\"One-Last-Summer-Bash-Before-Sending-Your-Kids-Back-to-School-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:72:\"One-Last-Summer-Bash-Before-Sending-Your-Kids-Back-to-School-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:71:\"One-Last-Summer-Bash-Before-Sending-Your-Kids-Back-to-School-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:72:\"One-Last-Summer-Bash-Before-Sending-Your-Kids-Back-to-School-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1086", "766", "_wp_attachment_image_alt", "One Last Summer Bash Before Sending Your Kids Back to School");
INSERT INTO `wp_postmeta` VALUES("1087", "764", "_thumbnail_id", "766");
INSERT INTO `wp_postmeta` VALUES("1090", "769", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1091", "769", "_edit_lock", "1470950240:1");
INSERT INTO `wp_postmeta` VALUES("1092", "769", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1093", "769", "_yoast_wpseo_primary_category", "7");
INSERT INTO `wp_postmeta` VALUES("1094", "773", "_wp_attached_file", "2016/08/Fratellos-Deli.jpg");
INSERT INTO `wp_postmeta` VALUES("1095", "773", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:533;s:4:\"file\";s:26:\"2016/08/Fratellos-Deli.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"Fratellos-Deli-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"Fratellos-Deli-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:26:\"Fratellos-Deli-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"Fratellos-Deli-700x466.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:466;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:25:\"Fratellos-Deli-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:26:\"Fratellos-Deli-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1096", "773", "_wp_attachment_image_alt", "Fratello\'s Deli");
INSERT INTO `wp_postmeta` VALUES("1097", "774", "_wp_attached_file", "2016/08/SOBRO-Pizza-Co.jpg");
INSERT INTO `wp_postmeta` VALUES("1098", "774", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:640;s:6:\"height\";i:427;s:4:\"file\";s:26:\"2016/08/SOBRO-Pizza-Co.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"SOBRO-Pizza-Co-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"SOBRO-Pizza-Co-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:25:\"SOBRO-Pizza-Co-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:26:\"SOBRO-Pizza-Co-640x200.jpg\";s:5:\"width\";i:640;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1099", "774", "_wp_attachment_image_alt", "SOBRO Pizza Co.");
INSERT INTO `wp_postmeta` VALUES("1100", "775", "_wp_attached_file", "2016/08/Barbaro.jpg");
INSERT INTO `wp_postmeta` VALUES("1101", "775", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:533;s:4:\"file\";s:19:\"2016/08/Barbaro.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"Barbaro-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"Barbaro-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:19:\"Barbaro-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:19:\"Barbaro-700x466.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:466;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:18:\"Barbaro-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:19:\"Barbaro-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1102", "775", "_wp_attachment_image_alt", "Barbaro");
INSERT INTO `wp_postmeta` VALUES("1103", "776", "_wp_attached_file", "2016/08/20-Nine-Restaurant-and-Wine-Bar.jpg");
INSERT INTO `wp_postmeta` VALUES("1104", "776", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:533;s:4:\"file\";s:43:\"2016/08/20-Nine-Restaurant-and-Wine-Bar.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:43:\"20-Nine-Restaurant-and-Wine-Bar-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:43:\"20-Nine-Restaurant-and-Wine-Bar-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:43:\"20-Nine-Restaurant-and-Wine-Bar-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:43:\"20-Nine-Restaurant-and-Wine-Bar-700x466.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:466;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:42:\"20-Nine-Restaurant-and-Wine-Bar-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:43:\"20-Nine-Restaurant-and-Wine-Bar-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1105", "776", "_wp_attachment_image_alt", "20 Nine Restaurant and Wine Bar");
INSERT INTO `wp_postmeta` VALUES("1106", "777", "_wp_attached_file", "2016/08/Grimaldis-Pizzeria.jpg");
INSERT INTO `wp_postmeta` VALUES("1107", "777", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:550;s:6:\"height\";i:309;s:4:\"file\";s:30:\"2016/08/Grimaldis-Pizzeria.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:30:\"Grimaldis-Pizzeria-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:30:\"Grimaldis-Pizzeria-250x140.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:140;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:29:\"Grimaldis-Pizzeria-120x67.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:67;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:30:\"Grimaldis-Pizzeria-550x200.jpg\";s:5:\"width\";i:550;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1108", "777", "_wp_attachment_image_alt", "Grimaldi\'s Pizzeria");
INSERT INTO `wp_postmeta` VALUES("1109", "778", "_wp_attached_file", "2016/08/Tribeca.jpg");
INSERT INTO `wp_postmeta` VALUES("1110", "778", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:800;s:6:\"height\";i:533;s:4:\"file\";s:19:\"2016/08/Tribeca.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"Tribeca-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"Tribeca-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:19:\"Tribeca-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:19:\"Tribeca-700x466.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:466;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:18:\"Tribeca-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:19:\"Tribeca-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1111", "778", "_wp_attachment_image_alt", "Tribeca");
INSERT INTO `wp_postmeta` VALUES("1112", "779", "_wp_attached_file", "2016/08/Dough-Pizzeria-Napoletana.jpg");
INSERT INTO `wp_postmeta` VALUES("1113", "779", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:500;s:6:\"height\";i:375;s:4:\"file\";s:37:\"2016/08/Dough-Pizzeria-Napoletana.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:37:\"Dough-Pizzeria-Napoletana-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:37:\"Dough-Pizzeria-Napoletana-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:36:\"Dough-Pizzeria-Napoletana-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:37:\"Dough-Pizzeria-Napoletana-500x200.jpg\";s:5:\"width\";i:500;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1114", "779", "_wp_attachment_image_alt", "Dough Pizzeria Napoletana");
INSERT INTO `wp_postmeta` VALUES("1115", "780", "_wp_attached_file", "2016/08/Mellow-Mushroom.jpg");
INSERT INTO `wp_postmeta` VALUES("1116", "780", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:500;s:6:\"height\";i:247;s:4:\"file\";s:27:\"2016/08/Mellow-Mushroom.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"Mellow-Mushroom-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"Mellow-Mushroom-250x124.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:124;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:26:\"Mellow-Mushroom-120x59.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:59;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:27:\"Mellow-Mushroom-500x200.jpg\";s:5:\"width\";i:500;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1117", "780", "_wp_attachment_image_alt", "Mellow Mushroom");
INSERT INTO `wp_postmeta` VALUES("1118", "781", "_wp_attached_file", "2016/08/Cerronis-Purple-Garlic.jpg");
INSERT INTO `wp_postmeta` VALUES("1119", "781", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:520;s:6:\"height\";i:316;s:4:\"file\";s:34:\"2016/08/Cerronis-Purple-Garlic.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:34:\"Cerronis-Purple-Garlic-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:34:\"Cerronis-Purple-Garlic-250x152.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:152;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:33:\"Cerronis-Purple-Garlic-120x73.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:73;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:34:\"Cerronis-Purple-Garlic-520x200.jpg\";s:5:\"width\";i:520;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1120", "781", "_wp_attachment_image_alt", "Cerroni\'s Purple Garlic");
INSERT INTO `wp_postmeta` VALUES("1121", "782", "_wp_attached_file", "2016/08/Big-Lous-Pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("1122", "782", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:600;s:6:\"height\";i:345;s:4:\"file\";s:26:\"2016/08/Big-Lous-Pizza.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"Big-Lous-Pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"Big-Lous-Pizza-250x144.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:144;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:25:\"Big-Lous-Pizza-120x69.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:69;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:26:\"Big-Lous-Pizza-600x200.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1123", "782", "_wp_attachment_image_alt", "Big Lou\'s Pizza");
INSERT INTO `wp_postmeta` VALUES("1124", "783", "_wp_attached_file", "2016/08/San-Antonios-Pizza-Places.jpg");
INSERT INTO `wp_postmeta` VALUES("1125", "783", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:37:\"2016/08/San-Antonios-Pizza-Places.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:37:\"San-Antonios-Pizza-Places-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:37:\"San-Antonios-Pizza-Places-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:37:\"San-Antonios-Pizza-Places-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:37:\"San-Antonios-Pizza-Places-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:36:\"San-Antonios-Pizza-Places-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:37:\"San-Antonios-Pizza-Places-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1126", "783", "_wp_attachment_image_alt", "");
INSERT INTO `wp_postmeta` VALUES("1127", "769", "_thumbnail_id", "783");
INSERT INTO `wp_postmeta` VALUES("1129", "786", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1130", "786", "_edit_lock", "1471635824:1");
INSERT INTO `wp_postmeta` VALUES("1131", "786", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1132", "786", "_yoast_wpseo_primary_category", "3");
INSERT INTO `wp_postmeta` VALUES("1135", "796", "_wp_attached_file", "2016/08/pizza-styles.jpg");
INSERT INTO `wp_postmeta` VALUES("1136", "796", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:24:\"2016/08/pizza-styles.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"pizza-styles-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:24:\"pizza-styles-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:24:\"pizza-styles-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:24:\"pizza-styles-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:23:\"pizza-styles-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:24:\"pizza-styles-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1137", "796", "_wp_attachment_image_alt", "pizza-styles");
INSERT INTO `wp_postmeta` VALUES("1138", "786", "_thumbnail_id", "796");
INSERT INTO `wp_postmeta` VALUES("1141", "799", "_wp_attached_file", "2016/08/new-york-style-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("1142", "799", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:500;s:6:\"height\";i:375;s:4:\"file\";s:32:\"2016/08/new-york-style-pizza.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:32:\"new-york-style-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:32:\"new-york-style-pizza-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:31:\"new-york-style-pizza-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:32:\"new-york-style-pizza-500x200.jpg\";s:5:\"width\";i:500;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:3:\"3.5\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:20:\"Canon EOS 5D Mark II\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1286278983\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"50\";s:3:\"iso\";s:3:\"100\";s:13:\"shutter_speed\";s:3:\"0.4\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1143", "799", "_wp_attachment_image_alt", "New York-style pizza");
INSERT INTO `wp_postmeta` VALUES("1144", "800", "_wp_attached_file", "2016/08/deep-dish-chicago-style-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("1145", "800", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:420;s:6:\"height\";i:307;s:4:\"file\";s:41:\"2016/08/deep-dish-chicago-style-pizza.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:41:\"deep-dish-chicago-style-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:41:\"deep-dish-chicago-style-pizza-250x183.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:183;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:40:\"deep-dish-chicago-style-pizza-120x88.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:88;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:41:\"deep-dish-chicago-style-pizza-420x200.jpg\";s:5:\"width\";i:420;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:3:\"2.6\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:27:\"HP PhotoSmart C935 (V03.74)\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1044377003\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:3:\"7.6\";s:3:\"iso\";s:3:\"100\";s:13:\"shutter_speed\";s:7:\"0.01666\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1146", "800", "_wp_attachment_image_alt", "Chicago-style pizza");
INSERT INTO `wp_postmeta` VALUES("1147", "801", "_wp_attached_file", "2016/08/california-style-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("1148", "801", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:500;s:6:\"height\";i:375;s:4:\"file\";s:34:\"2016/08/california-style-pizza.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:34:\"california-style-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:34:\"california-style-pizza-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:33:\"california-style-pizza-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:34:\"california-style-pizza-500x200.jpg\";s:5:\"width\";i:500;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1149", "801", "_wp_attachment_image_alt", "California-style pizza");
INSERT INTO `wp_postmeta` VALUES("1151", "175", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1152", "409", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1153", "809", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1154", "809", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1155", "809", "_yoast_wpseo_primary_category", "3");
INSERT INTO `wp_postmeta` VALUES("1156", "809", "_edit_lock", "1473258510:1");
INSERT INTO `wp_postmeta` VALUES("1157", "814", "_wp_attached_file", "2016/09/pizza-lunch.jpg");
INSERT INTO `wp_postmeta` VALUES("1158", "814", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:23:\"2016/09/pizza-lunch.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"pizza-lunch-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"pizza-lunch-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:23:\"pizza-lunch-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:23:\"pizza-lunch-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:22:\"pizza-lunch-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:23:\"pizza-lunch-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1159", "814", "_wp_attachment_image_alt", "pizza lunch");
INSERT INTO `wp_postmeta` VALUES("1160", "809", "_thumbnail_id", "814");
INSERT INTO `wp_postmeta` VALUES("1162", "809", "_yoast_wpseo_focuskw_text_input", "pizza lunch");
INSERT INTO `wp_postmeta` VALUES("1163", "809", "_yoast_wpseo_focuskw", "pizza lunch");
INSERT INTO `wp_postmeta` VALUES("1164", "809", "_yoast_wpseo_title", "How to Bring Pizza for Lunch without Losing Taste or Texture");
INSERT INTO `wp_postmeta` VALUES("1165", "809", "_yoast_wpseo_metadesc", "Want to bring a slice of pizza for lunch without ruining its taste or texture? Try this amazing technique!");
INSERT INTO `wp_postmeta` VALUES("1166", "809", "_yoast_wpseo_linkdex", "67");
INSERT INTO `wp_postmeta` VALUES("1169", "816", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1170", "816", "_edit_lock", "1473277861:1");
INSERT INTO `wp_postmeta` VALUES("1171", "816", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1172", "816", "_yoast_wpseo_primary_category", "3");
INSERT INTO `wp_postmeta` VALUES("1173", "818", "_wp_attached_file", "2016/09/spicy-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("1174", "818", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:23:\"2016/09/spicy-pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"spicy-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"spicy-pizza-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:23:\"spicy-pizza-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:23:\"spicy-pizza-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:22:\"spicy-pizza-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:23:\"spicy-pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1175", "818", "_wp_attachment_image_alt", "spicy pizza");
INSERT INTO `wp_postmeta` VALUES("1176", "816", "_thumbnail_id", "818");
INSERT INTO `wp_postmeta` VALUES("1178", "822", "_wp_attached_file", "2016/08/spicy-garlic-chicken-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("1179", "822", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:555;s:6:\"height\";i:416;s:4:\"file\";s:38:\"2016/08/spicy-garlic-chicken-pizza.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"spicy-garlic-chicken-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"spicy-garlic-chicken-pizza-250x187.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:187;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:37:\"spicy-garlic-chicken-pizza-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:38:\"spicy-garlic-chicken-pizza-555x200.jpg\";s:5:\"width\";i:555;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1180", "822", "_wp_attachment_image_alt", "spicy garlic chicken pizza");
INSERT INTO `wp_postmeta` VALUES("1181", "823", "_wp_attached_file", "2016/08/spicy-three-pepper-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("1182", "823", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:3311;s:6:\"height\";i:2217;s:4:\"file\";s:36:\"2016/08/spicy-three-pepper-pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:36:\"spicy-three-pepper-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:36:\"spicy-three-pepper-pizza-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:36:\"spicy-three-pepper-pizza-768x514.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:514;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:36:\"spicy-three-pepper-pizza-700x469.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:469;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:35:\"spicy-three-pepper-pizza-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:36:\"spicy-three-pepper-pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"2\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:11:\"NIKON D3000\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1383065908\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:2:\"35\";s:3:\"iso\";s:3:\"400\";s:13:\"shutter_speed\";s:5:\"0.008\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1183", "823", "_wp_attachment_image_alt", "spicy three pepper pizza");
INSERT INTO `wp_postmeta` VALUES("1184", "824", "_wp_attached_file", "2016/08/spicy-chicken-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("1185", "824", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:416;s:6:\"height\";i:244;s:4:\"file\";s:31:\"2016/08/spicy-chicken-pizza.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"spicy-chicken-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"spicy-chicken-pizza-250x147.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:147;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:30:\"spicy-chicken-pizza-120x70.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:70;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:31:\"spicy-chicken-pizza-416x200.jpg\";s:5:\"width\";i:416;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1186", "825", "_wp_attached_file", "2016/08/spicy-sausage-mushroom-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("1187", "825", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:475;s:6:\"height\";i:376;s:4:\"file\";s:40:\"2016/08/spicy-sausage-mushroom-pizza.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:40:\"spicy-sausage-mushroom-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:40:\"spicy-sausage-mushroom-pizza-250x198.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:198;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:39:\"spicy-sausage-mushroom-pizza-120x95.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:95;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:40:\"spicy-sausage-mushroom-pizza-475x200.jpg\";s:5:\"width\";i:475;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1188", "825", "_wp_attachment_image_alt", "spicy sausage and mushroom pizza");
INSERT INTO `wp_postmeta` VALUES("1189", "826", "_wp_attached_file", "2016/08/spicy-hawaiian-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("1190", "826", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:640;s:6:\"height\";i:480;s:4:\"file\";s:32:\"2016/08/spicy-hawaiian-pizza.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:32:\"spicy-hawaiian-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:32:\"spicy-hawaiian-pizza-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:31:\"spicy-hawaiian-pizza-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:32:\"spicy-hawaiian-pizza-640x200.jpg\";s:5:\"width\";i:640;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1191", "826", "_wp_attachment_image_alt", "spicy Hawaiian pizza");
INSERT INTO `wp_postmeta` VALUES("1192", "827", "_wp_attached_file", "2016/08/spicy-chipotle-vegan-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("1193", "827", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:900;s:6:\"height\";i:598;s:4:\"file\";s:38:\"2016/08/spicy-chipotle-vegan-pizza.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"spicy-chipotle-vegan-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"spicy-chipotle-vegan-pizza-250x166.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:166;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"spicy-chipotle-vegan-pizza-768x510.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:510;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:38:\"spicy-chipotle-vegan-pizza-700x465.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:465;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:37:\"spicy-chipotle-vegan-pizza-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:38:\"spicy-chipotle-vegan-pizza-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1194", "827", "_wp_attachment_image_alt", "spicy chipotle vegan pizza");
INSERT INTO `wp_postmeta` VALUES("1195", "828", "_wp_attached_file", "2016/08/chicken-tikka-masala-pizza.jpg");
INSERT INTO `wp_postmeta` VALUES("1196", "828", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:500;s:6:\"height\";i:333;s:4:\"file\";s:38:\"2016/08/chicken-tikka-masala-pizza.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"chicken-tikka-masala-pizza-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"chicken-tikka-masala-pizza-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:37:\"chicken-tikka-masala-pizza-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:38:\"chicken-tikka-masala-pizza-500x200.jpg\";s:5:\"width\";i:500;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1197", "828", "_wp_attachment_image_alt", "chicken tikka masala pizza");
INSERT INTO `wp_postmeta` VALUES("1199", "816", "_yoast_wpseo_title", "7 Spicy Pizza Recipes That Will Make Your Mouth Water");
INSERT INTO `wp_postmeta` VALUES("1201", "816", "_yoast_wpseo_metadesc", "Pizza is always delicious, but adding a dash of spice makes it even more amazing! Check out the list for the yummiest spicy pizza recipes!");
INSERT INTO `wp_postmeta` VALUES("1202", "52", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1203", "835", "_wp_attached_file", "2016/09/nowait.png");
INSERT INTO `wp_postmeta` VALUES("1204", "835", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:150;s:6:\"height\";i:153;s:4:\"file\";s:18:\"2016/09/nowait.png\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:18:\"nowait-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:18:\"nowait-120x122.png\";s:5:\"width\";i:120;s:6:\"height\";i:122;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1205", "54", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1206", "840", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1207", "840", "_edit_lock", "1501527898:1");
INSERT INTO `wp_postmeta` VALUES("1211", "840", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1212", "840", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1213", "854", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1214", "854", "_edit_lock", "1488991452:1");
INSERT INTO `wp_postmeta` VALUES("1215", "854", "_yoast_wpseo_metadesc", "If you’re looking to transform your home into a tropically-themed paradise for an evening of fun, start with some of these simple hosting ideas.");
INSERT INTO `wp_postmeta` VALUES("1216", "854", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1217", "854", "_yoast_wpseo_primary_category", "5");
INSERT INTO `wp_postmeta` VALUES("1218", "856", "_wp_attached_file", "2016/09/How-to-Host-a-Tropical-Themed-Party-at-Home.jpg");
INSERT INTO `wp_postmeta` VALUES("1219", "856", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:670;s:4:\"file\";s:55:\"2016/09/How-to-Host-a-Tropical-Themed-Party-at-Home.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:55:\"How-to-Host-a-Tropical-Themed-Party-at-Home-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:55:\"How-to-Host-a-Tropical-Themed-Party-at-Home-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:55:\"How-to-Host-a-Tropical-Themed-Party-at-Home-768x402.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:55:\"How-to-Host-a-Tropical-Themed-Party-at-Home-700x366.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:366;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:54:\"How-to-Host-a-Tropical-Themed-Party-at-Home-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:55:\"How-to-Host-a-Tropical-Themed-Party-at-Home-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1220", "856", "_wp_attachment_image_alt", "How to Host a Tropical-Themed Party at Home");
INSERT INTO `wp_postmeta` VALUES("1221", "854", "_thumbnail_id", "856");
INSERT INTO `wp_postmeta` VALUES("1223", "858", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1224", "858", "_edit_lock", "1496267641:1");
INSERT INTO `wp_postmeta` VALUES("1225", "858", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1226", "858", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1227", "858", "_yoast_wpseo_focuskw_text_input", "community fundraiser in dubois pa");
INSERT INTO `wp_postmeta` VALUES("1228", "858", "_yoast_wpseo_focuskw", "community fundraiser in dubois pa");
INSERT INTO `wp_postmeta` VALUES("1229", "858", "_yoast_wpseo_title", "Community Fundraiser in DuBois PA");
INSERT INTO `wp_postmeta` VALUES("1230", "858", "_yoast_wpseo_metadesc", "Are you looking to do a Community Fundraiser in DuBois PA? Let Buck\'s Pizza help your organization or group raise money with an easy to manage fundraiser!");
INSERT INTO `wp_postmeta` VALUES("1231", "858", "_yoast_wpseo_linkdex", "80");
INSERT INTO `wp_postmeta` VALUES("1232", "863", "_wp_attached_file", "2016/10/community-fundraisers.png");
INSERT INTO `wp_postmeta` VALUES("1233", "863", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:471;s:6:\"height\";i:318;s:4:\"file\";s:33:\"2016/10/community-fundraisers.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:33:\"community-fundraisers-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:33:\"community-fundraisers-250x169.png\";s:5:\"width\";i:250;s:6:\"height\";i:169;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:32:\"community-fundraisers-120x81.png\";s:5:\"width\";i:120;s:6:\"height\";i:81;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:33:\"community-fundraisers-471x200.png\";s:5:\"width\";i:471;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1234", "865", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1235", "865", "_edit_lock", "1502398081:1");
INSERT INTO `wp_postmeta` VALUES("1236", "865", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1237", "865", "_yoast_wpseo_focuskw_text_input", "community fundraiser in clearfield pa");
INSERT INTO `wp_postmeta` VALUES("1238", "865", "_yoast_wpseo_focuskw", "community fundraiser in clearfield pa");
INSERT INTO `wp_postmeta` VALUES("1239", "865", "_yoast_wpseo_title", "Community Fundraiser in Clearfield PA");
INSERT INTO `wp_postmeta` VALUES("1240", "865", "_yoast_wpseo_metadesc", "Are you looking to do a Community Fundraiser in Clearfield PA? Let Buck\'s Pizza help your organization raise money with an easy to manage fundraiser!");
INSERT INTO `wp_postmeta` VALUES("1241", "865", "_yoast_wpseo_linkdex", "80");
INSERT INTO `wp_postmeta` VALUES("1242", "865", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1243", "872", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1244", "872", "_edit_lock", "1557498228:2");
INSERT INTO `wp_postmeta` VALUES("1245", "873", "_wp_attached_file", "2016/10/bucks-online-ordering.png");
INSERT INTO `wp_postmeta` VALUES("1246", "873", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:951;s:6:\"height\";i:212;s:4:\"file\";s:33:\"2016/10/bucks-online-ordering.png\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:33:\"bucks-online-ordering-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:32:\"bucks-online-ordering-250x56.png\";s:5:\"width\";i:250;s:6:\"height\";i:56;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:33:\"bucks-online-ordering-768x171.png\";s:5:\"width\";i:768;s:6:\"height\";i:171;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:33:\"bucks-online-ordering-700x156.png\";s:5:\"width\";i:700;s:6:\"height\";i:156;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:32:\"bucks-online-ordering-120x27.png\";s:5:\"width\";i:120;s:6:\"height\";i:27;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:33:\"bucks-online-ordering-700x200.png\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1247", "872", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1248", "872", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1249", "878", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1250", "878", "_edit_lock", "1501595099:1");
INSERT INTO `wp_postmeta` VALUES("1251", "878", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1252", "878", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1253", "881", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1254", "881", "_edit_lock", "1508964910:1");
INSERT INTO `wp_postmeta` VALUES("1255", "882", "_wp_attached_file", "2016/10/Hot-Thai-Buffalo-Ranch-with-Celery-60292-BP-4-12-06-0104.jpg");
INSERT INTO `wp_postmeta` VALUES("1256", "882", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:864;s:6:\"height\";i:649;s:4:\"file\";s:68:\"2016/10/Hot-Thai-Buffalo-Ranch-with-Celery-60292-BP-4-12-06-0104.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:68:\"Hot-Thai-Buffalo-Ranch-with-Celery-60292-BP-4-12-06-0104-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:68:\"Hot-Thai-Buffalo-Ranch-with-Celery-60292-BP-4-12-06-0104-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:68:\"Hot-Thai-Buffalo-Ranch-with-Celery-60292-BP-4-12-06-0104-768x577.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:577;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:68:\"Hot-Thai-Buffalo-Ranch-with-Celery-60292-BP-4-12-06-0104-700x526.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:526;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:67:\"Hot-Thai-Buffalo-Ranch-with-Celery-60292-BP-4-12-06-0104-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:68:\"Hot-Thai-Buffalo-Ranch-with-Celery-60292-BP-4-12-06-0104-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:4:\"P 45\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1144853911\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:3:\"100\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1257", "882", "_wp_attachment_image_alt", "plate of wings at bucks pizza in clearfield pa");
INSERT INTO `wp_postmeta` VALUES("1258", "881", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1259", "881", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1260", "881", "_yoast_wpseo_focuskw_text_input", "wing");
INSERT INTO `wp_postmeta` VALUES("1261", "881", "_yoast_wpseo_focuskw", "wing");
INSERT INTO `wp_postmeta` VALUES("1262", "881", "_yoast_wpseo_metadesc", "Wing Day Wednesdays at Buck\'s Pizza in Clearfield, PA - All Day on Wednesdays from open to close: 11am-9pm. Jumbo bone-in and hand-breaded boneless wings.");
INSERT INTO `wp_postmeta` VALUES("1263", "881", "_yoast_wpseo_linkdex", "76");
INSERT INTO `wp_postmeta` VALUES("1264", "357", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1265", "140", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1266", "26", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1267", "906", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1268", "906", "_edit_lock", "1496331811:1");
INSERT INTO `wp_postmeta` VALUES("1269", "906", "_wp_page_template", "page-order.php");
INSERT INTO `wp_postmeta` VALUES("1270", "906", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1271", "918", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1272", "918", "_edit_lock", "1496331803:1");
INSERT INTO `wp_postmeta` VALUES("1273", "918", "_wp_page_template", "page-order.php");
INSERT INTO `wp_postmeta` VALUES("1274", "918", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1275", "921", "_wp_attached_file", "2016/11/Bucks-Pizza-Whats-for-Dinner-November-2016.mp3");
INSERT INTO `wp_postmeta` VALUES("1276", "921", "_wp_attachment_metadata", "a:18:{s:10:\"dataformat\";s:3:\"mp3\";s:8:\"channels\";i:2;s:11:\"sample_rate\";i:44100;s:7:\"bitrate\";i:320000;s:11:\"channelmode\";s:12:\"joint stereo\";s:12:\"bitrate_mode\";s:3:\"cbr\";s:8:\"lossless\";b:0;s:15:\"encoder_options\";s:6:\"CBR320\";s:17:\"compression_ratio\";d:0.226757369614512482858259545537293888628482818603515625;s:10:\"fileformat\";s:3:\"mp3\";s:8:\"filesize\";i:1277834;s:9:\"mime_type\";s:10:\"audio/mpeg\";s:6:\"length\";i:32;s:16:\"length_formatted\";s:4:\"0:32\";s:5:\"title\";s:4:\"ð?4\";s:5:\"genre\";s:5:\"Other\";s:6:\"artist\";s:0:\"\";s:5:\"album\";s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1277", "939", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1278", "939", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1279", "939", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1280", "939", "_edit_lock", "1496267673:1");
INSERT INTO `wp_postmeta` VALUES("1281", "947", "_wp_attached_file", "2016/11/Small-Pizza-Wings-60292-BP-4-12-06-0177.jpg");
INSERT INTO `wp_postmeta` VALUES("1282", "947", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:864;s:6:\"height\";i:649;s:4:\"file\";s:51:\"2016/11/Small-Pizza-Wings-60292-BP-4-12-06-0177.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:51:\"Small-Pizza-Wings-60292-BP-4-12-06-0177-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:51:\"Small-Pizza-Wings-60292-BP-4-12-06-0177-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:51:\"Small-Pizza-Wings-60292-BP-4-12-06-0177-768x577.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:577;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:51:\"Small-Pizza-Wings-60292-BP-4-12-06-0177-700x526.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:526;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:50:\"Small-Pizza-Wings-60292-BP-4-12-06-0177-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:51:\"Small-Pizza-Wings-60292-BP-4-12-06-0177-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:4:\"P 45\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1144865086\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:3:\"200\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1283", "960", "_wp_attached_file", "2016/11/Bucks-Amazwing-Wingnesdays-Flier-PROOF.pdf");
INSERT INTO `wp_postmeta` VALUES("1284", "974", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1285", "974", "_edit_lock", "1501509784:1");
INSERT INTO `wp_postmeta` VALUES("1286", "975", "_wp_attached_file", "2017/02/217012_210016119017208_651122_n.jpg");
INSERT INTO `wp_postmeta` VALUES("1287", "975", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:720;s:6:\"height\";i:720;s:4:\"file\";s:43:\"2017/02/217012_210016119017208_651122_n.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:43:\"217012_210016119017208_651122_n-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:43:\"217012_210016119017208_651122_n-250x250.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:43:\"217012_210016119017208_651122_n-700x700.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:700;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:43:\"217012_210016119017208_651122_n-120x120.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:120;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:43:\"217012_210016119017208_651122_n-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1288", "974", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1289", "974", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1290", "32", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1291", "40", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1292", "56", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1293", "64", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1294", "70", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1295", "76", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1296", "1024", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1297", "1024", "_edit_lock", "1489500526:1");
INSERT INTO `wp_postmeta` VALUES("1298", "1024", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1299", "1024", "_yoast_wpseo_primary_category", "");
INSERT INTO `wp_postmeta` VALUES("1306", "1035", "_wp_attached_file", "2017/03/16427562_1417457514939723_8912656325702972260_n.jpg");
INSERT INTO `wp_postmeta` VALUES("1307", "1035", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:960;s:6:\"height\";i:960;s:4:\"file\";s:59:\"2017/03/16427562_1417457514939723_8912656325702972260_n.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:59:\"16427562_1417457514939723_8912656325702972260_n-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:59:\"16427562_1417457514939723_8912656325702972260_n-250x250.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:59:\"16427562_1417457514939723_8912656325702972260_n-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:59:\"16427562_1417457514939723_8912656325702972260_n-700x700.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:700;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:59:\"16427562_1417457514939723_8912656325702972260_n-120x120.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:120;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:59:\"16427562_1417457514939723_8912656325702972260_n-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1308", "1024", "_thumbnail_id", "442");
INSERT INTO `wp_postmeta` VALUES("1313", "1037", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1314", "1037", "_edit_lock", "1502398106:1");
INSERT INTO `wp_postmeta` VALUES("1315", "1037", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1316", "1037", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1317", "1042", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1318", "1042", "_edit_lock", "1501862113:1");
INSERT INTO `wp_postmeta` VALUES("1319", "1042", "_thumbnail_id", "442");
INSERT INTO `wp_postmeta` VALUES("1321", "1042", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1322", "1042", "_yoast_wpseo_primary_category", "");
INSERT INTO `wp_postmeta` VALUES("1326", "1024", "_yoast_wpseo_focuskw_text_input", "Best Pizza");
INSERT INTO `wp_postmeta` VALUES("1327", "1024", "_yoast_wpseo_focuskw", "Best Pizza");
INSERT INTO `wp_postmeta` VALUES("1328", "1024", "_yoast_wpseo_linkdex", "38");
INSERT INTO `wp_postmeta` VALUES("1330", "1042", "_yoast_wpseo_focuskw_text_input", "Best Pizza in Clearfield");
INSERT INTO `wp_postmeta` VALUES("1331", "1042", "_yoast_wpseo_focuskw", "Best Pizza in Clearfield");
INSERT INTO `wp_postmeta` VALUES("1332", "1042", "_yoast_wpseo_linkdex", "30");
INSERT INTO `wp_postmeta` VALUES("1334", "1045", "_wp_attached_file", "hugeit-slider/slide1.jpg");
INSERT INTO `wp_postmeta` VALUES("1335", "1046", "_wp_attached_file", "hugeit-slider/slide2.jpg");
INSERT INTO `wp_postmeta` VALUES("1336", "1047", "_wp_attached_file", "hugeit-slider/slide3.jpg");
INSERT INTO `wp_postmeta` VALUES("1338", "1048", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1339", "1048", "_edit_lock", "1570143760:1");
INSERT INTO `wp_postmeta` VALUES("1340", "1048", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1341", "1048", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1346", "1061", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1347", "1061", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1348", "1061", "_menu_item_object_id", "26");
INSERT INTO `wp_postmeta` VALUES("1349", "1061", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1350", "1061", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1351", "1061", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1352", "1061", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1353", "1061", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1355", "334", "_yoast_wpseo_is_cornerstone", "");
INSERT INTO `wp_postmeta` VALUES("1356", "1061", "_yoast_wpseo_is_cornerstone", "");
INSERT INTO `wp_postmeta` VALUES("1357", "22", "_yoast_wpseo_is_cornerstone", "");
INSERT INTO `wp_postmeta` VALUES("1358", "21", "_yoast_wpseo_is_cornerstone", "");
INSERT INTO `wp_postmeta` VALUES("1359", "20", "_yoast_wpseo_is_cornerstone", "");
INSERT INTO `wp_postmeta` VALUES("1360", "19", "_yoast_wpseo_is_cornerstone", "");
INSERT INTO `wp_postmeta` VALUES("1361", "348", "_yoast_wpseo_is_cornerstone", "");
INSERT INTO `wp_postmeta` VALUES("1364", "1079", "_wp_attached_file", "2017/05/BP_combined-image-1.jpg");
INSERT INTO `wp_postmeta` VALUES("1365", "1079", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:3300;s:6:\"height\";i:2478;s:4:\"file\";s:31:\"2017/05/BP_combined-image-1.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"BP_combined-image-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"BP_combined-image-1-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:31:\"BP_combined-image-1-768x577.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:577;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:31:\"BP_combined-image-1-700x526.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:526;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:30:\"BP_combined-image-1-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:31:\"BP_combined-image-1-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:5:\"P 45+\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1213186015\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:3:\"200\";s:13:\"shutter_speed\";s:16:\"0.00799880390959\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1366", "1080", "_wp_attached_file", "2017/05/Greek-tight-50140_BP-2_18_05-136ccs-1.jpg");
INSERT INTO `wp_postmeta` VALUES("1367", "1080", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:4072;s:6:\"height\";i:4072;s:4:\"file\";s:49:\"2017/05/Greek-tight-50140_BP-2_18_05-136ccs-1.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:49:\"Greek-tight-50140_BP-2_18_05-136ccs-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:49:\"Greek-tight-50140_BP-2_18_05-136ccs-1-250x250.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:49:\"Greek-tight-50140_BP-2_18_05-136ccs-1-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:49:\"Greek-tight-50140_BP-2_18_05-136ccs-1-700x700.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:700;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:49:\"Greek-tight-50140_BP-2_18_05-136ccs-1-120x120.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:120;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:49:\"Greek-tight-50140_BP-2_18_05-136ccs-1-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1108739974\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1368", "1102", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1369", "1102", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1370", "1102", "_yoast_wpseo_focuskw_text_input", "pizza");
INSERT INTO `wp_postmeta` VALUES("1371", "1102", "_yoast_wpseo_focuskw", "pizza");
INSERT INTO `wp_postmeta` VALUES("1372", "1102", "_yoast_wpseo_title", "Bucks Pizza - DuBois and Clearfield - spacious, beautiful dining rooms...");
INSERT INTO `wp_postmeta` VALUES("1373", "1102", "_yoast_wpseo_metadesc", "Let us do the cooking tonight! Menu choices of pasta, wings, salads, sandwiches, desserts and the Best PIZZA - served at the peak of deliciousness...");
INSERT INTO `wp_postmeta` VALUES("1374", "1102", "_yoast_wpseo_linkdex", "35");
INSERT INTO `wp_postmeta` VALUES("1375", "1102", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1376", "1102", "_edit_lock", "1558462958:1");
INSERT INTO `wp_postmeta` VALUES("1377", "54", "_yoast_wpseo_focuskw_text_input", "dubois");
INSERT INTO `wp_postmeta` VALUES("1378", "54", "_yoast_wpseo_focuskw", "dubois");
INSERT INTO `wp_postmeta` VALUES("1379", "54", "_yoast_wpseo_title", "Bucks Pizza - DuBois, PA - let us do the cooking tonight! Dine-in / carry-out");
INSERT INTO `wp_postmeta` VALUES("1380", "54", "_yoast_wpseo_metadesc", "Where to eat in DuBois? Menu of pasta, wings, salads, sandwiches, desserts & PIZZA using the freshest ingredients served at the peak of deliciousness...");
INSERT INTO `wp_postmeta` VALUES("1381", "54", "_yoast_wpseo_linkdex", "58");
INSERT INTO `wp_postmeta` VALUES("1382", "52", "_yoast_wpseo_focuskw_text_input", "clearfield");
INSERT INTO `wp_postmeta` VALUES("1383", "52", "_yoast_wpseo_focuskw", "clearfield");
INSERT INTO `wp_postmeta` VALUES("1384", "52", "_yoast_wpseo_title", "Bucks Pizza- Clearfield, PA- let us do the cooking tonight! Dine-in/carry-out");
INSERT INTO `wp_postmeta` VALUES("1385", "52", "_yoast_wpseo_metadesc", "Menu choices in Clearfield of pasta, wings, salads, sandwiches, desserts & the Best PIZZA using the freshest ingredients served at the peak of deliciousness");
INSERT INTO `wp_postmeta` VALUES("1386", "52", "_yoast_wpseo_linkdex", "58");
INSERT INTO `wp_postmeta` VALUES("1387", "26", "_yoast_wpseo_focuskw_text_input", "menu");
INSERT INTO `wp_postmeta` VALUES("1388", "26", "_yoast_wpseo_focuskw", "menu");
INSERT INTO `wp_postmeta` VALUES("1389", "26", "_yoast_wpseo_title", "Bucks Pizza - let us do the cooking tonight! Dine-in / carry-out");
INSERT INTO `wp_postmeta` VALUES("1390", "26", "_yoast_wpseo_metadesc", "Menu choices of pasta, wings, salads, sandwiches, desserts & the Best PIZZA using the freshest ingredients served at the peak of deliciousness...");
INSERT INTO `wp_postmeta` VALUES("1397", "26", "_yoast_wpseo_linkdex", "58");
INSERT INTO `wp_postmeta` VALUES("1398", "56", "_yoast_wpseo_focuskw_text_input", "online ordering");
INSERT INTO `wp_postmeta` VALUES("1399", "56", "_yoast_wpseo_focuskw", "online ordering");
INSERT INTO `wp_postmeta` VALUES("1400", "56", "_yoast_wpseo_title", "Order Online-Buck\'s Pizza Charleston, South Carolina");
INSERT INTO `wp_postmeta` VALUES("1401", "56", "_yoast_wpseo_metadesc", "Online Ordering 1660 Sam Rittenberg Blvd. Charleston, SC 29407 843-766-3233");
INSERT INTO `wp_postmeta` VALUES("1402", "56", "_yoast_wpseo_linkdex", "37");
INSERT INTO `wp_postmeta` VALUES("1403", "974", "_yoast_wpseo_focuskw_text_input", "Coupon");
INSERT INTO `wp_postmeta` VALUES("1404", "974", "_yoast_wpseo_focuskw", "Coupon");
INSERT INTO `wp_postmeta` VALUES("1405", "974", "_yoast_wpseo_title", "Claim Your Deal! Large One Topping Pizza at Buck\'s");
INSERT INTO `wp_postmeta` VALUES("1406", "974", "_yoast_wpseo_metadesc", "1 Large Pizza with 1 regular topping for $10! Hand-Tossed or Deep Dish Dine-In Only One offer per visit. Redeem coupon by");
INSERT INTO `wp_postmeta` VALUES("1407", "974", "_yoast_wpseo_linkdex", "49");
INSERT INTO `wp_postmeta` VALUES("1408", "444", "_yoast_wpseo_focuskw_text_input", "Menu");
INSERT INTO `wp_postmeta` VALUES("1409", "444", "_yoast_wpseo_focuskw", "Menu");
INSERT INTO `wp_postmeta` VALUES("1410", "444", "_yoast_wpseo_title", "Menu - Buck\'s Pizza Charleston, South Carolina Order now");
INSERT INTO `wp_postmeta` VALUES("1411", "444", "_yoast_wpseo_metadesc", "MENU BUCK’S FAMOUS STIX -(12 PER ORDER) Bread Stix– covered with butter & spices– $4.99 Cinnamon Stix–bread stix covered with cinnamon & sugar– $4.99");
INSERT INTO `wp_postmeta` VALUES("1412", "444", "_yoast_wpseo_linkdex", "70");
INSERT INTO `wp_postmeta` VALUES("1413", "444", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1414", "64", "_yoast_wpseo_focuskw_text_input", "pizza");
INSERT INTO `wp_postmeta` VALUES("1415", "64", "_yoast_wpseo_focuskw", "pizza");
INSERT INTO `wp_postmeta` VALUES("1416", "64", "_yoast_wpseo_title", "Buck\'s Pizza in Walterboro, South Carolina - Order Online Now!");
INSERT INTO `wp_postmeta` VALUES("1417", "64", "_yoast_wpseo_metadesc", "Online Ordering 113 Robertson Blvd Walterboro, SC 29488 843-549-1995 Hungry? Order your favorite pizza, pasta, wings, salads and more!");
INSERT INTO `wp_postmeta` VALUES("1418", "64", "_yoast_wpseo_linkdex", "35");
INSERT INTO `wp_postmeta` VALUES("1419", "80", "_yoast_wpseo_focuskw_text_input", "stromboli");
INSERT INTO `wp_postmeta` VALUES("1420", "80", "_yoast_wpseo_focuskw", "stromboli");
INSERT INTO `wp_postmeta` VALUES("1421", "80", "_yoast_wpseo_title", "Buck\'s Pizza in Antigo, Wisconsin- Check out our Menu- Wings, Stromboli");
INSERT INTO `wp_postmeta` VALUES("1422", "80", "_yoast_wpseo_metadesc", "614 Century Ave. Antigo, WI 54409 Pizza, Pasta, Stromboli, Salad, and Wings, 715-623-2222 Check out our Menu and order now!");
INSERT INTO `wp_postmeta` VALUES("1423", "80", "_yoast_wpseo_linkdex", "40");
INSERT INTO `wp_postmeta` VALUES("1424", "80", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1425", "1037", "_yoast_wpseo_focuskw_text_input", "I-80");
INSERT INTO `wp_postmeta` VALUES("1426", "1037", "_yoast_wpseo_focuskw", "I-80");
INSERT INTO `wp_postmeta` VALUES("1427", "1037", "_yoast_wpseo_title", "Buck\'s Pizza- Dubois, PA- Clearfield, PA- Right off of I-80!");
INSERT INTO `wp_postmeta` VALUES("1428", "1037", "_yoast_wpseo_metadesc", "Traveling through on I-80 and need a quick stop for good food? Stop in and visit us. We are just off of I-80 at our Dubois, PA and Clearfield, PA locations!");
INSERT INTO `wp_postmeta` VALUES("1429", "1037", "_yoast_wpseo_linkdex", "48");
INSERT INTO `wp_postmeta` VALUES("1430", "13", "_yoast_wpseo_focuskw_text_input", "blog");
INSERT INTO `wp_postmeta` VALUES("1431", "13", "_yoast_wpseo_focuskw", "blog");
INSERT INTO `wp_postmeta` VALUES("1432", "13", "_yoast_wpseo_title", "Buck\'s Pizza- Blog- Find out more about your pizza favorites");
INSERT INTO `wp_postmeta` VALUES("1433", "13", "_yoast_wpseo_metadesc", "Learn more about our pizza and guides of incorporating pizza into your everyday life, desert pizza? We\'ve got you covered! Check out our blog!");
INSERT INTO `wp_postmeta` VALUES("1434", "13", "_yoast_wpseo_linkdex", "47");
INSERT INTO `wp_postmeta` VALUES("1435", "13", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1436", "344", "_yoast_wpseo_focuskw_text_input", "Franchise");
INSERT INTO `wp_postmeta` VALUES("1437", "344", "_yoast_wpseo_focuskw", "Franchise");
INSERT INTO `wp_postmeta` VALUES("1438", "344", "_yoast_wpseo_title", "Franchise Information- Buck\'s Pizza");
INSERT INTO `wp_postmeta` VALUES("1439", "344", "_yoast_wpseo_metadesc", "Want to open up your own pizza shop? A Buck’s Pizza franchise might be the perfect business for you! Find out more information about franchising with us.");
INSERT INTO `wp_postmeta` VALUES("1440", "344", "_yoast_wpseo_linkdex", "58");
INSERT INTO `wp_postmeta` VALUES("1441", "344", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1442", "17", "_yoast_wpseo_focuskw_text_input", "contact");
INSERT INTO `wp_postmeta` VALUES("1443", "17", "_yoast_wpseo_focuskw", "contact");
INSERT INTO `wp_postmeta` VALUES("1444", "17", "_yoast_wpseo_title", "Contact information - Buck\'s Pizza - Get in contact with us!");
INSERT INTO `wp_postmeta` VALUES("1445", "17", "_yoast_wpseo_metadesc", "Want to contact us? Use the form below to for questions or comments about our food, or just to tell us how awesome we are.");
INSERT INTO `wp_postmeta` VALUES("1446", "17", "_yoast_wpseo_linkdex", "49");
INSERT INTO `wp_postmeta` VALUES("1447", "17", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1448", "44", "_yoast_wpseo_focuskw_text_input", "family");
INSERT INTO `wp_postmeta` VALUES("1449", "44", "_yoast_wpseo_focuskw", "family");
INSERT INTO `wp_postmeta` VALUES("1450", "44", "_yoast_wpseo_title", "Buck\'s Pizza in Buffalo, Minnesota- Food for the entire Family!");
INSERT INTO `wp_postmeta` VALUES("1451", "44", "_yoast_wpseo_metadesc", "405 MN-55 Buffalo, MN 55313 763-682-0000 - Food for the entire family! Check out our menu! Pizza, Pasta, Salad, Stromboli, Wings");
INSERT INTO `wp_postmeta` VALUES("1452", "44", "_yoast_wpseo_linkdex", "40");
INSERT INTO `wp_postmeta` VALUES("1453", "44", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1454", "486", "_yoast_wpseo_focuskw_text_input", "promos");
INSERT INTO `wp_postmeta` VALUES("1455", "486", "_yoast_wpseo_focuskw", "promos");
INSERT INTO `wp_postmeta` VALUES("1456", "486", "_yoast_wpseo_title", "Buck\'s Pizza promos and coupons- Sign up now to save!");
INSERT INTO `wp_postmeta` VALUES("1457", "486", "_yoast_wpseo_linkdex", "44");
INSERT INTO `wp_postmeta` VALUES("1458", "486", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1459", "486", "_yoast_wpseo_metadesc", "Sign up to receive coupons and awesome articles from Buck\'s Pizza in your inbox! // Don\'t forget to like us on Facebook, too! Buck\'s Pizza");
INSERT INTO `wp_postmeta` VALUES("1460", "191", "_yoast_wpseo_focuskw_text_input", "menu");
INSERT INTO `wp_postmeta` VALUES("1461", "191", "_yoast_wpseo_focuskw", "menu");
INSERT INTO `wp_postmeta` VALUES("1462", "191", "_yoast_wpseo_title", "Menu - Buck\'s Pizza Order now");
INSERT INTO `wp_postmeta` VALUES("1463", "191", "_yoast_wpseo_metadesc", "MENU BUCK’S FAMOUS STIX Add bacon, banana peppers, or jalapeños to your stix–80¢ each, add extra cheese–$1.20 Bread Stix–$2.99 12 per order");
INSERT INTO `wp_postmeta` VALUES("1464", "191", "_yoast_wpseo_linkdex", "66");
INSERT INTO `wp_postmeta` VALUES("1465", "191", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1466", "144", "_yoast_wpseo_focuskw_text_input", "stromboli");
INSERT INTO `wp_postmeta` VALUES("1467", "144", "_yoast_wpseo_focuskw", "stromboli");
INSERT INTO `wp_postmeta` VALUES("1468", "144", "_yoast_wpseo_title", "Buck\'s Pizza in Antigo, Wisconsin- Check out our Menu- Wings, Stromboli");
INSERT INTO `wp_postmeta` VALUES("1469", "144", "_yoast_wpseo_metadesc", "MENU STIX AND SIDES *Gluten Free available Bread Stix–8 pc. $3.15, 12 pc. $4.15* Cheese Stix–8 pc. $4.20, 12 pc. $5.20* Ultimate Cheese Stix–$5.95");
INSERT INTO `wp_postmeta` VALUES("1470", "144", "_yoast_wpseo_linkdex", "65");
INSERT INTO `wp_postmeta` VALUES("1471", "144", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1472", "146", "_yoast_wpseo_focuskw_text_input", "menu");
INSERT INTO `wp_postmeta` VALUES("1473", "146", "_yoast_wpseo_focuskw", "menu");
INSERT INTO `wp_postmeta` VALUES("1474", "146", "_yoast_wpseo_title", "Buck\'s Pizza in Buffalo, Minnesota- Check out our Menu!");
INSERT INTO `wp_postmeta` VALUES("1475", "146", "_yoast_wpseo_metadesc", "*Gluten Free available Bread Stix–8 pc. $3.15, 12 pc. $4.15* Cheese Stix–8 pc. $4.20, 12 pc. $5.20* Ultimate Cheese Stix–$5.95 Garlic Bread–$1.99");
INSERT INTO `wp_postmeta` VALUES("1476", "146", "_yoast_wpseo_linkdex", "61");
INSERT INTO `wp_postmeta` VALUES("1477", "146", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1478", "68", "_yoast_wpseo_focuskw_text_input", "food");
INSERT INTO `wp_postmeta` VALUES("1479", "68", "_yoast_wpseo_focuskw", "food");
INSERT INTO `wp_postmeta` VALUES("1480", "68", "_yoast_wpseo_title", "Buck\'s Pizza - Clear Lake, Texas - Food for the entire family!");
INSERT INTO `wp_postmeta` VALUES("1481", "68", "_yoast_wpseo_metadesc", "907 El Dorado Blvd. Clear Lake, TX 77062 281-474-2825 Food for everyone! Pizza, Stromboli, Salad, Wings, Sandwiches, and Pasta. Call now to order!");
INSERT INTO `wp_postmeta` VALUES("1482", "68", "_yoast_wpseo_linkdex", "43");
INSERT INTO `wp_postmeta` VALUES("1483", "68", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1484", "840", "_yoast_wpseo_focuskw_text_input", "menu");
INSERT INTO `wp_postmeta` VALUES("1485", "840", "_yoast_wpseo_focuskw", "menu");
INSERT INTO `wp_postmeta` VALUES("1486", "840", "_yoast_wpseo_title", "Buck\'s Pizza Clear Lake, Texas- Check out our menu!");
INSERT INTO `wp_postmeta` VALUES("1487", "840", "_yoast_wpseo_linkdex", "56");
INSERT INTO `wp_postmeta` VALUES("1488", "140", "_yoast_wpseo_focuskw_text_input", "menu");
INSERT INTO `wp_postmeta` VALUES("1489", "140", "_yoast_wpseo_focuskw", "menu");
INSERT INTO `wp_postmeta` VALUES("1490", "140", "_yoast_wpseo_title", "Buck\'s Pizza in Dubois, PA- Check out our menu!");
INSERT INTO `wp_postmeta` VALUES("1491", "140", "_yoast_wpseo_metadesc", "Add bacon, banana peppers, or jalapeños to your stix–80¢ each, add extra cheese–$1.20 Bread Stix–$3.99 12 per order, covered with butter and");
INSERT INTO `wp_postmeta` VALUES("1492", "140", "_yoast_wpseo_linkdex", "50");
INSERT INTO `wp_postmeta` VALUES("1493", "50", "_yoast_wpseo_focuskw_text_input", "family");
INSERT INTO `wp_postmeta` VALUES("1494", "50", "_yoast_wpseo_focuskw", "family");
INSERT INTO `wp_postmeta` VALUES("1495", "50", "_yoast_wpseo_title", "Family Food! Buck\'s Pizza- Tryon , North Carolina Something for everyone!");
INSERT INTO `wp_postmeta` VALUES("1496", "50", "_yoast_wpseo_metadesc", "30 North Trade Street Tryon, NC 28782 828-859-0400 Family Food Pizza, Wings, Salads, Sandwiches, Pasta. Check out our entire menu!");
INSERT INTO `wp_postmeta` VALUES("1497", "50", "_yoast_wpseo_linkdex", "43");
INSERT INTO `wp_postmeta` VALUES("1498", "50", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1499", "187", "_yoast_wpseo_focuskw_text_input", "menu");
INSERT INTO `wp_postmeta` VALUES("1500", "187", "_yoast_wpseo_focuskw", "menu");
INSERT INTO `wp_postmeta` VALUES("1501", "187", "_yoast_wpseo_title", "Buck\'s Pizza- Summerville, South Carolina- Check out our menu!");
INSERT INTO `wp_postmeta` VALUES("1502", "187", "_yoast_wpseo_metadesc", "Cheese Stix–$5.99 with dipping sauce. Cinnamon Stix–$4.99 with icing. Bread Stix–$4.99 with dipping sauce. extra dipping sauce–50¢");
INSERT INTO `wp_postmeta` VALUES("1503", "187", "_yoast_wpseo_linkdex", "61");
INSERT INTO `wp_postmeta` VALUES("1504", "187", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1505", "161", "_yoast_wpseo_focuskw_text_input", "menu");
INSERT INTO `wp_postmeta` VALUES("1506", "161", "_yoast_wpseo_focuskw", "menu");
INSERT INTO `wp_postmeta` VALUES("1507", "161", "_yoast_wpseo_title", "Buck\'s Pizza- Edisto Beach, South Carolina- Check out our menu!");
INSERT INTO `wp_postmeta` VALUES("1508", "161", "_yoast_wpseo_metadesc", "Bread Stix–$4.99 12 per order, covered with butter and spices. Cinnamon Stix–$5.99 12 per order, with icing Cheese Stix–$5.99 12 per order");
INSERT INTO `wp_postmeta` VALUES("1509", "161", "_yoast_wpseo_linkdex", "61");
INSERT INTO `wp_postmeta` VALUES("1510", "161", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1511", "357", "_yoast_wpseo_focuskw_text_input", "menu");
INSERT INTO `wp_postmeta` VALUES("1512", "357", "_yoast_wpseo_focuskw", "menu");
INSERT INTO `wp_postmeta` VALUES("1513", "357", "_yoast_wpseo_title", "Buck\'s Pizza- Clearfield, Pennsylvania- Check out our menu!");
INSERT INTO `wp_postmeta` VALUES("1514", "357", "_yoast_wpseo_metadesc", "Add bacon, banana peppers, or jalapeños to your stix–80¢ each, add extra cheese–$1.20 Bread Stix–$3.99 12 per order, covered with butter and spices with a");
INSERT INTO `wp_postmeta` VALUES("1515", "357", "_yoast_wpseo_linkdex", "52");
INSERT INTO `wp_postmeta` VALUES("1516", "878", "_yoast_wpseo_focuskw_text_input", "vote");
INSERT INTO `wp_postmeta` VALUES("1517", "878", "_yoast_wpseo_focuskw", "vote");
INSERT INTO `wp_postmeta` VALUES("1518", "878", "_yoast_wpseo_title", "Vote for us at Buck\'s Pizza, America\'s choice pizza is here!");
INSERT INTO `wp_postmeta` VALUES("1519", "878", "_yoast_wpseo_metadesc", "THIS NOVEMBER, AMERICA HAS A CHOICE AND THAT CHOICE IS DELICIOUSLY CLEAR AT BUCK’S PIZZA! “VOTE” BY ORDERING TODAY! CALL OR SIGN UP TO");
INSERT INTO `wp_postmeta` VALUES("1520", "878", "_yoast_wpseo_linkdex", "57");
INSERT INTO `wp_postmeta` VALUES("1521", "872", "_yoast_wpseo_focuskw_text_input", "vote");
INSERT INTO `wp_postmeta` VALUES("1522", "872", "_yoast_wpseo_focuskw", "vote");
INSERT INTO `wp_postmeta` VALUES("1523", "872", "_yoast_wpseo_title", "Vote for us at Buck\'s Pizza, America\'s choice pizza is here!");
INSERT INTO `wp_postmeta` VALUES("1524", "872", "_yoast_wpseo_metadesc", "THIS NOVEMBER, AMERICA HAS A CHOICE AND THAT CHOICE IS DELICIOUSLY CLEAR AT BUCK’S PIZZA! “VOTE” BY ORDERING TODAY! CALL OR SIGN UP");
INSERT INTO `wp_postmeta` VALUES("1525", "872", "_yoast_wpseo_linkdex", "55");
INSERT INTO `wp_postmeta` VALUES("1526", "46", "_yoast_wpseo_focuskw_text_input", "gloversville");
INSERT INTO `wp_postmeta` VALUES("1527", "46", "_yoast_wpseo_focuskw", "gloversville");
INSERT INTO `wp_postmeta` VALUES("1528", "46", "_yoast_wpseo_title", "Buck\'s Pizza-Gloversville, New York- Food for the entire family!");
INSERT INTO `wp_postmeta` VALUES("1529", "46", "_yoast_wpseo_metadesc", "23 S Main Street Gloversville, NY 12078 518-773-8200 Food for everyone! Pizza, Stromboli, Salad, Wings, Sandwiches, Pasta");
INSERT INTO `wp_postmeta` VALUES("1530", "46", "_yoast_wpseo_linkdex", "53");
INSERT INTO `wp_postmeta` VALUES("1531", "46", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1532", "32", "_yoast_wpseo_focuskw_text_input", "hazel green");
INSERT INTO `wp_postmeta` VALUES("1533", "32", "_yoast_wpseo_focuskw", "hazel green");
INSERT INTO `wp_postmeta` VALUES("1534", "32", "_yoast_wpseo_title", "Buck\'s Pizza- Hazel Green, Alabama - Order online now!");
INSERT INTO `wp_postmeta` VALUES("1535", "32", "_yoast_wpseo_metadesc", "Online Ordering Check out our online menu! Pizza, Sandwiches, Wings, Pasta, Stromboli 12819 Highway 231 / 431 N Hazel Green, AL 35750 256-829-0887");
INSERT INTO `wp_postmeta` VALUES("1536", "32", "_yoast_wpseo_linkdex", "53");
INSERT INTO `wp_postmeta` VALUES("1537", "720", "_yoast_wpseo_focuskw_text_input", "menu");
INSERT INTO `wp_postmeta` VALUES("1538", "720", "_yoast_wpseo_focuskw", "menu");
INSERT INTO `wp_postmeta` VALUES("1539", "720", "_yoast_wpseo_title", "Buck\'s Pizza - Hazel Green, Alabama - Food for the entire family!");
INSERT INTO `wp_postmeta` VALUES("1540", "720", "_yoast_wpseo_metadesc", "Bread Stix-$3.99 12 per order, covered with butter & spices with dipping sauce. Cinnamon Stix-$3.99 12 per order, with icing. Cheese Stix-$4.99");
INSERT INTO `wp_postmeta` VALUES("1541", "720", "_yoast_wpseo_linkdex", "57");
INSERT INTO `wp_postmeta` VALUES("1542", "70", "_yoast_wpseo_focuskw_text_input", "Hidalgo");
INSERT INTO `wp_postmeta` VALUES("1543", "70", "_yoast_wpseo_focuskw", "Hidalgo");
INSERT INTO `wp_postmeta` VALUES("1544", "70", "_yoast_wpseo_title", "Buck\'s Pizza- Hidalgo, Texas- Food for the entire family! Check out our online menu");
INSERT INTO `wp_postmeta` VALUES("1545", "70", "_yoast_wpseo_metadesc", "Order online now! Pizza, Stromboli, Wings, Sandwiches, Pasta, Salads 802 N. Jackson Rd Hidalgo, TX 78557 956-843-9899");
INSERT INTO `wp_postmeta` VALUES("1546", "70", "_yoast_wpseo_linkdex", "47");
INSERT INTO `wp_postmeta` VALUES("1547", "11", "_yoast_wpseo_focuskw_text_input", "locations");
INSERT INTO `wp_postmeta` VALUES("1548", "11", "_yoast_wpseo_focuskw", "locations");
INSERT INTO `wp_postmeta` VALUES("1549", "11", "_yoast_wpseo_title", "Buck\'s Pizza locations- Check out all of our locations near you!");
INSERT INTO `wp_postmeta` VALUES("1550", "11", "_yoast_wpseo_metadesc", "Originating in Pennsylvania, Buck\'s pizza is located all over the United States. Check out our locations to find one near you!");
INSERT INTO `wp_postmeta` VALUES("1551", "11", "_yoast_wpseo_linkdex", "61");
INSERT INTO `wp_postmeta` VALUES("1552", "167", "_yoast_wpseo_focuskw_text_input", "hidalgo pizza");
INSERT INTO `wp_postmeta` VALUES("1553", "167", "_yoast_wpseo_focuskw", "hidalgo pizza");
INSERT INTO `wp_postmeta` VALUES("1554", "167", "_yoast_wpseo_title", "Buck\'s Pizza- Hidalgo, Texas- Check out our online menu");
INSERT INTO `wp_postmeta` VALUES("1555", "167", "_yoast_wpseo_metadesc", "Add bacon, banana peppers, or jalapeños to your stix–$1.00 each Bread Stix–$3.99 12 per order, covered with butter & spices. Cinnamon Stix–$3.99");
INSERT INTO `wp_postmeta` VALUES("1556", "167", "_yoast_wpseo_linkdex", "62");
INSERT INTO `wp_postmeta` VALUES("1557", "167", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1558", "60", "_yoast_wpseo_focuskw_text_input", "lexington");
INSERT INTO `wp_postmeta` VALUES("1559", "60", "_yoast_wpseo_focuskw", "lexington");
INSERT INTO `wp_postmeta` VALUES("1560", "60", "_yoast_wpseo_title", "Buck\'s Pizza- Lexington, South Carolina- Food for the entire family!");
INSERT INTO `wp_postmeta` VALUES("1561", "60", "_yoast_wpseo_metadesc", "Check out our menu! Pizza, Wings, Sandwiches, Stromboli, Salad, Pasta 1856 B South Lake Dr. Lexington, SC 29073 803-957-6100 C");
INSERT INTO `wp_postmeta` VALUES("1562", "60", "_yoast_wpseo_linkdex", "53");
INSERT INTO `wp_postmeta` VALUES("1563", "60", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1564", "62", "_yoast_wpseo_focuskw_text_input", "summerville");
INSERT INTO `wp_postmeta` VALUES("1565", "62", "_yoast_wpseo_focuskw", "summerville");
INSERT INTO `wp_postmeta` VALUES("1566", "62", "_yoast_wpseo_title", "Buck\'s Pizza- Summerville, South Carolina- Food for the entire family!");
INSERT INTO `wp_postmeta` VALUES("1567", "62", "_yoast_wpseo_metadesc", "Check out our online menu now! Pizza, Wings, Stromboli, Pasta, Sandwiches, Salads 1585 Central Ave. Summerville, SC 29483 843-851-3888");
INSERT INTO `wp_postmeta` VALUES("1568", "62", "_yoast_wpseo_linkdex", "43");
INSERT INTO `wp_postmeta` VALUES("1569", "62", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1570", "409", "_yoast_wpseo_focuskw_text_input", "Mcallen");
INSERT INTO `wp_postmeta` VALUES("1571", "409", "_yoast_wpseo_focuskw", "Mcallen");
INSERT INTO `wp_postmeta` VALUES("1572", "409", "_yoast_wpseo_title", "Buck\'s Pizza- Mcallen, Texas- Check out our online menu!");
INSERT INTO `wp_postmeta` VALUES("1573", "409", "_yoast_wpseo_metadesc", "Add bacon or jalapeños to your stix–$1.00 each Add extra cheese–$1.29 Bread Stix–$3.99 12 per order, covered with butter and spices. Cinnamon Stix–$3.99");
INSERT INTO `wp_postmeta` VALUES("1574", "409", "_yoast_wpseo_linkdex", "65");
INSERT INTO `wp_postmeta` VALUES("1575", "74", "_yoast_wpseo_focuskw_text_input", "mission");
INSERT INTO `wp_postmeta` VALUES("1576", "74", "_yoast_wpseo_focuskw", "mission");
INSERT INTO `wp_postmeta` VALUES("1577", "74", "_yoast_wpseo_title", "Buck\'s Pizza - Mission, Texas - Food for the entire family!");
INSERT INTO `wp_postmeta` VALUES("1578", "74", "_yoast_wpseo_metadesc", "Check out our online menu! Pizza, Wings, Stromboli, Sandwiches, Salads, Pasta 2401 S Shary Road, Suite A Mission, TX 78572 956-581-8611");
INSERT INTO `wp_postmeta` VALUES("1579", "74", "_yoast_wpseo_linkdex", "49");
INSERT INTO `wp_postmeta` VALUES("1580", "74", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1581", "175", "_yoast_wpseo_focuskw_text_input", "mission");
INSERT INTO `wp_postmeta` VALUES("1582", "175", "_yoast_wpseo_focuskw", "mission");
INSERT INTO `wp_postmeta` VALUES("1583", "175", "_yoast_wpseo_title", "Buck\'s Pizza - Mission, Texas - Check out our online menu!");
INSERT INTO `wp_postmeta` VALUES("1584", "175", "_yoast_wpseo_metadesc", "Add bacon or jalapeños to your stix–$1.00 each Add extra cheese–$1.29 Bread Stix–$3.99 12 per order, covered with butter and spices. Cinnamon Stix–$3.99");
INSERT INTO `wp_postmeta` VALUES("1585", "175", "_yoast_wpseo_linkdex", "62");
INSERT INTO `wp_postmeta` VALUES("1586", "36", "_yoast_wpseo_focuskw_text_input", "Pizza");
INSERT INTO `wp_postmeta` VALUES("1587", "36", "_yoast_wpseo_focuskw", "Pizza");
INSERT INTO `wp_postmeta` VALUES("1588", "36", "_yoast_wpseo_title", "Buck\'s Pizza- Mobile, Alabama- Food for the entire family!");
INSERT INTO `wp_postmeta` VALUES("1589", "36", "_yoast_wpseo_metadesc", "Check out our online menu! Pizza, Wings, Stromboli, Sandwiches, Salads, Pasta 350 Dauphin Street Mobile, AL 36602 251-431-9444");
INSERT INTO `wp_postmeta` VALUES("1590", "36", "_yoast_wpseo_linkdex", "39");
INSERT INTO `wp_postmeta` VALUES("1591", "36", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1592", "76", "_yoast_wpseo_focuskw_text_input", "mont belvieu");
INSERT INTO `wp_postmeta` VALUES("1593", "76", "_yoast_wpseo_focuskw", "mont belvieu");
INSERT INTO `wp_postmeta` VALUES("1594", "76", "_yoast_wpseo_title", "Buck\'s Pizza- Mont Belvieu, Texas- Food for the entire family!");
INSERT INTO `wp_postmeta` VALUES("1595", "76", "_yoast_wpseo_metadesc", "Order online now! Check out our online menu Pizza, Wings, Stromboli, Salads, Pasta, Sandwiches 11540 Eagle Drive Mont Belvieu, TX 77523");
INSERT INTO `wp_postmeta` VALUES("1596", "76", "_yoast_wpseo_linkdex", "43");
INSERT INTO `wp_postmeta` VALUES("1597", "179", "_yoast_wpseo_focuskw_text_input", "mont belvieu");
INSERT INTO `wp_postmeta` VALUES("1598", "179", "_yoast_wpseo_focuskw", "mont belvieu");
INSERT INTO `wp_postmeta` VALUES("1599", "179", "_yoast_wpseo_title", "Buck\'s Pizza- Mont Belvieu, Texas- Check out our online menu!");
INSERT INTO `wp_postmeta` VALUES("1600", "179", "_yoast_wpseo_metadesc", "Add bacon, banana peppers, or jalapeños to your stix–sm. 50¢, lg. 75¢ Add extra cheese–sm. 75¢, lg. $1.15 Bread Stix–sm. $4.99, lg. $5.99 Cinnamon Stix–");
INSERT INTO `wp_postmeta` VALUES("1601", "179", "_yoast_wpseo_linkdex", "62");
INSERT INTO `wp_postmeta` VALUES("1602", "179", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1603", "48", "_yoast_wpseo_focuskw_text_input", "morganton");
INSERT INTO `wp_postmeta` VALUES("1604", "48", "_yoast_wpseo_focuskw", "morganton");
INSERT INTO `wp_postmeta` VALUES("1605", "48", "_yoast_wpseo_title", "Buck\'s Pizza- Morganton, North Carolina- Food for the entire family!");
INSERT INTO `wp_postmeta` VALUES("1606", "48", "_yoast_wpseo_metadesc", "Check out our online menu! Pizza, Wings, Stromboli, Sandwiches, Salads, Pasta 305 East Union Street Morganton, NC 28655 828-433-9006");
INSERT INTO `wp_postmeta` VALUES("1607", "48", "_yoast_wpseo_linkdex", "49");
INSERT INTO `wp_postmeta` VALUES("1608", "48", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1609", "185", "_yoast_wpseo_focuskw_text_input", "Peachtree city");
INSERT INTO `wp_postmeta` VALUES("1610", "185", "_yoast_wpseo_focuskw", "Peachtree city");
INSERT INTO `wp_postmeta` VALUES("1611", "185", "_yoast_wpseo_title", "Buck\'s Pizza- Peachtree City, Georgia- Check out our online menu!");
INSERT INTO `wp_postmeta` VALUES("1612", "185", "_yoast_wpseo_metadesc", "Wings (8 pc.)–$7.49 Mild, Medium, Hot, Honey BBQ or Lemon Pepper Chicken Tenders (5 pc.)–$6.49 Cheese Stix with Marinara–sm. $4.99, md. $6.99, lg. $9.99");
INSERT INTO `wp_postmeta` VALUES("1613", "185", "_yoast_wpseo_linkdex", "65");
INSERT INTO `wp_postmeta` VALUES("1614", "185", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1615", "40", "_yoast_wpseo_focuskw_text_input", "Peachtree city");
INSERT INTO `wp_postmeta` VALUES("1616", "40", "_yoast_wpseo_focuskw", "Peachtree city");
INSERT INTO `wp_postmeta` VALUES("1617", "40", "_yoast_wpseo_title", "Buck\'s Pizza- Peachtree City, Georgia- Food for the entire family!");
INSERT INTO `wp_postmeta` VALUES("1618", "40", "_yoast_wpseo_metadesc", "Order online now! Check out our online menu Pizza, Wings, Pasta, Sandwiches, Stromboli, Salads 1200 Highway 74 S Peachtree City, GA 30269");
INSERT INTO `wp_postmeta` VALUES("1619", "40", "_yoast_wpseo_linkdex", "43");
INSERT INTO `wp_postmeta` VALUES("1620", "15", "_yoast_wpseo_focuskw_text_input", "Buck\'s pizza");
INSERT INTO `wp_postmeta` VALUES("1621", "15", "_yoast_wpseo_focuskw", "Buck\'s pizza");
INSERT INTO `wp_postmeta` VALUES("1622", "15", "_yoast_wpseo_title", "Buck\'s Pizza- Our story");
INSERT INTO `wp_postmeta` VALUES("1623", "15", "_yoast_wpseo_metadesc", "What started as a vision for Lance Benton evolved into reality when Buck’s Pizza Franchising Corporation, Inc. was born on September 16, 1994 in Du Bois, PA");
INSERT INTO `wp_postmeta` VALUES("1624", "15", "_yoast_wpseo_linkdex", "61");
INSERT INTO `wp_postmeta` VALUES("1625", "15", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1626", "78", "_yoast_wpseo_focuskw_text_input", "Nitro");
INSERT INTO `wp_postmeta` VALUES("1627", "78", "_yoast_wpseo_focuskw", "Nitro");
INSERT INTO `wp_postmeta` VALUES("1628", "78", "_yoast_wpseo_title", "Buck\'s Pizza- Nitro, West Virginia- Food for the entire family!");
INSERT INTO `wp_postmeta` VALUES("1629", "78", "_yoast_wpseo_metadesc", "Check out our online menu! Pizza, Wings, Stromboli, Salads, Pasta, Sandwiches 3901 39th Street S Nitro, WV 25143 304-722-4000");
INSERT INTO `wp_postmeta` VALUES("1630", "78", "_yoast_wpseo_linkdex", "56");
INSERT INTO `wp_postmeta` VALUES("1631", "78", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1632", "514", "_yoast_wpseo_focuskw_text_input", "morganton");
INSERT INTO `wp_postmeta` VALUES("1633", "514", "_yoast_wpseo_focuskw", "morganton");
INSERT INTO `wp_postmeta` VALUES("1634", "514", "_yoast_wpseo_title", "Buck\'s Pizza- Morganton, North Carolina- Check out our online menu!");
INSERT INTO `wp_postmeta` VALUES("1635", "514", "_yoast_wpseo_metadesc", "Bread Stix $3.99 12 per order, covered with butter & spices. Cinnamon Stix $3.99 12 per order, with icing.Cheese Stix $4.99 12 per order, covered in");
INSERT INTO `wp_postmeta` VALUES("1636", "514", "_yoast_wpseo_linkdex", "50");
INSERT INTO `wp_postmeta` VALUES("1637", "514", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1660", "1212", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1661", "1212", "_edit_lock", "1508537058:1");
INSERT INTO `wp_postmeta` VALUES("1662", "1212", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1663", "1212", "_yoast_wpseo_primary_category", "");
INSERT INTO `wp_postmeta` VALUES("1669", "1212", "_yoast_wpseo_focuskw_text_input", "fresh tomatoes");
INSERT INTO `wp_postmeta` VALUES("1670", "1212", "_yoast_wpseo_focuskw", "fresh tomatoes");
INSERT INTO `wp_postmeta` VALUES("1671", "1212", "_yoast_wpseo_metadesc", "Buck\'s Pizza is committed to using the best ingredients, including fresh tomatoes. There\'s a saying, quality products attract quality customers.");
INSERT INTO `wp_postmeta` VALUES("1672", "1212", "_yoast_wpseo_linkdex", "86");
INSERT INTO `wp_postmeta` VALUES("1673", "1212", "_wp_old_slug", "fresh-tomatoes-not-concentrate");
INSERT INTO `wp_postmeta` VALUES("1674", "1218", "_wp_attached_file", "2017/08/TOMATOES.png");
INSERT INTO `wp_postmeta` VALUES("1675", "1218", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:500;s:6:\"height\";i:407;s:4:\"file\";s:20:\"2017/08/TOMATOES.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:20:\"TOMATOES-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:20:\"TOMATOES-250x204.png\";s:5:\"width\";i:250;s:6:\"height\";i:204;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:19:\"TOMATOES-120x98.png\";s:5:\"width\";i:120;s:6:\"height\";i:98;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:20:\"TOMATOES-500x200.png\";s:5:\"width\";i:500;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1676", "1212", "_thumbnail_id", "1239");
INSERT INTO `wp_postmeta` VALUES("1680", "1224", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1681", "1224", "_edit_lock", "1504812200:1");
INSERT INTO `wp_postmeta` VALUES("1682", "1224", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1683", "1224", "_yoast_wpseo_primary_category", "");
INSERT INTO `wp_postmeta` VALUES("1684", "1228", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1685", "1228", "_edit_lock", "1502372386:1");
INSERT INTO `wp_postmeta` VALUES("1686", "1228", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1687", "1228", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1688", "1228", "_yoast_wpseo_focuskw_text_input", "somerset");
INSERT INTO `wp_postmeta` VALUES("1689", "1228", "_yoast_wpseo_focuskw", "somerset");
INSERT INTO `wp_postmeta` VALUES("1690", "1228", "_yoast_wpseo_metadesc", "Owning a Buck\'s Pizza franchise is easier than you might think. You don\'t even need experience in the food service industry!");
INSERT INTO `wp_postmeta` VALUES("1691", "1228", "_yoast_wpseo_linkdex", "72");
INSERT INTO `wp_postmeta` VALUES("1692", "1230", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1693", "1230", "_edit_lock", "1504807601:1");
INSERT INTO `wp_postmeta` VALUES("1694", "1230", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1695", "1230", "_yoast_wpseo_focuskw_text_input", "bedford");
INSERT INTO `wp_postmeta` VALUES("1696", "1230", "_yoast_wpseo_focuskw", "bedford");
INSERT INTO `wp_postmeta` VALUES("1697", "1230", "_yoast_wpseo_metadesc", "Owning a Buck\'s Pizza franchise is easier than you might think. You don\'t even need experience in the food service industry");
INSERT INTO `wp_postmeta` VALUES("1698", "1230", "_yoast_wpseo_linkdex", "72");
INSERT INTO `wp_postmeta` VALUES("1699", "1230", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1701", "1239", "_wp_attached_file", "2017/08/roma-tomatoes.jpg");
INSERT INTO `wp_postmeta` VALUES("1702", "1239", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:340;s:6:\"height\";i:270;s:4:\"file\";s:25:\"2017/08/roma-tomatoes.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"roma-tomatoes-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"roma-tomatoes-250x199.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:199;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:24:\"roma-tomatoes-120x95.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:95;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:25:\"roma-tomatoes-340x200.jpg\";s:5:\"width\";i:340;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1704", "1245", "_wp_attached_file", "2017/09/olive-oil.jpg");
INSERT INTO `wp_postmeta` VALUES("1705", "1245", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1200;s:6:\"height\";i:630;s:4:\"file\";s:21:\"2017/09/olive-oil.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:21:\"olive-oil-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:21:\"olive-oil-250x131.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:131;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:21:\"olive-oil-768x403.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:403;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:21:\"olive-oil-700x368.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:368;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:20:\"olive-oil-120x63.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:63;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:21:\"olive-oil-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1706", "1224", "_thumbnail_id", "1245");
INSERT INTO `wp_postmeta` VALUES("1709", "1253", "_wp_attached_file", "2017/10/bedd4034-be6f-45fd-9a5b-c0dac914a3b5-e1507676357176.jpg");
INSERT INTO `wp_postmeta` VALUES("1710", "1253", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:400;s:6:\"height\";i:267;s:4:\"file\";s:63:\"2017/10/bedd4034-be6f-45fd-9a5b-c0dac914a3b5-e1507676357176.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:48:\"bedd4034-be6f-45fd-9a5b-c0dac914a3b5-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:48:\"bedd4034-be6f-45fd-9a5b-c0dac914a3b5-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:47:\"bedd4034-be6f-45fd-9a5b-c0dac914a3b5-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:48:\"bedd4034-be6f-45fd-9a5b-c0dac914a3b5-600x200.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1711", "1252", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1712", "1252", "_edit_lock", "1507773424:1");
INSERT INTO `wp_postmeta` VALUES("1713", "1252", "_thumbnail_id", "1253");
INSERT INTO `wp_postmeta` VALUES("1714", "1252", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1715", "1252", "_yoast_wpseo_primary_category", "");
INSERT INTO `wp_postmeta` VALUES("1716", "1252", "_yoast_wpseo_focuskw_text_input", "dough");
INSERT INTO `wp_postmeta` VALUES("1717", "1252", "_yoast_wpseo_focuskw", "dough");
INSERT INTO `wp_postmeta` VALUES("1718", "1252", "_yoast_wpseo_linkdex", "5");
INSERT INTO `wp_postmeta` VALUES("1719", "1253", "_wp_attachment_backup_sizes", "a:1:{s:9:\"full-orig\";a:3:{s:5:\"width\";i:600;s:6:\"height\";i:401;s:4:\"file\";s:40:\"bedd4034-be6f-45fd-9a5b-c0dac914a3b5.jpg\";}}");
INSERT INTO `wp_postmeta` VALUES("1720", "1253", "_wp_attachment_image_alt", "bucks pizza dough");
INSERT INTO `wp_postmeta` VALUES("1722", "1265", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1723", "1265", "_edit_lock", "1576601801:1");
INSERT INTO `wp_postmeta` VALUES("1724", "1266", "_wp_attached_file", "2017/11/santa.jpg");
INSERT INTO `wp_postmeta` VALUES("1725", "1266", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:960;s:6:\"height\";i:480;s:4:\"file\";s:17:\"2017/11/santa.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:17:\"santa-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:17:\"santa-250x125.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:125;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:17:\"santa-768x384.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:384;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:17:\"santa-700x350.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:350;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:16:\"santa-120x60.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:60;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:17:\"santa-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:16:\"Jose Luis Pelaez\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:20:\"(c) Jose Luis Pelaez\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1726", "1267", "_wp_attached_file", "2017/11/santa-2.jpg");
INSERT INTO `wp_postmeta` VALUES("1727", "1267", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:720;s:6:\"height\";i:960;s:4:\"file\";s:19:\"2017/11/santa-2.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"santa-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"santa-2-250x333.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:333;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:19:\"santa-2-700x933.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:933;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:19:\"santa-2-120x160.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:160;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:19:\"santa-2-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1728", "1268", "_wp_attached_file", "2017/11/giftcards_holidays2017.png");
INSERT INTO `wp_postmeta` VALUES("1729", "1268", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:423;s:6:\"height\";i:587;s:4:\"file\";s:34:\"2017/11/giftcards_holidays2017.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:34:\"giftcards_holidays2017-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:34:\"giftcards_holidays2017-250x347.png\";s:5:\"width\";i:250;s:6:\"height\";i:347;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:34:\"giftcards_holidays2017-120x167.png\";s:5:\"width\";i:120;s:6:\"height\";i:167;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:34:\"giftcards_holidays2017-423x200.png\";s:5:\"width\";i:423;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1730", "1265", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1731", "1265", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1732", "1275", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1733", "1275", "_edit_lock", "1576601715:1");
INSERT INTO `wp_postmeta` VALUES("1734", "1275", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1735", "1275", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1736", "1297", "_wp_attached_file", "2018/03/Bucks-Delicious-Deals-3-5.jpg");
INSERT INTO `wp_postmeta` VALUES("1737", "1297", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1200;s:6:\"height\";i:900;s:4:\"file\";s:37:\"2018/03/Bucks-Delicious-Deals-3-5.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:37:\"Bucks-Delicious-Deals-3-5-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:37:\"Bucks-Delicious-Deals-3-5-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:37:\"Bucks-Delicious-Deals-3-5-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:37:\"Bucks-Delicious-Deals-3-5-700x525.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:36:\"Bucks-Delicious-Deals-3-5-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:37:\"Bucks-Delicious-Deals-3-5-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1738", "1298", "_wp_attached_file", "2018/03/Bucks-Delicious-Deals-3-5-single.jpg");
INSERT INTO `wp_postmeta` VALUES("1739", "1298", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1200;s:6:\"height\";i:900;s:4:\"file\";s:44:\"2018/03/Bucks-Delicious-Deals-3-5-single.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:44:\"Bucks-Delicious-Deals-3-5-single-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:44:\"Bucks-Delicious-Deals-3-5-single-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:44:\"Bucks-Delicious-Deals-3-5-single-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:44:\"Bucks-Delicious-Deals-3-5-single-700x525.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:43:\"Bucks-Delicious-Deals-3-5-single-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:44:\"Bucks-Delicious-Deals-3-5-single-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1740", "1298", "_wp_attachment_image_alt", "Bucks Pizza Delicious deals ad week of March 5th");
INSERT INTO `wp_postmeta` VALUES("1741", "1296", "_oembed_7c9f6f654b615c4dcfc196d64fce9345", "{{unknown}}");
INSERT INTO `wp_postmeta` VALUES("1742", "1296", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1743", "1296", "_wp_page_template", "page-order.php");
INSERT INTO `wp_postmeta` VALUES("1744", "1296", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1745", "1296", "_oembed_aa37abc51037c0ce4881eb9a38459e1f", "{{unknown}}");
INSERT INTO `wp_postmeta` VALUES("1746", "1296", "_edit_lock", "1531163265:1");
INSERT INTO `wp_postmeta` VALUES("1747", "1296", "_oembed_2bd3802b07480d3df8af8616fceb7ff8", "{{unknown}}");
INSERT INTO `wp_postmeta` VALUES("1748", "1314", "_wp_attached_file", "2018/03/Bucks-Delicious-Deals-2-19-single.png");
INSERT INTO `wp_postmeta` VALUES("1749", "1314", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1200;s:6:\"height\";i:900;s:4:\"file\";s:45:\"2018/03/Bucks-Delicious-Deals-2-19-single.png\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:45:\"Bucks-Delicious-Deals-2-19-single-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:45:\"Bucks-Delicious-Deals-2-19-single-250x188.png\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:45:\"Bucks-Delicious-Deals-2-19-single-768x576.png\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:45:\"Bucks-Delicious-Deals-2-19-single-700x525.png\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:44:\"Bucks-Delicious-Deals-2-19-single-120x90.png\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:45:\"Bucks-Delicious-Deals-2-19-single-700x200.png\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1750", "1314", "_wp_attachment_image_alt", "picture of Buck\'s Pizza meat lover\'s pizza for Delicious Deals page");
INSERT INTO `wp_postmeta` VALUES("1751", "1316", "_wp_attached_file", "2018/03/Bucks-Delicious-Deals-2-12-single.jpg");
INSERT INTO `wp_postmeta` VALUES("1752", "1316", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1200;s:6:\"height\";i:900;s:4:\"file\";s:45:\"2018/03/Bucks-Delicious-Deals-2-12-single.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:45:\"Bucks-Delicious-Deals-2-12-single-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:45:\"Bucks-Delicious-Deals-2-12-single-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:45:\"Bucks-Delicious-Deals-2-12-single-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:45:\"Bucks-Delicious-Deals-2-12-single-700x525.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:44:\"Bucks-Delicious-Deals-2-12-single-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:45:\"Bucks-Delicious-Deals-2-12-single-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1753", "1320", "_wp_attached_file", "2018/03/Copy-of-Bucks-Delicious-Deals-3-26.jpg");
INSERT INTO `wp_postmeta` VALUES("1754", "1320", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1200;s:6:\"height\";i:900;s:4:\"file\";s:46:\"2018/03/Copy-of-Bucks-Delicious-Deals-3-26.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-3-26-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-3-26-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-3-26-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-3-26-700x525.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-3-26-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-3-26-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1755", "1322", "_wp_attached_file", "2018/04/Copy-of-Bucks-Delicious-Deals-4-2.jpg");
INSERT INTO `wp_postmeta` VALUES("1756", "1322", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1200;s:6:\"height\";i:900;s:4:\"file\";s:45:\"2018/04/Copy-of-Bucks-Delicious-Deals-4-2.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-4-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-4-2-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-4-2-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-4-2-700x525.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:44:\"Copy-of-Bucks-Delicious-Deals-4-2-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-4-2-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1757", "1325", "_wp_attached_file", "2018/04/Bucks-Delicious-Deals-4-9.jpg");
INSERT INTO `wp_postmeta` VALUES("1758", "1325", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1200;s:6:\"height\";i:900;s:4:\"file\";s:37:\"2018/04/Bucks-Delicious-Deals-4-9.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:37:\"Bucks-Delicious-Deals-4-9-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:37:\"Bucks-Delicious-Deals-4-9-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:37:\"Bucks-Delicious-Deals-4-9-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:37:\"Bucks-Delicious-Deals-4-9-700x525.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:36:\"Bucks-Delicious-Deals-4-9-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:37:\"Bucks-Delicious-Deals-4-9-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1759", "1327", "_wp_attached_file", "2018/04/Copy-of-Bucks-Delicious-Deals-4-16.jpg");
INSERT INTO `wp_postmeta` VALUES("1760", "1327", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1200;s:6:\"height\";i:900;s:4:\"file\";s:46:\"2018/04/Copy-of-Bucks-Delicious-Deals-4-16.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-4-16-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-4-16-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-4-16-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-4-16-700x525.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-4-16-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-4-16-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1761", "1330", "_wp_attached_file", "2018/04/Copy-of-Bucks-Delicious-Deals-4-23.jpg");
INSERT INTO `wp_postmeta` VALUES("1762", "1330", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1200;s:6:\"height\";i:900;s:4:\"file\";s:46:\"2018/04/Copy-of-Bucks-Delicious-Deals-4-23.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-4-23-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-4-23-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-4-23-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-4-23-700x525.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-4-23-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-4-23-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1763", "1333", "_wp_attached_file", "2018/04/Copy-of-Bucks-Delicious-Deals-4-30.jpg");
INSERT INTO `wp_postmeta` VALUES("1764", "1333", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1200;s:6:\"height\";i:900;s:4:\"file\";s:46:\"2018/04/Copy-of-Bucks-Delicious-Deals-4-30.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-4-30-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-4-30-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-4-30-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-4-30-700x525.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-4-30-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-4-30-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1816", "1335", "_wp_attached_file", "2018/05/Copy-of-Bucks-Delicious-Deals-5-7.jpg");
INSERT INTO `wp_postmeta` VALUES("1817", "1335", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1200;s:6:\"height\";i:900;s:4:\"file\";s:45:\"2018/05/Copy-of-Bucks-Delicious-Deals-5-7.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-5-7-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-5-7-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-5-7-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-5-7-700x525.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:44:\"Copy-of-Bucks-Delicious-Deals-5-7-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-5-7-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1819", "1337", "notification_id", "733");
INSERT INTO `wp_postmeta` VALUES("1820", "1337", "type", "success");
INSERT INTO `wp_postmeta` VALUES("1821", "1337", "dismissable", "1");
INSERT INTO `wp_postmeta` VALUES("1822", "1337", "location", "[\"everywhere\"]");
INSERT INTO `wp_postmeta` VALUES("1823", "1337", "version", "");
INSERT INTO `wp_postmeta` VALUES("1824", "1337", "viewed", "1");
INSERT INTO `wp_postmeta` VALUES("1825", "1337", "expiration", "1527724800");
INSERT INTO `wp_postmeta` VALUES("1826", "1337", "plans", "[]");
INSERT INTO `wp_postmeta` VALUES("1830", "1343", "_wp_attached_file", "2018/05/Copy-of-Bucks-Delicious-Deals-5-14.jpg");
INSERT INTO `wp_postmeta` VALUES("1831", "1343", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1200;s:6:\"height\";i:900;s:4:\"file\";s:46:\"2018/05/Copy-of-Bucks-Delicious-Deals-5-14.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-5-14-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-5-14-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-5-14-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-5-14-700x525.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-5-14-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-5-14-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1834", "1346", "_wp_attached_file", "2018/05/Copy-of-Bucks-Delicious-Deals-5-21.jpg");
INSERT INTO `wp_postmeta` VALUES("1835", "1346", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1200;s:6:\"height\";i:900;s:4:\"file\";s:46:\"2018/05/Copy-of-Bucks-Delicious-Deals-5-21.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-5-21-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-5-21-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-5-21-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-5-21-700x525.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-5-21-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-5-21-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1837", "1348", "_wp_attached_file", "2018/05/Copy-of-Bucks-Delicious-Deals-5-28.jpg");
INSERT INTO `wp_postmeta` VALUES("1838", "1348", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1200;s:6:\"height\";i:900;s:4:\"file\";s:46:\"2018/05/Copy-of-Bucks-Delicious-Deals-5-28.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-5-28-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-5-28-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-5-28-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-5-28-700x525.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-5-28-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-5-28-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1840", "1351", "_wp_attached_file", "2018/05/Copy-of-Bucks-Delicious-Deals-6-4.jpg");
INSERT INTO `wp_postmeta` VALUES("1841", "1351", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1200;s:6:\"height\";i:900;s:4:\"file\";s:45:\"2018/05/Copy-of-Bucks-Delicious-Deals-6-4.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-6-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-6-4-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-6-4-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-6-4-700x525.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:44:\"Copy-of-Bucks-Delicious-Deals-6-4-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-6-4-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1843", "1353", "_wp_attached_file", "2018/06/Copy-of-Bucks-Delicious-Deals-6-11.jpg");
INSERT INTO `wp_postmeta` VALUES("1844", "1353", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1200;s:6:\"height\";i:900;s:4:\"file\";s:46:\"2018/06/Copy-of-Bucks-Delicious-Deals-6-11.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-6-11-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-6-11-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-6-11-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-6-11-700x525.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:45:\"Copy-of-Bucks-Delicious-Deals-6-11-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:46:\"Copy-of-Bucks-Delicious-Deals-6-11-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1851", "1359", "_edit_lock", "1529595310:2");
INSERT INTO `wp_postmeta` VALUES("1852", "1359", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("1853", "1359", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1854", "1359", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1863", "1384", "_edit_lock", "1532045838:1");
INSERT INTO `wp_postmeta` VALUES("1864", "1384", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1865", "1384", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1866", "1384", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1867", "1429", "_wp_attached_file", "2018/08/Bucks-Menu-Insert-2018-PAP-Online.jpg");
INSERT INTO `wp_postmeta` VALUES("1868", "1429", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:504;s:6:\"height\";i:828;s:4:\"file\";s:45:\"2018/08/Bucks-Menu-Insert-2018-PAP-Online.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:45:\"Bucks-Menu-Insert-2018-PAP-Online-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:45:\"Bucks-Menu-Insert-2018-PAP-Online-250x411.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:411;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:45:\"Bucks-Menu-Insert-2018-PAP-Online-120x197.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:197;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:45:\"Bucks-Menu-Insert-2018-PAP-Online-504x200.jpg\";s:5:\"width\";i:504;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1869", "1432", "_wp_attached_file", "2018/08/Bucks-Pizza-Party-Paks.pdf");
INSERT INTO `wp_postmeta` VALUES("1870", "1432", "_wp_attachment_metadata", "a:1:{s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"Bucks-Pizza-Party-Paks-pdf-115x150.jpg\";s:5:\"width\";i:115;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"Bucks-Pizza-Party-Paks-pdf-250x326.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:326;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:38:\"Bucks-Pizza-Party-Paks-pdf-700x913.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:913;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:4:\"full\";a:4:{s:4:\"file\";s:30:\"Bucks-Pizza-Party-Paks-pdf.jpg\";s:5:\"width\";i:2944;s:6:\"height\";i:3840;s:9:\"mime-type\";s:10:\"image/jpeg\";}}}");
INSERT INTO `wp_postmeta` VALUES("1871", "1450", "_wp_attached_file", "2018/09/Party-Pak-Pricing-2018.09.05.pdf");
INSERT INTO `wp_postmeta` VALUES("1872", "1450", "_wp_attachment_metadata", "a:1:{s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:44:\"Party-Pak-Pricing-2018.09.05-pdf-116x150.jpg\";s:5:\"width\";i:116;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:44:\"Party-Pak-Pricing-2018.09.05-pdf-250x324.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:324;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:44:\"Party-Pak-Pricing-2018.09.05-pdf-700x906.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:906;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:4:\"full\";a:4:{s:4:\"file\";s:36:\"Party-Pak-Pricing-2018.09.05-pdf.jpg\";s:5:\"width\";i:1088;s:6:\"height\";i:1408;s:9:\"mime-type\";s:10:\"image/jpeg\";}}}");
INSERT INTO `wp_postmeta` VALUES("1873", "1454", "_edit_lock", "1586807482:1");
INSERT INTO `wp_postmeta` VALUES("1874", "1454", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1875", "1454", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1876", "1454", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1877", "1464", "_wp_attached_file", "2018/09/Mobile-Alabama-Menu.pdf");
INSERT INTO `wp_postmeta` VALUES("1878", "1464", "_wp_attachment_metadata", "a:1:{s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:35:\"Mobile-Alabama-Menu-pdf-116x150.jpg\";s:5:\"width\";i:116;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:35:\"Mobile-Alabama-Menu-pdf-250x324.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:324;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:35:\"Mobile-Alabama-Menu-pdf-700x906.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:906;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:4:\"full\";a:4:{s:4:\"file\";s:27:\"Mobile-Alabama-Menu-pdf.jpg\";s:5:\"width\";i:1088;s:6:\"height\";i:1408;s:9:\"mime-type\";s:10:\"image/jpeg\";}}}");
INSERT INTO `wp_postmeta` VALUES("1879", "1529", "_edit_lock", "1539290410:1");
INSERT INTO `wp_postmeta` VALUES("1880", "1529", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1881", "1529", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1882", "1529", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1883", "1563", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1884", "1563", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1885", "1563", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1886", "1563", "_edit_lock", "1547604104:1");
INSERT INTO `wp_postmeta` VALUES("1887", "1585", "_edit_lock", "1540254445:1");
INSERT INTO `wp_postmeta` VALUES("1888", "1585", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1889", "1585", "_cfb_flip_repeat_group", "a:1:{i:0;a:9:{s:13:\"flipbox_title\";s:10:\"Directions\";s:13:\"flipbox_label\";s:23:\"Find a Buck\'s near you!\";s:12:\"flipbox_desc\";s:49:\"Click the link below to go to our Locations Page!\";s:19:\"flipbox_desc_length\";s:2:\"75\";s:12:\"color_scheme\";s:7:\"#a30b33\";s:16:\"flipbox_image_id\";i:6;s:13:\"flipbox_image\";s:69:\"http://buckspizza.com/wp-content/uploads/2015/06/bucks-pizza-logo.png\";s:11:\"flipbox_url\";s:32:\"http://buckspizza.com/locations/\";s:14:\"read_more_link\";s:11:\"Click here!\";}}");
INSERT INTO `wp_postmeta` VALUES("1890", "1585", "_cfb_flip_layout", "with-image");
INSERT INTO `wp_postmeta` VALUES("1891", "1585", "_cfb_effect", "x");
INSERT INTO `wp_postmeta` VALUES("1892", "1585", "_cfb_column", "col-md-4");
INSERT INTO `wp_postmeta` VALUES("1893", "1585", "_cfb_icon_size", "52px");
INSERT INTO `wp_postmeta` VALUES("1894", "1585", "_cfb_skin_color", "#a30b33");
INSERT INTO `wp_postmeta` VALUES("1895", "1585", "_cfb_bootstrap", "disable");
INSERT INTO `wp_postmeta` VALUES("1896", "1585", "_cfb_font", "enable");
INSERT INTO `wp_postmeta` VALUES("1897", "1585", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("1898", "54", "_oembed_a55dcc543de951870741ccb6cf969c06", "{{unknown}}");
INSERT INTO `wp_postmeta` VALUES("1899", "1717", "_edit_lock", "1547139362:1");
INSERT INTO `wp_postmeta` VALUES("1900", "1718", "_wp_attached_file", "2019/01/Bucks-Insert-front-and-back-8.5x11-BOGOHalfOff2018.pdf");
INSERT INTO `wp_postmeta` VALUES("1901", "1718", "_wp_attachment_metadata", "a:1:{s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:66:\"Bucks-Insert-front-and-back-8.5x11-BOGOHalfOff2018-pdf-118x150.jpg\";s:5:\"width\";i:118;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:66:\"Bucks-Insert-front-and-back-8.5x11-BOGOHalfOff2018-pdf-250x319.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:319;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:66:\"Bucks-Insert-front-and-back-8.5x11-BOGOHalfOff2018-pdf-700x893.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:893;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:4:\"full\";a:4:{s:4:\"file\";s:58:\"Bucks-Insert-front-and-back-8.5x11-BOGOHalfOff2018-pdf.jpg\";s:5:\"width\";i:1163;s:6:\"height\";i:1483;s:9:\"mime-type\";s:10:\"image/jpeg\";}}}");
INSERT INTO `wp_postmeta` VALUES("1902", "1719", "_wp_attached_file", "2019/01/Bucks-Insert-front-and-back-8.5x11-BOGOHalfOff2018-1.pdf");
INSERT INTO `wp_postmeta` VALUES("1903", "1719", "_wp_attachment_metadata", "a:1:{s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:68:\"Bucks-Insert-front-and-back-8.5x11-BOGOHalfOff2018-1-pdf-118x150.jpg\";s:5:\"width\";i:118;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:68:\"Bucks-Insert-front-and-back-8.5x11-BOGOHalfOff2018-1-pdf-250x319.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:319;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:68:\"Bucks-Insert-front-and-back-8.5x11-BOGOHalfOff2018-1-pdf-700x893.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:893;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:4:\"full\";a:4:{s:4:\"file\";s:60:\"Bucks-Insert-front-and-back-8.5x11-BOGOHalfOff2018-1-pdf.jpg\";s:5:\"width\";i:1163;s:6:\"height\";i:1483;s:9:\"mime-type\";s:10:\"image/jpeg\";}}}");
INSERT INTO `wp_postmeta` VALUES("1904", "1717", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1905", "1717", "_yoast_wpseo_focuskw", "Buy One Pizza Get A Second Pizza for 1/2 Price");
INSERT INTO `wp_postmeta` VALUES("1906", "1717", "_yoast_wpseo_title", "Buck\'s Pizza - Buy One Pizza Get A Second Pizza for 1/2 Price!");
INSERT INTO `wp_postmeta` VALUES("1907", "1717", "_yoast_wpseo_metadesc", "Now through February 2, 2019 - buy one pizza get a second pizza for 1/2 price! Available for Dine-in and Carry-out orders!");
INSERT INTO `wp_postmeta` VALUES("1908", "1717", "_yoast_wpseo_linkdex", "60");
INSERT INTO `wp_postmeta` VALUES("1909", "1717", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1910", "1734", "_edit_lock", "1548014586:1");
INSERT INTO `wp_postmeta` VALUES("1911", "1734", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1912", "1734", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1935", "1778", "_edit_lock", "1586887174:1");
INSERT INTO `wp_postmeta` VALUES("1936", "1778", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1937", "1778", "_wp_page_template", "page-order.php");
INSERT INTO `wp_postmeta` VALUES("1938", "1778", "_yoast_wpseo_title", "%%title%% Bucks Pizza - St. Marys, PA - let us cook tonight!");
INSERT INTO `wp_postmeta` VALUES("1939", "1778", "_yoast_wpseo_metadesc", "Where to eat in St. Marys? Menu of pasta, wings, salads, sandwiches, desserts & PIZZA using the freshest ingredients served at the peak of deliciousness...");
INSERT INTO `wp_postmeta` VALUES("1940", "1778", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1941", "1783", "_edit_lock", "1551626440:1");
INSERT INTO `wp_postmeta` VALUES("1942", "1783", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1943", "1784", "_wp_attached_file", "2019/01/FebThankYou.jpg");
INSERT INTO `wp_postmeta` VALUES("1944", "1784", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:612;s:6:\"height\";i:792;s:4:\"file\";s:23:\"2019/01/FebThankYou.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"FebThankYou-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"FebThankYou-250x324.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:324;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:23:\"FebThankYou-120x155.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:23:\"FebThankYou-612x200.jpg\";s:5:\"width\";i:612;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1945", "1785", "_wp_attached_file", "2019/01/FebThankYouEmployees.jpg");
INSERT INTO `wp_postmeta` VALUES("1946", "1785", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:612;s:6:\"height\";i:792;s:4:\"file\";s:32:\"2019/01/FebThankYouEmployees.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:32:\"FebThankYouEmployees-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:32:\"FebThankYouEmployees-250x324.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:324;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:32:\"FebThankYouEmployees-120x155.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:155;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:32:\"FebThankYouEmployees-612x200.jpg\";s:5:\"width\";i:612;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1947", "1783", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1948", "1783", "_yoast_wpseo_title", "%%title%% - Best Pizza of the Tri-County 2018!");
INSERT INTO `wp_postmeta` VALUES("1949", "1783", "_yoast_wpseo_metadesc", "Buck\'s Pizza is grateful to our customers for choosing us as the Best Pizza in the Tri-County Area. Thank you from Buck\'s Pizza and the Benton Family.");
INSERT INTO `wp_postmeta` VALUES("1950", "1783", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1951", "1794", "_edit_lock", "1549307586:1");
INSERT INTO `wp_postmeta` VALUES("1952", "1794", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1953", "1794", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1954", "1794", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1955", "1794", "_yoast_wpseo_title", "%%title%% - Join our team at Buck\'s Pizza!");
INSERT INTO `wp_postmeta` VALUES("1956", "1794", "_yoast_wpseo_metadesc", "Looking for employment opportunities in Elk/Clearfield counties? Check out the positions that we currently have open and join our team!");
INSERT INTO `wp_postmeta` VALUES("1957", "1832", "_edit_lock", "1551723543:1");
INSERT INTO `wp_postmeta` VALUES("1958", "1832", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1959", "1833", "_wp_attached_file", "2019/03/dinner-for-two.png");
INSERT INTO `wp_postmeta` VALUES("1960", "1833", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:718;s:6:\"height\";i:504;s:4:\"file\";s:26:\"2019/03/dinner-for-two.png\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"dinner-for-two-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"dinner-for-two-250x175.png\";s:5:\"width\";i:250;s:6:\"height\";i:175;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"dinner-for-two-700x491.png\";s:5:\"width\";i:700;s:6:\"height\";i:491;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:25:\"dinner-for-two-120x84.png\";s:5:\"width\";i:120;s:6:\"height\";i:84;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:26:\"dinner-for-two-700x200.png\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1961", "1833", "_wp_attachment_image_alt", "bucks pizza march 2019 offer dubois pa and clearfield pa");
INSERT INTO `wp_postmeta` VALUES("1962", "1834", "_wp_attached_file", "2019/03/bucks-march-2019-special.png");
INSERT INTO `wp_postmeta` VALUES("1963", "1834", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:720;s:6:\"height\";i:372;s:4:\"file\";s:36:\"2019/03/bucks-march-2019-special.png\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:36:\"bucks-march-2019-special-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:36:\"bucks-march-2019-special-250x129.png\";s:5:\"width\";i:250;s:6:\"height\";i:129;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:36:\"bucks-march-2019-special-700x362.png\";s:5:\"width\";i:700;s:6:\"height\";i:362;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:35:\"bucks-march-2019-special-120x62.png\";s:5:\"width\";i:120;s:6:\"height\";i:62;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:36:\"bucks-march-2019-special-700x200.png\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1964", "1834", "_wp_attachment_image_alt", "bucks pizza march 2019 offer dubois pa and clearfield pa");
INSERT INTO `wp_postmeta` VALUES("1965", "1832", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1966", "1832", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1967", "1839", "_edit_lock", "1566826864:2");
INSERT INTO `wp_postmeta` VALUES("1968", "1839", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("1969", "1839", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1970", "1839", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1971", "1849", "_edit_lock", "1552068679:1");
INSERT INTO `wp_postmeta` VALUES("1972", "1849", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1973", "1849", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1974", "1849", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("1975", "1851", "_wp_attached_file", "2019/03/Vegi-Delite-pull-tight-50140_BP-2_18_05-039ccs.jpg");
INSERT INTO `wp_postmeta` VALUES("1976", "1851", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:4072;s:6:\"height\";i:4072;s:4:\"file\";s:58:\"2019/03/Vegi-Delite-pull-tight-50140_BP-2_18_05-039ccs.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:58:\"Vegi-Delite-pull-tight-50140_BP-2_18_05-039ccs-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:58:\"Vegi-Delite-pull-tight-50140_BP-2_18_05-039ccs-250x250.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:58:\"Vegi-Delite-pull-tight-50140_BP-2_18_05-039ccs-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:58:\"Vegi-Delite-pull-tight-50140_BP-2_18_05-039ccs-700x700.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:700;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:58:\"Vegi-Delite-pull-tight-50140_BP-2_18_05-039ccs-120x120.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:120;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:58:\"Vegi-Delite-pull-tight-50140_BP-2_18_05-039ccs-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1977", "1853", "_wp_attached_file", "2019/03/alfredo-clear-600.png");
INSERT INTO `wp_postmeta` VALUES("1978", "1853", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:599;s:6:\"height\";i:445;s:4:\"file\";s:29:\"2019/03/alfredo-clear-600.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:29:\"alfredo-clear-600-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:29:\"alfredo-clear-600-250x186.png\";s:5:\"width\";i:250;s:6:\"height\";i:186;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:28:\"alfredo-clear-600-120x89.png\";s:5:\"width\";i:120;s:6:\"height\";i:89;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:29:\"alfredo-clear-600-599x200.png\";s:5:\"width\";i:599;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1979", "1855", "_wp_attached_file", "2019/03/DSC9920.jpg");
INSERT INTO `wp_postmeta` VALUES("1980", "1855", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:854;s:4:\"file\";s:19:\"2019/03/DSC9920.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"DSC9920-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"DSC9920-250x167.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:167;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:19:\"DSC9920-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:19:\"DSC9920-700x467.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:467;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:18:\"DSC9920-120x80.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:80;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:19:\"DSC9920-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1981", "1861", "_wp_attached_file", "2019/03/Greek-tight-50140_BP-2_18_05-136ccs.jpg");
INSERT INTO `wp_postmeta` VALUES("1982", "1861", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:4072;s:6:\"height\";i:4072;s:4:\"file\";s:47:\"2019/03/Greek-tight-50140_BP-2_18_05-136ccs.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:47:\"Greek-tight-50140_BP-2_18_05-136ccs-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:47:\"Greek-tight-50140_BP-2_18_05-136ccs-250x250.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:47:\"Greek-tight-50140_BP-2_18_05-136ccs-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:47:\"Greek-tight-50140_BP-2_18_05-136ccs-700x700.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:700;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:47:\"Greek-tight-50140_BP-2_18_05-136ccs-120x120.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:120;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:47:\"Greek-tight-50140_BP-2_18_05-136ccs-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1108739974\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1983", "1863", "_wp_attached_file", "2019/03/IMG_3503.jpg");
INSERT INTO `wp_postmeta` VALUES("1984", "1863", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:4032;s:6:\"height\";i:3024;s:4:\"file\";s:20:\"2019/03/IMG_3503.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:20:\"IMG_3503-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:20:\"IMG_3503-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:20:\"IMG_3503-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:20:\"IMG_3503-700x525.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:19:\"IMG_3503-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:20:\"IMG_3503-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:3:\"2.2\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:9:\"iPhone 6s\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1552045005\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:4:\"4.15\";s:3:\"iso\";s:3:\"200\";s:13:\"shutter_speed\";s:15:\"0.0416666666667\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1985", "1864", "_wp_attached_file", "2019/03/IMG_3498.jpg");
INSERT INTO `wp_postmeta` VALUES("1986", "1864", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:4032;s:6:\"height\";i:3024;s:4:\"file\";s:20:\"2019/03/IMG_3498.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:20:\"IMG_3498-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:20:\"IMG_3498-250x188.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:20:\"IMG_3498-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:20:\"IMG_3498-700x525.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:19:\"IMG_3498-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:20:\"IMG_3498-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:3:\"2.2\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:9:\"iPhone 6s\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1552044932\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:4:\"4.15\";s:3:\"iso\";s:3:\"200\";s:13:\"shutter_speed\";s:15:\"0.0416666666667\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1987", "1868", "_edit_lock", "1568901302:1");
INSERT INTO `wp_postmeta` VALUES("1988", "1868", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1989", "1868", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("1990", "1868", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("1991", "1892", "_wp_attached_file", "2019/05/Bucks-Party-Paks-front.jpg");
INSERT INTO `wp_postmeta` VALUES("1992", "1892", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2725;s:6:\"height\";i:3475;s:4:\"file\";s:34:\"2019/05/Bucks-Party-Paks-front.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:34:\"Bucks-Party-Paks-front-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:34:\"Bucks-Party-Paks-front-250x319.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:319;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:34:\"Bucks-Party-Paks-front-768x979.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:979;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:34:\"Bucks-Party-Paks-front-700x893.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:893;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:34:\"Bucks-Party-Paks-front-120x153.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:153;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:34:\"Bucks-Party-Paks-front-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1993", "1901", "_edit_lock", "1564516563:1");
INSERT INTO `wp_postmeta` VALUES("1994", "1901", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1995", "1902", "_wp_attached_file", "2019/05/Family-Special-50140_BP-2_18_05-203cc.jpg");
INSERT INTO `wp_postmeta` VALUES("1996", "1902", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1023;s:6:\"height\";i:1024;s:4:\"file\";s:49:\"2019/05/Family-Special-50140_BP-2_18_05-203cc.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:49:\"Family-Special-50140_BP-2_18_05-203cc-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:49:\"Family-Special-50140_BP-2_18_05-203cc-250x250.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:250;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:49:\"Family-Special-50140_BP-2_18_05-203cc-768x769.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:769;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:49:\"Family-Special-50140_BP-2_18_05-203cc-700x701.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:701;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:49:\"Family-Special-50140_BP-2_18_05-203cc-120x120.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:120;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:49:\"Family-Special-50140_BP-2_18_05-203cc-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1997", "1903", "_wp_attached_file", "2019/05/IMG_1597.jpg");
INSERT INTO `wp_postmeta` VALUES("1998", "1903", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:685;s:6:\"height\";i:890;s:4:\"file\";s:20:\"2019/05/IMG_1597.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:20:\"IMG_1597-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:20:\"IMG_1597-250x325.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:325;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:20:\"IMG_1597-120x156.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:156;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:20:\"IMG_1597-685x200.jpg\";s:5:\"width\";i:685;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1999", "1901", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2000", "1901", "_yoast_wpseo_metadesc", "Pizzas for your whole family! Ask for our Family Specials. Dine-In, Carry-Out or Online Orders. Good through the end of 2019!");
INSERT INTO `wp_postmeta` VALUES("2001", "1901", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("2002", "1930", "_edit_lock", "1565802189:1");
INSERT INTO `wp_postmeta` VALUES("2003", "1930", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("2004", "1930", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2005", "1930", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("2006", "1947", "_edit_lock", "1570477869:1");
INSERT INTO `wp_postmeta` VALUES("2007", "1947", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("2008", "1947", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2009", "1947", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("2010", "1951", "_wp_attached_file", "2019/05/pizza-and-boneless-wings.png");
INSERT INTO `wp_postmeta` VALUES("2011", "1951", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:523;s:6:\"height\";i:566;s:4:\"file\";s:36:\"2019/05/pizza-and-boneless-wings.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:36:\"pizza-and-boneless-wings-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:36:\"pizza-and-boneless-wings-250x271.png\";s:5:\"width\";i:250;s:6:\"height\";i:271;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:36:\"pizza-and-boneless-wings-120x130.png\";s:5:\"width\";i:120;s:6:\"height\";i:130;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:36:\"pizza-and-boneless-wings-523x200.png\";s:5:\"width\";i:523;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2012", "1953", "_wp_attached_file", "2019/05/earn1pt-icon.png");
INSERT INTO `wp_postmeta` VALUES("2013", "1953", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:446;s:6:\"height\";i:268;s:4:\"file\";s:24:\"2019/05/earn1pt-icon.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"earn1pt-icon-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:24:\"earn1pt-icon-250x150.png\";s:5:\"width\";i:250;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:23:\"earn1pt-icon-120x72.png\";s:5:\"width\";i:120;s:6:\"height\";i:72;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:24:\"earn1pt-icon-446x200.png\";s:5:\"width\";i:446;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2014", "1954", "_wp_attached_file", "2019/05/dollar-icon.png");
INSERT INTO `wp_postmeta` VALUES("2015", "1954", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:512;s:6:\"height\";i:512;s:4:\"file\";s:23:\"2019/05/dollar-icon.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"dollar-icon-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"dollar-icon-250x250.png\";s:5:\"width\";i:250;s:6:\"height\";i:250;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:23:\"dollar-icon-120x120.png\";s:5:\"width\";i:120;s:6:\"height\";i:120;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:23:\"dollar-icon-512x200.png\";s:5:\"width\";i:512;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2016", "1969", "_edit_lock", "1559763980:1");
INSERT INTO `wp_postmeta` VALUES("2017", "1969", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("2018", "1969", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2019", "1969", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("2020", "1972", "_wp_attached_file", "2019/06/June-2019.jpg");
INSERT INTO `wp_postmeta` VALUES("2021", "1972", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:684;s:6:\"height\";i:877;s:4:\"file\";s:21:\"2019/06/June-2019.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:21:\"June-2019-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:21:\"June-2019-250x321.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:321;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:21:\"June-2019-120x154.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:154;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:21:\"June-2019-684x200.jpg\";s:5:\"width\";i:684;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2022", "1973", "_wp_attached_file", "2019/06/June-2019-back.jpg");
INSERT INTO `wp_postmeta` VALUES("2023", "1973", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:683;s:6:\"height\";i:878;s:4:\"file\";s:26:\"2019/06/June-2019-back.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"June-2019-back-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"June-2019-back-250x321.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:321;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:26:\"June-2019-back-120x154.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:154;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:26:\"June-2019-back-683x200.jpg\";s:5:\"width\";i:683;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2024", "1975", "_wp_attached_file", "2019/06/IMG_1783.jpg");
INSERT INTO `wp_postmeta` VALUES("2025", "1975", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:684;s:6:\"height\";i:877;s:4:\"file\";s:20:\"2019/06/IMG_1783.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:20:\"IMG_1783-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:20:\"IMG_1783-250x321.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:321;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:20:\"IMG_1783-120x154.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:154;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:20:\"IMG_1783-684x200.jpg\";s:5:\"width\";i:684;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2026", "1976", "_wp_attached_file", "2019/06/June-e1559756687763.png");
INSERT INTO `wp_postmeta` VALUES("2027", "1976", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:636;s:6:\"height\";i:812;s:4:\"file\";s:31:\"2019/06/June-e1559756687763.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:16:\"June-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:16:\"June-250x319.png\";s:5:\"width\";i:250;s:6:\"height\";i:319;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:16:\"June-120x153.png\";s:5:\"width\";i:120;s:6:\"height\";i:153;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:16:\"June-636x200.png\";s:5:\"width\";i:636;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2028", "1976", "_wp_attachment_backup_sizes", "a:1:{s:9:\"full-orig\";a:3:{s:5:\"width\";i:636;s:6:\"height\";i:812;s:4:\"file\";s:8:\"June.png\";}}");
INSERT INTO `wp_postmeta` VALUES("2029", "1988", "_edit_lock", "1573576936:1");
INSERT INTO `wp_postmeta` VALUES("2030", "1988", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("2031", "1988", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2032", "1988", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("2035", "1997", "_wp_attached_file", "2019/07/August-Front.png");
INSERT INTO `wp_postmeta` VALUES("2036", "1997", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:631;s:6:\"height\";i:813;s:4:\"file\";s:24:\"2019/07/August-Front.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"August-Front-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:24:\"August-Front-250x322.png\";s:5:\"width\";i:250;s:6:\"height\";i:322;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:24:\"August-Front-120x155.png\";s:5:\"width\";i:120;s:6:\"height\";i:155;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:24:\"August-Front-631x200.png\";s:5:\"width\";i:631;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2037", "1998", "_wp_attached_file", "2019/07/August-Back.png");
INSERT INTO `wp_postmeta` VALUES("2038", "1998", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:562;s:6:\"height\";i:721;s:4:\"file\";s:23:\"2019/07/August-Back.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"August-Back-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"August-Back-250x321.png\";s:5:\"width\";i:250;s:6:\"height\";i:321;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:23:\"August-Back-120x154.png\";s:5:\"width\";i:120;s:6:\"height\";i:154;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:23:\"August-Back-562x200.png\";s:5:\"width\";i:562;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2042", "2021", "quiz_id", "1");
INSERT INTO `wp_postmeta` VALUES("2043", "2021", "_edit_lock", "1570143485:1");
INSERT INTO `wp_postmeta` VALUES("2044", "2023", "_edit_lock", "1570831882:1");
INSERT INTO `wp_postmeta` VALUES("2045", "2023", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("2046", "2023", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2047", "2023", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("2048", "2025", "_wp_attached_file", "2019/10/alfredo.png");
INSERT INTO `wp_postmeta` VALUES("2049", "2025", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:345;s:6:\"height\";i:196;s:4:\"file\";s:19:\"2019/10/alfredo.png\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"alfredo-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"alfredo-250x142.png\";s:5:\"width\";i:250;s:6:\"height\";i:142;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:18:\"alfredo-120x68.png\";s:5:\"width\";i:120;s:6:\"height\";i:68;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2050", "2026", "_wp_attached_file", "2019/10/spagandmeatball.png");
INSERT INTO `wp_postmeta` VALUES("2051", "2026", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:390;s:6:\"height\";i:239;s:4:\"file\";s:27:\"2019/10/spagandmeatball.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"spagandmeatball-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"spagandmeatball-250x153.png\";s:5:\"width\";i:250;s:6:\"height\";i:153;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:26:\"spagandmeatball-120x74.png\";s:5:\"width\";i:120;s:6:\"height\";i:74;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:27:\"spagandmeatball-390x200.png\";s:5:\"width\";i:390;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2052", "2027", "_wp_attached_file", "2019/10/caesarsalad.png");
INSERT INTO `wp_postmeta` VALUES("2053", "2027", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:489;s:6:\"height\";i:187;s:4:\"file\";s:23:\"2019/10/caesarsalad.png\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"caesarsalad-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:22:\"caesarsalad-250x96.png\";s:5:\"width\";i:250;s:6:\"height\";i:96;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:22:\"caesarsalad-120x46.png\";s:5:\"width\";i:120;s:6:\"height\";i:46;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2054", "2028", "_wp_attached_file", "2019/10/gardensalad.png");
INSERT INTO `wp_postmeta` VALUES("2055", "2028", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:442;s:6:\"height\";i:178;s:4:\"file\";s:23:\"2019/10/gardensalad.png\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"gardensalad-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"gardensalad-250x101.png\";s:5:\"width\";i:250;s:6:\"height\";i:101;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:22:\"gardensalad-120x48.png\";s:5:\"width\";i:120;s:6:\"height\";i:48;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2056", "2029", "_wp_attached_file", "2019/10/dessert.png");
INSERT INTO `wp_postmeta` VALUES("2057", "2029", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:453;s:6:\"height\";i:272;s:4:\"file\";s:19:\"2019/10/dessert.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"dessert-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"dessert-250x150.png\";s:5:\"width\";i:250;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:18:\"dessert-120x72.png\";s:5:\"width\";i:120;s:6:\"height\";i:72;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:19:\"dessert-453x200.png\";s:5:\"width\";i:453;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2058", "2045", "_wp_attached_file", "2019/12/Josh-and-Wendy-with-Santa.jpg");
INSERT INTO `wp_postmeta` VALUES("2059", "2045", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1110;s:6:\"height\";i:832;s:4:\"file\";s:37:\"2019/12/Josh-and-Wendy-with-Santa.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:37:\"Josh-and-Wendy-with-Santa-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:37:\"Josh-and-Wendy-with-Santa-250x187.jpg\";s:5:\"width\";i:250;s:6:\"height\";i:187;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:37:\"Josh-and-Wendy-with-Santa-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:37:\"Josh-and-Wendy-with-Santa-700x525.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:525;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"small\";a:4:{s:4:\"file\";s:36:\"Josh-and-Wendy-with-Santa-120x90.jpg\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:37:\"Josh-and-Wendy-with-Santa-700x200.jpg\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2062", "2060", "_edit_lock", "1581022315:2");
INSERT INTO `wp_postmeta` VALUES("2063", "2060", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("2064", "2061", "_wp_attached_file", "2020/01/Clearfield-Delivery-Map.png");
INSERT INTO `wp_postmeta` VALUES("2065", "2061", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:781;s:6:\"height\";i:527;s:4:\"file\";s:35:\"2020/01/Clearfield-Delivery-Map.png\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:35:\"Clearfield-Delivery-Map-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:35:\"Clearfield-Delivery-Map-250x169.png\";s:5:\"width\";i:250;s:6:\"height\";i:169;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:35:\"Clearfield-Delivery-Map-768x518.png\";s:5:\"width\";i:768;s:6:\"height\";i:518;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:35:\"Clearfield-Delivery-Map-700x472.png\";s:5:\"width\";i:700;s:6:\"height\";i:472;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:34:\"Clearfield-Delivery-Map-120x81.png\";s:5:\"width\";i:120;s:6:\"height\";i:81;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:35:\"Clearfield-Delivery-Map-700x200.png\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2066", "2060", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2067", "2060", "_yoast_wpseo_content_score", "30");
INSERT INTO `wp_postmeta` VALUES("2068", "2069", "_edit_lock", "1580922203:1");
INSERT INTO `wp_postmeta` VALUES("2069", "2069", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("2070", "2069", "wpsl_address", "53 Industrial Drive");
INSERT INTO `wp_postmeta` VALUES("2071", "2069", "wpsl_city", "DuBois");
INSERT INTO `wp_postmeta` VALUES("2072", "2069", "wpsl_state", "PA");
INSERT INTO `wp_postmeta` VALUES("2073", "2069", "wpsl_zip", "15801");
INSERT INTO `wp_postmeta` VALUES("2074", "2069", "wpsl_country", "United States");
INSERT INTO `wp_postmeta` VALUES("2075", "2069", "wpsl_hours", "a:7:{s:6:\"monday\";a:1:{i:0;s:15:\"9:00 AM,5:00 PM\";}s:7:\"tuesday\";a:1:{i:0;s:15:\"9:00 AM,5:00 PM\";}s:9:\"wednesday\";a:1:{i:0;s:15:\"9:00 AM,5:00 PM\";}s:8:\"thursday\";a:1:{i:0;s:15:\"9:00 AM,5:00 PM\";}s:6:\"friday\";a:1:{i:0;s:15:\"9:00 AM,5:00 PM\";}s:8:\"saturday\";a:0:{}s:6:\"sunday\";a:0:{}}");
INSERT INTO `wp_postmeta` VALUES("2077", "2072", "_edit_lock", "1581022277:2");
INSERT INTO `wp_postmeta` VALUES("2078", "2072", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("2079", "2073", "_wp_attached_file", "2020/02/DuBois-Delivery-Map.png");
INSERT INTO `wp_postmeta` VALUES("2080", "2073", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1023;s:6:\"height\";i:765;s:4:\"file\";s:31:\"2020/02/DuBois-Delivery-Map.png\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"DuBois-Delivery-Map-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"DuBois-Delivery-Map-250x187.png\";s:5:\"width\";i:250;s:6:\"height\";i:187;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:31:\"DuBois-Delivery-Map-768x574.png\";s:5:\"width\";i:768;s:6:\"height\";i:574;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:31:\"DuBois-Delivery-Map-700x523.png\";s:5:\"width\";i:700;s:6:\"height\";i:523;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:30:\"DuBois-Delivery-Map-120x90.png\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:31:\"DuBois-Delivery-Map-700x200.png\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2081", "2072", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2082", "2072", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("2083", "2075", "_edit_lock", "1581022505:2");
INSERT INTO `wp_postmeta` VALUES("2084", "2075", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("2085", "2076", "_wp_attached_file", "2020/02/St.-Marys-Delivery-Map.png");
INSERT INTO `wp_postmeta` VALUES("2086", "2076", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1023;s:6:\"height\";i:769;s:4:\"file\";s:34:\"2020/02/St.-Marys-Delivery-Map.png\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:34:\"St.-Marys-Delivery-Map-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:34:\"St.-Marys-Delivery-Map-250x188.png\";s:5:\"width\";i:250;s:6:\"height\";i:188;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:34:\"St.-Marys-Delivery-Map-768x577.png\";s:5:\"width\";i:768;s:6:\"height\";i:577;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:34:\"St.-Marys-Delivery-Map-700x526.png\";s:5:\"width\";i:700;s:6:\"height\";i:526;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"small\";a:4:{s:4:\"file\";s:33:\"St.-Marys-Delivery-Map-120x90.png\";s:5:\"width\";i:120;s:6:\"height\";i:90;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"custom-size\";a:4:{s:4:\"file\";s:34:\"St.-Marys-Delivery-Map-700x200.png\";s:5:\"width\";i:700;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2087", "2075", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2088", "2075", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("2090", "2069", "wpsl_country_iso", "US");
INSERT INTO `wp_postmeta` VALUES("2091", "2069", "wpsl_lat", "41.131252");
INSERT INTO `wp_postmeta` VALUES("2092", "2069", "wpsl_lng", "-78.735532");
INSERT INTO `wp_postmeta` VALUES("2093", "2085", "_edit_lock", "1580922599:1");
INSERT INTO `wp_postmeta` VALUES("2094", "2085", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("2095", "2085", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2096", "2085", "_yoast_wpseo_content_score", "90");
INSERT INTO `wp_postmeta` VALUES("2097", "2097", "_edit_lock", "1584633059:1");
INSERT INTO `wp_postmeta` VALUES("2098", "2097", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("2099", "2097", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2100", "2097", "_yoast_wpseo_content_score", "60");
INSERT INTO `wp_postmeta` VALUES("2101", "2114", "_edit_lock", "1586809261:1");
INSERT INTO `wp_postmeta` VALUES("2102", "2114", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("2103", "2114", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2104", "2114", "_yoast_wpseo_content_score", "90");

/* INSERT TABLE DATA: wp_posts */
INSERT INTO `wp_posts` VALUES("6", "1", "2015-06-03 13:42:54", "2015-06-03 13:42:54", "", "bucks-pizza-logo", "", "inherit", "closed", "closed", "", "bucks-pizza-logo", "", "", "2019-05-21 18:58:00", "2019-05-21 18:58:00", "", "1930", "http://spartanmedia.com/DEV/BUCKS/wp-content/uploads/2015/06/bucks-pizza-logo.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("7", "1", "2015-06-03 13:46:32", "2015-06-03 13:46:32", "", "Order", "", "publish", "closed", "closed", "", "order", "", "", "2015-06-03 13:46:32", "2015-06-03 13:46:32", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=7", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("11", "1", "2015-06-03 14:04:31", "2015-06-03 14:04:31", "<h2>Georgia</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/peachtreecity-ga/\">Peachtree City</a></li>\r\n</ul>\r\n<h2>Minnesota</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/buffalo-mn/\">Buffalo</a></li>\r\n</ul>\r\n<h2>New York</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/gloversville-ny/\">Gloversville</a></li>\r\n</ul>\r\n<h2>North Carolina</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/morganton-nc/\">Morganton</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/tryon-nc/\">Tryon</a></li>\r\n</ul>\r\n<h2>Pennsylvania</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/clearfield-pa/\">Clearfield</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/dubois-pa/\">DuBois</a></li>\r\n 	<li><a href=\"http://buckspizza.com/st-marys-pa/\">St. Marys</a></li>\r\n</ul>\r\n<h2>South Carolina</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/charleston-sc/\">Charleston</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/lexington-sc/\">Lexington</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/walterboro-sc/\">Walterboro</a></li>\r\n</ul>\r\n<h2>Texas</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/clearlake-tx/\">Clear Lake</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/hidalgo-tx/\">Hidalgo</a></li>\r\n        <li><a href=\"https://buckspizza.com/locations/hidalgo-bridge-tx/\">Hidalgo - International Bridge</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/mission-tx/\">Mission</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/montbelvieu-tx/\">Mont Belvieu</a></li>\r\n</ul>\r\n<h2>Wisconsin</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/antigo-wi/\">Antigo</a></li>\r\n</ul>\r\n&nbsp;\r\n\r\n[leaflet-map height=500 zoomcontrol=1 lat=37.88587812273899 lng=-77.12402343750001 zoom=4]\r\n<div style=\"font-size: 14px; overflow-y: scroll; height: 250px; background-color: #e6e6e6;\">\r\n<div style=\"margin-left: 20px;\">DuBois, Pennsylvania\r\n53 Industrial Drive\r\nDuBois, PA 15801\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=53+Industrial+Drive,+DuBois,+PA+15801\">Directions</a>[leaflet-marker lat=41.129943 lng=-78.736842]</div>\r\n\r\nPeachtree City, Georgia\r\n1200 Highway 74 South\r\nPeachtree, GA 30269\r\n<a href=\"https://www.google.com/maps/dir//1200+Hwy+74+S,+Georgia/@33.3393016,-84.5235281,17z/data=!4m8!4m7!1m0!1m5!1m1!1s0x88f4eca0054429f9:0x11aadd106dd8f9d3!2m2!1d-84.5213394!2d33.3393016\">Directions</a>[leaflet-marker lat=33.339302 lng=-84.521339]\r\n\r\nBuffalo, Minnesota\r\n405 MN-55\r\nBuffalo, MN 55313\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=405+MN-55,+Buffalo,+MN+55313\">Directions</a>[leaflet-marker lat=45.196162 lng=-93.901662]\r\n\r\nGloversville, New York\r\n23 South Main Street\r\nGloversville, NY 12078\r\n<a href=\"https://www.google.com/maps/dir//23+S+Main+St,+Gloversville,+NY+12078/@43.0498986,-74.4158992,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x89def3088c0caddf:0x31538448d12e7c9a!2m2!1d-74.3458594!2d43.04992\">Directions</a>[leaflet-marker lat=43.049920 lng=-74.345859]\r\n\r\nMorganton, North Carolina\r\n305 East Union Street\r\nMorganton, NC 28655\r\n<a href=\"https://www.google.com/maps/dir//305+E+Union+St,+Morganton,+NC+28655/@35.7480974,-81.6885242,17z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x8850d1d74d6f2e05:0x3b642339e8c8ffb7!2m2!1d-81.6863355!2d35.7480974\">Directions</a>[leaflet-marker lat=35.748097 lng=-81.686335]\r\n\r\nTryon, North Carolina\r\n30 North Trade Street\r\nTryon, NC 28782\r\n<a href=\"https://www.google.com/maps/dir//30+N+Trade+St,+Tryon,+NC+28782/@35.2089968,-82.2407333,17z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x8859d8c0464a901b:0xb21962af91206f58!2m2!1d-82.2385446!2d35.2089968\">Directions</a>[leaflet-marker lat=35.208997 lng=-82.238545]\r\n\r\nClearfield, Pennsylvania\r\n3055 Park Place\r\nClearfield, PA 16830\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=3055+Park+Place,+Clearfield,+PA+16830\">Directions</a>[leaflet-marker lat=41.027739 lng=-78.437137]\r\n\r\nCharleston, South Carolina\r\n1660 Sam Rittenberg Blvd.\r\nCharleston, SC 29407\r\n<a href=\"https://www.google.com/maps/dir//1660+Sam+Rittenberg+Blvd,+Charleston,+SC+29407/@32.8060402,-80.082615,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x88fe7c790957fe4b:0x2897a0494e191984!2m2!1d-80.0125748!2d32.8060597\">Directions</a>[leaflet-marker lat=32.806060 lng=-80.012575]\r\n\r\nLexington, South Carolina\r\n1856 B South Lake Drive\r\nLexington , SC 29073\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=1856+B+South+Lake+Drive,+Lexington+,+SC+29073\">Directions</a>[leaflet-marker lat=33.908945 lng=-81.225469]\r\n\r\nWalterboro, South Carolina\r\n113 Robertson Blvd\r\nWalterboro, SC 29488\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=113+Robertson+Blvd,+Walterboro,+SC+29488\">Directions</a>[leaflet-marker lat=32.921420 lng=-80.677220]\r\n\r\nClear Lake, Texas\r\n907 El Dorado Blvd.\r\nClear Lake, TX 77062\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=907+El+Dorado+Blvd.,+Clear+Lake,+TX+77062\">Directions</a>[leaflet-marker lat=29.566620 lng=-95.134758]\r\n\r\nHidalgo, Texas\r\n802 North Jackson Road\r\nHidalgo, TX 78557\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=802+North+Jackson+Road,+Hidalgo,+TX+78557\">Directions</a>[leaflet-marker lat=26.190691 lng=-98.205982]\r\n\r\nHidalgo, Texas - International Bridge\r\n400 South International Blvd,\r\nHidalgo, TX 78557\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=400+South+International+Boulevard,+Hidalgo,+TX+78557\">Directions</a>[leaflet-marker lat=26.0994488 lng=-98.2717353]\r\n\r\nMission, Texas\r\n2401 South Shary Road\r\nSuite A\r\nMission, TX 78572\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=2401+South+Shary+Road+Suite+A,+Mission,+TX+78572\">Directions</a>[leaflet-marker lat=26.177388 lng=-98.289865]\r\n\r\nMont Belvieu, Texas\r\n11540 Eagle Drive\r\nMont Belview, TX 77523\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=11540+Eagle+Drive,+Mont+Belview,+TX+77523\">Directions</a>[leaflet-marker lat=29.856865 lng=-94.863692]\r\n\r\nAntigo, Wisconsin\r\n614 Century Ave.\r\nAntigo, WI 54409\r\n<a href=\"https://www.google.com/maps/dir//614+Century+Ave,+Antigo,+WI+54409/@45.1623284,-89.2207527,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x4d54c614647cf6f3:0x4a1fb5f95863e713!2m2!1d-89.1507129!2d45.1623498\">Directions</a>[leaflet-marker lat=45.162350 lng=-89.150713]\r\n\r\n</div>\r\n</div>", "Locations", "", "publish", "closed", "closed", "", "locations", "", "", "2020-04-14 18:11:38", "2020-04-14 18:11:38", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=11", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("13", "1", "2015-06-03 14:04:44", "2015-06-03 14:04:44", "", "Blog", "", "publish", "closed", "closed", "", "blog", "", "", "2017-07-31 15:03:36", "2017-07-31 15:03:36", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=13", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("15", "1", "2015-06-03 14:04:57", "2015-06-03 14:04:57", "What started as a vision for Lance Benton evolved into reality when Buck\'s Pizza Franchising Corporation, Inc. was born on September 16, 1994 in the picturesque town of Du Bois, Pennsylvania.\r\n\r\nShortly after our inception, our very first franchise was opened in Gloversville, New York. The restaurant started with four full-time employees, three of whom were family. After hard work and a lot of happy customers, the restaurant continues to earn an ever-growing and loyal customer base.\r\n\r\nSince the opening of our Gloversville franchise, we have continued growing into a strong network of successful franchises across America. We attribute the success of Buck’s Pizza to a solid business model with the flexibility to adapt to the needs of local communities. We believe one of the most important factors in our success is that we create a close-knit work environment and offer great food for families to enjoy together.\r\n\r\nDoes that sound like the kind of place you\'d like to eat? Then find our nearest <a href=\"http://buckspizza.com/locations/\">location</a> today!\r\n\r\n<img class=\"alignnone size-full wp-image-362\" src=\"http://buckspizza.com/wp-content/uploads/2015/06/bucks-entrance.jpg\" alt=\"Buck\'s Pizza\" />", "Our Story", "", "publish", "closed", "closed", "", "about", "", "", "2017-08-01 16:08:39", "2017-08-01 16:08:39", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=15", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("17", "1", "2015-06-03 14:05:08", "2015-06-03 14:05:08", "Want to get in touch with us? Great! We\'d love to hear from you.\r\n\r\nUse the form below to contact us with questions or comments about our food, locations, or franchising opportunities, or just to tell us how awesome we are.\r\n\r\n[contact-form-7 id=\"340\" title=\"Main\"]\r\n<p style=\"text-align: center;\">Buck\'s Pizza® Franchising Corporation, Inc</p>\r\n<p style=\"text-align: center;\">P.O. Box 405\r\nDuBois, PA 15801\r\n(800) 310-8848</p>", "Contact", "", "publish", "closed", "closed", "", "contact", "", "", "2017-07-31 15:56:23", "2017-07-31 15:56:23", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=17", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("19", "1", "2015-06-03 14:05:32", "2015-06-03 14:05:32", " ", "", "", "publish", "closed", "closed", "", "19", "", "", "2017-05-15 19:44:44", "2017-05-15 19:44:44", "", "0", "http://spartanmedia.com/DEV/BUCKS/?p=19", "6", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("20", "1", "2015-06-03 14:05:32", "2015-06-03 14:05:32", " ", "", "", "publish", "closed", "closed", "", "20", "", "", "2017-05-15 19:44:44", "2017-05-15 19:44:44", "", "0", "http://spartanmedia.com/DEV/BUCKS/?p=20", "5", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("21", "1", "2015-06-03 14:05:32", "2015-06-03 14:05:32", " ", "", "", "publish", "closed", "closed", "", "21", "", "", "2017-05-15 19:44:44", "2017-05-15 19:44:44", "", "0", "http://spartanmedia.com/DEV/BUCKS/?p=21", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("22", "1", "2015-06-03 14:05:32", "2015-06-03 14:05:32", " ", "", "", "publish", "closed", "closed", "", "22", "", "", "2017-05-15 19:44:44", "2017-05-15 19:44:44", "", "0", "http://spartanmedia.com/DEV/BUCKS/?p=22", "3", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("23", "1", "2015-06-03 14:07:00", "2015-06-03 14:07:00", "", "order-now", "", "inherit", "closed", "closed", "", "order-now", "", "", "2015-06-03 14:07:00", "2015-06-03 14:07:00", "", "0", "http://spartanmedia.com/DEV/BUCKS/wp-content/uploads/2015/06/order-now.gif", "0", "attachment", "image/gif", "0");
INSERT INTO `wp_posts` VALUES("25", "1", "2015-06-03 14:19:28", "2015-06-03 14:19:28", "", "hungry", "", "inherit", "closed", "closed", "", "hungry", "", "", "2015-06-03 14:19:28", "2015-06-03 14:19:28", "", "0", "http://spartanmedia.com/DEV/BUCKS/wp-content/uploads/2015/06/hungry.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("26", "1", "2015-06-03 18:11:28", "2015-06-03 18:11:28", "<h2>Good. Better. Bucks.</h2>\r\n<style>\r\nh2 {text-align: center;z-index: 2 !important; position: absolute;background-color: rgba(179, 179, 179, 0.8); top: 80px; left: 0px; width: 100%;} .homebanner img {} .testslider {z-index: 2; width: 100%; left: 0px !important; background: #a30b33;} .slider-title {width: auto !important; font-weight: bold; font-size: 32px !important;  color: white !important;} .huge-it-caption {background: rgba(146, 6, 8, .8) !important;} .huge-it-wrap img {height: auto !important; width: 50%;} .content { } @media only screen and (min-width:1024px) and (max-width: 1339px){ .testslider {top: 80px !important;} .content { } body.home .homebanner  {padding-bottom: 0px; !important} } @media only screen and (min-width:769px) and (max-width: 1023px){ .content { } .testslider {top: 100px;} } @media only screen and (max-width:768px){ .testslider {top: 99px !important;} .huge-it-wrap img {max-height: auto !important; height: auto !important; width: auto;} .huge-it-slide-bg {background: #a30b33 !important;} .content {} } </style>\r\n<div class=\"testslider\">[huge_it_slider id=\"1\"]</div>\r\nEveryone loves delicious food, especially pizza, but with today\'s hectic life, you probably don\'t have time to prepare a home-cooked meal.\r\n\r\nThat\'s where Buck\'s Pizza comes in. Our family loves to save the day by serving&nbsp;fresh mouthwatering food for your family to enjoy together. Bucks Pizza offers menu choices of pasta, wings, salads, sandwiches, desserts &amp; the Best PIZZA using the freshest ingredients served at the peak of deliciousness. Whether you crave pizza made with handmade dough and carefully selected tomatoes, hot and crispy chicken tenders, or even a healthy salad, our menu has something sure to please even the pickiest eaters.\r\n\r\nClick Locations &amp; Menus to find the closest Buck\'s to you!\r\n<h3><a href=\"http://buckspizza.com/locations/\" target=\"_blank\">Locations &amp; Menus</a></h3>\r\n<div style=\"\">\r\n[flipboxes id=\"1585\"]</div>\r\n<!-- Google Code for Remarketing Tag -->\r\n<!-------------------------------------------------- Remarketing tags may not be associated with personally identifiable information or placed on pages related to sensitive categories. See more information and instructions on how to setup the tag on: http://google.com/ads/remarketingsetup --------------------------------------------------->\r\n<script type=\"text/javascript\"><br />\r\n/* <![CDATA[ */ var google_conversion_id = 1017806189; var google_custom_params = window.google_tag_params; var google_remarketing_only = true; /* ]]> */<br />\r\n</script>\r\n<script type=\"text/javascript\" src=\"//www.googleadservices.com/pagead/conversion.js\"><br />\r\n</script>\r\n<noscript>\r\n</noscript>\r\n<div style=\"display:inline;\">\r\n<img height=\"1\" width=\"1\" style=\"border-style:none;\" alt=\"\" src=\"//googleads.g.doubleclick.net/pagead/viewthroughconversion/1017806189/?guid=ON&amp;script=0\"></div>", "Buck\'s Pizza", "", "publish", "closed", "closed", "", "bucks-pizza", "", "", "2019-01-20 20:02:19", "2019-01-20 20:02:19", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=26", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("30", "1", "2015-06-07 19:36:14", "2015-06-07 19:36:14", "251 Buck Creek Plaza\r\nAlabaster, AL 35007\r\n\r\n<a href=\"tel:205-358-3391\">205-358-3391</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[map height=\"500\" zoom=\"18\" color=\"#a30b32\" fullscreen=\"1\"]\r\n[pin icon=\"food\" center=\"1\" bounce=\"1\" directions=\"1\"]251 Buck Creek Plaza Alabaster, AL 35007[/pin]\r\n[/map]\r\n\r\n<img class=\"alignnone size-full wp-image-201\" src=\"http://buckspizza.com/wp-content/uploads/2015/06/Bucks-Pizza-Alabaster-Alabama.jpg\" alt=\"Buck\'s Pizza, Alabaster, Alabama\" />\r\n\r\n&nbsp;", "Alabaster, Alabama", "", "draft", "closed", "closed", "", "alabaster-al", "", "", "2016-06-17 17:27:53", "2016-06-17 17:27:53", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=30", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("32", "1", "2015-06-07 19:37:02", "2015-06-07 19:37:02", "<h4><strong><a href=\"https://secure.microworks.com/Bucks/\" target=\"_blank\" rel=\"noopener\">Online Ordering</a>    </strong></h4>\r\n12819 Highway 231 / 431 N\r\nHazel Green, AL 35750\r\n\r\n<a href=\"tel:256-829-0887\">256-829-0887</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[map height=\"500\" zoom=\"18\" color=\"#a30b32\" fullscreen=\"1\"]\r\n[pin icon=\"food\" center=\"1\" bounce=\"1\" directions=\"1\"]12819 Highway 231 Hazel Green, AL 35750[/pin]\r\n[/map]", "Hazel Green, Alabama", "", "draft", "closed", "closed", "", "hazelgreen-al", "", "", "2018-05-10 14:33:12", "2018-05-10 14:33:12", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=32", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("36", "1", "2015-06-07 19:38:36", "2015-06-07 19:38:36", "<h4><a href=\"http://buckspizza.com/mobile-al-menu/\">Mobile, Alabama Menu</a></h4>\r\n350 Dauphin Street\r\nMobile, AL 36602\r\n<a href=\"http://buckspizza.com/wp-content/uploads/2018/09/Mobile-Alabama-Menu.pdf\" target=\"_blank\" rel=\"noopener noreferrer\">Click to view menu</a>\r\n\r\n<a href=\"tel:251-431-9444\">251-431-9444</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=30.690770 lng=-88.045810]\r\n[leaflet-marker]\r\n\r\n<a href=\"https://www.google.com/maps/dir//1200+Hwy+74+S,+Georgia/@33.3393016,-84.5235281,17z/data=!4m8!4m7!1m0!1m5!1m1!1s0x88f4eca0054429f9:0x11aadd106dd8f9d3!2m2!1d-84.5213394!2d33.3393016\">Directions</a>", "Mobile, Alabama", "", "draft", "closed", "closed", "", "mobile-al", "", "", "2019-04-30 20:34:58", "2019-04-30 20:34:58", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=36", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("40", "1", "2015-06-07 19:39:25", "2015-06-07 19:39:25", "<h4><strong><a href=\"https://secure.microworks.com/bucks/ordering?store=817\" target=\"_blank\" rel=\"noopener noreferrer\">Online Ordering</a>    </strong></h4>\r\n1200 Highway 74 S\r\nPeachtree City, GA 30269\r\n\r\n<a href=\"tel:770-631-8989\">770-631-8989</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map lat=33.339302 lng=-84.521339 zoomcontrol=1 height=500 zoom=14]\r\n<a href=\"https://www.google.com/maps/dir//1200+Hwy+74+S,+Georgia/@33.3393016,-84.5235281,17z/data=!4m8!4m7!1m0!1m5!1m1!1s0x88f4eca0054429f9:0x11aadd106dd8f9d3!2m2!1d-84.5213394!2d33.3393016\">Directions</a>[leaflet-marker lat=33.339302 lng=-84.521339]", "Peachtree City, Georgia", "", "publish", "closed", "closed", "", "peachtreecity-ga", "", "", "2019-04-30 20:45:18", "2019-04-30 20:45:18", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=40", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("44", "1", "2015-06-07 19:41:37", "2015-06-07 19:41:37", "405 MN-55\r\nBuffalo, MN 55313\r\n\r\n<a href=\"tel:763-682-0000\">763-682-0000</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map zoom=13 height=500 zoomcontrol=1 lat=45.179393 lng=-93.869765]\r\n[leaflet-marker]", "Buffalo, Minnesota", "", "publish", "closed", "closed", "", "buffalo-mn", "", "", "2018-10-08 00:12:56", "2018-10-08 00:12:56", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=44", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("46", "1", "2015-06-07 19:42:10", "2015-06-07 19:42:10", "23 S Main Street\r\nGloversville, NY 12078\r\n\r\n<a href=\"tel:518-773-8200\">518-773-8200</a> (<em>Click to call from mobile devices</em>)\r\n\r\n\r\n[leaflet-map zoom=13 height=500 zoomcontrol=1 lat=43.049890 lng=-74.345820]\r\n[leaflet-marker]", "Gloversville, New York", "", "publish", "closed", "closed", "", "gloversville-ny", "", "", "2018-10-08 00:13:30", "2018-10-08 00:13:30", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=46", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("48", "1", "2015-06-07 19:42:48", "2015-06-07 19:42:48", "305 East Union Street\r\nMorganton, NC 28655\r\n\r\n<a href=\"tel:828-433-9006\">828-433-9006</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map zoom=13 height=500 zoomcontrol=1 lat=35.755620 lng=-81.677640]\r\n[leaflet-marker]", "Morganton, North Carolina", "", "publish", "closed", "closed", "", "morganton-nc", "", "", "2018-10-08 00:14:04", "2018-10-08 00:14:04", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=48", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("50", "1", "2015-06-07 19:43:11", "2015-06-07 19:43:11", "30 North Trade Street\r\nTryon, NC 28782\r\n\r\n<a href=\"tel:828-859-0400\">828-859-0400</a> (<em>Click to call from mobile devices</em>)\r\n\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=35.209030 lng=-82.238560]\r\n[leaflet-marker]", "Tryon, North Carolina", "", "publish", "closed", "closed", "", "tryon-nc", "", "", "2018-10-08 00:10:01", "2018-10-08 00:10:01", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=50", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("52", "1", "2015-06-07 19:43:33", "2015-06-07 19:43:33", "<style>.clearfieldshow {display: block !important;}</style>\r\n<h3><strong>NOW OFFERING <a href=\"https://buckspizza.com/clearfield-pa/delivery/\">DELIVERY</a>, DINE-IN, AND PICK-UP!</strong></h3>\r\n<h3><strong>CALL NOW 814-765-7767</strong></h3>\r\n<h4><a href=\"http://buckspizza.com/clearfield-pa/menu/\">Clearfield Menu</a>     <a href=\"http://buckspizza.com/community-fundraiser-clearfield-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Group Fundraisers</a>     <a href=\"http://buckspizza.com/pa-kids-menu/\" target=\"_blank\" rel=\"noopener noreferrer\">Kid\'s Menu</a></h4>\r\n<h4><strong><a href=\"https://secure.microworks.com/Bucks/Items.aspx?store=2800\" target=\"_blank\" rel=\"noopener noreferrer\">Online Ordering</a></strong></h4>\r\n<ul>\r\n 	<li>New to online ordering? Only takes a few moments to setup, save your favorite orders, and get exclusive deals!</li>\r\n</ul>\r\n<h4><a href=\"https://buckspizza.com/jobs/\" target=\"_blank\" rel=\"noopener noreferrer\">Current Job Opportunities</a></h4>\r\n<strong>Family Specials</strong>\r\n<h3><a href=\"http://buckspizza.com/family-specials/\" target=\"_blank\" rel=\"noopener noreferrer\">Family Specials - Choose One Pizza, then a Second Pizza, and add on Boneless Wings or Stix!</a></h3>\r\n<strong>Got a Big Group to Feed? </strong>\r\n<h3><a href=\"http://buckspizza.com/party-paks/\">PARTY PAKS – PIZZA WITH WINGS OR BONELESS WINGS, AVAILABLE FOR DINE-IN OR CARRY-OUT!</a></h3>\r\n3055 Park Place\r\nClearfield, PA 16830\r\n<a href=\"tel:814-765-7767\">814-765-7767</a> (<em>Click to call from mobile devices</em>)\r\n\r\n<!--<img src=\"http://buckspizza.com/wp-content/uploads/2016/11/Small-Pizza-Wings-60292-BP-4-12-06-0177-700x526.jpg\" alt=\"small-pizza-wings-60292-bp-4-12-06-0177\" />-->\r\n<iframe width=\"600\" height=\"360\" src=\"https://www.youtube.com/embed/o-Azpt8JQ0I\" frameborder=\"0\" allow=\"accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture\" allowfullscreen></iframe>\r\n<h2>What\'s for dinner tonight? Listen now!</h2>\r\n[audio mp3=\"http://buckspizza.com/wp-content/uploads/2016/11/Bucks-Pizza-Whats-for-Dinner-November-2016.mp3\"][/audio]\r\n\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/menu/\">&gt;&gt;Clearfield Menu&lt;&lt;</a></h2>\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/employment-pa/\">&gt;&gt;Employment Options</a></h2>\r\n&nbsp;\r\n<h4>Download our No Wait App</h4>\r\nWe’ll notify you with a text as soon as your table is ready. When you walk up to the host stand, you can walk right to your table.\r\n<a href=\"https://bnc.lt/get-in-line-with-nowait\" target=\"_blank\" rel=\"noopener noreferrer\"><img src=\"http://buckspizza.com/wp-content/uploads/2016/09/nowait.png\" /></a>\r\n<div class=\"fb-follow\" data-href=\"https://www.facebook.com/buckspizza.clearfield/\" data-width=\"600\" data-layout=\"standard\" data-size=\"large\" data-show-faces=\"true\"></div>\r\n<!-- Google Code for Remarketing Tag -->\r\n<!-------------------------------------------------- Remarketing tags may not be associated with personally identifiable information or placed on pages related to sensitive categories. See more information and instructions on how to setup the tag on: http://google.com/ads/remarketingsetup --------------------------------------------------->\r\n<script type=\"text/javascript\"><br />\r\n/* <![CDATA[ */ var google_conversion_id = 1017806189; var google_custom_params = window.google_tag_params; var google_remarketing_only = true; /* ]]> */<br />\r\n</script>\r\n<script type=\"text/javascript\" src=\"//www.googleadservices.com/pagead/conversion.js\"><br />\r\n</script>\r\n<noscript>&amp;lt;/p&amp;gt;&lt;br /&gt;\r\n&amp;lt;div style=\"display:inline;\"&amp;gt;&lt;br /&gt;\r\n&amp;lt;img height=\"1\" width=\"1\" style=\"border-style:none;\" alt=\"\" src=\"//googleads.g.doubleclick.net/pagead/viewthroughconversion/1017806189/?guid=ON&amp;amp;amp;script=0\"/&amp;gt;&amp;lt;/div&amp;gt;&lt;br /&gt;\r\n&amp;lt;p&amp;gt;</noscript>", "Clearfield, Pennsylvania", "", "publish", "closed", "closed", "", "clearfield-pa", "", "", "2020-04-14 17:59:53", "2020-04-14 17:59:53", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=52", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("54", "1", "2015-06-07 19:43:53", "2015-06-07 19:43:53", "<style>.Duboisshow {display: block !important;}</style>\r\n<h3><strong>NOW OFFERING <a href=\"https://buckspizza.com/dubois-pa/delivery/\">DELIVERY</a>, DINE-IN, AND PICK-UP!</strong></h3>\r\n<h3><strong>CALL NOW 814-371-4500</strong></h3>\r\n<h4><a href=\"http://buckspizza.com/dubois-pa/menu/\">DuBois Menu</a>     <a href=\"http://buckspizza.com/community-fundraiser-dubois-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Group Fundraisers</a>     <a href=\"http://buckspizza.com/pa-kids-menu/\" target=\"_blank\" rel=\"noopener noreferrer\">Kid\'s Menu</a></h4>\r\n<h4><strong><a href=\"https://secure.microworks.com/Bucks/Items.aspx?store=2212\" target=\"_blank\" rel=\"noopener noreferrer\">Online Ordering</a>    </strong></h4>\r\n<ul>\r\n 	<li>New to online ordering? Only takes a few moments to setup, save your favorite orders, and get exclusive deals!</li>\r\n</ul>\r\n<h4><a href=\"https://buckspizza.com/jobs/\" target=\"_blank\" rel=\"noopener noreferrer\">Current Job Opportunities</a></h4>\r\n<strong>Family Specials</strong>\r\n<h3><a href=\"http://buckspizza.com/family-specials/\" target=\"_blank\" rel=\"noopener noreferrer\">Family Specials - Choose One Pizza, then a Second Pizza, and add on Boneless Wings or Stix!</a></h3>\r\n<strong>Got a Big Group to Feed? </strong>\r\n<h3><a href=\"http://buckspizza.com/party-paks/\" target=\"_blank\" rel=\"noopener noreferrer\">Party Paks - Pizza with Wings or Boneless Wings, Available for Dine-In or Carry-Out!</a></h3>\r\n53 Industrial Drive\r\nDuBois, PA 15801\r\n<a href=\"tel:814-371-4500\">814-371-4500</a> (<em>Click to call from mobile devices</em>)\r\n\r\n<!--<img src=\"http://buckspizza.com/wp-content/uploads/2016/11/Small-Pizza-Wings-60292-BP-4-12-06-0177-700x526.jpg\" alt=\"small-pizza-wings-60292-bp-4-12-06-0177\" />-->\r\n<iframe width=\"600\" height=\"360\" src=\"https://www.youtube.com/embed/o-Azpt8JQ0I\" frameborder=\"0\" allow=\"accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture\" allowfullscreen></iframe>\r\n<h2>What\'s for dinner tonight? Listen now!</h2>\r\n[audio mp3=\"http://buckspizza.com/wp-content/uploads/2016/11/Bucks-Pizza-Whats-for-Dinner-November-2016.mp3\"][/audio]\r\n<h2><a href=\"http://buckspizza.com/dubois-pa/menu/\">&gt;&gt;DuBois Menu&lt;&lt;</a></h2>\r\n<h2><a href=\"http://buckspizza.com/employment-pa/\">Employment Options</a></h2>\r\n<h4>Download our No Wait App</h4>\r\nWe’ll notify you with a text as soon as your table is ready. When you walk up to the host stand, you can walk right to your table.\r\n<a href=\"https://bnc.lt/get-in-line-with-nowait\" target=\"_blank\" rel=\"noopener noreferrer\"><img src=\"http://buckspizza.com/wp-content/uploads/2016/09/nowait.png\" /></a>\r\n<div class=\"fb-follow\" data-href=\"https://www.facebook.com/buckspizza.dubois/\" data-width=\"600\" data-layout=\"standard\" data-size=\"large\" data-show-faces=\"true\"></div>\r\n<!-- Google Code for Remarketing Tag -->\r\n<!-------------------------------------------------- Remarketing tags may not be associated with personally identifiable information or placed on pages related to sensitive categories. See more information and instructions on how to setup the tag on: http://google.com/ads/remarketingsetup --------------------------------------------------->\r\n<script type=\"text/javascript\"><br />\r\n/* <![CDATA[ */ var google_conversion_id = 1017806189; var google_custom_params = window.google_tag_params; var google_remarketing_only = true; /* ]]> */<br />\r\n</script>\r\n<script type=\"text/javascript\" src=\"//www.googleadservices.com/pagead/conversion.js\"><br />\r\n</script>\r\n<noscript>\r\n</noscript>\r\n<div style=\"display: inline;\"><img style=\"border-style: none;\" src=\"//googleads.g.doubleclick.net/pagead/viewthroughconversion/1017806189/?guid=ON&amp;script=0\" alt=\"\" width=\"1\" height=\"1\" /></div>", "DuBois, Pennsylvania", "", "publish", "closed", "closed", "", "dubois-pa", "", "", "2020-04-14 17:59:07", "2020-04-14 17:59:07", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=54", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("56", "1", "2015-06-07 19:44:43", "2015-06-07 19:44:43", "<h4><strong><a href=\"https://secure.microworks.com/bucks/ordering?store=1787\" target=\"_blank\" rel=\"noopener noreferrer\">Online Ordering</a>    </strong></h4>\r\n<a href=\"tel:843-766-3233\">843-766-3233</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=32.805620 lng=-80.012750]\r\n[leaflet-marker]", "Charleston, South Carolina", "", "publish", "closed", "closed", "", "charleston-sc", "", "", "2019-04-30 20:42:34", "2019-04-30 20:42:34", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=56", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("58", "1", "2015-06-07 19:45:13", "2015-06-07 19:45:13", "114 Jungle Road\r\nEdisto Beach, SC 29438\r\n\r\n<a href=\"tel:843-869-5000\">843-869-5000</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[map height=\"500\" zoom=\"18\" color=\"#a30b32\" fullscreen=\"1\"]\r\n[pin icon=\"food\" center=\"1\" bounce=\"1\" directions=\"1\"]114 Jungle Road Edisto Beach, SC 29438[/pin]\r\n[/map]", "Edisto Beach, South Carolina", "", "draft", "closed", "closed", "", "edistobeach-sc", "", "", "2016-03-22 20:34:14", "2016-03-22 20:34:14", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=58", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("60", "1", "2015-06-07 19:45:32", "2015-06-07 19:45:32", "1856 B South Lake Dr.\r\nLexington, SC 29073\r\n\r\n<a href=\"tel:803-957-6100\">803-957-6100</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=33.908970 lng=-81.225020]\r\n[leaflet-marker]", "Lexington, South Carolina", "", "publish", "closed", "closed", "", "lexington-sc", "", "", "2018-10-08 00:35:57", "2018-10-08 00:35:57", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=60", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("62", "1", "2015-06-07 19:45:53", "2015-06-07 19:45:53", "1585 Central Ave.\r\nSummerville, SC 29483\r\n\r\n<a href=\"tel:843-851-3888\">843-851-3888</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[map height=\"500\" zoom=\"18\" color=\"#a30b32\" fullscreen=\"1\"]\r\n[pin icon=\"food\" center=\"1\" bounce=\"1\" directions=\"1\"]1585 Central Ave. Summerville, SC 29483[/pin]\r\n[/map]", "Summerville, South Carolina", "", "draft", "closed", "closed", "", "summerville-sc", "", "", "2019-06-05 13:30:20", "2019-06-05 13:30:20", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=62", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("64", "1", "2015-06-07 19:46:13", "2015-06-07 19:46:13", "<h4><strong><a href=\"https://secure.microworks.com/Bucks/ordering?store=1604\" target=\"_blank\" rel=\"noopener noreferrer\">Online Ordering</a>    </strong></h4>\r\n113 Robertson Blvd\r\nWalterboro, SC 29488\r\n\r\n<a href=\"tel:843-549-1995\">843-549-1995</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=32.921430 lng=-80.677300]\r\n[leaflet-marker]", "Walterboro, South Carolina", "", "publish", "closed", "closed", "", "walterboro-sc", "", "", "2019-04-30 20:46:35", "2019-04-30 20:46:35", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=64", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("68", "1", "2015-06-07 19:46:54", "2015-06-07 19:46:54", "907 El Dorado Blvd.\r\nClear Lake, TX 77062\r\n\r\n<a href=\"tel:281-474-2825\">281-474-2825</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=29.566540 lng=-95.134640]\r\n[leaflet-marker]", "Clear Lake, Texas", "", "publish", "closed", "closed", "", "clearlake-tx", "", "", "2018-10-08 00:38:57", "2018-10-08 00:38:57", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=68", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("70", "1", "2015-06-07 19:47:15", "2015-06-07 19:47:15", "<h4><strong><a href=\"https://secure.microworks.com/Bucks/\" target=\"_blank\">Online Ordering</a>    </strong></h4>\r\n802 N. Jackson Rd\r\nHidalgo, TX 78557\r\n\r\n<a href=\"tel:956-843-9899\">956-843-9899</a> (<em>Click to call from mobile devices</em>)\r\n\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=26.105560 lng=-98.220460]\r\n[leaflet-marker]", "Hidalgo, Texas", "", "publish", "closed", "closed", "", "hidalgo-tx", "", "", "2018-10-08 00:40:13", "2018-10-08 00:40:13", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=70", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("72", "1", "2015-06-07 19:47:44", "2015-06-07 19:47:44", "7700 N 10th ST\r\nSuite H\r\nMcAllen, TX 78504\r\n\r\n<a href=\"tel:956-994-9421\">956-994-9421</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[map height=\"500\" zoom=\"18\" color=\"#a30b32\" fullscreen=\"1\"]\r\n[pin icon=\"food\" center=\"1\" bounce=\"1\" directions=\"1\"]26.272925, -98.217331[/pin]\r\n[/map]", "McAllen, Texas", "", "draft", "closed", "closed", "", "mcallen-tx", "", "", "2017-05-31 14:57:02", "2017-05-31 14:57:02", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=72", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("74", "1", "2015-06-07 19:48:02", "2015-06-07 19:48:02", "2401 S Shary Road, Suite A\r\nMission, TX 78572\r\n\r\n<a href=\"tel:956-581-8611\">956-581-8611</a> (<em>Click to call from mobile devices</em>)\r\n\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=26.177350 lng=-98.291500]\r\n[leaflet-marker]", "Mission, Texas", "", "publish", "closed", "closed", "", "mission-tx", "", "", "2018-10-08 00:41:37", "2018-10-08 00:41:37", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=74", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("76", "1", "2015-06-07 19:48:37", "2015-06-07 19:48:37", "<h4><strong><a href=\"https://secure.microworks.com/Bucks/ordering?store=2225\" target=\"_blank\" rel=\"noopener noreferrer\">Online Ordering</a>    </strong></h4>\r\n11540 Eagle Drive\r\nMont Belvieu, TX 77523\r\n\r\n<a href=\"tel:281-576-2825\">281-576-2825</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=29.856810 lng=-94.864050]\r\n[leaflet-marker]", "Mont Belvieu, Texas", "", "publish", "closed", "closed", "", "montbelvieu-tx", "", "", "2019-04-30 20:50:03", "2019-04-30 20:50:03", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=76", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("78", "1", "2015-06-07 19:49:01", "2015-06-07 19:49:01", "3901 39th Street\r\nNitro, WV 25143\r\n\r\n<a href=\"tel:304-722-4000\">304-722-4000</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=38.431050 lng=-81.836340]\r\n[leaflet-marker]", "Nitro, West Virginia", "", "draft", "closed", "closed", "", "nitro-wv", "", "", "2018-10-29 16:28:27", "2018-10-29 16:28:27", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=78", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("80", "1", "2015-06-07 19:49:40", "2015-06-07 19:49:40", "614 Century Ave.\r\nAntigo, WI 54409\r\n\r\n<a href=\"tel:715-623-2222\">715-623-2222</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=45.162370 lng=-89.150800]\r\n[leaflet-marker]", "Antigo, Wisconsin", "", "publish", "closed", "closed", "", "antigo-wi", "", "", "2018-10-08 00:49:17", "2018-10-08 00:49:17", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=80", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("82", "1", "2015-06-07 19:50:08", "2015-06-07 19:50:08", "300 W. Valley Road\r\nTorrington, WY 82240\r\n\r\n<a href=\"tel:307-532-2825\">307-532-2825</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[map height=\"500\" zoom=\"18\" color=\"#a30b32\" fullscreen=\"1\"]\r\n[pin icon=\"food\" center=\"1\" bounce=\"1\" directions=\"1\"]300 W. Valley Road Torrington, WY 82240[/pin]\r\n[/map]", "Torrington, Wyoming", "", "draft", "closed", "closed", "", "torrington-wy", "", "", "2016-03-22 20:34:08", "2016-03-22 20:34:08", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=82", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("140", "1", "2015-06-09 02:47:43", "2015-06-09 02:47:43", "<h4><a href=\"http://buckspizza.com/dubois-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">DuBois Location, Phone Number, and Online Ordering</a></h4>\r\n<h3><a href=\"http://buckspizza.com/party-paks/\" target=\"_blank\" rel=\"noopener noreferrer\">Party Paks - Pizza with Wings or Boneless Wings, Available for Dine-In or Carry-Out!</a></h3>\r\n<strong>NEW! Family Specials</strong>\r\n<h3><a href=\"http://buckspizza.com/family-specials/\" target=\"_blank\" rel=\"noopener noreferrer\">Family Specials - Choose One Pizza, then a Second Pizza, and add on Boneless Wings or Stix!</a></h3>\r\n<h3><a href=\"http://buckspizza.com/pick-a-pasta/\" target=\"_blank\" rel=\"noopener noreferrer\">Pick-A-Pasta is Back!!</a></h3>\r\n<h2>Buck\'s Famous Stix</h2>\r\nAdd bacon, banana peppers, or jalapeños to your stix–80¢ each, add extra cheese–99¢\r\n\r\n<strong>Bread Stix</strong>–$4.99\r\n<em>Add bacon, banana peppers, or jalapenos to your stix - $0.89 each</em>\r\n<em>Add extra cheese - $0.99</em>\r\n<em>12 per order, covered with butter and spices with a side of marinara.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$4.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing. 12 per order.</em>\r\n\r\n<strong>Cheese Stix</strong>–$5.99\r\n<em>12 per order, covered in melted cheese with a side of marinara.</em>\r\n<h2>Starters</h2>\r\n<strong>Ciabatta Bread Pizza</strong>-$4.99\r\n<em>Made on our fresh baked ciabatta bread.  We add pizza sauce, mozzarella and pepperoni.  It is great for sharing and quick to the table!</em>\r\n\r\n<strong>Chips and Salsa</strong>–$5.99\r\n<em>Corn Chips &amp; house-made salsa.</em>\r\n\r\n<strong>Chips and Queso Dip</strong>–$6.99\r\n<em>Corn Chips &amp; house-made queso.</em>\r\n\r\n<strong>French Fries</strong>\r\n<em>Small –$3.49 Large–$5.99</em>\r\n<em>Add  cheddar, mozzarella, roasted garlic Parmesan\r\n$.99 each/$1.49 each</em>\r\n<em>Bacon, Jalapenos or banana peppers\r\n$.49 each/$.99 each</em>\r\n\r\n<strong>Meatball Appetizer</strong>-$7.99\r\n<em>6 meatballs in pasta sauce, melted mozzarella, fried peppers &amp; freshly backed Bread Stix</em>\r\n\r\n<strong>Fried Fresh Mozzarella</strong>-$10.99\r\n<em>18 cherry-sized mozzarella balls (Ciliegine), lightly hand-breaded and served with a side of pasta sauce.</em>\r\n\r\n<strong>Fried Cheese Ravioli</strong>-$10.99\r\n<em>6 Cheese ravioli, lightly hand-breaded. Served with a side of pasta sauce</em>\r\n\r\n<strong>Fried Mushrooms</strong>-$10.99\r\n<em>A heaping serving of fresh sliced mushrooms, hand-breaded &amp; cooked to order. Served with a side of ranch dressing.</em>\r\n\r\n<strong>Sample Platter</strong>-$16.99\r\n<em>Fried cheese ravioli, fried fresh mozzarella &amp; fried sliced mushrooms served with a side pasta sauce &amp; ranch. Plenty to share!</em>\r\n<h2>Fresh Baked Sandwiches</h2>\r\nServed on a fresh baked Italian Ciabatta bread roll with french fries and a pickle. If you would like extra meat, please ask your server. Dressings: Italian, Ranch, Blue Cheese, Mayo and more. Just ask!\r\nALL SANDWICHES AVAILABLE AS WRAPS!\r\n\r\n<strong>Italian</strong>–$9.49\r\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, and tomato and Italian dressing.</em>\r\n\r\n<strong>Vegi-Delite</strong>–$8.49\r\n<em>A garden fresh delight with mushrooms, onion, green pepper, black olives, green olives, and sliced tomato and covered in provolone.</em>\r\n\r\n<strong>Steak</strong>–$9.49\r\n<em>Real marinated, chipped USDA choice steak, mushrooms, onions, and green peppers smothered in provolone. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>CBS</strong>–$9.49\r\n<em>Cheddar, bacon and real marinated USDA choice steak.</em>\r\n\r\n<strong>Turkey Club</strong>–$9.49\r\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Baked Ham</strong>–$8.49\r\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\r\n\r\n<strong>Turkey</strong>–$8.49\r\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–$11.49\r\n<em>Breaded chicken breast tossed in your choice of wing sauce, covered in melted mozzarella. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–$11.49\r\n<em>Buck\'s delicious chicken breast baked with our delicious tomato pasta sauce and smothered in melted mozzarella.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–$9.49\r\n<em>Delicious chicken covered in melted cheddar and sizzling bacon. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Meatball</strong>–$9.49\r\n<em>Meatballs, pasta sauce, and melted mozzarella.</em>\r\n\r\n<strong>Cod Fish Ciabatta</strong>–$11.49\r\n<em>lightly breaded, deliciously flaky and firm, cold water Cod fillets served with lettuce and tomato and with a side of tartar sauce.</em>\r\n<h2>Salads</h2>\r\nWould you like blue cheese, anchovies, olives or another item added to your salad? Add crumbled blue cheese to your salad for $1.99. Just ask your server. Dressings: Blue Cheese, Ranch, Fat Free Ranch, Caesar, Honey Mustard, Fat Free Raspberry Vinaigrette, Fat Free Italian, Italian, Greek, French, oil and vinegar, or Sweet &amp; Sour.\r\n**SMALL SALADS AVAILABLE AS WRAPS!\r\n\r\n<strong>Garden Salad</strong>–sm. $5.99, lg. $8.99\r\n<em>Romaine lettuce, cucumbers, red onion and tomato.</em>\r\n\r\n<strong>Chef Salad</strong>–sm. $7.49, lg. $12.99\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\r\n\r\n<strong>Chicken Tender Salad</strong>–sm. $7.49, lg. $12.99\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\r\n\r\n<strong>Caesar Salad</strong>–sm. $5.99, lg. $8.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $6.99, lg. $11.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\r\n\r\n<strong>Greek Salad</strong>–sm. $7.49, lg. $12.99\r\n<em>Romaine lettuce, red onion, Kalamata olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n\r\n<strong>Spinach Salad</strong>–sm. $7.49, lg. $12.99\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\r\n\r\n<strong>Fresh Mozzarella and Tomato Salad</strong>–sm. $6.49, lg. $10.99\r\n<em>\"Caprese Salad\" Delicious fresh roma tomato slices topped with fresh basil leaves, cherry-sized mozzarella balls (Ciliegine), and drizzled with Extra Virgin Olive Oil and Balsamic Vinegar.</em>\r\n<h2>Tenders, Wings and Boneless Wings</h2>\r\nadd blue cheese, ranch or any extra sauce–99¢ each, add celery–99¢\r\n<h3>Sauces</h3>\r\n<ul>\r\n 	<li style=\"list-style-type: none;\">\r\n<ul>\r\n 	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n 	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n 	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n 	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n 	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n 	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\r\n 	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\r\n 	<li><strong>Jamaican Jerk</strong>–Unique and rich island flavor.</li>\r\n 	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\r\n 	<li><strong>Roasted Garlic Parmesan</strong>-fresh roasted garlic &amp; lots of parmesan.</li>\r\n</ul>\r\n</li>\r\n</ul>\r\nAdd blue cheese, ranch or any extra sauce- $.99 Each\r\nAdd Celery- $.99\r\n<h3>Boneless Wings</h3>\r\nBreaded chicken tender bites tossed in your favorite lip-smackin\' wing sauce.\r\n<ul>\r\n 	<li>Order of 10 (1 flavor)–$6.59</li>\r\n 	<li>Order of 20 (up to 2 flavors)–$12.99</li>\r\n 	<li>Order of 30 (up to 3 flavors)–$18.99</li>\r\n</ul>\r\n<h3>Chicken Wings</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n<ul>\r\n 	<li>Order of 5 (1 flavor)-$6.49</li>\r\n 	<li>Order of 10 (1 flavor)–$11.49</li>\r\n 	<li>Order of 20 (up to 2 flavors)–$22.49</li>\r\n 	<li>Order of 30 (up to 3 flavors)–$32.99</li>\r\n</ul>\r\n<h3>Chicken Tenders</h3>\r\nGenuine southern fried chicken tenders so lightly breaded they will melt in your mouth. Includes 1 dipping sauce of your choice.\r\n<ul>\r\n 	<li>Order of 6–$5.99</li>\r\n 	<li>Order of 8–$7.99</li>\r\n 	<li>Order of 12–$10.99</li>\r\n 	<li>Order of 20–$16.99</li>\r\n</ul>\r\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\r\nWant to Make Your Own Buck\'s Pizza at Home? Try our Take \'N Bake!\r\n\r\nChoose Hand-Tossed or Deep-Dish pizza! Gluten-free is available for small pizzas (+$3)! Ask your server.\r\n<h3>Pizza or Stromboli</h3>\r\n<ul>\r\n 	<li>Small 9\" (4 slices of pizza/2 pieces of Stromboli)–$5.99</li>\r\n 	<li>Medium 12\" (6 slices of pizza/3 pieces of Stromboli)–$8.99</li>\r\n 	<li>Large 14\" (8 slices of pizza/4 pieces of Stromboli)–$11.99</li>\r\n 	<li>X-Large 16\" (12 slices of pizza/5 pieces of Stromboli)–$13.99</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\nSmall 9\" 89¢ each, Medium 12\" $1.29 each, Large 14\" $1.69 each, X-Large 16\" $1.99 each\r\n<ul>\r\n 	<li>Pepperoni</li>\r\n 	<li>Ham</li>\r\n 	<li>Mushrooms</li>\r\n 	<li>Bacon</li>\r\n 	<li>Spanish onions</li>\r\n 	<li>Anchovies</li>\r\n 	<li>Red onions</li>\r\n 	<li>Hard Salami</li>\r\n 	<li>Green pepper</li>\r\n 	<li>Fresh Basil</li>\r\n 	<li>Sausage</li>\r\n 	<li>Minced garlic</li>\r\n 	<li>Roasted garlic</li>\r\n 	<li>Green olives</li>\r\n 	<li>Fresh spinach</li>\r\n 	<li>Black olives</li>\r\n 	<li>Pineapple</li>\r\n 	<li>Canadian bacon</li>\r\n 	<li>Jalapeños</li>\r\n 	<li>Banana peppers</li>\r\n 	<li>Roma tomatoes</li>\r\n 	<li>Ground beef</li>\r\n 	<li>Kalamata olives</li>\r\n 	<li>Fried sweet peppers</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\nSmall 9\" $1.99 each, Medium 12\" $2.99 each, Large 14\" $3.99 each, X-Large 16\" $4.99 each\r\n<ul>\r\n 	<li>Artichoke hearts</li>\r\n 	<li>Fresh mozzarella</li>\r\n 	<li>Chicken</li>\r\n 	<li>USDA choice steak</li>\r\n</ul>\r\n<h3>Extra Cheese</h3>\r\nSmall 9\" 99¢ each, Medium 12\" $1.49 each, Large 14\" $1.99 each, X-Large 16\" $2.49 each\r\n<ul>\r\n 	<li>Mozzarella</li>\r\n 	<li>Cheddar cheese</li>\r\n 	<li>Feta cheese</li>\r\n</ul>\r\n<h2>Specialty Pizzas and Strombolis</h2>\r\n<h3>Traditional Pizza Sauce</h3>\r\n<strong>Buck\'s Deluxe</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n\r\n<strong>5 Meat</strong>–sm. $10.39, md. $15.39, lg. $20.39, xl. $23.89\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n\r\n<strong>CBS Special</strong>–sm. $9.89, md. $14.59, lg. $19.39, xl. $22.69\r\n<em>Melted aged cheddar, sizzling bacon and chipped mouth watering USDA choice steak. Maybe we should call this one \'heaven-on-earth\'.</em>\r\n\r\n<strong>Vegi-Delite</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\r\n\r\n<strong>4 Cheese Medley</strong>–sm. $8.19, md. $12.19, lg. $16.19, xl. $18.89\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\r\n\r\n<strong>CBH Special</strong>–sm. $8.69, md. $12.99, lg. $17.19, xl. $19.99\r\n<em>Everything is better with bacon and this proves it. smoked ham, melted aged cheddar and sizzling bacon. Mmm good!</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\r\n\r\n<strong>Hawaiian</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\r\n\r\n<strong>Pepperoni Classic</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>America\'s favorite pizza with an edge to edge layer of pepperoni and extra mozzarella cheese.</em>\r\n\r\n<strong>Sausage Classic</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>Wake up your taste buds with lots of sausage and extra mozzarella.</em>\r\n\r\n<strong>Ham and Cheese</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>What could be simpler or more delicious than smoked ham and melted mozzarella and aged cheddar?</em>\r\n\r\n<strong>Wild Buck</strong>–sm. $12.59, md. $18.59, lg. $24.59, xl. $28.89\r\nIf you order \'everything-but-the-fish\' this is what you\'ll get. Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives and extra mozzarella...it\'s wild!\r\n<h3>White Pizza Sauce</h3>\r\n<strong>Chicken Club</strong>–sm. $10.39, md. $15.39, lg. $20.39, xl. $23.89\r\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, Canadian bacon, red onion and bacon.</em>\r\n\r\n<strong>Greek</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>A light garlic sauce, mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\r\n\r\n<strong>Margherita</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n\r\n<strong>Italian</strong>–sm. $8.19, md. $12.19, lg. $16.19, xl. $18.89\r\n<em>Garlic sauce, hard salami, smoked ham, fresh onions, green peppers and lots of mozzarella. The flavor really pops with the oven-baked hard salami!</em>\r\n\r\n<strong>Old World</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\r\n\r\n<strong>Steak \'N Cheese</strong>–sm. $10.39, md. $15.39, lg. $20.39, xl. $23.89\r\n<em>Our special light garlic sauce topped with real marinated chipped USDA choice steak, onions, green peppers, mushrooms and extra mozzarella cheese.</em>\r\n<h3>Alfredo Sauce</h3>\r\n<strong>Spinach Alfredo</strong>–sm. $11.59, md. $17.09, lg. $22.59, xl. $26.49\r\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon and lots of mozzarella.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–sm. $11.59, md. $17.09, lg. $22.59, xl. $26.49\r\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with 100% mozzarella cheese.</em>\r\n<h3>Non-Traditional Pizza Sauce</h3>\r\n<strong>BBQ Chicken</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, mozzarella and aged cheddar.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>Your choice of Buck\'s mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella and chicken, all topped with sizzling bacon. Hang on to your hat!</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–sm. $9.89, md. $14.59, lg. $19.39, xl. $22.69\r\n<em>We use ranch for the sauce, pile on the mozzarella, strips of grilled chicken breast, sizzling bacon and smother it all with aged cheddar cheese.</em>\r\n<h2>Pasta Dinners</h2>\r\nAll of our pasta meals are served with fresh baked Bread Stix and your choice of a Garden or Ceaser Salad.\r\n\r\n<strong>great additions to your pasta</strong> Small $.50 Large $1.00\r\n<ul>\r\n 	<li>Bacon</li>\r\n 	<li>Basil</li>\r\n 	<li>Roasted Garlic</li>\r\n 	<li>Mushrooms</li>\r\n 	<li>Black Olives</li>\r\n 	<li>Tomatoes</li>\r\n 	<li>Fried Peppers</li>\r\n 	<li>Pepperoni</li>\r\n 	<li>Sausage</li>\r\n 	<li>Spinach</li>\r\n</ul>\r\n<strong>Premium additions</strong> Small $1.50 Large $3.00\r\n<ul>\r\n 	<li>Artichoke Hearts</li>\r\n 	<li>Chicken</li>\r\n 	<li>Steak</li>\r\n 	<li>Meatballs</li>\r\n</ul>\r\nOur Tomato Pasta Sauce is made with vine-ripened tomatoes and only the finest ingredients for a simple, classic Old World flavor.\r\n\r\nCustomize Your Pasta! Change any sauce &amp; any pasta on any pasta dish. Choose from: tomato pasta sauce, alfredo sauce, tomato alfredo sauce, or roasted garlic parmesan.\r\n\r\n<strong>Spaghetti</strong>–sm. $8.99, reg. $11.99\r\n<em>A generous portion of spaghetti topped with the best tomato pasta sauce you will find anywhere.</em>\r\n\r\n<strong>Spaghetti and Meatballs</strong>–sm. $10.49, reg. $14.99\r\n<em>A generous portion of spaghetti topped with meatballs and the best tomato pasta sauce you will find anywhere.</em>\r\n\r\n<strong>Fettuccine Alfredo</strong>–sm. $9.99, reg. $13.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–sm. $11.49, reg. $16.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce and with tender strips of grilled chicken.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–sm. $11.49, reg. $16.99\r\n<em>Hand-breaded chicken covered in tomato pasta sauce and melted mozzarella served over penne.</em>\r\n\r\n<strong>Cheese Ravioli</strong>–sm. $10.99, reg. $16.99\r\n<em>Rich and creamy ricotta stuffed ravioli served with tomato pasta sauce.</em>\r\n\r\n<strong>Beef Ravioli</strong>–sm. $10.99, reg. $16.99\r\n<em>Tender and delicious beef stuffed ravioli served with tomato pasta sauce.</em>\r\n<h2>Dinners</h2>\r\n<strong>Southern Fried Chicken Tenders Dinner</strong>–sm. $7.99, lg. $13.99\r\n<em>Genuine southern fried chicken tenders, french fries and a side of cole slaw.</em>\r\n\r\n<strong>Cod Fish Dinner</strong>–$14.99\r\n<em>Lightly breaded, deliciously flaky and firm, cold-water cod fillets served with french fries, a side of cole slaw and a side of tartar sauce.</em>\r\n<h2>Kid\'s Menu</h2>\r\n<strong>Hand-Tossed Pizza</strong>–$7.99\r\n<em>with one regular topping and your choice of beverage.</em>\r\n\r\n<strong>Deep Dish Pizza</strong>–$7.99\r\n<em>with one regular topping and your choice of beverage.</em>\r\n\r\n<strong>Ciabatta Bread Pizza</strong>–$5.99\r\n<em>with pepperoni and your choice of beverage.</em>\r\n\r\n<strong>Penne and Pasta Sauce</strong>–$6.49\r\n<em>and your choice of beverage.</em>\r\n\r\n<strong>4 Chicken Tenders, Apple Sauce, &amp; French Fries</strong>–$8.99\r\n<em>and your choice of beverage.</em>\r\n\r\n<b>Beverages</b>\r\n<em>Milk, Chocolate Milk, Apple Juice, Sweet Tea, Unsweet Tea, Coca-Cola Freestyle Flavors</em>\r\n<h2>Sweet Treats</h2>\r\n<strong>Cinnamon Stix</strong>–$4.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing.</em>\r\n\r\n<strong>Tiramisu</strong>-$5.99\r\n<em>Italy\'s most famous dessert, Tiramisu, \"Pick-Me-Up\" in Italian, is an elegant treat that\'s not too sweet or too filling. Start with layers of imported mascarpone cream and authentic ladyfingers, we then delicately soak them in espresso and finish with a dusting of cocoa powder.</em>\r\n\r\n<strong>Cannoli</strong>–$1.99 each, 2 for $3.79 or 4 for $6.99\r\n<em>A crisp cannoli shell stuffed with sweet and creamy filling and chocolate chips.</em>\r\n\r\n<strong>Gelato</strong>–$3.49\r\n<em>Ask for our current flavors!</em>\r\n\r\n<strong>Lemoncello Mascarpone Cake</strong>-$5.99\r\n\r\n<em>A rich combination of Sicilian lemon infused sponge cake and Italian mascarpone topped with European white chocolate curls. A refreshingly light creamy dessert with the perfect combination of sweet and tart. Served with a dollop of whipped cream.</em>\r\n\r\n<strong>Three-Layer Chocolate Cake</strong>-$5.99\r\n<em>A chocolate lover’s dream dessert! Rich three-layer chocolate cake filled and frosted with dark chocolate and fudge frosting with semi-sweet chocolate chips! Served drizzled with chocolate sauce, whipped cream, and a cherry.</em>\r\n<h2>Beverages</h2>\r\n<strong>Fresh Brewed Southern-style Tea</strong>–child  $1.39, adult  $2.79, gallon $3.99\r\n<em>Choose sweet or unsweet tea. Free refills in restaurant, same visit only.</em>\r\n\r\n<strong>Fountain Beverage</strong>–child  $1.39, adult  $2.79\r\n\r\n<strong>Beer &amp; Wine</strong>–available in-house", "Menu", "", "publish", "closed", "closed", "", "menu", "", "", "2019-10-23 16:40:49", "2019-10-23 16:40:49", "", "54", "http://spartanmedia.com/DEV/BUCKS/?page_id=140", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("144", "1", "2015-06-09 02:49:16", "2015-06-09 02:49:16", "<h2>Stix and Sides</h2>\r\n*Gluten Free available\r\n\r\n<strong>Bread Stix</strong>–8 pc. $3.15, 12 pc. $4.15*\r\n\r\n<strong>Cheese Stix</strong>–8 pc. $4.20, 12 pc. $5.20*\r\n\r\n<strong>Ultimate Cheese Stix</strong>–$5.95\r\n\r\n<strong>Garlic Bread</strong>–$1.99\r\n\r\n<strong>Garlic Bread w/Cheese</strong>–$3.10\r\n\r\n<strong>Chicken Tenders</strong>–$5.89\r\n\r\n<strong>Jalapeño Poppers</strong>–$5.25\r\n\r\n<strong>French Fries</strong>–$1.55\r\n<h2>Hoagies</h2>\r\nAll hoagies topped w/lettuce and tomato excluding the CBS, Pizza, and Chicken Parmesan.\r\n\r\n<strong>Steak</strong>–$5.99<strong>\r\n</strong><em>Steak, mushrooms, onion, green pepper, and mozzarella</em>\r\n\r\n<strong>Italian</strong>–$5.99\r\n<em>Salami, ham, onion, green peppers, mozzarella and Italian dressing.</em>\r\n\r\n<strong>CBS</strong>–$5.99\r\n<em>Cheddar, bacon and steak.</em>\r\n\r\n<strong>Ham</strong>–$5.99\r\n<em>Ham, onions and mozzarella.</em>\r\n\r\n<strong>Pizza</strong>–$5.99\r\n<i>Sausage, pepperoni, mozzarella and pizza sauce.</i>\r\n\r\n<strong>Chicken Parmesan</strong>–$5.99\r\n<em>Chicken tenders, mozzarella and pizza sauce.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–$5.99\r\n<em>Chicken tenders, mozzarella and buffalo sauce.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–$5.99\r\n<em>Chicken, bacon, cheddar and ranch sauce.</em>\r\n\r\n<strong>Veggie</strong>–$5.99<strong>\r\n</strong><em>Mushroom, tomato, onion, green pepper, black and green olives, mozzarella.</em>\r\n<h2>Salads</h2>\r\nDressing: Ranch, Italian, Raspberry Vinagrette, Bleu Cheese, French, Gluten Free Dill Style, Caesar and Greek\r\n\r\n<strong>Garden</strong>–reg. $3.39, lg. $5.29\r\n<em>Tomato, cucumbers, red onion and cheddar.</em>\r\n\r\n<strong>Chef</strong>–reg. $5.39, lg. $7.29\r\n<em>Tomato, cucumber, red onion, turkey, ham, bacon and cheddar.</em>\r\n\r\n<strong>Greek</strong>–reg. $5.49, lg. $7.29\r\n<em>Tomato, cucumber, red onion, artichoke hearts, black olives and feta.</em>\r\n\r\n<strong>Caesar</strong>–reg. $5.39, lg. $7.29\r\n<em>Romaine and parmesan.</em>\r\n\r\n<strong>Chicken Caesar</strong>–reg. $6.39, lg. $8.29\r\n<em>Chicken and parmesan</em>\r\n\r\n<strong>Spinach</strong>–reg. $6.39, lg. $8.29\r\n<em>Tomato, cucumber, black olives, red onion, bacon and feta.</em>\r\n<h2>Wings</h2>\r\n<strong>10 pc. Bone-In</strong>–$6.79\r\n<em>Hot (GF), Mild (GF), BBQ, and Italian</em>\r\n\r\n<strong>10 pc. Boneless</strong>–$6.79\r\n<em>Hot, Mild, BBQ, Teriyak, Sweet Chili, Honey BBQ</em>\r\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\r\n<h3>Pizza or Stromboli</h3>\r\n<ul>\r\n	<li>Personal–$3.49</li>\r\n	<li>Small–$4.49</li>\r\n	<li>Medium–$6.99</li>\r\n	<li>Large–$8.99</li>\r\n	<li>X-Large–$11.99</li>\r\n	<li>Belly Buster–$14.99</li>\r\n	<li>Gluten Free–$13.49</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\n55¢ each per Personal, 80¢ each per Small, $1.10 each per Medium, $1.60 each per Large, $1.99 each per X-Large, $2.15 each per Belly Buster, $1.60 per Gluten Free\r\n<ul>\r\n	<li>Bacon</li>\r\n	<li>Banana peppers</li>\r\n	<li>Black olives</li>\r\n	<li>Canadian bacon</li>\r\n	<li>Diced ham</li>\r\n	<li>Basil</li>\r\n	<li>Green olives</li>\r\n	<li>Green peppers</li>\r\n	<li>Ground beef</li>\r\n	<li>Salami</li>\r\n	<li>Jalapeños</li>\r\n	<li>Mushrooms</li>\r\n	<li>Pepperoni</li>\r\n	<li>Pineapple</li>\r\n	<li>Red onions</li>\r\n	<li>Sausage</li>\r\n	<li>Tomatoes</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\n$1.75 each per Personal, $2.10 each per Small, $3.00 each per Medium, $4.20 each per Large, $5.10 each per X-Large, $5.55 each per Belly Buster, $4.20 each per Gluten Fee\r\n<ul>\r\n	<li>Alfredo sauce</li>\r\n	<li>Anchovies</li>\r\n	<li>Chicken</li>\r\n	<li>Artichoke hearts</li>\r\n	<li>Salami</li>\r\n	<li>Steak</li>\r\n</ul>\r\n<h3>Extra Cheese</h3>\r\n99¢ each per Personal, $1.20 each per Small, $1.65 each per Medium, $2.40 each per Large, $2.85 each per X-Large, $2.95 each per Belly Buster, $2.40 each per Gluten Free\r\n<h2>2-Topping Pizzas</h2>\r\n<strong>Ham and Cheese</strong>–ps. $4.89, sm. $5.89, md. $8.99, lg. $11.79, xl. $15.39, bb. $19.59\r\n<em>Diced ham, cheddar and mozzarella.</em>\r\n\r\n<strong>Pepperoni Classic</strong>–ps. $4.89, sm. $5.89, md. $8.99, lg. $11.79, xl. $15.39, bb. $19.59\r\n<em>Pepperoni and extra cheese.</em>\r\n\r\n<strong>Sausage Classic</strong>–ps. $4.89, sm. $5.89, md. $8.99, lg. $11.79, xl. $15.39, bb. $19.59\r\n<em>Sausage and extra cheese.</em>\r\n<h2>4-Topping Pizzas</h2>\r\n<strong>CBH Special</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Cheddar, bacon, ham.</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Beef, bacon, cheddar.</em>\r\n\r\n<strong>5 Meat</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Pepperoni, sausage, ham, beef, bacon.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Buffalo sauce, chicken, bacon.</em>\r\n\r\n<strong>4 Cheese Medley</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Cheddar, mozzarella, parmesan, feta.</em>\r\n\r\n<strong>Italian</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Garlic sauce, salami, ham, onion, green pepper.</em>\r\n\r\n<strong>Taco</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Seasoned beef, chips, cheddar, lettuce and tomato.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Ranch sauce, chicken, bacon, cheddar.</em>\r\n\r\n<strong>Deluxe</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Pepperoni, sausage, onion, green pepper, mushroom.</em>\r\n\r\n<strong>Chicken Club</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Garlic sauce, chicken, red onion, Canadian bacon, bacon.</em>\r\n\r\n<strong>Margherita</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Garlic sauce, tomato, pepper, fresh basil, and double extra cheese.</em>\r\n\r\n<strong>CBS Special</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Cheddar, bacon, steak.</em>\r\n\r\n<strong>Loaded Baked Potato</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Ranch or garlic sauce, pepper, potatoes, double onion, bacon, cheddar.</em>\r\n<h2>6-Topping Pizzas</h2>\r\n<strong>Wild Buck</strong>–ps. $8.74, sm. $9.74, md. $14.49, lg. $19.49, xl. $24.74, bb. $28.59\r\n<em>Pepperoni, onion, mushrooms, green peppers, sausage, diced ham, bacon, beef, black olives and extra cheese.</em>\r\n\r\n<strong>Veggie</strong>–ps. $8.74, sm. $9.74, md. $14.49, lg. $19.49, xl. $24.74, bb. $28.59\r\n<em>Tomato, mushrooms, green peppers, onions, green olives and black olives.</em>\r\n\r\n<strong>Greek</strong>–ps. $8.74, sm. $9.74, md. $14.49, lg. $19.49, xl. $24.74, bb. $28.59\r\n<em>Garlic sauce, tomato, artichokes, red onions, black olives, feta cheese.</em>\r\n\r\n<strong>Steak \'N Cheese</strong>–ps. $8.74, sm. $9.74, md. $14.49, lg. $19.49, xl. $24.74, bb. $28.59\r\n<em>Garlic sauce, steak, onions, green peppers, mushrooms, extra cheese.</em>\r\n\r\n<strong>Spinach Alfredo</strong>–ps. $8.74, sm. $9.74, md. $14.49, lg. $19.49, xl. $24.74, bb. $28.59\r\n<em>Alfredo sauce, spinach, tomato, bacon, extra cheese.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–ps. $8.74, sm. $9.74, md. $14.49, lg. $19.49, xl. $24.74, bb. $28.59\r\n<em>Alfredo sauce, chicken, red onion, bacon.</em>\r\n\r\n<strong>BBQ Chicken</strong>–ps. $8.74, sm. $9.74, md. $14.49, lg. $19.49, xl. $24.74, bb. $28.59\r\n<em>BBQ sauce, chicken, red onion, bacon, cheddar.</em>\r\n<h2>Dinners</h2>\r\n<strong>Bucksghetti</strong>–$7.99\r\n<em>Spaghetti w/3 meatballs, garlic bread, and a side salad.</em>\r\n\r\n<strong>Fettucine Alfredo</strong>–$9.49\r\n<em>Fettucine w/alfredo sauce, cheesy garlic bread, and a side salad. Add chicken for $1.00 more.</em>\r\n\r\n<strong>Fish Dinner</strong>–$9.59\r\n<em>3 pcs of cod, french fries, cole-slaw, tartar sauce, and rye bread.</em>\r\n<h2>Desserts</h2>\r\n<strong>Raspberry Cheesecake Bites</strong>–96¢\r\n\r\n<strong>Apple or Cherry Pizza</strong>–$7.99, Gluten Free–$9.99\r\n\r\n<strong>Cinnamon Stix</strong>–8 pc. $3.99, 12 pc. $4.99, Gluten Free–$8.25", "Menu", "", "publish", "closed", "closed", "", "menu", "", "", "2017-07-31 18:12:53", "2017-07-31 18:12:53", "", "80", "http://spartanmedia.com/DEV/BUCKS/?page_id=144", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("146", "1", "2015-06-09 02:49:32", "2015-06-09 02:49:32", "<h2>Sides</h2>\r\n<strong>Bread Sticks </strong><strong>(Served with Marinara Sauce)\r\n</strong><em>Plain</em>\r\n<em>with Cheese</em>\r\n<em>Add Ham, Bacon or Jalapeños</em>\r\n\r\n<strong>Taco Stix</strong>\r\n\r\n<strong>Garlic Bread</strong>\r\n<em>Plain</em>\r\n<em>with Cheese</em>\r\n\r\n<strong>Eight Wings</strong>\r\n<em>Hot, BBQ, Italian, Plain or Boneless Hot wings</em>\r\n\r\n<strong>Popcorn Chicken (8 oz.)</strong>\r\n<em>Tender Boneless White Meat Chicken</em>\r\n\r\n<strong>Dipping Sauce</strong>\r\n<em>Ranch, Blue Cheese, BBQ, Honey Mustard, Golden BBQ, Hot, </em><em>Oriental Zing or Creamy Parmesan</em><b>\r\n</b>\r\n\r\n<b>Spaghetti with Garlic Bread\r\n</b><em>with Meatballs</em>\r\n\r\n<strong>Chicken Alfedo with Garlic Bread</strong>\r\n\r\n<strong>Cinnamon Stix with Glazing</strong>\r\n<h2>Salads</h2>\r\n<strong>Caesar\r\n</strong><em>Lettuce Blend, Parmesan Cheese, Croutons with Caesar Dressing\r\n</em><em>Add Chicken</em>\r\n\r\n<strong>Garden</strong>\r\n<em>Lettuce Blend, Red Onions, Shredded Carrot, Tomatoes, and Croutons</em>\r\n\r\n<strong>Greek</strong>\r\n<em>Lettuce Blend, Cucumbers, Tomatoes, Feta Cheese, Black Olives and Croutons.</em>\r\n\r\n<strong>Taco\r\n</strong><em>Lettuce Blend, Tortilla Chips, Taco Meat, Onions, Tomatoes and Cheddar Cheese. Served with Taco Sauce and Sour Cream.</em>\r\n<h2>Pizza</h2>\r\nStart with a Cheese Pizza and add the toppings you want!<strong> </strong>\r\n\r\nExtra Pizza Sauce Available Upon Request. Pizza Served with One Garlic Dipping Sauce. Additional Sauce Extra.\r\n<h3>Size</h3>\r\n<ul>\r\n	<li>6\" Personal</li>\r\n	<li>9\" Small</li>\r\n	<li>12\" Medium</li>\r\n	<li>14\" Large</li>\r\n	<li>16\" X-Large</li>\r\n</ul>\r\n<h3>Toppings</h3>\r\n<ul>\r\n	<li>Pepperoni</li>\r\n	<li>Mushrooms</li>\r\n	<li>Onions</li>\r\n	<li>Green Olives</li>\r\n	<li>Black Olives</li>\r\n	<li>Ham\r\nSausage</li>\r\n	<li>Bacon</li>\r\n	<li>Ground Beef</li>\r\n	<li>Pickles</li>\r\n	<li>Banana Peppers</li>\r\n	<li>Jalapeno Peppers</li>\r\n	<li>Pineapple</li>\r\n	<li>Canadian Bacon</li>\r\n	<li>Tomatoes</li>\r\n	<li>Green Peppers</li>\r\n	<li>Red Peppers</li>\r\n	<li>Shrimp</li>\r\n	<li>Anchovies</li>\r\n	<li>Cheddar Cheese</li>\r\n	<li>Extra Cheese</li>\r\n</ul>\r\n<h3>Specialty Toppings (counts as a double topping)</h3>\r\n<ul>\r\n	<li>Chicken</li>\r\n	<li>Steak</li>\r\n	<li>Feta Cheese</li>\r\n	<li>Fresh Basil</li>\r\n</ul>\r\n<h2>Specialty Pizzas</h2>\r\nPersonal, Small, Medium, Large, Extra Large\r\n\r\n<strong>Deluxe</strong>\r\n<em>Pepperoni, Onions, Mushrooms, Sausage and Green Peppers</em>\r\n\r\n<strong>Meaty</strong>\r\n<em>Pepperoni, Sausage, Ham, Bacon and Ground Beef</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>\r\n<em>Ground Beef and Bacon Topped with our Special Blend of Cheeses and Cheddar Cheese. (Pickles upon request)</em>\r\n\r\n<strong>Taco Supreme\r\n</strong><em>Pizza Sauce, Taco Meat, Nacho Chips and Cheddar Cheese. </em><em>Topped with Lettuce, Tomatoes and Taco Sauce. Served with Sour Cream.<strong>\r\n</strong></em>\r\n\r\n<strong>Fury\r\n</strong><em>Pepperoni, Bacon, Onion, Pineapple and Jalapeno Peppers and Cheddar Cheese.</em>\r\n\r\n<strong>Vegi \"De-Lite\"</strong>\r\n<em>Mushroom, Onion, Green Peppers, Sweet Red Peppers, Green Olives, Black Olives and Tomatoes.</em>\r\n\r\n<strong>Old World Pizza\r\n</strong><em>Garlic Sauce Topped with Our Special Blend Cheeses, Bacon, Tomatoes, and Extra Cheese.</em>\r\n\r\n<strong>Hawaiian\r\n</strong><em>Tasty Pineapple, Canadian Bacon, Green Peppers &amp; Tomatoes.</em>\r\n\r\n<strong>Margherita\r\n</strong><em>Garlic Sauce, Special Plum Tomatoes, Fresh Basil &amp; Our Special Blend of Cheeses, Topped diced tomatoes and a Drizzle of Olive Oil. </em>\r\n<h2>Premium Pizzas</h2>\r\nMedium, Large, Extra Large\r\n\r\n<strong>Wild Buck\r\n</strong><em>Pepperoni, Onions, Mushrooms, Sausage, Ham, Bacon, Green Peppers, Ground Beef, Black and Green Olives and Extra Cheese.</em>\r\n\r\n<strong>Steak Classic\r\n</strong><em>Garlic sauce topped with Steak, Onions, Green peppers, Mushroom, &amp; our Special Blend of Cheeses.</em>\r\n\r\n<strong>Chicken or Steak Alfredo\r\n</strong><em>Creamy Alfredo Sauce topped with your choice of chicken or Steak, Onions, Red Peppers, Light Bacon, our Special Blend of Cheeses and Parsley.</em>\r\n\r\n<strong>Club\r\n</strong><em>Garlic Sauce covered with a Blend of Cheeses, Topped with Canadian Bacon, Chicken, Bacon, and Onions. Served with a side of Honey Mustard. Or Oriental Zing Sauce.</em>\r\n\r\n<strong>Chicken with BBQ &amp; Ranch\r\n</strong><em>Chicken, Bacon, and Onions, Topped with our Blend of Provolone, Mozzarella and Cheddar cheese. Drizzled with BBQ Sauce and Ranch Dressing after baking.</em>\r\n<h2><b>Stromboli</b></h2>\r\nIngredients are placed on our hand-tossed dough, covered with our special blend of cheeses, folded and topped with our seasoned butter, then baked. Comes with one Marinara Dipping Sauce. Additional sauce extra.\r\n\r\nIncludes one marinara dipping sauce\r\n\r\n<strong>Pizza\r\n</strong><em>Pizza Sauce and Your Choice of up to 5 Pizza Toppings covered with our Special Blend of Cheeses.</em>\r\n\r\n<strong>Steak\r\n</strong><em>Steak, Mushroom, Onion, Green Pepper and our Special Blend of Cheeses.</em>\r\n\r\n<strong>Italian\r\n</strong><em>Ham, Hard Salami, Onion, Green Pepper and our Special Blend of Cheeses.</em>\r\n\r\n<strong>Meatball\r\n</strong><em>Meatballs, Marinara Sauce and our Special Blend of Cheeses.</em>\r\n\r\n<strong>CBS\r\n</strong><em>Cheddar Cheese, Bacon and Steak.</em>\r\n\r\n<strong>Ham &amp; Cheese\r\n</strong><em>Ham, our Special Blend of Cheeses and Cheddar Cheese.</em>\r\n\r\n<strong>Meaty\r\n</strong><em>Pepperoni, Sausage, Ham, Bacon, Ground Beef and Topped with our Special Blend of Cheeses.</em>\r\n<h2>Oven Baked Hoagies</h2>\r\nHalf 6\", Whole\r\n\r\nCondiments available upon request: Mayonaise, Italian, Ranch, Honey Mustard, Ketchup, Mustard or BBQ sauce.\r\n\r\n<strong>Steak\r\n</strong><em>Steak, Mushroom, Onion, Green Pepper, Melted Cheese, Lettuce and Tomato.</em>\r\n\r\n<strong>Italian\r\n</strong><em>Ham, Hard Salami, Onion, Green Pepper, Melted Cheese, Lettuce, Tomato and Italian Dressing.</em>\r\n\r\n<strong>CBS\r\n</strong><em>Cheddar Cheese, Bacon and Steak.</em>\r\n\r\n<strong>Club\r\n</strong><em>Turkey, Bacon, Ham, Melted Cheese, Lettuce and Tomato.</em>\r\n\r\n<strong>Ham\r\n</strong><em>Ham, Melted Cheese, Lettuce and Tomato.</em>\r\n\r\n<strong>Turkey\r\n</strong><em>Sliced Turkey Breast, Melted Cheese, Lettuce and Tomato.</em>\r\n\r\n<strong>Meatball\r\n</strong><em>Meatballs, Special Sauce and Melted Cheese.</em>\r\n\r\n<strong>Chicken-Bacon-Ranch\r\n</strong><em>Chicken, Bacon, Onions, Melted Cheese, Lettuce, Tomato.&amp; Ranch Dressing</em>\r\n\r\n<strong>Gyro (Seasonal)\r\n</strong><em>Gyro Flavored Beef, Onion, Melted Cheese, Tomato, Cucumber and Tzatziki Sauce.</em>", "Menu", "", "publish", "closed", "closed", "", "menu", "", "", "2017-07-31 18:15:19", "2017-07-31 18:15:19", "", "44", "http://spartanmedia.com/DEV/BUCKS/?page_id=146", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("161", "1", "2015-06-09 02:51:58", "2015-06-09 02:51:58", "<h2>Buck\'s Famous Stix</h2>\r\n<strong>Bread Stix</strong>–$4.99\r\n<em>12 per order, covered with butter and spices.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$5.99\r\n<em>12 per order, with icing</em>\r\n\r\n<strong>Cheese Stix</strong>–$5.99\r\n<em>12 per order, covered in melted cheese.</em>\r\n<h2>Side Items</h2>\r\n<strong>Boiled Peanuts</strong>–$4.00\r\n\r\n<strong>French Fries</strong>–$2.79\r\n<em>with Cheese–$3.99</em>\r\n<em>with Chili–$3.99</em>\r\n<em>with Cheese and Chili–$4.99</em>\r\n\r\n<strong>Nachos and Cheese</strong>–$4.99\r\n<em>with Chili–$5.99</em>\r\n<h2>Fresh Baked Hoagies</h2>\r\nServed on a toasted hoagie bun.\r\n\r\n<strong>Italian–</strong>6\" $6.99, 12\" $9.99\r\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, and tomato and Italian dressing.</em>\r\n\r\n<strong>Steak</strong>–6\" $6.99, 12\" $9.99\r\n<em>Real marinated, chipped USDA choice steak, mushrooms, onions, and green peppers smothered in provolone. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>CBS</strong>–6\" $6.99, 12\" $9.99\r\n<em>Cheddar, bacon and real marinated USDA choice steak.</em>\r\n\r\n<strong>Turkey Club</strong>–6\" $6.99, 12\" $9.99\r\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Baked Ham</strong>–6\" $6.99, 12\" $9.99\r\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\r\n\r\n<strong>Turkey</strong>–6\" $6.99, 12\" $9.99\r\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\r\n<h2>Salads</h2>\r\nDressings: Blue Cheese, Ranch, Fat Free Ranch, Caesar, Honey Mustard, Fat Free Raspberry Vinaigrette, Fat Free Italian, Italian, Greek, French\r\n\r\n<strong>Caesar Salad</strong>–sm. $4.99, lg. $7.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $5.99, lg. $8.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\r\n\r\n<strong>Spinach Salad</strong>–sm. $5.99, lg. $8.99\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\r\n\r\n<strong>Chef Salad</strong>–sm. $5.99, lg. $8.99\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\r\n\r\n<strong>Chicken Tender Salad</strong>–sm. $5.99, lg. $8.99\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\r\n\r\n<strong>Garden Salad</strong>–sm. $4.99, lg. $6.99\r\n<em>Romaine lettuce, cucumbers, red onion and tomato.</em>\r\n\r\n<strong>Greek Salad</strong>–sm. $5.99, lg. $8.99\r\n<em>Romaine lettuce, red onion, Kalamata olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n<h2>Tenders and Wings</h2>\r\nAdd blue cheese, ranch or any extra sauce–75¢ each\r\n<h3>Sauces</h3>\r\n<ul>\r\n	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\r\n	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\r\n	<li><strong>Jamaican Jerk</strong>–Unique and rich island flavor.</li>\r\n	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\r\n	<li><strong>Teriyaki</strong>–Smooth, salty, sweet…addictive.</li>\r\n	<li><strong>Honey Mustard</strong>–A hint of sweet and a lot of tang.</li>\r\n</ul>\r\n<h3>Chicken Tenders</h3>\r\nGenuine southern fried chicken tenders so lightly breaded they will melt in your mouth.\r\n<ul>\r\n	<li>Order of 4–$5.99</li>\r\n	<li>Order of 6–$7.99</li>\r\n	<li>Order of 8–$10.99</li>\r\n	<li>Order of 12–$13.99</li>\r\n	<li>Order of 15–$17.99</li>\r\n</ul>\r\n<h3>Chicken Wings</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n<ul>\r\n	<li>Order of 10–$8.99</li>\r\n	<li>Order of 15–$12.99</li>\r\n	<li>Order of 20–$16.78</li>\r\n	<li>Order of 25–$20.99</li>\r\n	<li>Order of 50–$39.79</li>\r\n	<li>Order of 100–$74.99</li>\r\n</ul>\r\n<h2>Stromboli</h2>\r\n<strong>Buck’s Pizza</strong>–sm. $9.49, md. $14.99, lg. $18.99, xl. $21.99<strong>\r\n</strong><em>Pizza Sauce, Mozzarella, Your Choice of Three Toppings</em>\r\n\r\n<strong>Steak</strong>–sm. $9.49, md. $14.99, lg. $18.99, xl. $21.99<strong>\r\n</strong><em>Steak, Mushrooms, Onions, Green Peppers, Mozzarella</em>\r\n\r\n<strong>Ham &amp; Cheese</strong>–sm. $9.49, md. $14.99, lg. $18.99, xl. $21.99<strong>\r\n</strong><em>Ham, Mozzarella, Cheddar</em>\r\n\r\n<strong>Vegi-Delite</strong>–sm. $9.49, md. $14.99, lg. $18.99, xl. $21.99<strong>\r\n</strong><em>Mushrooms, Onions, Tomatoes, Green Peppers, Black Olives, Green Olives, Mozzarella</em>\r\n\r\n<strong>Meaty</strong>–sm. $9.49, md. $14.99, lg. $18.99, xl. $21.99<strong>\r\n</strong><em>Pepperoni, Sausage, Bacon, Ham, Ground Beef, Mozzarella</em>\r\n\r\n<strong>CBS Special</strong>–sm. $9.49, md. $14.99, lg. $18.99, xl. $21.99<strong>\r\n</strong><em>Cheddar, Bacon, Steak</em>\r\n\r\n<strong>Italian</strong>–sm. $9.49, md. $14.99, lg. $18.99, xl. $21.99<strong>\r\n</strong><em>Ham, Salami, Onions, Green Peppers, Mozzarella</em>\r\n<h2>Build-Your-Own Pizza</h2>\r\n<ul>\r\n	<li>Small 9\" (4 slices)–$7.69</li>\r\n	<li>Medium 12\" (6 slices)–$10.79</li>\r\n	<li>Large 14\" (8 slices)–$13.69</li>\r\n	<li>X-Large 16\" (12 slices)–$15.79</li>\r\n	<li>Bellybuster 2\'x1\' (21 square slices)–$20.99</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\nSmall 9\" 75¢ each, Medium 12\" $1.00 each, Large 14\" $1.60 each, X-Large 16\" $1.75 each, Bellybuster 2\'x1\' $2.00\r\n<ul>\r\n	<li>Pepperoni</li>\r\n	<li>Ham</li>\r\n	<li>Mushrooms</li>\r\n	<li>Bacon</li>\r\n	<li>Yellow onions</li>\r\n	<li>Anchovies</li>\r\n	<li>Red onions</li>\r\n	<li>Hard Salami</li>\r\n	<li>Green pepper</li>\r\n	<li>Sausage</li>\r\n	<li>Green olives</li>\r\n	<li>Fresh spinach</li>\r\n	<li>Black olives</li>\r\n	<li>Banana peppers</li>\r\n	<li>Pineapple</li>\r\n	<li>Canadian bacon</li>\r\n	<li>Jalapeños</li>\r\n	<li>Roma tomatoes</li>\r\n	<li>Roasted red peppers</li>\r\n	<li>Roma tomatoes</li>\r\n	<li>Ground beef</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\nSmall 9\" $1.50 each, Medium 12\" $2.00 each, Large 14\" $3.00 each, X-Large 16\" $3.50 each, Bellybuster 1\'x2\' $4.00\r\n<ul>\r\n	<li>Artichoke hearts</li>\r\n	<li>Chicken</li>\r\n	<li>Steak</li>\r\n	<li>Feta cheese</li>\r\n</ul>\r\n<h2>Specialty Pizzas</h2>\r\n<strong>Buck\'s Deluxe</strong>–sm. $10.79, md. $14.99, lg. $19.99, xl. $22.99, bb. $28.99\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n\r\n<strong>5 Meat</strong>–sm. $10.79, md. $14.99, lg. $19.99, xl. $22.99, bb. $28.99\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n\r\n<strong>BBQ Chicken</strong>–sm. $11.99, md. $16.99, lg. $22.99, xl. $25.99, bb. $32.99\r\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, mozzarella and aged cheddar.</em>\r\n\r\n<strong>Vegi-Delite</strong>–sm. $10.79, md. $14.99, lg. $19.99, xl. $22.99, bb. $28.99\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\r\n\r\n<strong>Chicken Club (White Pizza)</strong>–sm. $11.99, md. $16.99, lg. $22.99, xl. $25.99, bb. $32.99\r\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, Canadian bacon, red onion and bacon.</em>\r\n\r\n<strong>Greek (White Pizza)</strong>–sm. $11.99, md. $16.99, lg. $22.99, xl. $25.99, bb. $32.99\r\n<em>A light garlic sauce, mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\r\n\r\n<strong>Margherita (White Pizza)</strong>–sm. $10.79, md. $14.99, lg. $19.99, xl. $22.99, bb. $28.99\r\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n\r\n<strong>4 Cheese Medley</strong>–sm. $10.79, md. $14.99, lg. $19.99, xl. $22.99, bb. $28.99\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\r\n\r\n<strong>Italian (White Pizza)</strong>–sm. $10.79, md. $14.99, lg. $19.99, xl. $22.99, bb. $28.99\r\n<em>Garlic sauce, hard salami, smoked ham, fresh onions, green peppers and lots of mozzarella. The flavor really pops with the oven-baked hard salami!</em>\r\n\r\n<strong>Old World (White Pizza)</strong>–sm. $8.99, md. $12.99, lg. $16.79, xl. $19.49, bb. $24.99\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>–sm. $10.79, md. $14.99, lg. $19.99, xl. $22.99, bb. $28.99\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\r\n\r\n<strong>Hawaiian</strong>–sm. $8.99, md. $12.99, lg. $16.79, xl. $19.49, bb. $24.99\r\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\r\n\r\n<strong>Pepperoni Classic</strong>–sm. $8.99, md. $12.99, lg. $16.79, xl. $19.49, bb. $24.99\r\n<em>America\'s favorite pizza with an edge to edge layer of pepperoni and extra mozzarella cheese.</em>\r\n\r\n<strong>Sausage Classic</strong>–sm. $8.99, md. $12.99, lg. $16.79, xl. $19.49, bb. $24.99\r\n<em>Wake up your taste buds with lots of sausage and extra mozzarella.</em>\r\n\r\n<strong>Ham and Cheese</strong>–sm. $8.99, md. $12.99, lg. $16.79, xl. $19.49, bb. $24.99\r\n<em>What could be simpler or more delicious than smoked ham and melted mozzarella and aged cheddar?</em>\r\n\r\n<strong>Steak \'N Cheese (White Pizza)</strong>–sm. $11.99, md. $16.99, lg. $22.99, xl. $25.99, bb. $32.99\r\n<em>Our special light garlic sauce topped with real marinated chipped USDA choice steak, onions, green peppers, mushrooms and extra mozzarella cheese.</em>\r\n\r\n<strong>Spinach Alfredo</strong>–sm. $11.99, md. $16.99, lg. $22.99, xl. $25.99, bb. $32.99\r\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon and lots of mozzarella.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–sm. $11.99, md. $16.99, lg. $22.99, xl. $25.99, bb. $32.99\r\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with 100% mozzarella cheese.</em>\r\n<h2>Beverages</h2>\r\n<strong>Sweet Tea</strong>–$1.95\r\n\r\n<strong>Fountain Beverage</strong>–$1.95\r\n\r\n<strong>Wine (Red or White) </strong>–$4.25\r\n\r\n<strong>Domestic Beer</strong>–$3.00\r\n\r\n<strong>Imported Beer</strong>–$4.00\r\n<h3></h3>", "Menu", "", "publish", "closed", "closed", "", "menu", "", "", "2017-08-01 13:40:42", "2017-08-01 13:40:42", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=161", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("167", "1", "2015-06-09 02:52:41", "2015-06-09 02:52:41", "<h2>Buck\'s Famous Stix</h2>\r\nAdd bacon, banana peppers, or jalapeños to your stix–$1.00 each\r\n\r\n<strong>Bread Stix</strong>–$3.99\r\n<em>12 per order, covered with butter &amp; spices.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>12 per order, with icing.</em>\r\n\r\n<strong>Cheese Stix</strong>–$4.99\r\n<em>12 per order, covered in melted cheese.</em>\r\n<h2>Fresh Baked Sandwiches</h2>\r\n6\" $4.99, 12\" $8.99\r\n\r\n<strong>Italian</strong>\r\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, tomato and Italian dressing.</em>\r\n\r\n<strong>Vegi-Delite\r\n</strong><em>A garden fresh delight with mushrooms, onion, green pepper, black olives, green olives, and sliced tomato and covered in mozzarella cheese.</em><strong>\r\n</strong>\r\n\r\n<strong>Steak\r\n</strong><em>Real marinated, chipped USDA choice steak, mushrooms, onions, and green peppers smothered in mozzarella cheese. Topped with lettuce and tomato &amp; with your choice of dressing.</em>\r\n\r\n<strong>CBS</strong>\r\n<em>Cheddar, bacon &amp; real marinated USDA choice steak.</em>\r\n\r\n<strong>Turkey Club</strong>\r\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Baked Ham</strong>\r\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\r\n\r\n<strong>Turkey</strong>\r\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Buffalo Chicken</strong>\r\n<em>Buck’s boneless wings tossed in your choice of wing sauce, covered in melted mozzarella cheese, and topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>\r\n<em>Delicious chicken covered in melted cheddar and sizzling bacon. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Meatball Classic</strong>\r\n<em>Meatballs covered in Buck’s blended pasta sauce, and plenty of melted mozzarella &amp; parmesan.</em>\r\n<h2>Salads</h2>\r\nDressings: Blue Cheese, Ranch, Caesar, Italian, Greek, Thousand Island\r\n\r\n<strong>Caesar Salad</strong>–sm. $3.99, lg. $6.49\r\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $4.99, lg. $7.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\r\n\r\n<strong>Spinach Salad</strong>–sm. $5.49, lg. $8.49\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\r\n\r\n<strong>Chef Salad</strong>–sm. $5.49, lg. $8.49\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\r\n\r\n<strong>Chicken Tender Salad</strong>–sm. $5.49, lg. $8.49\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\r\n\r\n<strong>Garden Salad</strong>–sm. $3.99, lg. $6.49\r\n<em>Romaine lettuce, cucumbers, red onion and tomato.</em>\r\n\r\n<strong>Greek Salad</strong>–sm. $5.49, lg. $8.49\r\n<em>Romaine lettuce, red onion, black olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n<h2>Tenders, Wings and Boneless Wings</h2>\r\nAdd blue cheese, ranch or any extra sauce–75¢ each\r\n<h3>13 Sauce Flavors</h3>\r\n<ul>\r\n	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\r\n	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\r\n	<li><strong>Jamaican Jerk</strong>–Unique and rich island flavor.</li>\r\n	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\r\n	<li><strong>Teriyaki</strong>–Smooth, salty, sweet…addictive.</li>\r\n	<li><strong>Thai</strong>–A little soy, a little fruit, a pinch of onion, a ton of flavor.</li>\r\n	<li><strong>Lemon Pepper</strong>–That spicy buttery lemon flavor.</li>\r\n	<li><strong>Garlic Parmesan</strong>–Cheesy, garlicky and buttery all wrapped in one.</li>\r\n</ul>\r\n<h3>Boneless Wings</h3>\r\nBreaded chicken tender bites tossed in your favorite lip-smackin’ wing sauce.\r\n<ul>\r\n	<li>Order of 10 (1 flavor)–$6.49</li>\r\n	<li>Order of 15 (1 flavor)–$8.49</li>\r\n	<li>Order of 20 (up to 2 flavors)–$10.99</li>\r\n	<li>Order of 25 (up to 2 flavors)–$13.49</li>\r\n</ul>\r\n<h3>Chicken Wings</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n<ul>\r\n	<li>Order of 5–$4.99</li>\r\n	<li>Order of 10–$7.99</li>\r\n	<li>Order of 15–$10.99</li>\r\n	<li>Order of 20–$13.99</li>\r\n	<li>Order of 25–$17.49</li>\r\n	<li>Order of 50–$33.49</li>\r\n	<li>Order of 100–$59.99</li>\r\n</ul>\r\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\r\n<ul>\r\n	<li>Personal 6” (2 slices)–$3.99</li>\r\n	<li>Small 10” (4 slices)–$4.99</li>\r\n	<li>Medium 12” (6 slices)–$6.99</li>\r\n	<li>Large 14” (8 slices)–$8.99</li>\r\n	<li>X-Large 16” (12 slices)–$11.24</li>\r\n	<li>BellyBuster 12” x 24” (21 Slices)–$14.99</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\n50¢ each per Personal &amp; Small, $1.00 each per Medium, $1.50 each per Large, $1.75 each per X-Large, $2.00 each per Belly Buster\r\n<ul>\r\n	<li>Pepperoni</li>\r\n	<li>Ham</li>\r\n	<li>Mushrooms</li>\r\n	<li>Bacon</li>\r\n	<li>Spanish onions</li>\r\n	<li>Anchovies</li>\r\n	<li>Red onions</li>\r\n	<li>Hard Salami</li>\r\n	<li>Green pepper</li>\r\n	<li>Fresh Basil</li>\r\n	<li>Sausage</li>\r\n	<li>Minced garlic</li>\r\n	<li>Green olives</li>\r\n	<li>Fresh spinach</li>\r\n	<li>Black olives</li>\r\n	<li>Pepperoncinis</li>\r\n	<li>Pineapple</li>\r\n	<li>Canadian bacon</li>\r\n	<li>Jalapeños</li>\r\n	<li>Banana peppers</li>\r\n	<li>Roasted red peppers</li>\r\n	<li>Roma tomatoes</li>\r\n	<li>Ground beef</li>\r\n	<li>Kalamata olives</li>\r\n	<li>Fried onions</li>\r\n	<li>Fried sweet peppers with onions</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\n$1.00 each per Personal, $1.50 each per Small, $2.25 each per Medium, $3.00 each per Large, $3.75 each per X-Large, $4.00 each per Belly Buster\r\n<ul>\r\n	<li>Artichoke hearts</li>\r\n	<li>Fresh mozzarella</li>\r\n	<li>Chicken</li>\r\n	<li>Hot sopressata</li>\r\n	<li>USDA choice steak</li>\r\n	<li>Prosciutto</li>\r\n	<li>Alfredo sauce</li>\r\n</ul>\r\n<h3>Extra Cheese</h3>\r\n50¢ each per Personal, 75¢ each per Small 9”, $1.15 each per Medium 12”, $1.60 each per Large 14”, $1.90 each per X-Large 16”,$2.00 each per Belly Buster\r\n<h2>Specialty Pizzas &amp; Strombolis</h2>\r\n<h3>Superfino</h3>\r\n<strong>Buck\'s Deluxe</strong>–ps. $5.49, sm. $6.69, md. $9.99, lg. $12.69, xl. $15.99\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n\r\n<strong>5 Meat</strong>–ps. $5.49, sm. $6.69, md. $9.99, lg. $12.69, xl. $15.99\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n\r\n<strong>BBQ Chicken</strong>–ps. $5.49, sm. $6.69, md. $9.99, lg. $12.69, xl. $15.99\r\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, mozzarella and aged cheddar.</em>\r\n\r\n<strong>Vegi-Delite</strong>–ps. $5.49, sm. $6.69, md. $9.99, lg. $12.69, xl. $15.99\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\r\n\r\n<strong>Chicken Club (White Pizza)</strong>–ps. $5.49, sm. $6.69, md. $9.99, lg. $12.69, xl. $15.99\r\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, Canadian bacon, red onion and bacon.</em>\r\n\r\n<strong>Greek (White Pizza)</strong>–ps. $5.49, sm. $6.69, md. $9.99, lg. $12.69, xl. $15.99\r\n<em>A light garlic sauce, mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\r\n\r\n<strong>Margherita (White Pizza)</strong>–ps. $5.49, sm. $6.69, md. $9.99, lg. $12.69, xl. $15.99\r\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n<h3>Bravo</h3>\r\n<strong>4 Cheese Medley</strong>–ps. $4.49, sm. $5.99, md. $8.49, lg. $10.69, xl. $12.99\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\r\n\r\n<strong>CBH Special</strong>–ps. $4.49, sm. $5.99, md. $8.49, lg. $10.69, xl. $12.99\r\n<em>Everything is better with bacon and this proves it. smoked ham, melted aged cheddar and sizzling bacon. Mmm good!</em>\r\n\r\n<strong>Italian (White Pizza)</strong>–ps. $4.49, sm. $5.99, md. $8.49, lg. $10.69, xl. $12.99\r\n<em>Garlic sauce, hard salami, smoked ham, fresh onions, green peppers and lots of mozzarella. The flavor really pops with the oven-baked hard salami!</em>\r\n<h3>Favorito</h3>\r\n<strong>Old World (White Pizza)</strong>–ps. $3.79, sm. $5.49, md. $7.49, lg. $9.79, xl. $12.49\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>–ps. $3.79, sm. $5.49, md. $7.49, lg. $9.79, xl. $12.49\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\r\n\r\n<strong>Hawaiian</strong>–ps. $3.79, sm. $5.49, md. $7.49, lg. $9.79, xl. $12.49\r\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\r\n\r\n<strong>Pepperoni Classic</strong>–ps. $3.79, sm. $5.49, md. $7.49, lg. $9.79, xl. $12.49\r\n<em>America\'s favorite pizza with an edge to edge layer of pepperoni and extra mozzarella cheese.</em>\r\n\r\n<strong>Sausage Classic</strong>–ps. $3.79, sm. $5.49, md. $7.49, lg. $9.79, xl. $12.49\r\n<em>Wake up your taste buds with lots of sausage and extra mozzarella.</em>\r\n\r\n<strong>Ham and Cheese</strong>–ps. $3.79, sm. $5.49, md. $7.49, lg. $9.79, xl. $12.49\r\n<em>What could be simpler or more delicious than smoked ham and melted mozzarella and aged cheddar?</em>\r\n<h3>Magnifico</h3>\r\n<strong>Steak \'N Cheese (White Pizza)</strong>–ps. $6.49, sm. $7.99, md. $11.99, lg. $15.49, xl. $19.99\r\n<em>Our special light garlic sauce topped with real marinated chipped USDA choice steak, onions, green peppers, mushrooms and extra mozzarella cheese.</em>\r\n\r\n<strong>Spinach Alfredo</strong>–ps. $6.49, sm. $7.99, md. $11.99, lg. $15.49, xl. $19.99\r\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon and lots of mozzarella.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–ps. $6.49, sm. $7.99, md. $11.99, lg. $15.49, xl. $19.99\r\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with 100% mozzarella cheese.</em>\r\n\r\n<strong>Wild Buck</strong>–ps. $6.49, sm. $7.99, md. $11.99, lg. $15.49, xl. $19.99\r\n<em>If you order ‘everything-but-the-fish’ this is what you’ll get. Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives and extra mozzarella...it’s wild!</em>\r\n<h2>Pasta Dishes</h2>\r\n<strong>Spaghetti &amp; Meatballs–</strong>sm. $4.99, lg. $7.99\r\n<em>A generous portion of spaghetti topped with meatballs and the best tomato pasta sauce you will find anywhere.</em>\r\n\r\n<strong>Fettuccine Alfredo</strong>–sm. $5.99, lg. $8.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–sm. $7.99, lg. $10.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce and with tender strips of grilled chicken.</em>\r\n<h2>Sweet Treats</h2>\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar &amp; served with icing</em>\r\n<h2>Beverages</h2>\r\n<strong>Coke Products</strong>–2 lt. $2.49, 16 oz. $1.39", "Menu", "", "publish", "closed", "closed", "", "menu", "", "", "2017-08-01 15:19:04", "2017-08-01 15:19:04", "", "70", "http://spartanmedia.com/DEV/BUCKS/?page_id=167", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("175", "1", "2015-06-09 02:53:33", "2015-06-09 02:53:33", "<h2>Buck\'s Famous Stix</h2>\r\nAdd bacon or jalapeños to your stix–$1.00 each\r\nAdd extra cheese–$1.29\r\n\r\n<strong>Bread Stix</strong>–$3.99\r\n<em>12 per order, covered with butter and spices.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>12 per order, with icing.</em>\r\n\r\n<strong>Cheese Stix</strong>–$4.99\r\n<em>12 per order, with dipping sauce.</em>\r\n<h2>Starters</h2>\r\n<strong>Basket of fries</strong>–$3.99\r\n\r\n<strong>Loaded fries with cheddar cheese and sizzling bacon</strong>–$5.99\r\n\r\n<strong>Fries Mozzarella sticks with dipping sauce</strong>–$3.99\r\n<h2>Oven Baked Sandwiches</h2>\r\nWith chips and a drink: $6.99\r\nSandwich only: $4.99\r\n\r\n<strong>Baked Ham</strong>–<em>Ham, melted provolone cheese, onions, lettuce, and tomato.</em>\r\n\r\n<strong>Turkey</strong>–<em>Sliced turkey breast, melted provolone cheese, lettuce, and tomato.</em>\r\n\r\n<strong>Turkey Club</strong>–<em>Turkey, bacon, ham, melted provolone cheese, green peppers, lettuce, and tomato.</em>\r\n\r\n<strong>Italian</strong>–<em>Ham, hard salami, melted provolone cheese, onion, green peppers, lettuce, tomato, and Italian dressing.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–<em>Buck’s boneless wings tossed in your choice of wing sauce, covered in melted provolone cheese, and topped with lettuce and tomato.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–C<em>hicken fajita, cheddar cheese, and bacon, topped with lettuce and tomato, and ranch dressing on the side.</em>\r\n\r\n<strong>Steak</strong>–<em>USDA choice chopped steak and bacon, mushrooms, onions, and green peppers smothered in provolone cheese. Topped with lettuce and tomato.</em>\r\n\r\n<strong>CBS</strong>–<em>USDA choice chopped steak and bacon, topped with lots of cheddar cheese</em><em>.</em>\r\n\r\n<strong>Vegi-Delite</strong>–<em>Mushrooms, onion, green pepper, black olives, green olives, sliced tomato and provolone cheese.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–<em>Buck’s delicious boneless chicken baked with our delicious marinara sauce and smothered in melted provolone.</em>\r\n\r\n<strong>Meatball Marinara–</strong><em>Meatballs baked with our delicious marinara sauce and provolone cheese.</em>\r\n<h2>Salads</h2>\r\nDressings: Blue Cheese, Ranch, Caesar, Vinaigrette, Italian, Greek.\r\n\r\n<strong>Garden Salad</strong>–sm. $3.99, lg. $6.49\r\n<em>Romaine lettuce, cucumbers, red onion and tomato.</em>\r\n\r\n<strong>Caesar Salad</strong>–sm. $3.99, lg. $6.49\r\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $4.99, lg. $7.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\r\n\r\n<strong>Mediterranean Salad</strong>–sm. $4.99, lg. $7.99\r\n<em>Romaine lettuce, spinach, cucumbers, tomatoes and parmesan cheese, tossed in our in-house vinaigrette.</em>\r\n\r\n<strong>Spinach Salad</strong><em>–sm. $5.49, lg. $8.99\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions, tomato, bacon and feta cheese.</em></em>\r\n\r\n<strong>Chef Salad</strong>–sm. $5.49, lg. $8.99\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\r\n\r\n<strong>Chicken Tender Salad</strong>–sm. $5.49, lg. $8.99\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\r\n\r\n<strong>Greek Salad</strong>–sm. $5.49, lg. $8.99\r\n<em>Romaine lettuce, red onion, black olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n<h2>Tenders, Wings and Boneless Wings</h2>\r\nAdd blue cheese, ranch or any extra sauce–75¢ each\r\n<h3>Sauces</h3>\r\n<ul>\r\n 	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n 	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n 	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n 	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n 	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n 	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\r\n 	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\r\n 	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\r\n 	<li><strong>Teriyaki</strong>–Smooth, salty, sweet…addictive.</li>\r\n 	<li><strong>Lemon Pepper</strong>–That spicy buttery lemon flavor.</li>\r\n 	<li><strong>Garlic Parmesan</strong>–Cheesy, garlicky and buttery all wrapped in one.</li>\r\n</ul>\r\n<h3>Boneless Wings</h3>\r\nBreaded chicken tender bites tossed in your favorite lip-smackin’ wing sauce.\r\n<ul>\r\n 	<li>Order of 5–$3.99</li>\r\n 	<li>Order of 10–$6.74</li>\r\n 	<li>Order of 15–$9.99</li>\r\n 	<li>Order of 20–$12.49</li>\r\n 	<li>Order of 25–$16.74</li>\r\n 	<li>Order of 30–$18.99</li>\r\n</ul>\r\n<h3>Chicken Wings (Jumbo)</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n*Includes 1 dipping sauce per 10 wings.\r\n<ul>\r\n 	<li>Order of 5–$5.74</li>\r\n 	<li>Order of 10–$8.74</li>\r\n 	<li>Order of 15–$13.49</li>\r\n 	<li>Order of 20–$16.49</li>\r\n 	<li>Order of 25–$21.99</li>\r\n 	<li>Order of 30–$26.99</li>\r\n</ul>\r\n<h3>Chicken Tenders</h3>\r\nFried chicken tenders with your choice of dipping sauce on the side.\r\nExtra digging sauces or dressings $.75 each.\r\n<ul>\r\n 	<li>Order of 4–$5.49</li>\r\n 	<li>Order of 8–$8.99</li>\r\n 	<li>Order of 12–$13.99</li>\r\n</ul>\r\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\r\n[table id=1 /]\r\n<h3>Meats</h3>\r\n<ul>\r\n 	<li>Pepperoni</li>\r\n 	<li>Ham</li>\r\n 	<li>Bacon</li>\r\n 	<li>Salami</li>\r\n 	<li>Italian Sausage</li>\r\n 	<li>Canadian bacon</li>\r\n 	<li>Ground beef</li>\r\n</ul>\r\n<h3>Veggies</h3>\r\n<ul>\r\n 	<li>Mushrooms</li>\r\n 	<li>White onions</li>\r\n 	<li>Red onions</li>\r\n 	<li>Green peppers</li>\r\n 	<li>Black olives</li>\r\n 	<li>Green olives</li>\r\n 	<li>Jalapenos</li>\r\n 	<li>Fresh basil</li>\r\n 	<li>Tomatoes</li>\r\n 	<li>Fresh spinach</li>\r\n 	<li>Banana peppers</li>\r\n</ul>\r\n<h3>Other toppings</h3>\r\n<ul>\r\n 	<li>Pineapple</li>\r\n 	<li>Extra mozzarella</li>\r\n 	<li>Cheddar cheese</li>\r\n 	<li>Feta cheese</li>\r\n 	<li>Alfredo sauce</li>\r\n 	<li>Anchovies</li>\r\n</ul>\r\n<h3>Premium toppings</h3>\r\n<ul>\r\n 	<li>Artichoke hearts</li>\r\n 	<li>Chicken</li>\r\n 	<li>Steak</li>\r\n</ul>\r\n<h2>Specialty Pizzas &amp; Strombolis</h2>\r\n<h3>Favorito</h3>\r\nsm. $6.24, md. $9.24, lg. $10.49, xl. $13.49\r\n\r\n<strong>Hawaiian</strong>\r\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\r\n\r\n<strong>Old World (White Pizza)</strong>\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\r\n<h3>Superfino</h3>\r\nsm. $8.49, md. $12.99, lg. $14.99, xl. $18.74\r\n\r\n<strong>Italian (White Pizza)\r\n</strong><em>Garlic sauce, hard salami, smoked ham, fresh onions, green peppers, and lots of mozzarella. The flavor really pops with the oven-baked hard salami!</em>\r\n\r\n<strong>Margherita (White Pizza)\r\n</strong><em>Our light garlic sauce with sliced roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n\r\n<strong>Chicken Club (White Pizza)\r\n</strong><em>A light garlic sauce and mozzarella cheese with chunks of grilled chicken, Canadian bacon, red onion, and bacon.</em>\r\n\r\n<strong>Greek (White Pizza)\r\n</strong><em>A light garlic sauce, mozzarella, black olives, red onion, artichoke hearts, fresh tomato slices, and Feta cheese.</em>\r\n\r\n<strong>Steak \'N Cheese (White Pizza)\r\n</strong><em>Our special light garlic sauce topped with chopped steak, onions, green peppers, mushrooms, and extra mozzarella cheese.</em>\r\n\r\n<strong>Spinach Alfredo\r\n</strong><em>A creamy Alfredo sauce topped with spinach, slices of roma tomatoes, and lots of mozzarella cheese.</em>\r\n\r\n<strong>Chicken Alfredo\r\n</strong><em>Classic Alfredo sauce with grilled chicken, red onion, and real bacon, topped with 100% mozzarella cheese.</em>\r\n\r\n<strong>Buck\'s Deluxe</strong>\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n\r\n<strong>Vegi-Delite\r\n</strong><em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives &amp; sliced tomato.</em>\r\n\r\n<strong>5 Meat\r\n</strong><em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n\r\n<strong>4 Cheese Medley\r\n</strong><em>A blend of cheddar, mozzarella, Parmesan and Feta cheese. A bold and exciting flavor!</em>\r\n\r\n<strong>BBQ Chicken\r\n</strong><em>Grilled chicken tossed in our blend of BBQ and pizza sauce, with red onion, real bacon, mozzarella, and aged cheddar.</em>\r\n\r\n<strong>Buffalo Chicken\r\n</strong><em>Buffalo hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella and grilled chicken, all topped with sizzling bacon. Hang on to your hat!</em>\r\n\r\n<strong>CBH Special\r\n</strong><em>Everything is better with bacon and this proves it. Smoked ham, melted aged cheddar and sizzling bacon. Mmm...good!</em>\r\n\r\n<strong>CBS\r\n</strong><em>Melted aged cheddar, sizzling bacon, and steak. Maybe we should call this one \"heaven-on-earth.\"</em>\r\n\r\n<strong>Wild Buck</strong>\r\n\r\nIf you order ‘everything-but-the-fish’ this is what you’ll get. Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives, and extra mozzarella cheese…it’s wild!!!\r\n<h2>Pasta Dishes</h2>\r\n[table id=2 /]\r\n<h2>Dinners</h2>\r\n<strong>Chicken wings basket</strong>–$8.99\r\n<em>5 wings served w/ fries, a dipping sauce, and a drink.</em>\r\n\r\n<strong>Boneless wings basket</strong>–$7.49\r\n<em>5 boneless wings served w/ fries, a dipping sauce, and a drink.</em>\r\n<em>*Add 5 extra boneless wings for only $2.50 more.</em>\r\n\r\n<strong>Chicken tender basket</strong>–$8.99\r\n<em>4 wings served w/ fries, a dipping sauce, and a drink.</em>\r\n<h2>Sweet Treats</h2>\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar &amp; served with icing. 12 per order.</em>\r\n<h2>Beverages</h2>\r\n<strong>Coke Products</strong>–2 lt. $2.49, 16 oz. $1.79, Fountain drink $1.79", "Menu", "", "publish", "closed", "closed", "", "menu", "", "", "2017-08-01 15:40:28", "2017-08-01 15:40:28", "", "74", "http://spartanmedia.com/DEV/BUCKS/?page_id=175", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("179", "1", "2015-06-09 02:54:00", "2015-06-09 02:54:00", "<h2>Buck\'s Famous Stix</h2>\r\nAdd bacon, banana peppers, or jalapeños to your stix–sm. 50¢, lg. 75¢\r\nAdd extra cheese–sm. 75¢, lg. $1.15\r\n\r\n<strong>Bread Stix</strong>–sm. $4.99, lg. $5.99\r\n\r\n<strong>Cinnamon Stix</strong>–sm. $4.99, lg. $5.99\r\n\r\n<strong>Cheese Stix</strong>–sm. $5.49, lg. $8.24\r\n<h2>Fresh Baked Sandwiches</h2>\r\nServed on 8\" white bread.\r\n\r\n<strong>Italian</strong>–$6.99\r\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, tomato and Italian dressing.</em>\r\n\r\n<strong>Vegi-Delite</strong>–$6.99<strong>\r\n</strong><em>A garden fresh delight with mushrooms, onion, green pepper, black olives, green olives, and sliced tomato and covered in mozzarella cheese.</em><strong>\r\n</strong>\r\n\r\n<strong>Steak</strong>–$6.99<strong>\r\n</strong><em>Real marinated, chipped USDA choice steak, mushrooms, onions, and green peppers smothered in mozzarella cheese. Topped with lettuce and tomato &amp; with your choice of dressing.</em>\r\n\r\n<strong>CBS</strong>–$6.99\r\n<em>Cheddar, bacon &amp; real marinated USDA choice steak.</em>\r\n\r\n<strong>Turkey Club</strong>–$6.99\r\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Baked Ham</strong>–$6.99\r\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\r\n\r\n<strong>Turkey</strong>–$6.99\r\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–$6.99\r\n<em>Buck’s boneless wings tossed in your choice of wing sauce, covered in melted mozzarella cheese, and topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–$6.99\r\n<em>Buck’s delicious chicken tenders baked with our delicious tomato sauce and smothered in melted provolone.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–$6.99\r\n<em>Delicious chicken covered in melted cheddar and sizzling bacon. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n<h2>Salads</h2>\r\nWould you like blue cheese, anchovies, olives or another item added to your salad? Just ask your server. Dressings: Blue Cheese, Ranch, Caesar, Honey Mustard, Italian, Greek.\r\n\r\n<strong>Caesar Salad</strong>–$5.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–$8.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\r\n\r\n<strong>Spinach Salad</strong>–$8.99\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\r\n\r\n<strong>Chef Salad</strong>–$8.99\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\r\n\r\n<strong>Boneless Chicken Salad</strong>–$8.99\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\r\n\r\n<strong>Garden Salad</strong>–$5.49\r\n<em>Romaine lettuce, cucumbers, red onion and tomato.</em>\r\n\r\n<strong>Greek Salad</strong>–$8.99\r\n<em>Romaine lettuce, red onion, black olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n<h2>Wings</h2>\r\n<h3>Sauces</h3>\r\n<ul>\r\n	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\r\n	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\r\n</ul>\r\n<h3>Boneless Wings</h3>\r\nBreaded chicken tender bites tossed in your favorite lip-smackin’ wing sauce.\r\n<ul>\r\n	<li>Order of 10 (1 flavor)–$5.99</li>\r\n	<li>Order of 15 (1 flavor)–$8.24</li>\r\n	<li>Order of 20 (up to 2 flavors)–$10.49</li>\r\n	<li>Order of 25 (up to 2 flavors)–$12.79</li>\r\n</ul>\r\n<h3>Chicken Wings</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n<ul>\r\n	<li>Order of 10 (1 flavor)–$8.75</li>\r\n	<li>Order of 15 (1 flavor)–$11.99</li>\r\n	<li>Order of 20 (up to 2 flavors)–$14.99</li>\r\n	<li>Order of 25 (up to 2 flavors)–$17.99</li>\r\n</ul>\r\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\r\nWant to Make Your Own Buck\'s Pizza at Home? Try our Take \'N Bake!\r\nChoose Hand-Tossed or Deep-Dish pizza! Gluten-free is available. Ask you server.\r\n<h3>Pizza or Stromboli</h3>\r\n<ul>\r\n	<li>Small 9”–$4.99</li>\r\n	<li>Medium 12”–$6.74</li>\r\n	<li>Large 14”–$8.49</li>\r\n	<li>X-Large 16”–$11.24</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\n50¢ each per Small 9\", 75¢ each per Medium 12\", $1.00 each per Large 14\", $1.25 each per X-Large 16\"\r\n<ul>\r\n	<li>Pepperoni</li>\r\n	<li>Ham</li>\r\n	<li>Mushrooms</li>\r\n	<li>Bacon</li>\r\n	<li>Spanish onions</li>\r\n	<li>Anchovies</li>\r\n	<li>Red onions</li>\r\n	<li>Hard Salami</li>\r\n	<li>Green pepper</li>\r\n	<li>Fresh Basil</li>\r\n	<li>Sausage</li>\r\n	<li>Minced garlic</li>\r\n	<li>Green olives</li>\r\n	<li>Fresh spinach</li>\r\n	<li>Black olives</li>\r\n	<li>Pepperoncinis</li>\r\n	<li>Pineapple</li>\r\n	<li>Canadian bacon</li>\r\n	<li>Jalapeños</li>\r\n	<li>Banana peppers</li>\r\n	<li>Roma tomatoes</li>\r\n	<li>Ground beef</li>\r\n	<li>Kalamata olives</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\n$1.50 each per Small 9\", $2.25 each per Medium 12\", $3.00 each per Large 14\", $3.75 each per X-Large 16\"\r\n<ul>\r\n	<li>Artichoke hearts</li>\r\n	<li>Chicken</li>\r\n	<li>USDA choice steak</li>\r\n	<li>Prosciutto</li>\r\n	<li>Alfredo sauce</li>\r\n</ul>\r\n<h3>Extra Cheese</h3>\r\n75¢ each per Small 9”, $1.15 each per Medium 12”, $1.50 each per Large 14”, $1.95 each per X-Large 16”\r\n<ul>\r\n	<li>Extra mozzarella</li>\r\n	<li>Cheddar cheese</li>\r\n	<li>Feta cheese</li>\r\n</ul>\r\n<h2>Specialty Pizzas &amp; Strombolis</h2>\r\n<h3>Superfino</h3>\r\n<strong>Buck\'s Deluxe–</strong>sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n\r\n<strong>5 Meat</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n\r\n<strong>BBQ Chicken</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, mozzarella and aged cheddar.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>Your choice of Buck’s mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella &amp; chicken, all topped with sizzling bacon. Hang on to your hat!</em>\r\n\r\n<strong>CBS Special</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24<strong>\r\n</strong><em>Melted aged cheddar, sizzling bacon and chipped mouth watering USDA choice steak. Maybe we should call this one ‘heaven-on-earth’.</em>\r\n\r\n<strong>Vegi-Delite</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\r\n\r\n<strong>Chicken Club (White Pizza)<strong>–</strong></strong>sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, Canadian bacon, red onion and bacon.</em>\r\n\r\n<strong>Greek (White Pizza)</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>A light garlic sauce, mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>We use ranch for the sauce, pile on the mozzarella, strips of grilled chicken breast, sizzling bacon and smother it all with aged cheddar cheese.</em>\r\n\r\n<strong>Margherita (White Pizza)</strong>–sm. $5.49, md. $8.24, lg. $10.99, xl. $13.74\r\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n<h3>Bravo</h3>\r\n<strong>4 Cheese Medley</strong>–sm. $5.49, md. $8.24, lg. $10.99, xl. $13.74\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\r\n\r\n<strong>CBH Special</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>Everything is better with bacon and this proves it. smoked ham, melted aged cheddar and sizzling bacon. Mmm good!</em>\r\n\r\n<strong>Italian (White Pizza)</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>Garlic sauce, hard salami, smoked ham, fresh onions, green peppers and lots of mozzarella. The flavor really pops with the oven-baked hard salami!</em>\r\n<h3>Favorito</h3>\r\n<strong>Old World (White Pizza)–</strong>sm. $4.99, md. $6.74, lg. $8.99, xl. $11.24\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>–sm. $5.49, md. $8.24, lg. $10.99, xl. $13.74\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\r\n\r\n<strong>Hawaiian</strong>–sm. $4.99, md. $6.74, lg. $8.99, xl. $11.24\r\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\r\n\r\n<strong>Ham and Cheese</strong>–sm. $5.49, md. $8.24, lg. $10.99, xl. $13.74\r\n<em>What could be simpler or more delicious than smoked ham &amp; melted mozzarella and aged cheddar?</em>\r\n<h3>Magnifico</h3>\r\n<strong>Steak \'N Cheese (White Pizza)</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>Our special light garlic sauce topped with real marinated chipped USDA choice steak, onions, green peppers, mushrooms and extra mozzarella cheese.</em>\r\n\r\n<strong>Spinach Alfredo</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon and lots of mozzarella.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with 100% mozzarella cheese.</em>\r\n\r\n<strong>Wild Buck</strong>–sm. $7.99, md. $11.79, lg. $15.49, xl. $19.49\r\n<em>If you order ‘everything-but-the-fish’ this is what you’ll get. Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives and extra mozzarella...it’s wild!</em>\r\n<h2>Sweet Treats</h2>\r\n<strong>Cinnamon Stix</strong>–sm. $4.99, lg. $5.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar &amp; served with icing</em>\r\n<h2>Beverages</h2>\r\n<strong>Fresh Brewed Southern-Style Tea</strong>–child $1.39, adult $2.49\r\n\r\n<strong>Fountain Drinks</strong>–sm. $1.49, lg. $1.69\r\n\r\n<strong>Bottled Drinks</strong>–20 oz. $1.99, 2 liter $2.99", "Menu", "", "publish", "closed", "closed", "", "menu", "", "", "2017-08-01 15:51:04", "2017-08-01 15:51:04", "", "76", "http://spartanmedia.com/DEV/BUCKS/?page_id=179", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("185", "1", "2015-06-09 02:54:38", "2015-06-09 02:54:38", "<h2>Sides</h2>\r\n<p class=\"p1\"><strong>Wings (8 pc.)</strong>–$7.49\r\n<em>Mild, Medium, Hot, Honey BBQ or Lemon Pepper</em></p>\r\n<strong>Chicken Tenders (5 pc.)</strong>–$6.49\r\n\r\n<strong>Cheese Stix with Marinara</strong>–sm. $4.99, md. $6.99, lg. $9.99\r\n\r\n<strong>Bread Stix with Marinara</strong>–$4.99\r\n\r\n<strong>Cinnamon Stix with Icing</strong>–$4.99\r\n\r\n<strong>Pepperoni Bread with Marinara</strong>–$4.99, md. $6.99, lg. $9.99\r\n\r\n<strong>Can Coke Products</strong>–$0.85\r\n\r\n<strong>2 Liter Coke, Diet Coke or Sprite</strong>–$2.59\r\n\r\n<strong>Chips</strong>–$0.50\r\n<h2>Spaghetti (with Meatballs &amp; Garlic Bread)</h2>\r\n<strong>Spaghetti</strong>–sm. $4.99, lg.<strong> </strong>$7.99\r\n\r\n<strong>Xtra Meatball</strong>–50¢\r\n\r\n<strong>Xtra Garlic Bread</strong>–$1.00\r\n<h2>Salads</h2>\r\n<strong>Garden</strong>–sm. $4.99, lg. $6.49\r\n<em>Green leaf, cucumbers, tomato, red onion and carrots</em>\r\n\r\n<strong>Chef</strong>–sm. $5.99, lg. $8.99\r\n<em>Green leaf, cucumbers, tomato, red onion, carrots, cheddar, ham turkey and bacon</em>\r\n\r\n<strong>Caesar</strong>–sm. $4.99, lg. $6.99\r\n<em>Green leaf, Parmesan and croutons</em>\r\n\r\n<strong>Chicken Caesar</strong>–sm. $4.99, lg. $8.99\r\n<em>Green leaf, Parmesan, croutons and chicken</em>\r\n\r\n<strong>Greek Salad</strong>–sm. $5.99, lg. $10.99\r\n<em>Romaine lettuce, red onion, Kalamata olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n\r\n<strong>Spinach</strong>–sm. $5.99, lg. $8.99\r\n<em>Green leaf, cucumbers, tomato, red onion, black olives, green peppers, artichokes and feta</em>\r\n<h2><b>Stromboli (Up to 5 Toppings)</b></h2>\r\n<strong>6\"</strong>–$4.99 / <strong>9\"</strong>–$7.99 / <strong>12\"</strong>–$11.99 / <strong>Xtra Sauce</strong>–$0.50\r\n\r\n<strong>Create Your Own</strong>\r\n<em>Choose up to 5 Toppings</em>\r\n\r\n<strong>Steak</strong>\r\n<em>Steak, mushroom, onion, green pepper and cheese</em>\r\n\r\n<strong>Ham &amp; Cheese</strong>\r\n<em>Ham, mozzarella and cheddar</em>\r\n\r\n<strong>CBH</strong>\r\n<em>Cheddar, bacon and ham</em>\r\n\r\n<strong>CBS</strong>\r\n<em>Cheddar, bacon and steak</em>\r\n\r\n<strong>Meaty</strong>\r\n<em>Pepperoni, sausage, ham, beef, bacon and cheese</em>\r\n\r\n<strong>Italian</strong>\r\n<em>Ham, salami, onion, green peppers, onion and cheese</em>\r\n\r\n<strong>Veggie</strong>\r\n<em>Tomato, green peppers, onion, mushroom, black olives, green olives and cheese</em>\r\n\r\n<strong>BBQ</strong>\r\n<em>Chicken, bacon, red onion, mozzarella, cheddar and BBQ sauce</em>\r\n<h2>Oven Baked Subs</h2>\r\n6\"–$4.99, 12\"–$8.99\r\n\r\n<strong>Turkey</strong>\r\n<em>Turkey, cheese, lettuce and tomato</em>\r\n\r\n<strong>Ham</strong>\r\n<em>Ham, onion, cheese, lettuce and tomato</em>\r\n\r\n<b>CBS</b>\r\n<em>Cheddar, bacon and steak</em>\r\n\r\n<strong>Meatball</strong>\r\n<i>Meatballs, marinara, cheese and Parmesan</i>\r\n\r\n<strong>Chicken Tender</strong>\r\n<em>Chicken, cheese, lettuce and tomato</em>\r\n\r\n<strong>Steak</strong>\r\n<em>Steak, mushroom, onion, green peppers, cheese, lettuce and tomato</em>\r\n\r\n<strong>Italian</strong>\r\n<em>Ham, salami, onion, green peppers, cheese, lettuce, tomato and Italian dressing</em>\r\n\r\n<strong>Turkey Club</strong>\r\n<em>Turkey, ham, bacon, cheese, lettuce and tomato</em>\r\n\r\n<strong>Chicken Parmesan</strong>\r\n<em>Chicken, marinara and cheese</em>\r\n\r\n<strong>BBQ</strong>\r\n<em>Chicken, bacon, red onion, mozzarella, cheddar and BBQ sauce</em>\r\n\r\n<strong>CBR</strong>\r\n<em>Chicken, bacon, red onion, cheddar, ranch, lettuce and tomato</em>\r\n\r\n<strong>Veggie</strong>\r\n<i>Mushrooms, onion, green peppers, black olives, green olives, provolone, lettuce and tomato</i>\r\n<h2>Pizza</h2>\r\n<h3>Size</h3>\r\n<ul>\r\n	<li>Personal 6\"–$3.49</li>\r\n	<li>Small 9\"–$6.49</li>\r\n	<li>Medium 12\"–$9.99</li>\r\n	<li>Large 14\"–$11.99</li>\r\n	<li>X-Large 16\"–$13.99</li>\r\n	<li>Bellybuster 1\'x2\'–$17.99</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\nPersonal 6\" 55¢ each, Small 9\" $1.10 each, Medium 12\" $1.35 each, Large 14\" $1.65 each, X-Large 16\" $1.95 each, Bellybuster 1\'x2\' $2.50 each\r\n<ul>\r\n	<li>Pepperoni</li>\r\n	<li>Canadian Bacon</li>\r\n	<li>Ham</li>\r\n	<li>Ground Beef</li>\r\n	<li>Italian Sausage</li>\r\n	<li>Bacon</li>\r\n	<li>Fresh Mushrooms</li>\r\n	<li>Onions</li>\r\n	<li>Green Peppers</li>\r\n	<li>Red Onions</li>\r\n	<li>Black Olives</li>\r\n	<li>Green Olives</li>\r\n	<li>Pineapples</li>\r\n	<li>Spinach</li>\r\n	<li>Jalapeños</li>\r\n	<li>Roma Tomatoes</li>\r\n	<li>Banana Peppers</li>\r\n	<li>Extra Cheese</li>\r\n</ul>\r\n<h3>Premium Toppings (Count as Double)</h3>\r\nPersonal 6\" 55¢ each, Small 9\" $1.10 each, Medium 12\" $1.35 each, Large 14\" $1.65 each, X-Large 16\" $1.95 each, Bellybuster 1\'x2\' $2.50 each\r\n<ul>\r\n	<li>Chicken</li>\r\n	<li>Meatballs</li>\r\n	<li>Feta Cheese</li>\r\n	<li>Sun-Dried Tomatoes</li>\r\n	<li>Artichoke</li>\r\n	<li>Steak</li>\r\n</ul>\r\n<h2>Specialty Pizzas</h2>\r\n<strong>Pepperoni Classic</strong>–sm. $8.99, md. $11.99, lg. $14.99, xl. $17.49, bb. $21.99\r\n<em>Xtra pepperoni and xtra cheese</em>\r\n\r\n<strong>Sausage Classic</strong>–sm. $8.99, md. $11.99, lg. $14.99, xl. $17.49, bb. $21.99\r\n<em>Xtra sausage and xtra cheese</em>\r\n\r\n<strong>Hawaiian</strong>–sm. $8.99, md. $11.99, lg. $14.99, xl. $17.49, bb. $21.99\r\n<em>Pineapple and Canadian bacon</em>\r\n\r\n<strong>Old World</strong>–sm. $8.99, md. $11.99, lg. $14.99, xl. $17.49, bb. $21.99\r\n<i>Garlic sauce, tomatoes and bacon</i>\r\n\r\n<b>Buck\'s Deluxe</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Pepperoni, sausage, green pepper, onion and mushroom</em>\r\n\r\n<b>Bacon Cheeseburger</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Ground beef, bacon, mozzarella and cheddar</em>\r\n\r\n<b>Veggie</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Tomatoes, green pepper, onion, mushroom, black olives and green olives</em>\r\n\r\n<b>5 Meat</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Pepperoni, sausage, ground beef, ham and bacon</em>\r\n\r\n<b>Margherita</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Garlic sauce, tomatoes, fresh basil and xtra cheese</em>\r\n\r\n<b>4 Cheese Medley</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Mozzarella, cheddar, feta, and Parmesan</em>\r\n\r\n<b>Steak \'n Cheese</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Garlic butter, steak, green pepper, onion, mushroom and xtra cheese</em>\r\n\r\n<strong>4 Cheese Medley</strong>–sm. $7.39, md. $11.59, lg. $15.79, xl. $19.69\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\r\n\r\n<b>Greek</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Garlic butter, tomatoes, black olives, red onion, feta and artichokes</em>\r\n\r\n<b>Chicken Alfredo</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Alfredo sauce, chicken, bacon, red onion and xtra cheese</em>\r\n\r\n<b>Spinach Alfredo</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Alfredo sauce, spinach, tomatoes, bacon and xtra cheese</em>\r\n\r\n<b>Chicken Club</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Garlic sauce, Canadian bacon, chicken, red onion, bacon and xtra cheese</em>\r\n\r\n<b>BBQ</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Chicken, bacon, red onion, mozzarella, cheddar and BBQ sauce</em>\r\n\r\n<b>Buffalo</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Chicken, bacon, red onion, mozzarella, cheddar and hot sauce</em>\r\n\r\n<strong>Super Buck\'s Deluxe</strong>–sm. $9.99, md. $15.99, lg. $19.99, xl. $23.99, bb. $28.99\r\n<em>Pepperoni, sausage, beef, ham, green pepper, onion, mushroom and black olives</em>", "Menu", "", "publish", "closed", "closed", "", "menu", "", "", "2017-08-01 16:01:51", "2017-08-01 16:01:51", "", "40", "http://spartanmedia.com/DEV/BUCKS/?page_id=185", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("187", "1", "2015-06-09 02:54:50", "2015-06-09 02:54:50", "<h2>Sides and Stix</h2>\r\n<strong>Cheese Stix</strong>–$5.99\r\n<em>with dipping sauce.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$4.99\r\n<em>with icing.</em>\r\n\r\n<strong>Bread Stix</strong>–$4.99\r\n<em>with dipping sauce.</em>\r\n<em>extra dipping sauce–50¢</em>\r\n\r\n<strong>French Fries</strong>–sm. $1.99, lg. $2.99\r\n<em>add bacon–sm. 50<em>¢, lg. $1.00</em></em>\r\n<em>add cheese–<em>sm. 70<em>¢, lg. $1.00\r\n</em></em></em>\r\n<strong>Fried Mozzarella Stix</strong>–$4.99\r\n<em>5 per order</em>\r\n\r\n<strong>Onion Rings</strong>–$4.99\r\n\r\n<strong>Dessert Pizza</strong>–$4.99, $5.99 (seasonal items)\r\n<em>Pineapple Cream Cheese</em>\r\n<em>Apple Cinnamon</em>\r\n<em>Ask about seasonal dessert pizzas</em>\r\n\r\n<strong>Jalapeño Poppers</strong>–$5.99\r\n<em>6 per order with ranch</em>\r\n<h2>Beverages</h2>\r\n<strong>Coke Products</strong>–2 lt. $2.69, 20 oz. $1.59\r\n\r\n<strong>Sweet Tea</strong>–1/2 gal. $1.75, 1 gal. $3.00\r\n<h2>Salads</h2>\r\n<strong>Garden Salad</strong>–sm. $3.49, lg. $5.99\r\n\r\n<strong>Chef Salad</strong>–sm. $4.99, lg. $8.99\r\n\r\n<strong>Caesar Salad</strong>–sm. $3.99, lg. $6.99\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $4.99, lg. $8.99\r\n\r\n<strong>Greek Salad</strong>–sm. $4.99, lg. $8.99\r\n\r\n<strong>Spinach Salad</strong>–sm. $4.99, lg. $8.99\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $4.99, lg. $8.99\r\n\r\n<strong>Chicken Tender Salad</strong>–sm. $4.99, lg. $8.99\r\n<h2>Tenders and Wings</h2>\r\n<h3>Sauces</h3>\r\n<ul>\r\n	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\r\n	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\r\n	<li><strong>Jamaican Jerk</strong>–Unique and rich island flavor.</li>\r\n	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\r\n	<li><strong>Teriyaki</strong>–Smooth, salty, sweet…addictive.</li>\r\n</ul>\r\n<h3>Chicken Wings</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n<ul>\r\n	<li>Order of 5 (1 flavor)–$4.74</li>\r\n	<li>Order of 10 (2 flavors)–$8.89</li>\r\n	<li>Order of 15 (3 flavors)–$12.89</li>\r\n	<li>Order of 20 (3 flavors)–$15.99</li>\r\n	<li>Order of 25 (3 flavors)–$18.99</li>\r\n	<li>Order of 50 (5 flavors)–$37.49</li>\r\n	<li>Order of 100 (5 flavors)–$65.99</li>\r\n</ul>\r\n<h3>Chicken Tenders</h3>\r\nJuicy chicken tenderloins breaded and cooked to perfection.\r\n<ul>\r\n	<li>Order of 4 (1 flavor)–$4.74</li>\r\n	<li>Order of 6 (1 flavor)–$6.79</li>\r\n	<li>Order of 8 (1 flavor)–$8.49</li>\r\n	<li>Order of 12 (2 flavors)–$11.79</li>\r\n	<li>Order of 15 (3 flavors)–$13.99</li>\r\n	<li>Order of 20 (3 flavors)–$17.99</li>\r\n	<li>Order of 25 (3 flavors)–$21.49</li>\r\n	<li>Order of 50 (5 flavors)–$38.99</li>\r\n	<li>Order of 100 (5 flavors)–$72.99</li>\r\n</ul>\r\n<strong>Chicken Tender Basket with Fries</strong> (toppings on fries extra)–sm. $5.99, lg. $10.99\r\n<h3>Boneless Wings</h3>\r\nGet your tenders tossed in your favorite lip-smackin\' sauces.\r\n<ul>\r\n	<li>Order of 4 (1 flavor)–$4.74</li>\r\n	<li>Order of 6 (1 flavor)–$6.79</li>\r\n	<li>Order of 8 (1 flavor)–$8.49</li>\r\n	<li>Order of 12 (2 flavors)–$11.79</li>\r\n	<li>Order of 15 (3 flavors)–$13.99</li>\r\n	<li>Order of 20 (3 flavors)–$17.99</li>\r\n	<li>Order of 25 (3 flavors)–$21.49</li>\r\n	<li>Order of 50 (5 flavors)–$38.99</li>\r\n	<li>Order of 100 (5 flavors)–$72.99</li>\r\n</ul>\r\n<h2>Hoagies</h2>\r\nOven-baked and served on a hoagie roll.\r\n\r\n<strong>Steak</strong>–6\" $4.74, 12\" $8.99\r\n<em>Steak, mushrooms, onions, melted cheese, lettuce and tomato.</em>\r\n\r\n<strong>Turkey Club</strong>–6\" $4.74, 12\" $8.99\r\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Italian–</strong>6\" $4.74, 12\" $8.99\r\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, tomato and Italian dressing.</em>\r\n\r\n<strong>Baked Ham</strong>–6\" $4.74, 12\" $8.99\r\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\r\n\r\n<strong>CBS</strong>–6\" $4.74, 12\" $8.99\r\n<em>Cheddar, bacon and steak.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–6\" $4.74, 12\" $8.99\r\n<em>Choice of grilled or fried chicken strips, topped with melted Mozzarella, Parmesan and a side of marinara.</em>\r\n\r\n<strong>Turkey</strong>–6\" $4.74, 12\" $8.99\r\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Chicken Tender</strong>–6\" $4.74, 12\" $8.99\r\n<em>Chicken tenders, melted cheese, lettuce and tomato.</em>\r\n<h2>Stromboli</h2>\r\npersonal $3.99, sm. 9\" $7.49, md. 12\" $11.99, lg. 14\" $14.99, xl. 16\" $18.49\r\n\r\nExtra dipping sauce 50¢\r\n\r\n<strong>Buck’s Pizza</strong><strong>\r\n</strong><em>Hand-tossed dough, Buck’s delicious pizza sauce &amp; 100% real cheese, add any of our pizza toppings at no extra charge. We fold it, top it with butter &amp; seasonings &amp; bake it.</em>\r\n\r\n<strong>Steak</strong><strong>\r\n</strong><em>Real marinated chipped steak, mushrooms, onions, green peppers and lots of mozzarella.</em>\r\n\r\n<strong>Ham &amp; Cheese</strong><strong>\r\n</strong><em>Baked ham, mozzarella and aged Cheddar.</em>\r\n\r\n<strong>Buck\'s Deluxe</strong><strong>\r\n</strong>A hearty combination of pepperoni, onions, mushrooms, sausage and green peppers.\r\n\r\n<strong>Vegi-Delite</strong><strong>\r\n</strong><em>A delicate combination of mushrooms, onions, tomatoes, green peppers, black and green olives and Mozzarella.</em>\r\n\r\n<strong>Meaty</strong><strong>\r\n</strong><em>Pepperoni, sausage, bacon, ham, ground beef and Mozzarella.</em>\r\n\r\n<strong>Italian</strong><strong>\r\n</strong><em>Ham, Salami, Onions, Green Peppers and Mozzarella.</em>\r\n\r\n<strong>CBS Special</strong><strong>\r\n</strong><em>Cheddar, bacon and steak.</em>\r\n<h2>Specialty Pizzas #1</h2>\r\n<strong>Pepperoni Classic</strong>–ps. $4.09, sm. $7.49, md. $11.99, lg. $14.99, xl. $17.49, bb. $20.99\r\n<em>An edge to edge layer of pepperoni &amp; extra mozzarella cheese.</em>\r\n\r\n<strong>Sausage Classic</strong>–ps. $4.09, sm. $7.49, md. $11.99, lg. $14.99, xl. $17.49, bb. $20.99\r\n<em>Wake up your taste buds with lots of sausage and extra mozzarella.</em>\r\n\r\n<strong>Hawaiian</strong>–ps. $4.09, sm. $7.49, md. $11.99, lg. $14.99, xl. $17.49, bb. $20.99\r\n<em>Generous portions of pineapple and Canadian bacon.</em>\r\n\r\n<strong>Old World (White Pizza)</strong>–ps. $4.09, sm. $7.49, md. $11.99, lg. $14.99, xl. $17.49, bb. $20.99\r\n<em>Our light garlic sauce, topped with Mozzarella, bacon &amp; sliced tomato.</em>\r\n<h2>Specialty Pizzas #2</h2>\r\n<strong>Buck\'s Deluxe</strong>–ps. $4.79, sm. $8.49, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>–ps. $4.79, sm. $8.49, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged Cheddar.</em>\r\n\r\n<strong>Vegi-Delite</strong>–ps. $4.79, sm. $8.49, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\r\n\r\n<strong>5 Meat</strong>–ps. $4.79, sm. $8.49, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n\r\n<strong>4 Cheese Medley</strong>–ps. $4.79, sm. $8.49, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>A bold blend of Cheddar, Mozzarella, Parmesan &amp; Feta.</em>\r\n\r\n<strong>Margherita (White Pizza)</strong>–ps. $4.79, sm. $8.49, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–ps. $4.79, sm. $8.49, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Your choice of Buck’s mild, medium or hot wing sauce with blue cheese dressings, mozzarella, chicken &amp; bacon.</em>\r\n<h2>Specialty Pizzas #3</h2>\r\n<strong>Steak \'N Cheese (White Pizza)</strong>–ps. $5.29, sm. $9.49, md. $15.99, lg. $20.99, xl. $24.49, bb. $28.99\r\n<em>Our special light garlic sauce topped with real marinated chipped  steak, onions, green peppers, mushrooms and extra Mozzarella cheese.</em>\r\n\r\n<strong>Greek (White Pizza)</strong>–ps. $5.29, sm. $9.49, md. $15.99, lg. $20.99, xl. $24.49, bb. $28.99\r\n<em>A light garlic sauce, Mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–ps. $5.29, sm. $9.49, md. $15.99, lg. $20.99, xl. $24.49, bb. $28.99\r\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with Mozzarella cheese.</em>\r\n\r\n<strong>BBQ Chicken</strong>–ps. $5.29, sm. $9.49, md. $15.99, lg. $20.99, xl. $24.49, bb. $28.99\r\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, Mozzarella and aged Cheddar.</em>\r\n\r\n<strong>Chicken Club (White Pizza)</strong>–ps. $5.29, sm. $9.49, md. $15.99, lg. $20.99, xl. $24.49, bb. $28.99\r\n<em>A light garlic sauce and Mozzarella cheese with chunks of marinated chicken, Canadian bacon, red onion and bacon.</em>\r\n\r\n<strong>Spinach Alfredo</strong>–ps. $5.29, sm. $9.49, md. $15.99, lg. $20.99, xl. $24.49, bb. $28.99\r\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon and extra Mozzarella.</em>\r\n<h2>Build-Your-Own Pizza</h2>\r\n<h3>Cheese Pizza</h3>\r\n<ul>\r\n	<li>Personal–$3.49</li>\r\n	<li>Small–$6.49</li>\r\n	<li>Medium–$9.99</li>\r\n	<li>Large–$11.69</li>\r\n	<li>X-Large–$13.99</li>\r\n	<li>Bellybuster–$16.99</li>\r\n</ul>\r\n<h3>Regular Toppings (price per topping)</h3>\r\nPersonal 30¢, Small 50¢, Medium $1.00, Large $1.50, X-Large $1.75, Bellybuster $2.00\r\n<ul>\r\n	<li>Pepperoni</li>\r\n	<li>Mushrooms</li>\r\n	<li>Fresh onions</li>\r\n	<li>Green peppers</li>\r\n	<li>Sausage</li>\r\n	<li>Roma tomatoes</li>\r\n	<li>Ham</li>\r\n	<li>Ground beef</li>\r\n	<li>Black</li>\r\n	<li>Black olives</li>\r\n	<li>Green olives</li>\r\n	<li>Pineapple</li>\r\n	<li>Canadian bacon</li>\r\n	<li>Jalapeños</li>\r\n	<li>Extra cheese</li>\r\n	<li>Banana peppers</li>\r\n</ul>\r\n<h3>Premium Toppings (price per topping)</h3>\r\nPersonal 60¢, Small $1.00, Medium $2.00, Large $3.00, X-Large $3.50, Bellybuster $4.00\r\n<ul>\r\n	<li>Artichoke</li>\r\n	<li>Feta cheese</li>\r\n	<li>Chicken</li>\r\n	<li>Steak</li>\r\n	<li>Fresh basil</li>\r\n</ul>", "Menu", "", "draft", "closed", "closed", "", "menu", "", "", "2019-06-05 13:31:09", "2019-06-05 13:31:09", "", "62", "http://spartanmedia.com/DEV/BUCKS/?page_id=187", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("191", "1", "2015-06-09 02:55:16", "2015-06-09 02:55:16", "<h2>Buck\'s Famous Stix</h2>\r\nAdd bacon, banana peppers, or jalapeños to your stix–80¢ each, add extra cheese–$1.20\r\n\r\n<strong>Bread Stix</strong>–$2.99\r\n<em>12 per order, covered with butter and spices.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>12 per order, with icing</em>\r\n\r\n<strong>Cheese Stix</strong>–$3.99\r\n<em>12 per order, covered in melted cheese.</em>\r\n<h2>Fresh Baked Sandwiches</h2>\r\nServed on a fresh baked Italian Ciabatta bread roll. If you would like extra meat, please ask your server. Dressings: Italian, Ranch, Blue Cheese, Mayo and more. Just ask!\r\n\r\n<strong>Italian</strong>–sm. $4.99, lg. $7.49\r\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, and tomato and Italian dressing.</em>\r\n\r\n<strong>Vegi-Delite</strong>–sm. $3.99, lg. $7.49\r\n<em>A garden fresh delight with mushrooms, onion, green pepper, black olives, green olives, and sliced tomato and covered in provolone.</em>\r\n\r\n<strong>Steak</strong>–sm. $3.99, lg. $7.49\r\n<em>Real marinated, chipped USDA choice steak, mushrooms, onions, and green peppers smothered in provolone. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>CBS</strong>–sm. $3.99, lg. $7.49\r\n<em>Cheddar, bacon and real marinated USDA choice steak.</em>\r\n\r\n<strong>Turkey Club</strong>–sm. $3.99, lg. $7.49\r\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Baked Ham</strong>–sm. $3.99, lg. $7.49\r\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\r\n\r\n<strong>Turkey</strong>–sm. $3.99, lg. $7.49\r\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–sm. $3.99, lg. $7.49\r\n<em>Buck\'s boneless wings tossed in your choice of wing sauce, covered in melted provolone, and topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–sm. $4.99, lg. $8.49\r\n<em>Buck\'s delicious chicken tenders baked with our delicious tomato sauce and smothered in melted provolone.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–sm. $4.99, lg. $8.49\r\n<em>Delicious chicken covered in melted cheddar and sizzling bacon. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Meatball</strong>–sm. $3.99, lg. $7.49\r\n<em>Meatballs, pasta sauce, and melted mozzarella.</em>\r\n<h2>Salads</h2>\r\nWould you like blue cheese, anchovies, olives or another item added to your salad? Just ask your server. Dressings: Blue Cheese, Ranch, Fat Free Ranch, Caesar, Honey Mustard, Fat Free Raspberry Vinaigrette, Fat Free Italian, Italian, Greek, French\r\n\r\n<strong>Caesar Salad</strong>–sm. $4.49, lg. $7.49\r\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $5.49, lg. $9.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\r\n\r\n<strong>Spinach Salad</strong>–sm. $4.99, lg. $7.49\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\r\n\r\n<strong>Chef Salad</strong>–sm. $4.99, lg. $7.49\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\r\n\r\n<strong>Chicken Tender Salad</strong>–sm. $5.99, lg. $7.49\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\r\n\r\n<strong>Garden Salad</strong>–sm. $4.49, lg. $7.49\r\n<em>Romaine lettuce, cucumbers, red onion and tomato.</em>\r\n\r\n<strong>Greek Salad</strong>–sm. $5.99, lg. $7.49\r\n<em>Romaine lettuce, red onion, Kalamata olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n<h2>Tenders, Wings and Boneless Wings</h2>\r\nAdd blue cheese, ranch or any extra sauce–99¢ each, add celery–50¢\r\n<h3>Sauces</h3>\r\n<ul>\r\n	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n	<li><strong>Honey BBQ</strong>–Bar-bee-que! This one is a honey, honey.</li>\r\n</ul>\r\n<h3>Chicken Wings</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n<ul>\r\n	<li>Order 1 lb. of wing (1 flavor)–$7.49</li>\r\n</ul>\r\n<h3>Chicken Tenders</h3>\r\nGenuine southern fried chicken tenders so lightly breaded they will melt in your mouth.\r\n<ul>\r\n	<li>Order of 4–$4.99</li>\r\n	<li>Order of 8–$9.50</li>\r\n</ul>\r\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\r\nWant to Make Your Own Buck\'s Pizza at Home? Try our Take \'N Bake!\r\n\r\nChoose Hand-Tossed or Deep-Dish pizza! Gluten-free is available! Ask your server.\r\n<h3>Pizza or Stromboli</h3>\r\n<ul>\r\n	<li>Personal (2 slices)–$3.49</li>\r\n	<li>Small 9\" (4 slices)–$5.99</li>\r\n	<li>Medium 12\" (6 slices)–$8.99</li>\r\n	<li>Large 14\" (8 slices)–$9.99</li>\r\n	<li>X-Large 16\" (12 slices)–$10.99</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\nSmall 9\" 80¢ each, Medium 12\" $1.00 each, Large 14\" $1.50 each, X-Large 16\" $1.50 each\r\n<ul>\r\n	<li>Pepperoni</li>\r\n	<li>Ham</li>\r\n	<li>Mushrooms</li>\r\n	<li>Bacon</li>\r\n	<li>Spanish onions</li>\r\n	<li>Anchovies</li>\r\n	<li>Red onions</li>\r\n	<li>Hard Salami</li>\r\n	<li>Green pepper</li>\r\n	<li>Fresh Basil</li>\r\n	<li>Sausage</li>\r\n	<li>Minced garlic</li>\r\n	<li>Green olives</li>\r\n	<li>Fresh spinach</li>\r\n	<li>Black olives</li>\r\n	<li>Pepperoncinis</li>\r\n	<li>Pineapple</li>\r\n	<li>Canadian bacon</li>\r\n	<li>Jalapeños</li>\r\n	<li>Banana peppers</li>\r\n	<li>Roasted red peppers</li>\r\n	<li>Roma tomatoes</li>\r\n	<li>Ground beef</li>\r\n	<li>Kalamata olives</li>\r\n	<li>Fried onions</li>\r\n	<li>Fried sweet peppers with onions</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\nSmall 9\" $1.00 each, Medium 12\" $1.50 each, Large 14\" $2.00 each, X-Large 16\" $2.00 each\r\n<ul>\r\n	<li>Artichoke hearts</li>\r\n	<li>Fresh mozzarella</li>\r\n	<li>Chicken</li>\r\n	<li>USDA choice steak</li>\r\n	<li>Alfredo sauce</li>\r\n</ul>\r\n<h3>Extra Cheese</h3>\r\nSmall 9\" $1.00 each, Medium 12\" $1.80 each, Large 14\" $2.40 each, X-Large 16\" $2.85 each\r\n<ul>\r\n	<li>Extra mozzarella</li>\r\n	<li>Cheddar cheese</li>\r\n	<li>Feta cheese</li>\r\n</ul>\r\n<h2>Specialty Pizzas and Strombolis</h2>\r\n<h3>Superfino</h3>\r\n<strong>Buck\'s Deluxe</strong>–sm. $7.99, md. $12.99, lg. $15.99, xl. $17.99\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n\r\n<strong>5 Meat</strong>–sm. $7.99, md. $12.99, lg. $15.99, xl. $17.99\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n\r\n<strong>BBQ Chicken</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, mozzarella and aged cheddar.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\n<em>Your choice of Buck\'s mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella and chicken, all topped with sizzling bacon. Hang on to your hat!</em>\r\n\r\n<strong>CBS Special</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\n<em>Melted aged cheddar, sizzling bacon and chipped mouth watering USDA choice steak. Maybe we should call this one \'heaven-on-earth\'.</em>\r\n\r\n<strong>Vegi-Delite</strong>–sm. $7.99, md. $12.99, lg. $15.99, xl. $17.49\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\r\n\r\n<strong>Chicken Club (White Pizza)</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, Canadian bacon, red onion and bacon.</em>\r\n\r\n<strong>Greek (White Pizza)</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\n<em>A light garlic sauce, mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\n<em>We use ranch for the sauce, pile on the mozzarella, strips of grilled chicken breast, sizzling bacon and smother it all with aged cheddar cheese.</em>\r\n\r\n<strong>Margherita (White Pizza)</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n<h3>Bravo</h3>\r\n<strong>4 Cheese Medley</strong>–sm. $7.99, md. $12.99, lg. $15.99, xl. $17.99\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\r\n\r\n<strong>CBH Special</strong>–sm. $7.99, md. $12.99, lg. $15.99, xl. $17.99\r\n<em>Everything is better with bacon and this proves it. smoked ham, melted aged cheddar and sizzling bacon. Mmm good!</em>\r\n\r\n<strong>Italian (White Pizza)</strong>–sm. $7.99, md. $12.99, lg. $15.99, xl. $17.99\r\n<em>Garlic sauce, hard salami, smoked ham, fresh onions, green peppers and lots of mozzarella. The flavor really pops with the oven-baked hard salami!</em>\r\n<h3>Favorito</h3>\r\n<strong>Old World (White Pizza)</strong>–sm. $6.99, md. $10.99, lg. $12.99, xl. $14.99\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>–sm. $6.99, md. $10.99, lg. $12.99, xl. $14.99\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\r\n\r\n<strong>Hawaiian</strong>–sm. $6.99, md. $10.99, lg. $12.99, xl. $14.99\r\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\r\n\r\n<strong>Pepperoni Classic</strong>–sm. $6.99, md. $10.99, lg. $12.99, xl. $14.99\r\n<em>America\'s favorite pizza with an edge to edge layer of pepperoni and extra mozzarella cheese.</em>\r\n\r\n<strong>Sausage Classic</strong>–sm. $6.99, md. $10.99, lg. $12.99, xl. $14.99\r\n<em>Wake up your taste buds with lots of sausage and extra mozzarella.</em>\r\n\r\n<strong>Ham and Cheese</strong>–sm. $6.99, md. $10.99, lg. $12.99, xl. $14.99\r\n<em>What could be simpler or more delicious than smoked ham and melted mozzarella and aged cheddar?</em>\r\n<h3>Magnifico</h3>\r\n<strong>Steak \'N Cheese (White Pizza)</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\n<em>Our special light garlic sauce topped with real marinated chipped USDA choice steak, onions, green peppers, mushrooms and extra mozzarella cheese.</em>\r\n\r\n<strong>Spinach Alfredo</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon and lots of mozzarella.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with 100% mozzarella cheese.</em>\r\n\r\n<strong>Wild Buck</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\nIf you order \'everything-but-the-fish\' this is what you\'ll get. Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives and extra mozzarella...it\'s wild!\r\n\r\n<strong>Primo Italiano (White Pizza)</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\nGarlic sauce, hot sopressata, prosciutto, roasted red peppers, onions, black olives and lots of mozzarella.\r\n<h2>Sweet Treats</h2>\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing.</em>\r\n<h2>Beverages</h2>\r\n<strong>20 oz. Drinks</strong>–all 20 oz. drinks are priced at $1.89.", "Menu", "", "publish", "closed", "closed", "", "menu", "", "", "2017-07-31 18:02:46", "2017-07-31 18:02:46", "", "50", "http://spartanmedia.com/DEV/BUCKS/?page_id=191", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("201", "1", "2015-06-15 13:25:57", "2015-06-15 13:25:57", "", "Bucks-Pizza-Alabaster-Alabama", "", "inherit", "closed", "closed", "", "bucks-pizza-alabaster-alabama", "", "", "2015-06-15 13:26:02", "2015-06-15 13:26:02", "", "30", "http://spartanmedia.com/DEV/BUCKS/wp-content/uploads/2015/06/Bucks-Pizza-Alabaster-Alabama.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("334", "1", "2015-08-07 20:08:50", "2015-08-07 20:08:50", "", "Order", "", "publish", "closed", "closed", "", "order", "", "", "2017-05-15 19:44:44", "2017-05-15 19:44:44", "", "0", "http://spartanmedia.com/DEV/BUCKS/?p=334", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("340", "1", "2015-08-20 13:32:46", "2015-08-20 13:32:46", "[text* Name placeholder \"Name\"]\r\n\r\n[email* Email placeholder \"Email\"]\r\n\r\n[text* Phone placeholder \"Phone\"]\r\n\r\n[textarea Questionsorcomments placeholder \"Questions or Comments\"]\r\n\r\n[text* Location placeholder \"Location\"]\r\n\r\n[submit \"Send »\"]\nMain Contact Form\njosh@buckspizza.com\nFrom: [Name] <[Email]>\r\n\r\nPhone: [Phone]\r\n\r\nQuestions or Comments: \r\n\r\n[Questionsorcomments]\r\n\r\nLocation: [Location]\njosh@buckspizza.com\nReply-To: [Name] <[Email]>\n\n\n\n\n[your-subject]\nBuck\'s Pizza <jlknauff@spartanmedia.com>\nMessage Body:\r\n[your-message]\r\n\r\n--\r\nThis e-mail was sent from a contact form on Buck\'s Pizza (http://buckspizza.com)\n[your-email]\nReply-To: jlknauff@spartanmedia.com\n\n\n\nYour message was sent successfully. Thanks.\nFailed to send your message. Please try later or contact the administrator by another method.\nValidation errors occurred. Please confirm the fields and submit it again.\nFailed to send your message. Please try later or contact the administrator by another method.\nPlease accept the terms to proceed.\nPlease fill in the required field.\nThis input is too long.\nThis input is too short.\nYour entered code is incorrect.\nNumber format seems invalid.\nThis number is too small.\nThis number is too large.\nEmail address seems invalid.\nURL seems invalid.\nTelephone number seems invalid.\nYour answer is not correct.\nDate format seems invalid.\nThis date is too early.\nThis date is too late.\nFailed to upload file.\nThis file type is not allowed.\nThis file is too large.\nFailed to upload file. Error occurred.", "Main", "", "publish", "closed", "closed", "", "contact-form-1", "", "", "2016-03-01 16:03:41", "2016-03-01 16:03:41", "", "0", "http://spartanmedia.com/DEV/BUCKS/?post_type=wpcf7_contact_form&#038;p=340", "0", "wpcf7_contact_form", "", "0");
INSERT INTO `wp_posts` VALUES("344", "1", "2015-08-20 13:48:43", "2015-08-20 13:48:43", "Would you like to own a restaurant serving fresh mouthwatering food for families to enjoy together?\r\n\r\nThen a Buck\'s Pizza franchise might be the perfect business for you! A modest investment combined with our proven business model, exciting menu, and trusted brand has enabled dozens of franchisees achieve business success on their terms while helping local families enjoy fresh, tasty food together.\r\n<blockquote>Welcome to Good Family Food. Welcome to a Better Business Opportunity. Welcome to Buck’s Pizza!</blockquote>\r\n<h2>What does it take to get started?</h2>\r\nOwning a Buck\'s Pizza franchise is easier than you might think. You don\'t even need experience in the food service industry—franchises can be awarded to individuals who demonstrate the ability to manage day-to-day operations according to the franchise program guidelines. Our corporate office provides hands-on training, assistance with restaurant design, guidance selecting and ordering equipment, and we will even assist you to arrange financing.\r\n\r\nOur support does not end once your Buck\'s Pizza franchise is up and running because we also offer ongoing support to help our franchisees continue to succeed.\r\n<h3>Franchise qualifications:</h3>\r\n<ul>\r\n	<li>Strong work ethic</li>\r\n	<li>Business acumen</li>\r\n	<li>Retail space of 1200-5000 sq. ft.</li>\r\n	<li>Investment of $163,450–$341,400</li>\r\n</ul>\r\n<h2>Interested in owning a Buck\'s Pizza Franchise?</h2>\r\nUse the form below to contact us for more information about becoming a Buck\'s Pizza franchisee.\r\n\r\n[contact-form-7 id=\"346\" title=\"Franchise\"]", "Franchise Information", "", "publish", "closed", "closed", "", "franchise-information", "", "", "2018-10-16 17:30:33", "2018-10-16 17:30:33", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=344", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("346", "1", "2015-08-20 13:46:33", "2015-08-20 13:46:33", "[text* Name placeholder \"Name\"]\r\n\r\n[email* Email placeholder \"Email\"]\r\n\r\n[text* Phone placeholder \"Phone\"]\r\n\r\n[text* City placeholder \"City\"]\r\n\r\n[text* State placeholder \"State\"]\r\n\r\n[textarea Questionsorcomments placeholder \"Questions or Comments\"]\r\n\r\n[submit \"Send »\"]\nBucks Pizza Franchise Form\njosh@buckspizza.com\nFrom: [Name] <[Email]>\r\n\r\nPhone: [Phone]\r\n\r\nAddress: [City], [State]\r\n\r\nQuestions or Comments:\r\n\r\n[Questionsorcomments]\ncampaign6356823@mail.emaximation.com\nReply-To: [Name] <[Email]>\n\n\n\n1\nBucks Pizza Franchise Form\njosh@buckspizza.com\nFrom: [Name] <[Email]>\r\n\r\nPhone: [Phone]\r\n\r\nAddress: [City], [State]\r\n\r\nQuestions or Comments:\r\n\r\n[Questionsorcomments]\njosh@buckspizza.com\nReply-To: [Name] <[Email]>\n\n\n\nYour message was sent successfully. Thanks.\nFailed to send your message. Please try later or contact the administrator by another method.\nValidation errors occurred. Please confirm the fields and submit it again.\nFailed to send your message. Please try later or contact the administrator by another method.\nPlease accept the terms to proceed.\nPlease fill in the required field.\nThis input is too long.\nThis input is too short.\nYour entered code is incorrect.\nNumber format seems invalid.\nThis number is too small.\nThis number is too large.\nEmail address seems invalid.\nURL seems invalid.\nTelephone number seems invalid.\nYour answer is not correct.\nDate format seems invalid.\nThis date is too early.\nThis date is too late.\nFailed to upload file.\nThis file type is not allowed.\nThis file is too large.\nFailed to upload file. Error occurred.", "Franchise", "", "publish", "closed", "closed", "", "main_copy", "", "", "2016-03-01 16:04:04", "2016-03-01 16:04:04", "", "0", "http://spartanmedia.com/DEV/BUCKS/?post_type=wpcf7_contact_form&#038;p=346", "0", "wpcf7_contact_form", "", "0");
INSERT INTO `wp_posts` VALUES("348", "1", "2015-08-20 13:49:09", "2015-08-20 13:49:09", " ", "", "", "publish", "closed", "closed", "", "348", "", "", "2017-05-15 19:44:44", "2017-05-15 19:44:44", "", "0", "http://spartanmedia.com/DEV/BUCKS/?p=348", "7", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("357", "1", "2015-08-27 00:46:54", "2015-08-27 00:46:54", "<h4><a href=\"http://buckspizza.com/clearfield-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Clearfield Location, Phone Number, and Online Ordering</a></h4>\r\n<h3><a href=\"http://buckspizza.com/party-paks/\" target=\"_blank\" rel=\"noopener noreferrer\">Party Paks - Pizza with Wings or Boneless Wings, Available for Dine-In or Carry-Out!</a></h3>\r\n<strong>NEW! Family Specials</strong>\r\n<h3><a href=\"http://buckspizza.com/family-specials/\" target=\"_blank\" rel=\"noopener noreferrer\">Family Specials - Choose One Pizza, then a Second Pizza, and add on Boneless Wings or Stix!</a></h3>\r\n<h3><a href=\"http://buckspizza.com/pick-a-pasta/\" target=\"_blank\" rel=\"noopener noreferrer\">Pick-A-Pasta is Back!!</a></h3>\r\n<h2>Buck\'s Famous Stix</h2>\r\nAdd bacon, banana peppers, or jalapeños to your stix–80¢ each, add extra cheese–99¢\r\n\r\n<strong>Bread Stix</strong>–$4.99\r\n<em>Add bacon, banana peppers, or jalapenos to your stix - $0.89 each</em>\r\n<em>Add extra cheese - $0.99</em>\r\n<em>12 per order, covered with butter and spices with a side of marinara.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$4.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing. 12 per order.</em>\r\n\r\n<strong>Cheese Stix</strong>–$5.99\r\n<em>12 per order, covered in melted cheese with a side of marinara.</em>\r\n<h2>Starters</h2>\r\n<strong>Ciabatta Bread Pizza</strong>-$4.99\r\n<em>Made on our fresh baked ciabatta bread.  We add pizza sauce, mozzarella and pepperoni.  It is great for sharing and quick to the table!</em>\r\n\r\n<strong>Chips and Salsa</strong>–$5.99\r\n<em>Corn Chips &amp; house-made salsa.</em>\r\n\r\n<strong>Chips and Queso Dip</strong>–$6.99\r\n<em>Corn Chips &amp; house-made queso.</em>\r\n\r\n<strong>French Fries</strong>\r\n<em>Small –$3.49 Large–$5.99</em>\r\n<em>Add  cheddar, mozzarella, roasted garlic Parmesan\r\n$.99 each/$1.49 each</em>\r\n<em>Bacon, Jalapenos or banana peppers\r\n$.49 each/$.99 each</em>\r\n\r\n<strong>Meatball Appetizer</strong>-$7.99\r\n<em>6 meatballs in pasta sauce, melted mozzarella, fried peppers &amp; freshly backed Bread Stix</em>\r\n\r\n<strong>Fried Fresh Mozzarella</strong>-$10.99\r\n<em>18 cherry-sized mozzarella balls (Ciliegine), lightly hand-breaded and served with a side of pasta sauce.</em>\r\n\r\n<strong>Fried Cheese Ravioli</strong>-$10.99\r\n<em>6 Cheese ravioli, lightly hand-breaded. Served with a side of pasta sauce</em>\r\n\r\n<strong>Fried Mushrooms</strong>-$10.99\r\n<em>A heaping serving of fresh sliced mushrooms, hand-breaded &amp; cooked to order. Served with a side of ranch dressing.</em>\r\n\r\n<strong>Sample Platter</strong>-$16.99\r\n<em>Fried cheese ravioli, fried fresh mozzarella &amp; fried sliced mushrooms served with a side pasta sauce &amp; ranch. Plenty to share!</em>\r\n<h2>Fresh Baked Sandwiches</h2>\r\nServed on a fresh baked Italian Ciabatta bread roll with french fries and a pickle. If you would like extra meat, please ask your server. Dressings: Italian, Ranch, Blue Cheese, Mayo and more. Just ask!\r\nALL SANDWICHES AVAILABLE AS WRAPS!\r\n\r\n<strong>Italian</strong>–$9.49\r\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, and tomato and Italian dressing.</em>\r\n\r\n<strong>Vegi-Delite</strong>–$8.49\r\n<em>A garden fresh delight with mushrooms, onion, green pepper, black olives, green olives, and sliced tomato and covered in provolone.</em>\r\n\r\n<strong>Steak</strong>–$9.49\r\n<em>Real marinated, chipped USDA choice steak, mushrooms, onions, and green peppers smothered in provolone. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>CBS</strong>–$9.49\r\n<em>Cheddar, bacon and real marinated USDA choice steak.</em>\r\n\r\n<strong>Turkey Club</strong>–$9.49\r\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Baked Ham</strong>–$8.49\r\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\r\n\r\n<strong>Turkey</strong>–$8.49\r\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–$11.49\r\n<em>Breaded chicken breast tossed in your choice of wing sauce, covered in melted mozzarella. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–$11.49\r\n<em>Buck\'s delicious chicken breast baked with our delicious tomato pasta sauce and smothered in melted mozzarella.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–$9.49\r\n<em>Delicious chicken covered in melted cheddar and sizzling bacon. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Meatball</strong>–$9.49\r\n<em>Meatballs, pasta sauce, and melted mozzarella.</em>\r\n\r\n<strong>Cod Fish Ciabatta</strong>–$11.49\r\n<em>lightly breaded, deliciously flaky and firm, cold water Cod fillets served with lettuce and tomato and with a side of tartar sauce.</em>\r\n<h2>Salads</h2>\r\nWould you like blue cheese, anchovies, olives or another item added to your salad? Add crumbled blue cheese to your salad for $1.99. Just ask your server. Dressings: Blue Cheese, Ranch, Fat Free Ranch, Caesar, Honey Mustard, Fat Free Raspberry Vinaigrette, Fat Free Italian, Italian, Greek, French, oil and vinegar, or Sweet &amp; Sour.\r\n**SMALL SALADS AVAILABLE AS WRAPS!\r\n\r\n<strong>Garden Salad</strong>–sm. $5.99, lg. $8.99\r\n<em>Romaine lettuce, cucumbers, red onion and tomato.</em>\r\n\r\n<strong>Chef Salad</strong>–sm. $7.49, lg. $12.99\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\r\n\r\n<strong>Chicken Tender Salad</strong>–sm. $7.49, lg. $12.99\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\r\n\r\n<strong>Caesar Salad</strong>–sm. $5.99, lg. $8.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $6.99, lg. $11.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\r\n\r\n<strong>Greek Salad</strong>–sm. $7.49, lg. $12.99\r\n<em>Romaine lettuce, red onion, Kalamata olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n\r\n<strong>Spinach Salad</strong>–sm. $7.49, lg. $12.99\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\r\n\r\n<strong>Fresh Mozzarella and Tomato Salad</strong>–sm. $6.49, lg. $10.99\r\n<em>\"Caprese Salad\" Delicious fresh roma tomato slices topped with fresh basil leaves, cherry-sized mozzarella balls (Ciliegine), and drizzled with Extra Virgin Olive Oil and Balsamic Vinegar.</em>\r\n<h2>Tenders, Wings and Boneless Wings</h2>\r\nadd blue cheese, ranch or any extra sauce–99¢ each, add celery–99¢\r\n<h3>Sauces</h3>\r\n<ul>\r\n 	<li style=\"list-style-type: none;\">\r\n<ul>\r\n 	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n 	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n 	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n 	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n 	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n 	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\r\n 	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\r\n 	<li><strong>Jamaican Jerk</strong>–Unique and rich island flavor.</li>\r\n 	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\r\n 	<li><strong>Roasted Garlic Parmesan</strong>-fresh roasted garlic &amp; lots of parmesan.</li>\r\n</ul>\r\n</li>\r\n</ul>\r\nAdd blue cheese, ranch or any extra sauce- $.99 Each\r\nAdd Celery- $.99\r\n<h3>Boneless Wings</h3>\r\nBreaded chicken tender bites tossed in your favorite lip-smackin\' wing sauce.\r\n<ul>\r\n 	<li>Order of 10 (1 flavor)–$6.59</li>\r\n 	<li>Order of 20 (up to 2 flavors)–$12.99</li>\r\n 	<li>Order of 30 (up to 3 flavors)–$18.99</li>\r\n</ul>\r\n<h3>Chicken Wings</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n<ul>\r\n 	<li>Order of 5 (1 flavor)-$6.49</li>\r\n 	<li>Order of 10 (1 flavor)–$11.49</li>\r\n 	<li>Order of 20 (up to 2 flavors)–$22.49</li>\r\n 	<li>Order of 30 (up to 3 flavors)–$32.99</li>\r\n</ul>\r\n<h3>Chicken Tenders</h3>\r\nGenuine southern fried chicken tenders so lightly breaded they will melt in your mouth. Includes 1 dipping sauce of your choice.\r\n<ul>\r\n 	<li>Order of 6–$5.99</li>\r\n 	<li>Order of 8–$7.99</li>\r\n 	<li>Order of 12–$10.99</li>\r\n 	<li>Order of 20–$16.99</li>\r\n</ul>\r\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\r\nWant to Make Your Own Buck\'s Pizza at Home? Try our Take \'N Bake!\r\n\r\nChoose Hand-Tossed or Deep-Dish pizza! Gluten-free is available for small pizzas (+$3)! Ask your server.\r\n<h3>Pizza or Stromboli</h3>\r\n<ul>\r\n 	<li>Small 9\" (4 slices of pizza/2 pieces of Stromboli)–$5.99</li>\r\n 	<li>Medium 12\" (6 slices of pizza/3 pieces of Stromboli)–$8.99</li>\r\n 	<li>Large 14\" (8 slices of pizza/4 pieces of Stromboli)–$11.99</li>\r\n 	<li>X-Large 16\" (12 slices of pizza/5 pieces of Stromboli)–$13.99</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\nSmall 9\" 89¢ each, Medium 12\" $1.29 each, Large 14\" $1.69 each, X-Large 16\" $1.99 each\r\n<ul>\r\n 	<li>Pepperoni</li>\r\n 	<li>Ham</li>\r\n 	<li>Mushrooms</li>\r\n 	<li>Bacon</li>\r\n 	<li>Spanish onions</li>\r\n 	<li>Anchovies</li>\r\n 	<li>Red onions</li>\r\n 	<li>Hard Salami</li>\r\n 	<li>Green pepper</li>\r\n 	<li>Fresh Basil</li>\r\n 	<li>Sausage</li>\r\n 	<li>Minced garlic</li>\r\n 	<li>Roasted garlic</li>\r\n 	<li>Green olives</li>\r\n 	<li>Fresh spinach</li>\r\n 	<li>Black olives</li>\r\n 	<li>Pineapple</li>\r\n 	<li>Canadian bacon</li>\r\n 	<li>Jalapeños</li>\r\n 	<li>Banana peppers</li>\r\n 	<li>Roma tomatoes</li>\r\n 	<li>Ground beef</li>\r\n 	<li>Kalamata olives</li>\r\n 	<li>Fried sweet peppers</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\nSmall 9\" $1.99 each, Medium 12\" $2.99 each, Large 14\" $3.99 each, X-Large 16\" $4.99 each\r\n<ul>\r\n 	<li>Artichoke hearts</li>\r\n 	<li>Fresh mozzarella</li>\r\n 	<li>Chicken</li>\r\n 	<li>USDA choice steak</li>\r\n</ul>\r\n<h3>Extra Cheese</h3>\r\nSmall 9\" 99¢ each, Medium 12\" $1.49 each, Large 14\" $1.99 each, X-Large 16\" $2.49 each\r\n<ul>\r\n 	<li>Mozzarella</li>\r\n 	<li>Cheddar cheese</li>\r\n 	<li>Feta cheese</li>\r\n</ul>\r\n<h2>Specialty Pizzas and Strombolis</h2>\r\n<h3>Traditional Pizza Sauce</h3>\r\n<strong>Buck\'s Deluxe</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n\r\n<strong>5 Meat</strong>–sm. $10.39, md. $15.39, lg. $20.39, xl. $23.89\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n\r\n<strong>CBS Special</strong>–sm. $9.89, md. $14.59, lg. $19.39, xl. $22.69\r\n<em>Melted aged cheddar, sizzling bacon and chipped mouth watering USDA choice steak. Maybe we should call this one \'heaven-on-earth\'.</em>\r\n\r\n<strong>Vegi-Delite</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\r\n\r\n<strong>4 Cheese Medley</strong>–sm. $8.19, md. $12.19, lg. $16.19, xl. $18.89\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\r\n\r\n<strong>CBH Special</strong>–sm. $8.69, md. $12.99, lg. $17.19, xl. $19.99\r\n<em>Everything is better with bacon and this proves it. smoked ham, melted aged cheddar and sizzling bacon. Mmm good!</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\r\n\r\n<strong>Hawaiian</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\r\n\r\n<strong>Pepperoni Classic</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>America\'s favorite pizza with an edge to edge layer of pepperoni and extra mozzarella cheese.</em>\r\n\r\n<strong>Sausage Classic</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>Wake up your taste buds with lots of sausage and extra mozzarella.</em>\r\n\r\n<strong>Ham and Cheese</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>What could be simpler or more delicious than smoked ham and melted mozzarella and aged cheddar?</em>\r\n\r\n<strong>Wild Buck</strong>–sm. $12.59, md. $18.59, lg. $24.59, xl. $28.89\r\nIf you order \'everything-but-the-fish\' this is what you\'ll get. Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives and extra mozzarella...it\'s wild!\r\n<h3>White Pizza Sauce</h3>\r\n<strong>Chicken Club</strong>–sm. $10.39, md. $15.39, lg. $20.39, xl. $23.89\r\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, Canadian bacon, red onion and bacon.</em>\r\n\r\n<strong>Greek</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>A light garlic sauce, mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\r\n\r\n<strong>Margherita</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n\r\n<strong>Italian</strong>–sm. $8.19, md. $12.19, lg. $16.19, xl. $18.89\r\n<em>Garlic sauce, hard salami, smoked ham, fresh onions, green peppers and lots of mozzarella. The flavor really pops with the oven-baked hard salami!</em>\r\n\r\n<strong>Old World</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\r\n\r\n<strong>Steak \'N Cheese</strong>–sm. $10.39, md. $15.39, lg. $20.39, xl. $23.89\r\n<em>Our special light garlic sauce topped with real marinated chipped USDA choice steak, onions, green peppers, mushrooms and extra mozzarella cheese.</em>\r\n<h3>Alfredo Sauce</h3>\r\n<strong>Spinach Alfredo</strong>–sm. $11.59, md. $17.09, lg. $22.59, xl. $26.49\r\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon and lots of mozzarella.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–sm. $11.59, md. $17.09, lg. $22.59, xl. $26.49\r\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with 100% mozzarella cheese.</em>\r\n<h3>Non-Traditional Pizza Sauce</h3>\r\n<strong>BBQ Chicken</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, mozzarella and aged cheddar.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>Your choice of Buck\'s mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella and chicken, all topped with sizzling bacon. Hang on to your hat!</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–sm. $9.89, md. $14.59, lg. $19.39, xl. $22.69\r\n<em>We use ranch for the sauce, pile on the mozzarella, strips of grilled chicken breast, sizzling bacon and smother it all with aged cheddar cheese.</em>\r\n<h2>Pasta Dinners</h2>\r\nAll of our pasta meals are served with fresh baked Bread Stix and your choice of a Garden or Ceaser Salad.\r\n\r\n<strong>great additions to your pasta</strong> Small $.50 Large $1.00\r\n<ul>\r\n 	<li>Bacon</li>\r\n 	<li>Basil</li>\r\n 	<li>Roasted Garlic</li>\r\n 	<li>Mushrooms</li>\r\n 	<li>Black Olives</li>\r\n 	<li>Tomatoes</li>\r\n 	<li>Fried Peppers</li>\r\n 	<li>Pepperoni</li>\r\n 	<li>Sausage</li>\r\n 	<li>Spinach</li>\r\n</ul>\r\n<strong>Premium additions</strong> Small $1.50 Large $3.00\r\n<ul>\r\n 	<li>Artichoke Hearts</li>\r\n 	<li>Chicken</li>\r\n 	<li>Steak</li>\r\n 	<li>Meatballs</li>\r\n</ul>\r\nOur Tomato Pasta Sauce is made with vine-ripened tomatoes and only the finest ingredients for a simple, classic Old World flavor.\r\n\r\nCustomize Your Pasta! Change any sauce &amp; any pasta on any pasta dish. Choose from: tomato pasta sauce, alfredo sauce, tomato alfredo sauce, or roasted garlic parmesan.\r\n\r\n<strong>Spaghetti</strong>–sm. $8.99, reg. $11.99\r\n<em>A generous portion of spaghetti topped with the best tomato pasta sauce you will find anywhere.</em>\r\n\r\n<strong>Spaghetti and Meatballs</strong>–sm. $10.49, reg. $14.99\r\n<em>A generous portion of spaghetti topped with meatballs and the best tomato pasta sauce you will find anywhere.</em>\r\n\r\n<strong>Fettuccine Alfredo</strong>–sm. $9.99, reg. $13.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–sm. $11.49, reg. $16.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce and with tender strips of grilled chicken.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–sm. $11.49, reg. $16.99\r\n<em>Hand-breaded chicken covered in tomato pasta sauce and melted mozzarella served over penne.</em>\r\n\r\n<strong>Cheese Ravioli</strong>–sm. $10.99, reg. $16.99\r\n<em>Rich and creamy ricotta stuffed ravioli served with tomato pasta sauce.</em>\r\n\r\n<strong>Beef Ravioli</strong>–sm. $10.99, reg. $16.99\r\n<em>Tender and delicious beef stuffed ravioli served with tomato pasta sauce.</em>\r\n<h2>Dinners</h2>\r\n<strong>Southern Fried Chicken Tenders Dinner</strong>–sm. $7.99, lg. $13.99\r\n<em>Genuine southern fried chicken tenders, french fries and a side of cole slaw.</em>\r\n\r\n<strong>Cod Fish Dinner</strong>–$14.99\r\n<em>Lightly breaded, deliciously flaky and firm, cold-water cod fillets served with french fries, a side of cole slaw and a side of tartar sauce.</em>\r\n<h2>Kid\'s Menu</h2>\r\n<strong>Hand-Tossed Pizza</strong>–$7.99\r\n<em>with one regular topping and your choice of beverage.</em>\r\n\r\n<strong>Deep Dish Pizza</strong>–$7.99\r\n<em>with one regular topping and your choice of beverage.</em>\r\n\r\n<strong>Ciabatta Bread Pizza</strong>–$5.99\r\n<em>with pepperoni and your choice of beverage.</em>\r\n\r\n<strong>Penne and Pasta Sauce</strong>–$6.49\r\n<em>and your choice of beverage.</em>\r\n\r\n<strong>4 Chicken Tenders, Apple Sauce, &amp; French Fries</strong>–$8.99\r\n<em>and your choice of beverage.</em>\r\n\r\n<b>Beverages</b>\r\n<em>Milk, Chocolate Milk, Apple Juice, Sweet Tea, Unsweet Tea, Coca-Cola Freestyle Flavors</em>\r\n<h2>Sweet Treats</h2>\r\n<strong>Cinnamon Stix</strong>–$4.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing.</em>\r\n\r\n<strong>Tiramisu</strong>-$5.99\r\n<em>Italy\'s most famous dessert, Tiramisu, \"Pick-Me-Up\" in Italian, is an elegant treat that\'s not too sweet or too filling. Start with layers of imported mascarpone cream and authentic ladyfingers, we then delicately soak them in espresso and finish with a dusting of cocoa powder.</em>\r\n\r\n<strong>Cannoli</strong>–$1.99 each, 2 for $3.79 or 4 for $6.99\r\n<em>A crisp cannoli shell stuffed with sweet and creamy filling and chocolate chips.</em>\r\n\r\n<strong>Gelato</strong>–$3.49\r\n<em>Ask for our current flavors!</em>\r\n\r\n<strong>Lemoncello Mascarpone Cake</strong>-$5.99\r\n\r\n<em>A rich combination of Sicilian lemon infused sponge cake and Italian mascarpone topped with European white chocolate curls. A refreshingly light creamy dessert with the perfect combination of sweet and tart. Served with a dollop of whipped cream.</em>\r\n\r\n<strong>Three-Layer Chocolate Cake</strong>-$5.99\r\n<em>A chocolate lover’s dream dessert! Rich three-layer chocolate cake filled and frosted with dark chocolate and fudge frosting with semi-sweet chocolate chips! Served drizzled with chocolate sauce, whipped cream, and a cherry.</em>\r\n<h2>Beverages</h2>\r\n<strong>Fresh Brewed Southern-style Tea</strong>–child  $1.39, adult  $2.79, gallon $3.99\r\n<em>Choose sweet or unsweet tea. Free refills in restaurant, same visit only.</em>\r\n\r\n<strong>Fountain Beverage</strong>–child  $1.39, adult  $2.79\r\n\r\n<strong>Beer &amp; Wine</strong>–available in-house", "Menu", "", "publish", "closed", "closed", "", "menu", "", "", "2019-10-23 16:39:30", "2019-10-23 16:39:30", "", "52", "http://spartanmedia.com/DEV/BUCKS/?page_id=357", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("362", "1", "2015-08-28 21:00:51", "2015-08-28 21:00:51", "", "bucks-entrance", "", "inherit", "closed", "closed", "", "bucks-entrance", "", "", "2015-08-28 21:03:46", "2015-08-28 21:03:46", "", "26", "http://spartanmedia.com/DEV/BUCKS/wp-content/uploads/2015/06/bucks-entrance.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("364", "1", "2015-08-28 21:02:37", "2015-08-28 21:02:37", "", "bucks-pizza", "", "inherit", "closed", "closed", "", "bucks-pizza-2", "", "", "2015-08-28 21:02:46", "2015-08-28 21:02:46", "", "26", "http://spartanmedia.com/DEV/BUCKS/wp-content/uploads/2015/06/bucks-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("409", "1", "2015-09-29 16:46:39", "2015-09-29 16:46:39", "<h2>Buck\'s Famous Stix</h2>\r\nAdd bacon or jalapeños to your stix–$1.00 each\r\nAdd extra cheese–$1.29\r\n\r\n<strong>Bread Stix</strong>–$3.99\r\n<em>12 per order, covered with butter and spices.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>12 per order, with icing.</em>\r\n\r\n<strong>Cheese Stix</strong>–$4.99\r\n<em>12 per order, with dipping sauce.</em>\r\n<h2>Starters</h2>\r\n<strong>Basket of fries</strong>–$3.99\r\n\r\n<strong>Loaded fries with cheddar cheese and sizzling bacon</strong>–$5.99\r\n\r\n<strong>Fries Mozzarella sticks with dipping sauce</strong>–$3.99\r\n<h2>Oven Baked Sandwiches</h2>\r\nWith chips and a drink: $6.99\r\nSandwich only: $4.99\r\n\r\n<strong>Baked Ham</strong>–<em>Ham, melted provolone cheese, onions, lettuce, and tomato.</em>\r\n\r\n<strong>Turkey</strong>–<em>Sliced turkey breast, melted provolone cheese, lettuce, and tomato.</em>\r\n\r\n<strong>Turkey Club</strong>–<em>Turkey, bacon, ham, melted provolone cheese, green peppers, lettuce, and tomato.</em>\r\n\r\n<strong>Italian</strong>–<em>Ham, hard salami, melted provolone cheese, onion, green peppers, lettuce, tomato, and Italian dressing.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–<em>Buck’s boneless wings tossed in your choice of wing sauce, covered in melted provolone cheese, and topped with lettuce and tomato.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–C<em>hicken fajita, cheddar cheese, and bacon, topped with lettuce and tomato, and ranch dressing on the side.</em>\r\n\r\n<strong>Steak</strong>–<em>USDA choice chopped steak and bacon, mushrooms, onions, and green peppers smothered in provolone cheese. Topped with lettuce and tomato.</em>\r\n\r\n<strong>CBS</strong>–<em>USDA choice chopped steak and bacon, topped with lots of cheddar cheese</em><em>.</em>\r\n\r\n<strong>Vegi-Delite</strong>–<em>Mushrooms, onion, green pepper, black olives, green olives, sliced tomato and provolone cheese.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–<em>Buck’s delicious boneless chicken baked with our delicious marinara sauce and smothered in melted provolone.</em>\r\n\r\n<strong>Meatball Marinara–</strong><em>Meatballs baked with our delicious marinara sauce and provolone cheese.</em>\r\n<h2>Salads</h2>\r\nDressings: Blue Cheese, Ranch, Caesar, Vinaigrette, Italian, Greek.\r\n\r\n<strong>Garden Salad</strong>–sm. $3.99, lg. $6.49\r\n<em>Romaine lettuce, cucumbers, red onion and tomato.</em>\r\n\r\n<strong>Caesar Salad</strong>–sm. $3.99, lg. $6.49\r\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $4.99, lg. $7.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\r\n\r\n<strong>Mediterranean Salad</strong>–sm. $4.99, lg. $7.99\r\n<em>Romaine lettuce, spinach, cucumbers, tomatoes and parmesan cheese, tossed in our in-house vinaigrette.</em>\r\n\r\n<strong>Spinach Salad</strong><em>–sm. $5.49, lg. $8.99\r\nBlend of romaine lettuce and spinach, black olives, cucumber, red onions, tomato, bacon and feta cheese.</em>\r\n\r\n<strong>Chef Salad</strong>–sm. $5.49, lg. $8.99\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\r\n\r\n<strong>Chicken Tender Salad</strong>–sm. $5.49, lg. $8.99\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\r\n\r\n<strong>Greek Salad</strong>–sm. $5.49, lg. $8.99\r\n<em>Romaine lettuce, red onion, black olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n<h2>Tenders, Wings and Boneless Wings</h2>\r\nAdd blue cheese, ranch or any extra sauce–75¢ each\r\n<h3>Sauces</h3>\r\n<ul>\r\n 	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n 	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n 	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n 	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n 	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n 	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\r\n 	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\r\n 	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\r\n 	<li><strong>Teriyaki</strong>–Smooth, salty, sweet…addictive.</li>\r\n 	<li><strong>Lemon Pepper</strong>–That spicy buttery lemon flavor.</li>\r\n 	<li><strong>Garlic Parmesan</strong>–Cheesy, garlicky and buttery all wrapped in one.</li>\r\n</ul>\r\n<h3>Boneless Wings</h3>\r\nBreaded chicken tender bites tossed in your favorite lip-smackin’ wing sauce.\r\n<ul>\r\n 	<li>Order of 5–$3.99</li>\r\n 	<li>Order of 10–$6.74</li>\r\n 	<li>Order of 15–$9.99</li>\r\n 	<li>Order of 20–$12.49</li>\r\n 	<li>Order of 25–$16.74</li>\r\n 	<li>Order of 30–$18.99</li>\r\n</ul>\r\n<h3>Chicken Wings (Jumbo)</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n*Includes 1 dipping sauce per 10 wings.\r\n<ul>\r\n 	<li>Order of 5–$5.74</li>\r\n 	<li>Order of 10–$8.74</li>\r\n 	<li>Order of 15–$13.49</li>\r\n 	<li>Order of 20–$16.49</li>\r\n 	<li>Order of 25–$21.99</li>\r\n 	<li>Order of 30–$26.99</li>\r\n</ul>\r\n<h3>Chicken Tenders</h3>\r\nFried chicken tenders with your choice of dipping sauce on the side.\r\nExtra digging sauces or dressings $.75 each.\r\n<ul>\r\n 	<li>Order of 4–$5.49</li>\r\n 	<li>Order of 8–$8.99</li>\r\n 	<li>Order of 12–$13.99</li>\r\n</ul>\r\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\r\n[table id=1 /]\r\n<h3>Meats</h3>\r\n<ul>\r\n 	<li>Pepperoni</li>\r\n 	<li>Ham</li>\r\n 	<li>Bacon</li>\r\n 	<li>Salami</li>\r\n 	<li>Italian Sausage</li>\r\n 	<li>Canadian bacon</li>\r\n 	<li>Ground beef</li>\r\n</ul>\r\n<h3>Veggies</h3>\r\n<ul>\r\n 	<li>Mushrooms</li>\r\n 	<li>White onions</li>\r\n 	<li>Red onions</li>\r\n 	<li>Green peppers</li>\r\n 	<li>Black olives</li>\r\n 	<li>Green olives</li>\r\n 	<li>Jalapenos</li>\r\n 	<li>Fresh basil</li>\r\n 	<li>Tomatoes</li>\r\n 	<li>Fresh spinach</li>\r\n 	<li>Banana peppers</li>\r\n</ul>\r\n<h3>Other toppings</h3>\r\n<ul>\r\n 	<li>Pineapple</li>\r\n 	<li>Extra mozzarella</li>\r\n 	<li>Cheddar cheese</li>\r\n 	<li>Feta cheese</li>\r\n 	<li>Alfredo sauce</li>\r\n 	<li>Anchovies</li>\r\n</ul>\r\n<h3>Premium toppings</h3>\r\n<ul>\r\n 	<li>Artichoke hearts</li>\r\n 	<li>Chicken</li>\r\n 	<li>Steak</li>\r\n</ul>\r\n<h2>Specialty Pizzas &amp; Strombolis</h2>\r\n<h3>Favorito</h3>\r\nsm. $6.24, md. $9.24, lg. $10.49, xl. $13.49\r\n\r\n<strong>Hawaiian</strong>\r\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\r\n\r\n<strong>Old World (White Pizza)</strong>\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\r\n<h3>Superfino</h3>\r\nsm. $8.49, md. $12.99, lg. $14.99, xl. $18.74\r\n\r\n<strong>Italian (White Pizza)\r\n</strong><em>Garlic sauce, hard salami, smoked ham, fresh onions, green peppers, and lots of mozzarella. The flavor really pops with the oven-baked hard salami!</em>\r\n\r\n<strong>Margherita (White Pizza)\r\n</strong><em>Our light garlic sauce with sliced roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n\r\n<strong>Chicken Club (White Pizza)\r\n</strong><em>A light garlic sauce and mozzarella cheese with chunks of grilled chicken, Canadian bacon, red onion, and bacon.</em>\r\n\r\n<strong>Greek (White Pizza)\r\n</strong><em>A light garlic sauce, mozzarella, black olives, red onion, artichoke hearts, fresh tomato slices, and Feta cheese.</em>\r\n\r\n<strong>Steak \'N Cheese (White Pizza)\r\n</strong><em>Our special light garlic sauce topped with chopped steak, onions, green peppers, mushrooms, and extra mozzarella cheese.</em>\r\n\r\n<strong>Spinach Alfredo\r\n</strong><em>A creamy Alfredo sauce topped with spinach, slices of roma tomatoes, and lots of mozzarella cheese.</em>\r\n\r\n<strong>Chicken Alfredo\r\n</strong><em>Classic Alfredo sauce with grilled chicken, red onion, and real bacon, topped with 100% mozzarella cheese.</em>\r\n\r\n<strong>Buck\'s Deluxe</strong>\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n\r\n<strong>Vegi-Delite\r\n</strong><em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives &amp; sliced tomato.</em>\r\n\r\n<strong>5 Meat\r\n</strong><em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n\r\n<strong>4 Cheese Medley\r\n</strong><em>A blend of cheddar, mozzarella, Parmesan and Feta cheese. A bold and exciting flavor!</em>\r\n\r\n<strong>BBQ Chicken\r\n</strong><em>Grilled chicken tossed in our blend of BBQ and pizza sauce, with red onion, real bacon, mozzarella, and aged cheddar.</em>\r\n\r\n<strong>Buffalo Chicken\r\n</strong><em>Buffalo hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella and grilled chicken, all topped with sizzling bacon. Hang on to your hat!</em>\r\n\r\n<strong>CBH Special\r\n</strong><em>Everything is better with bacon and this proves it. Smoked ham, melted aged cheddar and sizzling bacon. Mmm...good!</em>\r\n\r\n<strong>CBS\r\n</strong><em>Melted aged cheddar, sizzling bacon, and steak. Maybe we should call this one \"heaven-on-earth.\"</em>\r\n\r\n<strong>Wild Buck</strong>\r\n\r\nIf you order ‘everything-but-the-fish’ this is what you’ll get. Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives, and extra mozzarella cheese…it’s wild!!!\r\n<h2>Pasta Dishes</h2>\r\n[table id=2 /]\r\n<h2>Dinners</h2>\r\n<strong>Chicken wings basket</strong>–$8.99\r\n<em>5 wings served w/ fries, a dipping sauce, and a drink.</em>\r\n\r\n<strong>Boneless wings basket</strong>–$7.49\r\n<em>5 boneless wings served w/ fries, a dipping sauce, and a drink.</em>\r\n<em>*Add 5 extra boneless wings for only $2.50 more.</em>\r\n\r\n<strong>Chicken tender basket</strong>–$8.99\r\n<em>4 wings served w/ fries, a dipping sauce, and a drink.</em>\r\n<h2>Sweet Treats</h2>\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar &amp; served with icing. 12 per order.</em>\r\n<h2>Beverages</h2>\r\n<strong>Coke Products</strong>–2 lt. $2.49, 16 oz. $1.79, Fountain drink $1.79", "Menu", "", "publish", "closed", "closed", "", "menu-2", "", "", "2017-08-01 15:35:01", "2017-08-01 15:35:01", "", "0", "http://spartanmedia.com/DEV/BUCKS/?page_id=409", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("412", "1", "2015-09-29 19:05:51", "2015-09-29 19:05:51", "<h2>Stix and Sides</h2>\r\n*Gluten Free available\r\n\r\n<strong>Bread Stix</strong>–8 pc. $3.15, 12 pc. $4.15*\r\n\r\n<strong>Cheese Stix</strong>–8 pc. $4.20, 12 pc. $5.20*\r\n\r\n<strong>Ultimate Cheese Stix</strong>–$5.95\r\n\r\n<strong>Garlic Bread</strong>–$1.99\r\n\r\n<strong>Garlic Bread w/Cheese</strong>–$3.10\r\n\r\n<strong>Chicken Tenders</strong>–$5.89\r\n\r\n<strong>Jalapeño Poppers</strong>–$5.25\r\n\r\n<strong>French Fries</strong>–$1.55\r\n<h2>Hoagies</h2>\r\nAll hoagies topped w/lettuce and tomato excluding the CBS, Pizza, and Chicken Parmesan.\r\n\r\n<strong>Steak</strong>–$5.99<strong>\r\n</strong><em>Steak, mushrooms, onion, green pepper, and mozzarella</em>\r\n\r\n<strong>Italian</strong>–$5.99\r\n<em>Salami, ham, onion, green peppers, mozzarella and Italian dressing.</em>\r\n\r\n<strong>CBS</strong>–$5.99\r\n<em>Cheddar, bacon and steak.</em>\r\n\r\n<strong>Ham</strong>–$5.99\r\n<em>Ham, onions and mozzarella.</em>\r\n\r\n<strong>Pizza</strong>–$5.99\r\n<i>Sausage, pepperoni, mozzarella and pizza sauce.</i>\r\n\r\n<strong>Chicken Parmesan</strong>–$5.99\r\n<em>Chicken tenders, mozzarella and pizza sauce.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–$5.99\r\n<em>Chicken tenders, mozzarella and buffalo sauce.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–$5.99\r\n<em>Chicken, bacon, cheddar and ranch sauce.</em>\r\n\r\n<strong>Veggie</strong>–$5.99<strong>\r\n</strong><em>Mushroom, tomato, onion, green pepper, black and green olives, mozzarella.</em>\r\n<h2>Salads</h2>\r\nDressing: Ranch, Italian, Raspberry Vinagrette, Bleu Cheese, French, Gluten Free Dill Style, Caesar and Greek\r\n\r\n<strong>Garden</strong>–reg. $3.39, lg. $5.29\r\n<em>Tomato, cucumbers, red onion and cheddar.</em>\r\n\r\n<strong>Chef</strong>–reg. $5.39, lg. $7.29\r\n<em>Tomato, cucumber, red onion, turkey, ham, bacon and cheddar.</em>\r\n\r\n<strong>Greek</strong>–reg. $5.49, lg. $7.29\r\n<em>Tomato, cucumber, red onion, artichoke hearts, black olives and feta.</em>\r\n\r\n<strong>Caesar</strong>–reg. $5.39, lg. $7.29\r\n<em>Romaine and parmesan.</em>\r\n\r\n<strong>Chicken Caesar</strong>–reg. $6.39, lg. $8.29\r\n<em>Chicken and parmesan</em>\r\n\r\n<strong>Spinach</strong>–reg. $6.39, lg. $8.29\r\n<em>Tomato, cucumber, black olives, red onion, bacon and feta.</em>\r\n<h2>Wings</h2>\r\n<strong>10 pc. Bone-In</strong>–$6.79\r\n<em>Hot (GF), Mild (GF), BBQ, and Italian</em>\r\n\r\n<strong>10 pc. Boneless</strong>–$6.79\r\n<em>Hot, Mild, BBQ, Teriyak, Sweet Chili, Honey BBQ</em>\r\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\r\n<h3>Pizza or Stromboli</h3>\r\n<ul>\r\n	<li>Personal–$3.49</li>\r\n	<li>Small–$4.49</li>\r\n	<li>Medium–$6.99</li>\r\n	<li>Large–$8.99</li>\r\n	<li>X-Large–$11.99</li>\r\n	<li>Belly Buster–$14.99</li>\r\n	<li>Gluten Free–$13.49</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\n55¢ each per Personal, 80¢ each per Small, $1.10 each per Medium, $1.60 each per Large, $1.99 each per X-Large, $2.15 each per Belly Buster, $1.60 per Gluten Free\r\n<ul>\r\n	<li>Bacon</li>\r\n	<li>Banana peppers</li>\r\n	<li>Black olives</li>\r\n	<li>Canadian bacon</li>\r\n	<li>Diced ham</li>\r\n	<li>Basil</li>\r\n	<li>Green olives</li>\r\n	<li>Green peppers</li>\r\n	<li>Ground beef</li>\r\n	<li>Salami</li>\r\n	<li>Jalapeños</li>\r\n	<li>Mushrooms</li>\r\n	<li>Pepperoni</li>\r\n	<li>Pineapple</li>\r\n	<li>Red onions</li>\r\n	<li>Sausage</li>\r\n	<li>Tomatoes</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\n$1.75 each per Personal, $2.10 each per Small, $3.00 each per Medium, $4.20 each per Large, $5.10 each per X-Large, $5.55 each per Belly Buster, $4.20 each per Gluten Fee\r\n<ul>\r\n	<li>Alfredo sauce</li>\r\n	<li>Anchovies</li>\r\n	<li>Chicken</li>\r\n	<li>Artichoke hearts</li>\r\n	<li>Salami</li>\r\n	<li>Steak</li>\r\n</ul>\r\n<h3>Extra Cheese</h3>\r\n99¢ each per Personal, $1.20 each per Small, $1.65 each per Medium, $2.40 each per Large, $2.85 each per X-Large, $2.95 each per Belly Buster, $2.40 each per Gluten Free\r\n<h2>2-Topping Pizzas</h2>\r\n<strong>Ham and Cheese</strong>–ps. $4.89, sm. $5.89, md. $8.99, lg. $11.79, xl. $15.39, bb. $19.59\r\n<em>Diced ham, cheddar and mozzarella.</em>\r\n\r\n<strong>Pepperoni Classic</strong>–ps. $4.89, sm. $5.89, md. $8.99, lg. $11.79, xl. $15.39, bb. $19.59\r\n<em>Pepperoni and extra cheese.</em>\r\n\r\n<strong>Sausage Classic</strong>–ps. $4.89, sm. $5.89, md. $8.99, lg. $11.79, xl. $15.39, bb. $19.59\r\n<em>Sausage and extra cheese.</em>\r\n<h2>4-Topping Pizzas</h2>\r\n<strong>CBH Special</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Cheddar, bacon, ham.</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Beef, bacon, cheddar.</em>\r\n\r\n<strong>5 Meat</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Pepperoni, sausage, ham, beef, bacon.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Buffalo sauce, chicken, bacon.</em>\r\n\r\n<strong>4 Cheese Medley</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Cheddar, mozzarella, parmesan, feta.</em>\r\n\r\n<strong>Italian</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Garlic sauce, salami, ham, onion, green pepper.</em>\r\n\r\n<strong>Taco</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Seasoned beef, chips, cheddar, lettuce and tomato.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Ranch sauce, chicken, bacon, cheddar.</em>\r\n\r\n<strong>Deluxe</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Pepperoni, sausage, onion, green pepper, mushroom.</em>\r\n\r\n<strong>Chicken Club</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Garlic sauce, chicken, red onion, Canadian bacon, bacon.</em>\r\n\r\n<strong>Margherita</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Garlic sauce, tomato, pepper, fresh basil, and double extra cheese.</em>\r\n\r\n<strong>CBS Special</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Cheddar, bacon, steak.</em>\r\n\r\n<strong>Loaded Baked Potato</strong>–ps. $6.59, sm. $7.99, md. $11.99, lg. $15.99, xl. $20.49, bb. $24.59\r\n<em>Ranch or garlic sauce, pepper, potatoes, double onion, bacon, cheddar.</em>\r\n<h2>6-Topping Pizzas</h2>\r\n<strong>Wild Buck</strong>–ps. $8.74, sm. $9.74, md. $14.49, lg. $19.49, xl. $24.74, bb. $28.59\r\n<em>Pepperoni, onion, mushrooms, green peppers, sausage, diced ham, bacon, beef, black olives and extra cheese.</em>\r\n\r\n<strong>Veggie</strong>–ps. $8.74, sm. $9.74, md. $14.49, lg. $19.49, xl. $24.74, bb. $28.59\r\n<em>Tomato, mushrooms, green peppers, onions, green olives and black olives.</em>\r\n\r\n<strong>Greek</strong>–ps. $8.74, sm. $9.74, md. $14.49, lg. $19.49, xl. $24.74, bb. $28.59\r\n<em>Garlic sauce, tomato, artichokes, red onions, black olives, feta cheese.</em>\r\n\r\n<strong>Steak \'N Cheese</strong>–ps. $8.74, sm. $9.74, md. $14.49, lg. $19.49, xl. $24.74, bb. $28.59\r\n<em>Garlic sauce, steak, onions, green peppers, mushrooms, extra cheese.</em>\r\n\r\n<strong>Spinach Alfredo</strong>–ps. $8.74, sm. $9.74, md. $14.49, lg. $19.49, xl. $24.74, bb. $28.59\r\n<em>Alfredo sauce, spinach, tomato, bacon, extra cheese.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–ps. $8.74, sm. $9.74, md. $14.49, lg. $19.49, xl. $24.74, bb. $28.59\r\n<em>Alfredo sauce, chicken, red onion, bacon.</em>\r\n\r\n<strong>BBQ Chicken</strong>–ps. $8.74, sm. $9.74, md. $14.49, lg. $19.49, xl. $24.74, bb. $28.59\r\n<em>BBQ sauce, chicken, red onion, bacon, cheddar.</em>\r\n<h2>Dinners</h2>\r\n<strong>Bucksghetti</strong>–$7.99\r\n<em>Spaghetti w/3 meatballs, garlic bread, and a side salad.</em>\r\n\r\n<strong>Fettucine Alfredo</strong>–$9.49\r\n<em>Fettucine w/alfredo sauce, cheesy garlic bread, and a side salad. Add chicken for $1.00 more.</em>\r\n\r\n<strong>Fish Dinner</strong>–$9.59\r\n<em>3 pcs of cod, french fries, cole-slaw, tartar sauce, and rye bread.</em>\r\n<h2>Desserts</h2>\r\n<strong>Raspberry Cheesecake Bites</strong>–96¢\r\n\r\n<strong>Apple or Cherry Pizza</strong>–$7.99, Gluten Free–$9.99\r\n\r\n<strong>Cinnamon Stix</strong>–8 pc. $3.99, 12 pc. $4.99, Gluten Free–$8.25", "Menu", "", "inherit", "closed", "closed", "", "144-revision-v1", "", "", "2015-09-29 19:05:51", "2015-09-29 19:05:51", "", "144", "http://spartanmedia.com/DEV/BUCKS/2015/09/29/144-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("413", "1", "2015-09-29 19:09:53", "2015-09-29 19:09:53", "<h2>Sides</h2>\r\n<strong>Bread Sticks </strong><strong>(Served with Marinara Sauce)\r\n</strong><em>Plain</em>\r\n<em>with Cheese</em>\r\n<em>Add Ham, Bacon or Jalapeños</em>\r\n\r\n<strong>Taco Stix</strong>\r\n\r\n<strong>Garlic Bread</strong>\r\n<em>Plain</em>\r\n<em>with Cheese</em>\r\n\r\n<strong>Eight Wings</strong>\r\n<em>Hot, BBQ, Italian, Plain or Boneless Hot wings</em>\r\n\r\n<strong>Popcorn Chicken (8 oz.)</strong>\r\n<em>Tender Boneless White Meat Chicken</em>\r\n\r\n<strong>Dipping Sauce</strong>\r\n<em>Ranch, Blue Cheese, BBQ, Honey Mustard, Golden BBQ, Hot, </em><em>Oriental Zing or Creamy Parmesan</em><b>\r\n</b>\r\n\r\n<b>Spaghetti with Garlic Bread\r\n</b><em>with Meatballs</em>\r\n\r\n<strong>Chicken Alfedo with Garlic Bread</strong>\r\n\r\n<strong>Cinnamon Stix with Glazing</strong>\r\n<h2>Salads</h2>\r\n<strong>Caesar\r\n</strong><em>Lettuce Blend, Parmesan Cheese, Croutons with Caesar Dressing\r\n</em><em>Add Chicken</em>\r\n\r\n<strong>Garden</strong>\r\n<em>Lettuce Blend, Red Onions, Shredded Carrot, Tomatoes, and Croutons</em>\r\n\r\n<strong>Greek</strong>\r\n<em>Lettuce Blend, Cucumbers, Tomatoes, Feta Cheese, Black Olives and Croutons.</em>\r\n\r\n<strong>Taco\r\n</strong><em>Lettuce Blend, Tortilla Chips, Taco Meat, Onions, Tomatoes and Cheddar Cheese. Served with Taco Sauce and Sour Cream.</em>\r\n<h2>Pizza</h2>\r\nStart with a Cheese Pizza and add the toppings you want!<strong> </strong>\r\n\r\nExtra Pizza Sauce Available Upon Request. Pizza Served with One Garlic Dipping Sauce. Additional Sauce Extra.\r\n<h3>Size</h3>\r\n<ul>\r\n	<li>6\" Personal</li>\r\n	<li>9\" Small</li>\r\n	<li>12\" Medium</li>\r\n	<li>14\" Large</li>\r\n	<li>16\" X-Large</li>\r\n</ul>\r\n<h3>Toppings</h3>\r\n<ul>\r\n	<li>Pepperoni</li>\r\n	<li>Mushrooms</li>\r\n	<li>Onions</li>\r\n	<li>Green Olives</li>\r\n	<li>Black Olives</li>\r\n	<li>Ham\r\nSausage</li>\r\n	<li>Bacon</li>\r\n	<li>Ground Beef</li>\r\n	<li>Pickles</li>\r\n	<li>Banana Peppers</li>\r\n	<li>Jalapeno Peppers</li>\r\n	<li>Pineapple</li>\r\n	<li>Canadian Bacon</li>\r\n	<li>Tomatoes</li>\r\n	<li>Green Peppers</li>\r\n	<li>Red Peppers</li>\r\n	<li>Shrimp</li>\r\n	<li>Anchovies</li>\r\n	<li>Cheddar Cheese</li>\r\n	<li>Extra Cheese</li>\r\n</ul>\r\n<h3>Specialty Toppings (counts as a double topping)</h3>\r\n<ul>\r\n	<li>Chicken</li>\r\n	<li>Steak</li>\r\n	<li>Feta Cheese</li>\r\n	<li>Fresh Basil</li>\r\n</ul>\r\n<h2>Specialty Pizzas</h2>\r\nPersonal, Small, Medium, Large, Extra Large\r\n\r\n<strong>Deluxe</strong>\r\n<em>Pepperoni, Onions, Mushrooms, Sausage and Green Peppers</em>\r\n\r\n<strong>Meaty</strong>\r\n<em>Pepperoni, Sausage, Ham, Bacon and Ground Beef</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>\r\n<em>Ground Beef and Bacon Topped with our Special Blend of Cheeses and Cheddar Cheese. (Pickles upon request)</em>\r\n\r\n<strong>Taco Supreme\r\n</strong><em>Pizza Sauce, Taco Meat, Nacho Chips and Cheddar Cheese. </em><em>Topped with Lettuce, Tomatoes and Taco Sauce. Served with Sour Cream.<strong>\r\n</strong></em>\r\n\r\n<strong>Fury\r\n</strong><em>Pepperoni, Bacon, Onion, Pineapple and Jalapeno Peppers and Cheddar Cheese.</em>\r\n\r\n<strong>Vegi \"De-Lite\"</strong>\r\n<em>Mushroom, Onion, Green Peppers, Sweet Red Peppers, Green Olives, Black Olives and Tomatoes.</em>\r\n\r\n<strong>Old World Pizza\r\n</strong><em>Garlic Sauce Topped with Our Special Blend Cheeses, Bacon, Tomatoes, and Extra Cheese.</em>\r\n\r\n<strong>Hawaiian\r\n</strong><em>Tasty Pineapple, Canadian Bacon, Green Peppers &amp; Tomatoes.</em>\r\n\r\n<strong>Margherita\r\n</strong><em>Garlic Sauce, Special Plum Tomatoes, Fresh Basil &amp; Our Special Blend of Cheeses, Topped diced tomatoes and a Drizzle of Olive Oil. </em>\r\n<h2>Premium Pizzas</h2>\r\nMedium, Large, Extra Large\r\n\r\n<strong>Wild Buck\r\n</strong><em>Pepperoni, Onions, Mushrooms, Sausage, Ham, Bacon, Green Peppers, Ground Beef, Black and Green Olives and Extra Cheese.</em>\r\n\r\n<strong>Steak Classic\r\n</strong><em>Garlic sauce topped with Steak, Onions, Green peppers, Mushroom, &amp; our Special Blend of Cheeses.</em>\r\n\r\n<strong>Chicken or Steak Alfredo\r\n</strong><em>Creamy Alfredo Sauce topped with your choice of chicken or Steak, Onions, Red Peppers, Light Bacon, our Special Blend of Cheeses and Parsley.</em>\r\n\r\n<strong>Club\r\n</strong><em>Garlic Sauce covered with a Blend of Cheeses, Topped with Canadian Bacon, Chicken, Bacon, and Onions. Served with a side of Honey Mustard. Or Oriental Zing Sauce.</em>\r\n\r\n<strong>Chicken with BBQ &amp; Ranch\r\n</strong><em>Chicken, Bacon, and Onions, Topped with our Blend of Provolone, Mozzarella and Cheddar cheese. Drizzled with BBQ Sauce and Ranch Dressing after baking.</em>\r\n<h2><b>Stromboli</b></h2>\r\nIngredients are placed on our hand-tossed dough, covered with our special blend of cheeses, folded and topped with our seasoned butter, then baked. Comes with one Marinara Dipping Sauce. Additional sauce extra.\r\n\r\nIncludes one marinara dipping sauce\r\n\r\n<strong>Pizza\r\n</strong><em>Pizza Sauce and Your Choice of up to 5 Pizza Toppings covered with our Special Blend of Cheeses.</em>\r\n\r\n<strong>Steak\r\n</strong><em>Steak, Mushroom, Onion, Green Pepper and our Special Blend of Cheeses.</em>\r\n\r\n<strong>Italian\r\n</strong><em>Ham, Hard Salami, Onion, Green Pepper and our Special Blend of Cheeses.</em>\r\n\r\n<strong>Meatball\r\n</strong><em>Meatballs, Marinara Sauce and our Special Blend of Cheeses.</em>\r\n\r\n<strong>CBS\r\n</strong><em>Cheddar Cheese, Bacon and Steak.</em>\r\n\r\n<strong>Ham &amp; Cheese\r\n</strong><em>Ham, our Special Blend of Cheeses and Cheddar Cheese.</em>\r\n\r\n<strong>Meaty\r\n</strong><em>Pepperoni, Sausage, Ham, Bacon, Ground Beef and Topped with our Special Blend of Cheeses.</em>\r\n<h2>Oven Baked Hoagies</h2>\r\nHalf 6\", Whole\r\n\r\nCondiments available upon request: Mayonaise, Italian, Ranch, Honey Mustard, Ketchup, Mustard or BBQ sauce.\r\n\r\n<strong>Steak\r\n</strong><em>Steak, Mushroom, Onion, Green Pepper, Melted Cheese, Lettuce and Tomato.</em>\r\n\r\n<strong>Italian\r\n</strong><em>Ham, Hard Salami, Onion, Green Pepper, Melted Cheese, Lettuce, Tomato and Italian Dressing.</em>\r\n\r\n<strong>CBS\r\n</strong><em>Cheddar Cheese, Bacon and Steak.</em>\r\n\r\n<strong>Club\r\n</strong><em>Turkey, Bacon, Ham, Melted Cheese, Lettuce and Tomato.</em>\r\n\r\n<strong>Ham\r\n</strong><em>Ham, Melted Cheese, Lettuce and Tomato.</em>\r\n\r\n<strong>Turkey\r\n</strong><em>Sliced Turkey Breast, Melted Cheese, Lettuce and Tomato.</em>\r\n\r\n<strong>Meatball\r\n</strong><em>Meatballs, Special Sauce and Melted Cheese.</em>\r\n\r\n<strong>Chicken-Bacon-Ranch\r\n</strong><em>Chicken, Bacon, Onions, Melted Cheese, Lettuce, Tomato.&amp; Ranch Dressing</em>\r\n\r\n<strong>Gyro (Seasonal)\r\n</strong><em>Gyro Flavored Beef, Onion, Melted Cheese, Tomato, Cucumber and Tzatziki Sauce.</em>", "Menu", "", "inherit", "closed", "closed", "", "146-revision-v1", "", "", "2015-09-29 19:09:53", "2015-09-29 19:09:53", "", "146", "http://spartanmedia.com/DEV/BUCKS/2015/09/29/146-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("417", "1", "2015-09-30 14:05:28", "2015-09-30 14:05:28", "251 Buck Creek Plaza\r\nAlabaster, AL 35007\r\n\r\n<a href=\"tel:205-358-3391\">205-358-3391</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[map height=\"500\" zoom=\"18\" color=\"#a30b32\" fullscreen=\"1\"]\r\n[pin icon=\"food\" center=\"1\" bounce=\"1\" directions=\"1\"]251 Buck Creek Plaza Alabaster, AL 35007[/pin]\r\n[/map]\r\n\r\n<img class=\"alignnone size-full wp-image-201\" src=\"http://buckspizza.com/wp-content/uploads/2015/06/Bucks-Pizza-Alabaster-Alabama.jpg\" alt=\"Buck\'s Pizza, Alabaster, Alabama\" />\r\n\r\n&nbsp;", "Alabaster, Alabama", "", "inherit", "closed", "closed", "", "30-revision-v1", "", "", "2015-09-30 14:05:28", "2015-09-30 14:05:28", "", "30", "http://spartanmedia.com/DEV/BUCKS/2015/09/30/30-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("424", "1", "2015-09-30 14:05:28", "2015-09-30 14:05:28", "114 Jungle Road\r\nEdisto Beach, SC 29438\r\n\r\n<a href=\"tel:843-869-5000\">843-869-5000</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[map height=\"500\" zoom=\"18\" color=\"#a30b32\" fullscreen=\"1\"]\r\n[pin icon=\"food\" center=\"1\" bounce=\"1\" directions=\"1\"]114 Jungle Road Edisto Beach, SC 29438[/pin]\r\n[/map]", "Edisto Beach, South Carolina", "", "inherit", "closed", "closed", "", "58-revision-v1", "", "", "2015-09-30 14:05:28", "2015-09-30 14:05:28", "", "58", "http://spartanmedia.com/DEV/BUCKS/2015/09/30/58-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("429", "1", "2015-09-30 14:05:29", "2015-09-30 14:05:29", "7700 N 10th ST\r\nSuite H\r\nMcAllen, TX 78504\r\n\r\n<a href=\"tel:956-994-9421\">956-994-9421</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[map height=\"500\" zoom=\"18\" color=\"#a30b32\" fullscreen=\"1\"]\r\n[pin icon=\"food\" center=\"1\" bounce=\"1\" directions=\"1\"]26.272925, -98.217331[/pin]\r\n[/map]", "McAllen, Texas", "", "inherit", "closed", "closed", "", "72-revision-v1", "", "", "2015-09-30 14:05:29", "2015-09-30 14:05:29", "", "72", "http://spartanmedia.com/DEV/BUCKS/2015/09/30/72-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("437", "1", "2015-09-30 14:05:29", "2015-09-30 14:05:29", "300 W. Valley Road\r\nTorrington, WY 82240\r\n\r\n<a href=\"tel:307-532-2825\">307-532-2825</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[map height=\"500\" zoom=\"18\" color=\"#a30b32\" fullscreen=\"1\"]\r\n[pin icon=\"food\" center=\"1\" bounce=\"1\" directions=\"1\"]300 W. Valley Road Torrington, WY 82240[/pin]\r\n[/map]", "Torrington, Wyoming", "", "inherit", "closed", "closed", "", "82-revision-v1", "", "", "2015-09-30 14:05:29", "2015-09-30 14:05:29", "", "82", "http://spartanmedia.com/DEV/BUCKS/2015/09/30/82-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("442", "1", "2015-10-07 13:14:59", "2015-10-07 13:14:59", "", "bucks-header", "", "inherit", "closed", "closed", "", "bucks-header", "", "", "2015-10-07 13:14:59", "2015-10-07 13:14:59", "", "0", "http://buckspizza.com/wp-content/uploads/2015/10/bucks-header.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("443", "1", "2015-10-07 13:15:00", "2015-10-07 13:15:00", "", "menu", "", "inherit", "closed", "closed", "", "menu-3", "", "", "2015-10-07 13:15:00", "2015-10-07 13:15:00", "", "0", "http://buckspizza.com/wp-content/uploads/2015/10/menu.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("444", "1", "2015-11-09 20:56:22", "2015-11-09 20:56:22", "<h2>Buck’s Famous Stix -(12 per order)</h2>\r\n<strong>Bread Stix</strong>- <em>covered with butter &amp; spices</em>- $4.99\r\n\r\n<strong>Cinnamon Stix</strong>-<em>bread stix covered with cinnamon &amp; sugar</em>- $4.99\r\n\r\n<strong>Cheese Stix</strong>-<em>covered in melted cheese</em>- $5.99\r\n\r\n<strong>Bacon Cheese Stix</strong>-<em>covered in melted cheese &amp; bacon</em>-$6.99\r\n<h2>Starters</h2>\r\n<strong>Seasoned Potato Wedges</strong>-$4.99\r\n\r\n<strong>Cheddar Cheese Potato Wedges</strong>-$5.99\r\n\r\n<strong>Spicy Breaded Boneless Wings</strong> -10 for $6.99\r\n\r\n<strong>Sauces &amp; Dressings</strong>- .50/.75\r\n\r\n<strong>Milk pint</strong> -$1.99\r\n\r\n<strong>Lemonade or Sweet Tea</strong> ½ gallon-$2.99\r\n\r\n<strong>Coke Products</strong>:\r\n\r\n2 Liter-$2.99\r\n\r\n20 oz-$1.99\r\n<h2>Salads</h2>\r\nDressings: Blue Cheese, Ranch, Caesar, Honey Mustard, Italian, Greek, French, 1000 Island\r\n\r\n<strong>Garden Salad</strong>- sm. $3.49 lg.$5.49\r\n<em>Romaine lettuce,cucumbers, red onion &amp; tomato.</em>\r\n\r\n<strong>Caesar Salad</strong>- sm. $3.99 lg. $5.99\r\n<em>Romaine lettuce, parmesan cheese, croutons &amp; caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>- sm. $4.99 lg. $8.99\r\n<em>Romaine lettuce, parmesan cheese, croutons, tender chicken &amp; caesar dressing</em>\r\n\r\n<strong>Chicken Tender Salad</strong>- sm. $4.99 lg. $8.99\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck’s wing sauce.</em>\r\n\r\n<strong>Chef Salad</strong>- sm. $4.99 lg. $8.99\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese, ham, turkey &amp; pepperoni</em>\r\n\r\n<strong>Greek Salad</strong> sm. $4.99 lg. $8.99\r\n<em>Romaine lettuce, red onion, black olives, tomato, cucumber, artichoke hearts &amp; feta cheese.</em>\r\n\r\n<strong>Spinach Salad</strong> sm. $4.99 lg. $8.99\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions, tomato, bacon and</em>\r\n<em>feta cheese.</em>\r\n<h2>Stromboli- (Get any SPECIALTY pizza as a Stromboli!)</h2>\r\nPersonal-$3.99 Small-$7.49 Medium-$11.99 Large-$14.99\r\n\r\n<strong>Extra Dipping Sauce</strong>- .50/ .75\r\n\r\n<strong>Buck’s Pizza Stromboli</strong>-<em>hand tossed dough, Buck’s delicious pizza sauce &amp; 100% real cheese. Add any of our pizza toppings at no extra charge. We fold it, top it with butter &amp; seasonings &amp; bake.</em>\r\n\r\n<strong>Steak</strong>-<em>real marinated chipped steak, mushrooms, onions, green peppers, &amp; lots of mozzarella.</em>\r\n\r\n<strong>Ham &amp; Cheese</strong>- <em>baked ham, mozzarella, &amp; aged cheddar.</em>\r\n\r\n<strong>C.B.H.</strong>- <em>cheddar,bacon, &amp; ham.</em>\r\n\r\n<strong>Deluxe</strong>-<em>a hearty combination of pepperoni, onion, mushroom, sausage &amp; green pepper.</em>\r\n\r\n<strong>Vegi-Delite</strong>- <em>a delicate combination of mushrooms, onions, tomatoes, green peppers, black olives, green olives &amp; mozzarella.</em>\r\n\r\n<strong>Meaty</strong>-<em>pepperoni, sausage, ham, bacon, ground beef, &amp; mozzarella.</em>\r\n\r\n<strong>Italian</strong>- <em>ham, salami, onions, green peppers &amp; mozzarella</em>\r\n\r\n<strong>C.B.S.</strong>- <em>cheddar, bacon &amp; steak</em>\r\n\r\n<strong>Meatball</strong>-<em>meatballs &amp; melted cheese</em>\r\n<h2>Build-Your-Own-Pizza</h2>\r\n<ul>\r\n	<li>Personal 6\"— $3.49</li>\r\n	<li>Small 9\"— $6.49</li>\r\n	<li>Medium 12\"— $9.99</li>\r\n	<li>Large 14\"— $11.99</li>\r\n	<li>X-Large 16\"— $13.49</li>\r\n	<li>Belly Buster 1\' x 2\'— $16.99</li>\r\n</ul>\r\n<h3>PAN PIZZA AVAILABLE IN SMALL, LARGE &amp; EXTRA LARGE ONLY.</h3>\r\n<strong>Crust Kickers: Butter Parmesan or Garlic Butter Herb</strong>\r\n\r\n<strong>Hot Dog Crust</strong>- we stuff all-beef hot dogs around the outer ring of crust, then top it with your choice of toppings, and finish with a light parmesan seasoning on the crust. LARGE ONLY!\r\n<h3>Regular Toppings</h3>\r\nPersonal 25¢ each, Small 9\" 50¢ each, Medium 12\" $1.00 each, Large 14\" $1.50 each, X-Large 16\" $1.75 each, Belly Buster 1\' x 2\' $2.00 each\r\n<ul>\r\n	<li>Pepperoni</li>\r\n	<li>Mushrooms</li>\r\n	<li>Fresh onions</li>\r\n	<li>Green pepper</li>\r\n	<li>Sausage</li>\r\n	<li>Roma tomatoes</li>\r\n	<li>Ham</li>\r\n	<li>Ground beef</li>\r\n	<li>Bacon</li>\r\n	<li>Salami</li>\r\n	<li>Artichokes</li>\r\n	<li>Cheddar cheese</li>\r\n	<li>Black olives</li>\r\n	<li>Green olives</li>\r\n	<li>Pineapple</li>\r\n	<li>Canadian Bacon</li>\r\n	<li>Jalapeños</li>\r\n	<li>Anchovies</li>\r\n	<li>Extra cheese</li>\r\n	<li>Fresh spinach</li>\r\n	<li>Banana peppers</li>\r\n	<li>Red onions</li>\r\n	<li>Sliced hot dogs</li>\r\n</ul>\r\n<h3>Specialty Toppings (count as double topping)</h3>\r\nPersonal 6\" 50¢ each, Small 9\" $1.00 each, Medium 12\" $2.00 each, Large 14\" $3.00 each, X-Large 16\" $3.50 each, Belly Buster 1\' x 2\' $4.00 each\r\n<ul>\r\n	<li>Goat cheese</li>\r\n	<li>Feta cheese</li>\r\n	<li>Ricotta cheese</li>\r\n	<li>Chicken</li>\r\n	<li>Meatballs</li>\r\n	<li>Steak</li>\r\n	<li>Turkey</li>\r\n	<li>Fresh basil</li>\r\n	<li>Broccoli</li>\r\n</ul>\r\n<h2>Pasta</h2>\r\nOur Tomato Pasta Sauce is made with vine-ripened tomatoes and only the finest ingredients for a simple, classic Old World flavor.\r\n\r\n<strong>Spaghetti &amp; Meatballs</strong> - $6.99\r\n<em>A generous portion of spaghetti topped with the best tomato pasta sauce you will find anywhere.</em>\r\n<em>*Add 2 meatballs for $1.00 more.</em>\r\n\r\n<strong>Fettuccine Alfredo</strong>- $7.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.</em>\r\n<em>*Add grilled chicken for $2.00 more.</em>\r\n\r\n<strong>Meatball Parmesan</strong>-$9.99\r\n<em>meatballs, pasta sauce, spaghetti &amp; mozzarella.</em>\r\n\r\n<strong>Lasagna</strong>-$8.99\r\n\r\n<strong>Baked Spaghetti</strong>-$8.99\r\n\r\n<strong>Ultimate Alfredo Medley</strong>- $11.99\r\n<em>Chipped steak, grilled chicken, broccoli, roma tomatoes,alfredo sauce, fettuccine, goat cheese topped with mozzarella and a pinch of hot sauce.</em>\r\n\r\n<strong>Chicken Primavera</strong>- $9.99\r\n<em>Broccoli, grilled chicken, roma tomatoes, alfredo sauce, on a bed of fettuccine.</em>\r\n\r\n<strong>Chicken Parmesan</strong>-$9.99\r\n<em>Boneless chicken breast, pasta sauce, spaghetti &amp; mozzarella.</em>\r\n<h2>Hoagies</h2>\r\n<h3>6”- $4.99\r\n12” -$8.99</h3>\r\n<strong>Steak</strong>- <em>steak, mushrooms, onions, melted cheese, green peppers, lettuce &amp; tomato</em>\r\n\r\n<strong>Baked Ham</strong>-<em>ham, melted cheese, onions, lettuce &amp; tomato.</em>\r\n\r\n<strong>Italian</strong>- <em>ham, hard salami, onion, melted cheese, green peppers, lettuce, tomato &amp; Italian dressing.</em>\r\n\r\n<strong>Turkey</strong>- <em>sliced turkey breast, melted cheese, lettuce &amp; tomato.</em>\r\n\r\n<strong>Turkey</strong> <strong>Club</strong>-<em>Turkey, bacon, ham, melted cheese, lettuce &amp; tomato.</em>\r\n\r\n<strong>CBS</strong>- <em>Cheddar, bacon &amp; steak.</em>\r\n\r\n<strong>Meatball</strong>- <em>tasty meatballs covered with Buck’s blended sauce &amp; plenty of mozzarella &amp; parmesan cheese.</em>\r\n\r\n<strong>Buffalo</strong> <strong>Chicken</strong>- <em>boneless wings tossed in your choice of wing sauce, provolone, lettuce, tomato &amp; your choice of dressing.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>-<em>topped with lettuce, tomato &amp; your choice of dressing.</em>\r\n\r\n<strong>Chicken Parmesan</strong>-<em>Buck’s delicious chicken tenders baked with our delicious tomato sauce and smothered in melted provolone.</em>\r\n\r\n<strong>Hamburger Hoagie</strong>- 6” $5.99\r\n<em>like hamburgers? You’ll love this hoagie!</em>\r\n\r\n<strong>Gyro</strong>-$6.99\r\n<em>Red onion, tomatoes, lettuce &amp; tzatziki sauce, feta cheese optional.</em>\r\n<em>Add a half order of potato wedges</em> -$8.99\r\n<em>Cup of tzatziki sauce</em>- .50\r\n<h2>Wings &amp; Tenders</h2>\r\nDelicious Sauces….We’ve got everyone’s favorite!\r\n<ul>\r\n	<li>Mild</li>\r\n	<li>Medium</li>\r\n	<li>Hot</li>\r\n	<li>BBQ</li>\r\n	<li>Spicy BBQ</li>\r\n	<li>Honey BBQ</li>\r\n	<li>Honey Mustard</li>\r\n	<li>Buffalo Ranch</li>\r\n	<li>Jamaican Jerk</li>\r\n	<li>Hot Garlic</li>\r\n	<li>Teriyaki</li>\r\n	<li>Thai</li>\r\n	<li>Lemon Pepper</li>\r\n	<li>Mini Fried Chicken</li>\r\n</ul>\r\n<h3>************Carry-Out Special 10 wings for $9.99************</h3>\r\n<h2>Chicken Wings</h2>\r\nCovered in our lip-smackin’ sauces.\r\n<ul>\r\n	<li>Order of 5–$5.49</li>\r\n	<li>Order of 10–$10.99</li>\r\n	<li>Order of 15–$16.49</li>\r\n	<li>Order of 20–$21.99</li>\r\n	<li>Order of 25–$25.99</li>\r\n	<li>Order of 50–$49.99</li>\r\n</ul>\r\n<h2>Boneless Wings</h2>\r\nGet your chicken tenders tossed in your favorite lip-smackin’ wing sauce.\r\n<ul>\r\n	<li>Order of 10–$6.99</li>\r\n	<li>Order of 15–$9.49</li>\r\n	<li>Order of 20–$12.49</li>\r\n	<li>Order of 25–$15.49</li>\r\n</ul>\r\n<h2>Chicken Tenders</h2>\r\nJuicy chicken tenderloin breaded and cooked to perfection!\r\nIncludes Buck’s special tender dipping sauce.\r\n<ul>\r\n	<li>Order of 4–$4.19</li>\r\n	<li>Order of 6–$5.79</li>\r\n	<li>Order of 8–$7.49</li>\r\n	<li>Order of 12–$10.39</li>\r\n	<li>Order of 15–$12.99</li>\r\n	<li>Order of 20–$15.99</li>\r\n	<li>Order of 25–$19.49</li>\r\n	<li>Order of 50–$35.99</li>\r\n	<li>Order of 100–$67.99</li>\r\n</ul>\r\n<h3>*****Add blue cheese, ranch or honey mustard - 75¢ each*****</h3>\r\n<h2>Fried Chicken</h2>\r\nBuck’s Signature Recipe. Cooked fresh per order!\r\n<h3>Meals</h3>\r\n<strong>2 Piece Fried Chicken Meal</strong>-A fried chicken breast &amp; wings plus 2 small sides &amp; 2 rolls $7.99\r\n\r\n<strong>3 Piece Fried Chicken Meal</strong>-1 fried leg, wing &amp; thigh plus 2 small sides &amp; 2 rolls $7.99\r\n\r\n<strong>8 piece Fried Chicken Meal</strong>-2 fried chicken breast, 2 thighs, 2 wings &amp; 2 legs plus 2 large sides &amp; 4 rolls $19.99\r\n\r\n<strong>4 Piece Chicken</strong>-A fried chicken breast, thigh,wing &amp; leg served with 2 rolls $7.99\r\n\r\n<strong>8 Piece Chicken</strong>-2 fried chicken breasts, thighs, wings, legs served with 4 rolls $15.99\r\n\r\n<strong>Mini Fried Chicken</strong>-10 wingettes &amp; drumettes fried in our signature recipe $9.99\r\n<h2>SIDES</h2>\r\n<ul>\r\n	<li><strong>Small </strong>$2.19</li>\r\n	<li><strong>Large</strong> $3.99</li>\r\n</ul>\r\nCole slaw, mashed potatoes, baked beans, mac n cheese, or green beans\r\n\r\n<strong>2 rolls</strong> 1.59\r\n\r\n<strong>Potato Wedges</strong> 4.99\r\n\r\n<strong>Cheddar Wedges</strong> 5.99\r\n<h2>Specialty Pizzas</h2>\r\n<ul>\r\n	<li>Personal— $3.99</li>\r\n	<li>Small— $7.49</li>\r\n	<li>Medium— $11.99</li>\r\n	<li>Large— $14.99</li>\r\n	<li>X-Large— $18.99</li>\r\n	<li>Belly Buster— $20.99</li>\r\n</ul>\r\n<strong>Pepperoni Classic</strong>\r\n<em>America’s favorite pizza with an edge to edge layer of pepperoni &amp; extra mozzarella cheese.</em>\r\n\r\n<strong>Sausage Classic</strong>\r\n<em>Wake up your taste buds with lots of sausage &amp; extra mozzarella.</em>\r\n\r\n<strong>Hawaiian</strong>\r\n<em>A taste of the islands with generous portions of pineapple &amp; canadian bacon.</em>\r\n\r\n<strong>Old World (White Pizza)</strong>\r\n<em>Our light garlic sauce, topped with mozzarella, bacon &amp; sliced tomato.</em>\r\n<ul>\r\n	<li>Personal— $4.49</li>\r\n	<li>Small— $8.49</li>\r\n	<li>Medium— $13.99</li>\r\n	<li>Large— $17.99</li>\r\n	<li>X-Large— $20.99</li>\r\n	<li>Belly Buster— $24.99</li>\r\n</ul>\r\n<strong>Buck’s Deluxe</strong>\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage &amp; green pepper</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>\r\n<em>The backyard grilled flavor of hamburger &amp; bacon topped with mozzarella &amp; aged cheddar.</em>\r\n\r\n<strong>Vegi-Delite</strong>\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black olives, green olives &amp; sliced tomato.</em>\r\n\r\n<strong>5 Meat</strong>\r\n<em>A must for hearty appetites! Pepperoni, sausage, ham, bacon &amp; ground beef.</em>\r\n\r\n<strong>4 Cheese Medley</strong>\r\n<em>A bold blend of cheddar, mozzarella, parmesan &amp; feta cheese.</em>\r\n\r\n<strong>Margherita (White Pizza)</strong>\r\n<em>Our light garlic sauce with blended parmesan, sliced roma tomatoes, chopped fresh basil &amp; lots of mozzarella cheese.</em>\r\n<h3>New!</h3>\r\n<strong>My Goat Cheese Medley</strong>\r\n<em>You choose your favorite 2 toppings and we’ll top it off with fresh goat cheese!</em>\r\n\r\n<strong>Hot Diggity Dog</strong>\r\n<em>We start with all-beef hot dog franks stuffed around the edge of the crust and top it with pepperoni, sliced all-beef hot dogs &amp; extra cheese. Large only.</em>\r\n<ul>\r\n	<li>Personal— $4.99</li>\r\n	<li>Small— $9.49</li>\r\n	<li>Medium— $15.99</li>\r\n	<li>Large— $20.99</li>\r\n	<li>X-Large— $24.99</li>\r\n	<li>Belly Buster— $28.99</li>\r\n</ul>\r\n<strong>Steak ‘N Cheese (White Pizza)</strong>\r\n<em>Special light garlic sauce topped with real marinated chipped steak, onions, green peppers, mushrooms &amp; extra mozzarella.</em>\r\n\r\n<strong>Greek Pizza (White Pizza)</strong>\r\n<em>Our light garlic sauce, mozzarella, black olives, red onion, artichoke hearts, fresh roma tomato slices &amp; feta cheese.</em>\r\n\r\n<strong>Chicken Alfredo</strong>\r\n<em>Classic alfredo sauce with chicken, red onion &amp; real bacon, topped with mozzarella.</em>\r\n\r\n<strong>BBQ Chicken</strong>\r\n<em>Tender chunks of chicken tossed in our blend of BBQ &amp; pizza sauce, with red onion, real bacon, mozzarella &amp; aged cheddar.</em>\r\n\r\n<strong>Chicken Club (White Pizza)</strong>\r\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, canadian bacon, red onion &amp; bacon.</em>\r\n\r\n<strong>Spinach Alfredo</strong>\r\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon &amp; lots of</em>\r\n<em>mozzarella.</em>\r\n<h3>New!</h3>\r\n<strong>Buffalo Chicken</strong>\r\n<em>Your choice of Buck’s famous mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella &amp; chicken, all topped with sizzling bacon. Hang on to your hat!</em>\r\n<h2>Sweet Treats</h2>\r\n<strong>Fresh Baked Cookies</strong>\r\nChoose from: classic chocolate chip, better chocolate chip, white chocolate macadamia nut or brownie cookie\r\n<ul>\r\n	<li>Order of 3–$2.25</li>\r\n	<li>Order of 6–$4.50</li>\r\n	<li>Order of 12–$9.00</li>\r\n	<li>Order of 16–$2.00</li>\r\n	<li>Order of 20–$15.00</li>\r\n	<li>Order of 24–$18.00</li>\r\n</ul>\r\n<strong>Cannoli</strong>-$1.59 each, 2 for $3.99, or 4 for $5.99\r\n<em>A classic, delicious Italian pastry.</em>\r\n\r\n<strong>Dessert Pizza</strong> -each $4.99\r\nChoose from: cinnamon apple, peach cream cheese or pineapple cream cheese.\r\n\r\n&nbsp;", "Menu", "", "publish", "closed", "closed", "", "menu", "", "", "2017-07-31 14:15:31", "2017-07-31 14:15:31", "", "56", "http://buckspizza.com/?page_id=444", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("445", "1", "2015-11-09 20:56:22", "2015-11-09 20:56:22", "<h2>Buck’s Famous Stix -(12 per order)</h2>\r\n<strong>Bread Stix</strong>- <em>covered with butter &amp; spices</em>- $4.99\r\n\r\n<strong>Cinnamon Stix</strong>-<em>bread stix covered with cinnamon &amp; sugar</em>- $4.99\r\n\r\n<strong>Cheese Stix</strong>-<em>covered in melted cheese</em>- $5.99\r\n\r\n<strong>Bacon Cheese Stix</strong>-<em>covered in melted cheese &amp; bacon</em>-$6.99\r\n<h2>Starters</h2>\r\n<strong>Seasoned Potato Wedges</strong>-$4.99\r\n\r\n<strong>Cheddar Cheese Potato Wedges</strong>-$5.99\r\n\r\n<strong>Spicy Breaded Boneless Wings</strong> -10 for $6.99\r\n\r\n<strong>Sauces &amp; Dressings</strong>- .50/.75\r\n\r\n<strong>Milk pint</strong> -$1.99\r\n\r\n<strong>Lemonade or Sweet Tea</strong> ½ gallon-$2.99\r\n\r\n<strong>Coke Products</strong>:\r\n\r\n2 Liter-$2.99\r\n\r\n20 oz-$1.99\r\n<h2>Salads</h2>\r\nDressings: Blue Cheese, Ranch, Caesar, Honey Mustard, Italian, Greek, French, 1000 Island\r\n\r\n<strong>Garden Salad</strong>- sm. $3.49 lg.$5.49\r\n<em>Romaine lettuce,cucumbers, red onion &amp; tomato.</em>\r\n\r\n<strong>Caesar Salad</strong>- sm. $3.99 lg. $5.99\r\n<em>Romaine lettuce, parmesan cheese, croutons &amp; caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>- sm. $4.99 lg. $8.99\r\n<em>Romaine lettuce, parmesan cheese, croutons, tender chicken &amp; caesar dressing</em>\r\n\r\n<strong>Chicken Tender Salad</strong>- sm. $4.99 lg. $8.99\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck’s wing sauce.</em>\r\n\r\n<strong>Chef Salad</strong>- sm. $4.99 lg. $8.99\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese, ham, turkey &amp; pepperoni</em>\r\n\r\n<strong>Greek Salad</strong> sm. $4.99 lg. $8.99\r\n<em>Romaine lettuce, red onion, black olives, tomato, cucumber, artichoke hearts &amp; feta cheese.</em>\r\n\r\n<strong>Spinach Salad</strong> sm. $4.99 lg. $8.99\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions, tomato, bacon and</em>\r\n<em>feta cheese.</em>\r\n<h2>Stromboli- (Get any SPECIALTY pizza as a Stromboli!)</h2>\r\nPersonal-$3.99 Small-$7.49 Medium-$11.99 Large-$14.99\r\n\r\n<strong>Extra Dipping Sauce</strong>- .50/ .75\r\n\r\n<strong>Buck’s Pizza Stromboli</strong>-<em>hand tossed dough, Buck’s delicious pizza sauce &amp; 100% real cheese. Add any of our pizza toppings at no extra charge. We fold it, top it with butter &amp; seasonings &amp; bake.</em>\r\n\r\n<strong>Steak</strong>-<em>real marinated chipped steak, mushrooms, onions, green peppers, &amp; lots of mozzarella.</em>\r\n\r\n<strong>Ham &amp; Cheese</strong>- <em>baked ham, mozzarella, &amp; aged cheddar.</em>\r\n\r\n<strong>C.B.H.</strong>- <em>cheddar,bacon, &amp; ham.</em>\r\n\r\n<strong>Deluxe</strong>-<em>a hearty combination of pepperoni, onion, mushroom, sausage &amp; green pepper.</em>\r\n\r\n<strong>Vegi-Delite</strong>- <em>a delicate combination of mushrooms, onions, tomatoes, green peppers, black olives, green olives &amp; mozzarella.</em>\r\n\r\n<strong>Meaty</strong>-<em>pepperoni, sausage, ham, bacon, ground beef, &amp; mozzarella.</em>\r\n\r\n<strong>Italian</strong>- <em>ham, salami, onions, green peppers &amp; mozzarella</em>\r\n\r\n<strong>C.B.S.</strong>- <em>cheddar, bacon &amp; steak</em>\r\n\r\n<strong>Meatball</strong>-<em>meatballs &amp; melted cheese</em>\r\n<h2>Build-Your-Own-Pizza</h2>\r\n<ul>\r\n	<li>Personal 6\"— $3.49</li>\r\n	<li>Small 9\"— $6.49</li>\r\n	<li>Medium 12\"— $9.99</li>\r\n	<li>Large 14\"— $11.99</li>\r\n	<li>X-Large 16\"— $13.49</li>\r\n	<li>Belly Buster 1\' x 2\'— $16.99</li>\r\n</ul>\r\n<h3>PAN PIZZA AVAILABLE IN SMALL, LARGE &amp; EXTRA LARGE ONLY.</h3>\r\n<strong>Crust Kickers: Butter Parmesan or Garlic Butter Herb</strong>\r\n\r\n<strong>Hot Dog Crust</strong>- we stuff all-beef hot dogs around the outer ring of crust, then top it with your choice of toppings, and finish with a light parmesan seasoning on the crust. LARGE ONLY!\r\n<h3>Regular Toppings</h3>\r\nPersonal 25¢ each, Small 9\" 50¢ each, Medium 12\" $1.00 each, Large 14\" $1.50 each, X-Large 16\" $1.75 each, Belly Buster 1\' x 2\' $2.00 each\r\n<ul>\r\n	<li>Pepperoni</li>\r\n	<li>Mushrooms</li>\r\n	<li>Fresh onions</li>\r\n	<li>Green pepper</li>\r\n	<li>Sausage</li>\r\n	<li>Roma tomatoes</li>\r\n	<li>Ham</li>\r\n	<li>Ground beef</li>\r\n	<li>Bacon</li>\r\n	<li>Salami</li>\r\n	<li>Artichokes</li>\r\n	<li>Cheddar cheese</li>\r\n	<li>Black olives</li>\r\n	<li>Green olives</li>\r\n	<li>Pineapple</li>\r\n	<li>Canadian Bacon</li>\r\n	<li>Jalapeños</li>\r\n	<li>Anchovies</li>\r\n	<li>Extra cheese</li>\r\n	<li>Fresh spinach</li>\r\n	<li>Banana peppers</li>\r\n	<li>Red onions</li>\r\n	<li>Sliced hot dogs</li>\r\n</ul>\r\n<h3>Specialty Toppings (count as double topping)</h3>\r\nPersonal 6\" 50¢ each, Small 9\" $1.00 each, Medium 12\" $2.00 each, Large 14\" $3.00 each, X-Large 16\" $3.50 each, Belly Buster 1\' x 2\' $4.00 each\r\n<ul>\r\n	<li>Goat cheese</li>\r\n	<li>Feta cheese</li>\r\n	<li>Ricotta cheese</li>\r\n	<li>Chicken</li>\r\n	<li>Meatballs</li>\r\n	<li>Steak</li>\r\n	<li>Turkey</li>\r\n	<li>Fresh basil</li>\r\n	<li>Broccoli</li>\r\n</ul>\r\n<h2>Pasta</h2>\r\nOur Tomato Pasta Sauce is made with vine-ripened tomatoes and only the finest ingredients for a simple, classic Old World flavor.\r\n\r\n<strong>Spaghetti &amp; Meatballs</strong> - $6.99\r\n<em>A generous portion of spaghetti topped with the best tomato pasta sauce you will find anywhere.</em>\r\n<em>*Add 2 meatballs for $1.00 more.</em>\r\n\r\n<strong>Fettuccine Alfredo</strong>- $7.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.</em>\r\n<em>*Add grilled chicken for $2.00 more.</em>\r\n\r\n<strong>Meatball Parmesan</strong>-$9.99\r\n<em>meatballs, pasta sauce, spaghetti &amp; mozzarella.</em>\r\n\r\n<strong>Lasagna</strong>-$8.99\r\n\r\n<strong>Baked Spaghetti</strong>-$8.99\r\n\r\n<strong>Ultimate Alfredo Medley</strong>- $11.99\r\n<em>Chipped steak, grilled chicken, broccoli, roma tomatoes,alfredo sauce, fettuccine, goat cheese topped with mozzarella and a pinch of hot sauce.</em>\r\n\r\n<strong>Chicken Primavera</strong>- $9.99\r\n<em>Broccoli, grilled chicken, roma tomatoes, alfredo sauce, on a bed of fettuccine.</em>\r\n\r\n<strong>Chicken Parmesan</strong>-$9.99\r\n<em>Boneless chicken breast, pasta sauce, spaghetti &amp; mozzarella.</em>\r\n<h2>Hoagies</h2>\r\n<h3>6”- $4.99\r\n12” -$8.99</h3>\r\n<strong>Steak</strong>- <em>steak, mushrooms, onions, melted cheese, green peppers, lettuce &amp; tomato</em>\r\n\r\n<strong>Baked Ham</strong>-<em>ham, melted cheese, onions, lettuce &amp; tomato.</em>\r\n\r\n<strong>Italian</strong>- <em>ham, hard salami, onion, melted cheese, green peppers, lettuce, tomato &amp; Italian dressing.</em>\r\n\r\n<strong>Turkey</strong>- <em>sliced turkey breast, melted cheese, lettuce &amp; tomato.</em>\r\n\r\n<strong>Turkey</strong> <strong>Club</strong>-<em>Turkey, bacon, ham, melted cheese, lettuce &amp; tomato.</em>\r\n\r\n<strong>CBS</strong>- <em>Cheddar, bacon &amp; steak.</em>\r\n\r\n<strong>Meatball</strong>- <em>tasty meatballs covered with Buck’s blended sauce &amp; plenty of mozzarella &amp; parmesan cheese.</em>\r\n\r\n<strong>Buffalo</strong> <strong>Chicken</strong>- <em>boneless wings tossed in your choice of wing sauce, provolone, lettuce, tomato &amp; your choice of dressing.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>-<em>topped with lettuce, tomato &amp; your choice of dressing.</em>\r\n\r\n<strong>Chicken Parmesan</strong>-<em>Buck’s delicious chicken tenders baked with our delicious tomato sauce and smothered in melted provolone.</em>\r\n\r\n<strong>Hamburger Hoagie</strong>- 6” $5.99\r\n<em>like hamburgers? You’ll love this hoagie!</em>\r\n\r\n<strong>Gyro</strong>-$6.99\r\n<em>Red onion, tomatoes, lettuce &amp; tzatziki sauce, feta cheese optional.</em>\r\n<em>Add a half order of potato wedges</em> -$8.99\r\n<em>Cup of tzatziki sauce</em>- .50\r\n<h2>Wings &amp; Tenders</h2>\r\nDelicious Sauces….We’ve got everyone’s favorite!\r\n<ul>\r\n	<li>Mild</li>\r\n	<li>Medium</li>\r\n	<li>Hot</li>\r\n	<li>BBQ</li>\r\n	<li>Spicy BBQ</li>\r\n	<li>Honey BBQ</li>\r\n	<li>Honey Mustard</li>\r\n	<li>Buffalo Ranch</li>\r\n	<li>Jamaican Jerk</li>\r\n	<li>Hot Garlic</li>\r\n	<li>Teriyaki</li>\r\n	<li>Thai</li>\r\n	<li>Lemon Pepper</li>\r\n	<li>Mini Fried Chicken</li>\r\n</ul>\r\n<h3>************Carry-Out Special 10 wings for $9.99************</h3>\r\n<h2>Chicken Wings</h2>\r\nCovered in our lip-smackin’ sauces.\r\n<ul>\r\n	<li>Order of 5–$5.49</li>\r\n	<li>Order of 10–$10.99</li>\r\n	<li>Order of 15–$16.49</li>\r\n	<li>Order of 20–$21.99</li>\r\n	<li>Order of 25–$25.99</li>\r\n	<li>Order of 50–$49.99</li>\r\n</ul>\r\n<h2>Boneless Wings</h2>\r\nGet your chicken tenders tossed in your favorite lip-smackin’ wing sauce.\r\n<ul>\r\n	<li>Order of 10–$6.99</li>\r\n	<li>Order of 15–$9.49</li>\r\n	<li>Order of 20–$12.49</li>\r\n	<li>Order of 25–$15.49</li>\r\n</ul>\r\n<h2>Chicken Tenders</h2>\r\nJuicy chicken tenderloin breaded and cooked to perfection!\r\nIncludes Buck’s special tender dipping sauce.\r\n<ul>\r\n	<li>Order of 4–$4.19</li>\r\n	<li>Order of 6–$5.79</li>\r\n	<li>Order of 8–$7.49</li>\r\n	<li>Order of 12–$10.39</li>\r\n	<li>Order of 15–$12.99</li>\r\n	<li>Order of 20–$15.99</li>\r\n	<li>Order of 25–$19.49</li>\r\n	<li>Order of 50–$35.99</li>\r\n	<li>Order of 100–$67.99</li>\r\n</ul>\r\n<h3>*****Add blue cheese, ranch or honey mustard - 75¢ each*****</h3>\r\n<h2>Fried Chicken</h2>\r\nBuck’s Signature Recipe. Cooked fresh per order!\r\n<h3>Meals</h3>\r\n<strong>2 Piece Fried Chicken Meal</strong>-A fried chicken breast &amp; wings plus 2 small sides &amp; 2 rolls $7.99\r\n\r\n<strong>3 Piece Fried Chicken Meal</strong>-1 fried leg, wing &amp; thigh plus 2 small sides &amp; 2 rolls $7.99\r\n\r\n<strong>8 piece Fried Chicken Meal</strong>-2 fried chicken breast, 2 thighs, 2 wings &amp; 2 legs plus 2 large sides &amp; 4 rolls $19.99\r\n\r\n<strong>4 Piece Chicken</strong>-A fried chicken breast, thigh,wing &amp; leg served with 2 rolls $7.99\r\n\r\n<strong>8 Piece Chicken</strong>-2 fried chicken breasts, thighs, wings, legs served with 4 rolls $15.99\r\n\r\n<strong>Mini Fried Chicken</strong>-10 wingettes &amp; drumettes fried in our signature recipe $9.99\r\n<h2>SIDES</h2>\r\n<ul>\r\n	<li><strong>Small </strong>$2.19</li>\r\n	<li><strong>Large</strong> $3.99</li>\r\n</ul>\r\nCole slaw, mashed potatoes, baked beans, mac n cheese, or green beans\r\n\r\n<strong>2 rolls</strong> 1.59\r\n\r\n<strong>Potato Wedges</strong> 4.99\r\n\r\n<strong>Cheddar Wedges</strong> 5.99\r\n<h2>Specialty Pizzas</h2>\r\n<ul>\r\n	<li>Personal— $3.99</li>\r\n	<li>Small— $7.49</li>\r\n	<li>Medium— $11.99</li>\r\n	<li>Large— $14.99</li>\r\n	<li>X-Large— $18.99</li>\r\n	<li>Belly Buster— $20.99</li>\r\n</ul>\r\n<strong>Pepperoni Classic</strong>\r\n<em>America’s favorite pizza with an edge to edge layer of pepperoni &amp; extra mozzarella cheese.</em>\r\n\r\n<strong>Sausage Classic</strong>\r\n<em>Wake up your taste buds with lots of sausage &amp; extra mozzarella.</em>\r\n\r\n<strong>Hawaiian</strong>\r\n<em>A taste of the islands with generous portions of pineapple &amp; canadian bacon.</em>\r\n\r\n<strong>Old World (White Pizza)</strong>\r\n<em>Our light garlic sauce, topped with mozzarella, bacon &amp; sliced tomato.</em>\r\n<ul>\r\n	<li>Personal— $4.49</li>\r\n	<li>Small— $8.49</li>\r\n	<li>Medium— $13.99</li>\r\n	<li>Large— $17.99</li>\r\n	<li>X-Large— $20.99</li>\r\n	<li>Belly Buster— $24.99</li>\r\n</ul>\r\n<strong>Buck’s Deluxe</strong>\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage &amp; green pepper</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>\r\n<em>The backyard grilled flavor of hamburger &amp; bacon topped with mozzarella &amp; aged cheddar.</em>\r\n\r\n<strong>Vegi-Delite</strong>\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black olives, green olives &amp; sliced tomato.</em>\r\n\r\n<strong>5 Meat</strong>\r\n<em>A must for hearty appetites! Pepperoni, sausage, ham, bacon &amp; ground beef.</em>\r\n\r\n<strong>4 Cheese Medley</strong>\r\n<em>A bold blend of cheddar, mozzarella, parmesan &amp; feta cheese.</em>\r\n\r\n<strong>Margherita (White Pizza)</strong>\r\n<em>Our light garlic sauce with blended parmesan, sliced roma tomatoes, chopped fresh basil &amp; lots of mozzarella cheese.</em>\r\n<h3>New!</h3>\r\n<strong>My Goat Cheese Medley</strong>\r\n<em>You choose your favorite 2 toppings and we’ll top it off with fresh goat cheese!</em>\r\n\r\n<strong>Hot Diggity Dog</strong>\r\n<em>We start with all-beef hot dog franks stuffed around the edge of the crust and top it with pepperoni, sliced all-beef hot dogs &amp; extra cheese. Large only.</em>\r\n<ul>\r\n	<li>Personal— $4.99</li>\r\n	<li>Small— $9.49</li>\r\n	<li>Medium— $15.99</li>\r\n	<li>Large— $20.99</li>\r\n	<li>X-Large— $24.99</li>\r\n	<li>Belly Buster— $28.99</li>\r\n</ul>\r\n<strong>Steak ‘N Cheese (White Pizza)</strong>\r\n<em>Special light garlic sauce topped with real marinated chipped steak, onions, green peppers, mushrooms &amp; extra mozzarella.</em>\r\n\r\n<strong>Greek Pizza (White Pizza)</strong>\r\n<em>Our light garlic sauce, mozzarella, black olives, red onion, artichoke hearts, fresh roma tomato slices &amp; feta cheese.</em>\r\n\r\n<strong>Chicken Alfredo</strong>\r\n<em>Classic alfredo sauce with chicken, red onion &amp; real bacon, topped with mozzarella.</em>\r\n\r\n<strong>BBQ Chicken</strong>\r\n<em>Tender chunks of chicken tossed in our blend of BBQ &amp; pizza sauce, with red onion, real bacon, mozzarella &amp; aged cheddar.</em>\r\n\r\n<strong>Chicken Club (White Pizza)</strong>\r\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, canadian bacon, red onion &amp; bacon.</em>\r\n\r\n<strong>Spinach Alfredo</strong>\r\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon &amp; lots of</em>\r\n<em>mozzarella.</em>\r\n<h3>New!</h3>\r\n<strong>Buffalo Chicken</strong>\r\n<em>Your choice of Buck’s famous mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella &amp; chicken, all topped with sizzling bacon. Hang on to your hat!</em>\r\n<h2>Sweet Treats</h2>\r\n<strong>Fresh Baked Cookies</strong>\r\nChoose from: classic chocolate chip, better chocolate chip, white chocolate macadamia nut or brownie cookie\r\n<ul>\r\n	<li>Order of 3–$2.25</li>\r\n	<li>Order of 6–$4.50</li>\r\n	<li>Order of 12–$9.00</li>\r\n	<li>Order of 16–$2.00</li>\r\n	<li>Order of 20–$15.00</li>\r\n	<li>Order of 24–$18.00</li>\r\n</ul>\r\n<strong>Cannoli</strong>-$1.59 each, 2 for $3.99, or 4 for $5.99\r\n<em>A classic, delicious Italian pastry.</em>\r\n\r\n<strong>Dessert Pizza</strong> -each $4.99\r\nChoose from: cinnamon apple, peach cream cheese or pineapple cream cheese.\r\n\r\n&nbsp;", "Menu", "", "inherit", "closed", "closed", "", "444-revision-v1", "", "", "2015-11-09 20:56:22", "2015-11-09 20:56:22", "", "444", "http://buckspizza.com/2015/11/09/444-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("449", "1", "2015-11-12 15:08:06", "2015-11-12 15:08:06", "2401 S Shary Road, Suite A\r\nMission, TX 78572\r\n\r\n<a href=\"tel:956-581-8611\">956-581-8611</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[map height=\"500\" zoom=\"18\" color=\"#a30b32\" fullscreen=\"1\"]\r\n[pin icon=\"food\" center=\"1\" bounce=\"1\" directions=\"1\"]2401 S Shary Road, Suite A, Mission, TX 78752[/pin]\r\n[/map]", "Mission, Texas", "", "inherit", "closed", "closed", "", "74-autosave-v1", "", "", "2015-11-12 15:08:06", "2015-11-12 15:08:06", "", "74", "http://buckspizza.com/2015/11/12/74-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("452", "1", "2015-10-07 08:45:39", "2015-10-07 08:45:39", "Pizza. The pie. If you’re in a hurry, \'za.\r\n\r\nWhatever you call it, and however you like it, the food that found its way to America over a century ago has become a national favorite. Did you know an estimated 13 percent of the U.S. populace chows down on pizza on any given day?\r\n\r\nNew York thin. Chicago deep dish. Neapolitan traditional. Sicilian soft. Greek pan. California gourmet.\r\n\r\nTruth.\r\n\r\nThe pie may have originated in Italy, but it has casually morphed into an all-American symbol, and if you take a look at movies, you can see pizza is an edible but indelible part of pop culture.\r\n<h2><a href=\"https://youtu.be/p7IireBsC3Q\" target=\"_blank\">Spiderman 2</a></h2>\r\n<img class=\"alignnone size-full wp-image-475\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spiderman-2.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Spiderman 2\" />Spiderman gives pizza delivery a whole new twist. Peter Parker is late for work—again—due to a “disturbance.” As he pokes his Spidey mask out of sight in his jacket pocket, his boss tells him he’s got 7.5 minutes to cover 42 blocks and deliver 8 pizzas. Or else (the else being unemployment). Pete hops on his motor scooter and takes off, threading through taxis, ricocheting off cars, narrowly missing a city bus. With only two minutes left, he ducks into an alley, goes web slinger, and swings between buildings, pizza boxes tucked under his arm. But wouldn’t you know it? One short crawl from meeting the deadline, he’s forced to nip two kids out of the path of an oncoming truck.\r\n<h2><a href=\"https://youtu.be/EgmXewamiiY\" target=\"_blank\">Teenage Mutant Ninja Turtles</a></h2>\r\n<img class=\"alignnone size-full wp-image-477\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Teenage-Mutant-Ninja-Turtles.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Teenage Mutant Ninja Turtles\" />Spiderman isn’t the only superhero who takes his pizza delivery seriously—Rafael, Leonardo, Michelangelo, and Donatello do, too. Like, in every single movie. In this case, Mikey and Donnie gaze at the moon through an overhead sidewalk grate, waiting for the pizza guy, who has 30 seconds to deliver, or the shell-backs get a $3.00 discount.\r\n\r\n“Where the heck is One Twenty-two and an Eighth?” complains the pizza guy when he climbs off his scooter.\r\n\r\n“Down here, dude.”\r\n\r\nBy the way, the boys get the discount.\r\n<h2><a href=\"https://youtu.be/bObjXY24Ei4\" target=\"_blank\">Eat, Pray, Love</a></h2>\r\n<img class=\"alignnone size-full wp-image-478\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Eat-Pray-Love.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Eat Pray Love\" />Speaking of totally inspiring pie cinema, how about Julia Roberts going for pizza in Napoli? As her character munches on a slice of clearly delectably delicious Pizza Margherita—so called because it was originally created in 1889 to honor a queen of the same name—she says, “I’m in love. I’m having a relationship with my pizza.” When her weight-conscious BFF cites a 10-pound weight gain as the reason she can’t have any pie, Julia shakes her head. “What do you mean, you can’t? This is Pizza Margherita in Naples, Italy. It is your moral imperative to eat and enjoy that pizza.”\r\n\r\nListen to Julia. Julia knows.\r\n<h2><a href=\"https://youtu.be/HbA1YOueC_A\" target=\"_blank\">Do the Right Thing</a></h2>\r\n<img class=\"alignnone size-full wp-image-479\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Do-The-Right-Thing.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Do The Right Thing\" />When it comes to drama, perhaps no pizza scene can match “Boycott Sal’s” from Spike Lee\'s first big movie. Buggin’ Out stops in for a slice at the ever-popular Sal’s (the only white business in Bed-Stuy). Sal may make great pie, but he’s an operator, and not in a good way. Seriously. Who charges $1.50 for a slice, but $2.00 for extra cheese?\r\n\r\nGrumbling about the prices, Buggin’ Out claims a booth and picks up his slice, only to stop with it halfway to his mouth when he notices every picture on Sal’s Wall of Fame is of a white Italian guy, despite the fact that Sal’s customers are almost all Black. When Buggin’ fires up about that, the situation gets tense. Words fly, punctuated by a few threatening swings of Sal’s Louisville Slugger.\r\n<h2><a href=\"https://youtu.be/r_CDCrsO604?t=103\" target=\"_blank\">Spaceballs</a></h2>\r\n<img class=\"alignnone size-full wp-image-480\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spaceballs.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Spaceballs\" />It may not be a flattering portrayal for the pizza chain, but Pizza the Hutt is certainly one of the more memorable takeaways (or is it take-outs?) from Mel Brooks\' space saga parody. The blob of cheese and pepperoni threatens the movie\'s hero by extorting a million spacebucks. Lonestar and Barf are warned to pony up the pay in time or else \"pizza is gonna send out for you!\"\r\n<h2><a href=\"https://www.youtube.com/watch?v=5ztwns5PkJY\" target=\"_blank\">Back to the Future II</a></h2>\r\n<img class=\"alignnone size-full wp-image-481\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Back-to-the-Future-II.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Back to the Future II\" />Back to the Future II is nearing a milestone. Marty McFly, Jennifer, and Doc Brown head \"all the way into the future\" on October 21, 2015. They won\'t find flying cards, hoverboards, or even hydrators. While Jennifer is trapped in her future home after being placed there by police (who used her biodata to find out where she lived) she is able to see the family matriarch cook dinner. \"Boy, oh boy, mom,\" says Marty. \"You sure can hydrate a pizza.\"\r\n<h2><a href=\"https://www.youtube.com/watch?v=S0FphcAh3T8\" target=\"_blank\">Saturday Night Fever</a></h2>\r\n<img class=\"alignnone size-full wp-image-482\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Saturday-Night-Fever.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Saturday Night Fever\" />If you\'re talking pizza, you might be jive talkin\' if you don\'t recall John Travolta\'s Bee Gees-heavy strut down 86th Street. In the opening to this 70s classic, Tony Manero hits up Lenny\'s Pizza (a real place still in business in the same location!). He wants two slices, but he\'s carrying a paint can. What to do? Stack on slice on top of the other. How many times have you tried it?\r\n<h2><a href=\"https://www.youtube.com/watch?v=6J8__fWphE0\" target=\"_blank\">Fast Times at Ridgemont High</a></h2>\r\n<img class=\"alignnone size-full wp-image-483\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Fast-Times-At-Ridgemont-High.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Fast Times At Ridgemont High\" />No Double Cheese and Sausage ever tasted so terrific. No teacher ever schooled a slacker quite like Mr. Hand. Thanks to Spicoli, we\'re sure it was no coincidence that sharing pizza and communist Cuba were connected. Sean Penn\'s look of disgust when his classmates scarf down his pie says it all.\r\n<h2><a href=\"https://www.youtube.com/watch?v=GcOsVzSOqoQ\" target=\"_blank\">Home Alone</a></h2>\r\n<img class=\"alignnone size-full wp-image-484\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Home-Alone.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Home Alone\" />If you\'ve ever wanted to prank a pizza delivery person—don\'t. You can\'t do it funnier than \"Kevin\" in the movie Home Alone—and it\'s just plain mean. Faced with nothing but time, he loots his brother\'s stash of cash and orders pizza from Little Nero\'s and rather than answer the door, he pays for his pie ($11.80, if you\'re a trivia buff) with the aid of \"Angels With Filthy Souls\", a fictional mobster movie. Don\'t act like you don\'t remember, you filthy animal!", "Have You Seen These Iconic Pizza Movie Scenes?", "", "draft", "closed", "closed", "", "have-you-seen-these-iconic-pizza-movie-scenes", "", "", "2017-08-04 15:55:20", "2017-08-04 15:55:20", "", "0", "http://buckspizza.com/?p=452", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("455", "1", "2015-10-14 08:45:14", "2015-10-14 08:45:14", "Cold beer has long been the traditional beverage choice of pizza lovers when enjoying their favorite slice of deliciousness, but today\'s changing culinary scene has brought wine into the picture. Pairing wine and pizza might seem like a mystery to some, complicated by the fact that most pizza features strong flavors. The trick is to select wines with large flavor profiles so that their charms aren\'t overpowered by the pizza toppings.\r\n<h2>Classic Pepperoni Pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-519\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings-Classic-Pepperoni-Pizza.jpg\" alt=\"Wine Pairing for Pizza Toppings-Classic Pepperoni Pizza\" />\r\n\r\n<em>Southern </em><em>Italian primitivo</em>\r\n\r\nIce cold American lager and hot pepperoni pizza is a culinary classic that\'s hard to beat. It takes a big wine to compete with cold beer where this type of pizza is concerned, and inky, intense primitivo from southern Italy pulls off the necessary flavor profile perfectly. Rich in tannins, primitivo brings out the best in spicy pepperoni and any other pizza crafted with red meat.\r\n\r\nClassic pizza dishes almost always pair best with wines from Italy because food and wine evolved together. However, many of today\'s pizza chefs are experimenting with nontraditional ingredients. When in doubt, go local if the pizza isn\'t prepared in authentic Italian style.\r\n<h2>Prosciutto Pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-521\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings-Prosciutto-Pizza.jpg\" alt=\"Wine Pairing for Pizza Toppings-Prosciutto Pizza\" />\r\n\r\n<em>Chianti</em>\r\n\r\nEarthy, spicy Chianti pairs well with cured meats such as prosciutto, sausage, and salumi. Chianti is a medium-bodied red wine with notes of cloves, pepper, and ordinary kitchen garden herbs such as thyme, oregano, and dill. It also pairs well with Canadian bacon pizza because it\'s got traces of fruit in its bouquet that blend seamlessly with fresh pineapple chunks.\r\n<h2>Smoked Salmon Pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-522\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings-Smoked-Salmon-Pizza.jpg\" alt=\"Wine Pairing for Pizza Toppings-Smoked Salmon Pizza\" />\r\n\r\n<em>Pacific Northwest Pinot Noir</em>\r\n\r\nOne of the reasons why wine has popularity among pizza lovers recently is that the face of pizza has evolved significantly to include nontraditional ingredients. Smoked salmon is excellent on pizza, particularly when paired with grilled mushrooms and white cheese, but it needs something besides beer to be at its best. A Pacific Northwest pinot noir complements smoked salmon pizza perfectly. Keep in mind that pinot noirs produced in France have softer bouquets than earthy Oregon and Washington varietals and might not stand up well when served with salmon.\r\n<h2>Seafood Pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-523\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings-Seafood-Pizza.jpg\" alt=\"Wine Pairing for Pizza Toppings-Seafood Pizza\" />\r\n\r\n<em>Muscadet</em>\r\n\r\nSeafood pizza featuring crab, halibut, mussels, shrimp, and various other treasures from the ocean should be enjoyed with a properly chilled bottle of muscadet. Muscadet typically grows in vineyards near the seashore and features a soft bite of salty tang in its bouquet.\r\n<h2>Vegetarian and Vegan Pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-524\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings-Vegetarian-Pizza.jpg\" alt=\"Wine Pairing for Pizza Toppings-Vegetarian-Pizza\" />\r\n\r\n<em>White wines</em>\r\n\r\nAlthough most pizza calls for red wine, vegetarian pizza can be enjoyed with the right white wine, but wine selection will depend on the actual ingredients. Vegetarian pizza featuring smoked goat cheese cries out for accompaniment by a softly floral Grüner Veltliner, while pizza topped with classic mozzarella and garden vegetables such as broccoli and diced carrots goes better with a simple pinot gris. Vegetarian pizzas that are heavy on the cheese are enhanced significantly when enjoyed with a light Beaujolais or a sparkling rosato.\r\n\r\nVegan pizzas pair best with tart white wines with crisp green notes such as sauvignon blanc.\r\n<h2>Barbecued Chicken Pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-525\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings-Classic-Barbecued-Chicken-Pizza.jpg\" alt=\"Wine Pairing for Pizza Toppings-Barbecued Chicken Pizza\" />\r\n\r\n<em>Malbec or pinot noir</em>\r\n\r\nSlightly sweet and smoky barbecued chicken pizza needs a wine that features fruity notes high on its flavor profile. Malbec from Argentina is perfect for pairing with smoked chicken pizza that was crafted with molasses, while barbecue sauces made with honey should be served with a pinot noir.\r\n\r\nThe kind of wine enjoyed with pizza is also a matter of personal preference. Finding the best wines to serve with pizza may just mean having to undertake an enjoyable culinary journey for yourself!", "Wine Pairing for Pizza Toppings", "", "draft", "closed", "closed", "", "wine-pairing-pizza-toppings", "", "", "2017-08-04 15:56:10", "2017-08-04 15:56:10", "", "0", "http://buckspizza.com/?p=455", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("457", "1", "2015-10-21 08:45:50", "2015-10-21 08:45:50", "Pizza is undoubtedly one of the most popular foods on the planet. But what constitutes “the best” can mean different things to different people. Some like New York-style thin crust; some like deep-dish Chicago pan-style, and some like the artisan pizzas that are California-fresh. If you\'re traveling to the City of Angels and craving some pizza, you can ask a local or consult the list (in no particular order) of our choices for the top spots for 2015.\r\n<h2><a href=\"http://la.pizzeriamozza.com/\" target=\"_blank\">Pizzeria Mozza</a></h2>\r\nIf you’re looking for a gourmet pizza made with the freshest ingredients, this is it. Pizzeria Mozza has a unique crust, which is like a thick and chewy pretzel on the edge and thin and crispy everywhere else. Try distinctive flavor combinations like fennel sausage, caramelized onions and prosciutto, or goat cheese with scallions, leeks, bacon, and garlic. Be sure to sample their weekend brunch pizzas, too. Choose from bacon, egg, onion, and potato, or a luscious gravlax with capers, Bermuda onion, cherry tomatoes, and fresh dill.\r\n<h2><a href=\"http://desanopizza.it/\" target=\"_blank\">DeSano Pizza Bakery</a></h2>\r\nFor an authentic Neapolitan pizza with a thin and crispy wood-charred crust, head to DeSano’s. They use fine imported ingredients direct from Italy, still knead the dough by hand, and cook in world-famous Acunto ovens that are so hot, each pizza takes only 90 seconds to cook! Try the Cappricciosa with San Marzano tomato sauce, mushrooms, artichokes, prosciutto, garlic, and Buffalo mozzarella.\r\n<h2><a href=\"http://www.masaofechopark.com/\" target=\"_blank\">Masa of Echo Park</a></h2>\r\nThis is the definitive place to go for traditional Chicago deep-dish pan style pizza on the West coast. The owner is a native Chicagoan, so this is the real deal. This style pizza takes 45 minutes to an hour to prepare, so plan accordingly. Grab a classic sweet Italian sausage and mushroom or choose from dozens of ingredients to make your own personal favorite. Vegetarians and vegans love this place because of all the different ingredients offered, including soy cheese. Don’t forget to save room for dessert at this joint, they’ve got a warm croissant bread pudding baked in vanilla custard and drizzled with caramel sauce that is to die for.\r\n<h2><a href=\"http://www.pizzastudio.com/\" target=\"_blank\">Pizza Studio</a></h2>\r\nWithin walking distance of USC, Pizza Studio lets you make your own pizza. Pick a crust, traditional, flavored, or gluten-free; choose from several sauces, like tomato or pesto; pick a cheese, mozzarella, feta, or goat, and then the toppings. Just the way you like it, every time.\r\n<h2><a href=\"http://primepizza.la/\" target=\"_blank\">Prime Pizza</a></h2>\r\nIf a New York thin crust is more your style, try Prime Pizza. The crust has just enough chew to it. Order a whole pie or just stop in for a quick slice to go. Try the sausage and kale. They’ve also got free delivery.\r\n<h2><a href=\"http://www.pizzeriailfico.com/\" target=\"_blank\">Pizzeria Il Fico</a></h2>\r\nOn hip and trendy Robertson Boulevard in the Beverly Grove Los Angeles neighborhood, you’ll find Pizzeria Il Fico makes a great wood-fired artisan pizza. Try the garlic shrimp, artichokes, arugula, and lemon pizza with a fresh Caprese salad on the side.\r\n<h2><a href=\"http://www.oliowfp.com/\" target=\"_blank\">Olio Wood Fired Pizzeria</a></h2>\r\nOlio’s has a great neighborhood hangout vibe about it. They make their own free-range chicken sausage and pair it with fire-roasted red peppers and fresh arugula for an out-of-this-world pizza. Vegetarians love the wild mushroom and three-cheese blend.\r\n<h2><a href=\"http://www.vitopizza.com/\" target=\"_blank\">Vito’s Pizza</a></h2>\r\nSome consider Vito’s the magic pizza gateway from New York and New Jersey. The pizza comes in one size only—big! The dough is prepared fresh daily and makes an 18-inch pie. A must-try is the “Chi-Chi,” with fresh arugula, prosciutto de parma, gorgonzola, and toasted pine nuts on a white sauce.\r\n<h2><a href=\"http://cruzerpizza.com/\" target=\"_blank\">Cruzer Pizza</a></h2>\r\nVegetarians and vegans, rejoice! Cruzer’s is the only 100-percent animal-free vegan pizzeria in LA. Enjoy vegan “meats” like, ham, pepperoni, sausage, and ground beef, on your choice of thin, thick, whole wheat, or gluten-free crust.\r\n<h2><a href=\"http://www.thecooppizza.net/\" target=\"_blank\">The Coop</a></h2>\r\nGrab a slice or a whole pie. The dough is fresh, and the prices are the best you can get. Don’t forget to bring your cash because that’s the only tender that’s good there. Family-owned and operated for over 40 years.", "10 Best Pizza Places in Los Angeles", "", "draft", "closed", "closed", "", "10-best-pizza-places-los-angeles-2015", "", "", "2017-08-04 15:55:46", "2017-08-04 15:55:46", "", "0", "http://buckspizza.com/?p=457", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("459", "1", "2015-11-04 08:45:54", "2015-11-04 08:45:54", "Pizza—one of history\'s greatest food inventions! Whether warm for dinner, cold for breakfast, or something in between, there is no denying it is one of the most popular—and accessible—foods on the planet. With so many ways to prepare and so many ways to enjoy, pizza might become an afterthought of a meal if it weren\'t for people applying a little science and ingenuity to create some \"pie-tech\" pizza hacks.\r\n<h2>Prevent mushy reheated crust</h2>\r\nLeftover pizza really can be just as delicious the second time around. You can reheat with an oven, but if you just don\'t have the time, a microwave can do the trick. <em>\"But the crust is soggy when I do it that way!\"</em> Can the mushy microwaved pizza crust be beaten? To keep from ruining that perfectly good leftover slice, microwave a small amount of water in a glass alongside the pizza. You\'re not \"steaming\" the pizza, but using the water as a \"heat sink\" to help keep the moisture in the crust from evaporating and then condensing into a hot mess.\r\n<h2>College cooker</h2>\r\nThis trick is perfect for college kids or anyone lacking a standard microwave. Got an iron and some aluminum foil? Take some foil (if you\'ve got a cooking spray, it might be helpful for this side) and turn that pizza top-side down on top of it. Use a second piece of foil for the bottom of the pie and place that hot iron right on top. After a short time, flip your foil sandwich over and heat the other side. Two things to note: don\'t forget the foil and don\'t overdo it. You\'re not trying to iron creases out of your pizza, after all!\r\n<h2>Waffle-iron pizza</h2>\r\nThis trick may not be new, but it\'s popular because it is so incredibly tasty! To utilize this method, take a slice of pizza and add additional desired toppings to the upper left-hand corner. Take the bottom of the slice and roll it up towards the toppings you\'ve just added. Then cut off the crust. Place your folded pie on a pre-heated waffle iron. Heat for about 5 minutes, or until the cheese is gooey and the crust is golden brown. The nooks created by the waffle iron create a delicious final product perfect for dipping, so be sure to have your favorite sauces or oils on hand to make this creation even better.\r\n<h2>Pizza sandwich</h2>\r\nFor an unbelievably amazing treat, take 2 slices of pizza and add cheese to the middle, keeping the crust on the outside. Grated cheese or sliced cheddar works best, but any cheese should produce satisfactory results. Place the pizza sandwich in a pre-heated pan turned to medium-to-high heat, keeping or discarding the crusts depending on your preference. Cook for about 3 minutes on each side, until the cheese is bubbly in the center and pizza is heated all the way through.\r\n<h2>Pizza transportation</h2>\r\nIf you\'ve got seat warmers, why not use them? If you\'re picking up your pizza yourself, bring a bottle of water and lay it down on the passenger seat. Turn on that seat\'s warmer on the way over to the pizza place and when you get back in the car, you\'ll be able to keep the pizza level with the water bottle but also have a warm seat to help keep it from getting too cold on the trip home. Just make sure you divert your air conditioning so it doesn\'t defeat the purpose and chill the top of the box. You can also place oven mitts on the car seat on the way to pick up and then put those warm mitts on top of the box on the way back.\r\n<h2>Create-Your-Own pizza oven</h2>\r\nWho needs a super-expensive pizza stone? To create the ultimate pizza, why not make your own pizza brick oven? Just like a \"stone\", this method helps distribute the heat inside your oven evenly. Purchase 2-12\" <strong>unglazed</strong> ceramic tiles, or 8-6\" pieces. They <strong>must be unglazed</strong>, and they must be arranged in 2 layers.\r\n\r\nArrange the bricks in the oven on two different racks. The base layer is responsible for producing crispy crusts, while the top layer increases the temperature around the pizza by generating extreme heat from the bricks above. This even distribution of heat produces attractive, golden-brown top crusts. For best results, place the stones in the oven while it is still cold. Elevate the oven\'s temperature as high as possible over the course of about 45 minutes until the stones are extremely hot.\r\n\r\nJust as with a pizza stone, you should leave the bricks or tiles in the oven to cool before removing. The whole point is that those pizza stones retain heat well, so taking them out when they are still hot is very dangerous. Oh, and don\'t even think about taking anything out of a warm oven without protecting your hands!", "7 Genius Pizza Hacks", "", "draft", "closed", "closed", "", "7-genius-pizza-hacks-2015", "", "", "2017-08-04 15:55:20", "2017-08-04 15:55:20", "", "0", "http://buckspizza.com/?p=459", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("461", "1", "2015-11-11 08:45:29", "2015-11-11 08:45:29", "When thoughtfully planned, family movie night can create magical memories for everyone. While many people have their own fond movie night memories to draw from, not everyone can draw on experience when planning their own evening. It might help to picture that perfect gathering and start from the beginning.\r\n<div id=\"textpreview\">\r\n<h2>Schedule the night</h2>\r\nGet everyone excited for the upcoming movie night by making it a priority. You can certainly have a spur-of-the-moment movie night with pizza—and those can create their own wonderful memories. Scheduling it ahead of time helps build excitement for something truly special and has the added bonus of preventing the creation of other plans. Mark the date on the family calendar as a special event. If you\'ve got tech savvy family members, you can even send out electronic invitations. If you\'re looking for this evening to stand out, you might even considering crafting and handing out personal invitations.\r\n\r\nWhen you\'re scheduling the date, make sure you also take the time and the members of the audience into consideration. It should be early enough so that it\'s not the very last thing people do before hitting the sheets for lights out and that can change with age.\r\n<h2>Choose a family-friendly movie</h2>\r\nStreaming a movie that the entire family will enjoy is a must for a successful night. Netflix, Amazon Prime or Hulu are great sources for both new and older movies. A local Redbox can also be used to rent the latest releases. Rotating who gets to choose the movie each movie night can ensure everyone gets to see their favorite and will allow older favorites to be watched again and again.\r\n\r\nIf you were looking for \"how to host the perfect scary movie night\", you might choose a different type of movie, but consider selecting something that everyone in the audience will not only enjoy, but a family-friendly blockbuster that will stand the test of time and add to the memory.\r\n<h2>Set the Scene</h2>\r\nDecide if the evening should be held indoors or outdoors. A simple blanket fort can be constructed indoors, allowing everyone to cuddle together underneath while viewing the movie. Have plenty of throw pillows laying out and blankets for staying warm. Twinkling lights that are hung up strategically around the room can add to the cozy atmosphere and mimic the soft house lights or floor lights in a theater that no one notices when the movie is playing.\r\n\r\nIf the weather permits and you have space, consider moving the film outdoors. A projector and a white sheet can be used to create an outdoor theater. Using outdoor lanterns to guide the path back to the house will help to set the scene and ensure no one trips when going to the restroom.\r\n\r\n</div>\r\nMood matters, so matching the scene to the movie can make it even more memorable. Encourage everyone to turn off their cell phones and tablets, or silence them, to keep extra noise distractions away and help everyone bond together as a family. That may actually be the biggest challenge of all!\r\n<div id=\"textpreview\">\r\n<h2>Have plenty of food</h2>\r\nPopcorn is always appreciated during movies, but this might be the perfect time to branch out into other dinner and snack foods. Convenient and easy food options will make both cooking and clean-up simple.\r\n\r\nPizza is one food that almost everyone enjoys. Have fun making homemade pizza as a family before the movie starts, buy one at the store to bake at home or order delivery or carry out. It\'s probably the ultimate handheld meal. You can try chinese takeout, burgers and fries, sub sandwiches, nachos or any food that fits the mood.\r\n\r\nDecide if you want to eat during the film or before, but make sure to have a special treat for everyone in the audience. Buying snacks at the movie theater can be expensive, but at your special movie night, have those rarely enjoyed treats ready. Set out chips, dip, apple slices, roasted chickpeas, yogurt-dipped pretzels, crunchy veggies—go gourmet for this special night. For a sweet ending to the night, consider a sundae bar with bowls of typical movie candy set out for the ice cream toppings.\r\n<h2>Schedule an Intermission</h2>\r\nYou might need to be familiar with the movie to find the perfect time to take a break, but build one in at some point during the movie. Pick a spot or two where you can pause without problems and use that power you have since you\'re in control. It allows everyone to use the restroom, refill their plates, get drinks and stretch. After you\'ve taken a break yourself, assess the food and comfort situation. Take the opportunity to observe what\'s happening in the room and make some small adjustments—add another pillow or blanket, clean up a potential mess, or refill snacks and put away food no one is eating. Before unpausing, ask the room (especially young children) if everyone remembers what\'s happening in the movie and what\'s going on. You can even make a game out of your breaks by guessing what will be the first word spoken after pressing play!\r\n<h2>After the movie</h2>\r\nLet everyone play movie critic by talking about the film the next day. Doing so will give everyone a chance to express their opinion and recall like this helps to solidify the memories that were made. This is also a great time to get input and ideas for a future film night.\r\n\r\nIt may look different for each household, but creating the perfect family movie night at home doesn\'t have to be expensive or exhausting.\r\n\r\n</div>", "How to Host the Perfect Family Movie Night at Home", "", "draft", "closed", "closed", "", "how-host-perfect-family-movie-night-home", "", "", "2017-08-04 15:55:20", "2017-08-04 15:55:20", "", "0", "http://buckspizza.com/?p=461", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("462", "1", "2015-11-13 18:13:33", "2015-11-13 18:13:33", "When thoughtfully planned, family movie night can create magical memories for everyone. While many people have their own fond movie night memories to draw from, not everyone can draw on experience when planning their own evening. It might help to picture that perfect gathering and start from the beginning.\r\n<div id=\"textpreview\">\r\n<h2>Schedule the night</h2>\r\nGet everyone excited for the upcoming movie night by making it a priority. You can certainly have a spur-of-the-moment movie night with pizza—and those can create their own wonderful memories. Scheduling it ahead of time helps build excitement for something truly special and has the added bonus of preventing the creation of other plans. Mark the date on the family calendar as a special event. If you\'ve got tech savvy family members, you can even send out electronic invitations. If you\'re looking for this evening to stand out, you might even considering crafting and handing out personal invitations.\r\n\r\nWhen you\'re scheduling the date, make sure you also take the time and the members of the audience into consideration. It should be early enough so that it\'s not the very last thing people do before hitting the sheets for lights out and that can change with age.\r\n<h2>Choose a family-friendly movie</h2>\r\nStreaming a movie that the entire family will enjoy is a must for a successful night. Netflix, Amazon Prime or Hulu are great sources for both new and older movies. A local Redbox can also be used to rent the latest releases. Rotating who gets to choose the movie each movie night can ensure everyone gets to see their favorite and will allow older favorites to be watched again and again.\r\n\r\nIf you were looking for \"how to host the perfect scary movie night\", you might choose a different type of movie, but consider selecting something that everyone in the audience will not only enjoy, but a family-friendly blockbuster that will stand the test of time and add to the memory.\r\n<h2>Set the Scene</h2>\r\nDecide if the evening should be held indoors or outdoors. A simple blanket fort can be constructed indoors, allowing everyone to cuddle together underneath while viewing the movie. Have plenty of throw pillows laying out and blankets for staying warm. Twinkling lights that are hung up strategically around the room can add to the cozy atmosphere and mimic the soft house lights or floor lights in a theater that no one notices when the movie is playing.\r\n\r\nIf the weather permits and you have space, consider moving the film outdoors. A projector and a white sheet can be used to create an outdoor theater. Using outdoor lanterns to guide the path back to the house will help to set the scene and ensure no one trips when going to the restroom.\r\n\r\n</div>\r\nMood matters, so matching the scene to the movie can make it even more memorable. Encourage everyone to turn off their cell phones and tablets, or silence them, to keep extra noise distractions away and help everyone bond together as a family. That may actually be the biggest challenge of all!\r\n<div id=\"textpreview\">\r\n<h2>Have plenty of food</h2>\r\nPopcorn is always appreciated during movies, but this might be the perfect time to branch out into other dinner and snack foods. Convenient and easy food options will make both cooking and clean-up simple.\r\n\r\nPizza is one food that almost everyone enjoys. Have fun making homemade pizza as a family before the movie starts, buy one at the store to bake at home or order delivery or carry out. It\'s probably the ultimate handheld meal. You can try chinese takeout, burgers and fries, sub sandwiches, nachos or any food that fits the mood.\r\n\r\nDecide if you want to eat during the film or before, but make sure to have a special treat for everyone in the audience. Buying snacks at the movie theater can be expensive, but at your special movie night, have those rarely enjoyed treats ready. Set out chips, dip, apple slices, roasted chickpeas, yogurt-dipped pretzels, crunchy veggies—go gourmet for this special night. For a sweet ending to the night, consider a sundae bar with bowls of typical movie candy set out for the ice cream toppings.\r\n<h2>Schedule an Intermission</h2>\r\nYou might need to be familiar with the movie to find the perfect time to take a break, but build one in at some point during the movie. Pick a spot or two where you can pause without problems and use that power you have since you\'re in control. It allows everyone to use the restroom, refill their plates, get drinks and stretch. After you\'ve taken a break yourself, assess the food and comfort situation. Take the opportunity to observe what\'s happening in the room and make some small adjustments—add another pillow or blanket, clean up a potential mess, or refill snacks and put away food no one is eating. Before unpausing, ask the room (especially young children) if everyone remembers what\'s happening in the movie and what\'s going on. You can even make a game out of your breaks by guessing what will be the first word spoken after pressing play!\r\n<h2>After the movie</h2>\r\nLet everyone play movie critic by talking about the film the next day. Doing so will give everyone a chance to express their opinion and recall like this helps to solidify the memories that were made. This is also a great time to get input and ideas for a future film night.\r\n\r\nIt may look different for each household, but creating the perfect family movie night at home doesn\'t have to be expensive or exhausting.\r\n\r\n</div>", "How to Host the Perfect Family Movie Night at Home", "", "inherit", "closed", "closed", "", "461-revision-v1", "", "", "2015-11-13 18:13:33", "2015-11-13 18:13:33", "", "461", "http://buckspizza.com/2015/11/13/461-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("463", "1", "2015-11-18 08:45:45", "2015-11-18 08:45:45", "You’re way too creative to settle for plain old turkey this Thanksgiving. You\'re a nonconformist with a taste for the original and it\'s time to transform that traditional dinner or those leftovers. Why not create a Thanksgiving pizza? Seriously!\r\n\r\nThink about it—is it really that crazy? If barbecue sauce, broccoli, potatoes and pineapple ended up on pizza, why not foods like turkey and stuffing? Take a look at some already tried and tested seasonal pie recipes, and you’ll see it\'s time Thanksgiving pizza (or post-Thanksgiving pizza) makes it mainstream.\r\n<h2><a href=\"http://www.foodnetwork.com/recipes/duff-goldman/thanksgiving-pizza-recipe.html\" target=\"_blank\">Duff Goldman’s Thanksgiving Pizza—Food Network</a></h2>\r\n<img class=\"aligncenter wp-image-537 size-full\" src=\"http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Duff-Goldmans-Thanksgiving-Pizza-Food-Network.jpg\" alt=\"Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-Duff Goldman\'s Thanksgiving Pizza-Food Network\" width=\"800\" height=\"250\" />\r\n\r\nWhat do you get when you combine old-fashioned pizza dough with leftover gobbler, mashed potatoes and gravy, chunky cranberry sauce, a cup of stuffing, and a few other well-chosen ingredients? Well, in 50 minutes or so, you’ve got a pie that says “thankful” in a whole new way!\r\n<h2><a href=\"http://www.food.com/recipe/thanksgiving-pizza-265701\" target=\"_blank\">Florida Keys Jen’s Thanksgiving Pizza—Food.com</a></h2>\r\nIf you like your Thanksgiving pizza light on crust but heavy on the bird, this is the recipe for you! Fill up with a pound of turkey sausage and a couple cups of turkey breast over a thin pizza crust.\r\n<h2></h2>\r\n<h2><a href=\"http://www.tablespoon.com/recipes/thanksgiving-pizza/6adb0856-0730-42f1-8200-79b2aa2923e4\" target=\"_blank\">Cheeky Kitchen Thanksgiving Pizza—Tablespoon</a></h2>\r\n<img class=\"aligncenter size-full wp-image-542\" src=\"http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Cheeky-Kitchen-Thanksgiving-Pizza-Tablespoon.jpg\" alt=\"Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-Cheeky Kitchen Thanksgiving Pizza-Tablespoon\" />\r\n\r\nWhat could be better than cheesy Thanksgiving pizza that includes all the food groups but takes less than an hour to make, including prep time?\r\n<h2><a href=\"http://abcnews.go.com/GMA/recipe/lindy-grundys-leftover-thanksgiving-pizza-15027681\" target=\"_blank\">Lindy and Grundy’s Leftover Thanksgiving Pizza—Good Morning America</a></h2>\r\nClass up your post-Thanksgiving pizza with brussels sprouts, goat cheese, and dried cranberries. Better still, do it in an hour or less!\r\n<h2></h2>\r\n<h2><a href=\"http://www.bakedbyrachel.com/leftover-thanksgiving-turkey-pizza/\" target=\"_blank\">Leftover Thanksgiving Turkey Pizza—Baked by Rachel</a></h2>\r\n<img class=\"aligncenter size-full wp-image-541\" src=\"http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Leftover-Thanksgiving-Turkey-Pizza-Baked-by-Rachel.jpg\" alt=\"Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-Leftover Thanksgiving Turkey Pizza-Baked by Rachel\" />\r\n\r\nHomemade pizza dough topped by a layer of creamy mashed potatoes, a cup of stuffing, turkey, and cheeses? Then drizzled with gravy? Now you’re talking!\r\n<h2><a href=\"http://www.copykat.com/2012/11/18/double-daves-thanksgiving-pizza/\" target=\"_blank\">Double Dave’s Thanksgiving Pizza—CopyKat Recipes</a></h2>\r\nLow on leftovers? Well you won’t need much more than a little chopped turkey, a handful of stuffing, and a couple dabs of jellied cranberry sauce to create this totally tasty post-Thanksgiving pie.\r\n<h2><a href=\"http://whiteonricecouple.com/recipes/bbq-turkey-pizza/\" target=\"_blank\">BBQ Thanksgiving Turkey Pizza—White On Rice Couple</a></h2>\r\n<img class=\"aligncenter size-full wp-image-543\" src=\"http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-BBQ-Thanksgiving-Turkey-Pizza-White-On-Rice-Couple.jpg\" alt=\"Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-BBQ Thanksgiving Turkey Pizza-White On Rice Couple\" />\r\n\r\nHow about cheese-smothered, personal-sized turkey pizzas made with flat bread and tangy BBQ sauce instead of marinara? No flat bread? Try using the same ingredients on tortillas or French baguettes!\r\n<h2><a href=\"http://www.landolakes.com/recipe/4036/thanksgiving-leftovers-pizza\" target=\"_blank\">Land O’ Lakes Thanksgiving Leftovers Pizza—Land O’ Lakes</a></h2>\r\nGet garlicky with it when you combine two cloves with your traditional T-Day leftovers and cheddar cheese. Bake the whole thing up in a square pan, and you’ve got a pie that will please the whole family.\r\n<h2></h2>\r\n<h2><a href=\"http://www.completelydelicious.com/2014/11/thanksgiving-leftovers-pizza.html\" target=\"_blank\">Thanksgiving Leftovers Pizza—Completely Delicious</a></h2>\r\n<img class=\"aligncenter size-full wp-image-538\" src=\"http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Pizza-Completely-Delicious.jpg\" alt=\"Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-Thanksgiving Leftovers Pizza-Completely Delicious\" />\r\n\r\nPile on all the leftovers! Veggies, too, if you want—brussels sprouts, sweet potatoes, carrots, whatever. This pizza is only as limited as your imagination!\r\n<h2><a href=\"http://allrecipes.com/recipe/235452/thanksgiving-leftover-pizza/\" target=\"_blank\">Thanksgiving Leftover Pizza—Allrecipes</a></h2>\r\nTurkey gravy for sauce? You bet. Add garlic, a liberal sprinkling of fresh sliced mushrooms, and, yum! Dip your just-from-the-oven pie in leftover cranberry sauce or spinach dip to kick the yum factor up even higher.\r\n<h2><a href=\"http://jellytoastblog.com/thanksgiving-leftover-pizza/\" target=\"_blank\">Thanksgiving Leftover Pizza—Jelly Toast</a></h2>\r\n<img class=\"aligncenter size-full wp-image-540\" src=\"http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftover-Pizza-Jelly-Toast.jpg\" alt=\"Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-Thanksgiving Leftover Pizza-Jelly Toast\" />\r\n\r\nNow let’s talk healthy Thanksgiving pizza with a touch of gourmet. It starts with a whole-grain crust topped with cranberry relish instead of marinara. The pie is topped off with mashed potatoes, stuffing, turkey, and crumbled goat cheese.\r\n<h2><a href=\"http://www.myrecipes.com/recipe/turkey-alfredo-pizza-0\" target=\"_blank\">Turkey Alfredo Pizza—My Recipes</a></h2>\r\nHow do shredded turkey, collard greens and/or spinach, commercial (or homemade) Alfredo sauce and a thin pizza crust sound? Add fontina cheese and a bit of crushed red pepper for a seriously creative, awesomely delicious way to serve that leftover turkey.\r\n<h2><a href=\"https://www.angelicbakehouse.com/recipe/thanksgiving-leftovers-flatzza-recipe/\" target=\"_blank\">Thanksgiving Leftovers Flatzza® Pizza—Angelic Steakhouse</a></h2>\r\n<img class=\"aligncenter size-full wp-image-539\" src=\"http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Flatzza-Pizza-Angelic-Steakhouse.jpg\" alt=\"Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-Thanksgiving Leftovers Flatzza Pizza-Angelic Steakhouse\" />\r\n\r\nIf you want to go all out, try this pizza with Angelic Seven-Grain Sprouted Crust, green beans, mashed potatoes, turkey, cranberry sauce, and Angelic Seven-Grain Sprouted Stuffing. It’s one of a kind, people. We’re just saying.", "Thanksgiving Pizza? Yep, That’s a Thing! Here Are 13 Recipes", "", "draft", "closed", "closed", "", "thanksgiving-pizza-13-recipes", "", "", "2017-08-04 15:56:10", "2017-08-04 15:56:10", "", "0", "http://buckspizza.com/?p=463", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("467", "1", "2015-11-18 04:15:13", "2015-11-18 04:15:13", "", "Have-You-Seen-These-Iconic-Pizza-Movie-Scenes", "", "inherit", "closed", "closed", "", "have-you-seen-these-iconic-pizza-movie-scenes", "", "", "2015-11-18 04:15:18", "2015-11-18 04:15:18", "", "452", "http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("468", "1", "2015-11-18 04:23:18", "2015-11-18 04:23:18", "", "Wine-Pairing-for-Pizza-Toppings", "", "inherit", "closed", "closed", "", "wine-pairing-for-pizza-toppings", "", "", "2015-11-18 04:23:22", "2015-11-18 04:23:22", "", "455", "http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("470", "1", "2015-11-18 04:58:46", "2015-11-18 04:58:46", "Buck\'s Pizza Vegi-Delite", "10-Best-Pizza-Places-in-Los-Angeles", "", "inherit", "closed", "closed", "", "10-best-pizza-places-in-los-angeles", "", "", "2015-11-18 05:00:39", "2015-11-18 05:00:39", "", "457", "http://buckspizza.com/wp-content/uploads/2015/10/10-Best-Pizza-Places-in-Los-Angeles.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("471", "1", "2015-11-18 05:00:51", "2015-11-18 05:00:51", "Pizza is undoubtedly one of the most popular foods on the planet. But what constitutes “the best” can mean different things to different people. Some like New York-style thin crust; some like deep-dish Chicago pan-style, and some like the artisan pizzas that are California-fresh. If you\'re traveling to the City of Angels and craving some pizza, you can ask a local or consult the list (in no particular order) of our choices for the top spots for 2015.\r\n<h2><a href=\"http://la.pizzeriamozza.com/\" target=\"_blank\">Pizzeria Mozza</a></h2>\r\nIf you’re looking for a gourmet pizza made with the freshest ingredients, this is it. Pizzeria Mozza has a unique crust, which is like a thick and chewy pretzel on the edge and thin and crispy everywhere else. Try distinctive flavor combinations like fennel sausage, caramelized onions and prosciutto, or goat cheese with scallions, leeks, bacon, and garlic. Be sure to sample their weekend brunch pizzas, too. Choose from bacon, egg, onion, and potato, or a luscious gravlax with capers, Bermuda onion, cherry tomatoes, and fresh dill.\r\n<h2><a href=\"http://desanopizza.it/\" target=\"_blank\">DeSano Pizza Bakery</a></h2>\r\nFor an authentic Neapolitan pizza with a thin and crispy wood-charred crust, head to DeSano’s. They use fine imported ingredients direct from Italy, still knead the dough by hand, and cook in world-famous Acunto ovens that are so hot, each pizza takes only 90 seconds to cook! Try the Cappricciosa with San Marzano tomato sauce, mushrooms, artichokes, prosciutto, garlic, and Buffalo mozzarella.\r\n<h2><a href=\"http://www.masaofechopark.com/\" target=\"_blank\">Masa of Echo Park</a></h2>\r\nThis is the definitive place to go for traditional Chicago deep-dish pan style pizza on the West coast. The owner is a native Chicagoan, so this is the real deal. This style pizza takes 45 minutes to an hour to prepare, so plan accordingly. Grab a classic sweet Italian sausage and mushroom or choose from dozens of ingredients to make your own personal favorite. Vegetarians and vegans love this place because of all the different ingredients offered, including soy cheese. Don’t forget to save room for dessert at this joint, they’ve got a warm croissant bread pudding baked in vanilla custard and drizzled with caramel sauce that is to die for.\r\n<h2><a href=\"http://www.pizzastudio.com/\" target=\"_blank\">Pizza Studio</a></h2>\r\nWithin walking distance of USC, Pizza Studio lets you make your own pizza. Pick a crust, traditional, flavored, or gluten-free; choose from several sauces, like tomato or pesto; pick a cheese, mozzarella, feta, or goat, and then the toppings. Just the way you like it, every time.\r\n<h2><a href=\"http://primepizza.la/\" target=\"_blank\">Prime Pizza</a></h2>\r\nIf a New York thin crust is more your style, try Prime Pizza. The crust has just enough chew to it. Order a whole pie or just stop in for a quick slice to go. Try the sausage and kale. They’ve also got free delivery.\r\n<h2><a href=\"http://www.pizzeriailfico.com/\" target=\"_blank\">Pizzeria Il Fico</a></h2>\r\nOn hip and trendy Robertson Boulevard in the Beverly Grove Los Angeles neighborhood, you’ll find Pizzeria Il Fico makes a great wood-fired artisan pizza. Try the garlic shrimp, artichokes, arugula, and lemon pizza with a fresh Caprese salad on the side.\r\n<h2><a href=\"http://www.oliowfp.com/\" target=\"_blank\">Olio Wood Fired Pizzeria</a></h2>\r\nOlio’s has a great neighborhood hangout vibe about it. They make their own free-range chicken sausage and pair it with fire-roasted red peppers and fresh arugula for an out-of-this-world pizza. Vegetarians love the wild mushroom and three-cheese blend.\r\n<h2><a href=\"http://www.vitopizza.com/\" target=\"_blank\">Vito’s Pizza</a></h2>\r\nSome consider Vito’s the magic pizza gateway from New York and New Jersey. The pizza comes in one size only—big! The dough is prepared fresh daily and makes an 18-inch pie. A must-try is the “Chi-Chi,” with fresh arugula, prosciutto de parma, gorgonzola, and toasted pine nuts on a white sauce.\r\n<h2><a href=\"http://cruzerpizza.com/\" target=\"_blank\">Cruzer Pizza</a></h2>\r\nVegetarians and vegans, rejoice! Cruzer’s is the only 100-percent animal-free vegan pizzeria in LA. Enjoy vegan “meats” like, ham, pepperoni, sausage, and ground beef, on your choice of thin, thick, whole wheat, or gluten-free crust.\r\n<h2><a href=\"http://www.thecooppizza.net/\" target=\"_blank\">The Coop</a></h2>\r\nGrab a slice or a whole pie. The dough is fresh, and the prices are the best you can get. Don’t forget to bring your cash because that’s the only tender that’s good there. Family-owned and operated for over 40 years.", "10 Best Pizza Places in Los Angeles", "", "inherit", "closed", "closed", "", "457-revision-v1", "", "", "2015-11-18 05:00:51", "2015-11-18 05:00:51", "", "457", "http://buckspizza.com/2015/11/18/457-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("472", "1", "2015-11-18 05:07:10", "2015-11-18 05:07:10", "", "7-Genius-Pizza-Hacks", "", "inherit", "closed", "closed", "", "7-genius-pizza-hacks", "", "", "2015-11-18 05:07:14", "2015-11-18 05:07:14", "", "459", "http://buckspizza.com/wp-content/uploads/2015/11/7-Genius-Pizza-Hacks.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("473", "1", "2015-11-18 05:09:15", "2015-11-18 05:09:15", "Pizza—one of history\'s greatest food inventions! Whether warm for dinner, cold for breakfast, or something in between, there is no denying it is one of the most popular—and accessible—foods on the planet. With so many ways to prepare and so many ways to enjoy, pizza might become an afterthought of a meal if it weren\'t for people applying a little science and ingenuity to create some \"pie-tech\" pizza hacks.\r\n<h2>Prevent mushy reheated crust</h2>\r\nLeftover pizza really can be just as delicious the second time around. You can reheat with an oven, but if you just don\'t have the time, a microwave can do the trick. <em>\"But the crust is soggy when I do it that way!\"</em> Can the mushy microwaved pizza crust be beaten? To keep from ruining that perfectly good leftover slice, microwave a small amount of water in a glass alongside the pizza. You\'re not \"steaming\" the pizza, but using the water as a \"heat sink\" to help keep the moisture in the crust from evaporating and then condensing into a hot mess.\r\n<h2>College cooker</h2>\r\nThis trick is perfect for college kids or anyone lacking a standard microwave. Got an iron and some aluminum foil? Take some foil (if you\'ve got a cooking spray, it might be helpful for this side) and turn that pizza top-side down on top of it. Use a second piece of foil for the bottom of the pie and place that hot iron right on top. After a short time, flip your foil sandwich over and heat the other side. Two things to note: don\'t forget the foil and don\'t overdo it. You\'re not trying to iron creases out of your pizza, after all!\r\n<h2>Waffle-iron pizza</h2>\r\nThis trick may not be new, but it\'s popular because it is so incredibly tasty! To utilize this method, take a slice of pizza and add additional desired toppings to the upper left-hand corner. Take the bottom of the slice and roll it up towards the toppings you\'ve just added. Then cut off the crust. Place your folded pie on a pre-heated waffle iron. Heat for about 5 minutes, or until the cheese is gooey and the crust is golden brown. The nooks created by the waffle iron create a delicious final product perfect for dipping, so be sure to have your favorite sauces or oils on hand to make this creation even better.\r\n<h2>Pizza sandwich</h2>\r\nFor an unbelievably amazing treat, take 2 slices of pizza and add cheese to the middle, keeping the crust on the outside. Grated cheese or sliced cheddar works best, but any cheese should produce satisfactory results. Place the pizza sandwich in a pre-heated pan turned to medium-to-high heat, keeping or discarding the crusts depending on your preference. Cook for about 3 minutes on each side, until the cheese is bubbly in the center and pizza is heated all the way through.\r\n<h2>Pizza transportation</h2>\r\nIf you\'ve got seat warmers, why not use them? If you\'re picking up your pizza yourself, bring a bottle of water and lay it down on the passenger seat. Turn on that seat\'s warmer on the way over to the pizza place and when you get back in the car, you\'ll be able to keep the pizza level with the water bottle but also have a warm seat to help keep it from getting too cold on the trip home. Just make sure you divert your air conditioning so it doesn\'t defeat the purpose and chill the top of the box. You can also place oven mitts on the car seat on the way to pick up and then put those warm mitts on top of the box on the way back.\r\n<h2>Create-Your-Own pizza oven</h2>\r\nWho needs a super-expensive pizza stone? To create the ultimate pizza, why not make your own pizza brick oven? Just like a \"stone\", this method helps distribute the heat inside your oven evenly. Purchase 2-12\" <strong>unglazed</strong> ceramic tiles, or 8-6\" pieces. They <strong>must be unglazed</strong>, and they must be arranged in 2 layers.\r\n\r\nArrange the bricks in the oven on two different racks. The base layer is responsible for producing crispy crusts, while the top layer increases the temperature around the pizza by generating extreme heat from the bricks above. This even distribution of heat produces attractive, golden-brown top crusts. For best results, place the stones in the oven while it is still cold. Elevate the oven\'s temperature as high as possible over the course of about 45 minutes until the stones are extremely hot.\r\n\r\nJust as with a pizza stone, you should leave the bricks or tiles in the oven to cool before removing. The whole point is that those pizza stones retain heat well, so taking them out when they are still hot is very dangerous. Oh, and don\'t even think about taking anything out of a warm oven without protecting your hands!", "7 Genius Pizza Hacks", "", "inherit", "closed", "closed", "", "459-revision-v1", "", "", "2015-11-18 05:09:15", "2015-11-18 05:09:15", "", "459", "http://buckspizza.com/2015/11/18/459-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("474", "1", "2015-11-18 05:17:10", "2015-11-18 05:17:10", "", "How-to-Host-the-Perfect-Family-Movie-Night-at-Home", "", "inherit", "closed", "closed", "", "how-to-host-the-perfect-family-movie-night-at-home", "", "", "2015-11-18 05:17:14", "2015-11-18 05:17:14", "", "461", "http://buckspizza.com/wp-content/uploads/2015/11/How-to-Host-the-Perfect-Family-Movie-Night-at-Home.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("475", "1", "2015-11-19 21:47:59", "2015-11-19 21:47:59", "", "Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spiderman-2", "", "inherit", "closed", "closed", "", "have-you-seen-these-iconic-pizza-movie-scenes-spiderman-2", "", "", "2015-11-19 21:48:10", "2015-11-19 21:48:10", "", "452", "http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spiderman-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("476", "1", "2015-11-19 22:33:07", "2015-11-19 22:33:07", "Pizza. The pie. If you’re in a hurry, \'za.\n\nWhatever you call it, and however you like it, the food that found its way to America over a century ago has become a national favorite. Did you know an estimated 13 percent of the U.S. populace chows down on pizza on any given day?\n\nNew York thin. Chicago deep dish. Neapolitan traditional. Sicilian soft. Greek pan. California gourmet.\n\nTruth.\n\nThe pie may have originated in Italy, but it has casually morphed into an all-American symbol, and if you take a look at movies, you can see pizza is an edible but indelible part of pop culture.\n<h2><a href=\"https://youtu.be/p7IireBsC3Q\" target=\"_blank\">Spiderman 2</a></h2>\n<img class=\"alignnone size-full wp-image-475\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spiderman-2.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Spiderman 2\" />Spiderman gives pizza delivery a whole new twist. Peter Parker is late for work—again—due to a “disturbance.” As he pokes his Spidey mask out of sight in his jacket pocket, his boss tells him he’s got 7.5 minutes to cover 42 blocks and deliver 8 pizzas. Or else (the else being unemployment). Pete hops on his motor scooter and takes off, threading through taxis, ricocheting off cars, narrowly missing a city bus. With only two minutes left, he ducks into an alley, goes web slinger, and swings between buildings, pizza boxes tucked under his arm. But wouldn’t you know it? One short crawl from meeting the deadline, he’s forced to nip two kids out of the path of an oncoming truck.\n<h2><a href=\"https://youtu.be/EgmXewamiiY\" target=\"_blank\">Teenage Mutant Ninja Turtles</a></h2>\n<img class=\"alignnone size-full wp-image-477\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Teenage-Mutant-Ninja-Turtles.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Teenage Mutant Ninja Turtles\" />Spiderman isn’t the only superhero who takes his pizza delivery seriously—Rafael, Leonardo, Michelangelo, and Donatello do, too. Like, in every single movie. In this case, Mikey and Donnie gaze at the moon through an overhead sidewalk grate, waiting for the pizza guy, who has 30 seconds to deliver, or the shell-backs get a $3.00 discount.\n\n“Where the heck is One Twenty-two and an Eighth?” complains the pizza guy when he climbs off his scooter.\n\n“Down here, dude.”\n\nBy the way, the boys get the discount.\n<h2><a href=\"https://youtu.be/bObjXY24Ei4\" target=\"_blank\">Eat, Pray, Love</a></h2>\n<img class=\"alignnone size-full wp-image-478\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Eat-Pray-Love.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Eat Pray Love\" />Speaking of totally inspiring pie cinema, how about Julia Roberts going for pizza in Napoli? As her character munches on a slice of clearly delectably delicious Pizza Margherita—so called because it was originally created in 1889 to honor a queen of the same name—she says, “I’m in love. I’m having a relationship with my pizza.” When her weight-conscious BFF cites a 10-pound weight gain as the reason she can’t have any pie, Julia shakes her head. “What do you mean, you can’t? This is Pizza Margherita in Naples, Italy. It is your moral imperative to eat and enjoy that pizza.”\n\nListen to Julia. Julia knows.\n<h2><a href=\"https://youtu.be/HbA1YOueC_A\" target=\"_blank\">Do the Right Thing</a></h2>\n<img class=\"alignnone size-full wp-image-479\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Do-The-Right-Thing.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Do The Right Thing\" />When it comes to drama, perhaps no pizza scene can match “Boycott Sal’s” from Spike Lee\'s first big movie. Buggin’ Out stops in for a slice at the ever-popular Sal’s (the only white business in Bed-Stuy). Sal may make great pie, but he’s an operator, and not in a good way. Seriously. Who charges $1.50 for a slice, but $2.00 for extra cheese?\n\nGrumbling about the prices, Buggin’ Out claims a booth and picks up his slice, only to stop with it halfway to his mouth when he notices every picture on Sal’s Wall of Fame is of a white Italian guy, despite the fact that Sal’s customers are almost all Black. When Buggin’ fires up about that, the situation gets tense. Words fly, punctuated by a few threatening swings of Sal’s Louisville Slugger.\n<h2><a href=\"https://youtu.be/r_CDCrsO604?t=103\" target=\"_blank\">Spaceballs</a></h2>\n<img class=\"alignnone size-full wp-image-480\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spaceballs.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Spaceballs\" />It may not be a flattering portrayal for the pizza chain, but Pizza the Hutt is certainly one of the more memorable takeaways (or is it take-outs?) from Mel Brooks\' space saga parody. The blob of cheese and pepperoni threatens the movie\'s hero by extorting a million spacebucks. Lonestar and Barf are warned to pony up the pay in time or else \"pizza is gonna send out for you!\"\n<h2><a href=\"https://www.youtube.com/watch?v=5ztwns5PkJY\" target=\"_blank\">Back to the Future II</a></h2>\n<img class=\"alignnone size-full wp-image-481\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Back-to-the-Future-II.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Back to the Future II\" />Back to the Future II is nearing a milestone. Marty McFly, Jennifer, and Doc Brown head \"all the way into the future\" on October 21, 2015. They won\'t find flying cards, hoverboards, or even hydrators. While Jennifer is trapped in her future home after being placed there by police (who used her biodata to find out where she lived) she is able to see the family matriarch cook dinner. \"Boy, oh boy, mom,\" says Marty. \"You sure can hydrate a pizza.\"\n<h2><a href=\"https://www.youtube.com/watch?v=S0FphcAh3T8\" target=\"_blank\">Saturday Night Fever</a></h2>\n<img class=\"alignnone size-full wp-image-482\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Saturday-Night-Fever.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Saturday Night Fever\" />If you\'re talking pizza, you might be jive talkin\' if you don\'t recall John Travolta\'s Bee Gees-heavy strut down 86th Street. In the opening to this 70s classic, Tony Manero hits up Lenny\'s Pizza (a real place still in business in the same location!). He wants two slices, but he\'s carrying a paint can. What to do? Stack on slice on top of the other. How many times have you tried it?\n<h2><a href=\"https://www.youtube.com/watch?v=6J8__fWphE0\" target=\"_blank\">Fast Times at Ridgemont High</a></h2>\n<img class=\"alignnone size-full wp-image-483\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Fast-Times-At-Ridgemont-High.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Fast Times At Ridgemont High\" />No Double Cheese and Sausage ever tasted so terrific. No teacher ever schooled a slacker quite like Mr. Hand. Thanks to Spicoli, we\'re sure it was no coincidence that sharing pizza and communist Cuba were connected. Sean Penn\'s look of disgust says it all.\n<h2><a href=\"https://www.youtube.com/watch?v=GcOsVzSOqoQ\" target=\"_blank\">Home Alone</a></h2>\nIf you\'ve ever wanted to prank a pizza delivery person—don\'t. You can\'t do it funnier than \"Kevin\" in the movie Home Alone—and it\'s just plain mean. Faced with nothing but time, he loots his brother\'s stash of cash and orders pizza from Little Nero\'s and rather than answer the door, he pays for his pie ($11.80, if you\'re a trivia buff) with the aid of \"Angels With Filthy Souls\", a fictional mobster movie. Don\'t act like you don\'t remember, you filthy animal!", "Have You Seen These Iconic Pizza Movie Scenes?", "", "inherit", "closed", "closed", "", "452-autosave-v1", "", "", "2015-11-19 22:33:07", "2015-11-19 22:33:07", "", "452", "http://buckspizza.com/2015/11/19/452-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("477", "1", "2015-11-19 21:55:03", "2015-11-19 21:55:03", "", "Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Teenage-Mutant-Ninja-Turtles", "", "inherit", "closed", "closed", "", "have-you-seen-these-iconic-pizza-movie-scenes-teenage-mutant-ninja-turtles", "", "", "2015-11-19 21:55:15", "2015-11-19 21:55:15", "", "452", "http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Teenage-Mutant-Ninja-Turtles.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("478", "1", "2015-11-19 21:57:52", "2015-11-19 21:57:52", "", "Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Eat-Pray-Love", "", "inherit", "closed", "closed", "", "have-you-seen-these-iconic-pizza-movie-scenes-eat-pray-love", "", "", "2015-11-19 21:58:01", "2015-11-19 21:58:01", "", "452", "http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Eat-Pray-Love.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("479", "1", "2015-11-19 22:01:06", "2015-11-19 22:01:06", "", "Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Do-The-Right-Thing", "", "inherit", "closed", "closed", "", "have-you-seen-these-iconic-pizza-movie-scenes-do-the-right-thing", "", "", "2015-11-19 22:01:15", "2015-11-19 22:01:15", "", "452", "http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Do-The-Right-Thing.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("480", "1", "2015-11-19 22:03:46", "2015-11-19 22:03:46", "", "Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spaceballs", "", "inherit", "closed", "closed", "", "have-you-seen-these-iconic-pizza-movie-scenes-spaceballs", "", "", "2015-11-19 22:03:54", "2015-11-19 22:03:54", "", "452", "http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spaceballs.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("481", "1", "2015-11-19 22:08:41", "2015-11-19 22:08:41", "", "Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Back-to-the-Future-II", "", "inherit", "closed", "closed", "", "have-you-seen-these-iconic-pizza-movie-scenes-back-to-the-future-ii", "", "", "2015-11-19 22:08:50", "2015-11-19 22:08:50", "", "452", "http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Back-to-the-Future-II.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("482", "1", "2015-11-19 22:11:37", "2015-11-19 22:11:37", "", "Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Saturday-Night-Fever", "", "inherit", "closed", "closed", "", "have-you-seen-these-iconic-pizza-movie-scenes-saturday-night-fever", "", "", "2015-11-19 22:11:41", "2015-11-19 22:11:41", "", "452", "http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Saturday-Night-Fever.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("483", "1", "2015-11-19 22:14:44", "2015-11-19 22:14:44", "", "Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Fast-Times-At-Ridgemont-High", "", "inherit", "closed", "closed", "", "have-you-seen-these-iconic-pizza-movie-scenes-fast-times-at-ridgemont-high", "", "", "2015-11-19 22:14:50", "2015-11-19 22:14:50", "", "452", "http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Fast-Times-At-Ridgemont-High.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("484", "1", "2015-11-19 22:33:10", "2015-11-19 22:33:10", "", "Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Home-Alone", "", "inherit", "closed", "closed", "", "have-you-seen-these-iconic-pizza-movie-scenes-home-alone", "", "", "2015-11-19 22:33:27", "2015-11-19 22:33:27", "", "452", "http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Home-Alone.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("485", "1", "2015-11-19 22:34:33", "2015-11-19 22:34:33", "Pizza. The pie. If you’re in a hurry, \'za.\r\n\r\nWhatever you call it, and however you like it, the food that found its way to America over a century ago has become a national favorite. Did you know an estimated 13 percent of the U.S. populace chows down on pizza on any given day?\r\n\r\nNew York thin. Chicago deep dish. Neapolitan traditional. Sicilian soft. Greek pan. California gourmet.\r\n\r\nTruth.\r\n\r\nThe pie may have originated in Italy, but it has casually morphed into an all-American symbol, and if you take a look at movies, you can see pizza is an edible but indelible part of pop culture.\r\n<h2><a href=\"https://youtu.be/p7IireBsC3Q\" target=\"_blank\">Spiderman 2</a></h2>\r\n<img class=\"alignnone size-full wp-image-475\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spiderman-2.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Spiderman 2\" />Spiderman gives pizza delivery a whole new twist. Peter Parker is late for work—again—due to a “disturbance.” As he pokes his Spidey mask out of sight in his jacket pocket, his boss tells him he’s got 7.5 minutes to cover 42 blocks and deliver 8 pizzas. Or else (the else being unemployment). Pete hops on his motor scooter and takes off, threading through taxis, ricocheting off cars, narrowly missing a city bus. With only two minutes left, he ducks into an alley, goes web slinger, and swings between buildings, pizza boxes tucked under his arm. But wouldn’t you know it? One short crawl from meeting the deadline, he’s forced to nip two kids out of the path of an oncoming truck.\r\n<h2><a href=\"https://youtu.be/EgmXewamiiY\" target=\"_blank\">Teenage Mutant Ninja Turtles</a></h2>\r\n<img class=\"alignnone size-full wp-image-477\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Teenage-Mutant-Ninja-Turtles.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Teenage Mutant Ninja Turtles\" />Spiderman isn’t the only superhero who takes his pizza delivery seriously—Rafael, Leonardo, Michelangelo, and Donatello do, too. Like, in every single movie. In this case, Mikey and Donnie gaze at the moon through an overhead sidewalk grate, waiting for the pizza guy, who has 30 seconds to deliver, or the shell-backs get a $3.00 discount.\r\n\r\n“Where the heck is One Twenty-two and an Eighth?” complains the pizza guy when he climbs off his scooter.\r\n\r\n“Down here, dude.”\r\n\r\nBy the way, the boys get the discount.\r\n<h2><a href=\"https://youtu.be/bObjXY24Ei4\" target=\"_blank\">Eat, Pray, Love</a></h2>\r\n<img class=\"alignnone size-full wp-image-478\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Eat-Pray-Love.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Eat Pray Love\" />Speaking of totally inspiring pie cinema, how about Julia Roberts going for pizza in Napoli? As her character munches on a slice of clearly delectably delicious Pizza Margherita—so called because it was originally created in 1889 to honor a queen of the same name—she says, “I’m in love. I’m having a relationship with my pizza.” When her weight-conscious BFF cites a 10-pound weight gain as the reason she can’t have any pie, Julia shakes her head. “What do you mean, you can’t? This is Pizza Margherita in Naples, Italy. It is your moral imperative to eat and enjoy that pizza.”\r\n\r\nListen to Julia. Julia knows.\r\n<h2><a href=\"https://youtu.be/HbA1YOueC_A\" target=\"_blank\">Do the Right Thing</a></h2>\r\n<img class=\"alignnone size-full wp-image-479\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Do-The-Right-Thing.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Do The Right Thing\" />When it comes to drama, perhaps no pizza scene can match “Boycott Sal’s” from Spike Lee\'s first big movie. Buggin’ Out stops in for a slice at the ever-popular Sal’s (the only white business in Bed-Stuy). Sal may make great pie, but he’s an operator, and not in a good way. Seriously. Who charges $1.50 for a slice, but $2.00 for extra cheese?\r\n\r\nGrumbling about the prices, Buggin’ Out claims a booth and picks up his slice, only to stop with it halfway to his mouth when he notices every picture on Sal’s Wall of Fame is of a white Italian guy, despite the fact that Sal’s customers are almost all Black. When Buggin’ fires up about that, the situation gets tense. Words fly, punctuated by a few threatening swings of Sal’s Louisville Slugger.\r\n<h2><a href=\"https://youtu.be/r_CDCrsO604?t=103\" target=\"_blank\">Spaceballs</a></h2>\r\n<img class=\"alignnone size-full wp-image-480\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Spaceballs.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Spaceballs\" />It may not be a flattering portrayal for the pizza chain, but Pizza the Hutt is certainly one of the more memorable takeaways (or is it take-outs?) from Mel Brooks\' space saga parody. The blob of cheese and pepperoni threatens the movie\'s hero by extorting a million spacebucks. Lonestar and Barf are warned to pony up the pay in time or else \"pizza is gonna send out for you!\"\r\n<h2><a href=\"https://www.youtube.com/watch?v=5ztwns5PkJY\" target=\"_blank\">Back to the Future II</a></h2>\r\n<img class=\"alignnone size-full wp-image-481\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Back-to-the-Future-II.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Back to the Future II\" />Back to the Future II is nearing a milestone. Marty McFly, Jennifer, and Doc Brown head \"all the way into the future\" on October 21, 2015. They won\'t find flying cards, hoverboards, or even hydrators. While Jennifer is trapped in her future home after being placed there by police (who used her biodata to find out where she lived) she is able to see the family matriarch cook dinner. \"Boy, oh boy, mom,\" says Marty. \"You sure can hydrate a pizza.\"\r\n<h2><a href=\"https://www.youtube.com/watch?v=S0FphcAh3T8\" target=\"_blank\">Saturday Night Fever</a></h2>\r\n<img class=\"alignnone size-full wp-image-482\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Saturday-Night-Fever.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Saturday Night Fever\" />If you\'re talking pizza, you might be jive talkin\' if you don\'t recall John Travolta\'s Bee Gees-heavy strut down 86th Street. In the opening to this 70s classic, Tony Manero hits up Lenny\'s Pizza (a real place still in business in the same location!). He wants two slices, but he\'s carrying a paint can. What to do? Stack on slice on top of the other. How many times have you tried it?\r\n<h2><a href=\"https://www.youtube.com/watch?v=6J8__fWphE0\" target=\"_blank\">Fast Times at Ridgemont High</a></h2>\r\n<img class=\"alignnone size-full wp-image-483\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Fast-Times-At-Ridgemont-High.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Fast Times At Ridgemont High\" />No Double Cheese and Sausage ever tasted so terrific. No teacher ever schooled a slacker quite like Mr. Hand. Thanks to Spicoli, we\'re sure it was no coincidence that sharing pizza and communist Cuba were connected. Sean Penn\'s look of disgust when his classmates scarf down his pie says it all.\r\n<h2><a href=\"https://www.youtube.com/watch?v=GcOsVzSOqoQ\" target=\"_blank\">Home Alone</a></h2>\r\n<img class=\"alignnone size-full wp-image-484\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Have-You-Seen-These-Iconic-Pizza-Movie-Scenes-Home-Alone.jpg\" alt=\"Have You Seen These Iconic Pizza Movie Scenes-Home Alone\" />If you\'ve ever wanted to prank a pizza delivery person—don\'t. You can\'t do it funnier than \"Kevin\" in the movie Home Alone—and it\'s just plain mean. Faced with nothing but time, he loots his brother\'s stash of cash and orders pizza from Little Nero\'s and rather than answer the door, he pays for his pie ($11.80, if you\'re a trivia buff) with the aid of \"Angels With Filthy Souls\", a fictional mobster movie. Don\'t act like you don\'t remember, you filthy animal!", "Have You Seen These Iconic Pizza Movie Scenes?", "", "inherit", "closed", "closed", "", "452-revision-v1", "", "", "2015-11-19 22:34:33", "2015-11-19 22:34:33", "", "452", "http://buckspizza.com/2015/11/19/452-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("486", "1", "2015-11-23 13:20:28", "2015-11-23 13:20:28", "<img class=\"aligncenter size-full wp-image-496\" src=\"http://buckspizza.com/wp-content/uploads/2015/11/Bucks-side-by-side.png\" alt=\"Bucks side by side\" />\r\n<h2>Sign up to receive coupons and awesome articles from Buck\'s Pizza in your inbox!</h2>\r\n<form class=\"af-form-wrapper\" accept-charset=\"UTF-8\" action=\"https://www.aweber.com/scripts/addlead.pl\" method=\"post\">\r\n<div style=\"display: none;\"><input name=\"meta_web_form_id\" type=\"hidden\" value=\"1230925319\" />\r\n<input name=\"meta_split_id\" type=\"hidden\" value=\"\" />\r\n<input name=\"listname\" type=\"hidden\" value=\"awlist4100245\" />\r\n<input id=\"redirect_583180e4a578730c14913148461ccb05\" name=\"redirect\" type=\"hidden\" value=\"https://www.aweber.com/thankyou-coi.htm?m=text\" /><input name=\"meta_adtracking\" type=\"hidden\" value=\"general\" />\r\n<input name=\"meta_message\" type=\"hidden\" value=\"1\" />\r\n<input name=\"meta_required\" type=\"hidden\" value=\"name,email\" /><input name=\"meta_tooltip\" type=\"hidden\" value=\"name||Name,,email||Email\" /></div>\r\n<div id=\"af-form-1230925319\" class=\"af-form\">\r\n<div id=\"af-body-1230925319\" class=\"af-body af-standards\">\r\n<div class=\"af-element\">\r\n<div class=\"af-textWrap\"><input id=\"awf_field-78430691\" class=\"text\" tabindex=\"500\" name=\"name\" type=\"text\" value=\"Name\" /></div>\r\n<div class=\"af-clear\"></div>\r\n</div>\r\n<div class=\"af-element\">\r\n<div class=\"af-textWrap\"><input id=\"awf_field-78430692\" class=\"text\" tabindex=\"501\" name=\"email\" type=\"text\" value=\"Email\" /></div>\r\n<div class=\"af-clear\"></div>\r\n</div>\r\n<div class=\"af-element buttonContainer\"><input class=\"submit\" tabindex=\"502\" name=\"submit\" type=\"submit\" value=\"Submit\" />\r\n<div class=\"af-clear\"></div>\r\n</div>\r\n</div>\r\n<div id=\"af-footer-1230925319\" class=\"af-footer\"></div>\r\n</div>\r\n<div style=\"display: none;\"><img src=\"https://forms.aweber.com/form/displays.htm?id=jEzMDJxMrMyMnA==\" alt=\"\" /></div>\r\n</form><script type=\"text/javascript\">// <![CDATA[\r\n(function() { var IE = /*@cc_on!@*/false; if (!IE) { return; } if (document.compatMode && document.compatMode == \'BackCompat\') { if (document.getElementById(\"af-form-1230925319\")) { document.getElementById(\"af-form-1230925319\").className = \'af-form af-quirksMode\'; } if (document.getElementById(\"af-body-1230925319\")) { document.getElementById(\"af-body-1230925319\").className = \"af-body inline af-quirksMode\"; } if (document.getElementById(\"af-header-1230925319\")) { document.getElementById(\"af-header-1230925319\").className = \"af-header af-quirksMode\"; } if (document.getElementById(\"af-footer-1230925319\")) { document.getElementById(\"af-footer-1230925319\").className = \"af-footer af-quirksMode\"; } } })();\r\n// ]]></script>\r\n\r\n<!-- /AWeber Web Form Generator 3.0.1 -->\r\n<h2>Don\'t forget to like us on Facebook, too!</h2>\r\n<div class=\"fb-page\" data-href=\"https://www.facebook.com/BucksPizzaHQ\" data-small-header=\"true\" data-adapt-container-width=\"true\" data-hide-cover=\"false\" data-show-facepile=\"true\" data-show-posts=\"false\">\r\n<div class=\"fb-xfbml-parse-ignore\">\r\n<blockquote cite=\"https://www.facebook.com/BucksPizzaHQ\"><a href=\"https://www.facebook.com/BucksPizzaHQ\">Buck\'s Pizza</a></blockquote>\r\n</div>\r\n</div>", "Promo", "", "publish", "closed", "closed", "", "promo", "", "", "2017-07-31 16:19:23", "2017-07-31 16:19:23", "", "0", "http://buckspizza.com/?page_id=486", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("489", "1", "2015-11-23 15:02:20", "2015-11-23 15:02:20", "<h2>Sign up to receive coupons and awesome articles from Buck\'s Pizza in your inbox!</h2>\r\n<form class=\"af-form-wrapper\" accept-charset=\"UTF-8\" action=\"https://www.aweber.com/scripts/addlead.pl\" method=\"post\">\r\n<div style=\"display: none;\"><input name=\"meta_web_form_id\" type=\"hidden\" value=\"1230925319\" />\r\n<input name=\"meta_split_id\" type=\"hidden\" value=\"\" />\r\n<input name=\"listname\" type=\"hidden\" value=\"awlist4100245\" />\r\n<input id=\"redirect_583180e4a578730c14913148461ccb05\" name=\"redirect\" type=\"hidden\" value=\"https://www.aweber.com/thankyou-coi.htm?m=text\" /><input name=\"meta_adtracking\" type=\"hidden\" value=\"general\" />\r\n<input name=\"meta_message\" type=\"hidden\" value=\"1\" />\r\n<input name=\"meta_required\" type=\"hidden\" value=\"name,email\" /><input name=\"meta_tooltip\" type=\"hidden\" value=\"name||Name,,email||Email\" />\r\n</div>\r\n<div id=\"af-form-1230925319\" class=\"af-form\">\r\n<div id=\"af-body-1230925319\" class=\"af-body af-standards\">\r\n<div class=\"af-element\">\r\n<div class=\"af-textWrap\"><input id=\"awf_field-78430691\" class=\"text\" tabindex=\"500\" name=\"name\" type=\"text\" value=\"Name\" /></div>\r\n<div class=\"af-clear\"></div>\r\n</div>\r\n<div class=\"af-element\">\r\n<div class=\"af-textWrap\"><input id=\"awf_field-78430692\" class=\"text\" tabindex=\"501\" name=\"email\" type=\"text\" value=\"Email\" /></div>\r\n<div class=\"af-clear\"></div>\r\n</div>\r\n<div class=\"af-element buttonContainer\">\r\n<input class=\"submit\" tabindex=\"502\" name=\"submit\" type=\"submit\" value=\"Submit\" />\r\n<div class=\"af-clear\"></div>\r\n</div>\r\n</div>\r\n<div id=\"af-footer-1230925319\" class=\"af-footer\">\r\n<div class=\"bodyText\">\r\n</div>\r\n</div>\r\n</div>\r\n<div style=\"display: none;\"><img src=\"https://forms.aweber.com/form/displays.htm?id=jEzMDJxMrMyMnA==\" alt=\"\" /></div>\r\n</form><script type=\"text/javascript\">// <![CDATA[\r\n(function() { var IE = /*@cc_on!@*/false; if (!IE) { return; } if (document.compatMode && document.compatMode == \'BackCompat\') { if (document.getElementById(\"af-form-1230925319\")) { document.getElementById(\"af-form-1230925319\").className = \'af-form af-quirksMode\'; } if (document.getElementById(\"af-body-1230925319\")) { document.getElementById(\"af-body-1230925319\").className = \"af-body inline af-quirksMode\"; } if (document.getElementById(\"af-header-1230925319\")) { document.getElementById(\"af-header-1230925319\").className = \"af-header af-quirksMode\"; } if (document.getElementById(\"af-footer-1230925319\")) { document.getElementById(\"af-footer-1230925319\").className = \"af-footer af-quirksMode\"; } } })();\r\n// ]]></script>\r\n\r\n<!-- /AWeber Web Form Generator 3.0.1 -->\r\n<h2>Don\'t forget to like us on Facebook, too!</h2>\r\n<div class=\"fb-page\" data-href=\"https://www.facebook.com/BucksPizzaHQ\" data-small-header=\"true\" data-adapt-container-width=\"true\" data-hide-cover=\"false\" data-show-facepile=\"true\" data-show-posts=\"false\">\r\n<div class=\"fb-xfbml-parse-ignore\">\r\n<blockquote cite=\"https://www.facebook.com/BucksPizzaHQ\"><a href=\"https://www.facebook.com/BucksPizzaHQ\">Buck\'s Pizza</a></blockquote>\r\n</div>\r\n</div>", "Promo", "", "inherit", "closed", "closed", "", "486-autosave-v1", "", "", "2015-11-23 15:02:20", "2015-11-23 15:02:20", "", "486", "http://buckspizza.com/2015/11/23/486-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("496", "1", "2015-11-24 16:48:51", "2015-11-24 16:48:51", "", "Bucks side by side", "", "inherit", "closed", "closed", "", "bucks-side-by-side", "", "", "2015-11-24 16:48:51", "2015-11-24 16:48:51", "", "486", "http://buckspizza.com/wp-content/uploads/2015/11/Bucks-side-by-side.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("497", "1", "2015-11-24 16:49:02", "2015-11-24 16:49:02", "<img class=\"aligncenter size-full wp-image-496\" src=\"http://buckspizza.com/wp-content/uploads/2015/11/Bucks-side-by-side.png\" alt=\"Bucks side by side\" />\r\n<h2>Sign up to receive coupons and awesome articles from Buck\'s Pizza in your inbox!</h2>\r\n<form class=\"af-form-wrapper\" accept-charset=\"UTF-8\" action=\"https://www.aweber.com/scripts/addlead.pl\" method=\"post\">\r\n<div style=\"display: none;\"><input name=\"meta_web_form_id\" type=\"hidden\" value=\"1230925319\" />\r\n<input name=\"meta_split_id\" type=\"hidden\" value=\"\" />\r\n<input name=\"listname\" type=\"hidden\" value=\"awlist4100245\" />\r\n<input id=\"redirect_583180e4a578730c14913148461ccb05\" name=\"redirect\" type=\"hidden\" value=\"https://www.aweber.com/thankyou-coi.htm?m=text\" /><input name=\"meta_adtracking\" type=\"hidden\" value=\"general\" />\r\n<input name=\"meta_message\" type=\"hidden\" value=\"1\" />\r\n<input name=\"meta_required\" type=\"hidden\" value=\"name,email\" /><input name=\"meta_tooltip\" type=\"hidden\" value=\"name||Name,,email||Email\" /></div>\r\n<div id=\"af-form-1230925319\" class=\"af-form\">\r\n<div id=\"af-body-1230925319\" class=\"af-body af-standards\">\r\n<div class=\"af-element\">\r\n<div class=\"af-textWrap\"><input id=\"awf_field-78430691\" class=\"text\" tabindex=\"500\" name=\"name\" type=\"text\" value=\"Name\" /></div>\r\n<div class=\"af-clear\"></div>\r\n</div>\r\n<div class=\"af-element\">\r\n<div class=\"af-textWrap\"><input id=\"awf_field-78430692\" class=\"text\" tabindex=\"501\" name=\"email\" type=\"text\" value=\"Email\" /></div>\r\n<div class=\"af-clear\"></div>\r\n</div>\r\n<div class=\"af-element buttonContainer\"><input class=\"submit\" tabindex=\"502\" name=\"submit\" type=\"submit\" value=\"Submit\" />\r\n<div class=\"af-clear\"></div>\r\n</div>\r\n</div>\r\n<div id=\"af-footer-1230925319\" class=\"af-footer\"></div>\r\n</div>\r\n<div style=\"display: none;\"><img src=\"https://forms.aweber.com/form/displays.htm?id=jEzMDJxMrMyMnA==\" alt=\"\" /></div>\r\n</form><script type=\"text/javascript\">// <![CDATA[\r\n(function() { var IE = /*@cc_on!@*/false; if (!IE) { return; } if (document.compatMode && document.compatMode == \'BackCompat\') { if (document.getElementById(\"af-form-1230925319\")) { document.getElementById(\"af-form-1230925319\").className = \'af-form af-quirksMode\'; } if (document.getElementById(\"af-body-1230925319\")) { document.getElementById(\"af-body-1230925319\").className = \"af-body inline af-quirksMode\"; } if (document.getElementById(\"af-header-1230925319\")) { document.getElementById(\"af-header-1230925319\").className = \"af-header af-quirksMode\"; } if (document.getElementById(\"af-footer-1230925319\")) { document.getElementById(\"af-footer-1230925319\").className = \"af-footer af-quirksMode\"; } } })();\r\n// ]]></script>\r\n\r\n<!-- /AWeber Web Form Generator 3.0.1 -->\r\n<h2>Don\'t forget to like us on Facebook, too!</h2>\r\n<div class=\"fb-page\" data-href=\"https://www.facebook.com/BucksPizzaHQ\" data-small-header=\"true\" data-adapt-container-width=\"true\" data-hide-cover=\"false\" data-show-facepile=\"true\" data-show-posts=\"false\">\r\n<div class=\"fb-xfbml-parse-ignore\">\r\n<blockquote cite=\"https://www.facebook.com/BucksPizzaHQ\"><a href=\"https://www.facebook.com/BucksPizzaHQ\">Buck\'s Pizza</a></blockquote>\r\n</div>\r\n</div>", "Promo", "", "inherit", "closed", "closed", "", "486-revision-v1", "", "", "2015-11-24 16:49:02", "2015-11-24 16:49:02", "", "486", "http://buckspizza.com/2015/11/24/486-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("499", "1", "2015-11-26 07:55:36", "2015-11-26 07:55:36", "", "Rockwell-Freedom-from-Want-1943", "", "inherit", "closed", "closed", "", "rockwell-freedom-from-want-1943", "", "", "2015-11-26 07:56:24", "2015-11-26 07:56:24", "", "463", "http://buckspizza.com/wp-content/uploads/2015/11/Rockwell-Freedom-from-Want-1943.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("501", "1", "2015-11-30 21:35:43", "2015-11-30 21:35:43", "", "Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes", "", "inherit", "closed", "closed", "", "thanksgiving-pizza-yep-thats-a-thing-here-are-13-recipes", "", "", "2015-11-30 21:35:57", "2015-11-30 21:35:57", "", "463", "http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("503", "1", "2015-12-04 08:45:28", "2015-12-04 08:45:28", "Remember when pizza was simply sauce, cheese &amp; meat? Yeah, we don\'t either, but sometimes pizza recipes are so distinctive with dozens of ingredient combinations that eating it every night could still mean having something different each time. Pineapples, arugula, spinach, fresh tuna, classic pepperoni, and so much more. Sometimes, a regional flavor profile takes center stage and you\'ll certainly experience that if you\'re in southern Florida on the Atlantic coastal beaches.\r\n\r\nHeading to Miami? Take a look at our list (in no particular order) of our choices for the top pizza spots for 2015.\r\n<h2><a href=\"http://andiamopizzamiami.com/\" target=\"_blank\">Andiamo Brick Oven Pizza</a></h2>\r\nTalk about a selection! Fresh ingredients &amp; a great location. The atmosphere being located in the Historic MIMO (Miami Modern architecture) gives it this cool ambiance to start with and then being able to select such great toppings makes this a place that you must stop in to for a slice.\r\n<h2><a href=\"http://www.bigcheesemiami.com/\" target=\"_blank\">The Big Cheese</a></h2>\r\nThis pizza joint has been around for almost 30 years but the reason they made the list isn’t just about the pizza, the new items they are always adding or the location. It’s all about the giving back aspect that makes you want to support them. They are official sponsors of the University of Miami, feeding the team &amp; doing charity events that help feed the community at large. Who wouldn’t want to support that effort?\r\n<h2><a href=\"http://spris.cc/\" target=\"_blank\">Spris Pizza</a></h2>\r\nOffering over 30 different types of pizza is the perfect example of pizza every night but never eating the same thing. This award winning pizza joint is a place that you must visit, have a slice and then sit and people watch.\r\n<h2><a href=\"http://harryspizzeria.com/\" target=\"_blank\">Harry’s Pizzeria</a></h2>\r\nEver hear of pop up shops? What about pop up pizza? Well Harry’s has pop shops for pizza. How cool is that? So if you wanted to have a pizza party, you no longer have to order boxes that would be delivered to your doorstep, how about a pizza oven delivered to your doorstep &amp; the pizza is made fresh at your party? Come on, that’s genius!\r\n<h2><a href=\"http://www.pizzaironside.com/\" target=\"_blank\">Ironside Pizza</a></h2>\r\nWhen you think pizza, you don’t immediately think allergies right? Well for some, a battle with gluten is real which keeps folks from enjoying certain things. Well Ironside has a gluten free crust &amp; vegan options for your pizza. How happy does this make folks who have had to pass up other pizza places? There isn’t a huge selection of flavors but the fact that they cater to a clientele who might otherwise get overlooked on the pizza circuit puts them firmly on the list of the best.\r\n<h2><a href=\"http://www.blockspizza.com/\" target=\"_blank\">Blocks Pizza Deli</a></h2>\r\nAnother one that makes the list because of the process they use for the dough (leavened for 3 days) and they use organic ingredients. Whenever we think of pizza, often the thought is ooey, gooey, cheesey but never nutritious. This one makes the cut because who needs the guilt when enjoying a slice? This is almost guilt free.\r\n<h2><a href=\"https://www.facebook.com/Steves-Pizza-159716410727467/timeline\" target=\"_blank\">Steve’s Pizza</a></h2>\r\nLooking for a fun place to have a giant slice? Stop on over to Steve’s, it seems there’s always a party going on. Great friendly atmosphere and pizza the way you expect it from your casual, local pizza spot.\r\n<h2><a href=\"http://www.visao1.com/\" target=\"_blank\">Visa-01</a></h2>\r\nOften when you want a personal sized pizza, they are on the kids menu and there aren’t many selections. Don’t want to share but still want a specialty pizza? You get to have a small pizza all to yourself with your special toppings. Gotta love that!\r\n<h2><a href=\"http://chakalacka.wix.com/fratelli-milano#!\" target=\"_blank\">Ristorante Fratelli Milano</a></h2>\r\nThis one made the list for reasons way outside of pizza. How cool is it that the chefs are not just brothers but they are twins? Most of us dread the holiday parties because of awkward family moments, these two decided to go into business together and make great food instead of weird memories.\r\n<h2><a href=\"http://www.kingscountypizza.com/\" target=\"_blank\">Kings County Pizza</a></h2>\r\nNew York pizza that according to their site is “New York tested, New York approved”. If you really want an authentic taste of New York, stop in or have a pie delivered from Kings County.\r\n\r\nDoesn\'t this list doesn’t have your mouth watering! See how many of these places (and new ones) you can try before the end of the year, or at least before next December!", "Miami\'s 10 Best Pizza Places", "", "draft", "closed", "closed", "", "miamis-10-best-pizza-places-2015", "", "", "2017-08-04 15:56:10", "2017-08-04 15:56:10", "", "0", "http://buckspizza.com/?p=503", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("504", "1", "2015-12-08 20:04:24", "2015-12-08 20:04:24", "Remember when pizza was simply sauce, cheese &amp; meat? Yeah, we don\'t either, but sometimes pizza recipes are so distinctive with dozens of ingredient combinations that eating it every night could still mean having something different each time. Pineapples, arugula, spinach, fresh tuna, classic pepperoni, and so much more. Sometimes, a regional flavor profile takes center stage and you\'ll certainly experience that if you\'re in southern Florida on the Atlantic coastal beaches.\r\n\r\nHeading to Miami? Take a look at our list (in no particular order) of our choices for the top pizza spots for 2015.\r\n<h2><a href=\"http://andiamopizzamiami.com/\" target=\"_blank\">Andiamo Brick Oven Pizza</a></h2>\r\nTalk about a selection! Fresh ingredients &amp; a great location. The atmosphere being located in the Historic MIMO (Miami Modern architecture) gives it this cool ambiance to start with and then being able to select such great toppings makes this a place that you must stop in to for a slice.\r\n<h2><a href=\"http://www.bigcheesemiami.com/\" target=\"_blank\">The Big Cheese</a></h2>\r\nThis pizza joint has been around for almost 30 years but the reason they made the list isn’t just about the pizza, the new items they are always adding or the location. It’s all about the giving back aspect that makes you want to support them. They are official sponsors of the University of Miami, feeding the team &amp; doing charity events that help feed the community at large. Who wouldn’t want to support that effort?\r\n<h2><a href=\"http://spris.cc/\" target=\"_blank\">Spris Pizza</a></h2>\r\nOffering over 30 different types of pizza is the perfect example of pizza every night but never eating the same thing. This award winning pizza joint is a place that you must visit, have a slice and then sit and people watch.\r\n<h2><a href=\"http://harryspizzeria.com/\" target=\"_blank\">Harry’s Pizzeria</a></h2>\r\nEver hear of pop up shops? What about pop up pizza? Well Harry’s has pop shops for pizza. How cool is that? So if you wanted to have a pizza party, you no longer have to order boxes that would be delivered to your doorstep, how about a pizza oven delivered to your doorstep &amp; the pizza is made fresh at your party? Come on, that’s genius!\r\n<h2><a href=\"http://www.pizzaironside.com/\" target=\"_blank\">Ironside Pizza</a></h2>\r\nWhen you think pizza, you don’t immediately think allergies right? Well for some, a battle with gluten is real which keeps folks from enjoying certain things. Well Ironside has a gluten free crust &amp; vegan options for your pizza. How happy does this make folks who have had to pass up other pizza places? There isn’t a huge selection of flavors but the fact that they cater to a clientele who might otherwise get overlooked on the pizza circuit puts them firmly on the list of the best.\r\n<h2><a href=\"http://www.blockspizza.com/\" target=\"_blank\">Blocks Pizza Deli</a></h2>\r\nAnother one that makes the list because of the process they use for the dough (leavened for 3 days) and they use organic ingredients. Whenever we think of pizza, often the thought is ooey, gooey, cheesey but never nutritious. This one makes the cut because who needs the guilt when enjoying a slice? This is almost guilt free.\r\n<h2><a href=\"https://www.facebook.com/Steves-Pizza-159716410727467/timeline\" target=\"_blank\">Steve’s Pizza</a></h2>\r\nLooking for a fun place to have a giant slice? Stop on over to Steve’s, it seems there’s always a party going on. Great friendly atmosphere and pizza the way you expect it from your casual, local pizza spot.\r\n<h2><a href=\"http://www.visao1.com/\" target=\"_blank\">Visa-01</a></h2>\r\nOften when you want a personal sized pizza, they are on the kids menu and there aren’t many selections. Don’t want to share but still want a specialty pizza? You get to have a small pizza all to yourself with your special toppings. Gotta love that!\r\n<h2><a href=\"http://chakalacka.wix.com/fratelli-milano#!\" target=\"_blank\">Ristorante Fratelli Milano</a></h2>\r\nThis one made the list for reasons way outside of pizza. How cool is it that the chefs are not just brothers but they are twins? Most of us dread the holiday parties because of awkward family moments, these two decided to go into business together and make great food instead of weird memories.\r\n<h2><a href=\"http://www.kingscountypizza.com/\" target=\"_blank\">Kings County Pizza</a></h2>\r\nNew York pizza that according to their site is “New York tested, New York approved”. If you really want an authentic taste of New York, stop in or have a pie delivered from Kings County.\r\n\r\nDoesn\'t this list doesn’t have your mouth watering! See how many of these places (and new ones) you can try before the end of the year, or at least before next December!", "Miami\'s 10 Best Pizza Places", "", "inherit", "closed", "closed", "", "503-revision-v1", "", "", "2015-12-08 20:04:24", "2015-12-08 20:04:24", "", "503", "http://buckspizza.com/2015/12/08/503-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("505", "1", "2015-12-08 20:16:02", "2015-12-08 20:16:02", "", "Miamis-10-Best-Pizza-Places", "", "inherit", "closed", "closed", "", "miamis-10-best-pizza-places", "", "", "2015-12-08 20:16:07", "2015-12-08 20:16:07", "", "503", "http://buckspizza.com/wp-content/uploads/2015/12/Miamis-10-Best-Pizza-Places.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("506", "1", "2015-12-09 08:45:44", "2015-12-09 08:45:44", "As Americans grow more health conscious, pizza has had trouble shaking a reputation as an unhealthy food. The love affair with the savory pie has not cooled as a result of the \"bad press\" and pizza remains among our top ten All-American comfort meals of choice. Only now we feel guilty about indulging.\r\n\r\nWell, ditch the guilt and call in your order, because that large thin crust may be a whole lot healthier than you’ve been led to believe!\r\n\r\nFood scientists at the <i>Instituto di Ricerche Farmacologiche</i> in Milan did studies about this, and based on the answers 8,000 habitual pizza eaters gave on questionnaires, the researchers concluded pizza does <i>not</i> contribute to coronary artery disease and better still, regular consumption may actually fight certain types of cancer.\r\n\r\nSure, take those test results with a grain of salt—conclusions drawn from questionnaires are only as accurate as the answers given. You’ll be gratified to learn there are several well-documented, deliciously surprising ways pizza actually <i>can</i> be good for you!\r\n<h2>It’s saucy</h2>\r\nTomatoes contain vitamins A and C, calcium, and the antioxidant lycopene, a combination of nutrients that transforms tomatoes into what you might call healthy eating all-stars. <i>Cooking</i> tomatoes (as in turning them into pizza sauce) releases even more of the antioxidants, so they\'re easier for your body to process, potentially reducing your risk of stomach, colon, mouth, prostate, esophageal, and lung cancers. Stick with a low-sodium and low-sugar sauce and you\'ve cut out two of the biggest nutritional no-nos in pizza sauce.\r\n<h2>It’s spicy</h2>\r\nWith pizza you get your onion, your garlic, your black or red pepper, your basil, and your oregano. Among other things, garlic can lower bad cholesterol, onions help regulate blood sugar, pepper is good for the digestion, basil calms inflammation and improves heart health, oregano is packed with antioxidants.\r\n<h2>It’s got milk</h2>\r\nWell cheese, anyway, and cheese is one of the best sources of calcium out there. As a matter of fact, 1 slice of a 14” cheese Pie will give you about 22 percent of your daily calcium requirement! Artichoke, broccoli, or seafood toppings (the latter would include anchovies with their teeny, tiny bones) will bump the calcium even higher, keeping your bones, blood vessels, nerves, and muscles very happy.\r\n<h2>It’s got protein</h2>\r\nThe aforementioned cheese is also rich in protein, as are any meats you might opt for as topping. Keep your pizza pie totally guilt free by choosing low-fat, low-cholesterol toppings: seafood, turkey pepperoni, or BBQ chicken. Regardless of your choice, you can get as many as 11 grams of protein per slice!\r\n<h2>It’s crusty</h2>\r\nUsually, crust is listed as one of pizza’s unhealthy points, but we say that depends. The trick is to pick your crust. Thin crusts are healthier than deep dish, and whole-grain crusts are the ultimate, due to the fiber factor (think: lower cholesterol and feeling fuller faster so you eat less). It doesn\'t have to be doughy to be considered pizza. Lots of dough means lots of carbohydrates turning into sugar. Sure, a deep dish pizza may not be what the doctor ordered, but you\'re not eating a pizza a day to keep the doctor away, right? Keep those doughy indulgences to a minimum and experiment with some healthier crusts by baking naan or whole wheat tortillas.\r\n<h2>It’s a fun way to get your fruits and veggies</h2>\r\nWhen you load your pizza with green peppers, red peppers, spinach, artichokes, olives, mushrooms—even pineapple, for goodness sake—you’re getting vitamins and minerals galore, with very few calories. That’s a nutritional win-win in anybody’s book.\r\n<h2>It has all the food groups</h2>\r\nWe’re busy people, right? Lot of days, we don’t have time to cook healthy meals or make sure we’ve balanced our diets. Never fear, healthy eating enthusiasts, pizza has got your back! Think about it. With the right crust and toppings, The Pie can become a balanced meal all on its own. Where else can you get all the food groups in one fell swoop?", "Pizza\'s Surprising Health Benefits", "", "draft", "closed", "closed", "", "pizzas-surprising-health-benefits", "", "", "2017-08-04 15:56:10", "2017-08-04 15:56:10", "", "0", "http://buckspizza.com/?p=506", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("508", "1", "2015-12-08 20:37:56", "2015-12-08 20:37:56", "As Americans grow more health conscious, pizza has had trouble shaking a reputation as an unhealthy food. The love affair with the savory pie has not cooled as a result of the \"bad press\" and pizza remains among our top ten All-American comfort meals of choice. Only now we feel guilty about indulging.\n\nWell, ditch the guilt and call in your order, because that large thin crust may be a whole lot healthier than you’ve been led to believe!\n\nFood scientists at the <i>Instituto di Ricerche Farmacologiche</i> in Milan did studies about this, and based on the answers 8,000 habitual pizza eaters gave on questionnaires, the researchers concluded pizza does <i>not</i> contribute to coronary artery disease and better still, regular consumption may actually fight certain types of cancer.\n\nSure, take those test results with a grain of salt—conclusions drawn from questionnaires are only as accurate as the answers given. You’ll be gratified to learn there are several well-documented, deliciously surprising ways pizza actually <i>can</i> be good for you!\n<h2>It’s saucy</h2>\nTomatoes contain vitamins A and C, calcium, and the antioxidant lycopene, a combination of nutrients that transforms tomatoes into what you might call healthy eating all-stars. <i>Cooking</i> tomatoes (as in turning them into pizza sauce) releases even more of the antioxidants, so they\'re easier for your body to process, potentially reducing your risk of stomach, colon, mouth, prostate, esophageal, and lung cancers.\n<h2>It’s spicy</h2>\nWith pizza you get your onion, your garlic, your black or red pepper, your basil, and your oregano. Among other things, garlic can lower bad cholesterol, onions help regulate blood sugar, pepper is good for the digestion, basil calms inflammation and improves heart health, oregano is packed with antioxidants.\n<h2>It’s got milk</h2>\nWell cheese, anyway, and cheese is one of the best sources of calcium out there. As a matter of fact, 1 slice of a 14” cheese Pie will give you about 22 percent of your daily calcium requirement! Artichoke, broccoli, or seafood toppings (the latter would include anchovies with their teeny, tiny bones) will bump the calcium even higher, keeping your bones, blood vessels, nerves, and muscles very happy.\n<h2>It’s got protein</h2>\nThe aforementioned cheese is also rich in protein, as are any meats you might opt for as topping. Keep your pizza pie totally guilt free by choosing low-fat, low-cholesterol toppings: seafood, turkey pepperoni, or BBQ chicken. Regardless of your choice, you can get as many as 11 grams of protein per slice!\n<h2>It’s crusty</h2>\nUsually, crust is listed as one of pizza’s unhealthy points, but we say that depends. The trick is to pick your crust. Thin crusts are healthier than deep dish, and whole-grain crusts are the ultimate, due to the fiber factor (think: lower cholesterol and feeling fuller faster so you eat less). If you make your own pizza, create a healthier crust with baked nan or whole wheat tortillas. It doesn\'t have to be doughy to be considered pizza.\n<h2>It’s a fun way to get your fruits and veggies</h2>\nWhen you load your pizza with green peppers, red peppers, spinach, artichokes, olives, mushrooms—even pineapple, for goodness sake—you’re getting vitamins and minerals galore, with very few calories. That’s a nutritional win-win in anybody’s book.\n<h2>It has all the food groups</h2>\nWe’re busy people, right? Lot of days, we don’t have time to cook healthy meals or make sure we’ve balanced our diets. Never fear, healthy eating enthusiasts, pizza has got your back! Think about it. With the right crust and toppings, The Pie can become a balanced meal all on its own. Where else can you get all the food groups in one fell swoop?", "Pizza\'s Surprising Health Benefits", "", "inherit", "closed", "closed", "", "506-autosave-v1", "", "", "2015-12-08 20:37:56", "2015-12-08 20:37:56", "", "506", "http://buckspizza.com/2015/12/08/506-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("509", "1", "2015-12-08 20:47:21", "2015-12-08 20:47:21", "", "Pizzas-Surprising-Health-Benefits", "", "inherit", "closed", "closed", "", "pizzas-surprising-health-benefits-2", "", "", "2015-12-08 20:47:25", "2015-12-08 20:47:25", "", "506", "http://buckspizza.com/wp-content/uploads/2015/12/Pizzas-Surprising-Health-Benefits.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("510", "1", "2015-12-08 20:47:34", "2015-12-08 20:47:34", "As Americans grow more health conscious, pizza has had trouble shaking a reputation as an unhealthy food. The love affair with the savory pie has not cooled as a result of the \"bad press\" and pizza remains among our top ten All-American comfort meals of choice. Only now we feel guilty about indulging.\r\n\r\nWell, ditch the guilt and call in your order, because that large thin crust may be a whole lot healthier than you’ve been led to believe!\r\n\r\nFood scientists at the <i>Instituto di Ricerche Farmacologiche</i> in Milan did studies about this, and based on the answers 8,000 habitual pizza eaters gave on questionnaires, the researchers concluded pizza does <i>not</i> contribute to coronary artery disease and better still, regular consumption may actually fight certain types of cancer.\r\n\r\nSure, take those test results with a grain of salt—conclusions drawn from questionnaires are only as accurate as the answers given. You’ll be gratified to learn there are several well-documented, deliciously surprising ways pizza actually <i>can</i> be good for you!\r\n<h2>It’s saucy</h2>\r\nTomatoes contain vitamins A and C, calcium, and the antioxidant lycopene, a combination of nutrients that transforms tomatoes into what you might call healthy eating all-stars. <i>Cooking</i> tomatoes (as in turning them into pizza sauce) releases even more of the antioxidants, so they\'re easier for your body to process, potentially reducing your risk of stomach, colon, mouth, prostate, esophageal, and lung cancers. Stick with a low-sodium and low-sugar sauce and you\'ve cut out two of the biggest nutritional no-nos in pizza sauce.\r\n<h2>It’s spicy</h2>\r\nWith pizza you get your onion, your garlic, your black or red pepper, your basil, and your oregano. Among other things, garlic can lower bad cholesterol, onions help regulate blood sugar, pepper is good for the digestion, basil calms inflammation and improves heart health, oregano is packed with antioxidants.\r\n<h2>It’s got milk</h2>\r\nWell cheese, anyway, and cheese is one of the best sources of calcium out there. As a matter of fact, 1 slice of a 14” cheese Pie will give you about 22 percent of your daily calcium requirement! Artichoke, broccoli, or seafood toppings (the latter would include anchovies with their teeny, tiny bones) will bump the calcium even higher, keeping your bones, blood vessels, nerves, and muscles very happy.\r\n<h2>It’s got protein</h2>\r\nThe aforementioned cheese is also rich in protein, as are any meats you might opt for as topping. Keep your pizza pie totally guilt free by choosing low-fat, low-cholesterol toppings: seafood, turkey pepperoni, or BBQ chicken. Regardless of your choice, you can get as many as 11 grams of protein per slice!\r\n<h2>It’s crusty</h2>\r\nUsually, crust is listed as one of pizza’s unhealthy points, but we say that depends. The trick is to pick your crust. Thin crusts are healthier than deep dish, and whole-grain crusts are the ultimate, due to the fiber factor (think: lower cholesterol and feeling fuller faster so you eat less). It doesn\'t have to be doughy to be considered pizza. Lots of dough means lots of carbohydrates turning into sugar. Sure, a deep dish pizza may not be what the doctor ordered, but you\'re not eating a pizza a day to keep the doctor away, right? Keep those doughy indulgences to a minimum and experiment with some healthier crusts by baking naan or whole wheat tortillas.\r\n<h2>It’s a fun way to get your fruits and veggies</h2>\r\nWhen you load your pizza with green peppers, red peppers, spinach, artichokes, olives, mushrooms—even pineapple, for goodness sake—you’re getting vitamins and minerals galore, with very few calories. That’s a nutritional win-win in anybody’s book.\r\n<h2>It has all the food groups</h2>\r\nWe’re busy people, right? Lot of days, we don’t have time to cook healthy meals or make sure we’ve balanced our diets. Never fear, healthy eating enthusiasts, pizza has got your back! Think about it. With the right crust and toppings, The Pie can become a balanced meal all on its own. Where else can you get all the food groups in one fell swoop?", "Pizza\'s Surprising Health Benefits", "", "inherit", "closed", "closed", "", "506-revision-v1", "", "", "2015-12-08 20:47:34", "2015-12-08 20:47:34", "", "506", "http://buckspizza.com/2015/12/08/506-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("511", "1", "2015-12-16 08:45:04", "2015-12-16 08:45:04", "Cold pizza for breakfast is an American tradition, and we’re just not going to mess with that. But did you know there are other ways to eat pizza for breakfast? Sure, they take a bit more effort than simply popping the box lid and grabbing that refrigerated slice, but everybody loves options. Right? Plus, nothing warms up cold winter mornings quite like these awesome leftover-pizza breakfast tips. We linked to recipes for the more complicated treats.\r\n<h2>Pizza Waffle</h2>\r\n<img class=\"aligncenter size-full wp-image-527\" src=\"http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Waffle.jpg\" alt=\"Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Pizza Waffle\" />\r\n\r\nYou say you want easy? We’ve got easy! Take a slice, fold it in half and trim away any exposed topping. Tuck it in the waffle iron until toasty, and, voila! Add taste to this treat by topping your waffled slice with leftover marinara, extra cheese, whatever! This is a twist on recipes that call for making waffle pizza from scratch, like <a href=\"http://www.foodnetwork.com/recipes/food-network-kitchens/waffled-margherita-pizza-recipe.html\" target=\"_blank\">FoodNetwork.com\'s Waffled Margherita Pizza</a>.\r\n<h2>Pizza Eggs</h2>\r\n<img class=\"aligncenter size-full wp-image-529\" src=\"http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Eggs.jpg\" alt=\"Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Pizza Eggs\" />\r\n\r\nOkay, this is sheer genius, a beautiful-yet-uncomplicated way to get your breakfast protein and your pizza, too. All you need per serving are a couple eggs and half a slice. Tear the slice apart, dump the pieces in with the eggs. Now add cheese, about a tablespoon of milk, and a soupçon of salt. Toss the everything into a heated skillet and cook until the eggs are done. If you want to get classy with it, top each serving with a sprinkle of fresh herbs before serving. <a href=\"http://www.food.com/recipe/pizza-eggs-86388\" target=\"_blank\">Food.com has a recipe like this</a> for \"pizza eggs\" on its site, but don\'t be scared by the 120 hour cook time—this takes almost no time at all!\r\n<h2>Pizza Quiche</h2>\r\n<img class=\"aligncenter size-full wp-image-530\" src=\"http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Quiche.jpg\" alt=\"Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Pizza Quiche\" />\r\n\r\nSpeaking of classy, why not try a leftover pizza quiche on for size? Yes, it does take a bit more time, but, trust us, you’ll be glad you made the effort. Brown about a quarter pound of ground turkey with garlic and green onions. Mix three leftover slices in a bowl with eggs, spinach, and grated cheddar-jack cheese. Scoop all of the above on a thawed frozen pie crust, bake at 350, and in about 45 minutes, you’ve got a breakfast fit for the gods. See a version of this recipe on <a href=\"http://tastykitchen.com/recipes/breakfastbrunch/eggs-breakfastbrunch/leftover-pizza-quiche/\" target=\"_blank\">TastyKitchen.com</a>.\r\n<h2>Leftover Pizza Breakfast Casserole</h2>\r\n<img class=\"aligncenter size-full wp-image-531\" src=\"http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Breakfast-Casserole.jpg\" alt=\"Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Leftover Pizza Breakfast Casserole\" />\r\n\r\nIn a nutshell, you cut three leftover slices into three-quarter-inch squares, lay them out in a baking dish, and top them with a mixture of eggs, mozzarella, onion, butter, garlic, oregano, and salt. Top it off with Parmesan and red pepper flakes and bake at 350. Does this sound yummy, or what? See the recipe at <a href=\"http://allrecipes.com/recipe/229489/leftover-pizza-breakfast-casserole/\" target=\"_blank\">AllRecipes.com</a>.\r\n<h2>Leftover Pizza Frittata</h2>\r\n<img class=\"aligncenter size-full wp-image-532\" src=\"http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Frittata.jpg\" alt=\"Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Leftover Pizza Frittata\" />\r\n\r\nIf you’ve only got two slices left the morning after, this is the recipe for you! Chop them up in half-inch cubes, add them to a couple cups of sautéed baby spinach and garlic. Next you add five eggs, some sharp cheddar cheese, a bit of Italian seasoning, and a sprinkle of Parmesan. Bake at 375 for 25 minutes, and chow down! You can see a version of this recipe on <a href=\"http://www.food.com/recipe/leftover-pizza-frittata-using-leftover-pizza-433837\" target=\"_blank\">Food.com</a>.\r\n<h2>Pizza Potato Cakes</h2>\r\n<img class=\"aligncenter size-full wp-image-533\" src=\"http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Potato-Cakes.jpg\" alt=\"Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Pizza Potato Cakes\" />\r\n\r\nTalk about a whole lot of goodness wrapped up in one leftover pizza recipe! Scrape off the toppings and cut the crust off four slices and cube what’s left. Cook up a cubed potato, mash it with some oil and milk. Mix in the pizza toppings, some cooked onion, salt, pepper, garlic powder and tomato paste—okay, there’s a bit more to it, but trust us when we say this is one recipe you won’t want to miss! These go great with scrambled eggs. See the recipe on <a href=\"http://www.vegwithanedge.com/2013/08/14/leftover-pizza-potato-cakes-a-classy-way-to-reuse-last-nights-pizza/\" target=\"_blank\">Veg with an Edge</a>.\r\n<h2>Pizza Omelet</h2>\r\n<img class=\"aligncenter size-full wp-image-534\" src=\"http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Omelet.jpg\" alt=\"Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Pizza Omelet\" />\r\n\r\nWarm up a couple leftover slices in the microwave or toaster oven at 350. Ditch the crusts, cut the rest into bite-sized cubes. In a bowl mix up your eggs, a splash of milk, and a dash of salt and pepper. Pour your eggs in a heated pan, cook until they’re almost set, then add the pizza pieces. Fold your creation in half and cook for another 30 seconds on each side. Top with shredded cheddar, and you’re done! If you don\'t like the crusts, you can just use the toppings like in this recipe from <a href=\"http://www.thekitchn.com/leftover-pizza-use-the-topping-143424\" target=\"_blank\">thekitchn.com</a>.\r\n\r\nThe next time someone tells you cold pizza is the only way to enjoy it leftover in the morning, make sure to mention you found some great ideas to get more bang for your Buck\'s!", "Save Breakfast with These Mouthwatering Leftover Pizza Ideas", "", "draft", "closed", "closed", "", "save-breakfast-leftover-pizza-ideas", "", "", "2017-08-04 15:56:10", "2017-08-04 15:56:10", "", "0", "http://buckspizza.com/?p=511", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("512", "1", "2015-12-12 05:09:14", "2015-12-12 05:09:14", "", "Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas", "", "inherit", "closed", "closed", "", "save-breakfast-with-these-mouthwatering-leftover-pizza-ideas", "", "", "2015-12-12 05:09:19", "2015-12-12 05:09:19", "", "511", "http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("514", "1", "2015-12-12 06:03:51", "2015-12-12 06:03:51", "<h2>Buck\'s Famous Stix</h2>\r\n<strong>Bread Stix</strong>–$3.99\r\n<em>12 per order, covered with butter and spices.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>12 per order, with icing.</em>\r\n\r\n<strong>Cheese Stix</strong>–$4.99\r\n<em>12 per order, covered in melted cheese.</em>\r\n\r\n<strong>Cheese Stix with Bacon</strong>–$5.99\r\n<em>12 per order, covered in melted cheese.</em>\r\n<h2>Starters</h2>\r\n<strong>French Fries -</strong> $2.49\r\n\r\n<strong> Loaded Fries - </strong>$4.49\r\n\r\n<strong>Fried Pickles</strong>–$3.99\r\n\r\n<strong>Onion Rings</strong>-$3.99\r\n<h2>Fresh Baked Hoagies</h2>\r\nServed on a fresh baked Italian Ciabatta bread roll. If you would like extra meat, please ask your server. Dressings: Italian, Ranch, Blue Cheese, Mayo and more. Just ask!\r\n\r\n<strong>Italian</strong>– 6” $4.99 12”-$8.49\r\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, and tomato and Italian dressing.</em>\r\n\r\n<strong>Steak</strong>–6” $5.99 12”-$9.99\r\n<em>Real marinated, chipped USDA choice steak, mushrooms, onions, and green peppers smothered in provolone. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>CBS</strong>–6” $5.99 12”-$9.99\r\n<em>Cheddar, bacon and real marinated USDA choice steak.</em>\r\n\r\n<strong>Turkey Club</strong>– 6” $4.99 12”-$8.49\r\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Baked Ham</strong>– 6” $4.99 12”-$8.49\r\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\r\n\r\n<strong>Turkey</strong>–6” $4.99 12”-$8.49\r\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–6” $5.99 12”-$9.99\r\n<em>Delicious chicken covered in melted cheddar and sizzling bacon. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Meatball</strong>–6” $4.99 12”-$8.49\r\n<em>Meatballs, pasta sauce, and melted mozzarella.</em>\r\n\r\nAdd french fries to your sandwich!\r\n<h2>Salads</h2>\r\nDressings: Blue Cheese, Ranch, Balsamic Vinaigrette, Caesar, Honey Mustard, Fat Free Italian, Italian, Greek, French and Thousand Island.\r\n\r\n<strong>Caesar Salad</strong>–sm. $3.49, lg. $5.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $3.99, lg. $7.49\r\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\r\n\r\n<strong>Spinach Salad</strong>–sm. $4.99, lg. $8.99\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\r\n\r\n<strong>Chef Salad</strong>–sm. $4.29, lg. $7.49\r\n<em>Iceberg lettuce, cucumbers,  tomatoes, carrots, cheddar cheese, ham and bacon.</em>\r\n\r\n<strong>Chicken Tender Salad</strong>–sm. $4.99, lg. $8.99\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\r\n\r\n<strong>Garden Salad</strong>–sm. $2.99, lg. $4.99\r\n<em>Iceberg lettuce, cucumbers, carrots and tomato.</em>\r\n\r\n<strong>Greek Salad</strong>–sm. $4.99, lg. $8.99\r\n<em>Romaine lettuce, red onion, black olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n<h2>Tenders, Wings and Boneless Wings</h2>\r\nadd blue cheese, ranch or any extra sauce–50¢ each\r\n<h3>Sauces</h3>\r\n<ul>\r\n 	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n 	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n 	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n 	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n 	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n 	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\r\n 	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\r\n 	<li><strong>Jamaican Jerk</strong>–Unique and rich island flavor.</li>\r\n 	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\r\n 	<li><strong>Teriyaki</strong>–Smooth, salty, sweet…addictive.</li>\r\n</ul>\r\n<h3>Boneless Wings</h3>\r\nBreaded chicken tender bites tossed in your favorite lip-smackin\' wing sauce.\r\n<ul>\r\n 	<li>Order of 10 –$5.99</li>\r\n 	<li>Order of 15 –$8.99</li>\r\n 	<li>Order of 20 –$11.99</li>\r\n 	<li>Order of 25 –14.99</li>\r\n</ul>\r\n<h3>Chicken Wings</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n<ul>\r\n 	<li>Order of 5 –$4.99</li>\r\n 	<li>Order of 10 –$8.99</li>\r\n 	<li>Order of 15 –$13.99</li>\r\n 	<li>Order of 20 –$17.49</li>\r\n 	<li>Order of 25 –$21.99</li>\r\n 	<li>Order of 50 –$39.99</li>\r\n</ul>\r\nOrders of 20 or more may choose 2 sauces\r\nWings run through the oven will have a $1.00 charge added per 10 wings\r\n<h3>Chicken Tenders</h3>\r\nGenuine southern fried chicken tenders so lightly breaded they will melt in your mouth.\r\n<ul>\r\n 	<li>Order of 4–$3.99</li>\r\n 	<li>Order of 6–$5.49</li>\r\n 	<li>Order of 8–$6.99</li>\r\n 	<li>Order of 12–$9.99</li>\r\n 	<li>Order of 15–$12.49</li>\r\n 	<li>Order of 20–$15.49</li>\r\n 	<li>Order of 25–$18.99</li>\r\n 	<li>Order of 50–$34.99</li>\r\n 	<li>Order of 100–$65.99</li>\r\n</ul>\r\n<h3>Southern Fried Chicken Tenders and French Fries</h3>\r\nSmall - $5.99 Large $8.99\r\n<h2>Build-Your-Own Pizzas</h2>\r\nChoose Hand-Tossed or Thin Crust pizza! Gluten-free is available for $3 more! Ask your server.\r\n<h3>Pizza</h3>\r\n<ul>\r\n 	<li>Personal 6\" (2 slices)–$3.49</li>\r\n 	<li>Small 9\" (4 slices)–$5.99</li>\r\n 	<li>Medium 12\" (6 slices)–$8.99</li>\r\n 	<li>Large 14\" (8 slices)–$9.99</li>\r\n 	<li>X-Large 16\" (12 slices)–$11.49</li>\r\n 	<li>Belly Buster 1’ x 2’ (21 slices)–$13.99</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\n25¢ each per Personal\r\n50¢ each per Small\r\n$1.00 each per Medium\r\n$1.50 each per Large\r\n$1.75 each per X-Large\r\n$2.00 each per Belly Buster\r\n<ul>\r\n 	<li>Pepperoni</li>\r\n 	<li>Ham</li>\r\n 	<li>Mushrooms</li>\r\n 	<li>Bacon</li>\r\n 	<li>Fresh onions</li>\r\n 	<li>Anchovies</li>\r\n 	<li>Green pepper</li>\r\n 	<li>Sausage</li>\r\n 	<li>Green olives</li>\r\n 	<li>Fresh spinach</li>\r\n 	<li>Black olives</li>\r\n 	<li>Pineapple</li>\r\n 	<li>Canadian bacon</li>\r\n 	<li>Jalapeños</li>\r\n 	<li>Banana peppers</li>\r\n 	<li>Roma tomatoes</li>\r\n 	<li>Ground beef</li>\r\n 	<li>Cheddar Cheese</li>\r\n 	<li>Extra Cheese</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\n50¢ each per Personal\r\n$1.00 each per Small\r\n$2.00 each per Medium\r\n$3.00 each per Large\r\n$3.50 each per X-Large\r\n$4.00 each per Belly Buster\r\n<ul>\r\n 	<li>Artichoke hearts</li>\r\n 	<li>Chicken</li>\r\n 	<li>Steak</li>\r\n 	<li>Fresh Basil</li>\r\n 	<li>Feta Cheese</li>\r\n</ul>\r\n<h2>Specialty Pizzas</h2>\r\n<strong>Buck’s Deluxe</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage &amp; green pepper.</em>\r\n\r\n<strong>5 Meat</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon &amp; ground beef.</em>\r\n\r\n<strong>BBQ Chicken</strong> personal $4.99  sm $8.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>Tender chunks of chicken tossed in our blend of bbq &amp; pizza sauce, with red onion, real bacon, mozzarella &amp; aged cheddar.</em>\r\n\r\n<strong>Buffalo Chicken</strong> personal $4.49  sm $8.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>Your choice of Buck’s mild, medium or hot wing sauce blended with ranch dressing, smothered in mozzarella &amp; chicken, all topped with sizzling bacon. Hang on to your hat!</em>\r\n\r\n<strong>Vegi-Delite</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives &amp; sliced tomato.</em>\r\n\r\n<strong>Chicken Club (White Pizza)</strong> personal $4.49  sm $8.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, canadian bacon, red onion &amp; bacon.</em>\r\n\r\n<strong>Greek (White Pizza)</strong> personal $4.49  sm $8.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>A light garlic sauce, mozzarella, black olives, red onion, artichoke hearts, fresh roma tomato slices &amp; feta cheese.</em>\r\n\r\n<strong>Margherita (White Pizza)</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>Our light garlic sauce with blended parmesan, sliced roma tomatoes, chopped fresh basil &amp; lots of mozzarella cheese.</em>\r\n\r\n<strong>4 Cheese Medley</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>A blend of cheddar, mozzarella, parmesan &amp; feta cheese. A bold &amp; exciting flavor!</em>\r\n\r\n<strong>Old World (White Pizza)</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $17.99\r\n\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon &amp; sliced tomato.</em>\r\n\r\n<strong>Bacon Cheeseburger</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>The backyard grilled flavor of hamburger &amp; bacon topped with mozzarella &amp; aged cheddar.</em>\r\n\r\n<strong>Hawaiian</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>A taste of the islands with generous portions of pineapple &amp; canadian bacon.</em>\r\n\r\n<strong>Pepperoni Classic</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>America’s favorite pizza with an edge to edge layer of pepperoni &amp; extra mozzarella cheese.</em>\r\n\r\n<strong>Sausage Classic</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>Wake up your taste buds with lots of sausage &amp; extra mozzarella.</em>\r\n\r\n&nbsp;\r\n\r\n<strong>Steak ‘N Cheese (White Pizza)</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>Our special light garlic sauce topped with real marinated chipped steak, onions, green peppers, mushrooms &amp; extra mozzarella cheese.</em>\r\n\r\n<strong>Spinach Alfredo</strong> personal $4.49  sm $8.99  med $12.99  lg $16.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon &amp; lots of mozzarella.</em>\r\n\r\n<strong>Chicken Alfredo</strong> personal $4.49  sm $8.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>Classic alfredo sauce with chicken, red onion &amp; real bacon, topped with 100% mozzarella cheese.</em>\r\n\r\n<strong>Extreme Bucks Deluxe</strong> personal $4.99 sm $8.99 med $13.99 lg $16.99 xl $20.99\r\nbellybuster $23.99\r\n\r\n<em>Pepperoni, ham, sausage, hamburger, onion, green pepper, mushrooms, black &amp; green olives, banana peppers &amp; bacon.</em>\r\n<h2>Stromboli</h2>\r\nExtra Dipping Sauce 50¢\r\nAdditional Charge for Extra Cheese\r\nAlso, you can get any of our specialty pizzas made into a Stromboli!\r\n\r\n<strong>Bucks Pizza Stromboli</strong>\r\npersonal $3.99 sm. $6.99 med. $11.49 lg. $14.49 xlg. $16.99\r\n<em>Handtossed dough, Buck’s delicious pizza sauce &amp; 100% real cheese. Add any of our pizza toppings at no extra charge. We fold it, top it with butter &amp; seasonings &amp; bake it.</em>\r\n\r\n<strong>Ham &amp; Cheese</strong>\r\npersonal $3.99 sm. $6.99 med. $11.49 lg. $14.49 xlg. $16.99\r\n<em>Baked ham, mozzarella &amp; aged cheddar.</em>\r\n\r\n<strong>CBH Special</strong>\r\npersonal $3.99 sm. $6.99 med. $11.49 lg. $14.49 xlg. $16.99\r\n<em>Cheddar, bacon &amp; ham.</em>\r\n\r\n<strong>Vegi-Delite</strong>\r\npersonal $3.99 sm. $6.99 med. $11.49 lg. $14.49 xlg. $16.99\r\n<em>A delicate combination of mushrooms, onions, tomatoes, green peppers, black olives, green olives &amp; mozzarella.</em>\r\n\r\n<strong>Meaty</strong>\r\npersonal $3.99 sm. $6.99 med. $11.49 lg. $14.49 xlg. $16.99\r\n<em>Pepperoni, sausage, ham, bacon, ground beef &amp; mozzarella.</em>\r\n\r\n<strong>Italian</strong>\r\npersonal $3.99 sm. $6.99 med. $11.49 lg. $14.49 xlg. $16.99\r\n<em>Ham, salami, onions, green peppers &amp; mozzarella.</em>\r\n\r\n<strong>Steak</strong>\r\npersonal $4.49 sm. $7.49 med. $12.99 lg. $16.99 xlg. $18.99\r\n<em>Real marinated chipped steak, mushrooms, onions, green peppers &amp; lots of mozzarella.</em>\r\n\r\n<strong>CBS Special</strong>\r\npersonal $4.49 sm. $7.49 med. $12.99 lg. $16.99 xlg. $18.99\r\n<em>Cheddar, bacon &amp; steak.</em>\r\n<h2>Pasta Dishes</h2>\r\nAll of our pasta meals are served with fresh baked garlic bread.\r\n\r\nYou may add a meatball or chicken for $2.00 more.\r\n\r\nOur Tomato Pasta Sauce is made with vine-ripened tomatoes and only the finest ingredients for a simple, classic Old World flavor.\r\n\r\n<strong>Spaghetti &amp; Meatballs</strong> sm. $4.49 lg. $7.49\r\n<em>A generous portion of spaghetti topped with meatballs and the best tomato pasta sauce you will find anywhere.</em>\r\n\r\n<strong>Fettuccine Alfredo</strong> sm. $4.99 lg. $7.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.</em>\r\n\r\n<strong>Chicken Parmesan</strong> $9.99\r\n<em>Boneless chicken breast, pasta sauce, spaghetti noodles &amp; mozzarella.</em>\r\n<h2>Sweet Treats</h2>\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing.</em>\r\n\r\n<strong>Chocolate Chip Cookies</strong> (3) $1.99 (6) $3.99 (12) $7.99 (16) $9.99 (20) $11.49 (24) $12.99\r\n\r\n<strong>Dessert Pizza</strong> ea. $4.99\r\n<em>Choose from: cinnamon apple, chocolate chip or pineapple cream cheese</em>\r\n<h2>Beverages</h2>\r\n<strong>Lemonade or Sweet Tea</strong> ½ gal. $2.49\r\n\r\n<strong>Pepsi Products:</strong>\r\n<ul>\r\n 	<li>2 liter $2.29</li>\r\n 	<li>Fountain drinks $1.79</li>\r\n</ul>\r\n<h3><strong>Bottled Beer &amp; Cans</strong></h3>\r\nMichelob ultra light $2.50\r\nBud light $2.50\r\nMiller light $2.50\r\nCoors light $2.50\r\nYuengling $2.50\r\nFarmer Ted $3.50\r\nBlue moon $3.50\r\nSeasonal craft $3.50", "Menu", "", "publish", "closed", "closed", "", "menu", "", "", "2020-03-30 16:31:52", "2020-03-30 16:31:52", "", "48", "http://buckspizza.com/?page_id=514", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("519", "1", "2015-12-16 21:00:18", "2015-12-16 21:00:18", "", "Wine-Pairing-for-Pizza-Toppings-Classic-Pepperoni-Pizza", "", "inherit", "closed", "closed", "", "wine-pairing-for-pizza-toppings-classic-pepperoni-pizza", "", "", "2015-12-16 21:00:47", "2015-12-16 21:00:47", "", "455", "http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings-Classic-Pepperoni-Pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("520", "1", "2015-12-16 21:22:00", "2015-12-16 21:22:00", "Cold beer has long been the traditional beverage choice of pizza lovers when enjoying their favorite slice of deliciousness, but today\'s changing culinary scene has brought wine into the picture. Pairing wine and pizza might seem like a mystery to some, complicated by the fact that most pizza features strong flavors. The trick is to select wines with large flavor profiles so that their charms aren\'t overpowered by the pizza toppings.\n<h2>Classic Pepperoni Pizza</h2>\n<img class=\"aligncenter size-full wp-image-519\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings-Classic-Pepperoni-Pizza.jpg\" alt=\"Wine Pairing for Pizza Toppings-Classic Pepperoni Pizza\" />\n\n<em>Southern </em><em>Italian primitivo</em>\n\nIce cold American lager and hot pepperoni pizza is a culinary classic that\'s hard to beat. It takes a big wine to compete with cold beer where this type of pizza is concerned, and inky, intense primitivo from southern Italy pulls off the necessary flavor profile perfectly. Rich in tannins, primitivo brings out the best in spicy pepperoni and any other pizza crafted with red meat.\n\nClassic pizza dishes almost always pair best with wines from Italy because food and wine evolved together. However, many of today\'s pizza chefs are experimenting with nontraditional ingredients. When in doubt, go local if the pizza isn\'t prepared in authentic Italian style.\n<h2>Prosciutto Pizza</h2>\n<img class=\"aligncenter size-full wp-image-521\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings-Prosciutto-Pizza.jpg\" alt=\"Wine Pairing for Pizza Toppings-Prosciutto Pizza\" />\n\n<em>Chianti</em>\n\nEarthy, spicy Chianti pairs well with cured meats such as prosciutto, sausage, and salumi. Chianti is a medium-bodied red wine with notes of cloves, pepper, and ordinary kitchen garden herbs such as thyme, oregano, and dill. It also pairs well with Canadian bacon pizza because it\'s got traces of fruit in its bouquet that blend seamlessly with fresh pineapple chunks.\n<h2>Smoked Salmon Pizza</h2>\n<img class=\"aligncenter size-full wp-image-522\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings-Smoked-Salmon-Pizza.jpg\" alt=\"Wine Pairing for Pizza Toppings-Smoked Salmon Pizza\" />\n\n<em>Pacific Northwest Pinot Noir</em>\n\nOne of the reasons why wine has popularity among pizza lovers recently is that the face of pizza has evolved significantly to include nontraditional ingredients. Smoked salmon is excellent on pizza, particularly when paired with grilled mushrooms and white cheese, but it needs something besides beer to be at its best. A Pacific Northwest pinot noir complements smoked salmon pizza perfectly. Keep in mind that pinot noirs produced in France have softer bouquets than earthy Oregon and Washington varietals and might not stand up well when served with salmon.\n<h2>Seafood Pizza</h2>\n&nbsp;\n\n<em>Muscadet</em>\n\nSeafood pizza featuring crab, halibut, mussels, shrimp, and various other treasures from the ocean should be enjoyed with a properly chilled bottle of muscadet. Muscadet typically grows in vineyards near the seashore and features a soft bite of salty tang in its bouquet.\n<h2>Vegetarian and Vegan Pizza</h2>\n<em>White wines</em>\n\nAlthough most pizza calls for red wine, vegetarian pizza can be enjoyed with the right white wine, but wine selection will depend on the actual ingredients. Vegetarian pizza featuring smoked goat cheese cries out for accompaniment by a softly floral Grüner Veltliner, while pizza topped with classic mozzarella and garden vegetables such as broccoli and diced carrots goes better with a simple pinot gris. Vegetarian pizzas that are heavy on the cheese are enhanced significantly when enjoyed with a light Beaujolais or a sparkling rosato.\n\nVegan pizzas pair best with tart white wines with crisp green notes such as sauvignon blanc.\n<h2>Barbecued Chicken Pizza</h2>\n<em>Malbec or pinot noir</em>\n\nSlightly sweet and smoky barbecued chicken pizza needs a wine that features fruity notes high on its flavor profile. Malbec from Argentina is perfect for pairing with smoked chicken pizza that was crafted with molasses, while barbecue sauces made with honey should be served with a pinot noir.\n\nThe kind of wine enjoyed with pizza is also a matter of personal preference. Finding the best wines to serve with pizza may just mean having to undertake an enjoyable culinary journey for yourself!", "Wine Pairing for Pizza Toppings", "", "inherit", "closed", "closed", "", "455-autosave-v1", "", "", "2015-12-16 21:22:00", "2015-12-16 21:22:00", "", "455", "http://buckspizza.com/2015/12/16/455-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("521", "1", "2015-12-16 21:08:42", "2015-12-16 21:08:42", "", "Wine-Pairing-for-Pizza-Toppings-Prosciutto-Pizza", "", "inherit", "closed", "closed", "", "wine-pairing-for-pizza-toppings-prosciutto-pizza", "", "", "2015-12-16 21:09:00", "2015-12-16 21:09:00", "", "455", "http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings-Prosciutto-Pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("522", "1", "2015-12-16 21:13:24", "2015-12-16 21:13:24", "", "Wine-Pairing-for-Pizza-Toppings-Smoked-Salmon-Pizza", "", "inherit", "closed", "closed", "", "wine-pairing-for-pizza-toppings-smoked-salmon-pizza", "", "", "2015-12-16 21:14:15", "2015-12-16 21:14:15", "", "455", "http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings-Smoked-Salmon-Pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("523", "1", "2015-12-16 21:21:33", "2015-12-16 21:21:33", "", "Wine-Pairing-for-Pizza-Toppings-Seafood-Pizza", "", "inherit", "closed", "closed", "", "wine-pairing-for-pizza-toppings-seafood-pizza", "", "", "2015-12-16 21:22:00", "2015-12-16 21:22:00", "", "455", "http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings-Seafood-Pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("524", "1", "2015-12-16 21:22:13", "2015-12-16 21:22:13", "", "Wine-Pairing-for-Pizza-Toppings-Vegetarian-Pizza", "", "inherit", "closed", "closed", "", "wine-pairing-for-pizza-toppings-vegetarian-pizza", "", "", "2015-12-16 21:22:30", "2015-12-16 21:22:30", "", "455", "http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings-Vegetarian-Pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("525", "1", "2015-12-16 21:22:43", "2015-12-16 21:22:43", "", "Wine-Pairing-for-Pizza-Toppings-Classic-Barbecued-Chicken-Pizza", "", "inherit", "closed", "closed", "", "wine-pairing-for-pizza-toppings-classic-barbecued-chicken-pizza", "", "", "2015-12-16 21:22:57", "2015-12-16 21:22:57", "", "455", "http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings-Classic-Barbecued-Chicken-Pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("526", "1", "2015-12-16 21:23:12", "2015-12-16 21:23:12", "Cold beer has long been the traditional beverage choice of pizza lovers when enjoying their favorite slice of deliciousness, but today\'s changing culinary scene has brought wine into the picture. Pairing wine and pizza might seem like a mystery to some, complicated by the fact that most pizza features strong flavors. The trick is to select wines with large flavor profiles so that their charms aren\'t overpowered by the pizza toppings.\r\n<h2>Classic Pepperoni Pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-519\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings-Classic-Pepperoni-Pizza.jpg\" alt=\"Wine Pairing for Pizza Toppings-Classic Pepperoni Pizza\" />\r\n\r\n<em>Southern </em><em>Italian primitivo</em>\r\n\r\nIce cold American lager and hot pepperoni pizza is a culinary classic that\'s hard to beat. It takes a big wine to compete with cold beer where this type of pizza is concerned, and inky, intense primitivo from southern Italy pulls off the necessary flavor profile perfectly. Rich in tannins, primitivo brings out the best in spicy pepperoni and any other pizza crafted with red meat.\r\n\r\nClassic pizza dishes almost always pair best with wines from Italy because food and wine evolved together. However, many of today\'s pizza chefs are experimenting with nontraditional ingredients. When in doubt, go local if the pizza isn\'t prepared in authentic Italian style.\r\n<h2>Prosciutto Pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-521\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings-Prosciutto-Pizza.jpg\" alt=\"Wine Pairing for Pizza Toppings-Prosciutto Pizza\" />\r\n\r\n<em>Chianti</em>\r\n\r\nEarthy, spicy Chianti pairs well with cured meats such as prosciutto, sausage, and salumi. Chianti is a medium-bodied red wine with notes of cloves, pepper, and ordinary kitchen garden herbs such as thyme, oregano, and dill. It also pairs well with Canadian bacon pizza because it\'s got traces of fruit in its bouquet that blend seamlessly with fresh pineapple chunks.\r\n<h2>Smoked Salmon Pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-522\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings-Smoked-Salmon-Pizza.jpg\" alt=\"Wine Pairing for Pizza Toppings-Smoked Salmon Pizza\" />\r\n\r\n<em>Pacific Northwest Pinot Noir</em>\r\n\r\nOne of the reasons why wine has popularity among pizza lovers recently is that the face of pizza has evolved significantly to include nontraditional ingredients. Smoked salmon is excellent on pizza, particularly when paired with grilled mushrooms and white cheese, but it needs something besides beer to be at its best. A Pacific Northwest pinot noir complements smoked salmon pizza perfectly. Keep in mind that pinot noirs produced in France have softer bouquets than earthy Oregon and Washington varietals and might not stand up well when served with salmon.\r\n<h2>Seafood Pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-523\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings-Seafood-Pizza.jpg\" alt=\"Wine Pairing for Pizza Toppings-Seafood Pizza\" />\r\n\r\n<em>Muscadet</em>\r\n\r\nSeafood pizza featuring crab, halibut, mussels, shrimp, and various other treasures from the ocean should be enjoyed with a properly chilled bottle of muscadet. Muscadet typically grows in vineyards near the seashore and features a soft bite of salty tang in its bouquet.\r\n<h2>Vegetarian and Vegan Pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-524\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings-Vegetarian-Pizza.jpg\" alt=\"Wine Pairing for Pizza Toppings-Vegetarian-Pizza\" />\r\n\r\n<em>White wines</em>\r\n\r\nAlthough most pizza calls for red wine, vegetarian pizza can be enjoyed with the right white wine, but wine selection will depend on the actual ingredients. Vegetarian pizza featuring smoked goat cheese cries out for accompaniment by a softly floral Grüner Veltliner, while pizza topped with classic mozzarella and garden vegetables such as broccoli and diced carrots goes better with a simple pinot gris. Vegetarian pizzas that are heavy on the cheese are enhanced significantly when enjoyed with a light Beaujolais or a sparkling rosato.\r\n\r\nVegan pizzas pair best with tart white wines with crisp green notes such as sauvignon blanc.\r\n<h2>Barbecued Chicken Pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-525\" src=\"http://buckspizza.com/wp-content/uploads/2015/10/Wine-Pairing-for-Pizza-Toppings-Classic-Barbecued-Chicken-Pizza.jpg\" alt=\"Wine Pairing for Pizza Toppings-Barbecued Chicken Pizza\" />\r\n\r\n<em>Malbec or pinot noir</em>\r\n\r\nSlightly sweet and smoky barbecued chicken pizza needs a wine that features fruity notes high on its flavor profile. Malbec from Argentina is perfect for pairing with smoked chicken pizza that was crafted with molasses, while barbecue sauces made with honey should be served with a pinot noir.\r\n\r\nThe kind of wine enjoyed with pizza is also a matter of personal preference. Finding the best wines to serve with pizza may just mean having to undertake an enjoyable culinary journey for yourself!", "Wine Pairing for Pizza Toppings", "", "inherit", "closed", "closed", "", "455-revision-v1", "", "", "2015-12-16 21:23:12", "2015-12-16 21:23:12", "", "455", "http://buckspizza.com/2015/12/16/455-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("527", "1", "2015-12-16 21:50:07", "2015-12-16 21:50:07", "", "Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Waffle", "", "inherit", "closed", "closed", "", "save-breakfast-with-these-mouthwatering-leftover-pizza-ideas-pizza-waffle", "", "", "2015-12-16 21:50:15", "2015-12-16 21:50:15", "", "511", "http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Waffle.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("528", "1", "2015-12-16 22:51:42", "2015-12-16 22:51:42", "Cold pizza for breakfast is an American tradition, and we’re just not going to mess with that. But did you know there are other ways to eat pizza for breakfast? Sure, they take a bit more effort than simply popping the box lid and grabbing that refrigerated slice, but everybody loves options. Right? Plus, nothing warms up cold winter mornings quite like these awesome leftover-pizza breakfast tips. We linked to recipes for the more complicated treats.\n<h2>Pizza Waffle</h2>\n<img class=\"aligncenter size-full wp-image-527\" src=\"http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Waffle.jpg\" alt=\"Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Pizza Waffle\" />\n\nYou say you want easy? We’ve got easy! Take a slice, fold it in half and trim away any exposed topping. Tuck it in the waffle iron until toasty, and, voila! Add taste to this treat by topping your waffled slice with leftover marinara, extra cheese, whatever! This is a twist on recipes that call for making waffle pizza from scratch, like <a href=\"http://www.foodnetwork.com/recipes/food-network-kitchens/waffled-margherita-pizza-recipe.html\" target=\"_blank\">FoodNetwork.com\'s Waffled Margherita Pizza</a>.\n<h2>Pizza Eggs</h2>\n<img class=\"aligncenter size-full wp-image-529\" src=\"http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Eggs.jpg\" alt=\"Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Pizza Eggs\" />\n\nOkay, this is sheer genius, a beautiful-yet-uncomplicated way to get your breakfast protein and your pizza, too. All you need per serving are a couple eggs and half a slice. Tear the slice apart, dump the pieces in with the eggs. Now add cheese, about a tablespoon of milk, and a soupçon of salt. Toss the everything into a heated skillet and cook until the eggs are done. If you want to get classy with it, top each serving with a sprinkle of fresh herbs before serving. <a href=\"http://www.food.com/recipe/pizza-eggs-86388\" target=\"_blank\">Food.com has a recipe like this</a> for \"pizza eggs\" on its site, but don\'t be scared by the 120 hour cook time—this takes almost no time at all!\n<h2>Pizza Quiche</h2>\n<img class=\"aligncenter size-full wp-image-530\" src=\"http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Quiche.jpg\" alt=\"Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Pizza Quiche\" />\n\nSpeaking of classy, why not try a leftover pizza quiche on for size? Yes, it does take a bit more time, but, trust us, you’ll be glad you made the effort. Brown about a quarter pound of ground turkey with garlic and green onions. Mix three leftover slices in a bowl with eggs, spinach, and grated cheddar-jack cheese. Scoop all of the above on a thawed frozen pie crust, bake at 350, and in about 45 minutes, you’ve got a breakfast fit for the gods. See a version of this recipe on <a href=\"http://tastykitchen.com/recipes/breakfastbrunch/eggs-breakfastbrunch/leftover-pizza-quiche/\" target=\"_blank\">TastyKitchen.com</a>.\n<h2>Leftover Pizza Breakfast Casserole</h2>\n<img class=\"aligncenter size-full wp-image-531\" src=\"http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Breakfast-Casserole.jpg\" alt=\"Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Leftover Pizza Breakfast Casserole\" />\n\nIn a nutshell, you cut three leftover slices into three-quarter-inch squares, lay them out in a baking dish, and top them with a mixture of eggs, mozzarella, onion, butter, garlic, oregano, and salt. Top it off with Parmesan and red pepper flakes and bake at 350. Does this sound yummy, or what? See the recipe at <a href=\"http://allrecipes.com/recipe/229489/leftover-pizza-breakfast-casserole/\" target=\"_blank\">AllRecipes.com</a>.\n<h2>Leftover Pizza Frittata</h2>\n<img class=\"aligncenter size-full wp-image-532\" src=\"http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Frittata.jpg\" alt=\"Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Leftover Pizza Frittata\" />\n\nIf you’ve only got two slices left the morning after, this is the recipe for you! Chop them up in half-inch cubes, add them to a couple cups of sautéed baby spinach and garlic. Next you add five eggs, some sharp cheddar cheese, a bit of Italian seasoning, and a sprinkle of Parmesan. Bake at 375 for 25 minutes, and chow down! You can see a version of this recipe on <a href=\"http://www.food.com/recipe/leftover-pizza-frittata-using-leftover-pizza-433837\" target=\"_blank\">Food.com</a>.\n<h2>Pizza Potato Cakes</h2>\n<img class=\"aligncenter size-full wp-image-533\" src=\"http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Potato-Cakes.jpg\" alt=\"Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Pizza Potato Cakes\" />\n\nTalk about a whole lot of goodness wrapped up in one leftover pizza recipe! Scrape off the toppings and cut the crust off four slices and cube what’s left. Cook up a cubed potato, mash it with some oil and milk. Mix in the pizza toppings, some cooked onion, salt, pepper, garlic powder and tomato paste—okay, there’s a bit more to it, but trust us when we say this is one recipe you won’t want to miss! These go great with scrambled eggs. See the recipe on <a href=\"http://www.vegwithanedge.com/2013/08/14/leftover-pizza-potato-cakes-a-classy-way-to-reuse-last-nights-pizza/\" target=\"_blank\">Veg with an Edge</a>.\n<h2>Pizza Omelet</h2>\n<img class=\"aligncenter size-full wp-image-534\" src=\"http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Omelet.jpg\" alt=\"Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Pizza Omelet\" />\n\nWarm up a couple leftover slices in the microwave or toaster oven at 350. Ditch the crusts, cut the rest into bite-sized cubes. In a bowl mix up your eggs, a splash of milk, and a dash of salt and pepper. Pour your eggs in a heated pan, cook until they’re almost set, then add the pizza pieces. Fold your creation in half and cook for another 30 seconds on each side. Top with shredded cheddar, and you’re done!\n\nThe next time someone tells you cold pizza is the only way to enjoy it leftover in the morning, make sure to mention you found some great ideas to get more bang for your Buck\'s!", "Save Breakfast with These Mouthwatering Leftover Pizza Ideas", "", "inherit", "closed", "closed", "", "511-autosave-v1", "", "", "2015-12-16 22:51:42", "2015-12-16 22:51:42", "", "511", "http://buckspizza.com/2015/12/16/511-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("529", "1", "2015-12-16 22:07:31", "2015-12-16 22:07:31", "", "Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Eggs", "", "inherit", "closed", "closed", "", "save-breakfast-with-these-mouthwatering-leftover-pizza-ideas-pizza-eggs", "", "", "2015-12-16 22:07:47", "2015-12-16 22:07:47", "", "511", "http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Eggs.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("530", "1", "2015-12-16 22:12:17", "2015-12-16 22:12:17", "", "Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Quiche", "", "inherit", "closed", "closed", "", "save-breakfast-with-these-mouthwatering-leftover-pizza-ideas-pizza-quiche", "", "", "2015-12-16 22:12:26", "2015-12-16 22:12:26", "", "511", "http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Quiche.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("531", "1", "2015-12-16 22:14:48", "2015-12-16 22:14:48", "", "Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Breakfast-Casserole", "", "inherit", "closed", "closed", "", "save-breakfast-with-these-mouthwatering-leftover-pizza-ideas-leftover-pizza-breakfast-casserole", "", "", "2015-12-16 22:15:03", "2015-12-16 22:15:03", "", "511", "http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Breakfast-Casserole.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("532", "1", "2015-12-16 22:19:01", "2015-12-16 22:19:01", "", "Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Frittata", "", "inherit", "closed", "closed", "", "save-breakfast-with-these-mouthwatering-leftover-pizza-ideas-leftover-pizza-frittata", "", "", "2015-12-16 22:19:13", "2015-12-16 22:19:13", "", "511", "http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Frittata.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("533", "1", "2015-12-16 22:21:40", "2015-12-16 22:21:40", "", "Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Potato-Cakes", "", "inherit", "closed", "closed", "", "save-breakfast-with-these-mouthwatering-leftover-pizza-ideas-pizza-potato-cakes", "", "", "2015-12-16 22:21:51", "2015-12-16 22:21:51", "", "511", "http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Potato-Cakes.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("534", "1", "2015-12-16 22:26:37", "2015-12-16 22:26:37", "", "Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Omelet", "", "inherit", "closed", "closed", "", "save-breakfast-with-these-mouthwatering-leftover-pizza-ideas-pizza-omelet", "", "", "2015-12-16 22:26:50", "2015-12-16 22:26:50", "", "511", "http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Omelet.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("535", "1", "2015-12-16 22:54:58", "2015-12-16 22:54:58", "Cold pizza for breakfast is an American tradition, and we’re just not going to mess with that. But did you know there are other ways to eat pizza for breakfast? Sure, they take a bit more effort than simply popping the box lid and grabbing that refrigerated slice, but everybody loves options. Right? Plus, nothing warms up cold winter mornings quite like these awesome leftover-pizza breakfast tips. We linked to recipes for the more complicated treats.\r\n<h2>Pizza Waffle</h2>\r\n<img class=\"aligncenter size-full wp-image-527\" src=\"http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Waffle.jpg\" alt=\"Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Pizza Waffle\" />\r\n\r\nYou say you want easy? We’ve got easy! Take a slice, fold it in half and trim away any exposed topping. Tuck it in the waffle iron until toasty, and, voila! Add taste to this treat by topping your waffled slice with leftover marinara, extra cheese, whatever! This is a twist on recipes that call for making waffle pizza from scratch, like <a href=\"http://www.foodnetwork.com/recipes/food-network-kitchens/waffled-margherita-pizza-recipe.html\" target=\"_blank\">FoodNetwork.com\'s Waffled Margherita Pizza</a>.\r\n<h2>Pizza Eggs</h2>\r\n<img class=\"aligncenter size-full wp-image-529\" src=\"http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Eggs.jpg\" alt=\"Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Pizza Eggs\" />\r\n\r\nOkay, this is sheer genius, a beautiful-yet-uncomplicated way to get your breakfast protein and your pizza, too. All you need per serving are a couple eggs and half a slice. Tear the slice apart, dump the pieces in with the eggs. Now add cheese, about a tablespoon of milk, and a soupçon of salt. Toss the everything into a heated skillet and cook until the eggs are done. If you want to get classy with it, top each serving with a sprinkle of fresh herbs before serving. <a href=\"http://www.food.com/recipe/pizza-eggs-86388\" target=\"_blank\">Food.com has a recipe like this</a> for \"pizza eggs\" on its site, but don\'t be scared by the 120 hour cook time—this takes almost no time at all!\r\n<h2>Pizza Quiche</h2>\r\n<img class=\"aligncenter size-full wp-image-530\" src=\"http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Quiche.jpg\" alt=\"Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Pizza Quiche\" />\r\n\r\nSpeaking of classy, why not try a leftover pizza quiche on for size? Yes, it does take a bit more time, but, trust us, you’ll be glad you made the effort. Brown about a quarter pound of ground turkey with garlic and green onions. Mix three leftover slices in a bowl with eggs, spinach, and grated cheddar-jack cheese. Scoop all of the above on a thawed frozen pie crust, bake at 350, and in about 45 minutes, you’ve got a breakfast fit for the gods. See a version of this recipe on <a href=\"http://tastykitchen.com/recipes/breakfastbrunch/eggs-breakfastbrunch/leftover-pizza-quiche/\" target=\"_blank\">TastyKitchen.com</a>.\r\n<h2>Leftover Pizza Breakfast Casserole</h2>\r\n<img class=\"aligncenter size-full wp-image-531\" src=\"http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Breakfast-Casserole.jpg\" alt=\"Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Leftover Pizza Breakfast Casserole\" />\r\n\r\nIn a nutshell, you cut three leftover slices into three-quarter-inch squares, lay them out in a baking dish, and top them with a mixture of eggs, mozzarella, onion, butter, garlic, oregano, and salt. Top it off with Parmesan and red pepper flakes and bake at 350. Does this sound yummy, or what? See the recipe at <a href=\"http://allrecipes.com/recipe/229489/leftover-pizza-breakfast-casserole/\" target=\"_blank\">AllRecipes.com</a>.\r\n<h2>Leftover Pizza Frittata</h2>\r\n<img class=\"aligncenter size-full wp-image-532\" src=\"http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Leftover-Pizza-Frittata.jpg\" alt=\"Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Leftover Pizza Frittata\" />\r\n\r\nIf you’ve only got two slices left the morning after, this is the recipe for you! Chop them up in half-inch cubes, add them to a couple cups of sautéed baby spinach and garlic. Next you add five eggs, some sharp cheddar cheese, a bit of Italian seasoning, and a sprinkle of Parmesan. Bake at 375 for 25 minutes, and chow down! You can see a version of this recipe on <a href=\"http://www.food.com/recipe/leftover-pizza-frittata-using-leftover-pizza-433837\" target=\"_blank\">Food.com</a>.\r\n<h2>Pizza Potato Cakes</h2>\r\n<img class=\"aligncenter size-full wp-image-533\" src=\"http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Potato-Cakes.jpg\" alt=\"Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Pizza Potato Cakes\" />\r\n\r\nTalk about a whole lot of goodness wrapped up in one leftover pizza recipe! Scrape off the toppings and cut the crust off four slices and cube what’s left. Cook up a cubed potato, mash it with some oil and milk. Mix in the pizza toppings, some cooked onion, salt, pepper, garlic powder and tomato paste—okay, there’s a bit more to it, but trust us when we say this is one recipe you won’t want to miss! These go great with scrambled eggs. See the recipe on <a href=\"http://www.vegwithanedge.com/2013/08/14/leftover-pizza-potato-cakes-a-classy-way-to-reuse-last-nights-pizza/\" target=\"_blank\">Veg with an Edge</a>.\r\n<h2>Pizza Omelet</h2>\r\n<img class=\"aligncenter size-full wp-image-534\" src=\"http://buckspizza.com/wp-content/uploads/2015/12/Save-Breakfast-with-These-Mouthwatering-Leftover-Pizza-Ideas-Pizza-Omelet.jpg\" alt=\"Save Breakfast with These Mouthwatering Leftover Pizza Ideas-Pizza Omelet\" />\r\n\r\nWarm up a couple leftover slices in the microwave or toaster oven at 350. Ditch the crusts, cut the rest into bite-sized cubes. In a bowl mix up your eggs, a splash of milk, and a dash of salt and pepper. Pour your eggs in a heated pan, cook until they’re almost set, then add the pizza pieces. Fold your creation in half and cook for another 30 seconds on each side. Top with shredded cheddar, and you’re done! If you don\'t like the crusts, you can just use the toppings like in this recipe from <a href=\"http://www.thekitchn.com/leftover-pizza-use-the-topping-143424\" target=\"_blank\">thekitchn.com</a>.\r\n\r\nThe next time someone tells you cold pizza is the only way to enjoy it leftover in the morning, make sure to mention you found some great ideas to get more bang for your Buck\'s!", "Save Breakfast with These Mouthwatering Leftover Pizza Ideas", "", "inherit", "closed", "closed", "", "511-revision-v1", "", "", "2015-12-16 22:54:58", "2015-12-16 22:54:58", "", "511", "http://buckspizza.com/2015/12/16/511-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("536", "1", "2015-12-18 04:24:37", "2015-12-18 04:24:37", "You’re way too creative to settle for plain old turkey this Thanksgiving. You\'re a nonconformist with a taste for the original and it\'s time to transform that traditional dinner or those leftovers. Why not create a Thanksgiving pizza? Seriously!\n\nThink about it—is it really that crazy? If barbecue sauce, broccoli, potatoes and pineapple ended up on pizza, why not foods like turkey and stuffing? Take a look at some already tried and tested seasonal pie recipes, and you’ll see it\'s time Thanksgiving pizza (or post-Thanksgiving pizza) makes it mainstream.\n<h2><a href=\"http://www.foodnetwork.com/recipes/duff-goldman/thanksgiving-pizza-recipe.html\" target=\"_blank\">Duff Goldman’s Thanksgiving Pizza—Food Network</a></h2>\n<img class=\"aligncenter wp-image-537 size-full\" src=\"http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Duff-Goldmans-Thanksgiving-Pizza-Food-Network.jpg\" alt=\"Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-Duff Goldman\'s Thanksgiving Pizza-Food Network\" width=\"800\" height=\"250\" />\n\nWhat do you get when you combine old-fashioned pizza dough with leftover gobbler, mashed potatoes and gravy, chunky cranberry sauce, a cup of stuffing, and a few other well-chosen ingredients? Well, in 50 minutes or so, you’ve got a pie that says “thankful” in a whole new way!\n<h2><a href=\"http://www.food.com/recipe/thanksgiving-pizza-265701\" target=\"_blank\">Florida Keys Jen’s Thanksgiving Pizza—Food.com</a></h2>\nIf you like your Thanksgiving pizza light on crust but heavy on the bird, this is the recipe for you! Fill up with a pound of turkey sausage and a couple cups of turkey breast over a thin pizza crust.\n<h2><a href=\"http://www.copykat.com/2012/11/18/double-daves-thanksgiving-pizza/\" target=\"_blank\">Double Dave’s Thanksgiving Pizza—CopyKat Recipes</a></h2>\nLow on leftovers? Well you won’t need much more than a little chopped turkey, a handful of stuffing, and a couple dabs of jellied cranberry sauce to create this totally tasty post-Thanksgiving pie.\n<h2><a href=\"http://www.tablespoon.com/recipes/thanksgiving-pizza/6adb0856-0730-42f1-8200-79b2aa2923e4\" target=\"_blank\">Cheeky Kitchen Thanksgiving Pizza—Tablespoon</a></h2>\nWhat could be better than cheesy Thanksgiving pizza that includes all the food groups but takes less than an hour to make, including prep time?\n<h2><a href=\"http://abcnews.go.com/GMA/recipe/lindy-grundys-leftover-thanksgiving-pizza-15027681\" target=\"_blank\">Lindy and Grundy’s Leftover Thanksgiving Pizza—Good Morning America</a></h2>\nClass up your post-Thanksgiving pizza with brussels sprouts, goat cheese, and dried cranberries. Better still, do it in an hour or less!\n<h2><a href=\"http://www.landolakes.com/recipe/4036/thanksgiving-leftovers-pizza\" target=\"_blank\">Land O’ Lakes Thanksgiving Leftovers Pizza—Land O’ Lakes</a></h2>\nGet garlicky with it when you combine two cloves with your traditional T-Day leftovers and cheddar cheese. Bake the whole thing up in a square pan, and you’ve got a pie that will please the whole family.\n<h2><a href=\"http://allrecipes.com/recipe/235452/thanksgiving-leftover-pizza/\" target=\"_blank\">Thanksgiving Leftover Pizza—Allrecipes</a></h2>\nTurkey gravy for sauce? You bet. Add garlic, a liberal sprinkling of fresh sliced mushrooms, and, yum! Dip your just-from-the-oven pie in leftover cranberry sauce or spinach dip to kick the yum factor up even higher.\n<h2><a href=\"http://www.bakedbyrachel.com/leftover-thanksgiving-turkey-pizza/\" target=\"_blank\">Leftover Thanksgiving Turkey Pizza—Baked by Rachel</a></h2>\n&nbsp;\n\nHomemade pizza dough topped by a layer of creamy mashed potatoes, a cup of stuffing, turkey, and cheeses? Then drizzled with gravy? Now you’re talking!\n<h2><a href=\"http://whiteonricecouple.com/recipes/bbq-turkey-pizza/\" target=\"_blank\">BBQ Thanksgiving Turkey Pizza—White On Rice Couple</a></h2>\nHow about cheese-smothered, personal-sized turkey pizzas made with flat bread and tangy BBQ sauce instead of marinara? No flat bread? Try using the same ingredients on tortillas or French baguettes!\n<h2><a href=\"http://www.completelydelicious.com/2014/11/thanksgiving-leftovers-pizza.html\" target=\"_blank\">Thanksgiving Leftovers Pizza—Completely Delicious</a></h2>\n<img class=\"aligncenter size-full wp-image-538\" src=\"http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Pizza-Completely-Delicious.jpg\" alt=\"Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-Thanksgiving Leftovers Pizza-Completely Delicious\" />\n\nPile on all the leftovers! Veggies, too, if you want—brussels sprouts, sweet potatoes, carrots, whatever. This pizza is only as limited as your imagination!\n<h2><a href=\"http://jellytoastblog.com/thanksgiving-leftover-pizza/\" target=\"_blank\">Thanksgiving Leftover Pizza—Jelly Toast</a></h2>\n<img class=\"aligncenter size-full wp-image-540\" src=\"http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftover-Pizza-Jelly-Toast.jpg\" alt=\"Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-Thanksgiving Leftover Pizza-Jelly Toast\" />\n\nNow let’s talk healthy Thanksgiving pizza with a touch of gourmet. It starts with a whole-grain crust topped with cranberry relish instead of marinara. The pie is topped off with mashed potatoes, stuffing, turkey, and crumbled goat cheese.\n<h2><a href=\"http://www.myrecipes.com/recipe/turkey-alfredo-pizza-0\" target=\"_blank\">Turkey Alfredo Pizza—My Recipes</a></h2>\nHow do shredded turkey, collard greens and/or spinach, commercial (or homemade) Alfredo sauce and a thin pizza crust sound? Add fontina cheese and a bit of crushed red pepper for a seriously creative, awesomely delicious way to serve that leftover turkey.\n<h2><a href=\"https://www.angelicbakehouse.com/recipe/thanksgiving-leftovers-flatzza-recipe/\" target=\"_blank\">Thanksgiving Leftovers Flatzza® Pizza—Angelic Steakhouse</a></h2>\n<img class=\"aligncenter size-full wp-image-539\" src=\"http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Flatzza-Pizza-Angelic-Steakhouse.jpg\" alt=\"Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-Thanksgiving Leftovers Flatzza Pizza-Angelic Steakhouse\" />\n\nIf you want to go all out, try this pizza with Angelic Seven-Grain Sprouted Crust, green beans, mashed potatoes, turkey, cranberry sauce, and Angelic Seven-Grain Sprouted Stuffing. It’s one of a kind, people. We’re just saying.", "Thanksgiving Pizza? Yep, That’s a Thing! Here Are 13 Recipes", "", "inherit", "closed", "closed", "", "463-autosave-v1", "", "", "2015-12-18 04:24:37", "2015-12-18 04:24:37", "", "463", "http://buckspizza.com/2015/12/18/463-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("537", "1", "2015-12-18 04:16:29", "2015-12-18 04:16:29", "", "Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Duff-Goldmans-Thanksgiving-Pizza-Food-Network", "", "inherit", "closed", "closed", "", "thanksgiving-pizza-yep-thats-a-thing-here-are-13-recipes-duff-goldmans-thanksgiving-pizza-food-network", "", "", "2015-12-18 04:17:57", "2015-12-18 04:17:57", "", "463", "http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Duff-Goldmans-Thanksgiving-Pizza-Food-Network.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("538", "1", "2015-12-18 04:20:24", "2015-12-18 04:20:24", "", "Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Pizza-Completely-Delicious", "", "inherit", "closed", "closed", "", "thanksgiving-pizza-yep-thats-a-thing-here-are-13-recipes-thanksgiving-leftovers-pizza-completely-delicious", "", "", "2015-12-18 04:21:29", "2015-12-18 04:21:29", "", "463", "http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Pizza-Completely-Delicious.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("539", "1", "2015-12-18 04:22:02", "2015-12-18 04:22:02", "", "Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Flatzza-Pizza-Angelic-Steakhouse", "", "inherit", "closed", "closed", "", "thanksgiving-pizza-yep-thats-a-thing-here-are-13-recipes-thanksgiving-leftovers-flatzza-pizza-angelic-steakhouse", "", "", "2015-12-18 04:22:47", "2015-12-18 04:22:47", "", "463", "http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Flatzza-Pizza-Angelic-Steakhouse.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("540", "1", "2015-12-18 04:23:27", "2015-12-18 04:23:27", "", "Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftover-Pizza-Jelly-Toast", "", "inherit", "closed", "closed", "", "thanksgiving-pizza-yep-thats-a-thing-here-are-13-recipes-thanksgiving-leftover-pizza-jelly-toast", "", "", "2015-12-18 04:24:04", "2015-12-18 04:24:04", "", "463", "http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftover-Pizza-Jelly-Toast.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("541", "1", "2015-12-18 04:24:30", "2015-12-18 04:24:30", "", "Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Leftover-Thanksgiving-Turkey-Pizza-Baked-by-Rachel", "", "inherit", "closed", "closed", "", "thanksgiving-pizza-yep-thats-a-thing-here-are-13-recipes-leftover-thanksgiving-turkey-pizza-baked-by-rachel", "", "", "2015-12-18 04:25:06", "2015-12-18 04:25:06", "", "463", "http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Leftover-Thanksgiving-Turkey-Pizza-Baked-by-Rachel.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("542", "1", "2015-12-18 04:26:16", "2015-12-18 04:26:16", "", "Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Cheeky-Kitchen-Thanksgiving-Pizza-Tablespoon", "", "inherit", "closed", "closed", "", "thanksgiving-pizza-yep-thats-a-thing-here-are-13-recipes-cheeky-kitchen-thanksgiving-pizza-tablespoon", "", "", "2015-12-18 04:27:00", "2015-12-18 04:27:00", "", "463", "http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Cheeky-Kitchen-Thanksgiving-Pizza-Tablespoon.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("543", "1", "2015-12-18 04:27:24", "2015-12-18 04:27:24", "", "Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-BBQ-Thanksgiving-Turkey-Pizza-White-On-Rice-Couple", "", "inherit", "closed", "closed", "", "thanksgiving-pizza-yep-thats-a-thing-here-are-13-recipes-bbq-thanksgiving-turkey-pizza-white-on-rice-couple", "", "", "2015-12-18 04:28:11", "2015-12-18 04:28:11", "", "463", "http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-BBQ-Thanksgiving-Turkey-Pizza-White-On-Rice-Couple.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("544", "1", "2015-12-18 04:29:24", "2015-12-18 04:29:24", "You’re way too creative to settle for plain old turkey this Thanksgiving. You\'re a nonconformist with a taste for the original and it\'s time to transform that traditional dinner or those leftovers. Why not create a Thanksgiving pizza? Seriously!\r\n\r\nThink about it—is it really that crazy? If barbecue sauce, broccoli, potatoes and pineapple ended up on pizza, why not foods like turkey and stuffing? Take a look at some already tried and tested seasonal pie recipes, and you’ll see it\'s time Thanksgiving pizza (or post-Thanksgiving pizza) makes it mainstream.\r\n<h2><a href=\"http://www.foodnetwork.com/recipes/duff-goldman/thanksgiving-pizza-recipe.html\" target=\"_blank\">Duff Goldman’s Thanksgiving Pizza—Food Network</a></h2>\r\n<img class=\"aligncenter wp-image-537 size-full\" src=\"http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Duff-Goldmans-Thanksgiving-Pizza-Food-Network.jpg\" alt=\"Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-Duff Goldman\'s Thanksgiving Pizza-Food Network\" width=\"800\" height=\"250\" />\r\n\r\nWhat do you get when you combine old-fashioned pizza dough with leftover gobbler, mashed potatoes and gravy, chunky cranberry sauce, a cup of stuffing, and a few other well-chosen ingredients? Well, in 50 minutes or so, you’ve got a pie that says “thankful” in a whole new way!\r\n<h2><a href=\"http://www.food.com/recipe/thanksgiving-pizza-265701\" target=\"_blank\">Florida Keys Jen’s Thanksgiving Pizza—Food.com</a></h2>\r\nIf you like your Thanksgiving pizza light on crust but heavy on the bird, this is the recipe for you! Fill up with a pound of turkey sausage and a couple cups of turkey breast over a thin pizza crust.\r\n<h2></h2>\r\n<h2><a href=\"http://www.tablespoon.com/recipes/thanksgiving-pizza/6adb0856-0730-42f1-8200-79b2aa2923e4\" target=\"_blank\">Cheeky Kitchen Thanksgiving Pizza—Tablespoon</a></h2>\r\n<img class=\"aligncenter size-full wp-image-542\" src=\"http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Cheeky-Kitchen-Thanksgiving-Pizza-Tablespoon.jpg\" alt=\"Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-Cheeky Kitchen Thanksgiving Pizza-Tablespoon\" />\r\n\r\nWhat could be better than cheesy Thanksgiving pizza that includes all the food groups but takes less than an hour to make, including prep time?\r\n<h2><a href=\"http://abcnews.go.com/GMA/recipe/lindy-grundys-leftover-thanksgiving-pizza-15027681\" target=\"_blank\">Lindy and Grundy’s Leftover Thanksgiving Pizza—Good Morning America</a></h2>\r\nClass up your post-Thanksgiving pizza with brussels sprouts, goat cheese, and dried cranberries. Better still, do it in an hour or less!\r\n<h2></h2>\r\n<h2><a href=\"http://www.bakedbyrachel.com/leftover-thanksgiving-turkey-pizza/\" target=\"_blank\">Leftover Thanksgiving Turkey Pizza—Baked by Rachel</a></h2>\r\n<img class=\"aligncenter size-full wp-image-541\" src=\"http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Leftover-Thanksgiving-Turkey-Pizza-Baked-by-Rachel.jpg\" alt=\"Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-Leftover Thanksgiving Turkey Pizza-Baked by Rachel\" />\r\n\r\nHomemade pizza dough topped by a layer of creamy mashed potatoes, a cup of stuffing, turkey, and cheeses? Then drizzled with gravy? Now you’re talking!\r\n<h2><a href=\"http://www.copykat.com/2012/11/18/double-daves-thanksgiving-pizza/\" target=\"_blank\">Double Dave’s Thanksgiving Pizza—CopyKat Recipes</a></h2>\r\nLow on leftovers? Well you won’t need much more than a little chopped turkey, a handful of stuffing, and a couple dabs of jellied cranberry sauce to create this totally tasty post-Thanksgiving pie.\r\n<h2><a href=\"http://whiteonricecouple.com/recipes/bbq-turkey-pizza/\" target=\"_blank\">BBQ Thanksgiving Turkey Pizza—White On Rice Couple</a></h2>\r\n<img class=\"aligncenter size-full wp-image-543\" src=\"http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-BBQ-Thanksgiving-Turkey-Pizza-White-On-Rice-Couple.jpg\" alt=\"Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-BBQ Thanksgiving Turkey Pizza-White On Rice Couple\" />\r\n\r\nHow about cheese-smothered, personal-sized turkey pizzas made with flat bread and tangy BBQ sauce instead of marinara? No flat bread? Try using the same ingredients on tortillas or French baguettes!\r\n<h2><a href=\"http://www.landolakes.com/recipe/4036/thanksgiving-leftovers-pizza\" target=\"_blank\">Land O’ Lakes Thanksgiving Leftovers Pizza—Land O’ Lakes</a></h2>\r\nGet garlicky with it when you combine two cloves with your traditional T-Day leftovers and cheddar cheese. Bake the whole thing up in a square pan, and you’ve got a pie that will please the whole family.\r\n<h2></h2>\r\n<h2><a href=\"http://www.completelydelicious.com/2014/11/thanksgiving-leftovers-pizza.html\" target=\"_blank\">Thanksgiving Leftovers Pizza—Completely Delicious</a></h2>\r\n<img class=\"aligncenter size-full wp-image-538\" src=\"http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Pizza-Completely-Delicious.jpg\" alt=\"Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-Thanksgiving Leftovers Pizza-Completely Delicious\" />\r\n\r\nPile on all the leftovers! Veggies, too, if you want—brussels sprouts, sweet potatoes, carrots, whatever. This pizza is only as limited as your imagination!\r\n<h2><a href=\"http://allrecipes.com/recipe/235452/thanksgiving-leftover-pizza/\" target=\"_blank\">Thanksgiving Leftover Pizza—Allrecipes</a></h2>\r\nTurkey gravy for sauce? You bet. Add garlic, a liberal sprinkling of fresh sliced mushrooms, and, yum! Dip your just-from-the-oven pie in leftover cranberry sauce or spinach dip to kick the yum factor up even higher.\r\n<h2><a href=\"http://jellytoastblog.com/thanksgiving-leftover-pizza/\" target=\"_blank\">Thanksgiving Leftover Pizza—Jelly Toast</a></h2>\r\n<img class=\"aligncenter size-full wp-image-540\" src=\"http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftover-Pizza-Jelly-Toast.jpg\" alt=\"Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-Thanksgiving Leftover Pizza-Jelly Toast\" />\r\n\r\nNow let’s talk healthy Thanksgiving pizza with a touch of gourmet. It starts with a whole-grain crust topped with cranberry relish instead of marinara. The pie is topped off with mashed potatoes, stuffing, turkey, and crumbled goat cheese.\r\n<h2><a href=\"http://www.myrecipes.com/recipe/turkey-alfredo-pizza-0\" target=\"_blank\">Turkey Alfredo Pizza—My Recipes</a></h2>\r\nHow do shredded turkey, collard greens and/or spinach, commercial (or homemade) Alfredo sauce and a thin pizza crust sound? Add fontina cheese and a bit of crushed red pepper for a seriously creative, awesomely delicious way to serve that leftover turkey.\r\n<h2><a href=\"https://www.angelicbakehouse.com/recipe/thanksgiving-leftovers-flatzza-recipe/\" target=\"_blank\">Thanksgiving Leftovers Flatzza® Pizza—Angelic Steakhouse</a></h2>\r\n<img class=\"aligncenter size-full wp-image-539\" src=\"http://buckspizza.com/wp-content/uploads/2015/11/Thanksgiving-Pizza-Yep-Thats-a-Thing-Here-Are-13-Recipes-Thanksgiving-Leftovers-Flatzza-Pizza-Angelic-Steakhouse.jpg\" alt=\"Thanksgiving Pizza? Yep, That\'s a Thing! Here Are 13 Recipes-Thanksgiving Leftovers Flatzza Pizza-Angelic Steakhouse\" />\r\n\r\nIf you want to go all out, try this pizza with Angelic Seven-Grain Sprouted Crust, green beans, mashed potatoes, turkey, cranberry sauce, and Angelic Seven-Grain Sprouted Stuffing. It’s one of a kind, people. We’re just saying.", "Thanksgiving Pizza? Yep, That’s a Thing! Here Are 13 Recipes", "", "inherit", "closed", "closed", "", "463-revision-v1", "", "", "2015-12-18 04:29:24", "2015-12-18 04:29:24", "", "463", "http://buckspizza.com/2015/12/18/463-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("547", "1", "2016-01-08 08:45:33", "2016-01-08 08:45:33", "When you think of pizza, your probably imagine all kinds of deliciousness—savory marinara sauce; hot, gooey mozzarella; crisp roasted veggies; and spicy pepperoni, for example. These and other traditional toppings are admittedly taste-tempting, but it might be time to give your imagination a swift kick in the pants. We’re about to introduce you to pie toppings you’ve probably never wrapped your tongue around. Are you up for global gastronomical adventure? Then let’s get started.\r\n<h2>Beet Pesto</h2>\r\n<img class=\"size-full wp-image-564 alignnone\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beet-Pesto.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Beet Pesto\" />\r\n\r\nLayer beet pesto under goat cheese, you’ve got a winning combination and a pizza topping that\'s not exactly run of the mill.\r\n<h2>Mashed Potatoes</h2>\r\n<img class=\"alignnone size-full wp-image-567\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mashed-Potatoes.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Mashed Potatoes\" />\r\n\r\nMashed potatoes can hardly be called unique, except when you use them as a pizza topping! Of course, you have to add a few other toppings, too—bacon, cheddar cheese, and sour cream come to mind.\r\n<h2>Rhubarb</h2>\r\n<img class=\"alignnone size-full wp-image-566\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Rhubarb.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Rhubarb\" />\r\n\r\nThat’s right, rhubarb! This works best with honey-apple barbecue sauce (because rhubarb with marinara is just wrong) and a touch of basil for a sweet-yet-savory pie!\r\n<h2>Bananas and Curry</h2>\r\n<img class=\"alignnone size-full wp-image-557\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Bananas-Curry.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Bananas and Curry\" />\r\n\r\nAdmit it, you hardly ever use <i>pizza</i>, <i>bananas</i>, and <i>curry</i> in the same takeout order. That may change if you try this combo, which is really popular in places like Stockholm.\r\n<h2>Raspberry Mascarpone and Lemon Custard</h2>\r\n<img class=\"alignnone size-full wp-image-568\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Raspberry-Mascarpone-Lemon-Custard.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Raspberry Mascarpone and Lemon Custard\" />\r\n\r\nIf dessert pizza is your bag, you might try topping a doughy crust with lemon custard and an artful sprinkle of raspberries.\r\n<h2>Blackberries</h2>\r\n<img class=\"alignnone size-full wp-image-569\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Blackberries.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Blackberries\" />\r\n\r\nThis is a terrific summer topping, especially combined with pistachios, honey, and goat cheese!\r\n<h2>Grilled Peaches</h2>\r\n<img class=\"alignnone size-full wp-image-570\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Grilled-Peaches.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Grilled Peaches\" />\r\n\r\nYou’ve probably had apples and/or pineapple on pizza, but peaches? They’re actually extremely tasty, especially on a grilled pizza also topped with prosciutto.\r\n<h2>Mangoes</h2>\r\n<img class=\"alignnone size-full wp-image-571\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mangoes.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Mangoes\" />\r\n\r\nThis topping comes to us from the Philippines, where it’s usually combined with green peppers, cheese, cashews, and chili sauce.\r\n<h2>Crocodile</h2>\r\n<img class=\"alignnone size-full wp-image-558\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Crocodile.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Crocodile\" />\r\n\r\nOne of our most unusual toppings comes courtesy of the Land Down Under. Aussies prefer their Crocodile pie (and all other pizzas) topped with barbecue sauce, another possible entry in the strange toppings sweepstakes.\r\n<h2>Emu</h2>\r\n<img class=\"alignnone size-full wp-image-559\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Emu.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Emu\" />\r\n\r\nThe big flightless bird is another favorite among Australian pizza toppings; it\'s often marinated prior to loading on the pie.\r\n<h2>Kangaroo</h2>\r\n<img class=\"alignnone size-full wp-image-560\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Kangaroo.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Kangaroo\" />\r\n\r\nThis is our final topping from Australia. The pie has a kick (hop?) thanks to marination in blistering native peppers and the fact that it\'s often served with capsicum and native berries.\r\n<h2>Haggis</h2>\r\n<img class=\"alignnone size-full wp-image-561\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Haggis.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Haggis\" />\r\n\r\nYou know what haggis is, right? It’s sort of a pudding made of sheep organs, oatmeal, and onions, all gift wrapped in an animal stomach. If you live in the UK, it’s also a beloved pizza topping!\r\n<h2>Caviar</h2>\r\n<img class=\"alignnone size-full wp-image-562\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Caviar.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Caviar\" />\r\n\r\nLeave it to the French, <i>oui</i>? They transform everyman’s inexpensive Friday night meal to a high-dollar gourmet experience by topping it with caviar and—are you ready for this?—lobster.\r\n<h2>Octopus or Squid</h2>\r\n<img class=\"alignnone size-full wp-image-563\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Octopus-Squid.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Octopus and Squid\" />\r\n\r\nYou can thank the Japanese for this topping idea, which is often tossed atop a flavorful crust made of flour, yam, and shredded cabbage.\r\n<h2>Beer-battered Calamari</h2>\r\n<img class=\"alignnone size-full wp-image-565\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beer-Battered-Calamari.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Beer-battered Calamari\" />\r\n\r\nDipped in beer batter and deep fried, this topping is particularly yummy when combined with banana peppers and a spicy hot sauce!\r\n<h2>Smoked Reindeer</h2>\r\n<img class=\"alignnone size-full wp-image-556\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Smoked-Reindeer.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Smoked Reindeer\" />\r\n\r\nBlitzen and Dancer would be wise to steer clear of the Nordic countries, where smoked reindeer is considered a delicacy among pizza toppings, especially when combined with more traditional goodies like Chanterelle (a golden mushroom), tomato, and cheese.", "Unique Pizza Toppings You\'ve Probably Never Tried (But Should!)", "", "draft", "closed", "closed", "", "unique-pizza-toppings-never-tried", "", "", "2017-08-04 15:56:10", "2017-08-04 15:56:10", "", "0", "http://buckspizza.com/?p=547", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("549", "1", "2016-01-22 08:45:18", "2016-01-22 08:45:18", "Paleo and pizza are two concepts that don’t usually go together. After all, the paleo diet—also known as the caveman, primal, or stone-age diet—is based on the premise that eating the same foods our long-lost ancestors ate makes for healthier genetic development. That, in turn, leads to better health and general well-being.\r\n<div id=\"textpreview\">\r\n\r\nGrass-fed meat, fish and seafood, fresh fruits and vegetables, nuts and seeds, healthy natural oils don\'t necessarily sound like traditional pizza ingredients. Cereal grains and dairy are forbidden on a strict paleo diet and pizza has plenty of both. If you’ve chosen the paleo lifestyle, chances are you can’t call out for an extra-large and expect to stay with the program. That doesn’t mean you have to live pizza-less.\r\n\r\nYou\'ll need to adapt your crust, of course. Fortunately, grain-free pizza crust isn’t just possible, it’s possible in any number of ways. Substitutes for wheat flour include almond flour, almond meal, cauliflower, even carrots mixed with coconut flour.\r\n\r\nHere are some specific, terrific recipes guaranteed to keep paleo people pizza happy!\r\n<h2>Paleo “That’s Not Cheese” Pizza</h2>\r\n<img class=\"alignnone size-full wp-image-582\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Paleo-Cupboard.jpg\" alt=\"Paleo Pizza Recipes a Caveman Would Love!-Paleo Cupboard\" />\r\n\r\nWith a crust made of almond and tapioca flours and a DYI non-dairy cheese substitute based on raw cashews and pine nuts, this margherita pizza says paleo in every possible way. Kudos to Amy at Paleo Cupboard for coming up with this homemade taste treat! You can find a recipe at <a href=\"http://www.paleocupboard.com/paleo-pizza.html\" target=\"_blank\">Paleo Cupboard</a>.\r\n<h2>The BEST Cauliflower Crust Pizza!</h2>\r\n<img class=\"alignnone size-full wp-image-581\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Lucky-Penny.jpg\" alt=\"Paleo Pizza Recipes a Caveman Would Love!-Lucky Penny\" />\r\n\r\nMichelle’s Lucky Penney Blog recommends giving cauliflower florets a whirl in the food processor before microwaving them and and using a towel to wring the moisture out. Bake the resulting flour-like crust before adding the toppings of your choice! The <a href=\"http://www.theluckypennyblog.com/2013/02/the-best-cauliflower-crust-pizza.html\" target=\"_blank\">Lucky Penny Blog</a> has a recipe for you.\r\n<h2>Sweet Potato, Goat Cheese, and Kale Pizza</h2>\r\n<img class=\"alignnone size-full wp-image-580\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Pure-and-Simple.jpg\" alt=\"Paleo Pizza Recipes a Caveman Would Love!-Pure and Simple\" />\r\n\r\nThis pie is also built on a cauliflower crust, with mashed, seasoned sweet potato for “sauce.” Add kale and goat cheese (allowed in most paleo diets), and voila! We got this recipe from Pure &amp; Simple website, where the pizza gets rave reviews. The <a href=\"http://pureandsimple.typepad.com/myblog/2013/02/sweet-potato-goat-cheese-and-kale-pizza.html\" target=\"_blank\">Pure and Simple Blog</a> has a recipe available.\r\n<h2>Cauliflower Crust Pizza Marinara</h2>\r\n<img class=\"alignnone size-full wp-image-579\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-The-Iron-You.jpg\" alt=\"Paleo Pizza Recipes a Caveman Would Love!-The Iron You\" />\r\n\r\nIf you like a more traditional pizza sauce, this could be the pie for you. The crust combines cauliflower (hold the mozzarella shown in the recipe), topped with marinara, black and green olives, capers, and—if you’re up for them—anchovies. You can find the recipe (and many others) on <a href=\"http://www.theironyou.com/2013/02/paleo-pizza-marinara.html\" target=\"_blank\">The Iron You</a> blog.\r\n<h2>Salmon Pizza</h2>\r\n<img class=\"alignnone size-full wp-image-578\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Strands-of-My-Life.jpg\" alt=\"Paleo Pizza Recipes a Caveman Would Love!-Strands of My Life\" />\r\n\r\nSalmon is one of paleo’s top food choices, and this pie gives you a delicious way to get yours. This pizza uses a tapioca-flour crust and a topping made of smoked salmon, capers, and tomato puree. You’ll find this and other grain-free treats on Suzanne Perazzini’s <a href=\"http://www.strandsofmylife.com/pizza-paleo-style/\" target=\"_blank\">Strands of My Life</a> Website.\r\n<h2>Low Carb Deep Dish Veggie Pizza</h2>\r\n<img class=\"alignnone size-full wp-image-577\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-From-Fries-to-Fit.jpg\" alt=\"Paleo Pizza Recipes a Caveman Would Love!-From Fries to Fit\" />\r\n\r\nGo Chicago style with this pizza recipe from the blog From Fries to Fit. The pie uses almond meal and egg whites for the crust. Switch goat cheese or a cheese substitute for the mozzarella, then pile on the onion, sweet peppers, kale, shallots, and mushrooms. The <a href=\"http://fromfriestofit.com/low-carb-deep-dish-veggie-pizza/\" target=\"_blank\">From Fries to Fit</a> blog has a recipe.\r\n<h2>Primal Portobello Pizza</h2>\r\n<img class=\"alignnone size-full wp-image-576\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Primal-icious.jpg\" alt=\"Paleo Pizza Recipes a Caveman Would Love!-Primal-licious\" />\r\n\r\nPortobello mushroom caps as pizza crust! Once again, you’ll want to exchange cheese for goat cheese or a cheese substitute. Top your pies off with meatballs made from grass-fed beef, green peppers, onions—basically, whatever veggies trip your trigger. The <a href=\"http://primal-icious.blogspot.com/2012/06/ode-to-pizza.html\" target=\"_blank\">Primal-icious</a> pizza blog provides prep instructions.\r\n<h2>Yummy Paleo Pizza</h2>\r\n<img class=\"alignnone size-full wp-image-575\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Almost-Primal.jpg\" alt=\"Paleo Pizza Recipes a Caveman Would Love!-Almost Primal\" />\r\n\r\nPizza with a poor crust isn\'t much of a pizza at all. Try blind baking a pizza crust based on coconut flour and almond meal before topping it with marinara, seared chunks of grass-fed beef, sliced mushrooms, and the veggies of your choice. The <a href=\"https://almostprimal.wordpress.com/2012/10/11/back-for-more-again/\" target=\"_blank\">Almost: Primal</a> blog provides this recipe.\r\n\r\n</div>", "Paleo Pizza Recipes a Caveman Would Love!", "", "draft", "closed", "closed", "", "paleo-pizza-recipes-caveman-love", "", "", "2017-08-04 15:56:10", "2017-08-04 15:56:10", "", "0", "http://buckspizza.com/?p=549", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("554", "1", "2016-01-15 08:45:38", "2016-01-15 08:45:38", "There are no generalizations when it comes to pizza. Opinions on what makes a good pie are just that—totally subjective—with as many variations as there are pie toppings. Heck, some folks don\'t even like pizza.\r\n\r\nBut if you\'re a pie lover who considers a day without a large pepperoni a day without sunshine, and you happen to find yourself in Manhattan, here\'s a list of 10 pizza places you won\'t want to miss.\r\n<h2><a href=\"http://firstpizza.com/\">Lombardi’s</a></h2>\r\nLocated in the heart of Little Italy for more than 100 years, Lombardi’s claims not only to be the Big Apple’s first pizzeria, but the first in the United States! Drop in for the tradition—as in, pies baked in a coal oven, tables covered with red-and-white-checked cloths, and photos of the area way back when—and peruse the celebrity photo gallery while you eat.\r\n<h2><a href=\"http://motorinopizza.com/\">Motorino</a></h2>\r\nIf you’re partial to Neapolitan-style pizza, Motorino might be you pizzeria of choice. With locations in the East Village and South Williamsburg, this place offers unique delicacies like Brussels Sprouts Pizza or the oh-so-spicy Soppressata Piccante. They even offer a pizza brunch ($14) on weekends!\r\n<h2><a href=\"http://www.thepatsyspizza.com/\">Patsy’s Pizzeria</a></h2>\r\nThe thinnest of coal-fired crusts and a delicious array of specialty pies has kept Patsy’s in business since the restaurant first opened in East Harlem in 1933. You can even dress your own pizza by choosing a plain and picking your faves from an assortment of toppings that come in between $3–$5.50. Just hungry enough for a slice? Pick one up for a mere $1.75 cash at Patsy’s takeout counter a few doors down.\r\n<h2><a href=\"http://www.williamsburgpizza.com/index#slide-6\">Williamsburg Pizza</a></h2>\r\nIf you like your pizza on the hip side, head to Broome Street in the Lower East Side. Williamsburg Pizza has got you covered with offerings like the Tartufo, dressed in mushrooms and white truffles, or the Apple Bacon, which includes crushed walnuts and gorgonzola. Four bucks will get you a hearty traditional slice.\r\n<h2><a href=\"http://www.nypizzasuprema.com/index.html\">Pizza Suprema</a></h2>\r\nKnown for it’s first-class, “Real New York” $3 plain slices, this Midtown pizzeria was built in 1964 and has been owned by the same Italian family ever since. Three pizza sauces are made fresh every morning. The mozzarella cheese is also made in house. According to the owner, “Pizza here at NY Pizza Suprema is not just another item on a long Diner\'s style menu... it pretty much is our menu.”\r\n<h2><a href=\"http://www.joespizzanyc.com/\">Joe’s Pizza</a></h2>\r\nOver in West Greenwich Village, Joe’s Pizza has been providing New York street slices for over 37 years. As a matter of fact, the original owner, now a spry 75 years old, still owns and operates the place. Although the owners pride themselves on keeping it basic—“no fancy pants pies”—Joe’s slices have been praised in publications like <i>New York Magazine</i> and <i>GQ</i>.\r\n<h2><a href=\"http://salandcarminepizzanyc.com/food-delivery-TW/sal-carmine-pizza-new-york-city.27250.r?QueryStringValue=VT+tNk7JQNpeKpALcp58RQ==\" target=\"_blank\">Sal &amp; Carmine</a></h2>\r\nIf you’re looking for atmosphere, try this Broadway pizzeria and neighborhood institution. Sal is no longer with us, but his gruff partner, Carmine, carries on the fifty-some-year tradition of providing delicious, plain New York slices for $3.\r\n<h2><a href=\"https://plus.google.com/106984382175706362093/about\" target=\"_blank\">Percy’s Pizza</a></h2>\r\nDown on Bleeker Street in the Village, Percy’s serves up what <i>The New York Post</i> calls the best $1 slice in the city. That’s right, pizza lovers, you can get a thin, tasty slice for a single buck. Hand over an extra dollar you can get toppings!\r\n<h2><a href=\"http://www.kestepizzeria.com/home\">Keste Pizza &amp; Vino</a></h2>\r\nEver dined on pizza made by a Master Pizziaolo—and national pizza consultant—trained in Naples? Well, here’s your chance! Offering everything from homemade mozzarella to vegan and gluten-free pizzas, this West Village pizzeria promises a one-of-a-kind dining experience. (They also offer lighter fare “for diners who prefer to lead a joyless life.”)\r\n<h2><a href=\"http://www.martamanhattan.com/\">Marta</a></h2>\r\nMarta has gotten rave reviews from no less than the food critics at <i>The New York Times</i>. The Roman-style pizza has a tissue-thin, crackery, crunchy crust, and the toppings are far from run of the mill. Think Carbonara with potatoes, guanciale, black pepper, pecorino, egg, tripe, mint, pecorino, and chili, and you’ll get the mouthwateringly unique idea!\r\n<h2>Honorable Mention: Ray\'s</h2>\r\n<a href=\"http://gothamist.com/2011/06/17/pizza_wars_the_case_of_rays_pizza_v.php\" target=\"_blank\">Which pizzeria</a> are we talking about here? Famous Ray\'s? Famous Original Ray\'s? Original Ray\'s? Ray Bari? Just plain Ray\'s? It seems that some years ago the \"original\" most famous of the group actually closed down (located previously on Prince Street). A few eateries have come and gone since then in that location. Because it can be oh-so-confusing, Ray\'s gets an honorable mention here, mostly because the confusion is sometimes referenced in television and movies, but also because if the pizza wasn\'t very good, people wouldn\'t care enough to try and \"out-Ray Ray\'s\" if you know what we mean.", "10 Best Pizza Places in New York City", "", "draft", "closed", "closed", "", "best-pizza-places-new-york-city-2016", "", "", "2017-08-04 15:55:20", "2017-08-04 15:55:20", "", "0", "http://buckspizza.com/?p=554", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("556", "1", "2016-01-07 05:02:58", "2016-01-07 05:02:58", "", "Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Smoked-Reindeer", "", "inherit", "closed", "closed", "", "unique-pizza-toppings-youve-probably-never-tried-but-should-smoked-reindeer", "", "", "2016-01-07 05:10:13", "2016-01-07 05:10:13", "", "547", "http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Smoked-Reindeer.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("557", "1", "2016-01-07 05:02:58", "2016-01-07 05:02:58", "", "Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Bananas-Curry\'", "", "inherit", "closed", "closed", "", "unique-pizza-toppings-youve-probably-never-tried-but-should-bananas-curry", "", "", "2016-01-07 05:06:04", "2016-01-07 05:06:04", "", "547", "http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Bananas-Curry.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("558", "1", "2016-01-07 05:02:59", "2016-01-07 05:02:59", "", "Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Crocodile", "", "inherit", "closed", "closed", "", "unique-pizza-toppings-youve-probably-never-tried-but-should-crocodile", "", "", "2016-01-07 05:08:03", "2016-01-07 05:08:03", "", "547", "http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Crocodile.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("559", "1", "2016-01-07 05:03:00", "2016-01-07 05:03:00", "", "Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Emu", "", "inherit", "closed", "closed", "", "unique-pizza-toppings-youve-probably-never-tried-but-should-emu", "", "", "2016-01-07 05:08:20", "2016-01-07 05:08:20", "", "547", "http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Emu.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("560", "1", "2016-01-07 05:03:00", "2016-01-07 05:03:00", "", "Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Kangaroo", "", "inherit", "closed", "closed", "", "unique-pizza-toppings-youve-probably-never-tried-but-should-kangaroo", "", "", "2016-01-07 05:08:41", "2016-01-07 05:08:41", "", "547", "http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Kangaroo.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("561", "1", "2016-01-07 05:03:01", "2016-01-07 05:03:01", "", "Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Haggis", "", "inherit", "closed", "closed", "", "unique-pizza-toppings-youve-probably-never-tried-but-should-haggis", "", "", "2016-01-07 05:08:58", "2016-01-07 05:08:58", "", "547", "http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Haggis.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("562", "1", "2016-01-07 05:03:02", "2016-01-07 05:03:02", "", "Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Caviar", "", "inherit", "closed", "closed", "", "unique-pizza-toppings-youve-probably-never-tried-but-should-caviar", "", "", "2016-01-07 05:09:10", "2016-01-07 05:09:10", "", "547", "http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Caviar.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("563", "1", "2016-01-07 05:03:02", "2016-01-07 05:03:02", "", "Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Octopus-Squid", "", "inherit", "closed", "closed", "", "unique-pizza-toppings-youve-probably-never-tried-but-should-octopus-squid", "", "", "2016-01-07 05:09:30", "2016-01-07 05:09:30", "", "547", "http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Octopus-Squid.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("564", "1", "2016-01-07 05:03:03", "2016-01-07 05:03:03", "", "Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beet-Pesto", "", "inherit", "closed", "closed", "", "unique-pizza-toppings-youve-probably-never-tried-but-should-beet-pesto", "", "", "2016-01-07 05:04:26", "2016-01-07 05:04:26", "", "547", "http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beet-Pesto.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("565", "1", "2016-01-07 05:03:03", "2016-01-07 05:03:03", "", "Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beer-Battered-Calamari", "", "inherit", "closed", "closed", "", "unique-pizza-toppings-youve-probably-never-tried-but-should-beer-battered-calamari", "", "", "2016-01-07 05:09:52", "2016-01-07 05:09:52", "", "547", "http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beer-Battered-Calamari.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("566", "1", "2016-01-07 05:03:04", "2016-01-07 05:03:04", "", "Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Rhubarb", "", "inherit", "closed", "closed", "", "unique-pizza-toppings-youve-probably-never-tried-but-should-rhubarb", "", "", "2016-01-07 05:05:41", "2016-01-07 05:05:41", "", "547", "http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Rhubarb.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("567", "1", "2016-01-07 05:03:05", "2016-01-07 05:03:05", "", "Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mashed-Potatoes", "", "inherit", "closed", "closed", "", "unique-pizza-toppings-youve-probably-never-tried-but-should-mashed-potatoes", "", "", "2016-01-07 05:05:00", "2016-01-07 05:05:00", "", "547", "http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mashed-Potatoes.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("568", "1", "2016-01-07 05:03:05", "2016-01-07 05:03:05", "", "Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Raspberry-Mascarpone-Lemon-Custard", "", "inherit", "closed", "closed", "", "unique-pizza-toppings-youve-probably-never-tried-but-should-raspberry-mascarpone-lemon-custard", "", "", "2016-01-07 05:06:30", "2016-01-07 05:06:30", "", "547", "http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Raspberry-Mascarpone-Lemon-Custard.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("569", "1", "2016-01-07 05:03:06", "2016-01-07 05:03:06", "", "Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Blackberries", "", "inherit", "closed", "closed", "", "unique-pizza-toppings-youve-probably-never-tried-but-should-blackberries", "", "", "2016-01-07 05:06:51", "2016-01-07 05:06:51", "", "547", "http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Blackberries.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("570", "1", "2016-01-07 05:03:07", "2016-01-07 05:03:07", "", "Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Grilled-Peaches", "", "inherit", "closed", "closed", "", "unique-pizza-toppings-youve-probably-never-tried-but-should-grilled-peaches", "", "", "2016-01-07 05:07:16", "2016-01-07 05:07:16", "", "547", "http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Grilled-Peaches.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("571", "1", "2016-01-07 05:03:07", "2016-01-07 05:03:07", "", "Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mangoes", "", "inherit", "closed", "closed", "", "unique-pizza-toppings-youve-probably-never-tried-but-should-mangoes", "", "", "2016-01-07 05:07:37", "2016-01-07 05:07:37", "", "547", "http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mangoes.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("572", "1", "2016-01-07 05:03:08", "2016-01-07 05:03:08", "", "Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should", "", "inherit", "closed", "closed", "", "unique-pizza-toppings-youve-probably-never-tried-but-should", "", "", "2016-01-07 05:03:32", "2016-01-07 05:03:32", "", "547", "http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("573", "1", "2016-01-07 05:12:22", "2016-01-07 05:12:22", "When you think of pizza, your probably imagine all kinds of deliciousness—savory marinara sauce; hot, gooey mozzarella; crisp roasted veggies; and spicy pepperoni, for example. These and other traditional toppings are admittedly taste-tempting, but it might be time to give your imagination a swift kick in the pants. We’re about to introduce you to pie toppings you’ve probably never wrapped your tongue around. Are you up for global gastronomical adventure? Then let’s get started.\r\n<h2>Beet Pesto</h2>\r\n<img class=\"size-full wp-image-564 alignnone\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beet-Pesto.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Beet Pesto\" />\r\n\r\nLayer beet pesto under goat cheese, you’ve got a winning combination and a pizza topping that\'s not exactly run of the mill.\r\n<h2>Mashed Potatoes</h2>\r\n<img class=\"alignnone size-full wp-image-567\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mashed-Potatoes.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Mashed Potatoes\" />\r\n\r\nMashed potatoes can hardly be called unique, except when you use them as a pizza topping! Of course, you have to add a few other toppings, too—bacon, cheddar cheese, and sour cream come to mind.\r\n<h2>Rhubarb</h2>\r\n<img class=\"alignnone size-full wp-image-566\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Rhubarb.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Rhubarb\" />\r\n\r\nThat’s right, rhubarb! This works best with honey-apple barbecue sauce (because rhubarb with marinara is just wrong) and a touch of basil for a sweet-yet-savory pie!\r\n<h2>Bananas and Curry</h2>\r\n<img class=\"alignnone size-full wp-image-557\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Bananas-Curry.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Bananas and Curry\" />\r\n\r\nAdmit it, you hardly ever use <i>pizza</i>, <i>bananas</i>, and <i>curry</i> in the same takeout order. That may change if you try this combo, which is really popular in places like Stockholm.\r\n<h2>Raspberry Mascarpone and Lemon Custard</h2>\r\n<img class=\"alignnone size-full wp-image-568\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Raspberry-Mascarpone-Lemon-Custard.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Raspberry Mascarpone and Lemon Custard\" />\r\n\r\nIf dessert pizza is your bag, you might try topping a doughy crust with lemon custard and an artful sprinkle of raspberries.\r\n<h2>Blackberries</h2>\r\n<img class=\"alignnone size-full wp-image-569\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Blackberries.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Blackberries\" />\r\n\r\nThis is a terrific summer topping, especially combined with pistachios, honey, and goat cheese!\r\n<h2>Grilled Peaches</h2>\r\n<img class=\"alignnone size-full wp-image-570\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Grilled-Peaches.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Grilled Peaches\" />\r\n\r\nYou’ve probably had apples and/or pineapple on pizza, but peaches? They’re actually extremely tasty, especially on a grilled pizza also topped with prosciutto.\r\n<h2>Mangoes</h2>\r\n<img class=\"alignnone size-full wp-image-571\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Mangoes.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Mangoes\" />\r\n\r\nThis topping comes to us from the Philippines, where it’s usually combined with green peppers, cheese, cashews, and chili sauce.\r\n<h2>Crocodile</h2>\r\n<img class=\"alignnone size-full wp-image-558\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Crocodile.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Crocodile\" />\r\n\r\nOne of our most unusual toppings comes courtesy of the Land Down Under. Aussies prefer their Crocodile pie (and all other pizzas) topped with barbecue sauce, another possible entry in the strange toppings sweepstakes.\r\n<h2>Emu</h2>\r\n<img class=\"alignnone size-full wp-image-559\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Emu.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Emu\" />\r\n\r\nThe big flightless bird is another favorite among Australian pizza toppings; it\'s often marinated prior to loading on the pie.\r\n<h2>Kangaroo</h2>\r\n<img class=\"alignnone size-full wp-image-560\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Kangaroo.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Kangaroo\" />\r\n\r\nThis is our final topping from Australia. The pie has a kick (hop?) thanks to marination in blistering native peppers and the fact that it\'s often served with capsicum and native berries.\r\n<h2>Haggis</h2>\r\n<img class=\"alignnone size-full wp-image-561\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Haggis.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Haggis\" />\r\n\r\nYou know what haggis is, right? It’s sort of a pudding made of sheep organs, oatmeal, and onions, all gift wrapped in an animal stomach. If you live in the UK, it’s also a beloved pizza topping!\r\n<h2>Caviar</h2>\r\n<img class=\"alignnone size-full wp-image-562\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Caviar.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Caviar\" />\r\n\r\nLeave it to the French, <i>oui</i>? They transform everyman’s inexpensive Friday night meal to a high-dollar gourmet experience by topping it with caviar and—are you ready for this?—lobster.\r\n<h2>Octopus or Squid</h2>\r\n<img class=\"alignnone size-full wp-image-563\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Octopus-Squid.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Octopus and Squid\" />\r\n\r\nYou can thank the Japanese for this topping idea, which is often tossed atop a flavorful crust made of flour, yam, and shredded cabbage.\r\n<h2>Beer-battered Calamari</h2>\r\n<img class=\"alignnone size-full wp-image-565\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Beer-Battered-Calamari.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Beer-battered Calamari\" />\r\n\r\nDipped in beer batter and deep fried, this topping is particularly yummy when combined with banana peppers and a spicy hot sauce!\r\n<h2>Smoked Reindeer</h2>\r\n<img class=\"alignnone size-full wp-image-556\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Unique-Pizza-Toppings-Youve-Probably-Never-Tried-But-Should-Smoked-Reindeer.jpg\" alt=\"Unique Pizza Toppings You’ve Probably Never Tried (But Should!)-Smoked Reindeer\" />\r\n\r\nBlitzen and Dancer would be wise to steer clear of the Nordic countries, where smoked reindeer is considered a delicacy among pizza toppings, especially when combined with more traditional goodies like Chanterelle (a golden mushroom), tomato, and cheese.", "Unique Pizza Toppings You\'ve Probably Never Tried (But Should!)", "", "inherit", "closed", "closed", "", "547-revision-v1", "", "", "2016-01-07 05:12:22", "2016-01-07 05:12:22", "", "547", "http://buckspizza.com/2016/01/07/547-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("574", "1", "2016-01-07 05:46:43", "2016-01-07 05:46:43", "", "Paleo-Pizza-Recipes-a-Caveman-Would-Love", "", "inherit", "closed", "closed", "", "paleo-pizza-recipes-a-caveman-would-love", "", "", "2016-01-07 05:48:41", "2016-01-07 05:48:41", "", "549", "http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("575", "1", "2016-01-07 05:46:44", "2016-01-07 05:46:44", "", "Paleo-Pizza-Recipes-a-Caveman-Would-Love-Almost-Primal", "", "inherit", "closed", "closed", "", "paleo-pizza-recipes-a-caveman-would-love-almost-primal", "", "", "2016-01-07 05:48:16", "2016-01-07 05:48:16", "", "549", "http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Almost-Primal.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("576", "1", "2016-01-07 05:46:44", "2016-01-07 05:46:44", "", "Paleo-Pizza-Recipes-a-Caveman-Would-Love-Primal-icious", "", "inherit", "closed", "closed", "", "paleo-pizza-recipes-a-caveman-would-love-primal-icious", "", "", "2016-01-07 05:48:00", "2016-01-07 05:48:00", "", "549", "http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Primal-icious.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("577", "1", "2016-01-07 05:46:45", "2016-01-07 05:46:45", "", "Paleo-Pizza-Recipes-a-Caveman-Would-Love-From-Fries-to-Fit", "", "inherit", "closed", "closed", "", "paleo-pizza-recipes-a-caveman-would-love-from-fries-to-fit", "", "", "2016-01-07 05:47:48", "2016-01-07 05:47:48", "", "549", "http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-From-Fries-to-Fit.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("578", "1", "2016-01-07 05:46:46", "2016-01-07 05:46:46", "", "Paleo-Pizza-Recipes-a-Caveman-Would-Love-Strands-of-My-Life", "", "inherit", "closed", "closed", "", "paleo-pizza-recipes-a-caveman-would-love-strands-of-my-life", "", "", "2016-01-07 05:47:40", "2016-01-07 05:47:40", "", "549", "http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Strands-of-My-Life.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("579", "1", "2016-01-07 05:46:46", "2016-01-07 05:46:46", "", "Paleo-Pizza-Recipes-a-Caveman-Would-Love-The-Iron-You", "", "inherit", "closed", "closed", "", "paleo-pizza-recipes-a-caveman-would-love-the-iron-you", "", "", "2016-01-07 05:47:32", "2016-01-07 05:47:32", "", "549", "http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-The-Iron-You.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("580", "1", "2016-01-07 05:46:47", "2016-01-07 05:46:47", "", "Paleo-Pizza-Recipes-a-Caveman-Would-Love-Pure-and-Simple", "", "inherit", "closed", "closed", "", "paleo-pizza-recipes-a-caveman-would-love-pure-and-simple", "", "", "2016-01-07 05:47:24", "2016-01-07 05:47:24", "", "549", "http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Pure-and-Simple.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("581", "1", "2016-01-07 05:46:48", "2016-01-07 05:46:48", "", "Paleo-Pizza-Recipes-a-Caveman-Would-Love-Lucky-Penny", "", "inherit", "closed", "closed", "", "paleo-pizza-recipes-a-caveman-would-love-lucky-penny", "", "", "2016-01-07 05:47:15", "2016-01-07 05:47:15", "", "549", "http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Lucky-Penny.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("582", "1", "2016-01-07 05:46:48", "2016-01-07 05:46:48", "", "Paleo-Pizza-Recipes-a-Caveman-Would-Love-Paleo-Cupboard", "", "inherit", "closed", "closed", "", "paleo-pizza-recipes-a-caveman-would-love-paleo-cupboard", "", "", "2016-01-07 05:47:07", "2016-01-07 05:47:07", "", "549", "http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Paleo-Cupboard.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("583", "1", "2016-01-07 05:52:18", "2016-01-07 05:52:18", "Paleo and pizza are two concepts that don’t usually go together. After all, the paleo diet—also known as the caveman, primal, or stone-age diet—is based on the premise that eating the same foods our long-lost ancestors ate makes for healthier genetic development. That, in turn, leads to better health and general well-being.\r\n<div id=\"textpreview\">\r\n\r\nGrass-fed meat, fish and seafood, fresh fruits and vegetables, nuts and seeds, healthy natural oils don\'t necessarily sound like traditional pizza ingredients. Cereal grains and dairy are forbidden on a strict paleo diet and pizza has plenty of both. If you’ve chosen the paleo lifestyle, chances are you can’t call out for an extra-large and expect to stay with the program. That doesn’t mean you have to live pizza-less.\r\n\r\nYou\'ll need to adapt your crust, of course. Fortunately, grain-free pizza crust isn’t just possible, it’s possible in any number of ways. Substitutes for wheat flour include almond flour, almond meal, cauliflower, even carrots mixed with coconut flour.\r\n\r\nHere are some specific, terrific recipes guaranteed to keep paleo people pizza happy!\r\n<h2>Paleo “That’s Not Cheese” Pizza</h2>\r\n<img class=\"alignnone size-full wp-image-582\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Paleo-Cupboard.jpg\" alt=\"Paleo Pizza Recipes a Caveman Would Love!-Paleo Cupboard\" />\r\n\r\nWith a crust made of almond and tapioca flours and a DYI non-dairy cheese substitute based on raw cashews and pine nuts, this margherita pizza says paleo in every possible way. Kudos to Amy at Paleo Cupboard for coming up with this homemade taste treat! You can find a recipe at <a href=\"http://www.paleocupboard.com/paleo-pizza.html\" target=\"_blank\">Paleo Cupboard</a>.\r\n<h2>The BEST Cauliflower Crust Pizza!</h2>\r\n<img class=\"alignnone size-full wp-image-581\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Lucky-Penny.jpg\" alt=\"Paleo Pizza Recipes a Caveman Would Love!-Lucky Penny\" />\r\n\r\nMichelle’s Lucky Penney Blog recommends giving cauliflower florets a whirl in the food processor before microwaving them and and using a towel to wring the moisture out. Bake the resulting flour-like crust before adding the toppings of your choice! The <a href=\"http://www.theluckypennyblog.com/2013/02/the-best-cauliflower-crust-pizza.html\" target=\"_blank\">Lucky Penny Blog</a> has a recipe for you.\r\n<h2>Sweet Potato, Goat Cheese, and Kale Pizza</h2>\r\n<img class=\"alignnone size-full wp-image-580\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Pure-and-Simple.jpg\" alt=\"Paleo Pizza Recipes a Caveman Would Love!-Pure and Simple\" />\r\n\r\nThis pie is also built on a cauliflower crust, with mashed, seasoned sweet potato for “sauce.” Add kale and goat cheese (allowed in most paleo diets), and voila! We got this recipe from Pure &amp; Simple website, where the pizza gets rave reviews. The <a href=\"http://pureandsimple.typepad.com/myblog/2013/02/sweet-potato-goat-cheese-and-kale-pizza.html\" target=\"_blank\">Pure and Simple Blog</a> has a recipe available.\r\n<h2>Cauliflower Crust Pizza Marinara</h2>\r\n<img class=\"alignnone size-full wp-image-579\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-The-Iron-You.jpg\" alt=\"Paleo Pizza Recipes a Caveman Would Love!-The Iron You\" />\r\n\r\nIf you like a more traditional pizza sauce, this could be the pie for you. The crust combines cauliflower (hold the mozzarella shown in the recipe), topped with marinara, black and green olives, capers, and—if you’re up for them—anchovies. You can find the recipe (and many others) on <a href=\"http://www.theironyou.com/2013/02/paleo-pizza-marinara.html\" target=\"_blank\">The Iron You</a> blog.\r\n<h2>Salmon Pizza</h2>\r\n<img class=\"alignnone size-full wp-image-578\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Strands-of-My-Life.jpg\" alt=\"Paleo Pizza Recipes a Caveman Would Love!-Strands of My Life\" />\r\n\r\nSalmon is one of paleo’s top food choices, and this pie gives you a delicious way to get yours. This pizza uses a tapioca-flour crust and a topping made of smoked salmon, capers, and tomato puree. You’ll find this and other grain-free treats on Suzanne Perazzini’s <a href=\"http://www.strandsofmylife.com/pizza-paleo-style/\" target=\"_blank\">Strands of My Life</a> Website.\r\n<h2>Low Carb Deep Dish Veggie Pizza</h2>\r\n<img class=\"alignnone size-full wp-image-577\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-From-Fries-to-Fit.jpg\" alt=\"Paleo Pizza Recipes a Caveman Would Love!-From Fries to Fit\" />\r\n\r\nGo Chicago style with this pizza recipe from the blog From Fries to Fit. The pie uses almond meal and egg whites for the crust. Switch goat cheese or a cheese substitute for the mozzarella, then pile on the onion, sweet peppers, kale, shallots, and mushrooms. The <a href=\"http://fromfriestofit.com/low-carb-deep-dish-veggie-pizza/\" target=\"_blank\">From Fries to Fit</a> blog has a recipe.\r\n<h2>Primal Portobello Pizza</h2>\r\n<img class=\"alignnone size-full wp-image-576\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Primal-icious.jpg\" alt=\"Paleo Pizza Recipes a Caveman Would Love!-Primal-licious\" />\r\n\r\nPortobello mushroom caps as pizza crust! Once again, you’ll want to exchange cheese for goat cheese or a cheese substitute. Top your pies off with meatballs made from grass-fed beef, green peppers, onions—basically, whatever veggies trip your trigger. The <a href=\"http://primal-icious.blogspot.com/2012/06/ode-to-pizza.html\" target=\"_blank\">Primal-icious</a> pizza blog provides prep instructions.\r\n<h2>Yummy Paleo Pizza</h2>\r\n<img class=\"alignnone size-full wp-image-575\" src=\"http://buckspizza.com/wp-content/uploads/2016/01/Paleo-Pizza-Recipes-a-Caveman-Would-Love-Almost-Primal.jpg\" alt=\"Paleo Pizza Recipes a Caveman Would Love!-Almost Primal\" />\r\n\r\nPizza with a poor crust isn\'t much of a pizza at all. Try blind baking a pizza crust based on coconut flour and almond meal before topping it with marinara, seared chunks of grass-fed beef, sliced mushrooms, and the veggies of your choice. The <a href=\"https://almostprimal.wordpress.com/2012/10/11/back-for-more-again/\" target=\"_blank\">Almost: Primal</a> blog provides this recipe.\r\n\r\n</div>", "Paleo Pizza Recipes a Caveman Would Love!", "", "inherit", "closed", "closed", "", "549-revision-v1", "", "", "2016-01-07 05:52:18", "2016-01-07 05:52:18", "", "549", "http://buckspizza.com/2016/01/07/549-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("586", "1", "2016-01-09 22:17:46", "2016-01-09 22:17:46", "", "Best-Pizza-Places-in-New-York-City-2016", "", "inherit", "closed", "closed", "", "best-pizza-places-in-new-york-city-2016", "", "", "2016-01-09 22:17:56", "2016-01-09 22:17:56", "", "554", "http://buckspizza.com/wp-content/uploads/2016/01/Best-Pizza-Places-in-New-York-City-2016.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("587", "1", "2016-01-09 22:18:07", "2016-01-09 22:18:07", "There are no generalizations when it comes to pizza. Opinions on what makes a good pie are just that—totally subjective—with as many variations as there are pie toppings. Heck, some folks don\'t even like pizza.\r\n\r\nBut if you\'re a pie lover who considers a day without a large pepperoni a day without sunshine, and you happen to find yourself in Manhattan, here\'s a list of 10 pizza places you won\'t want to miss.\r\n<h2><a href=\"http://firstpizza.com/\">Lombardi’s</a></h2>\r\nLocated in the heart of Little Italy for more than 100 years, Lombardi’s claims not only to be the Big Apple’s first pizzeria, but the first in the United States! Drop in for the tradition—as in, pies baked in a coal oven, tables covered with red-and-white-checked cloths, and photos of the area way back when—and peruse the celebrity photo gallery while you eat.\r\n<h2><a href=\"http://motorinopizza.com/\">Motorino</a></h2>\r\nIf you’re partial to Neapolitan-style pizza, Motorino might be you pizzeria of choice. With locations in the East Village and South Williamsburg, this place offers unique delicacies like Brussels Sprouts Pizza or the oh-so-spicy Soppressata Piccante. They even offer a pizza brunch ($14) on weekends!\r\n<h2><a href=\"http://www.thepatsyspizza.com/\">Patsy’s Pizzeria</a></h2>\r\nThe thinnest of coal-fired crusts and a delicious array of specialty pies has kept Patsy’s in business since the restaurant first opened in East Harlem in 1933. You can even dress your own pizza by choosing a plain and picking your faves from an assortment of toppings that come in between $3–$5.50. Just hungry enough for a slice? Pick one up for a mere $1.75 cash at Patsy’s takeout counter a few doors down.\r\n<h2><a href=\"http://www.williamsburgpizza.com/index#slide-6\">Williamsburg Pizza</a></h2>\r\nIf you like your pizza on the hip side, head to Broome Street in the Lower East Side. Williamsburg Pizza has got you covered with offerings like the Tartufo, dressed in mushrooms and white truffles, or the Apple Bacon, which includes crushed walnuts and gorgonzola. Four bucks will get you a hearty traditional slice.\r\n<h2><a href=\"http://www.nypizzasuprema.com/index.html\">Pizza Suprema</a></h2>\r\nKnown for it’s first-class, “Real New York” $3 plain slices, this Midtown pizzeria was built in 1964 and has been owned by the same Italian family ever since. Three pizza sauces are made fresh every morning. The mozzarella cheese is also made in house. According to the owner, “Pizza here at NY Pizza Suprema is not just another item on a long Diner\'s style menu... it pretty much is our menu.”\r\n<h2><a href=\"http://www.joespizzanyc.com/\">Joe’s Pizza</a></h2>\r\nOver in West Greenwich Village, Joe’s Pizza has been providing New York street slices for over 37 years. As a matter of fact, the original owner, now a spry 75 years old, still owns and operates the place. Although the owners pride themselves on keeping it basic—“no fancy pants pies”—Joe’s slices have been praised in publications like <i>New York Magazine</i> and <i>GQ</i>.\r\n<h2><a href=\"http://salandcarminepizzanyc.com/food-delivery-TW/sal-carmine-pizza-new-york-city.27250.r?QueryStringValue=VT+tNk7JQNpeKpALcp58RQ==\" target=\"_blank\">Sal &amp; Carmine</a></h2>\r\nIf you’re looking for atmosphere, try this Broadway pizzeria and neighborhood institution. Sal is no longer with us, but his gruff partner, Carmine, carries on the fifty-some-year tradition of providing delicious, plain New York slices for $3.\r\n<h2><a href=\"https://plus.google.com/106984382175706362093/about\" target=\"_blank\">Percy’s Pizza</a></h2>\r\nDown on Bleeker Street in the Village, Percy’s serves up what <i>The New York Post</i> calls the best $1 slice in the city. That’s right, pizza lovers, you can get a thin, tasty slice for a single buck. Hand over an extra dollar you can get toppings!\r\n<h2><a href=\"http://www.kestepizzeria.com/home\">Keste Pizza &amp; Vino</a></h2>\r\nEver dined on pizza made by a Master Pizziaolo—and national pizza consultant—trained in Naples? Well, here’s your chance! Offering everything from homemade mozzarella to vegan and gluten-free pizzas, this West Village pizzeria promises a one-of-a-kind dining experience. (They also offer lighter fare “for diners who prefer to lead a joyless life.”)\r\n<h2><a href=\"http://www.martamanhattan.com/\">Marta</a></h2>\r\nMarta has gotten rave reviews from no less than the food critics at <i>The New York Times</i>. The Roman-style pizza has a tissue-thin, crackery, crunchy crust, and the toppings are far from run of the mill. Think Carbonara with potatoes, guanciale, black pepper, pecorino, egg, tripe, mint, pecorino, and chili, and you’ll get the mouthwateringly unique idea!\r\n<h2>Honorable Mention: Ray\'s</h2>\r\n<a href=\"http://gothamist.com/2011/06/17/pizza_wars_the_case_of_rays_pizza_v.php\" target=\"_blank\">Which pizzeria</a> are we talking about here? Famous Ray\'s? Famous Original Ray\'s? Original Ray\'s? Ray Bari? Just plain Ray\'s? It seems that some years ago the \"original\" most famous of the group actually closed down (located previously on Prince Street). A few eateries have come and gone since then in that location. Because it can be oh-so-confusing, Ray\'s gets an honorable mention here, mostly because the confusion is sometimes referenced in television and movies, but also because if the pizza wasn\'t very good, people wouldn\'t care enough to try and \"out-Ray Ray\'s\" if you know what we mean.", "10 Best Pizza Places in New York City", "", "inherit", "closed", "closed", "", "554-revision-v1", "", "", "2016-01-09 22:18:07", "2016-01-09 22:18:07", "", "554", "http://buckspizza.com/2016/01/09/554-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("591", "1", "2016-02-05 08:45:52", "2016-02-05 08:45:52", "Sometimes pizza parties just pop up. You\'ve got a ton of mouths to feed and lots of different tastes and what better way to celebrate than with a food most everyone can enjoy? Sometimes, however, the event calls specifically for pizza and you want to make this a much more memorable occasion. Whether it\'s a birthday, first group sleepover, special movie night or a celebration you want your kids to remember, you have some planning to do.\r\n<h2>Where and how much?</h2>\r\nThe atmosphere you\'re trying to shoot for depends 100% on what kind of celebration you\'re having. Do you need decorations? Is this event going to be at home? Do you want this to <em>feel</em> like it\'s spontaneous?\r\n\r\nSay you\'re planning a birthday party. If you\'re inviting every classmate and teammate or bandmate and next door neighbor, you might not have the space in your home. Can you rent space or are you going to brave a local park? You need parking and you need to make sure you consider the size of the family for each invitee.\r\n\r\nWhat you have to do is come up with a solid number. Why?\r\n<h3>It helps you decide where to have the party</h3>\r\nIf you can\'t fit 50 people in your house, you have to consider holding it elsewhere. If it\'s a celebration just for family, you still have to consider what your parking situation is going to look like and what time of day. If you\'re planning a memorable pizza party for <strong>just</strong> your children, you might consider <em>making</em> the pizza yourself. Pizza preparing can be a terrific memory maker.\r\n<h3>Do you know how much pizza to buy?</h3>\r\nDo you? You have to have a specific number, because you have to overshoot it. The good news is you might have leftover pizza, but you don\'t want to undershoot and you probably don\'t have enough space in the fridge for 6 boxes of cheese pizza. Generally you want 2 slices per person, but having an extra pizza for every 5 people is a good idea. It will depend on age, because two teenagers might polish off an entire large by themselves where you might end up with smaller kids struggling to make it through one slice. A nice trick can be to ask for \"extra cuts\" so that each slice is slightly smaller, but that\'s something that\'s hard to ask for if you\'re planning online. It\'s a good idea to call and confirm with the pizza place. Large pizzas tend to have 8 slices and if you\'re having a party and you\'re not ordering at least a large pie, I hope it\'s because you\'ve got a great deal on medium sized pizza!\r\n\r\n&nbsp;\r\n<h2>Setting and playlist</h2>\r\nNow that you know how much pizza you need and where you\'re having it, the next step is deciding on the atmosphere. Certainly, if it\'s the sort of party you need decorations for, then selecting the right ones will depend on what you have to work with at the party site. If you can\'t hang a banner, then it\'s best to know that beforehand.\r\n\r\nIf you\'re having a movie party, you\'ll want to make sure you have a way to watch and set an atmosphere that will match the movie theme. If it\'s not a film and food fest, then take a cue from movie makers and consider the soundtrack to your party.\r\n\r\nMusic is a great way to set a mood, yes, even for a kids party. You may not particularly enjoy the music yourself, but is the party for you? If you\'re trying to make the party memorable, you have to consider the focus and if it\'s the kids, then you may have to have some tunes they\'ll enjoy. If it\'s a movie, you\'re going to want to select something that everyone in the group can enjoy.\r\n\r\nMaybe instead the music or movie is just background. If that\'s the case, pick a classic. It will be much better to have a wall-to-wall action movie or a classic comedy so that it\'s not drawing all the attention away from the fun.\r\n<h2>Have fun things to do</h2>\r\nSpeaking of paying attention to the fun, you need to have something to entertain the kids. Yes, you\'re making memories, but let\'s just go ahead and assume that you\'re not trying to have it be a traumatic or miserable memory.\r\n\r\nFirst and foremost, it has to be age appropriate. If you\'ve got young kids, you may want to come up with participatory games. No matter what time of day, you\'re going to want to wear young kids out, but that\'s especially true if you\'re having a sleepover. There\'s one thing to make sure of, however. The activity <strong>must</strong> be before the pizza is eaten unless you want to clean up a disgusting mess.\r\n\r\nIf it\'s slightly older kids, you might want to consider introducing a new game. Playing a game for the first time can be truly memorable. You can always take a game you played as a child yourself or modify some rules from an existing game. The more effort you put into the fun, the better, so if it means coming up with a way to play a version of \"the wheel\" in your own home, then put the effort into creating a working game wheel and letter board. You might be tempted to go the video game route, but consider this—those are likely so common as to not be memorable and you\'re going to have a lot of kids waiting for their turn, which is the opposite of fun. A lot depends on how many kids you have and your venue, but the fun has to be front and center. First the fun, then the pizza.\r\n\r\n&nbsp;\r\n<h2>Pick good pizza</h2>\r\nLook, price is <em>of course</em> going to be a concern. It\'s unavoidable. That said, I don\'t think you have an oven large enough to cook pizza for 50 people and have it all ready around the same time. If you do, congratulations, but then you\'re probably not reading this because you\'ve got someone else catering and you can ask your party planner on retainer for ideas, right?\r\n\r\nIt\'s a simple choice—delivery. Yes, even if you\'re having it at home, but <strong>especially</strong> if you\'re considering going elsewhere, you want delivered pizza. The only caveat would be if you\'re having the party at a pizza restaurant. You\'re getting their pizza. No question. If your party is a small one for just a few kids and you\'re making the pizzas, then of course you don\'t need delivery (although having a back-up should be something you consider, especially since leftover pizza can be terrific!).\r\n\r\nYou have to consider dietary concerns. There might be a \"gluten intolerant\" guest or someone who just can\'t stand meat on their pizza. I dare you to put olives on pizza for young kids. Sure, some kids like \'em, but if they haven\'t seen black olives on their pizza before, good luck.  Older kids might even be <em>more</em> picky with their pies. You have to have cheese, that\'s a given, but how much and what else?\r\n\r\nDelivery pizza does a few things for you. You don\'t have to worry about the cooking or the clean up. If you\'re having pizza, you are getting a large garbage bag and putting paper or even plastic plates into that bag at the end of the party. Plates need to be sturdy and paper towels plentiful. Even the least \"greasy\" pizza on the planet is going to soak through flimsy paper plates, so pick plates that make clean up less of a chore.\r\n\r\n&nbsp;\r\n<h2>Consider clean up</h2>\r\nThe faster you can clean up, the better. Delivered (or carry-out pizza) makes things pretty simple, but you don\'t want to be worrying about the mess. If you select a venue outside the home, that\'s probably part of the conditions for rental, and if it\'s a park, you don\'t want to worry about paying a fine.\r\n\r\nMake a checklist. It sounds silly, but it does a couple of things. It helps you in planning, because it\'s easier to see if you\'re missing something if it\'s in writing in front of you, but it also helps you see what you have to clean up. The more simple you can make the party clean-up, the more time you\'re likely to have to plan the fun. The best way to make it memorable is to concentrate most on making it something worth remembering and being able to laugh and have great pizza. Make sure to take care of the loose ends—like place settings, cutlery, reservations, and food quantity well in advance. This will give you the time to focus on the important aspects of the experience and the more creative the fun, the more memorable it\'s likely to be.", "How to Throw a Pizza Party Your Kids Will Remember", "", "draft", "closed", "closed", "", "throw-pizza-party-kids-remember", "", "", "2017-08-04 15:56:10", "2017-08-04 15:56:10", "", "0", "http://buckspizza.com/?p=591", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("592", "1", "2016-02-08 22:36:45", "2016-02-08 22:36:45", "", "How-to-Throw-a-Pizza-Party-Your-Kids-Will-Remember", "", "inherit", "closed", "closed", "", "how-to-throw-a-pizza-party-your-kids-will-remember", "", "", "2016-02-08 22:36:55", "2016-02-08 22:36:55", "", "591", "http://buckspizza.com/wp-content/uploads/2016/02/How-to-Throw-a-Pizza-Party-Your-Kids-Will-Remember.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("593", "1", "2016-02-08 22:37:06", "2016-02-08 22:37:06", "Sometimes pizza parties just pop up. You\'ve got a ton of mouths to feed and lots of different tastes and what better way to celebrate than with a food most everyone can enjoy? Sometimes, however, the event calls specifically for pizza and you want to make this a much more memorable occasion. Whether it\'s a birthday, first group sleepover, special movie night or a celebration you want your kids to remember, you have some planning to do.\r\n<h2>Where and how much?</h2>\r\nThe atmosphere you\'re trying to shoot for depends 100% on what kind of celebration you\'re having. Do you need decorations? Is this event going to be at home? Do you want this to <em>feel</em> like it\'s spontaneous?\r\n\r\nSay you\'re planning a birthday party. If you\'re inviting every classmate and teammate or bandmate and next door neighbor, you might not have the space in your home. Can you rent space or are you going to brave a local park? You need parking and you need to make sure you consider the size of the family for each invitee.\r\n\r\nWhat you have to do is come up with a solid number. Why?\r\n<h3>It helps you decide where to have the party</h3>\r\nIf you can\'t fit 50 people in your house, you have to consider holding it elsewhere. If it\'s a celebration just for family, you still have to consider what your parking situation is going to look like and what time of day. If you\'re planning a memorable pizza party for <strong>just</strong> your children, you might consider <em>making</em> the pizza yourself. Pizza preparing can be a terrific memory maker.\r\n<h3>Do you know how much pizza to buy?</h3>\r\nDo you? You have to have a specific number, because you have to overshoot it. The good news is you might have leftover pizza, but you don\'t want to undershoot and you probably don\'t have enough space in the fridge for 6 boxes of cheese pizza. Generally you want 2 slices per person, but having an extra pizza for every 5 people is a good idea. It will depend on age, because two teenagers might polish off an entire large by themselves where you might end up with smaller kids struggling to make it through one slice. A nice trick can be to ask for \"extra cuts\" so that each slice is slightly smaller, but that\'s something that\'s hard to ask for if you\'re planning online. It\'s a good idea to call and confirm with the pizza place. Large pizzas tend to have 8 slices and if you\'re having a party and you\'re not ordering at least a large pie, I hope it\'s because you\'ve got a great deal on medium sized pizza!\r\n\r\n&nbsp;\r\n<h2>Setting and playlist</h2>\r\nNow that you know how much pizza you need and where you\'re having it, the next step is deciding on the atmosphere. Certainly, if it\'s the sort of party you need decorations for, then selecting the right ones will depend on what you have to work with at the party site. If you can\'t hang a banner, then it\'s best to know that beforehand.\r\n\r\nIf you\'re having a movie party, you\'ll want to make sure you have a way to watch and set an atmosphere that will match the movie theme. If it\'s not a film and food fest, then take a cue from movie makers and consider the soundtrack to your party.\r\n\r\nMusic is a great way to set a mood, yes, even for a kids party. You may not particularly enjoy the music yourself, but is the party for you? If you\'re trying to make the party memorable, you have to consider the focus and if it\'s the kids, then you may have to have some tunes they\'ll enjoy. If it\'s a movie, you\'re going to want to select something that everyone in the group can enjoy.\r\n\r\nMaybe instead the music or movie is just background. If that\'s the case, pick a classic. It will be much better to have a wall-to-wall action movie or a classic comedy so that it\'s not drawing all the attention away from the fun.\r\n<h2>Have fun things to do</h2>\r\nSpeaking of paying attention to the fun, you need to have something to entertain the kids. Yes, you\'re making memories, but let\'s just go ahead and assume that you\'re not trying to have it be a traumatic or miserable memory.\r\n\r\nFirst and foremost, it has to be age appropriate. If you\'ve got young kids, you may want to come up with participatory games. No matter what time of day, you\'re going to want to wear young kids out, but that\'s especially true if you\'re having a sleepover. There\'s one thing to make sure of, however. The activity <strong>must</strong> be before the pizza is eaten unless you want to clean up a disgusting mess.\r\n\r\nIf it\'s slightly older kids, you might want to consider introducing a new game. Playing a game for the first time can be truly memorable. You can always take a game you played as a child yourself or modify some rules from an existing game. The more effort you put into the fun, the better, so if it means coming up with a way to play a version of \"the wheel\" in your own home, then put the effort into creating a working game wheel and letter board. You might be tempted to go the video game route, but consider this—those are likely so common as to not be memorable and you\'re going to have a lot of kids waiting for their turn, which is the opposite of fun. A lot depends on how many kids you have and your venue, but the fun has to be front and center. First the fun, then the pizza.\r\n\r\n&nbsp;\r\n<h2>Pick good pizza</h2>\r\nLook, price is <em>of course</em> going to be a concern. It\'s unavoidable. That said, I don\'t think you have an oven large enough to cook pizza for 50 people and have it all ready around the same time. If you do, congratulations, but then you\'re probably not reading this because you\'ve got someone else catering and you can ask your party planner on retainer for ideas, right?\r\n\r\nIt\'s a simple choice—delivery. Yes, even if you\'re having it at home, but <strong>especially</strong> if you\'re considering going elsewhere, you want delivered pizza. The only caveat would be if you\'re having the party at a pizza restaurant. You\'re getting their pizza. No question. If your party is a small one for just a few kids and you\'re making the pizzas, then of course you don\'t need delivery (although having a back-up should be something you consider, especially since leftover pizza can be terrific!).\r\n\r\nYou have to consider dietary concerns. There might be a \"gluten intolerant\" guest or someone who just can\'t stand meat on their pizza. I dare you to put olives on pizza for young kids. Sure, some kids like \'em, but if they haven\'t seen black olives on their pizza before, good luck.  Older kids might even be <em>more</em> picky with their pies. You have to have cheese, that\'s a given, but how much and what else?\r\n\r\nDelivery pizza does a few things for you. You don\'t have to worry about the cooking or the clean up. If you\'re having pizza, you are getting a large garbage bag and putting paper or even plastic plates into that bag at the end of the party. Plates need to be sturdy and paper towels plentiful. Even the least \"greasy\" pizza on the planet is going to soak through flimsy paper plates, so pick plates that make clean up less of a chore.\r\n\r\n&nbsp;\r\n<h2>Consider clean up</h2>\r\nThe faster you can clean up, the better. Delivered (or carry-out pizza) makes things pretty simple, but you don\'t want to be worrying about the mess. If you select a venue outside the home, that\'s probably part of the conditions for rental, and if it\'s a park, you don\'t want to worry about paying a fine.\r\n\r\nMake a checklist. It sounds silly, but it does a couple of things. It helps you in planning, because it\'s easier to see if you\'re missing something if it\'s in writing in front of you, but it also helps you see what you have to clean up. The more simple you can make the party clean-up, the more time you\'re likely to have to plan the fun. The best way to make it memorable is to concentrate most on making it something worth remembering and being able to laugh and have great pizza. Make sure to take care of the loose ends—like place settings, cutlery, reservations, and food quantity well in advance. This will give you the time to focus on the important aspects of the experience and the more creative the fun, the more memorable it\'s likely to be.", "How to Throw a Pizza Party Your Kids Will Remember", "", "inherit", "closed", "closed", "", "591-revision-v1", "", "", "2016-02-08 22:37:06", "2016-02-08 22:37:06", "", "591", "http://buckspizza.com/2016/02/08/591-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("594", "1", "2016-02-12 08:45:26", "2016-02-12 08:45:26", "Let’s talk about pizza. If you’re a pizza lover, chances are the phrase “too much pie” seldom crosses your lips, and happily, there’s a world of cheesy, saucy goodness out there, just waiting to tickle your taste buds. Still, there’s a lot more to say about pizza than, “Make mine a large with mozzarella, mushrooms, and pepperoni,” as a host of bloggers prove every day.\r\n\r\nYou might be interested in, maybe even surprised by, their various pizza perspectives.\r\n<h2><a href=\"http://www.bakingsteel.com/\" target=\"_blank\">Baking Steel</a></h2>\r\n<img class=\"alignnone size-full wp-image-596\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Blogs-for-Pizza-Lovers-Baking-Steel.jpg\" alt=\"Blogs for Pizza Lovers-Baking Steel\" />\r\n\r\nThis slick, photo-rich blog focuses on pizza from the bottom up, specifically on supplying pizzerias with—you guessed it—baking steel rounds and pans, which they say produce the crispest, thinnest, most evenly cooked crusts. The site even offers online classes in how to make pizza using the product.\r\n<h2><a href=\"http://blog.scottspizzatours.com/\" target=\"_blank\">Scott’s Pizza Journal</a></h2>\r\n<img class=\"alignnone size-full wp-image-597\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Blogs-for-Pizza-Lovers-Scotts-Pizza-Journal.jpg\" alt=\"Blogs for Pizza Lovers-2016-Scott\'s Pizza Journal\" />\r\n\r\nIt’s hard to resist a blog written by the guy who owns a Guinness World Record for the largest collection of pizza boxes. Scott runs pizzeria tours in the Big Apple, writes for pizza trade magazines, and has written a book about his magnificent box obsession.\r\n<h2><a href=\"http://pizzatherapy.com/blog/\" target=\"_blank\">Pizza Therapy</a></h2>\r\n<img class=\"alignnone size-full wp-image-598\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Blogs-for-Pizza-Lovers-Pizza-Therapy.jpg\" alt=\"Blogs for Pizza Lovers-2016-Pizza Therapy\" />\r\n\r\n“Pizza on earth; Good will to all!” Calling pizza the “magic little disk that makes things happen,” the folks here offer visitors secret recipes from time to time. You’ll also find pizzeria reviews and interviews with top pizziaolos.\r\n<h2><a href=\"http://fortheloveofpizza.com/\" target=\"_blank\">For the Love of Pizza</a></h2>\r\n<img class=\"alignnone size-full wp-image-599\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/10-Blogs-for-Pizza-Lovers-For-the-Love-of-Pizza.jpg\" alt=\"Blogs for Pizza Lovers-2016-For the Love of Pizza\" />\r\n\r\nWritten by a self-described pizzaholic, this prolific blog casts far and wide for pizza-related topics. (Our favorite included a pizza pie chart reflecting presidential candidates’ campaign spending.) Other recent topics include posts on Whole Foods pizza, octopus pizza, and the top 30 pizzas in New York City.\r\n<h2><a href=\"http://slice.seriouseats.com/\" target=\"_blank\">Serious Eats</a></h2>\r\nThis blog is wallpapered with big, appetizing photos that link to topics of concern to every pizza lover: “The $7,000 Pizza Oven You Don’t Need,” “The Right Way to Top a Pizza with Zucchini,” and “Pizza Hack: Is Copper Better Than Baking Steel?” for example.\r\n<h2><a href=\"http://legendsofpizza.com/blog/\" target=\"_blank\">Legends of Pizza</a></h2>\r\nHere\'s where you learn about the men and women behind the pie—namely, the most talented pizza makers in the world. The site includes interviews, photos, and videos, and the collected posts resulted in a book—actually, two books, Volumes I and II—also called <i>Legends of Pizza</i>.\r\n<h2><a href=\"http://pizzadeliverystories.blogspot.com/\" target=\"_blank\">Pizza Delivery Stories</a></h2>\r\nHave you ever wondered what it would be like to deliver pizzas part-time? Well, wonder no more! This basic, streamlined blog is a forum where pizza delivery drivers get together for some plain talk about the trade. Mostly dormant until very recently, the author promises to be resuming posts, but fortunately there are tons of old posts to comb through.\r\n<h2><a href=\"http://idreamofpizza.com/\" target=\"_blank\">I Dream of Pizza</a></h2>\r\nThis site—self-proclaimed as the web’s most popular pizza blog—has been praising the pie since 2008 and features hundreds of pizzeria reviews covering 25 states and 18 countries. It’s also been featured in publications as posh as <i>The New York Times</i> and <i>The Wall Street Journal</i>.\r\n<h2><a href=\"http://www.pmq.com/Video/\" target=\"_blank\">Pizza TV</a></h2>\r\nHosted on the <i>PMQ Pizza Magazine</i> site, this video blog covers pizza from all angles—including some you probably never imagined. Tune in for a clip of Chicago pizziaolo Gino Rago demonstrating his award-winning Grandma Pie, or a short video about the Western Pizza Summit.\r\n<h2><a href=\"http://buckspizza.com/blog/\" target=\"_blank\">Buck’s Pizza</a></h2>\r\nIt takes a big blog to recommend somebody else\'s blog. Fortunately, we here at Buck’s have the confidence it takes. We are, after all, dedicated pizza lovers ourselves. That solidarity, that sense of pie-lover brotherhood is why you can count on us to point you at all the blogs fit for pizza lovers to surf. It\'s also why you should consider bookmarking our site for the fantastic pizza writing—and pizza making—needs!", "10 Blogs for Pizza Lovers", "", "draft", "closed", "closed", "", "blogs-pizza-lovers-2016", "", "", "2017-08-04 15:55:20", "2017-08-04 15:55:20", "", "0", "http://buckspizza.com/?p=594", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("595", "1", "2016-02-08 22:54:21", "2016-02-08 22:54:21", "", "Blogs-for-Pizza Lovers-2016", "", "inherit", "closed", "closed", "", "blogs-for-pizza-lovers-2016", "", "", "2016-02-08 22:54:39", "2016-02-08 22:54:39", "", "594", "http://buckspizza.com/wp-content/uploads/2016/02/Blogs-for-Pizza-Lovers-2016.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("596", "1", "2016-02-08 22:59:29", "2016-02-08 22:59:29", "", "Blogs-for-Pizza-Lovers-Baking-Steel", "", "inherit", "closed", "closed", "", "blogs-for-pizza-lovers-baking-steel", "", "", "2016-02-08 23:00:40", "2016-02-08 23:00:40", "", "594", "http://buckspizza.com/wp-content/uploads/2016/02/Blogs-for-Pizza-Lovers-Baking-Steel.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("597", "1", "2016-02-08 23:02:28", "2016-02-08 23:02:28", "", "Blogs-for-Pizza-Lovers-Scott\'s-Pizza-Journal", "", "inherit", "closed", "closed", "", "blogs-for-pizza-lovers-scotts-pizza-journal", "", "", "2016-02-08 23:02:47", "2016-02-08 23:02:47", "", "594", "http://buckspizza.com/wp-content/uploads/2016/02/Blogs-for-Pizza-Lovers-Scotts-Pizza-Journal.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("598", "1", "2016-02-08 23:05:09", "2016-02-08 23:05:09", "", "Blogs-for-Pizza-Lovers-Pizza-Therapy", "", "inherit", "closed", "closed", "", "blogs-for-pizza-lovers-pizza-therapy", "", "", "2016-02-08 23:05:22", "2016-02-08 23:05:22", "", "594", "http://buckspizza.com/wp-content/uploads/2016/02/Blogs-for-Pizza-Lovers-Pizza-Therapy.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("599", "1", "2016-02-08 23:11:59", "2016-02-08 23:11:59", "", "Blogs-for-Pizza-Lovers-For-the-Love-of-Pizza", "", "inherit", "closed", "closed", "", "10-blogs-for-pizza-lovers-for-the-love-of-pizza", "", "", "2016-02-08 23:12:37", "2016-02-08 23:12:37", "", "594", "http://buckspizza.com/wp-content/uploads/2016/02/10-Blogs-for-Pizza-Lovers-For-the-Love-of-Pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("601", "1", "2016-02-08 23:53:59", "2016-02-08 23:53:59", "Let’s talk about pizza. If you’re a pizza lover, chances are the phrase “too much pie” seldom crosses your lips, and happily, there’s a world of cheesy, saucy goodness out there, just waiting to tickle your taste buds. Still, there’s a lot more to say about pizza than, “Make mine a large with mozzarella, mushrooms, and pepperoni,” as a host of bloggers prove every day.\r\n\r\nYou might be interested in, maybe even surprised by, their various pizza perspectives.\r\n<h2><a href=\"http://www.bakingsteel.com/\" target=\"_blank\">Baking Steel</a></h2>\r\n<img class=\"alignnone size-full wp-image-596\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Blogs-for-Pizza-Lovers-Baking-Steel.jpg\" alt=\"Blogs for Pizza Lovers-Baking Steel\" />\r\n\r\nThis slick, photo-rich blog focuses on pizza from the bottom up, specifically on supplying pizzerias with—you guessed it—baking steel rounds and pans, which they say produce the crispest, thinnest, most evenly cooked crusts. The site even offers online classes in how to make pizza using the product.\r\n<h2><a href=\"http://blog.scottspizzatours.com/\" target=\"_blank\">Scott’s Pizza Journal</a></h2>\r\n<img class=\"alignnone size-full wp-image-597\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Blogs-for-Pizza-Lovers-Scotts-Pizza-Journal.jpg\" alt=\"Blogs for Pizza Lovers-2016-Scott\'s Pizza Journal\" />\r\n\r\nIt’s hard to resist a blog written by the guy who owns a Guinness World Record for the largest collection of pizza boxes. Scott runs pizzeria tours in the Big Apple, writes for pizza trade magazines, and has written a book about his magnificent box obsession.\r\n<h2><a href=\"http://pizzatherapy.com/blog/\" target=\"_blank\">Pizza Therapy</a></h2>\r\n<img class=\"alignnone size-full wp-image-598\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Blogs-for-Pizza-Lovers-Pizza-Therapy.jpg\" alt=\"Blogs for Pizza Lovers-2016-Pizza Therapy\" />\r\n\r\n“Pizza on earth; Good will to all!” Calling pizza the “magic little disk that makes things happen,” the folks here offer visitors secret recipes from time to time. You’ll also find pizzeria reviews and interviews with top pizziaolos.\r\n<h2><a href=\"http://fortheloveofpizza.com/\" target=\"_blank\">For the Love of Pizza</a></h2>\r\n<img class=\"alignnone size-full wp-image-599\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/10-Blogs-for-Pizza-Lovers-For-the-Love-of-Pizza.jpg\" alt=\"Blogs for Pizza Lovers-2016-For the Love of Pizza\" />\r\n\r\nWritten by a self-described pizzaholic, this prolific blog casts far and wide for pizza-related topics. (Our favorite included a pizza pie chart reflecting presidential candidates’ campaign spending.) Other recent topics include posts on Whole Foods pizza, octopus pizza, and the top 30 pizzas in New York City.\r\n<h2><a href=\"http://slice.seriouseats.com/\" target=\"_blank\">Serious Eats</a></h2>\r\nThis blog is wallpapered with big, appetizing photos that link to topics of concern to every pizza lover: “The $7,000 Pizza Oven You Don’t Need,” “The Right Way to Top a Pizza with Zucchini,” and “Pizza Hack: Is Copper Better Than Baking Steel?” for example.\r\n<h2><a href=\"http://legendsofpizza.com/blog/\" target=\"_blank\">Legends of Pizza</a></h2>\r\nHere\'s where you learn about the men and women behind the pie—namely, the most talented pizza makers in the world. The site includes interviews, photos, and videos, and the collected posts resulted in a book—actually, two books, Volumes I and II—also called <i>Legends of Pizza</i>.\r\n<h2><a href=\"http://pizzadeliverystories.blogspot.com/\" target=\"_blank\">Pizza Delivery Stories</a></h2>\r\nHave you ever wondered what it would be like to deliver pizzas part-time? Well, wonder no more! This basic, streamlined blog is a forum where pizza delivery drivers get together for some plain talk about the trade. Mostly dormant until very recently, the author promises to be resuming posts, but fortunately there are tons of old posts to comb through.\r\n<h2><a href=\"http://idreamofpizza.com/\" target=\"_blank\">I Dream of Pizza</a></h2>\r\nThis site—self-proclaimed as the web’s most popular pizza blog—has been praising the pie since 2008 and features hundreds of pizzeria reviews covering 25 states and 18 countries. It’s also been featured in publications as posh as <i>The New York Times</i> and <i>The Wall Street Journal</i>.\r\n<h2><a href=\"http://www.pmq.com/Video/\" target=\"_blank\">Pizza TV</a></h2>\r\nHosted on the <i>PMQ Pizza Magazine</i> site, this video blog covers pizza from all angles—including some you probably never imagined. Tune in for a clip of Chicago pizziaolo Gino Rago demonstrating his award-winning Grandma Pie, or a short video about the Western Pizza Summit.\r\n<h2><a href=\"http://buckspizza.com/blog/\" target=\"_blank\">Buck’s Pizza</a></h2>\r\nIt takes a big blog to recommend somebody else\'s blog. Fortunately, we here at Buck’s have the confidence it takes. We are, after all, dedicated pizza lovers ourselves. That solidarity, that sense of pie-lover brotherhood is why you can count on us to point you at all the blogs fit for pizza lovers to surf. It\'s also why you should consider bookmarking our site for the fantastic pizza writing—and pizza making—needs!", "10 Blogs for Pizza Lovers", "", "inherit", "closed", "closed", "", "594-revision-v1", "", "", "2016-02-08 23:53:59", "2016-02-08 23:53:59", "", "594", "http://buckspizza.com/2016/02/08/594-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("603", "1", "2016-02-19 08:45:48", "2016-02-19 08:45:48", "There are more than a <a href=\"http://slice.seriouseats.com/archives/2008/01/a-list-of-regional-pizza-styles.html\" target=\"_blank\">dozen styles of pizza</a> (at least), but Chicago deep dish pizza seems to be the one that the midwest loves the most. It\'s thick, buttery crusts, a piping hot pan of pizza toppings, sauce and cheese that can be customized in dozens of different ways and enjoyed best with a knife and fork. Some practitioners of the pie are so famous outside the Windy City that they ship their pizzas via FedEx across the country. If you\'re heading to the Second City, try a deep dish pizzeria or two from our early 2016 list.\r\n<h2><a href=\"http://artofpizzainc.com/\" target=\"_blank\">The Art of Pizza</a></h2>\r\n<img class=\"alignnone size-full wp-image-605\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-The-Art-of-Pizza.jpg\" alt=\"The Art of Pizza\" />\r\nThe Lakeview pizzeria was named the best deep dish in town by a Tribune poll several years ago and today many still agree. The fantastic pizza offered at The Art Of Pizza is a delight with its flaky crust and its fantastic sauce.\r\n<h2><a href=\"http://www.loumalnatis.com/\" target=\"_blank\">Lou Malnati\'s Pizzeria</a></h2>\r\n<img class=\"alignnone size-full wp-image-606\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Lou-Malnatis-Pizzeria.jpg\" alt=\"Lou Malnati\'s Pizzeria\" />\r\nAlthough Lou Malnati\'s can be found at River North and other locations, there\'s nothing cookie-cutter about this fantastic pizza joint. The pizza served at Lou\'s may come the closest to what the original deep dish pie tasted like. The simple butter crust, bright tomatoes, and Italian sausage all work together to create a simple and yet elevated taste. It also delivers across the country. Well, not literally. FedEx does. Yes. You can order their pizza (for a price) anywhere in the country!\r\n<h2><a href=\"http://www.pequodspizza.com/\" target=\"_blank\">Pequod\'s Pizza</a></h2>\r\n<img class=\"alignnone size-full wp-image-607\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Pequods-Pizza.jpg\" alt=\"Pequod\'s Pizza\" />\r\nWith two locations, Pequod\'s Pizza in Lincoln Park and Morton Grove serves up some of the best pan style deep dish in Chicago. The pan served at Pequod\'s boats the signature Chicago-style lining of charred caramelized cheese. The cheese laced crust was originally invented by Burt Katz, who forever changed Chicago-style deep dish in the 1960s.\r\n<h2>Louisa\'s Pizza &amp; Pasta</h2>\r\n<img class=\"alignnone size-full wp-image-608\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Louisa-Pizza-and-Pasta.jpg\" alt=\"Louisa\'s Pizza &amp; Pasta\" />\r\nFor more than 30 years Louisa\'s Pizza &amp; Pasta has been serving up arguably some of the best original-style Chicago deep dish in the Windy City. Located in Crestwood, the pizzeria carries its signature pizza\'s light and puffy crust, hearty tomatoes, and flavorful Italian sausage right to the bank, and earns a top spot as one of the best deep dish joints in Chicago. It\'s so \"old school\" they don\'t maintain a website!\r\n<h2><a href=\"http://www.bartolispizza.com/\" target=\"_blank\">Bartoli\'s Pizzeria</a></h2>\r\n<img class=\"alignnone size-full wp-image-609\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Bartolis-Pizzeria.jpg\" alt=\"Bartoli\'s Pizzeria\" />\r\nBartoli\'s deep dish is new to the Chicago scene. Despite its recent emergence, the delicious pizza served at the pizzeria in Roscoe Village harkens back to the original Chicago style. The family-owned restaurant once owned Gino’s East but sold it long ago. Today, the family is once again making a name for serving a well-balanced pizza with a classic sauce and a perfectly flaky crust.\r\n<h2><a href=\"http://www.bacinos.com/WACKER/about.html\" target=\"_blank\">Bacino\'s</a></h2>\r\n<img class=\"alignnone size-full wp-image-610\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Bacinos.jpg\" alt=\"Bacino\'s\" />\r\nBacino’s delivers a substantial and filling stuffed pizza with a thick sauce and hearty chunks of tomato. The pies at Bacino\'s offer up palatable options for veggie and meat lovers. The only downside to the Chicago eatery is that restaurant goers have to decide between the stuffed supreme and stuffed spinach-mushroom pizzas.\r\n<h2><a href=\"https://giordanos.com/\" target=\"_blank\">Giordano\'s</a></h2>\r\n<img class=\"alignnone size-full wp-image-611\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Giordanos.jpg\" alt=\"Giordano\'s\" />\r\n\"But it\'s a pizza chain now.\" \"It\'s overrated.\" Uh, no. It\'s a classic Chicago pizzeria, and Giordano’s is, for many, the go-to place for Chicago deep dish pizza, and with good reason. It\'s one of the best pizza places in Chicago, hands down and that\'s including the Chicago style. Their signature sauce, dough, and cheese continue to allow Giordano’s to stand heads above the rest. You can also have this pizza delivered anywhere in the country (with a surcharge, of course) via FedEx. They\'ve got a budding blog, too but they\'ll have to settle for second best on that front!\r\n<h2><a href=\"http://ninospizzaalsip.com/\" target=\"_blank\">Nino\'s Pizza</a></h2>\r\n<img class=\"alignnone size-full wp-image-612\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Ninos-Pizzeria.jpg\" alt=\"Nino\'s Pizzeria\" />\r\nNino\'s serves up the real thing. Yes, we\'re aware we\'re stretching \"Chicago\" to the suburbs, but the pies served at Nino\'s are just as good as any served along Chicago\'s famed North Side. The flaky crust, thick layer of cheese, and bright tomato sauce land Nino\'s as a serious contender for best deep dish in Chicago.\r\n<h2><a href=\"http://761.unotogo.com/zgrid/proc/site/sitep.jsp\" target=\"_blank\">Pizzeria Uno</a></h2>\r\n<img class=\"alignnone size-full wp-image-613\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Pizzeria-Uno.jpg\" alt=\"Pizzeria Uno\" />\r\n\r\nPizzeria Uno is the original deep dish restaurant. The old-school pizzeria is the site of the original deep pizza, which was invented in 1943. Today, the historic restaurant serves up a heavy pizza that may be too much for any one person. So, take a friend enjoy the restaurant\'s great atmosphere.\r\n<h2><a href=\"http://www.tanoschicago.com/\" target=\"_blank\">Tano\'s Pizzeria</a></h2>\r\n<img class=\"alignnone size-full wp-image-614\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Tanos-Pizzeria.jpg\" alt=\"Tano\'s Pizzeria\" />\r\nA great pizza for an affordable price, the thick pizza served at Tano\'s dates back to the 1960s and gives new meaning to the term pizza pie. The stuffed pizza boasts a second crust that is topped with tomato sauce. The crust at Tano\'s is more flaky than that of a truly classic deep dish and updates the family recipes that were revived from Manzo’s, an classic Italian restaurant that once thrived in Irving Park.", "Chicago’s Top 10 Deep Dish Pizza Places", "", "draft", "closed", "closed", "", "chicagos-top-deep-dish-pizza-places", "", "", "2017-08-04 15:55:20", "2017-08-04 15:55:20", "", "0", "http://buckspizza.com/?p=603", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("604", "1", "2016-02-16 20:39:31", "2016-02-16 20:39:31", "", "Chicagos-Top-10-Deep-Dish-Pizza-Places", "", "inherit", "closed", "closed", "", "chicagos-top-10-deep-dish-pizza-places", "", "", "2016-02-16 20:39:36", "2016-02-16 20:39:36", "", "603", "http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("605", "1", "2016-02-16 20:41:09", "2016-02-16 20:41:09", "", "Chicagos-Top-10-Deep-Dish-Pizza-Places-The-Art-of-Pizza", "", "inherit", "closed", "closed", "", "chicagos-top-10-deep-dish-pizza-places-the-art-of-pizza", "", "", "2016-02-16 20:41:25", "2016-02-16 20:41:25", "", "603", "http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-The-Art-of-Pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("606", "1", "2016-02-16 20:42:52", "2016-02-16 20:42:52", "", "Chicagos-Top-10-Deep-Dish-Pizza-Places-Lou-Malnatis-Pizzeria", "", "inherit", "closed", "closed", "", "chicagos-top-10-deep-dish-pizza-places-lou-malnatis-pizzeria", "", "", "2016-02-16 20:43:03", "2016-02-16 20:43:03", "", "603", "http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Lou-Malnatis-Pizzeria.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("607", "1", "2016-02-16 20:44:02", "2016-02-16 20:44:02", "", "Chicagos-Top-10-Deep-Dish-Pizza-Places-Pequods-Pizza", "", "inherit", "closed", "closed", "", "chicagos-top-10-deep-dish-pizza-places-pequods-pizza", "", "", "2016-02-16 20:44:08", "2016-02-16 20:44:08", "", "603", "http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Pequods-Pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("608", "1", "2016-02-16 20:44:58", "2016-02-16 20:44:58", "", "Chicagos-Top-10-Deep-Dish-Pizza-Places-Louisa-Pizza-and-Pasta", "", "inherit", "closed", "closed", "", "chicagos-top-10-deep-dish-pizza-places-louisa-pizza-and-pasta", "", "", "2016-02-16 20:45:09", "2016-02-16 20:45:09", "", "603", "http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Louisa-Pizza-and-Pasta.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("609", "1", "2016-02-16 20:46:11", "2016-02-16 20:46:11", "", "Chicagos-Top-10-Deep-Dish-Pizza-Places-Bartolis-Pizzeria", "", "inherit", "closed", "closed", "", "chicagos-top-10-deep-dish-pizza-places-bartolis-pizzeria", "", "", "2016-02-16 20:46:20", "2016-02-16 20:46:20", "", "603", "http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Bartolis-Pizzeria.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("610", "1", "2016-02-16 20:48:05", "2016-02-16 20:48:05", "", "Chicagos-Top-10-Deep-Dish-Pizza-Places-Bacinos", "", "inherit", "closed", "closed", "", "chicagos-top-10-deep-dish-pizza-places-bacinos", "", "", "2016-02-16 20:48:10", "2016-02-16 20:48:10", "", "603", "http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Bacinos.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("611", "1", "2016-02-16 20:48:59", "2016-02-16 20:48:59", "", "Chicagos-Top-10-Deep-Dish-Pizza-Places-Giordanos", "", "inherit", "closed", "closed", "", "chicagos-top-10-deep-dish-pizza-places-giordanos", "", "", "2016-02-16 20:49:05", "2016-02-16 20:49:05", "", "603", "http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Giordanos.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("612", "1", "2016-02-16 20:50:19", "2016-02-16 20:50:19", "", "Chicagos-Top-10-Deep-Dish-Pizza-Places-Ninos-Pizzeria", "", "inherit", "closed", "closed", "", "chicagos-top-10-deep-dish-pizza-places-ninos-pizzeria", "", "", "2016-02-16 20:50:26", "2016-02-16 20:50:26", "", "603", "http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Ninos-Pizzeria.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("613", "1", "2016-02-16 20:52:18", "2016-02-16 20:52:18", "", "Chicagos-Top-10-Deep-Dish-Pizza-Places-Pizzeria-Uno", "", "inherit", "closed", "closed", "", "chicagos-top-10-deep-dish-pizza-places-pizzeria-uno", "", "", "2016-02-16 20:52:25", "2016-02-16 20:52:25", "", "603", "http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Pizzeria-Uno.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("614", "1", "2016-02-16 20:52:31", "2016-02-16 20:52:31", "", "Chicagos-Top-10-Deep-Dish-Pizza-Places-Tanos-Pizzeria", "", "inherit", "closed", "closed", "", "chicagos-top-10-deep-dish-pizza-places-tanos-pizzeria", "", "", "2016-02-16 20:52:37", "2016-02-16 20:52:37", "", "603", "http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Tanos-Pizzeria.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("616", "1", "2016-02-16 21:14:24", "2016-02-16 21:14:24", "There are more than a <a href=\"http://slice.seriouseats.com/archives/2008/01/a-list-of-regional-pizza-styles.html\" target=\"_blank\">dozen styles of pizza</a> (at least), but Chicago deep dish pizza seems to be the one that the midwest loves the most. It\'s thick, buttery crusts, a piping hot pan of pizza toppings, sauce and cheese that can be customized in dozens of different ways and enjoyed best with a knife and fork. Some practitioners of the pie are so famous outside the Windy City that they ship their pizzas via FedEx across the country. If you\'re heading to the Second City, try a deep dish pizzeria or two from our early 2016 list.\r\n<h2><a href=\"http://artofpizzainc.com/\" target=\"_blank\">The Art of Pizza</a></h2>\r\n<img class=\"alignnone size-full wp-image-605\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-The-Art-of-Pizza.jpg\" alt=\"The Art of Pizza\" />\r\nThe Lakeview pizzeria was named the best deep dish in town by a Tribune poll several years ago and today many still agree. The fantastic pizza offered at The Art Of Pizza is a delight with its flaky crust and its fantastic sauce.\r\n<h2><a href=\"http://www.loumalnatis.com/\" target=\"_blank\">Lou Malnati\'s Pizzeria</a></h2>\r\n<img class=\"alignnone size-full wp-image-606\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Lou-Malnatis-Pizzeria.jpg\" alt=\"Lou Malnati\'s Pizzeria\" />\r\nAlthough Lou Malnati\'s can be found at River North and other locations, there\'s nothing cookie-cutter about this fantastic pizza joint. The pizza served at Lou\'s may come the closest to what the original deep dish pie tasted like. The simple butter crust, bright tomatoes, and Italian sausage all work together to create a simple and yet elevated taste. It also delivers across the country. Well, not literally. FedEx does. Yes. You can order their pizza (for a price) anywhere in the country!\r\n<h2><a href=\"http://www.pequodspizza.com/\" target=\"_blank\">Pequod\'s Pizza</a></h2>\r\n<img class=\"alignnone size-full wp-image-607\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Pequods-Pizza.jpg\" alt=\"Pequod\'s Pizza\" />\r\nWith two locations, Pequod\'s Pizza in Lincoln Park and Morton Grove serves up some of the best pan style deep dish in Chicago. The pan served at Pequod\'s boats the signature Chicago-style lining of charred caramelized cheese. The cheese laced crust was originally invented by Burt Katz, who forever changed Chicago-style deep dish in the 1960s.\r\n<h2>Louisa\'s Pizza &amp; Pasta</h2>\r\n<img class=\"alignnone size-full wp-image-608\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Louisa-Pizza-and-Pasta.jpg\" alt=\"Louisa\'s Pizza &amp; Pasta\" />\r\nFor more than 30 years Louisa\'s Pizza &amp; Pasta has been serving up arguably some of the best original-style Chicago deep dish in the Windy City. Located in Crestwood, the pizzeria carries its signature pizza\'s light and puffy crust, hearty tomatoes, and flavorful Italian sausage right to the bank, and earns a top spot as one of the best deep dish joints in Chicago. It\'s so \"old school\" they don\'t maintain a website!\r\n<h2><a href=\"http://www.bartolispizza.com/\" target=\"_blank\">Bartoli\'s Pizzeria</a></h2>\r\n<img class=\"alignnone size-full wp-image-609\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Bartolis-Pizzeria.jpg\" alt=\"Bartoli\'s Pizzeria\" />\r\nBartoli\'s deep dish is new to the Chicago scene. Despite its recent emergence, the delicious pizza served at the pizzeria in Roscoe Village harkens back to the original Chicago style. The family-owned restaurant once owned Gino’s East but sold it long ago. Today, the family is once again making a name for serving a well-balanced pizza with a classic sauce and a perfectly flaky crust.\r\n<h2><a href=\"http://www.bacinos.com/WACKER/about.html\" target=\"_blank\">Bacino\'s</a></h2>\r\n<img class=\"alignnone size-full wp-image-610\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Bacinos.jpg\" alt=\"Bacino\'s\" />\r\nBacino’s delivers a substantial and filling stuffed pizza with a thick sauce and hearty chunks of tomato. The pies at Bacino\'s offer up palatable options for veggie and meat lovers. The only downside to the Chicago eatery is that restaurant goers have to decide between the stuffed supreme and stuffed spinach-mushroom pizzas.\r\n<h2><a href=\"https://giordanos.com/\" target=\"_blank\">Giordano\'s</a></h2>\r\n<img class=\"alignnone size-full wp-image-611\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Giordanos.jpg\" alt=\"Giordano\'s\" />\r\n\"But it\'s a pizza chain now.\" \"It\'s overrated.\" Uh, no. It\'s a classic Chicago pizzeria, and Giordano’s is, for many, the go-to place for Chicago deep dish pizza, and with good reason. It\'s one of the best pizza places in Chicago, hands down and that\'s including the Chicago style. Their signature sauce, dough, and cheese continue to allow Giordano’s to stand heads above the rest. You can also have this pizza delivered anywhere in the country (with a surcharge, of course) via FedEx. They\'ve got a budding blog, too but they\'ll have to settle for second best on that front!\r\n<h2><a href=\"http://ninospizzaalsip.com/\" target=\"_blank\">Nino\'s Pizza</a></h2>\r\n<img class=\"alignnone size-full wp-image-612\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Ninos-Pizzeria.jpg\" alt=\"Nino\'s Pizzeria\" />\r\nNino\'s serves up the real thing. Yes, we\'re aware we\'re stretching \"Chicago\" to the suburbs, but the pies served at Nino\'s are just as good as any served along Chicago\'s famed North Side. The flaky crust, thick layer of cheese, and bright tomato sauce land Nino\'s as a serious contender for best deep dish in Chicago.\r\n<h2><a href=\"http://761.unotogo.com/zgrid/proc/site/sitep.jsp\" target=\"_blank\">Pizzeria Uno</a></h2>\r\n<img class=\"alignnone size-full wp-image-613\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Pizzeria-Uno.jpg\" alt=\"Pizzeria Uno\" />\r\n\r\nPizzeria Uno is the original deep dish restaurant. The old-school pizzeria is the site of the original deep pizza, which was invented in 1943. Today, the historic restaurant serves up a heavy pizza that may be too much for any one person. So, take a friend enjoy the restaurant\'s great atmosphere.\r\n<h2><a href=\"http://www.tanoschicago.com/\" target=\"_blank\">Tano\'s Pizzeria</a></h2>\r\n<img class=\"alignnone size-full wp-image-614\" src=\"http://buckspizza.com/wp-content/uploads/2016/02/Chicagos-Top-10-Deep-Dish-Pizza-Places-Tanos-Pizzeria.jpg\" alt=\"Tano\'s Pizzeria\" />\r\nA great pizza for an affordable price, the thick pizza served at Tano\'s dates back to the 1960s and gives new meaning to the term pizza pie. The stuffed pizza boasts a second crust that is topped with tomato sauce. The crust at Tano\'s is more flaky than that of a truly classic deep dish and updates the family recipes that were revived from Manzo’s, an classic Italian restaurant that once thrived in Irving Park.", "Chicago’s Top 10 Deep Dish Pizza Places", "", "inherit", "closed", "closed", "", "603-revision-v1", "", "", "2016-02-16 21:14:24", "2016-02-16 21:14:24", "", "603", "http://buckspizza.com/2016/02/16/603-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("620", "1", "2016-03-22 18:58:08", "2016-03-22 18:58:08", "It’s no secret that one of the world’s most enjoyed foods is the pizza. This popular Italian pie is consumed by the slice at parties, meetings, and even at the dinner table, and we\'re reminded about it on TV, radio, and even on <a href=\"http://vehiclewraps.io/pizza-vehicle-wraps/\" target=\"_blank\">pizza-themed vehicle wraps</a> on your way home from work!\r\n\r\nMany people believe vegans are missing out on all that pizza has to offer, <em>but this is not the case</em>.\r\n\r\nThere are many vegan options to choose from when crafting the perfect pizza pie. Not only are these recipes lacking in the dairy department, but they are often healthier for you. Next time someone pities your diet choices, give them a slice of one of these recipes. They might be surprised by how tasty vegan can be!\r\n<h2>1. <a href=\"http://www.onegreenplanet.org/plant-based-recipes/cauliflower-crust-pizza-with-black-mung-bean-curry/\">Cauliflower Crust Pizza with Black Mung Bean</a></h2>\r\n<img class=\"aligncenter size-full wp-image-624\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/Cauliflower-Crust-Pizza-with-Black-Mung-Bean-Curry1-1200x795.jpg\" alt=\"Cauliflower Crust Pizza with Black Mung Bean\" />\r\n\r\nA vegan diet is one that is filled with color and fresh flavors, and this recipe mirrors those properties perfectly. This Indian inspired pizza features an easy-to-make cauliflower crust topped with black mung bean, coriander seeds, onions, and spiced cauliflower.\r\n<h2>2. <a href=\"http://www.onegreenplanet.org/vegan-recipe/asparagus-potato-pizza-with-kale-pesto/\">Asparagus Potato Pizza with Kale</a></h2>\r\n<img class=\"aligncenter size-full wp-image-626\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/Asparagus-Potato-Pizza.jpg\" alt=\"Asparagus Potato Pizza with Kale\" />\r\n\r\nYou can’t go wrong with asparagus or potatoes, so why not mix the two? Add some kale pesto and you have yourself an amazing pizza without the added cholesterol and fat from cheese. Your meat-eating friends won’t be able to deny the explosive flavor.\r\n<h2>3. <a href=\"http://www.onegreenplanet.org/vegan-food/recipe-artichoke-and-olive-pizza/\">Artichoke and Olive Pizza</a></h2>\r\n<img class=\"aligncenter size-full wp-image-628\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/Artichoke-and-Olive-Pizza.jpeg\" alt=\"Artichoke and Olive Pizza\" />\r\n\r\nThere is nothing like a brick oven pizza topped with artichoke hearts…or is there? This recipe is packed with a medley of flavors that will have you saying, “Mmmm!” Roasted red peppers and fresh garlic make a great tomato substitution.\r\n<h2>4. <a href=\"http://www.onegreenplanet.org/plant-based-recipes/raw-vegan-pizza-with-red-pepper-flax-crust/\">Raw Vegan Pizza with Red Pepper Flax Crust</a></h2>\r\n<img class=\"aligncenter size-full wp-image-629\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/Raw-Vegan-Pizza-Recipe-1200x800.jpg\" alt=\"Raw Vegan Pizza with Red Pepper Flax Crust\" />\r\n\r\nCreate a pizza crust with red pepper and flax seed without ever touching an oven! This filling meal is topped with a zesty tomato sauce, homemade aged vegan cheese, and your choice of fresh veggies. A guaranteed hit with veggie lovers everywhere.\r\n<h2>5. <a href=\"http://www.onegreenplanet.org/plant-based-recipes/raw-vegan-pizza-with-spinach-pesto-and-marinated-vegetables/\">Raw Vegan Pizza with Spinach, Pesto, and Marinated Vegetables</a></h2>\r\n<img class=\"aligncenter size-full wp-image-630\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/Raw-Pizza-with-Spinach-Pesto-and-Vegetables1-1200x800.jpg\" alt=\"Raw Vegan Pizza with Spinach, Pesto, and Marinated Vegetables\" />\r\n\r\nHere’s another amazingly raw option for all you fresh foodies out there. This multi-ingredient crust includes hemp seeds, pumpkin seeds, dried basil, and more. Hold the pepperoni! This hearty recipe includes a generous portion of marinated veggies that are so good, the meat will be the last thing on your guests’ mind.\r\n<h2>6. <a href=\"http://www.onegreenplanet.org/foodandhealth/recipe-vegan-salad-pizza/\">Vegan Caesar Salad Pizza</a></h2>\r\n<img class=\"aligncenter size-full wp-image-631\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/salad-pizza.jpg\" alt=\"Vegan Caesar Salad Pizza\" />\r\n\r\nEveryone loves a good Caesar salad. Now you can enjoy it in pizza form! Spread your own homemade vegan ranch made with Vegenaise across a pre-made pizza dough. Top with romaine lettuce, Maple Smoked Tempeh Bacon, and ripe avocado. This recipe could be a great opportunity to introduce your friends to meatless meat.\r\n<h2>7. <a href=\"http://www.onegreenplanet.org/plant-based-recipes/eggplant-pesto-and-mushroom-pizza-with-tofu/\">Eggplant, Pesto, and Mushroom Pizza with Tofu</a></h2>\r\n<img class=\"aligncenter size-full wp-image-632\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/Eggplant-Pesto-Mushroom-Pizza-with-Tofu-1066x800.jpg\" alt=\"Eggplant, Pesto, and Mushroom Pizza with Tofu\" />\r\n\r\nTofu is a common vegan/vegetarian meat substitution. It\'s no surprise it would make its way into a delightful pizza pie. Get your hands on a gluten-free crust and cover it with a vegan basil pesto sauce. Add eggplant, mushrooms, and seasoned sauteed tofu for a flavorful experience you won\'t soon forget.", "7 Delicious Vegan Pizza Recipes You Must Try", "", "draft", "closed", "closed", "", "vegan-pizza-recipes", "", "", "2017-08-04 15:55:20", "2017-08-04 15:55:20", "", "0", "http://buckspizza.com/?p=620", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("622", "1", "2016-03-22 18:44:45", "2016-03-22 18:44:45", "", "vegan-pizza-recipes", "", "inherit", "closed", "closed", "", "vegan-pizza-recipes", "", "", "2016-03-22 18:44:59", "2016-03-22 18:44:59", "", "620", "http://buckspizza.com/wp-content/uploads/2016/03/vegan-pizza-recipes.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("624", "1", "2016-03-22 18:49:38", "2016-03-22 18:49:38", "", "Cauliflower-Crust-Pizza-with-Black-Mung-Bean-Curry1-1200x795", "", "inherit", "closed", "closed", "", "cauliflower-crust-pizza-with-black-mung-bean-curry1-1200x795", "", "", "2016-03-22 18:49:59", "2016-03-22 18:49:59", "", "620", "http://buckspizza.com/wp-content/uploads/2016/03/Cauliflower-Crust-Pizza-with-Black-Mung-Bean-Curry1-1200x795.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("626", "1", "2016-03-22 18:52:38", "2016-03-22 18:52:38", "", "Asparagus-Potato-Pizza", "", "inherit", "closed", "closed", "", "asparagus-potato-pizza", "", "", "2016-03-22 18:52:42", "2016-03-22 18:52:42", "", "620", "http://buckspizza.com/wp-content/uploads/2016/03/Asparagus-Potato-Pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("628", "1", "2016-03-22 18:53:45", "2016-03-22 18:53:45", "", "Artichoke-and-Olive-Pizza", "", "inherit", "closed", "closed", "", "artichoke-and-olive-pizza", "", "", "2016-03-22 18:53:48", "2016-03-22 18:53:48", "", "620", "http://buckspizza.com/wp-content/uploads/2016/03/Artichoke-and-Olive-Pizza.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("629", "1", "2016-03-22 18:54:40", "2016-03-22 18:54:40", "", "Raw-Vegan-Pizza-Recipe-1200x800", "", "inherit", "closed", "closed", "", "raw-vegan-pizza-recipe-1200x800", "", "", "2016-03-22 18:54:57", "2016-03-22 18:54:57", "", "620", "http://buckspizza.com/wp-content/uploads/2016/03/Raw-Vegan-Pizza-Recipe-1200x800.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("630", "1", "2016-03-22 18:56:09", "2016-03-22 18:56:09", "", "Raw-Pizza-with-Spinach-Pesto-and-Vegetables1-1200x800", "", "inherit", "closed", "closed", "", "raw-pizza-with-spinach-pesto-and-vegetables1-1200x800", "", "", "2016-03-22 18:56:14", "2016-03-22 18:56:14", "", "620", "http://buckspizza.com/wp-content/uploads/2016/03/Raw-Pizza-with-Spinach-Pesto-and-Vegetables1-1200x800.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("631", "1", "2016-03-22 18:56:45", "2016-03-22 18:56:45", "", "salad-pizza", "", "inherit", "closed", "closed", "", "salad-pizza", "", "", "2016-03-22 18:56:50", "2016-03-22 18:56:50", "", "620", "http://buckspizza.com/wp-content/uploads/2016/03/salad-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("632", "1", "2016-03-22 18:57:09", "2016-03-22 18:57:09", "", "Eggplant-Pesto-Mushroom-Pizza-with-Tofu-1066x800", "", "inherit", "closed", "closed", "", "eggplant-pesto-mushroom-pizza-with-tofu-1066x800", "", "", "2016-03-22 18:57:13", "2016-03-22 18:57:13", "", "620", "http://buckspizza.com/wp-content/uploads/2016/03/Eggplant-Pesto-Mushroom-Pizza-with-Tofu-1066x800.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("633", "1", "2016-03-22 18:58:08", "2016-03-22 18:58:08", "It’s no secret that one of the world’s most enjoyed foods is the pizza. This popular Italian pie is consumed by the slice at parties, meetings, and even at the dinner table, and we\'re reminded about it on TV, radio, and even on <a href=\"http://vehiclewraps.io/pizza-vehicle-wraps/\" target=\"_blank\">pizza-themed vehicle wraps</a> on your way home from work!\r\n\r\nMany people believe vegans are missing out on all that pizza has to offer, <em>but this is not the case</em>.\r\n\r\nThere are many vegan options to choose from when crafting the perfect pizza pie. Not only are these recipes lacking in the dairy department, but they are often healthier for you. Next time someone pities your diet choices, give them a slice of one of these recipes. They might be surprised by how tasty vegan can be!\r\n<h2>1. <a href=\"http://www.onegreenplanet.org/plant-based-recipes/cauliflower-crust-pizza-with-black-mung-bean-curry/\">Cauliflower Crust Pizza with Black Mung Bean</a></h2>\r\n<img class=\"aligncenter size-full wp-image-624\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/Cauliflower-Crust-Pizza-with-Black-Mung-Bean-Curry1-1200x795.jpg\" alt=\"Cauliflower Crust Pizza with Black Mung Bean\" />\r\n\r\nA vegan diet is one that is filled with color and fresh flavors, and this recipe mirrors those properties perfectly. This Indian inspired pizza features an easy-to-make cauliflower crust topped with black mung bean, coriander seeds, onions, and spiced cauliflower.\r\n<h2>2. <a href=\"http://www.onegreenplanet.org/vegan-recipe/asparagus-potato-pizza-with-kale-pesto/\">Asparagus Potato Pizza with Kale</a></h2>\r\n<img class=\"aligncenter size-full wp-image-626\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/Asparagus-Potato-Pizza.jpg\" alt=\"Asparagus Potato Pizza with Kale\" />\r\n\r\nYou can’t go wrong with asparagus or potatoes, so why not mix the two? Add some kale pesto and you have yourself an amazing pizza without the added cholesterol and fat from cheese. Your meat-eating friends won’t be able to deny the explosive flavor.\r\n<h2>3. <a href=\"http://www.onegreenplanet.org/vegan-food/recipe-artichoke-and-olive-pizza/\">Artichoke and Olive Pizza</a></h2>\r\n<img class=\"aligncenter size-full wp-image-628\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/Artichoke-and-Olive-Pizza.jpeg\" alt=\"Artichoke and Olive Pizza\" />\r\n\r\nThere is nothing like a brick oven pizza topped with artichoke hearts…or is there? This recipe is packed with a medley of flavors that will have you saying, “Mmmm!” Roasted red peppers and fresh garlic make a great tomato substitution.\r\n<h2>4. <a href=\"http://www.onegreenplanet.org/plant-based-recipes/raw-vegan-pizza-with-red-pepper-flax-crust/\">Raw Vegan Pizza with Red Pepper Flax Crust</a></h2>\r\n<img class=\"aligncenter size-full wp-image-629\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/Raw-Vegan-Pizza-Recipe-1200x800.jpg\" alt=\"Raw Vegan Pizza with Red Pepper Flax Crust\" />\r\n\r\nCreate a pizza crust with red pepper and flax seed without ever touching an oven! This filling meal is topped with a zesty tomato sauce, homemade aged vegan cheese, and your choice of fresh veggies. A guaranteed hit with veggie lovers everywhere.\r\n<h2>5. <a href=\"http://www.onegreenplanet.org/plant-based-recipes/raw-vegan-pizza-with-spinach-pesto-and-marinated-vegetables/\">Raw Vegan Pizza with Spinach, Pesto, and Marinated Vegetables</a></h2>\r\n<img class=\"aligncenter size-full wp-image-630\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/Raw-Pizza-with-Spinach-Pesto-and-Vegetables1-1200x800.jpg\" alt=\"Raw Vegan Pizza with Spinach, Pesto, and Marinated Vegetables\" />\r\n\r\nHere’s another amazingly raw option for all you fresh foodies out there. This multi-ingredient crust includes hemp seeds, pumpkin seeds, dried basil, and more. Hold the pepperoni! This hearty recipe includes a generous portion of marinated veggies that are so good, the meat will be the last thing on your guests’ mind.\r\n<h2>6. <a href=\"http://www.onegreenplanet.org/foodandhealth/recipe-vegan-salad-pizza/\">Vegan Caesar Salad Pizza</a></h2>\r\n<img class=\"aligncenter size-full wp-image-631\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/salad-pizza.jpg\" alt=\"Vegan Caesar Salad Pizza\" />\r\n\r\nEveryone loves a good Caesar salad. Now you can enjoy it in pizza form! Spread your own homemade vegan ranch made with Vegenaise across a pre-made pizza dough. Top with romaine lettuce, Maple Smoked Tempeh Bacon, and ripe avocado. This recipe could be a great opportunity to introduce your friends to meatless meat.\r\n<h2>7. <a href=\"http://www.onegreenplanet.org/plant-based-recipes/eggplant-pesto-and-mushroom-pizza-with-tofu/\">Eggplant, Pesto, and Mushroom Pizza with Tofu</a></h2>\r\n<img class=\"aligncenter size-full wp-image-632\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/Eggplant-Pesto-Mushroom-Pizza-with-Tofu-1066x800.jpg\" alt=\"Eggplant, Pesto, and Mushroom Pizza with Tofu\" />\r\n\r\nTofu is a common vegan/vegetarian meat substitution. It\'s no surprise it would make its way into a delightful pizza pie. Get your hands on a gluten-free crust and cover it with a vegan basil pesto sauce. Add eggplant, mushrooms, and seasoned sauteed tofu for a flavorful experience you won\'t soon forget.", "7 Delicious Vegan Pizza Recipes You Must Try", "", "inherit", "closed", "closed", "", "620-revision-v1", "", "", "2016-03-22 18:58:08", "2016-03-22 18:58:08", "", "620", "http://buckspizza.com/2016/03/22/620-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("634", "1", "2016-03-10 09:14:54", "2016-03-10 09:14:54", "The ingredients used in and on a pizza have changed so much over the years. There are a number of different types of cheeses that are used, the sauces can be a traditional tomato base sauce or they can be a bit different, such as with an alfredo sauce. The toppings have also changed from the standard meats, like pepperoni and sausage to adding spinach, lobster, shrimp, and more. With all of these changes, why not try unique alternatives to the traditional crust as well.\r\n<h2>1. Cauliflower crust</h2>\r\n<img class=\"aligncenter size-full wp-image-637\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/cauliflower-pizza-crust.jpg\" alt=\"cauliflower pizza crust\" />\r\n\r\nCauliflower is one of the healthier vegetables out there, so why not use it in making a pizza crust. Some may be thinking that it just won\'t taste good, but it really does! With the seasonings that are put into it as well as adding coconut flour in order to get the right texture, it is a crust that is not only better for you but tastes great too.\r\n<h2>2. Almond flour crust</h2>\r\n<img class=\"aligncenter size-full wp-image-638\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/almond-pizza-crust.jpg\" alt=\"almond pizza crust\" />\r\n\r\nNew York style pizza is one of the most popular types of pizza there is. But in order to make this pizza a little better for you, replace all-purpose or bread flour in the crust with almond flour and tapioca starch. Top it with your favorite toppings and enjoy.\r\n<h2>3. Carrot crust</h2>\r\n<img class=\"aligncenter size-full wp-image-639\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/carrot-pizza-crust.jpg\" alt=\"carrot pizza crust\" />\r\n\r\nMuch like a cauliflower crust, a carrot crust is a healthy option for a pizza crust. Coconut flour and seasonings are mixed with the carrots in order to make it taste more like an original pizza crust. The crust will have an orange color to it, so it will look different, but will taste great and be good for you. You will definitely get a dose of vegetables with the crust, so you can load up your pizza with meat and cheese to give you a well balanced meal.\r\n<h2>4. Portobello crust</h2>\r\n<img class=\"aligncenter size-full wp-image-640\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/portobello-pizza-crust.jpg\" alt=\"portobella pizza crust\" />\r\n\r\nIf you are looking to get rid of the carbs that the crust often has in it, then the best way is to just get rid of the crust. This can be done by using Portobello mushrooms. You will take the caps of the mushrooms and use them as the crust. Now you will not have the same taste as an original crust, but it is quite delicious and is a healthy alternative.\r\n<h2>5. Bacon crust</h2>\r\n<img class=\"aligncenter size-full wp-image-641\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/bacon-pizza-crust.jpg\" alt=\"bacon pizza crust\" />\r\n\r\nAnother creative way to make a pizza crust takes out the dough altogether and uses bacon. This may seem a little strange, but you can take strips of bacon and weave them together not leaving any spaces or gaps in the weaving. This will give you a great base to add the toppings you would like. As long as you weave the bacon together tight enough and close enough, you can even add sauce before putting on your cheese and other toppings.", "Unique Alternatives to Traditional Pizza Crust", "", "draft", "closed", "closed", "", "pizza-crust-alternatives", "", "", "2017-08-04 15:56:10", "2017-08-04 15:56:10", "", "0", "http://buckspizza.com/?p=634", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("635", "1", "2016-03-22 19:18:39", "2016-03-22 19:18:39", "", "pizza-crust-alternatives", "", "inherit", "closed", "closed", "", "pizza-crust-alternatives", "", "", "2016-03-22 19:18:49", "2016-03-22 19:18:49", "", "634", "http://buckspizza.com/wp-content/uploads/2016/03/pizza-crust-alternatives.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("637", "1", "2016-03-22 19:20:02", "2016-03-22 19:20:02", "", "cauliflower-pizza-crust", "", "inherit", "closed", "closed", "", "cauliflower-pizza-crust", "", "", "2016-03-22 19:20:11", "2016-03-22 19:20:11", "", "634", "http://buckspizza.com/wp-content/uploads/2016/03/cauliflower-pizza-crust.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("638", "1", "2016-03-22 19:21:07", "2016-03-22 19:21:07", "", "almond-pizza-crust", "", "inherit", "closed", "closed", "", "almond-pizza-crust", "", "", "2016-03-22 19:21:24", "2016-03-22 19:21:24", "", "634", "http://buckspizza.com/wp-content/uploads/2016/03/almond-pizza-crust.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("639", "1", "2016-03-22 19:22:47", "2016-03-22 19:22:47", "", "carrot-pizza-crust", "", "inherit", "closed", "closed", "", "carrot-pizza-crust", "", "", "2016-03-22 19:22:55", "2016-03-22 19:22:55", "", "634", "http://buckspizza.com/wp-content/uploads/2016/03/carrot-pizza-crust.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("640", "1", "2016-03-22 19:23:58", "2016-03-22 19:23:58", "", "portobello-pizza-crust", "", "inherit", "closed", "closed", "", "portobello-pizza-crust", "", "", "2016-03-22 19:24:19", "2016-03-22 19:24:19", "", "634", "http://buckspizza.com/wp-content/uploads/2016/03/portobello-pizza-crust.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("641", "1", "2016-03-22 19:25:13", "2016-03-22 19:25:13", "", "bacon-pizza-crust", "", "inherit", "closed", "closed", "", "bacon-pizza-crust", "", "", "2016-03-22 19:25:21", "2016-03-22 19:25:21", "", "634", "http://buckspizza.com/wp-content/uploads/2016/03/bacon-pizza-crust.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("642", "1", "2016-03-22 19:26:29", "2016-03-22 19:26:29", "The ingredients used in and on a pizza have changed so much over the years. There are a number of different types of cheeses that are used, the sauces can be a traditional tomato base sauce or they can be a bit different, such as with an alfredo sauce. The toppings have also changed from the standard meats, like pepperoni and sausage to adding spinach, lobster, shrimp, and more. With all of these changes, why not try unique alternatives to the traditional crust as well.\r\n<h2>1. Cauliflower crust</h2>\r\n<img class=\"aligncenter size-full wp-image-637\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/cauliflower-pizza-crust.jpg\" alt=\"cauliflower pizza crust\" />\r\n\r\nCauliflower is one of the healthier vegetables out there, so why not use it in making a pizza crust. Some may be thinking that it just won\'t taste good, but it really does! With the seasonings that are put into it as well as adding coconut flour in order to get the right texture, it is a crust that is not only better for you but tastes great too.\r\n<h2>2. Almond flour crust</h2>\r\n<img class=\"aligncenter size-full wp-image-638\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/almond-pizza-crust.jpg\" alt=\"almond pizza crust\" />\r\n\r\nNew York style pizza is one of the most popular types of pizza there is. But in order to make this pizza a little better for you, replace all-purpose or bread flour in the crust with almond flour and tapioca starch. Top it with your favorite toppings and enjoy.\r\n<h2>3. Carrot crust</h2>\r\n<img class=\"aligncenter size-full wp-image-639\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/carrot-pizza-crust.jpg\" alt=\"carrot pizza crust\" />\r\n\r\nMuch like a cauliflower crust, a carrot crust is a healthy option for a pizza crust. Coconut flour and seasonings are mixed with the carrots in order to make it taste more like an original pizza crust. The crust will have an orange color to it, so it will look different, but will taste great and be good for you. You will definitely get a dose of vegetables with the crust, so you can load up your pizza with meat and cheese to give you a well balanced meal.\r\n<h2>4. Portobello crust</h2>\r\n<img class=\"aligncenter size-full wp-image-640\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/portobello-pizza-crust.jpg\" alt=\"portobella pizza crust\" />\r\n\r\nIf you are looking to get rid of the carbs that the crust often has in it, then the best way is to just get rid of the crust. This can be done by using Portobello mushrooms. You will take the caps of the mushrooms and use them as the crust. Now you will not have the same taste as an original crust, but it is quite delicious and is a healthy alternative.\r\n<h2>5. Bacon crust</h2>\r\n<img class=\"aligncenter size-full wp-image-641\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/bacon-pizza-crust.jpg\" alt=\"bacon pizza crust\" />\r\n\r\nAnother creative way to make a pizza crust takes out the dough altogether and uses bacon. This may seem a little strange, but you can take strips of bacon and weave them together not leaving any spaces or gaps in the weaving. This will give you a great base to add the toppings you would like. As long as you weave the bacon together tight enough and close enough, you can even add sauce before putting on your cheese and other toppings.", "Unique Alternatives to Traditional Pizza Crust", "", "inherit", "closed", "closed", "", "634-revision-v1", "", "", "2016-03-22 19:26:29", "2016-03-22 19:26:29", "", "634", "http://buckspizza.com/2016/03/22/634-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("643", "1", "2016-03-25 09:30:50", "2016-03-25 09:30:50", "If you\'re trying to lose weight by cutting back on carbohydrates, you may find pizza night a challenge. But when all your friends are chowing down on deep-pan white bread crusts slathered in thick layers of cheese, you don\'t have to be left out, because there are healthier alternatives that will fit into your low carb diet.\r\n\r\nHere are some low carb, high flavor pizza toppings you\'ll love!\r\n<h2>Olives</h2>\r\n<img class=\"aligncenter size-full wp-image-649\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/olives-pizza.jpg\" alt=\"olives pizza\" />\r\n\r\nBlack and green olives alike make tasty low carb pizza toppings. The Italians have known for centuries that these zesty little fruits are as good for you as they are delicious. Olives contain healthy monounsaturated fats that are essential to your health and may aid in weight loss. They are also relatively low in carbs, containing roughly 5% carbohydrates.\r\n<h2>Pickles</h2>\r\n<img class=\"aligncenter size-full wp-image-648\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/pickles-pizza.jpg\" alt=\"pickles pizza\" />\r\n\r\nDill pickle slices are a flavorful topping that may just surprise you. Pickles and cheese are a winning combination, and the tang of the dill perfectly offsets the sweetness of the tomato sauce. While pickles contain carbs, these are complex carbs which are fiber-rich and good for you, so you have nothing to fear from these ripple-cut slices.\r\n<h2>Spinach</h2>\r\n<img class=\"aligncenter size-full wp-image-647\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/spinach-pizza.jpg\" alt=\"spinach pizza\" />\r\n\r\nMost vegetables are low carb or contain more healthy carbs than simple ones. Spinach is virtually carb-free, so if you like the taste, then you should feel good about adding handfuls of this high fiber veggie to your pizza. Spinach also contains a fair amount of iron and protein, making it a very nutrient-rich vegetable.\r\n<h2>Yellow squash</h2>\r\n<img class=\"aligncenter size-full wp-image-646\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/yellow-squiash-pizza.jpg\" alt=\"yellow squash pizza\" />\r\n\r\nYellow squash offers a mild, sweet flavor that is low in carbohydrates. You might not think of it as a typical pizza topping, by try it char grilled with red peppers for added depth. You might discover it\'s your new favorite topping. Char grilled veggies pair well with a thin, whole wheat crust.\r\n<h2>Cheese</h2>\r\n<img class=\"aligncenter size-full wp-image-645\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/cheese-pizza.jpg\" alt=\"cheese pizza\" />\r\n\r\nNot all cheeses are created equally when it comes to watching your carbs. Parmesan is probably one of the highest in carbs, mozzarella falls neatly in the middle, and Monterey Jack is relatively low. However, cheese in general is fairly low in carbohydrates, so you don\'t need to stress too much about which ones you eat.\r\n<h2>Meat</h2>\r\n<img class=\"aligncenter size-full wp-image-644\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/meat-pizza.jpg\" alt=\"meat pizza\" />\r\n\r\nMost meat is low in carbohydrates, so you can feel good about topping your pizza with natural chicken, beef, pork, or anchovies. However, you may want to avoid processed meats as some may contain added sugars or other forms of carbohydrates. Check the labels to make wise choices.\r\n\r\nThese are just a few of the nearly limitless options in low carb toppings. But there are some surprisingly high carbohydrate toppings you may want to reconsider. One of these is sauce. Pizza sauce almost always has added sugar, and refined sugar is one of the worst types of carbohydrates. You could avoid this by creating your own sauce or using tomato puree instead. Sausages and pepperoni slices are also often surprising sources of carbs, as are some cheeses. It\'s always best to check the nutritional labels of any pizza ingredients before dedicating yourself to a meal you might later regret.", "Low Carb, High Flavor Pizza Toppings You\'ll Love!", "", "draft", "closed", "closed", "", "low-carb-pizza-toppings", "", "", "2017-08-04 15:56:10", "2017-08-04 15:56:10", "", "0", "http://buckspizza.com/?p=643", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("644", "1", "2016-03-22 20:04:47", "2016-03-22 20:04:47", "", "meat-pizza", "", "inherit", "closed", "closed", "", "meat-pizza", "", "", "2016-03-22 20:04:50", "2016-03-22 20:04:50", "", "643", "http://buckspizza.com/wp-content/uploads/2016/03/meat-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("645", "1", "2016-03-22 20:05:01", "2016-03-22 20:05:01", "", "cheese-pizza", "", "inherit", "closed", "closed", "", "cheese-pizza", "", "", "2016-03-22 20:05:05", "2016-03-22 20:05:05", "", "643", "http://buckspizza.com/wp-content/uploads/2016/03/cheese-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("646", "1", "2016-03-22 20:05:16", "2016-03-22 20:05:16", "", "yellow-squiash-pizza", "", "inherit", "closed", "closed", "", "yellow-squiash-pizza", "", "", "2016-03-22 20:05:27", "2016-03-22 20:05:27", "", "643", "http://buckspizza.com/wp-content/uploads/2016/03/yellow-squiash-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("647", "1", "2016-03-22 20:05:35", "2016-03-22 20:05:35", "", "spinach-pizza", "", "inherit", "closed", "closed", "", "spinach-pizza", "", "", "2016-03-22 20:05:45", "2016-03-22 20:05:45", "", "643", "http://buckspizza.com/wp-content/uploads/2016/03/spinach-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("648", "1", "2016-03-22 20:05:58", "2016-03-22 20:05:58", "", "pickles-pizza", "", "inherit", "closed", "closed", "", "pickles-pizza", "", "", "2016-03-22 20:06:06", "2016-03-22 20:06:06", "", "643", "http://buckspizza.com/wp-content/uploads/2016/03/pickles-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("649", "1", "2016-03-22 20:06:16", "2016-03-22 20:06:16", "", "olives-pizza", "", "inherit", "closed", "closed", "", "olives-pizza", "", "", "2016-03-22 20:06:24", "2016-03-22 20:06:24", "", "643", "http://buckspizza.com/wp-content/uploads/2016/03/olives-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("650", "1", "2016-03-22 20:08:43", "2016-03-22 20:08:43", "If you\'re trying to lose weight by cutting back on carbohydrates, you may find pizza night a challenge. But when all your friends are chowing down on deep-pan white bread crusts slathered in thick layers of cheese, you don\'t have to be left out, because there are healthier alternatives that will fit into your low carb diet.\r\n\r\nHere are some low carb, high flavor pizza toppings you\'ll love!\r\n<h2>Olives</h2>\r\n<img class=\"aligncenter size-full wp-image-649\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/olives-pizza.jpg\" alt=\"olives pizza\" />\r\n\r\nBlack and green olives alike make tasty low carb pizza toppings. The Italians have known for centuries that these zesty little fruits are as good for you as they are delicious. Olives contain healthy monounsaturated fats that are essential to your health and may aid in weight loss. They are also relatively low in carbs, containing roughly 5% carbohydrates.\r\n<h2>Pickles</h2>\r\n<img class=\"aligncenter size-full wp-image-648\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/pickles-pizza.jpg\" alt=\"pickles pizza\" />\r\n\r\nDill pickle slices are a flavorful topping that may just surprise you. Pickles and cheese are a winning combination, and the tang of the dill perfectly offsets the sweetness of the tomato sauce. While pickles contain carbs, these are complex carbs which are fiber-rich and good for you, so you have nothing to fear from these ripple-cut slices.\r\n<h2>Spinach</h2>\r\n<img class=\"aligncenter size-full wp-image-647\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/spinach-pizza.jpg\" alt=\"spinach pizza\" />\r\n\r\nMost vegetables are low carb or contain more healthy carbs than simple ones. Spinach is virtually carb-free, so if you like the taste, then you should feel good about adding handfuls of this high fiber veggie to your pizza. Spinach also contains a fair amount of iron and protein, making it a very nutrient-rich vegetable.\r\n<h2>Yellow squash</h2>\r\n<img class=\"aligncenter size-full wp-image-646\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/yellow-squiash-pizza.jpg\" alt=\"yellow squash pizza\" />\r\n\r\nYellow squash offers a mild, sweet flavor that is low in carbohydrates. You might not think of it as a typical pizza topping, by try it char grilled with red peppers for added depth. You might discover it\'s your new favorite topping. Char grilled veggies pair well with a thin, whole wheat crust.\r\n<h2>Cheese</h2>\r\n<img class=\"aligncenter size-full wp-image-645\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/cheese-pizza.jpg\" alt=\"cheese pizza\" />\r\n\r\nNot all cheeses are created equally when it comes to watching your carbs. Parmesan is probably one of the highest in carbs, mozzarella falls neatly in the middle, and Monterey Jack is relatively low. However, cheese in general is fairly low in carbohydrates, so you don\'t need to stress too much about which ones you eat.\r\n<h2>Meat</h2>\r\n<img class=\"aligncenter size-full wp-image-644\" src=\"http://buckspizza.com/wp-content/uploads/2016/03/meat-pizza.jpg\" alt=\"meat pizza\" />\r\n\r\nMost meat is low in carbohydrates, so you can feel good about topping your pizza with natural chicken, beef, pork, or anchovies. However, you may want to avoid processed meats as some may contain added sugars or other forms of carbohydrates. Check the labels to make wise choices.\r\n\r\nThese are just a few of the nearly limitless options in low carb toppings. But there are some surprisingly high carbohydrate toppings you may want to reconsider. One of these is sauce. Pizza sauce almost always has added sugar, and refined sugar is one of the worst types of carbohydrates. You could avoid this by creating your own sauce or using tomato puree instead. Sausages and pepperoni slices are also often surprising sources of carbs, as are some cheeses. It\'s always best to check the nutritional labels of any pizza ingredients before dedicating yourself to a meal you might later regret.", "Low Carb, High Flavor Pizza Toppings You\'ll Love!", "", "inherit", "closed", "closed", "", "643-revision-v1", "", "", "2016-03-22 20:08:43", "2016-03-22 20:08:43", "", "643", "http://buckspizza.com/2016/03/22/643-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("652", "1", "2016-03-25 14:31:26", "2016-03-25 14:31:26", "", "low-carb-pizza", "", "inherit", "closed", "closed", "", "low-carb-pizza", "", "", "2016-03-25 14:31:32", "2016-03-25 14:31:32", "", "643", "http://buckspizza.com/wp-content/uploads/2016/03/low-carb-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("654", "1", "2016-04-08 18:33:38", "2016-04-08 18:33:38", "First, Texans go for good food in a big way, and word about topnotch eateries spreads faster than a prairie fire. Second, no town in the Lone Star State beats Houston for gastronomical goodness, including pizza. Here are Space City’s top 10 pizzerias.\r\n<h2>Buck\'s Pizza</h2>\r\nOf course we\'re going to include our two Houston locations in <a href=\"http://buckspizza.com/clearlake-tx/\">Clear Lake</a> and <a href=\"http://buckspizza.com/montbelvieu-tx/\">Mont Belieu</a>, because like all Buck\'s locations, they emphasis fresh, quality food and a family environment, and tailor their menu to the local community. Great food, friendly staff, and a family environment—check them out!\r\n<h2><a href=\"http://www.pinkspizza.com/\" target=\"_blank\">Pink’s Pizza</a></h2>\r\n<img class=\"aligncenter size-full wp-image-656\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/pinks-pizza.jpg\" alt=\"Pink\'s Pizza\" />\r\n\r\nIf you like your pie piled sky high with Gorgonzola, prosciutto, eggplant, artichokes bacon, pepperoni, and veggies, think Pink’s. Don’t plan on eating in, though, Pink’s is strictly a pickup and delivery outfit.\r\n<h2><a href=\"http://www.pizzalvino.com/\" target=\"_blank\">Pizza L’Vino</a></h2>\r\n<img class=\"aligncenter size-full wp-image-657\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/pizza-l-vino.jpg\" alt=\"Pizza L’Vino\" />\r\n\r\nPizza L’Vino delivers, and we don’t mean just the Greek Islander, topped with spinach, tomatoes, onions, roasted garlic, artichoke hearts, feta cheese, kalamata olives and Wisconsin mozzarella (whew!). L’Vino also delivers beer and wine!\r\n<h2><a href=\"http://www.barboheme.com/\" target=\"_blank\">Boheme Cafe and Wine Bar</a></h2>\r\n<img class=\"aligncenter size-full wp-image-658\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Boheme-Cafe-and-Wine-Bar.jpg\" alt=\"Boheme Cafe and Wine Bar\" />\r\n\r\nIf you have a hankering to eat nontraditional pizza in an old-world atmosphere, Boheme is the place for you. Their pizzas are made on a cracker-crust Middle Eastern flatbread and topped with Asian flair.\r\n<h2><a href=\"http://www.piola.it/\" target=\"_blank\">Piola</a></h2>\r\n<img class=\"aligncenter size-full wp-image-659\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Piola.jpg\" alt=\"Piola\" />\r\n\r\nThe fact that Piola’s cheerful patio is consistently crowded speaks well of offerings like the Salvadore (catipury cheese, roasted chicken, and spinach) and the Mantova (beef carpaccio, Brie, diced tomatoes, and arugula).\r\n<h2><a href=\"http://www.coppaosteriahouston.com/\" target=\"_blank\">Coppa Osteria</a></h2>\r\n<img class=\"aligncenter size-full wp-image-660\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Coppa-Osteria.jpg\" alt=\"Coppa Osteria\" />\r\n\r\nWhether you want to eat you meaty carnissima pizza at a table, or grab a quick bite at the by-the-slice-window, Coppa Osteria has you covered. Of course, if you eat in, you can watch them make the dough, because the central dough room is open to the dining area.\r\n<h2><a href=\"http://pizarospizza.com/\" target=\"_blank\">Pizaro’s</a></h2>\r\n<img class=\"aligncenter size-full wp-image-661\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Pizaros.jpg\" alt=\"Pizaro’s\" />\r\n\r\nDon’t let the minimalist dining room fool you, Pizaro’s pizza has been compared to the best pie offered in sunny Napoli. In addition to making their own mozzarella and importing San Marzano potatoes, Pizaro’s is known for unusual offerings like its Patata e Funghi pizza topped with Yukon gold potatoes and oven-roasted mushrooms.\r\n<h2><a href=\"http://www.twitter.com/#!/PiPizzaTruck\" target=\"_blank\">Pi Pizza</a></h2>\r\n<img class=\"aligncenter size-full wp-image-662\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Pi-Pizza.jpg\" alt=\"Pi Pizza\" />\r\n\r\n“Have pizza, will travel,” might be the motto for this pizzeria on wheels. Pi Pizza, which can usually be found parked in front of Catbird’s or Jackson’s Watering Hole, offers everything from slices topped with chili-cheese Fritos to the one-of-a-kind gourmet Panty Dropper topped with honey-glazed grilled radicchio and fennel, gorgonzola cheese, apples and shallots.\r\n<h2><a href=\"http://passandprovisions.com/#/provisions\" target=\"_blank\">Provisions</a></h2>\r\n<img class=\"aligncenter size-full wp-image-663\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Provisions.jpg\" alt=\"Provisions\" />\r\n\r\nCrisp crusts quickly baked in a wood-fired oven, creamy mild ricotta and sharp Italian fontina, and meats cooked to perfection make Provisions’ pizza a Houston favorite. Billed as a “unique take on a warm and casual neighborhood restaurant and bar,” Provisions offers dining both inside and al fresco.\r\n<h2><a href=\"http://dolcevitahouston.com/\" target=\"_blank\">Dolce Vita Pizzeria and Enoteca</a></h2>\r\n<img class=\"aligncenter size-full wp-image-664\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Dolce-Vita-Pizzeria-and-Enoteca.jpg\" alt=\"Dolce Vita Pizzeria and Enoteca\" />\r\n\r\nA double-sided downstairs wine bar, a maze-like upstairs dining area, and more than a dozen pizza choices—seriously, what more could you ask? Dolce Vita is hip and affordable, from its tasty pear and taleggio pizza drizzled with truffle oil to its extensive wine list.\r\n<h2><a href=\"http://www.pizzeriasolario.com/\" target=\"_blank\">Pizzeria Solario</a></h2>\r\n<img class=\"aligncenter size-full wp-image-665\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Pizzeria-Solario.jpg\" alt=\"Pizzeria Solario\" />\r\n\r\nIf hand-crafted, wood-fired, Neapolitan-style pizza is your idea of good eats, Pizzeria Solario is the place to go! With unique offerings like pistachio pizza—i.e., fontina, Spanish onions, caramelized onions, pistachios, and rosemary, all atop one of the best crusts in Texas—it’s small wonder Solario’s is a Houston favorite.", "10 Best Pizza Places in Houston", "", "draft", "closed", "closed", "", "10-best-pizza-places-houston", "", "", "2017-08-04 15:55:20", "2017-08-04 15:55:20", "", "0", "http://buckspizza.com/?p=654", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("656", "1", "2016-05-24 18:42:21", "2016-05-24 18:42:21", "", "pinks-pizza", "", "inherit", "closed", "closed", "", "pinks-pizza", "", "", "2016-05-24 18:42:29", "2016-05-24 18:42:29", "", "654", "http://buckspizza.com/wp-content/uploads/2016/05/pinks-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("657", "1", "2016-05-24 18:44:23", "2016-05-24 18:44:23", "", "pizza-l-vino", "", "inherit", "closed", "closed", "", "pizza-l-vino", "", "", "2016-05-24 18:44:42", "2016-05-24 18:44:42", "", "654", "http://buckspizza.com/wp-content/uploads/2016/05/pizza-l-vino.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("658", "1", "2016-05-24 18:46:52", "2016-05-24 18:46:52", "", "Boheme-Cafe-and-Wine-Bar", "", "inherit", "closed", "closed", "", "boheme-cafe-and-wine-bar", "", "", "2016-05-24 18:46:55", "2016-05-24 18:46:55", "", "654", "http://buckspizza.com/wp-content/uploads/2016/05/Boheme-Cafe-and-Wine-Bar.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("659", "1", "2016-05-24 18:48:21", "2016-05-24 18:48:21", "", "Piola", "", "inherit", "closed", "closed", "", "piola", "", "", "2016-05-24 18:48:28", "2016-05-24 18:48:28", "", "654", "http://buckspizza.com/wp-content/uploads/2016/05/Piola.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("660", "1", "2016-05-24 18:52:05", "2016-05-24 18:52:05", "", "Coppa-Osteria", "", "inherit", "closed", "closed", "", "coppa-osteria", "", "", "2016-05-24 18:52:11", "2016-05-24 18:52:11", "", "654", "http://buckspizza.com/wp-content/uploads/2016/05/Coppa-Osteria.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("661", "1", "2016-05-24 18:58:34", "2016-05-24 18:58:34", "", "Pizaros", "", "inherit", "closed", "closed", "", "pizaros", "", "", "2016-05-24 18:58:39", "2016-05-24 18:58:39", "", "654", "http://buckspizza.com/wp-content/uploads/2016/05/Pizaros.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("662", "1", "2016-05-24 19:01:18", "2016-05-24 19:01:18", "", "Pi-Pizza", "", "inherit", "closed", "closed", "", "pi-pizza", "", "", "2016-05-24 19:01:21", "2016-05-24 19:01:21", "", "654", "http://buckspizza.com/wp-content/uploads/2016/05/Pi-Pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("663", "1", "2016-05-24 19:05:15", "2016-05-24 19:05:15", "", "Provisions", "", "inherit", "closed", "closed", "", "provisions", "", "", "2016-05-24 19:05:19", "2016-05-24 19:05:19", "", "654", "http://buckspizza.com/wp-content/uploads/2016/05/Provisions.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("664", "1", "2016-05-24 19:06:29", "2016-05-24 19:06:29", "", "Dolce-Vita-Pizzeria-and-Enoteca", "", "inherit", "closed", "closed", "", "dolce-vita-pizzeria-and-enoteca", "", "", "2016-05-24 19:06:33", "2016-05-24 19:06:33", "", "654", "http://buckspizza.com/wp-content/uploads/2016/05/Dolce-Vita-Pizzeria-and-Enoteca.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("665", "1", "2016-05-24 19:08:37", "2016-05-24 19:08:37", "", "Pizzeria-Solario", "", "inherit", "closed", "closed", "", "pizzeria-solario", "", "", "2016-05-24 19:08:41", "2016-05-24 19:08:41", "", "654", "http://buckspizza.com/wp-content/uploads/2016/05/Pizzeria-Solario.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("668", "1", "2016-05-24 19:31:10", "2016-05-24 19:31:10", "", "Pizza-Places-Houston", "", "inherit", "closed", "closed", "", "pizza-places-houston", "", "", "2016-05-24 19:31:13", "2016-05-24 19:31:13", "", "654", "http://buckspizza.com/wp-content/uploads/2016/04/Pizza-Places-Houston.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("669", "1", "2016-04-15 19:31:31", "2016-04-15 19:31:31", "Pizza is simple and unassuming, yet oh-so-satisfying, one of the many reasons we love it. So let’s talk about the kind of pizza you make yourself—from scratch, not by sticking a folded box in the microwave.\r\n\r\nYou need to be aware of a few essential truths to make really good home-made pizza:\r\n<h2>You need a scale</h2>\r\nYou can’t create delicious pizza atop lousy crust, and since topnotch crust recipes usually list ingredients by weight—instead of cups—you need a scale. Flour you scoop into a cup gets pressed down, which means you end up with way more flour than you need.\r\n<h2>There’s math involved</h2>\r\nWe’re talking metric system and baker’s percentages, where every ingredient’s weight (in grams) is given proportionate to the amount of flour (in grams). Professional recipes direct you to add 60 percent water and/or 0.5 percent yeast. The good news is, there are <a href=\"https://itunes.apple.com/us/app/bakers-percentage/id495904951?mt=8\">apps</a> to help you deal with this!\r\n<h2>Use good flour</h2>\r\nYour crust consists mostly of flour, ergo the better the flour, the better your crust. It’s not that you can’t use all-purpose flour, but you’ll get a chewier, more “pizza” crust if you use high-protein bread flour.\r\n\r\nOf course, you may not have time to make any dough, in which case you can buy raw dough from a pizzeria or get some at the grocery store.\r\n<h2>Have a plan</h2>\r\nSo, do you want a crispy-crust Neapolitan pizza, a Chicago deep dish, or a New York-style pie? Knowing what you want is key to pizza success. Consider how many people you’ll be serving and how much prep time you have, then decide on a recipe that meets both your needs and your abilities.\r\n<h2>There’s no need to knead</h2>\r\nIf you don’t have a stand mixer to knead the dough, you can use a food processor. If you don’t have either, combine your ingredients in a bowl, cover it with plastic wrap, and pop it in the fridge overnight. Next day, bada bing! Your dough is ready to shape and stretch. Oh, by the way, once you shape your dough, pop it back into the fridge for a day or so to give it a serious flavor boost.\r\n<h2>Stretching the dough can be, well, a stretch</h2>\r\nStretching your dough into a perfect pie shape—i.e., one that’s nice and round and has a raised lip—takes practice. If you’re not willing to settle for ovals, octagons, and other unique shapes in the meantime, use your rolling pin to get the shape you want.\r\n<h2>Stay on top of toppings</h2>\r\nUse fresh, creamy cheese and good sauce—either home made, or a comparable store brand—and limit your toppings. Make sure all flavors complement each other so you don’t wind up with a big, taste bud-overwhelming mishmash.\r\n<h2>Cook it hot, hot, hot!</h2>\r\nThe hotter the oven, the airier the crust. The airier the crust, the tastier the pie. Think 550 degrees or, yes, even hotter. (Hotter, as in, form your pizza in a preheated cast iron skillet, then immediately shove the skillet under the broiler.)", "Essentials for Better Pizza at Home", "", "draft", "closed", "closed", "", "essentials-better-pizza-home", "", "", "2017-08-04 15:55:20", "2017-08-04 15:55:20", "", "0", "http://buckspizza.com/?p=669", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("670", "1", "2016-05-24 19:38:34", "2016-05-24 19:38:34", "", "homemade-pizza", "", "inherit", "closed", "closed", "", "homemade-pizza", "", "", "2016-05-24 19:38:45", "2016-05-24 19:38:45", "", "669", "http://buckspizza.com/wp-content/uploads/2016/05/homemade-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("671", "1", "2016-05-24 19:39:32", "2016-05-24 19:39:32", "Pizza is simple and unassuming, yet oh-so-satisfying, one of the many reasons we love it. So let’s talk about the kind of pizza you make yourself—from scratch, not by sticking a folded box in the microwave.\r\n\r\nYou need to be aware of a few essential truths to make really good home-made pizza:\r\n<h2>You need a scale</h2>\r\nYou can’t create delicious pizza atop lousy crust, and since topnotch crust recipes usually list ingredients by weight—instead of cups—you need a scale. Flour you scoop into a cup gets pressed down, which means you end up with way more flour than you need.\r\n<h2>There’s math involved</h2>\r\nWe’re talking metric system and baker’s percentages, where every ingredient’s weight (in grams) is given proportionate to the amount of flour (in grams). Professional recipes direct you to add 60 percent water and/or 0.5 percent yeast. The good news is, there are <a href=\"https://itunes.apple.com/us/app/bakers-percentage/id495904951?mt=8\">apps</a> to help you deal with this!\r\n<h2>Use good flour</h2>\r\nYour crust consists mostly of flour, ergo the better the flour, the better your crust. It’s not that you can’t use all-purpose flour, but you’ll get a chewier, more “pizza” crust if you use high-protein bread flour.\r\n\r\nOf course, you may not have time to make any dough, in which case you can buy raw dough from a pizzeria or get some at the grocery store.\r\n<h2>Have a plan</h2>\r\nSo, do you want a crispy-crust Neapolitan pizza, a Chicago deep dish, or a New York-style pie? Knowing what you want is key to pizza success. Consider how many people you’ll be serving and how much prep time you have, then decide on a recipe that meets both your needs and your abilities.\r\n<h2>There’s no need to knead</h2>\r\nIf you don’t have a stand mixer to knead the dough, you can use a food processor. If you don’t have either, combine your ingredients in a bowl, cover it with plastic wrap, and pop it in the fridge overnight. Next day, bada bing! Your dough is ready to shape and stretch. Oh, by the way, once you shape your dough, pop it back into the fridge for a day or so to give it a serious flavor boost.\r\n<h2>Stretching the dough can be, well, a stretch</h2>\r\nStretching your dough into a perfect pie shape—i.e., one that’s nice and round and has a raised lip—takes practice. If you’re not willing to settle for ovals, octagons, and other unique shapes in the meantime, use your rolling pin to get the shape you want.\r\n<h2>Stay on top of toppings</h2>\r\nUse fresh, creamy cheese and good sauce—either home made, or a comparable store brand—and limit your toppings. Make sure all flavors complement each other so you don’t wind up with a big, taste bud-overwhelming mishmash.\r\n<h2>Cook it hot, hot, hot!</h2>\r\nThe hotter the oven, the airier the crust. The airier the crust, the tastier the pie. Think 550 degrees or, yes, even hotter. (Hotter, as in, form your pizza in a preheated cast iron skillet, then immediately shove the skillet under the broiler.)", "Essentials for Better Pizza at Home", "", "inherit", "closed", "closed", "", "669-revision-v1", "", "", "2016-05-24 19:39:32", "2016-05-24 19:39:32", "", "669", "http://buckspizza.com/2016/05/24/669-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("672", "1", "2016-05-06 19:13:17", "2016-05-06 19:13:17", "Summer’s here, and if the kids aren’t already out of school, they soon will be. Before you know it, young and old alike will be ready to gather around the pool and party hearty. As host, your mission, should you accept it, is to throw an excellent bash without driving yourself crazy. This can be done, but the trick is in the planning.\r\n<div id=\"textpreview\">\r\n<h2>Pick a theme</h2>\r\nComing up with a theme for your party streamlines the whole process, because it gives you a convenient jumping-off point for lots of other ideas—decorations, food, drink, games, and so on. Party stores practically exist to make theme parties a snap! So why not consider:\r\n<ul>\r\n 	<li>a tropical island theme</li>\r\n 	<li>a surfer theme</li>\r\n 	<li>a barbecue theme</li>\r\n 	<li>a flamingo theme</li>\r\n 	<li>a rubber ducky theme (not just for kids’ parties!)</li>\r\n</ul>\r\nChoose your theme a few weeks ahead, so you have time to come up with creative invitations and get your other arrangements lined up without falling prey to that last-minute crunch.\r\n<h2>Buy or make simple invitations and/or decorations</h2>\r\nHitting the party store will totally make your life easier, but you’re into DYI and don’t want to <i>buy</i> themed invitations, you can easily make some of your own by tapping <a href=\"http://www.greetingsisland.com/invitations/party/summer-and-pool-party\">free templates</a> available on line, writing the invite on miniature inflatable beach balls, or printing it out on <a href=\"http://www.scrapbook.com/titles/cat/100.html\">themed scrapbook paper</a>.\r\n\r\nDecorations can be as simple as a couple inflatable palm trees, hula music on the boom box, and a table strewn with cheap leis and/or flip flops, or as elaborate as <a href=\"http://privatescreens.com/privacy-screens/\" target=\"_blank\">privacy screen printed with tropical images</a>. How about a flock of rubber duckies floating in the pool? Kids will be thrilled to ride <a href=\"http://www.amazon.com/Melissa-Doug-Sunny-Patch-Kickboard/dp/B007CWM7HI/ref=sr_1_cc_5?s=aps&amp;ie=UTF8&amp;qid=1464274645&amp;sr=1-5-catcorr&amp;keywords=styrofoam+pool+floats\">shark-shaped Styrofoam kickboards</a>. Chosen wisely, a few decorations can go a long way, which translates into less time and effort for you. Think about:\r\n<ul>\r\n 	<li>a small wading pool heaped with drinks on ice</li>\r\n 	<li>disposable dinnerware in eye-popping neon colors</li>\r\n 	<li>a basket of towels, each one rolled up and banded in a pair of swim goggles</li>\r\n 	<li>inexpensive banners and paper lanterns</li>\r\n 	<li>a plethora of inflatable pool toys</li>\r\n</ul>\r\n<h2>Opt for a low-fuss menu</h2>\r\nAlways remember the party host’s rule of thumb: Any dish, or any <i>part</i> of a dish, you can make ahead of time will exponentially lower your stress level. Even barbecue can be prepped! Stress-saving food ideas include:\r\n<ul>\r\n 	<li>a side dish potluck to complement a barbecue</li>\r\n 	<li>sliced fruits and veggies prepared a day ahead</li>\r\n 	<li>watermelon wedges on popsicle sticks</li>\r\n 	<li>candy and other treats disguised as pool toys: multicolored licorice sticks in a jar labeled “pool noodles” or gummy ring “life preservers”</li>\r\n 	<li>a taco bar, all prepared the day before so you only have to warm up the meat</li>\r\n</ul>\r\nAlthough, come to think of it, when it comes to food, the <i>best</i> rule of thumb may be, “Let someone else do the cooking!” Everybody loves pizza, right? Plus, if there’s a Buck’s Pizza location in your area, you know can get the best pie available. So dump some of the pressure and give us a call!\r\n\r\n</div>", "How to Plan a Stress-Free Pool Party", "", "draft", "closed", "closed", "", "plan-stress-free-pool-party", "", "", "2017-08-04 15:56:10", "2017-08-04 15:56:10", "", "0", "http://buckspizza.com/?p=672", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("674", "1", "2016-05-26 19:22:45", "2016-05-26 19:22:45", "", "stress-free-pool-party", "", "inherit", "closed", "closed", "", "stress-free-pool-party", "", "", "2016-05-26 19:22:48", "2016-05-26 19:22:48", "", "672", "http://buckspizza.com/wp-content/uploads/2016/05/stress-free-pool-party.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("675", "1", "2016-05-26 19:28:30", "2016-05-26 19:28:30", "Summer’s here, and if the kids aren’t already out of school, they soon will be. Before you know it, young and old alike will be ready to gather around the pool and party hearty. As host, your mission, should you accept it, is to throw an excellent bash without driving yourself crazy. This can be done, but the trick is in the planning.\r\n<div id=\"textpreview\">\r\n<h2>Pick a theme</h2>\r\nComing up with a theme for your party streamlines the whole process, because it gives you a convenient jumping-off point for lots of other ideas—decorations, food, drink, games, and so on. Party stores practically exist to make theme parties a snap! So why not consider:\r\n<ul>\r\n 	<li>a tropical island theme</li>\r\n 	<li>a surfer theme</li>\r\n 	<li>a barbecue theme</li>\r\n 	<li>a flamingo theme</li>\r\n 	<li>a rubber ducky theme (not just for kids’ parties!)</li>\r\n</ul>\r\nChoose your theme a few weeks ahead, so you have time to come up with creative invitations and get your other arrangements lined up without falling prey to that last-minute crunch.\r\n<h2>Buy or make simple invitations and/or decorations</h2>\r\nHitting the party store will totally make your life easier, but you’re into DYI and don’t want to <i>buy</i> themed invitations, you can easily make some of your own by tapping <a href=\"http://www.greetingsisland.com/invitations/party/summer-and-pool-party\">free templates</a> available on line, writing the invite on miniature inflatable beach balls, or printing it out on <a href=\"http://www.scrapbook.com/titles/cat/100.html\">themed scrapbook paper</a>.\r\n\r\nDecorations can be as simple as a couple inflatable palm trees, hula music on the boom box, and a table strewn with cheap leis and/or flip flops, or as elaborate as <a href=\"http://privatescreens.com/privacy-screens/\" target=\"_blank\">privacy screen printed with tropical images</a>. How about a flock of rubber duckies floating in the pool? Kids will be thrilled to ride <a href=\"http://www.amazon.com/Melissa-Doug-Sunny-Patch-Kickboard/dp/B007CWM7HI/ref=sr_1_cc_5?s=aps&amp;ie=UTF8&amp;qid=1464274645&amp;sr=1-5-catcorr&amp;keywords=styrofoam+pool+floats\">shark-shaped Styrofoam kickboards</a>. Chosen wisely, a few decorations can go a long way, which translates into less time and effort for you. Think about:\r\n<ul>\r\n 	<li>a small wading pool heaped with drinks on ice</li>\r\n 	<li>disposable dinnerware in eye-popping neon colors</li>\r\n 	<li>a basket of towels, each one rolled up and banded in a pair of swim goggles</li>\r\n 	<li>inexpensive banners and paper lanterns</li>\r\n 	<li>a plethora of inflatable pool toys</li>\r\n</ul>\r\n<h2>Opt for a low-fuss menu</h2>\r\nAlways remember the party host’s rule of thumb: Any dish, or any <i>part</i> of a dish, you can make ahead of time will exponentially lower your stress level. Even barbecue can be prepped! Stress-saving food ideas include:\r\n<ul>\r\n 	<li>a side dish potluck to complement a barbecue</li>\r\n 	<li>sliced fruits and veggies prepared a day ahead</li>\r\n 	<li>watermelon wedges on popsicle sticks</li>\r\n 	<li>candy and other treats disguised as pool toys: multicolored licorice sticks in a jar labeled “pool noodles” or gummy ring “life preservers”</li>\r\n 	<li>a taco bar, all prepared the day before so you only have to warm up the meat</li>\r\n</ul>\r\nAlthough, come to think of it, when it comes to food, the <i>best</i> rule of thumb may be, “Let someone else do the cooking!” Everybody loves pizza, right? Plus, if there’s a Buck’s Pizza location in your area, you know can get the best pie available. So dump some of the pressure and give us a call!\r\n\r\n</div>", "How to Plan a Stress-Free Pool Party", "", "inherit", "closed", "closed", "", "672-revision-v1", "", "", "2016-05-26 19:28:30", "2016-05-26 19:28:30", "", "672", "http://buckspizza.com/2016/05/26/672-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("676", "1", "2016-04-15 19:45:14", "2016-04-15 19:45:14", "Granted, with the right combination of toppings—meats, seafood, veggies, even pineapple—pizza can seem like a square meal in itself. But try this on for a surprising idea: You can stretch a large pie even further and/or triple your dining pleasure by adding a few tasty side dishes into the mealtime mix. No need to complicate matters, though; even the simplest side dishes can serve as suitable complements to the pie.\r\n<h2>Appetizers</h2>\r\n<img class=\"aligncenter size-full wp-image-677\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/appetizers.jpg\" alt=\"appetizers\" />\r\n\r\nWhether you’ve got a homemade pizza in the oven, have sent a pal out to pick one up, or have called for a delivery, appetizers are an easy way to dress up the meal, not to mention a delicious way to while away the wait/cooking time and wake up your taste buds for the main event. The appetizers you offer can be as humble as roasted nuts, a platter of fresh veggies with dip, and/or a bowl of marinated olives.\r\n\r\nIf you really like to cook, of course, you might enjoy creating your own olive marinade—with <a href=\"http://www.thekitchn.com/recipe-marinated-olives-with-basil-and-orange-peel-221335\">orange zest and fresh basil</a>, for example. You can opt for steamed mussels, or go all out with a dish like <a href=\"http://www.thekitchn.com/recipe-clams-casino-221337\">Clams Casino</a>, a crispy broiled mix of fresh clams, bread crumbs, and bacon.\r\n<h2>Salad</h2>\r\n<img class=\"aligncenter size-full wp-image-678\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/salad.jpg\" alt=\"salad\" />\r\n\r\nMost of us agree nothing complements pizza quite like fresh, crispy greens, and your average garden salad—tomatoes, cucumber, croutons, onions, and carrots—is certainly a snap to toss together. But why not expend just a tiny bit more effort to kick your garden side dish up a notch by serving a succulent <a href=\"http://www.thekitchn.com/recipe-shrimp-and-arugula-salad-with-lemon-dressing-221369\">shrimp and arugula salad</a>? Mix fresh, boiled, chilled shrimp with baby arugula and add a few sprigs of fresh parsley. Garnish with lemon wedges and top with preserved honey-lemon dressing for a refreshing, zesty treat!\r\n<h2>Dessert</h2>\r\n<img class=\"aligncenter size-full wp-image-679\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/dessert.jpg\" alt=\"dessert\" />\r\n\r\nSure, you can settle for a scoop of vanilla ice cream with sprinkles, but why would you, when there are so many other, more interesting sweets you can offer to wrap up pizza night?\r\n\r\nAs desserts go, it’s hard to beat <a href=\"http://www.thekitchn.com/recipe-mini-fruit-pizzas-221368\">mini fruit pizzas</a>, round sugar cookies with a vanilla bean frosting “sauce.” Your toppings? Try kiwi, blueberries, and strawberries. Talk about fun—especially when you let the kids place the toppings—colorful, and delicious! You can also do a large, pizza-sized version by rolling the sugar cookie dough into a pizza pan.\r\n\r\nThen again, you might want to cap your enhanced pizza night with a <a href=\"http://www.thekitchn.com/recipe-salted-peanut-tiramisu-221342\">salted peanut tiramisu</a>. Imagine the taste treat you’ll enjoy when you combine coffee flavors with creamy Italian mascarpone cheese, sweet lady fingers, and salty caramelized peanuts! This is a dessert you can—probably should, actually—make a day ahead of time, since a night in the fridge will only make a good thing better.", "Easy Pizza Side Dishes", "", "draft", "closed", "closed", "", "easy-pizza-side-dishes", "", "", "2017-08-04 15:55:20", "2017-08-04 15:55:20", "", "0", "http://buckspizza.com/?p=676", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("677", "1", "2016-05-26 19:51:28", "2016-05-26 19:51:28", "", "appetizers", "", "inherit", "closed", "closed", "", "appetizers", "", "", "2016-05-26 19:51:37", "2016-05-26 19:51:37", "", "676", "http://buckspizza.com/wp-content/uploads/2016/05/appetizers.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("678", "1", "2016-05-26 19:51:46", "2016-05-26 19:51:46", "", "salad", "", "inherit", "closed", "closed", "", "salad", "", "", "2016-05-26 19:51:52", "2016-05-26 19:51:52", "", "676", "http://buckspizza.com/wp-content/uploads/2016/05/salad.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("679", "1", "2016-05-26 19:52:03", "2016-05-26 19:52:03", "", "dessert", "", "inherit", "closed", "closed", "", "dessert", "", "", "2016-05-26 19:52:07", "2016-05-26 19:52:07", "", "676", "http://buckspizza.com/wp-content/uploads/2016/05/dessert.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("680", "1", "2016-05-26 19:55:23", "2016-05-26 19:55:23", "", "pizza-side-dishes", "", "inherit", "closed", "closed", "", "pizza-side-dishes", "", "", "2016-05-26 19:55:32", "2016-05-26 19:55:32", "", "676", "http://buckspizza.com/wp-content/uploads/2016/05/pizza-side-dishes.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("681", "1", "2016-05-26 19:56:04", "2016-05-26 19:56:04", "Granted, with the right combination of toppings—meats, seafood, veggies, even pineapple—pizza can seem like a square meal in itself. But try this on for a surprising idea: You can stretch a large pie even further and/or triple your dining pleasure by adding a few tasty side dishes into the mealtime mix. No need to complicate matters, though; even the simplest side dishes can serve as suitable complements to the pie.\r\n<h2>Appetizers</h2>\r\n<img class=\"aligncenter size-full wp-image-677\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/appetizers.jpg\" alt=\"appetizers\" />\r\n\r\nWhether you’ve got a homemade pizza in the oven, have sent a pal out to pick one up, or have called for a delivery, appetizers are an easy way to dress up the meal, not to mention a delicious way to while away the wait/cooking time and wake up your taste buds for the main event. The appetizers you offer can be as humble as roasted nuts, a platter of fresh veggies with dip, and/or a bowl of marinated olives.\r\n\r\nIf you really like to cook, of course, you might enjoy creating your own olive marinade—with <a href=\"http://www.thekitchn.com/recipe-marinated-olives-with-basil-and-orange-peel-221335\">orange zest and fresh basil</a>, for example. You can opt for steamed mussels, or go all out with a dish like <a href=\"http://www.thekitchn.com/recipe-clams-casino-221337\">Clams Casino</a>, a crispy broiled mix of fresh clams, bread crumbs, and bacon.\r\n<h2>Salad</h2>\r\n<img class=\"aligncenter size-full wp-image-678\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/salad.jpg\" alt=\"salad\" />\r\n\r\nMost of us agree nothing complements pizza quite like fresh, crispy greens, and your average garden salad—tomatoes, cucumber, croutons, onions, and carrots—is certainly a snap to toss together. But why not expend just a tiny bit more effort to kick your garden side dish up a notch by serving a succulent <a href=\"http://www.thekitchn.com/recipe-shrimp-and-arugula-salad-with-lemon-dressing-221369\">shrimp and arugula salad</a>? Mix fresh, boiled, chilled shrimp with baby arugula and add a few sprigs of fresh parsley. Garnish with lemon wedges and top with preserved honey-lemon dressing for a refreshing, zesty treat!\r\n<h2>Dessert</h2>\r\n<img class=\"aligncenter size-full wp-image-679\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/dessert.jpg\" alt=\"dessert\" />\r\n\r\nSure, you can settle for a scoop of vanilla ice cream with sprinkles, but why would you, when there are so many other, more interesting sweets you can offer to wrap up pizza night?\r\n\r\nAs desserts go, it’s hard to beat <a href=\"http://www.thekitchn.com/recipe-mini-fruit-pizzas-221368\">mini fruit pizzas</a>, round sugar cookies with a vanilla bean frosting “sauce.” Your toppings? Try kiwi, blueberries, and strawberries. Talk about fun—especially when you let the kids place the toppings—colorful, and delicious! You can also do a large, pizza-sized version by rolling the sugar cookie dough into a pizza pan.\r\n\r\nThen again, you might want to cap your enhanced pizza night with a <a href=\"http://www.thekitchn.com/recipe-salted-peanut-tiramisu-221342\">salted peanut tiramisu</a>. Imagine the taste treat you’ll enjoy when you combine coffee flavors with creamy Italian mascarpone cheese, sweet lady fingers, and salty caramelized peanuts! This is a dessert you can—probably should, actually—make a day ahead of time, since a night in the fridge will only make a good thing better.", "Easy Pizza Side Dishes", "", "inherit", "closed", "closed", "", "676-revision-v1", "", "", "2016-05-26 19:56:04", "2016-05-26 19:56:04", "", "676", "http://buckspizza.com/2016/05/26/676-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("683", "1", "2016-06-08 16:09:55", "2016-06-08 16:09:55", "<h2>Buck\'s Famous Stix</h2>\nAdd bacon or jalapeños to your stix–$1.00 each\nAdd extra cheese–$1.29\n\n<strong>Bread Stix</strong>–$3.99\n<em>12 per order, covered with butter and spices.</em>\n\n<strong>Cinnamon Stix</strong>–$3.99\n<em>12 per order, with icing.</em>\n\n<strong>Cheese Stix</strong>–$4.99\n<em>12 per order, with dipping sauce.</em>\n<h2>Starters</h2>\n<strong>Basket of fries</strong>–$3.99\n\n<strong>Loaded fries with cheddar cheese and sizzling bacon</strong>–$5.99\n\n<strong>Fries Mozzarella sticks with dipping sauce</strong>–$3.99\n<h2>Oven Baked Sandwiches</h2>\nWith chips and a drink: $6.99\nSandwich only: $4,99\n\n<strong>Baked Ham</strong>–<em>Ham, melted provolone cheese, onions, lettuce, and tomato.</em>\n\n<strong>Turkey</strong>–<em>Sliced turkey breast, melted provolone cheese, lettuce, and tomato.</em>\n\n<strong>Turkey Club</strong>–<em>Turkey, bacon, ham, melted provolone cheese, green peppers, lettuce, and tomato.</em>\n\n<strong>Italian</strong>–<em>Ham, hard salami, melted provolone cheese, onion, green peppers, lettuce, tomato, and Italian dressing.</em>\n\n<strong>Buffalo Chicken</strong>–<em>Buck’s boneless wings tossed in your choice of wing sauce, covered in melted provolone cheese, and topped with lettuce and tomato.</em>\n\n<strong>Chicken Bacon Ranch</strong>–C<em>hicken fajita, cheddar cheese, and bacon, topped with lettuce and tomato, and ranch dressing on the side.</em>\n\n<strong>Steak</strong>–<em>USDA choice chopped steak and bacon, mushrooms, onions, and green peppers smothered in provolone cheese. Topped with lettuce and tomato.</em>\n\n<strong>CBS</strong>–<em>USDA choice chopped steak and bacon, topped with lots of cheddar cheese</em><em>.</em>\n\n<strong>Vegi-Delite</strong>–<em>Mushrooms, onion, green pepper, black olives, green olives, sliced tomato and provolone cheese.</em>\n\n<strong>Chicken Parmesan</strong>–<em>Boneless chicken baked baked with our delicious marinara sauce and provolone cheese.</em>\n\n<strong>Meatball Marinara–</strong><em>Meatballs baked with our delicious marinara sauce and provolone cheese.</em>\n<h2>Salads</h2>\nDressings: Blue Cheese, Ranch, Caesar, Vinaigrette, Italian, Greek.\n\n<strong>Garden Salad</strong>–sm. $3.99, lg. $6.49\n<em>Romaine lettuce, cucumbers, red onion and tomato.</em>\n\n<strong>Caesar Salad</strong>–sm. $3.99, lg. $6.49\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\n\n<strong>Chicken Caesar Salad</strong>–sm. $4.99, lg. $7.99\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\n\n<strong>Mediterranean Salad</strong>–sm. $4.99, lg. $7.99\n<em><strong>Spinach Salad</strong>–sm. $5.49, lg. $8.99\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em></em>\n\n<strong>Spinach Salad</strong>–sm. $5.49, lg. $8.99\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\n\n<strong>Chef Salad</strong>–sm. $5.49, lg. $8.99\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\n\n<strong>Chicken Tender Salad</strong>–sm. $5.49, lg. $8.99\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\n\n<strong>Greek Salad</strong>–sm. $5.49, lg. $8.99\n<em>Romaine lettuce, red onion, black olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\n<h2>Tenders, Wings and Boneless Wings</h2>\nAdd blue cheese, ranch or any extra sauce–75¢ each\n<h3>Sauces</h3>\n<ul>\n 	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\n 	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\n 	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\n 	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\n 	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\n 	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\n 	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\n 	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\n 	<li><strong>Teriyaki</strong>–Smooth, salty, sweet…addictive.</li>\n 	<li><strong>Lemon Pepper</strong>–That spicy buttery lemon flavor.</li>\n 	<li><strong>Garlic Parmesan</strong>–Cheesy, garlicky and buttery all wrapped in one.</li>\n</ul>\n<h3>Boneless Wings</h3>\nBreaded chicken tender bites tossed in your favorite lip-smackin’ wing sauce.\n<ul>\n 	<li>Order of 5–$4.99</li>\n 	<li>Order of 10–$7.99</li>\n 	<li>Order of 15–$10.49</li>\n 	<li>Order of 20–$13.99</li>\n 	<li>Order of 25–$17.49</li>\n 	<li>Order of 30–$17.99</li>\n</ul>\n<h3>Chicken Wings (Jumbo)</h3>\nTender chicken wings covered in our lip-smackin\' sauces.\n*Includes 1 dipping sauce per 10 wings.\n<ul>\n 	<li>Order of 5–$5.74</li>\n 	<li>Order of 10–$8.99</li>\n 	<li>Order of 15–$13.99</li>\n 	<li>Order of 20–$17.49</li>\n 	<li>Order of 25–$22.99</li>\n 	<li>Order of 30–$26.99</li>\n</ul>\n<h3>Chicken Tenders</h3>\nFried chicken tenders with your choice of dipping sauce on the side.\nExtra digging sauces or dressings $.75 each.\n<ul>\n 	<li>Order of 4–$5.49</li>\n 	<li>Order of 8–$10.98</li>\n 	<li>Order of 12–$16.49</li>\n</ul>\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\n[table id=1 /]\n<h3>Meats</h3>\n<ul>\n 	<li>Pepperoni</li>\n 	<li>Ham</li>\n 	<li>Bacon</li>\n 	<li>Salami</li>\n 	<li>Italian Sausage</li>\n 	<li>Canadian bacon</li>\n 	<li>Ground beef</li>\n</ul>\n<h3>Veggies</h3>\n<ul>\n 	<li>Mushrooms</li>\n 	<li>White onions</li>\n 	<li>Red onions</li>\n 	<li>Green peppers</li>\n 	<li>Black olives</li>\n 	<li>Green olives</li>\n 	<li>Jalapenos</li>\n 	<li>Fresh basil</li>\n 	<li>Tomatoes</li>\n 	<li>Fresh spinach</li>\n 	<li>Banana peppers</li>\n</ul>\n<h3>Other toppings</h3>\n<ul>\n 	<li>Pineapple</li>\n 	<li>Extra mozzarella</li>\n 	<li>Cheddar cheese</li>\n 	<li>Feta cheese</li>\n 	<li>Alfredo sauce</li>\n 	<li>Anchoveis</li>\n</ul>\n<h3>Premium toppings</h3>\n<ul>\n 	<li>Artichoke hearts</li>\n 	<li>Chicken</li>\n 	<li>Steak</li>\n</ul>\n<h2>Specialty Pizzas &amp; Strombolis</h2>\n<h3>Favorito</h3>\nsm. $6.24, md. $9.24, lg. $10.49, xl. $13.49\n\n<strong>Hawaiian</strong>\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\n\n<strong>Bacon Cheeseburger</strong>\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\n\n<strong>Old World (White Pizza)</strong>\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\n<h3>Superfino</h3>\nsm. $8.49, md. $12.99, lg. $14.99, xl. $18.74\n\n<strong>Italian (White Pizza)</strong>\n<em>Garlic sauce, hard salami, smoked ham, fresh onions, and green peppers.</em>\n\n<strong>Margherita (White Pizza)</strong>\n<em>Our light garlic sauce, sliced tomatoes, chopped fresh basil and extra cheese.</em>\n\n<strong>Chicken Club (White Pizza)</strong>\n<em>Garlic sauce, grilled chicken, Canadian bacon, red onions, and bacon.</em>\n\n<strong>Greek (White Pizza)</strong>\n<em>Garlic sauce, black olives, red onions, artichoke hearts, sliced tomatoes, and feta cheese.</em>\n\n<strong>Steak \'N Cheese (White Pizza)</strong>\n<em>Garlic sauce, chopped steak, onions, green peppers, mushrooms, and extra cheese.</em>\n\n<strong>Spinach Alfredo</strong>\n<em>Creamy Alfredo sauce, spinach, and sliced tomatoes.</em>\n\n<strong>Chicken Alfredo</strong>\n<em>Creamy Alfredo sauce, grilled chicken , red onions, and bacon.</em>\n\n&nbsp;\n\n<strong>Buck\'s Deluxe</strong>\n<em>Pepperoni, onions, mushrooms, sausage and green peppers.</em>\n\n<strong>Vegi-Delite</strong>\n<em>Mushrooms, onions, green peppers, black and green olives, and sliced tomatoes.</em>\n\n<strong>5 Meat</strong>\n<em>Pepperoni, sausage, ham, bacon, and ground beef.</em>\n\n<strong>4 Cheese Medley</strong>\n<em>Feta, cheddar, mozzarella, and Parmesan cheese.</em>\n\n<strong>BBQ Chicken</strong>\n<em>Grilled chicken tossed in our blend of BBQ sauce, pizza sauce, with red onions, bacon, mozzarella, and cheddar cheese.</em>\n\n<strong>Buffalo Chicken</strong>\n<em>Buffalo hot wing sauce blended with blue cheese dressing, grilled chicken, and bacon.</em>\n\n<strong>CBS Special\n</strong><em>Smoked ham, bacon, and steak.</em>\n\n&nbsp;\n\n<strong>CBH Special</strong>\n<em>Cheddar cheese, </em>\n\n&nbsp;\n\n<strong>Wild Buck</strong>\n<em>If you order ‘everything-but-the-fish’ this is what you’ll get. Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives and extra mozzarella...it’s wild!</em>\n<h3></h3>\n&nbsp;\n<h2>Pasta Dishes</h2>\nOur Tomato Pasta Sauce is made with vine-ripened tomatoes and only the finest ingredients for a simple, classic Old World flavor.\n\nYour choice of sauce: tomato pasta sauce, alfredo sauce, tomato alfredo sauce.\n\n<strong>Spaghetti &amp; Meatballs–</strong>sm. $5.99, lg. $7.99\n<em>A generous portion of spaghetti topped with meatballs and the best tomato pasta sauce you will find anywhere.</em>\n\n<strong>Fettuccine Alfredo</strong>–sm. $6.99, lg. $8.99\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.</em>\n\n<strong>Chicken Parmesan–</strong>$9.99\n<em>Hand-breaded chicken covered in tomato pasta sauce and melted mozzarella served over penne.</em>\n<h2>Sweet Treats</h2>\n<strong>Cinnamon Stix</strong>–$3.99\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar &amp; served with icing</em>\n<h2>Beverages</h2>\n<strong>Coke Products</strong>–2 lt. $2.49, 16 oz. $1.39", "Menu", "", "inherit", "closed", "closed", "", "409-autosave-v1", "", "", "2016-06-08 16:09:55", "2016-06-08 16:09:55", "", "409", "http://buckspizza.com/2016/06/08/409-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("685", "1", "2016-06-08 15:43:08", "2016-06-08 15:43:08", "[[\"\",\"Small\\n10\\\"\",\"Medium\\n12\\\"\",\"Large\\n14\\\"\",\"X-Large\\n16\\\"\"],[\"With 1 topping\",\"5,49\",\"7.99\",\"8.99\",\"11.74\"],[\"Additional toppings\",\".75\",\"1.25\",\"1.50\",\"1.75\"],[\"Premium toppings\",\"1.50\",\"2.25\",\"3.00\",\"3.75\"],[\"Extra cheese\",\".75\",\"1.25\",\"1.50\",\"1.75\"],[\"Gluten free crust\",\"3.00\",\"--\",\"--\",\"--\"]]", "Mission TX Pizza", "", "publish", "closed", "closed", "", "mission-tx-pizza", "", "", "2016-08-29 20:51:58", "2016-08-29 20:51:58", "", "0", "http://buckspizza.com/?post_type=tablepress_table&#038;p=685", "0", "tablepress_table", "application/json", "0");
INSERT INTO `wp_posts` VALUES("687", "1", "2016-06-08 16:13:42", "2016-06-08 16:13:42", "[[\"\",\"small\",\"large\"],[\"Spaghetti and meatballs\",\"5.99\",\"7.99\"],[\"Chicken alfredo\\nFettuccine pasta with Alfredo sauce and grilled cheese.\",\"6.99\",\"8.99\"],[\"Chicken Parmesan\\nOur delicious chicken tenders served over spaghetti.\",\"--\",\"9.99\"],[\"Pasta combo\\nYour choice of small pasta served with a garden or Caesar salad and a drink.\",\"--\",\"11.50\"]]", "Mission TX Pasta", "", "publish", "closed", "closed", "", "mission-tx-pasta", "", "", "2016-06-08 16:17:35", "2016-06-08 16:17:35", "", "0", "http://buckspizza.com/?post_type=tablepress_table&#038;p=687", "0", "tablepress_table", "application/json", "0");
INSERT INTO `wp_posts` VALUES("688", "1", "2016-06-08 16:17:35", "2016-06-08 16:17:35", "[[\"\",\"small\",\"large\"],[\"Spaghetti and meatballs\",\"5.99\",\"7.99\"],[\"Chicken alfredo\\nFettuccine pasta with Alfredo sauce and grilled cheese.\",\"6.99\",\"8.99\"],[\"Chicken Parmesan\\nOur delicious chicken tenders served over spaghetti.\",\"--\",\"9.99\"],[\"Pasta combo\\nYour choice of small pasta served with a garden or Caesar salad and a drink.\",\"--\",\"11.50\"]]", "Mission TX Pasta", "", "inherit", "closed", "closed", "", "687-revision-v1", "", "", "2016-06-08 16:17:35", "2016-06-08 16:17:35", "", "687", "http://buckspizza.com/2016/06/08/687-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("691", "1", "2016-05-20 21:21:05", "2016-05-20 21:21:05", "“Tell me what you eat,” said French physician Anthelme Brillat-Savarin, “and I will tell you what you are.” Whether <i>you are what you eat</i> is the reason you’ve gone organic, or whether you simply enjoy delicious quality food, we’ve got some pizza sauces to tell you about!\r\n\r\nFirst, a word about organic products. A “Certified Organic” or “USDA Organic” label means the food in question has met specific requirements:\r\n<ul>\r\n 	<li>Contents are 95% or more certified organic—i.e., contain no synthetic additives like pesticides, chemical fertilizers, and/or dyes.</li>\r\n 	<li>The food was not processed using industrial solvents, irradiation, or genetic engineering.</li>\r\n</ul>\r\nOf course, all the sauces listed below are labeled either “Certified Organic” or “USDA Organic,” so the next time you make homemade pie, you know you’re getting tasty at its pure best if you choose ....\r\n<h2><a href=\"http://organicvillefoods.com/category/products/pizza-sauces/\">Organicville Organic Pizza Sauce</a></h2>\r\n<img class=\"aligncenter size-full wp-image-697\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Organicville-Organic-Pizza-Sauce.jpg\" alt=\"Organicville Organic Pizza Sauce\" />\r\n\r\nAs part of their mission to “create exceptional organic products your whole family can enjoy,” the folks at Organicville have mixed up one terrific pizza sauce. Imagine the flavors of vine-ripened organic tomatoes, fresh garlic, oregano, and 100% extra virgin olive oil, all poured in one jar of goodness! The sauce is certified organic, gluten free, and vegan. Check the store locator on the <a href=\"http://organicvillefoods.com/\">Organicville website</a> to find out where you can buy this super sauce, or buy it right there online!\r\n<h2><a href=\"http://www.villabertolli.com/products/bertolli-organic-traditional-tomato-basil-sauce\">Bertolli® Organic Traditional Tomato &amp; Basil Sauce</a></h2>\r\n<img class=\"aligncenter size-full wp-image-695\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Bertolli-Organic-Traditional-Tomato-Basil-Sauce.jpg\" alt=\"Bertolli® Organic Traditional Tomato &amp; Basil Sauce\" />\r\n\r\nThis sauce is 100 percent organic, made with vine-ripened tomatoes seasoned with basil, fennel, and a pinch of Romano cheese. Customers give it rave reviews, and you can buy it almost anywhere. Simply use the store locator to find the vendor nearest you.\r\n<h2><a href=\"http://www.villabertolli.com/products/bertolli-organic-olive-oil-basil-garlic-sauce\">Bertolli® Organic Olive Oil, Basil &amp; Garlic Sauce</a></h2>\r\n<img class=\"aligncenter size-full wp-image-694\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Bertolli-Organic-Olive-Oil-Basil-Garlic-Sauce.jpg\" alt=\"Bertolli® Organic Olive Oil, Basil &amp; Garlic Sauce\" />\r\n\r\nDiners who like their sauce on the more savory side will enjoy Bertolli’s Organic Olive Oil, Basil &amp; Garlic sauce. Again, this sauce is certified organic, from the fresh, vine-ripened tomato base to the sweet basil, savory garlic, oregano, onion and extra virgin olive oil seasonings.\r\n<h2><a href=\"http://www.muirglen.com/products/tomato-sauces-pastes-and-purees/pizza-sauce-15-oz\">Muir Glen Organic Pizza Sauce</a></h2>\r\n<img class=\"aligncenter size-full wp-image-693\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Muir-Glen-Organic-Pizza-Sauce.jpg\" alt=\"Muir Glen Organic Pizza Sauce\" />\r\n\r\nWhen you think Muir Glen Organic Pizza Sauce, think 15 ounces of certified organic goodness in a can! Then imagine that lip-smacking combination of tomatoes organically grown in California’s San Joaquin Valley, seasoned with seven herbs and spices—including all-organic onion powder, garlic, sweet basil, sea salt, and black pepper—gracing your own organic pizza crust! Is your mouth watering yet?\r\n<h2><a href=\"http://mycadia.com/product.php?p=Food&amp;c=Staples&amp;s=25276\">Cadia Organic, Gluten Free, Vegan Pizza Sauce</a></h2>\r\n<img class=\"aligncenter size-full wp-image-692\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Cadia-Organic-Gluten-Free-Vegan-Pizza-Sauce.jpg\" alt=\"Cadia Organic, Gluten Free, Vegan Pizza Sauce\" />\r\n\r\nAs a company, Cadia, is dedicated to sustainable farming and using the highest-quality organic ingredients—“simple, honest” ingredients they combine to make foods created to give you a very pleasurable dining experience. Their Organic Pizza Sauce is no exception! Made with delectable organic tomatoes and organic extra virgin olive oil, the sauce is slow cooked in small batches, seasoned with organic oregano, garlic, and parsley. Check out their <a href=\"http://mycadia.com/\" target=\"_blank\">website</a> to find out where you can get yours!", "You Have to Try These Organic Pizza Sauces", "", "draft", "closed", "closed", "", "try-organic-pizza-sauces", "", "", "2017-08-04 15:56:10", "2017-08-04 15:56:10", "", "0", "http://buckspizza.com/?p=691", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("692", "1", "2016-06-13 21:33:52", "2016-06-13 21:33:52", "", "Cadia-Organic-Gluten-Free-Vegan-Pizza-Sauce", "", "inherit", "closed", "closed", "", "cadia-organic-gluten-free-vegan-pizza-sauce", "", "", "2016-06-13 21:35:13", "2016-06-13 21:35:13", "", "691", "http://buckspizza.com/wp-content/uploads/2016/06/Cadia-Organic-Gluten-Free-Vegan-Pizza-Sauce.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("693", "1", "2016-06-13 21:36:26", "2016-06-13 21:36:26", "", "Muir-Glen-Organic-Pizza-Sauce", "", "inherit", "closed", "closed", "", "muir-glen-organic-pizza-sauce", "", "", "2016-06-13 21:36:36", "2016-06-13 21:36:36", "", "691", "http://buckspizza.com/wp-content/uploads/2016/06/Muir-Glen-Organic-Pizza-Sauce.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("694", "1", "2016-06-13 21:37:11", "2016-06-13 21:37:11", "", "Bertolli-Organic-Olive-Oil-Basil-Garlic-Sauce", "", "inherit", "closed", "closed", "", "bertolli-organic-olive-oil-basil-garlic-sauce", "", "", "2016-06-13 21:37:17", "2016-06-13 21:37:17", "", "691", "http://buckspizza.com/wp-content/uploads/2016/06/Bertolli-Organic-Olive-Oil-Basil-Garlic-Sauce.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("695", "1", "2016-06-13 21:37:35", "2016-06-13 21:37:35", "", "Bertolli-Organic-Traditional-Tomato-Basil-Sauce", "", "inherit", "closed", "closed", "", "bertolli-organic-traditional-tomato-basil-sauce", "", "", "2016-06-13 21:37:40", "2016-06-13 21:37:40", "", "691", "http://buckspizza.com/wp-content/uploads/2016/06/Bertolli-Organic-Traditional-Tomato-Basil-Sauce.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("697", "1", "2016-06-13 21:39:45", "2016-06-13 21:39:45", "", "Organicville-Organic-Pizza-Sauce", "", "inherit", "closed", "closed", "", "organicville-organic-pizza-sauce", "", "", "2016-06-13 21:39:51", "2016-06-13 21:39:51", "", "691", "http://buckspizza.com/wp-content/uploads/2016/06/Organicville-Organic-Pizza-Sauce.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("698", "1", "2016-06-13 21:44:08", "2016-06-13 21:44:08", "", "organic-pizza-sauce", "", "inherit", "closed", "closed", "", "organic-pizza-sauce", "", "", "2016-06-13 21:44:18", "2016-06-13 21:44:18", "", "691", "http://buckspizza.com/wp-content/uploads/2016/06/organic-pizza-sauce.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("699", "1", "2016-06-13 21:45:06", "2016-06-13 21:45:06", "“Tell me what you eat,” said French physician Anthelme Brillat-Savarin, “and I will tell you what you are.” Whether <i>you are what you eat</i> is the reason you’ve gone organic, or whether you simply enjoy delicious quality food, we’ve got some pizza sauces to tell you about!\r\n\r\nFirst, a word about organic products. A “Certified Organic” or “USDA Organic” label means the food in question has met specific requirements:\r\n<ul>\r\n 	<li>Contents are 95% or more certified organic—i.e., contain no synthetic additives like pesticides, chemical fertilizers, and/or dyes.</li>\r\n 	<li>The food was not processed using industrial solvents, irradiation, or genetic engineering.</li>\r\n</ul>\r\nOf course, all the sauces listed below are labeled either “Certified Organic” or “USDA Organic,” so the next time you make homemade pie, you know you’re getting tasty at its pure best if you choose ....\r\n<h2><a href=\"http://organicvillefoods.com/category/products/pizza-sauces/\">Organicville Organic Pizza Sauce</a></h2>\r\n<img class=\"aligncenter size-full wp-image-697\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Organicville-Organic-Pizza-Sauce.jpg\" alt=\"Organicville Organic Pizza Sauce\" />\r\n\r\nAs part of their mission to “create exceptional organic products your whole family can enjoy,” the folks at Organicville have mixed up one terrific pizza sauce. Imagine the flavors of vine-ripened organic tomatoes, fresh garlic, oregano, and 100% extra virgin olive oil, all poured in one jar of goodness! The sauce is certified organic, gluten free, and vegan. Check the store locator on the <a href=\"http://organicvillefoods.com/\">Organicville website</a> to find out where you can buy this super sauce, or buy it right there online!\r\n<h2><a href=\"http://www.villabertolli.com/products/bertolli-organic-traditional-tomato-basil-sauce\">Bertolli® Organic Traditional Tomato &amp; Basil Sauce</a></h2>\r\n<img class=\"aligncenter size-full wp-image-695\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Bertolli-Organic-Traditional-Tomato-Basil-Sauce.jpg\" alt=\"Bertolli® Organic Traditional Tomato &amp; Basil Sauce\" />\r\n\r\nThis sauce is 100 percent organic, made with vine-ripened tomatoes seasoned with basil, fennel, and a pinch of Romano cheese. Customers give it rave reviews, and you can buy it almost anywhere. Simply use the store locator to find the vendor nearest you.\r\n<h2><a href=\"http://www.villabertolli.com/products/bertolli-organic-olive-oil-basil-garlic-sauce\">Bertolli® Organic Olive Oil, Basil &amp; Garlic Sauce</a></h2>\r\n<img class=\"aligncenter size-full wp-image-694\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Bertolli-Organic-Olive-Oil-Basil-Garlic-Sauce.jpg\" alt=\"Bertolli® Organic Olive Oil, Basil &amp; Garlic Sauce\" />\r\n\r\nDiners who like their sauce on the more savory side will enjoy Bertolli’s Organic Olive Oil, Basil &amp; Garlic sauce. Again, this sauce is certified organic, from the fresh, vine-ripened tomato base to the sweet basil, savory garlic, oregano, onion and extra virgin olive oil seasonings.\r\n<h2><a href=\"http://www.muirglen.com/products/tomato-sauces-pastes-and-purees/pizza-sauce-15-oz\">Muir Glen Organic Pizza Sauce</a></h2>\r\n<img class=\"aligncenter size-full wp-image-693\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Muir-Glen-Organic-Pizza-Sauce.jpg\" alt=\"Muir Glen Organic Pizza Sauce\" />\r\n\r\nWhen you think Muir Glen Organic Pizza Sauce, think 15 ounces of certified organic goodness in a can! Then imagine that lip-smacking combination of tomatoes organically grown in California’s San Joaquin Valley, seasoned with seven herbs and spices—including all-organic onion powder, garlic, sweet basil, sea salt, and black pepper—gracing your own organic pizza crust! Is your mouth watering yet?\r\n<h2><a href=\"http://mycadia.com/product.php?p=Food&amp;c=Staples&amp;s=25276\">Cadia Organic, Gluten Free, Vegan Pizza Sauce</a></h2>\r\n<img class=\"aligncenter size-full wp-image-692\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Cadia-Organic-Gluten-Free-Vegan-Pizza-Sauce.jpg\" alt=\"Cadia Organic, Gluten Free, Vegan Pizza Sauce\" />\r\n\r\nAs a company, Cadia, is dedicated to sustainable farming and using the highest-quality organic ingredients—“simple, honest” ingredients they combine to make foods created to give you a very pleasurable dining experience. Their Organic Pizza Sauce is no exception! Made with delectable organic tomatoes and organic extra virgin olive oil, the sauce is slow cooked in small batches, seasoned with organic oregano, garlic, and parsley. Check out their <a href=\"http://mycadia.com/\" target=\"_blank\">website</a> to find out where you can get yours!", "You Have to Try These Organic Pizza Sauces", "", "inherit", "closed", "closed", "", "691-revision-v1", "", "", "2016-06-13 21:45:06", "2016-06-13 21:45:06", "", "691", "http://buckspizza.com/2016/06/13/691-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("700", "1", "2016-05-13 23:13:30", "2016-05-13 23:13:30", "There you are in the City of Brotherly love, craving pizza, but there are so many places to choose from! How to pick? Which Philly pizzerias can be counted on to provide a great slice of pie?\r\n\r\nNever fear, we’ve got ten suggestions for you. In no particular order, they are:\r\n<h2>Luigi’s Pizza Fresca</h2>\r\n<img class=\"aligncenter size-full wp-image-701\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Luigis-Pizza-Fresca.jpg\" alt=\"Luigi’s Pizza Fresca\" />\r\n\r\nYou’ve got to love a place that promises “fresh ideas in pizza,” particularly when that place has garnered awards like “Best Pizza,” “Best Over the Top Topping,” and “Best Sicilian Pizza,” just to name a few. Opt for the regular slice or go “whole hog” for the stuffed version.\r\n\r\n<a href=\"http://www.luigispizzafresca.com/philadelphia.php\" target=\"_blank\">Website</a>\r\n<h2>Lazaro’s Pizzeria and Grill</h2>\r\n<img class=\"aligncenter size-full wp-image-702\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Lazaros-Pizzeria-and-Grill.jpg\" alt=\"Lazaro’s Pizzeria and Grill\" />\r\n\r\nIf you like gonzo slices—as in, so big you can’t eat them with one hand—on a thin crust, Lazaro’s may be the place for you! Known for its sweet sauce, this South Street pizzeria will let you order a slice with any and as many toppings you want.\r\n<h2>Rustica</h2>\r\n<img class=\"aligncenter size-full wp-image-703\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Rustica.jpg\" alt=\"Rustica\" />\r\n\r\nUnusual pizza is Rustica’s specialty, and with pies like the Jambalaya (chicken, clams, red peppers, and carrots) and the Scrapple (Habbersett scrapple, sunny-side-up egg, and siracha catsup), we can certainly understand what they mean!\r\n\r\n<a href=\"http://rusticaphilly.com/\" target=\"_blank\">Website</a>\r\n<h2>Rosa’s Fresh Pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-710\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Rosas-Fresh-Pizza.jpg\" alt=\"Rosa’s Fresh Pizza\" />\r\n\r\nBilled as “The Freshest Slice in Philly,” Rosa’s not only gives you an excellent slice of pie for a buck—that’s right, $1—but give over a second dollar, and Rosa’s owner will use it to provide a slice to the homeless. You can even write a Post-It to go along with your donation!\r\n\r\n<a href=\"http://www.rosasfreshpizza.com/\" target=\"_blank\">Website</a>\r\n<h2>Kermit’s Bake Shoppe</h2>\r\n<img class=\"aligncenter size-full wp-image-704\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Kermits-Bake-Shoppe.jpg\" alt=\"Kermit’s Bake Shoppe\" />\r\n\r\nIf you find yourself on Washington Avenue, you’ll want to check out this pizza-and-cake shoppe, where each pizza slice is topped with three kinds of cheese—mozzarella, Grana Padano, and Romano—and mouthwatering desserts range from bread pudding to a toasted coconut cream tart.\r\n\r\n<a href=\"http://www.kermitsbakeshoppe.com/\" target=\"_blank\">Website</a>\r\n<h2>Lorenzo &amp; Sons</h2>\r\n<img class=\"aligncenter size-full wp-image-705\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Lorenzo-Sons.jpg\" alt=\"Lorenzo &amp; Sons\" />\r\n\r\nColossal slices from what The Daily Meal calls one of the top 101 pizzeria’s in the U.S. Listen, these slices are so big, it takes two paper plates to hold just one! Each slice is a meal in itself, and for a reasonable price, too!\r\n\r\n<a href=\"http://www.lorenzoandsons.com/\" target=\"_blank\">Website</a>\r\n<h2>Pizza Brain</h2>\r\n<img class=\"aligncenter size-full wp-image-706\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Pizza-Brain.jpg\" alt=\"Pizza Brain\" />\r\n\r\nIf you have pizza on your brain, you might want to head for Fishtown’s Pizza Brain, where you can get a delicious Bob Shieldsmoose white pie, topped with brisket, maytag bleu cheese brisket, garlic, horseradish, black pepper, mozzarella, and rosemary, plus a stroll through the pizza memorabilia museum.\r\n\r\n<a href=\"http://www.pizzabrain.org/\" target=\"_blank\">Website</a>\r\n<h2>Slice</h2>\r\n<img class=\"aligncenter size-full wp-image-707\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Slice.jpg\" alt=\"Slice\" />\r\n\r\n<i>Mmm.</i> Just imagine an ultra-thin, ultra-crispy crust topped with extra virgin olive oil, garlic, mozzarella, portabella mushrooms, and artichokes, all finished with white truffle oil! You can even get it gluten free at Slice!\r\n\r\n<a href=\"http://www.slicepa.com/\" target=\"_blank\">Website</a>\r\n<h2>Little Italy</h2>\r\n<img class=\"aligncenter size-full wp-image-708\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Little-Italy.jpg\" alt=\"Little Italy\" />\r\n\r\nSituated in the Italian Market, no less, Little Italy offers tangy New-York style pizza, cooked to order. As a matter of fact, the extra crispy, extra-well-done is topped with cheese hot enough to fry your taste buds!\r\n\r\n<a href=\"http://golittleitalypizza.com/\" target=\"_blank\">Website</a>\r\n<h2>Francoluigi’s Pizzeria</h2>\r\n<img class=\"aligncenter size-full wp-image-709\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Francoluigis-Pizzeria.jpg\" alt=\"Francoluigi’s Pizzeria\" />\r\n\r\nOwned by the Borda family since it first opened, Francoluigi’s offers traditional pizza, gourmet pies like the Caruso—chicken breast, onion, peppers, and mushrooms cooked in wine sauce—and square Sicilian pizza.\r\n\r\n<a href=\"http://www.francoluigis.com/\" target=\"_blank\">Website</a>\r\n<h2></h2>", "Philly’s Top 10 Pizza Places", "", "draft", "closed", "closed", "", "phillys-top-10-pizza-places", "", "", "2017-08-04 15:56:10", "2017-08-04 15:56:10", "", "0", "http://buckspizza.com/?p=700", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("701", "1", "2016-06-13 23:29:27", "2016-06-13 23:29:27", "", "Luigis-Pizza-Fresca", "", "inherit", "closed", "closed", "", "luigis-pizza-fresca", "", "", "2016-06-13 23:29:47", "2016-06-13 23:29:47", "", "700", "http://buckspizza.com/wp-content/uploads/2016/06/Luigis-Pizza-Fresca.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("702", "1", "2016-06-13 23:30:05", "2016-06-13 23:30:05", "", "Lazaros-Pizzeria-and-Grill", "", "inherit", "closed", "closed", "", "lazaros-pizzeria-and-grill", "", "", "2016-06-13 23:30:20", "2016-06-13 23:30:20", "", "700", "http://buckspizza.com/wp-content/uploads/2016/06/Lazaros-Pizzeria-and-Grill.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("703", "1", "2016-06-13 23:31:44", "2016-06-13 23:31:44", "", "Rustica", "", "inherit", "closed", "closed", "", "rustica", "", "", "2016-06-13 23:31:51", "2016-06-13 23:31:51", "", "700", "http://buckspizza.com/wp-content/uploads/2016/06/Rustica.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("704", "1", "2016-06-13 23:33:12", "2016-06-13 23:33:12", "", "Kermits-Bake-Shoppe", "", "inherit", "closed", "closed", "", "kermits-bake-shoppe", "", "", "2016-06-13 23:33:19", "2016-06-13 23:33:19", "", "700", "http://buckspizza.com/wp-content/uploads/2016/06/Kermits-Bake-Shoppe.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("705", "1", "2016-06-13 23:34:18", "2016-06-13 23:34:18", "", "Lorenzo-Sons", "", "inherit", "closed", "closed", "", "lorenzo-sons", "", "", "2016-06-13 23:34:24", "2016-06-13 23:34:24", "", "700", "http://buckspizza.com/wp-content/uploads/2016/06/Lorenzo-Sons.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("706", "1", "2016-06-13 23:36:52", "2016-06-13 23:36:52", "", "Pizza-Brain", "", "inherit", "closed", "closed", "", "pizza-brain", "", "", "2016-06-13 23:36:58", "2016-06-13 23:36:58", "", "700", "http://buckspizza.com/wp-content/uploads/2016/06/Pizza-Brain.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("707", "1", "2016-06-13 23:40:46", "2016-06-13 23:40:46", "", "Slice", "", "inherit", "closed", "closed", "", "slice", "", "", "2016-06-13 23:40:52", "2016-06-13 23:40:52", "", "700", "http://buckspizza.com/wp-content/uploads/2016/06/Slice.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("708", "1", "2016-06-13 23:44:07", "2016-06-13 23:44:07", "", "Little-Italy", "", "inherit", "closed", "closed", "", "little-italy", "", "", "2016-06-13 23:44:13", "2016-06-13 23:44:13", "", "700", "http://buckspizza.com/wp-content/uploads/2016/06/Little-Italy.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("709", "1", "2016-06-13 23:45:20", "2016-06-13 23:45:20", "", "Francoluigis-Pizzeria", "", "inherit", "closed", "closed", "", "francoluigis-pizzeria", "", "", "2016-06-13 23:45:25", "2016-06-13 23:45:25", "", "700", "http://buckspizza.com/wp-content/uploads/2016/06/Francoluigis-Pizzeria.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("710", "1", "2016-06-13 23:46:31", "2016-06-13 23:46:31", "", "Rosas-Fresh-Pizza", "", "inherit", "closed", "closed", "", "rosas-fresh-pizza", "", "", "2016-06-13 23:46:36", "2016-06-13 23:46:36", "", "700", "http://buckspizza.com/wp-content/uploads/2016/06/Rosas-Fresh-Pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("712", "1", "2016-06-13 23:53:57", "2016-06-13 23:53:57", "", "Phillys-Top-10-Pizza-Places", "", "inherit", "closed", "closed", "", "phillys-top-10-pizza-places-2", "", "", "2016-06-13 23:54:04", "2016-06-13 23:54:04", "", "700", "http://buckspizza.com/wp-content/uploads/2016/06/Phillys-Top-10-Pizza-Places.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("714", "1", "2016-06-13 23:55:42", "2016-06-13 23:55:42", "There you are in the City of Brotherly love, craving pizza, but there are so many places to choose from! How to pick? Which Philly pizzerias can be counted on to provide a great slice of pie?\r\n\r\nNever fear, we’ve got ten suggestions for you. In no particular order, they are:\r\n<h2>Luigi’s Pizza Fresca</h2>\r\n<img class=\"aligncenter size-full wp-image-701\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Luigis-Pizza-Fresca.jpg\" alt=\"Luigi’s Pizza Fresca\" />\r\n\r\nYou’ve got to love a place that promises “fresh ideas in pizza,” particularly when that place has garnered awards like “Best Pizza,” “Best Over the Top Topping,” and “Best Sicilian Pizza,” just to name a few. Opt for the regular slice or go “whole hog” for the stuffed version.\r\n\r\n<a href=\"http://www.luigispizzafresca.com/philadelphia.php\" target=\"_blank\">Website</a>\r\n<h2>Lazaro’s Pizzeria and Grill</h2>\r\n<img class=\"aligncenter size-full wp-image-702\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Lazaros-Pizzeria-and-Grill.jpg\" alt=\"Lazaro’s Pizzeria and Grill\" />\r\n\r\nIf you like gonzo slices—as in, so big you can’t eat them with one hand—on a thin crust, Lazaro’s may be the place for you! Known for its sweet sauce, this South Street pizzeria will let you order a slice with any and as many toppings you want.\r\n<h2>Rustica</h2>\r\n<img class=\"aligncenter size-full wp-image-703\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Rustica.jpg\" alt=\"Rustica\" />\r\n\r\nUnusual pizza is Rustica’s specialty, and with pies like the Jambalaya (chicken, clams, red peppers, and carrots) and the Scrapple (Habbersett scrapple, sunny-side-up egg, and siracha catsup), we can certainly understand what they mean!\r\n\r\n<a href=\"http://rusticaphilly.com/\" target=\"_blank\">Website</a>\r\n<h2>Rosa’s Fresh Pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-710\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Rosas-Fresh-Pizza.jpg\" alt=\"Rosa’s Fresh Pizza\" />\r\n\r\nBilled as “The Freshest Slice in Philly,” Rosa’s not only gives you an excellent slice of pie for a buck—that’s right, $1—but give over a second dollar, and Rosa’s owner will use it to provide a slice to the homeless. You can even write a Post-It to go along with your donation!\r\n\r\n<a href=\"http://www.rosasfreshpizza.com/\" target=\"_blank\">Website</a>\r\n<h2>Kermit’s Bake Shoppe</h2>\r\n<img class=\"aligncenter size-full wp-image-704\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Kermits-Bake-Shoppe.jpg\" alt=\"Kermit’s Bake Shoppe\" />\r\n\r\nIf you find yourself on Washington Avenue, you’ll want to check out this pizza-and-cake shoppe, where each pizza slice is topped with three kinds of cheese—mozzarella, Grana Padano, and Romano—and mouthwatering desserts range from bread pudding to a toasted coconut cream tart.\r\n\r\n<a href=\"http://www.kermitsbakeshoppe.com/\" target=\"_blank\">Website</a>\r\n<h2>Lorenzo &amp; Sons</h2>\r\n<img class=\"aligncenter size-full wp-image-705\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Lorenzo-Sons.jpg\" alt=\"Lorenzo &amp; Sons\" />\r\n\r\nColossal slices from what The Daily Meal calls one of the top 101 pizzeria’s in the U.S. Listen, these slices are so big, it takes two paper plates to hold just one! Each slice is a meal in itself, and for a reasonable price, too!\r\n\r\n<a href=\"http://www.lorenzoandsons.com/\" target=\"_blank\">Website</a>\r\n<h2>Pizza Brain</h2>\r\n<img class=\"aligncenter size-full wp-image-706\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Pizza-Brain.jpg\" alt=\"Pizza Brain\" />\r\n\r\nIf you have pizza on your brain, you might want to head for Fishtown’s Pizza Brain, where you can get a delicious Bob Shieldsmoose white pie, topped with brisket, maytag bleu cheese brisket, garlic, horseradish, black pepper, mozzarella, and rosemary, plus a stroll through the pizza memorabilia museum.\r\n\r\n<a href=\"http://www.pizzabrain.org/\" target=\"_blank\">Website</a>\r\n<h2>Slice</h2>\r\n<img class=\"aligncenter size-full wp-image-707\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Slice.jpg\" alt=\"Slice\" />\r\n\r\n<i>Mmm.</i> Just imagine an ultra-thin, ultra-crispy crust topped with extra virgin olive oil, garlic, mozzarella, portabella mushrooms, and artichokes, all finished with white truffle oil! You can even get it gluten free at Slice!\r\n\r\n<a href=\"http://www.slicepa.com/\" target=\"_blank\">Website</a>\r\n<h2>Little Italy</h2>\r\n<img class=\"aligncenter size-full wp-image-708\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Little-Italy.jpg\" alt=\"Little Italy\" />\r\n\r\nSituated in the Italian Market, no less, Little Italy offers tangy New-York style pizza, cooked to order. As a matter of fact, the extra crispy, extra-well-done is topped with cheese hot enough to fry your taste buds!\r\n\r\n<a href=\"http://golittleitalypizza.com/\" target=\"_blank\">Website</a>\r\n<h2>Francoluigi’s Pizzeria</h2>\r\n<img class=\"aligncenter size-full wp-image-709\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Francoluigis-Pizzeria.jpg\" alt=\"Francoluigi’s Pizzeria\" />\r\n\r\nOwned by the Borda family since it first opened, Francoluigi’s offers traditional pizza, gourmet pies like the Caruso—chicken breast, onion, peppers, and mushrooms cooked in wine sauce—and square Sicilian pizza.\r\n\r\n<a href=\"http://www.francoluigis.com/\" target=\"_blank\">Website</a>\r\n<h2></h2>", "Philly’s Top 10 Pizza Places", "", "inherit", "closed", "closed", "", "700-revision-v1", "", "", "2016-06-13 23:55:42", "2016-06-13 23:55:42", "", "700", "http://buckspizza.com/2016/06/13/700-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("720", "1", "2016-06-23 19:17:26", "2016-06-23 19:17:26", "<h2>Buck’s Famous Stix</h2>\r\n<strong>Bread Stix</strong>-$3.99\r\n<span id=\"E42\">12 per order, covered with butter &amp; spices</span><span id=\"E43\"> with dipping sauce.</span>\r\n\r\n<strong>Cinnamon Stix</strong>-$3.99\r\n12 per order, with icing.\r\n\r\n<strong>Cheese Stix</strong>-$4.99\r\n<span id=\"E55\">12 per order, covered in melted cheese</span><span id=\"E56\"> with dipping sauce.</span>\r\n<p id=\"E58\"><span id=\"E59\"><strong>Family Cheese Stix</strong>-$8.00\r\n</span><span id=\"E62\">16 per order</span></p>\r\n<p id=\"E64\"><span id=\"E65\"><strong> Supreme Cheese Stix</strong>-$5.80\r\n</span><span id=\"E68\">12 per order with 1 topping</span></p>\r\n\r\n<h2>Starters</h2>\r\n<strong><span id=\"E74\">Garlic </span></strong><span id=\"E76\"><strong>Bread</strong>-6\" </span><span id=\"E78\">$1.49 12\" $2.49</span>\r\n<p id=\"E80\"><strong><span id=\"E81\"> Garlic Bread with C</span></strong><span id=\"E83\"><strong>heese</strong>-6</span><span id=\"E85\">” $2.25 12” $3.25</span></p>\r\n<p id=\"E87\"><span id=\"E88\"><strong> Chicken Tenders</strong>-$4.99\r\n</span><span id=\"E91\">Genuine </span><span id=\"E92\">oven baked</span><span id=\"E93\"> chicken tenders so lightly breaded they will melt in your mouth. </span><span id=\"E95\">4 per order.</span></p>\r\n<p id=\"E97\"><span id=\"E98\"><strong> Wings</strong>-$7.49\r\n</span><span id=\"E101\">Original, 10 per order with choice of hot, </span><span id=\"E103\">bbq</span><span id=\"E105\">, or honey </span><span id=\"E107\">bbq</span><span id=\"E109\">. Add blue</span><span id=\"E110\"> cheese, ranch or honey mustard for $.50 each.</span></p>\r\n\r\n<h2>Oven-Baked Hoagies</h2>\r\nDressings: Italian, Ranch, Blue Cheese, Mayo &amp; more. Just ask!\r\n\r\n<strong><span id=\"E124\">Italian </span></strong><span id=\"E125\"> 6\"</span><span id=\"E127\"> $4.79 12\" $8.99</span>\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<p id=\"E121\"><span id=\"E130\">Ham, hard salami, melted cheese, onion, green peppers, lettuce, and tomato &amp; Italian dressing.</span></p>\r\n<p id=\"E132\"><span id=\"E133\"> </span><strong><span id=\"E135\">Vegi-Delite</span></strong><span id=\"E137\"> </span><span id=\"E138\"> 6\" $4.79 12\" $8.99\r\n</span><span id=\"E141\">A garden fresh delight with mushrooms, onion, green pepper, black olives, </span><span id=\"E142\">and sliced tomato.</span></p>\r\n<p id=\"E144\"><span id=\"E145\"> </span><strong><span id=\"E147\">Steak </span></strong><span id=\"E148\"> 6\"</span><span id=\"E150\"> $4.79 12\" $8.99\r\n</span><span id=\"E153\">Real marinated chipped steak, mushrooms, onions, and green peppers smothered in </span><span id=\"E154\">melted cheese</span><span id=\"E155\">. Topped with lettuce and tomato &amp; with your choice of dressing.</span></p>\r\n<p id=\"E157\"><span id=\"E158\"> </span><strong><span id=\"E160\">CBS </span></strong><span id=\"E161\"> 6\"</span><span id=\"E163\"> $4.79 12\" $8.99\r\n</span><span id=\"E166\">Cheddar, bacon &amp; steak.</span></p>\r\n<p id=\"E168\"><strong><span id=\"E169\"> Turkey </span><span id=\"E171\">Club </span></strong><span id=\"E172\"> 6\"</span><span id=\"E174\"> $4.79 12\" $8.99\r\n</span><span id=\"E178\">Turkey, bacon, ham, melted cheese, &amp; lettuce and tomato.</span></p>\r\n<p id=\"E180\"><strong><span id=\"E181\"> Baked </span></strong><span id=\"E183\"><strong>Ham</strong> 6\"</span><span id=\"E185\"> $4.79 12\" $8.99\r\n</span><span id=\"E188\">Ham, melted cheese, onions, &amp; lettuce and tomato.</span></p>\r\n<p id=\"E190\"><span id=\"E191\"> </span><strong><span id=\"E193\">Turkey </span></strong><span id=\"E194\"> 6\"</span><span id=\"E196\"> $4.79 12\" $8.99\r\n</span><span id=\"E199\">Sliced turkey breast, melted cheese, and lettuce and tomato.</span></p>\r\n<p id=\"E201\"><strong><span id=\"E202\"> Buffalo </span><span id=\"E204\">Chicken </span></strong><span id=\"E205\"> 6\"</span><span id=\"E207\"> $4.79 12\" $8.99\r\n</span><span id=\"E210\">Buck’s boneless </span><span id=\"E211\">tenders</span><span id=\"E212\"> tossed in </span><span id=\"E213\">medium</span><span id=\"E214\"> wing sauce, covered in melted </span><span id=\"E215\">cheese</span><span id=\"E216\">, and topped with lettuce and tomato &amp; with your choice of dressing.</span></p>\r\n<p id=\"E218\"><strong><span id=\"E219\"> Chicken </span><span id=\"E221\">Parmesan </span></strong><span id=\"E222\"> 6\"</span><span id=\"E224\"> $4.79 12\" $8.99\r\n</span><span id=\"E227\">Buck’s delicious chicken tenders baked with our delicious tomato sauce and smothered in melted </span><span id=\"E228\">cheese</span><span id=\"E229\">.</span></p>\r\n\r\n</div>\r\n</div>\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<p id=\"E231\"><span id=\"E232\"> </span><strong><span id=\"E234\">Meatball </span></strong><span id=\"E235\"> 6\"</span><span id=\"E237\"> $4.79 12\" $8.99\r\n</span><span id=\"E239\">Meatballs, pasta sauce, and melted </span><span id=\"E240\">mozzarella.</span></p>\r\n\r\n</div>\r\n</div>\r\n<h2>Salads</h2>\r\n<span id=\"E245\">Dressings: Blue Cheese, Ranch, Caesar, Honey Mustard, Italian</span><span id=\"E246\">.</span>\r\n<p id=\"E248\"><span id=\"E249\"> </span><strong><span id=\"E250\">Caesar </span><span id=\"E252\">Salad</span></strong><span id=\"E252\"> - </span><span id=\"E253\"></span><span id=\"E254\">$</span><span id=\"E256\">4.50\r\n</span><span id=\"E259\">Romaine lettuce, parmesan cheese, croutons &amp; </span><span id=\"E261\">caesar</span><span id=\"E263\"> dressing.</span></p>\r\n<p id=\"E265\"><strong><span id=\"E266\"> Chicken Caesar </span></strong><span id=\"E268\"><strong>Salad</strong> - $</span><span id=\"E270\">5.25\r\n</span><span id=\"E273\">Romaine lettuce, parmesan cheese, croutons, tender chicken &amp; </span><span id=\"E275\">caesar</span><span id=\"E277\"> dressing</span></p>\r\n<p id=\"E279\"><strong><span id=\"E280\"> Spinach </span></strong><span id=\"E282\"><strong>Salad</strong> - $</span><span id=\"E284\">5.25\r\n</span><span id=\"E287\">Blend of romaine lettuce and spinach, black olives, cucumber, red </span><span id=\"E289\">onions</span><span id=\"E291\">,tomato</span><span id=\"E294\">, bacon and feta cheese.</span></p>\r\n<p id=\"E296\"><strong><span id=\"E297\">Chef </span></strong><span id=\"E299\"><strong>Salad</strong> - $</span><span id=\"E301\">5.25\r\n</span><span id=\"E305\">Romaine lettuce, cucumbers, red onion, tomatoes,</span><span id=\"E306\"> mozzarella &amp;</span><span id=\"E307\"> cheddar cheese</span><span id=\"E308\">, </span><span id=\"E309\">ham, turkey &amp; bacon.</span></p>\r\n<p id=\"E311\"><strong><span id=\"E312\"> Garden </span><span id=\"E314\">Salad</span></strong><span id=\"E314\"> - </span><span id=\"E315\">$</span><span id=\"E317\">4.50\r\n</span>Romaine lettuce, cucumbers, red onion &amp; tomato.</p>\r\n<p id=\"E323\"><strong><span id=\"E324\"> Greek </span><span id=\"E326\">Salad</span></strong><span id=\"E326\"> - </span><span id=\"E327\">$</span><span id=\"E329\">5.25\r\n</span><span id=\"E332\">Romaine lettuce, red onion, </span><span id=\"E333\">black</span><span id=\"E334\"> olives, tomato, cucumber, artichoke hearts &amp; feta cheese. </span></p>\r\n\r\n<h2><span id=\"E337\">Build-Your-Own Pizzas &amp; </span><span id=\"E339\">Strombolis</span></h2>\r\n(<span id=\"E344\">Strombolis</span><span id=\"E346\"> not available in </span><span id=\"E348\">Bellybuster</span><span id=\"E350\"> size</span>)\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<p id=\"E355\"><span id=\"E356\">Small 9\" (4 slices</span><span id=\"E358\">) $</span><span id=\"E360\">4.99</span></p>\r\n<p id=\"E362\"><span id=\"E363\"> Medium 12\" (6 slices</span><span id=\"E365\">) $</span><span id=\"E367\">6.99</span></p>\r\n\r\n</div>\r\n</div>\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<p id=\"E369\"><span id=\"E370\"> Large 14\" (8 slices</span><span id=\"E372\">) $</span><span id=\"E374\">8.99</span></p>\r\n<p id=\"E376\"><span id=\"E377\"> X-Large 16\" (12 slices</span><span id=\"E379\">) $</span><span id=\"E381\">10.99</span></p>\r\n<p id=\"E383\"><span id=\"E384\"> </span><span id=\"E386\">Bellybu</span><span id=\"E387\">ster</span><span id=\"E389\"> 1\' x 2\' (21 slices</span><span id=\"E391\">) $</span><span id=\"E393\">13.99</span><span id=\"E394\"></span></p>\r\n\r\n</div>\r\n</div>\r\n&nbsp;\r\n<h3>Regular Toppings</h3>\r\n<p id=\"E397\"><span id=\"E398\">80¢ each per Small 9\"</span></p>\r\n<p id=\"E399\"><span id=\"E400\">$1.</span><span id=\"E401\">00</span><span id=\"E402\"> each per Medium 12\"</span></p>\r\n<p id=\"E403\"><span id=\"E404\">$1.</span><span id=\"E405\">50</span><span id=\"E406\"> each per Large 14\"</span></p>\r\n<p id=\"E407\"><span id=\"E408\">$1.</span><span id=\"E409\">75</span><span id=\"E410\"> each per X-Large 16\"</span></p>\r\n<p id=\"E411\"><span id=\"E412\">$2.50 each per </span><span id=\"E414\">Bellybuster</span><span id=\"E416\"> 1\' x 2\'</span></p>\r\n\r\n<ul>\r\n 	<li>\r\n<p id=\"E419\"><span id=\"E420\">Pepperoni</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E419\"><span id=\"E420\"></span><span id=\"E422\">Ham</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E419\"><span id=\"E422\"></span><span id=\"E424\">Mushrooms</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E419\"><span id=\"E424\"></span><span id=\"E426\">Bacon</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E426\"></span><span id=\"E428\">Fresh</span><span id=\"E429\"> onions</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E429\"></span><span id=\"E431\">Anchovies</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E431\"></span><span id=\"E433\">Green pepper</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E433\"></span><span id=\"E435\">Sausage</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E435\"></span><span id=\"E437\">Green olives</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E437\"></span><span id=\"E439\">Fresh spinach</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E439\"></span><span id=\"E441\">Black olives</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E441\"></span><span id=\"E443\">Pineapple</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E443\"></span><span id=\"E445\">Canadian bacon</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E445\"></span><span id=\"E447\">Jalapeños</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E447\"></span><span id=\"E449\">Banana peppers</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E449\"></span><span id=\"E451\">Roma tomatoes</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E451\"></span><span id=\"E453\">Ground beef</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E453\"></span><span id=\"E455\">Extra cheese</span></p>\r\n</li>\r\n</ul>\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<h3 id=\"E457\"><span id=\"E458\">Premium Toppings</span></h3>\r\n<p id=\"E459\"><span id=\"E460\">$2.</span><span id=\"E461\">00</span><span id=\"E462\"> each per Small 9\"</span></p>\r\n<p id=\"E463\"><span id=\"E464\">$3.</span><span id=\"E465\">00</span><span id=\"E466\"> each per Medium 12\"</span></p>\r\n<p id=\"E467\"><span id=\"E468\">$4.</span><span id=\"E469\">25</span><span id=\"E470\"> each per Large 14\"</span></p>\r\n<p id=\"E471\"><span id=\"E472\">$</span><span id=\"E473\">4.50</span><span id=\"E474\"> each per X-Large 16\"</span></p>\r\n<p id=\"E475\"><span id=\"E476\">$5.00 each per </span><span id=\"E478\">Bellybuster</span><span id=\"E480\"> 1\'x 2\'</span></p>\r\n\r\n<ul>\r\n 	<li id=\"E482\"><span id=\"E483\">Artichoke </span></li>\r\n 	<li id=\"E484\"><span id=\"E485\">Fresh mozzarella</span></li>\r\n 	<li id=\"E486\"><span id=\"E487\">Chicken</span></li>\r\n 	<li>USDA choice steak</li>\r\n 	<li>Alfredo sauce</li>\r\n 	<li>Feta cheese</li>\r\n 	<li>Fresh basil</li>\r\n</ul>\r\n<h3 id=\"E498\"><span id=\"E499\">Extra Cheese</span></h3>\r\n<p id=\"E500\"><span id=\"E501\">$1.20 each per Small 9\"</span></p>\r\n<p id=\"E502\"><span id=\"E503\">$1.</span><span id=\"E504\">50</span><span id=\"E505\"> each per Medium 12\"</span></p>\r\n<p id=\"E506\"><span id=\"E507\">$2.</span><span id=\"E508\">00</span><span id=\"E509\"> each per Large 14\"</span></p>\r\n<p id=\"E510\"><span id=\"E511\">$2.</span><span id=\"E512\">50</span><span id=\"E513\"> each per X-Large 16\"</span></p>\r\n<p id=\"E514\"><span id=\"E515\">$3.50 each per </span><span id=\"E517\">Bellybuster</span><span id=\"E519\"> 1\' x 2\'</span></p>\r\n\r\n<ul>\r\n 	<li id=\"E521\"><span id=\"E522\">Extra mozzarella</span></li>\r\n 	<li id=\"E523\"><span id=\"E524\">Cheddar cheese</span></li>\r\n 	<li id=\"E525\"><span id=\"E526\">Feta cheese</span></li>\r\n</ul>\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<h2 id=\"E528\"><span id=\"E529\">Specialty Pizzas &amp; </span><span id=\"E531\">Strombolis</span><span id=\"E533\"> </span></h2>\r\n<p id=\"E534\"><span id=\"E535\">(</span><span id=\"E537\">Strombolis</span><span id=\"E539\"> not available in </span><span id=\"E541\">Bellybuster</span><span id=\"E543\"> size)</span></p>\r\n\r\n<h3 id=\"E545\"><span id=\"E547\">Superfino</span></h3>\r\n<p id=\"E550\"><strong><span id=\"E551\"> Buck’s </span></strong><span id=\"E553\"><strong>Deluxe</strong> sm</span><span id=\"E555\">. $</span><span id=\"E557\">8.</span><span id=\"E558\">49</span><span id=\"E559\"> </span><span id=\"E561\">md</span><span id=\"E563\">.</span><span id=\"E565\"> $</span><span id=\"E567\">12.49</span><span id=\"E568\"> lg</span><span id=\"E570\">. $</span><span id=\"E572\">16.49</span><span id=\"E573\"> xl</span><span id=\"E575\">. $</span><span id=\"E577\">19.74 </span><span id=\"E579\">bellybuster</span><span id=\"E582\"> $26.49\r\n</span><span id=\"E585\">A hearty combination of pepperoni, onion, mushroom, sausage &amp; green pepper.</span></p>\r\n<p id=\"E587\"><strong><span id=\"E588\"> 5 </span></strong><span id=\"E590\"><strong>Meat</strong> sm</span><span id=\"E592\">. $</span><span id=\"E594\">8.</span><span id=\"E595\">49</span><span id=\"E596\"> </span><span id=\"E598\">md</span><span id=\"E600\">.</span><span id=\"E602\"> $</span><span id=\"E603\">12.49 </span><span id=\"E604\">lg. $</span><span id=\"E605\">16.49 </span><span id=\"E607\">xl</span><span id=\"E609\">. $</span><span id=\"E611\">19.74 </span><span id=\"E613\">bellybuster</span><span id=\"E616\"> $26.49\r\n</span><span id=\"E619\">A must for hearty appetites! </span><span id=\"E621\">pepperoni</span><span id=\"E623\">, sausage, ham, bacon &amp; ground beef.</span></p>\r\n<p id=\"E625\"><strong><span id=\"E626\"> BBQ </span></strong><span id=\"E628\"><strong>Chicken</strong> sm</span><span id=\"E630\">. $8.</span><span id=\"E631\">49</span><span id=\"E632\"> </span><span id=\"E634\">md.</span><span id=\"E636\"> $</span><span id=\"E638\">12.49</span><span id=\"E639\"> lg</span><span id=\"E641\">. $</span><span id=\"E643\">16.49</span><span id=\"E644\"> xl</span><span id=\"E646\">. $</span><span id=\"E648\">19.74 </span><span id=\"E650\">bellybuster</span><span id=\"E653\"> $26.49\r\n</span><span id=\"E657\">Tender chunks of chicken tossed in our blend of </span><span id=\"E659\">bbq</span><span id=\"E661\"> &amp; pizza sauce, with red onion, real bacon, mozzarella &amp; aged cheddar.</span></p>\r\n<p id=\"E663\"><strong><span id=\"E664\"> Buffalo </span></strong><span id=\"E666\"><strong>Chicken</strong> sm</span><span id=\"E668\">. $</span><span id=\"E670\">8.</span><span id=\"E671\">49</span><span id=\"E672\"> </span><span id=\"E674\">md</span><span id=\"E676\">.</span><span id=\"E678\"> $</span><span id=\"E680\">12.49</span><span id=\"E681\"> lg</span><span id=\"E683\">. $</span><span id=\"E685\">16.49</span><span id=\"E686\"> xl</span><span id=\"E688\">. $</span><span id=\"E690\">19.74 </span><span id=\"E692\">bellybuster</span><span id=\"E695\"> $26.49\r\n</span><span id=\"E698\">Your choice of Buck’s mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella &amp; chicken, all topped with sizzling bacon. Hang on to your </span><span id=\"E700\">ha</span><span id=\"E701\">t !</span></p>\r\n<p id=\"E704\"><strong><span id=\"E705\"> CBS </span></strong><span id=\"E707\"><strong>Special</strong> sm</span><span id=\"E709\">. $</span><span id=\"E711\">8.</span><span id=\"E712\">49</span><span id=\"E713\"> </span><span id=\"E715\">md</span><span id=\"E717\">.</span><span id=\"E719\"> $</span><span id=\"E721\">12.49</span><span id=\"E722\"> lg</span><span id=\"E724\">. $</span><span id=\"E726\">16.49</span><span id=\"E727\"> xl</span><span id=\"E729\">. $</span><span id=\"E731\">19.74 </span><span id=\"E733\">bellybuster</span><span id=\"E736\"> $26.49\r\n</span><span id=\"E739\">Melted aged cheddar, sizzling bacon and chipped </span><span id=\"E741\">mouth watering</span><span id=\"E743\"> USDA choice steak. Maybe we should call this one ‘heaven-on-earth’.</span></p>\r\n\r\n</div>\r\n</div>\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<p id=\"E745\"><span id=\"E746\"> </span><strong><span id=\"E748\">Vegi-</span><span id=\"E750\">Delite</span></strong><span id=\"E752\"> sm</span><span id=\"E754\">. $</span><span id=\"E756\">8.</span><span id=\"E757\">49</span><span id=\"E758\"> </span><span id=\"E760\">md</span><span id=\"E762\">.</span><span id=\"E764\"> $</span><span id=\"E766\">12.49</span><span id=\"E767\"> lg</span><span id=\"E769\">. $</span><span id=\"E771\">16.49</span><span id=\"E772\"> xl</span><span id=\"E774\">. $</span><span id=\"E776\">19.74 </span><span id=\"E778\">bellybuster</span><span id=\"E781\"> $ 26.49\r\n</span><span id=\"E784\">A garden fresh delight with mushrooms, onion, green peppers, black and green olives &amp; sliced tomato.</span></p>\r\n<p id=\"E786\"><span id=\"E787\"><strong> Chicken Club</strong> (White Pizza</span><span id=\"E789\">) sm</span><span id=\"E791\">. $</span><span id=\"E793\">8.</span><span id=\"E794\">49</span><span id=\"E795\"> </span><span id=\"E797\">md</span><span id=\"E799\">.</span><span id=\"E801\"> $</span><span id=\"E803\">12.49</span><span id=\"E804\"> lg</span><span id=\"E806\">. $</span><span id=\"E808\">16.49</span><span id=\"E809\"> xl</span><span id=\"E811\">. $</span><span id=\"E813\">19.74 </span><span id=\"E815\">bellybuster</span><span id=\"E818\"> $ 26.49\r\n</span><span id=\"E821\">A light garlic sauce and mozzarella cheese with chunks of marinated chicken, </span><span id=\"E824\">canadian</span><span id=\"E827\"> bacon, red onion &amp; bacon.</span></p>\r\n<p id=\"E829\"><span id=\"E830\"><strong> Greek</strong> (White Pizza</span><span id=\"E832\">) sm</span><span id=\"E834\">. $</span><span id=\"E836\">8.</span><span id=\"E837\">49</span><span id=\"E838\"> </span><span id=\"E840\">md</span><span id=\"E842\">.</span><span id=\"E844\"> $</span><span id=\"E846\">12.49 lg</span><span id=\"E848\">. $</span><span id=\"E850\">16.49 </span><span id=\"E851\">xl</span><span id=\"E853\">. $</span><span id=\"E855\">19.74 </span><span id=\"E857\">bellybuster</span><span id=\"E860\"> $26.49\r\n</span><span id=\"E863\">A light garlic sauce, mozzarella, </span><span id=\"E864\">black</span><span id=\"E865\"> olives, red onion, artichoke hearts, fresh </span><span id=\"E867\">roma</span><span id=\"E869\"> tomato slices &amp; feta cheese.</span></p>\r\n<p id=\"E871\"><span id=\"E872\"><strong> Margherita</strong> (White Pizza</span><span id=\"E874\">) sm</span><span id=\"E876\">. $</span><span id=\"E878\">8.</span><span id=\"E879\">49</span><span id=\"E880\"> </span><span id=\"E882\">md</span><span id=\"E884\">.</span><span id=\"E886\"> $</span><span id=\"E888\">12.49</span><span id=\"E889\"> lg</span><span id=\"E891\">. $</span><span id=\"E893\">16.49</span><span id=\"E894\"> xl</span><span id=\"E896\">. $</span><span id=\"E898\">19.74 </span><span id=\"E900\">bellybuster</span><span id=\"E903\"> $26.49\r\n</span><span id=\"E906\">Our light garlic sauce with blended parmesan, sliced </span><span id=\"E908\">roma</span><span id=\"E910\"> tomatoes, chopped fresh basil &amp; lots of mozzarella cheese.</span></p>\r\n\r\n<h3 id=\"E912\"><span id=\"E913\">Bravo</span></h3>\r\n<p id=\"E915\"><strong><span id=\"E916\"> 4 Cheese </span></strong><span id=\"E918\"><strong>Medley</strong> sm</span><span id=\"E920\">. $</span><span id=\"E922\">6.89</span><span id=\"E923\"> </span><span id=\"E925\">md</span><span id=\"E927\">.</span><span id=\"E929\"> $</span><span id=\"E931\">10.29</span><span id=\"E932\"> lg</span><span id=\"E934\">. $</span><span id=\"E936\">13.49</span><span id=\"E937\"> xl</span><span id=\"E939\">. $</span><span id=\"E941\">16.49 </span><span id=\"E943\">bellybuster</span><span id=\"E946\"> $21.49\r\n</span><span id=\"E949\">A blend of cheddar, mozzarella, parmesan &amp; feta cheese. A bold &amp; exciting flavor!</span></p>\r\n<p id=\"E951\"><strong><span id=\"E952\"> CBH </span></strong><span id=\"E954\"><strong>Special</strong> sm</span><span id=\"E956\">. $</span><span id=\"E958\">6.89</span><span id=\"E959\"> </span><span id=\"E961\">md</span><span id=\"E963\">.</span><span id=\"E965\"> $</span><span id=\"E967\">10.29</span><span id=\"E968\"> lg</span><span id=\"E970\">. $</span><span id=\"E972\">13.49</span><span id=\"E973\"> xl</span><span id=\"E975\">. $</span><span id=\"E977\">16.49 </span><span id=\"E979\">bellybuster</span><span id=\"E982\"> $21.49\r\n</span><span id=\"E985\">Everything is better with bacon and this proves it. </span><span id=\"E986\">S</span><span id=\"E987\">moked ham, melted aged cheddar and sizzling bacon. </span><span id=\"E989\">Mmm</span><span id=\"E991\"> good!</span></p>\r\n<p id=\"E993\"><span id=\"E994\"> </span><strong><span id=\"E996\">Italian </span></strong><span id=\"E997\"> </span><span id=\"E998\">sm</span><span id=\"E1000\">. $</span><span id=\"E1002\">6.89</span><span id=\"E1003\"> </span><span id=\"E1005\">md</span><span id=\"E1007\">.</span><span id=\"E1009\"> $</span><span id=\"E1011\">1</span><span id=\"E1012\">0.29</span><span id=\"E1013\"> lg</span><span id=\"E1015\">. $1</span><span id=\"E1016\">3.49 </span><span id=\"E1018\">xl</span><span id=\"E1020\">. $</span><span id=\"E1022\">16.49 </span><span id=\"E1024\">bellybuster</span><span id=\"E1027\"> $21.49\r\n</span><span id=\"E1030\">Classic Italian</span><span id=\"E1031\">, hard salami, smoked ham, fresh onions, green peppers &amp; lots of mozzarella. The flavor really pops </span><span id=\"E1032\">with the oven-baked hard </span><span id=\"E1034\">salami !</span></p>\r\n\r\n</div>\r\n</div>\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<p id=\"E1037\"><strong><span id=\"E1038\"> The </span></strong><span id=\"E1040\"><strong>Meatball</strong> sm</span><span id=\"E1042\">. $</span><span id=\"E1044\">6.89 </span><span id=\"E1046\">md</span><span id=\"E1048\">.</span><span id=\"E1050\"> $</span><span id=\"E1052\">10.29 lg</span><span id=\"E1054\">. $</span><span id=\"E1056\">13.49 xl</span><span id=\"E1058\">. $</span><span id=\"E1060\">16.49 </span><span id=\"E1062\">bellybuster</span><span id=\"E1065\"> $21.49\r\n</span><span id=\"E1068\">Meatball, mozzarella cheese and pasta sauce. </span></p>\r\n\r\n<h3 id=\"E1070\"><span id=\"E1072\">Favorito</span></h3>\r\n<p id=\"E1075\"><span id=\"E1076\"><strong> Old World</strong> (White Pizza</span><span id=\"E1078\">) sm</span><span id=\"E1080\">. $</span><span id=\"E1082\">6.</span><span id=\"E1083\">09</span><span id=\"E1084\"> </span><span id=\"E1086\">md</span><span id=\"E1088\">.</span><span id=\"E1090\"> $</span><span id=\"E1092\">9.19</span><span id=\"E1093\"> lg</span><span id=\"E1095\">. $</span><span id=\"E1097\">11.44</span><span id=\"E1098\"> xl</span><span id=\"E1100\">. $</span><span id=\"E1102\">14.49 </span><span id=\"E1104\">bellybuster</span><span id=\"E1107\"> $18.99\r\n</span><span id=\"E1110\">Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon &amp; sliced tomato.</span></p>\r\n<p id=\"E1112\"><strong><span id=\"E1113\"> Bacon </span></strong><span id=\"E1115\"><strong>Cheeseburger</strong> sm</span><span id=\"E1117\">. $</span><span id=\"E1119\">6.</span><span id=\"E1120\">09</span><span id=\"E1121\"> </span><span id=\"E1123\">md</span><span id=\"E1125\">.</span><span id=\"E1127\"> $</span><span id=\"E1129\">9.19</span><span id=\"E1130\"> lg</span><span id=\"E1132\">. $1</span><span id=\"E1133\">1.44</span><span id=\"E1134\">xl. $</span><span id=\"E1136\">1</span><span id=\"E1137\">4.49 </span><span id=\"E1139\">bellybuster</span><span id=\"E1142\"> $18.99\r\n</span><span id=\"E1145\">The backyard grilled flavor of hamburger &amp; bacon topped with mozzarella &amp; aged cheddar.</span></p>\r\n<p id=\"E1147\"><span id=\"E1148\"> </span><span id=\"E1150\"><strong>Hawaiian</strong> sm</span><span id=\"E1152\">. $</span><span id=\"E1154\">6.</span><span id=\"E1155\">09</span><span id=\"E1156\"> </span><span id=\"E1158\">md</span><span id=\"E1160\">.</span><span id=\"E1162\"> $</span><span id=\"E1164\">9.19</span><span id=\"E1165\"> lg</span><span id=\"E1167\">. $1</span><span id=\"E1168\">1.44 </span><span id=\"E1170\">xl</span><span id=\"E1172\">. $</span><span id=\"E1174\">1</span><span id=\"E1175\">4.49 </span><span id=\"E1177\">bellybuster</span><span id=\"E1180\"> $18.99\r\n</span><span id=\"E1183\">A taste of the islands with generous portions of pineapple &amp; </span><span id=\"E1186\">Canadian</span><span id=\"E1189\"> bacon.</span></p>\r\n<p id=\"E1191\"><strong><span id=\"E1192\"> Pepperoni </span></strong><span id=\"E1194\"><strong>Classic</strong> sm</span><span id=\"E1196\">. $</span><span id=\"E1198\">6.</span><span id=\"E1199\">09</span><span id=\"E1200\"> </span><span id=\"E1202\">md</span><span id=\"E1204\">.</span><span id=\"E1206\"> $</span><span id=\"E1208\">9.19</span><span id=\"E1209\"> lg</span><span id=\"E1211\">. $</span><span id=\"E1213\">11.44</span><span id=\"E1214\"> xl</span><span id=\"E1216\">. $</span><span id=\"E1218\">14.49 </span><span id=\"E1220\">bellybuster</span><span id=\"E1223\"> $18.99\r\n</span><span id=\"E1226\">America’s favorite pizza with an edge to edge layer of pepperoni &amp; extra mozzarella cheese</span></p>\r\n<p id=\"E1228\"><strong><span id=\"E1229\"> Sausage </span></strong><span id=\"E1231\"><strong>Classic</strong> sm</span><span id=\"E1233\">. $</span><span id=\"E1235\">6.</span><span id=\"E1236\">09</span><span id=\"E1237\"> </span><span id=\"E1239\">md</span><span id=\"E1241\">.</span><span id=\"E1243\"> $</span><span id=\"E1245\">9.19</span><span id=\"E1246\"> lg</span><span id=\"E1248\">. $</span><span id=\"E1250\">11.44</span><span id=\"E1251\"> xl</span><span id=\"E1253\">. $</span><span id=\"E1255\">14.49 </span><span id=\"E1257\">bellybuster</span><span id=\"E1260\"> $18.99\r\n</span><span id=\"E1263\">Wake up your taste buds with lots of sausage &amp; extra mozzarella</span></p>\r\n<p id=\"E1265\"><strong><span id=\"E1266\"> Ham &amp; </span></strong><span id=\"E1268\"><strong>Cheese</strong> sm</span><span id=\"E1270\">. $</span><span id=\"E1272\">6.</span><span id=\"E1273\">09</span><span id=\"E1274\"> </span><span id=\"E1276\">md</span><span id=\"E1278\">.</span><span id=\"E1280\"> $</span><span id=\"E1282\">9.19</span><span id=\"E1283\"> lg</span><span id=\"E1285\">. $</span><span id=\"E1287\">11.44</span><span id=\"E1288\"> xl</span><span id=\"E1290\">. $</span><span id=\"E1292\">14.49 </span><span id=\"E1294\">bellybuster</span><span id=\"E1297\"> $18.99\r\n</span><span id=\"E1300\">What could be simpler or more delicious than smoked ham &amp; melted mozzarella and aged cheddar?</span></p>\r\n\r\n<h3 id=\"E1302\"><span id=\"E1304\">Magnifico</span></h3>\r\n<p id=\"E1307\"><span id=\"E1308\"><strong> Steak ‘N Cheese</strong> (White Pizza</span><span id=\"E1310\">) sm</span><span id=\"E1312\">. $</span><span id=\"E1314\">10.</span><span id=\"E1315\">49</span><span id=\"E1316\"> </span><span id=\"E1318\">md</span><span id=\"E1320\">.</span><span id=\"E1322\"> $</span><span id=\"E1324\">15.24</span><span id=\"E1325\"> lg</span><span id=\"E1327\">. $</span><span id=\"E1329\">20.24</span><span id=\"E1330\"> xl</span><span id=\"E1332\">. $</span><span id=\"E1334\">24.11 </span><span id=\"E1336\">bellybuster</span><span id=\"E1339\"> $32.74\r\n</span><span id=\"E1342\">Our special light garlic sauce topped with real marinated chipped steak, onions, green peppers, mushrooms &amp; extra mozzarella cheese.</span></p>\r\n\r\n</div>\r\n</div>\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<p id=\"E1344\"><strong><span id=\"E1345\"> Spinach </span></strong><span id=\"E1347\"><strong>Alfredo</strong> sm</span><span id=\"E1349\">. $</span><span id=\"E1351\">10.</span><span id=\"E1352\">49</span><span id=\"E1353\"> </span><span id=\"E1355\">md</span><span id=\"E1357\">.</span><span id=\"E1359\"> $1</span><span id=\"E1360\">5.24 </span><span id=\"E1361\">lg. $2</span><span id=\"E1362\">0.24 </span><span id=\"E1364\">xl</span><span id=\"E1366\">. $</span><span id=\"E1368\">2</span><span id=\"E1369\">4.11 </span><span id=\"E1371\">bellybuster</span><span id=\"E1374\"> $32.74\r\n</span><span id=\"E1377\">A creamy </span><span id=\"E1379\">alfredo</span><span id=\"E1381\"> sauce topped with spinach, slices of </span><span id=\"E1383\">roma</span><span id=\"E1385\"> tomatoes, real bacon &amp; lots of mozzarella.</span></p>\r\n<p id=\"E1387\"><strong><span id=\"E1388\"> Chicken </span></strong><span id=\"E1390\"><strong>Alfredo</strong> sm</span><span id=\"E1392\">. $</span><span id=\"E1394\">10.</span><span id=\"E1395\">49</span><span id=\"E1396\"> </span><span id=\"E1398\">md</span><span id=\"E1400\">.</span><span id=\"E1402\"> $</span><span id=\"E1404\">15.24</span><span id=\"E1405\"> lg</span><span id=\"E1407\">. $</span><span id=\"E1409\">20.24</span><span id=\"E1410\"> xl</span><span id=\"E1412\">. $</span><span id=\"E1414\">24.11 </span><span id=\"E1416\">bellybuster</span><span id=\"E1419\"> $32.74\r\n</span><span id=\"E1422\">Classic </span><span id=\"E1424\">alfredo</span><span id=\"E1426\"> sauce with chicken, red onion &amp; real bacon, topped with 100% mozzarella cheese.</span></p>\r\n<p id=\"E1427\"><strong><span id=\"E1428\"> Wild </span></strong><span id=\"E1430\"><strong>Buck</strong> sm</span><span id=\"E1432\">. $</span><span id=\"E1434\">10.</span><span id=\"E1435\">49</span><span id=\"E1436\"> </span><span id=\"E1438\">md</span><span id=\"E1440\">.</span><span id=\"E1442\"> $1</span><span id=\"E1443\">5.24 </span><span id=\"E1444\">lg. $</span><span id=\"E1446\">20.24</span><span id=\"E1447\"> xl</span><span id=\"E1449\">. $</span><span id=\"E1451\">24.11 </span><span id=\"E1453\">bellybuster</span><span id=\"E1456\"> $32.74\r\n</span><span id=\"E1459\">If you order ‘everything-but-the-fish’ this is what you’ll get. Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives and extra mozzarella...it’s wild!</span></p>\r\n\r\n<h3 id=\"E1461\"><span id=\"E1462\">Pasta Dishes</span></h3>\r\n<p id=\"E1463\"><span id=\"E1464\">All of our pasta meals are served with fresh baked Bread Stix. </span><span id=\"E1467\">You may add a meatball to any meal for $1.50.</span></p>\r\n<p id=\"E1469\"><span id=\"E1470\"> </span><span id=\"E1472\"><strong>Spaghetti</strong> sm</span><span id=\"E1474\">. $</span><span id=\"E1476\">3.99</span><span id=\"E1477\"> reg</span><span id=\"E1479\">. $</span><span id=\"E1480\">6.99\r\n</span><span id=\"E1483\">A generous portion of spaghetti topped with the best tomato pasta sauce you will find anywhere. </span></p>\r\n<p id=\"E1485\"><strong><span id=\"E1486\"> Spaghetti &amp; </span></strong><span id=\"E1488\"><strong>Meatballs</strong> sm</span><span id=\"E1490\">. $</span><span id=\"E1492\">5.49</span><span id=\"E1493\"> reg</span><span id=\"E1495\">. $</span><span id=\"E1496\">9.99\r\n</span><span id=\"E1499\">A generous portion of spaghetti topped with meatballs and the best tomato pasta sauce you will find anywhere.</span></p>\r\n<p id=\"E1501\"><strong><span id=\"E1502\"> Fettuccine </span></strong><span id=\"E1504\"><strong>Alfredo</strong> sm</span><span id=\"E1506\">. $</span><span id=\"E1508\">4.99</span><span id=\"E1509\"> reg</span><span id=\"E1511\">. $</span><span id=\"E1512\">8.99\r\n</span><span id=\"E1515\">A generous portion of fettuccine tossed in our deliciously rich and creamy </span><span id=\"E1517\">alfredo</span><span id=\"E1519\"> sauce.</span></p>\r\n<p id=\"E1521\"><strong><span id=\"E1522\"> Chicken </span></strong><span id=\"E1524\"><strong>Alfredo</strong> sm</span><span id=\"E1526\">. $</span><span id=\"E1528\">6.49</span><span id=\"E1529\"> reg</span><span id=\"E1531\">. $</span><span id=\"E1532\">11.99\r\n</span><span id=\"E1535\">A generous portion of fettuccine tossed in our deliciously rich and creamy </span><span id=\"E1537\">alfredo</span><span id=\"E1539\"> sauce and with tender strips of grilled chicken.</span></p>\r\n<p id=\"E1541\"><span id=\"E1542\"> </span><strong><span id=\"E1543\">Chicken </span></strong><span id=\"E1545\"><strong>Parmesan</strong> sm</span><span id=\"E1547\">. $</span><span id=\"E1549\">6.49</span><span id=\"E1550\"> reg</span><span id=\"E1552\">. $</span><span id=\"E1553\">11.99\r\n</span><span id=\"E1556\">Hand-breaded chicken covered in tomato pasta sauce and melted mozzarella served over penne.</span></p>\r\n<p id=\"E1558\"><strong><span id=\"E1559\"> Cheese </span></strong><span id=\"E1561\"><strong>Ravioli</strong> sm</span><span id=\"E1563\">. $</span><span id=\"E1565\">6.99 reg</span><span id=\"E1567\">. $12.99\r\n</span>Rich and creamy ricotta stuffed ravioli served with tomato pasta sauce.</p>\r\n\r\n</div>\r\n</div>\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<p id=\"E1572\"><strong><span id=\"E1573\"> Beef </span></strong><span id=\"E1575\"><strong>Ravioli</strong> sm</span><span id=\"E1577\">. $</span><span id=\"E1579\">5.99 reg</span><span id=\"E1581\">. $10.99\r\n</span><span id=\"E1584\">Tender and delicious beef stuffed ravioli served with tomato pasta sauce.</span></p>\r\n<p id=\"E1586\"><strong><span id=\"E1587\"> Portobello </span></strong><span id=\"E1589\"><strong>Ravioli</strong> sm</span><span id=\"E1591\">. $</span><span id=\"E1593\">7.99 reg</span><span id=\"E1595\">. $14.99\r\n</span><span id=\"E1597\">Portobello mushrooms with ricotta and </span><span id=\"E1600\">romano</span><span id=\"E1603\"> cheese stuffed ravioli served with tomato pasta sauce.</span></p>\r\n\r\n<h2 id=\"E1605\"><span id=\"E1606\">Sweet Treats</span></h2>\r\n<p id=\"E1608\"><strong><span id=\"E1609\"> Cinnamon </span></strong><span id=\"E1611\"><strong>Stix</strong> $</span><span id=\"E1613\">3.99\r\n</span><span id=\"E1616\" style=\"line-height: 1.5;\">Chewy bread </span><span id=\"E1618\" style=\"line-height: 1.5;\">stix</span><span id=\"E1620\" style=\"line-height: 1.5;\"> covered with a sweet combination of cinnamon and sugar &amp; served with icing.</span><span id=\"E1621\" style=\"line-height: 1.5;\"> 12 per order.</span></p>\r\n<p id=\"E1623\"><span id=\"E1624\"> </span><strong><span id=\"E1626\">Gelato </span></strong><span id=\"E1627\">by</span><span id=\"E1629\"> the scoop 4oz. $2.50 8oz. $4.00\r\n</span><span id=\"E1632\">Ask for our current flavors!</span></p>\r\n<p id=\"E1634\"><span id=\"E1635\"> </span><strong><span id=\"E1636\">Gelato </span></strong><span id=\"E1638\"><strong>Sunday</strong> $</span><span id=\"E1640\">5.49 - Your choice of Caramel, Hot Fudge, Chocolate or Strawberry.</span></p>\r\n\r\n<h2 id=\"E1642\"><span id=\"E1643\"> </span><span id=\"E1644\"> Dessert Pizza Pies </span></h2>\r\n<p id=\"E1646\"><span id=\"E1647\"> All prepared on a freshly made pizza crust and baked to </span><span id=\"E1649\">perfection!</span></p>\r\n<p id=\"E1652\"><strong><span id=\"E1653\">Chocolate </span></strong><span id=\"E1655\"><strong>Chip</strong> -</span><span id=\"E1657\"> vanilla custard, chocolate chips and confectioner sugar. Sm. $</span><span id=\"E1659\">4.99 Lg</span><span id=\"E1661\">. $6.99</span></p>\r\n<p id=\"E1663\"><span id=\"E1665\"><strong>Marble</strong> -</span><span id=\"E1667\"> Chocolate </span><span id=\"E1668\">&amp; Vanilla custard, chocolate &amp; white chocolate chip and confectioner sugar. Sm. $</span><span id=\"E1670\">4.99 Lg</span><span id=\"E1672\">. $6.99</span></p>\r\n<p id=\"E1674\"><span id=\"E1676\"><strong>Turtle</strong> -</span><span id=\"E1678\"> Chocolate custard, white chips, chopped pecans and caramel drizzle. Sm. $</span><span id=\"E1680\">4.99 Lg</span><span id=\"E1682\">. $6.99</span></p>\r\n\r\n<h2 id=\"E1684\"><span id=\"E1685\">Beverages</span></h2>\r\n<p id=\"E1687\"><strong><span id=\"E1688\"> White Milk or Chocolate Milk </span></strong><span id=\"E1689\"> $1.49</span></p>\r\n\r\n</div>\r\n</div>\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<p id=\"E1691\"><span id=\"E1692\"> </span><span id=\"E1693\"><strong>Coke Products</strong>: </span></p>\r\n\r\n<ul>\r\n 	<li id=\"E1695\"><span id=\"E1696\">Bottle 20 oz. $1.49</span></li>\r\n 	<li id=\"E1697\"><span id=\"E1698\">Bottle 2 Lt. $2.29</span></li>\r\n 	<li id=\"E1699\"><span id=\"E1700\">Fountain Drink 20 oz. $1.75</span></li>\r\n</ul>\r\n<p id=\"E1702\"><span id=\"E1703\"><strong> Coffee</strong> (Regular or Decaf</span><span id=\"E1705\">) $</span><span id=\"E1707\">1.</span><span id=\"E1708\">25</span></p>\r\n<p id=\"E1710\"><span id=\"E1711\"><strong>Lime-A-Rita</strong> $2.85</span></p>\r\n<p id=\"E1712\"><span id=\"E1713\"><strong>Razz-A-Rita</strong> $2.85</span></p>\r\n<p id=\"E1714\"><strong><span id=\"E1715\">Mang-0-</span></strong><span id=\"E1717\"><strong>Rita</strong> $</span><span id=\"E1719\">2.85</span></p>\r\n<p id=\"E1721\"><strong><span id=\"E1722\">Bottled Beer Selections</span></strong></p>\r\n\r\n<ul>\r\n 	<li id=\"E1725\"><span id=\"E1726\"> </span><span id=\"E1728\">Bud $</span><span id=\"E1730\">2.75</span></li>\r\n 	<li id=\"E1731\"><span id=\"E1732\"> Bud </span><span id=\"E1734\">Light $</span><span id=\"E1736\">2.75</span></li>\r\n 	<li id=\"E1737\"><span id=\"E1738\"> Michelob </span><span id=\"E1740\">Ultra </span><span id=\"E1741\">2.75</span></li>\r\n</ul>\r\n</div>\r\n</div>\r\n</div>\r\n</div>", "Hazel Green Menu", "", "draft", "closed", "closed", "", "hazel-green-menu", "", "", "2018-05-10 14:32:45", "2018-05-10 14:32:45", "", "32", "http://buckspizza.com/?page_id=720", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("723", "1", "2016-06-23 19:17:26", "2016-06-23 19:17:26", "<h2>Buck’s Famous Stix</h2>\r\n<strong>Bread Stix</strong>-$3.99\r\n<span id=\"E42\">12 per order, covered with butter &amp; spices</span><span id=\"E43\"> with dipping sauce.</span>\r\n\r\n<strong>Cinnamon Stix</strong>-$3.99\r\n12 per order, with icing.\r\n\r\n<strong>Cheese Stix</strong>-$4.99\r\n<span id=\"E55\">12 per order, covered in melted cheese</span><span id=\"E56\"> with dipping sauce.</span>\r\n<p id=\"E58\"><span id=\"E59\"><strong>Family Cheese Stix</strong>-$8.00\r\n</span><span id=\"E62\">16 per order</span></p>\r\n<p id=\"E64\"><span id=\"E65\"><strong> Supreme Cheese Stix</strong>-$5.80\r\n</span><span id=\"E68\">12 per order with 1 topping</span></p>\r\n\r\n<h2>Starters</h2>\r\n<strong><span id=\"E74\">Garlic </span></strong><span id=\"E76\"><strong>Bread</strong>-6\" </span><span id=\"E78\">$1.49 12\" $2.49</span>\r\n<p id=\"E80\"><strong><span id=\"E81\"> Garlic Bread with C</span></strong><span id=\"E83\"><strong>heese</strong>-6</span><span id=\"E85\">” $2.25 12” $3.25</span></p>\r\n<p id=\"E87\"><span id=\"E88\"><strong> Chicken Tenders</strong>-$4.99\r\n</span><span id=\"E91\">Genuine </span><span id=\"E92\">oven baked</span><span id=\"E93\"> chicken tenders so lightly breaded they will melt in your mouth. </span><span id=\"E95\">4 per order.</span></p>\r\n<p id=\"E97\"><span id=\"E98\"><strong> Wings</strong>-$7.49\r\n</span><span id=\"E101\">Original, 10 per order with choice of hot, </span><span id=\"E103\">bbq</span><span id=\"E105\">, or honey </span><span id=\"E107\">bbq</span><span id=\"E109\">. Add blue</span><span id=\"E110\"> cheese, ranch or honey mustard for $.50 each.</span></p>\r\n\r\n<h2>Oven-Baked Hoagies</h2>\r\nDressings: Italian, Ranch, Blue Cheese, Mayo &amp; more. Just ask!\r\n\r\n<strong><span id=\"E124\">Italian </span></strong><span id=\"E125\"> 6\"</span><span id=\"E127\"> $4.79 12\" $8.99</span>\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<p id=\"E121\"><span id=\"E130\">Ham, hard salami, melted cheese, onion, green peppers, lettuce, and tomato &amp; Italian dressing.</span></p>\r\n<p id=\"E132\"><span id=\"E133\"> </span><strong><span id=\"E135\">Vegi-Delite</span></strong><span id=\"E137\"> </span><span id=\"E138\"> 6\" $4.79 12\" $8.99\r\n</span><span id=\"E141\">A garden fresh delight with mushrooms, onion, green pepper, black olives, </span><span id=\"E142\">and sliced tomato.</span></p>\r\n<p id=\"E144\"><span id=\"E145\"> </span><strong><span id=\"E147\">Steak </span></strong><span id=\"E148\"> 6\"</span><span id=\"E150\"> $4.79 12\" $8.99\r\n</span><span id=\"E153\">Real marinated chipped steak, mushrooms, onions, and green peppers smothered in </span><span id=\"E154\">melted cheese</span><span id=\"E155\">. Topped with lettuce and tomato &amp; with your choice of dressing.</span></p>\r\n<p id=\"E157\"><span id=\"E158\"> </span><strong><span id=\"E160\">CBS </span></strong><span id=\"E161\"> 6\"</span><span id=\"E163\"> $4.79 12\" $8.99\r\n</span><span id=\"E166\">Cheddar, bacon &amp; steak.</span></p>\r\n<p id=\"E168\"><strong><span id=\"E169\"> Turkey </span><span id=\"E171\">Club </span></strong><span id=\"E172\"> 6\"</span><span id=\"E174\"> $4.79 12\" $8.99\r\n</span><span id=\"E178\">Turkey, bacon, ham, melted cheese, &amp; lettuce and tomato.</span></p>\r\n<p id=\"E180\"><strong><span id=\"E181\"> Baked </span></strong><span id=\"E183\"><strong>Ham</strong> 6\"</span><span id=\"E185\"> $4.79 12\" $8.99\r\n</span><span id=\"E188\">Ham, melted cheese, onions, &amp; lettuce and tomato.</span></p>\r\n<p id=\"E190\"><span id=\"E191\"> </span><strong><span id=\"E193\">Turkey </span></strong><span id=\"E194\"> 6\"</span><span id=\"E196\"> $4.79 12\" $8.99\r\n</span><span id=\"E199\">Sliced turkey breast, melted cheese, and lettuce and tomato.</span></p>\r\n<p id=\"E201\"><strong><span id=\"E202\"> Buffalo </span><span id=\"E204\">Chicken </span></strong><span id=\"E205\"> 6\"</span><span id=\"E207\"> $4.79 12\" $8.99\r\n</span><span id=\"E210\">Buck’s boneless </span><span id=\"E211\">tenders</span><span id=\"E212\"> tossed in </span><span id=\"E213\">medium</span><span id=\"E214\"> wing sauce, covered in melted </span><span id=\"E215\">cheese</span><span id=\"E216\">, and topped with lettuce and tomato &amp; with your choice of dressing.</span></p>\r\n<p id=\"E218\"><strong><span id=\"E219\"> Chicken </span><span id=\"E221\">Parmesan </span></strong><span id=\"E222\"> 6\"</span><span id=\"E224\"> $4.79 12\" $8.99\r\n</span><span id=\"E227\">Buck’s delicious chicken tenders baked with our delicious tomato sauce and smothered in melted </span><span id=\"E228\">cheese</span><span id=\"E229\">.</span></p>\r\n\r\n</div>\r\n</div>\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<p id=\"E231\"><span id=\"E232\"> </span><strong><span id=\"E234\">Meatball </span></strong><span id=\"E235\"> 6\"</span><span id=\"E237\"> $4.79 12\" $8.99\r\n</span><span id=\"E239\">Meatballs, pasta sauce, and melted </span><span id=\"E240\">mozzarella.</span></p>\r\n\r\n</div>\r\n</div>\r\n<h2>Salads</h2>\r\n<span id=\"E245\">Dressings: Blue Cheese, Ranch, Caesar, Honey Mustard, Italian</span><span id=\"E246\">.</span>\r\n<p id=\"E248\"><span id=\"E249\"> </span><strong><span id=\"E250\">Caesar </span><span id=\"E252\">Salad</span></strong><span id=\"E252\"> - </span><span id=\"E253\"></span><span id=\"E254\">$</span><span id=\"E256\">4.50\r\n</span><span id=\"E259\">Romaine lettuce, parmesan cheese, croutons &amp; </span><span id=\"E261\">caesar</span><span id=\"E263\"> dressing.</span></p>\r\n<p id=\"E265\"><strong><span id=\"E266\"> Chicken Caesar </span></strong><span id=\"E268\"><strong>Salad</strong> - $</span><span id=\"E270\">5.25\r\n</span><span id=\"E273\">Romaine lettuce, parmesan cheese, croutons, tender chicken &amp; </span><span id=\"E275\">caesar</span><span id=\"E277\"> dressing</span></p>\r\n<p id=\"E279\"><strong><span id=\"E280\"> Spinach </span></strong><span id=\"E282\"><strong>Salad</strong> - $</span><span id=\"E284\">5.25\r\n</span><span id=\"E287\">Blend of romaine lettuce and spinach, black olives, cucumber, red </span><span id=\"E289\">onions</span><span id=\"E291\">,tomato</span><span id=\"E294\">, bacon and feta cheese.</span></p>\r\n<p id=\"E296\"><strong><span id=\"E297\">Chef </span></strong><span id=\"E299\"><strong>Salad</strong> - $</span><span id=\"E301\">5.25\r\n</span><span id=\"E305\">Romaine lettuce, cucumbers, red onion, tomatoes,</span><span id=\"E306\"> mozzarella &amp;</span><span id=\"E307\"> cheddar cheese</span><span id=\"E308\">, </span><span id=\"E309\">ham, turkey &amp; bacon.</span></p>\r\n<p id=\"E311\"><strong><span id=\"E312\"> Garden </span><span id=\"E314\">Salad</span></strong><span id=\"E314\"> - </span><span id=\"E315\">$</span><span id=\"E317\">4.50\r\n</span>Romaine lettuce, cucumbers, red onion &amp; tomato.</p>\r\n<p id=\"E323\"><strong><span id=\"E324\"> Greek </span><span id=\"E326\">Salad</span></strong><span id=\"E326\"> - </span><span id=\"E327\">$</span><span id=\"E329\">5.25\r\n</span><span id=\"E332\">Romaine lettuce, red onion, </span><span id=\"E333\">black</span><span id=\"E334\"> olives, tomato, cucumber, artichoke hearts &amp; feta cheese. </span></p>\r\n\r\n<h2><span id=\"E337\">Build-Your-Own Pizzas &amp; </span><span id=\"E339\">Strombolis</span></h2>\r\n(<span id=\"E344\">Strombolis</span><span id=\"E346\"> not available in </span><span id=\"E348\">Bellybuster</span><span id=\"E350\"> size</span>)\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<p id=\"E355\"><span id=\"E356\">Small 9\" (4 slices</span><span id=\"E358\">) $</span><span id=\"E360\">4.99</span></p>\r\n<p id=\"E362\"><span id=\"E363\"> Medium 12\" (6 slices</span><span id=\"E365\">) $</span><span id=\"E367\">6.99</span></p>\r\n\r\n</div>\r\n</div>\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<p id=\"E369\"><span id=\"E370\"> Large 14\" (8 slices</span><span id=\"E372\">) $</span><span id=\"E374\">8.99</span></p>\r\n<p id=\"E376\"><span id=\"E377\"> X-Large 16\" (12 slices</span><span id=\"E379\">) $</span><span id=\"E381\">10.99</span></p>\r\n<p id=\"E383\"><span id=\"E384\"> </span><span id=\"E386\">Bellybu</span><span id=\"E387\">ster</span><span id=\"E389\"> 1\' x 2\' (21 slices</span><span id=\"E391\">) $</span><span id=\"E393\">13.99</span><span id=\"E394\"></span></p>\r\n\r\n</div>\r\n</div>\r\n&nbsp;\r\n<h3>Regular Toppings</h3>\r\n<p id=\"E397\"><span id=\"E398\">80¢ each per Small 9\"</span></p>\r\n<p id=\"E399\"><span id=\"E400\">$1.</span><span id=\"E401\">00</span><span id=\"E402\"> each per Medium 12\"</span></p>\r\n<p id=\"E403\"><span id=\"E404\">$1.</span><span id=\"E405\">50</span><span id=\"E406\"> each per Large 14\"</span></p>\r\n<p id=\"E407\"><span id=\"E408\">$1.</span><span id=\"E409\">75</span><span id=\"E410\"> each per X-Large 16\"</span></p>\r\n<p id=\"E411\"><span id=\"E412\">$2.50 each per </span><span id=\"E414\">Bellybuster</span><span id=\"E416\"> 1\' x 2\'</span></p>\r\n\r\n<ul>\r\n 	<li>\r\n<p id=\"E419\"><span id=\"E420\">Pepperoni</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E419\"><span id=\"E420\"></span><span id=\"E422\">Ham</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E419\"><span id=\"E422\"></span><span id=\"E424\">Mushrooms</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E419\"><span id=\"E424\"></span><span id=\"E426\">Bacon</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E426\"></span><span id=\"E428\">Fresh</span><span id=\"E429\"> onions</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E429\"></span><span id=\"E431\">Anchovies</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E431\"></span><span id=\"E433\">Green pepper</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E433\"></span><span id=\"E435\">Sausage</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E435\"></span><span id=\"E437\">Green olives</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E437\"></span><span id=\"E439\">Fresh spinach</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E439\"></span><span id=\"E441\">Black olives</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E441\"></span><span id=\"E443\">Pineapple</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E443\"></span><span id=\"E445\">Canadian bacon</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E445\"></span><span id=\"E447\">Jalapeños</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E447\"></span><span id=\"E449\">Banana peppers</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E449\"></span><span id=\"E451\">Roma tomatoes</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E451\"></span><span id=\"E453\">Ground beef</span></p>\r\n</li>\r\n 	<li>\r\n<p id=\"E425\"><span id=\"E453\"></span><span id=\"E455\">Extra cheese</span></p>\r\n</li>\r\n</ul>\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<h3 id=\"E457\"><span id=\"E458\">Premium Toppings</span></h3>\r\n<p id=\"E459\"><span id=\"E460\">$2.</span><span id=\"E461\">00</span><span id=\"E462\"> each per Small 9\"</span></p>\r\n<p id=\"E463\"><span id=\"E464\">$3.</span><span id=\"E465\">00</span><span id=\"E466\"> each per Medium 12\"</span></p>\r\n<p id=\"E467\"><span id=\"E468\">$4.</span><span id=\"E469\">25</span><span id=\"E470\"> each per Large 14\"</span></p>\r\n<p id=\"E471\"><span id=\"E472\">$</span><span id=\"E473\">4.50</span><span id=\"E474\"> each per X-Large 16\"</span></p>\r\n<p id=\"E475\"><span id=\"E476\">$5.00 each per </span><span id=\"E478\">Bellybuster</span><span id=\"E480\"> 1\'x 2\'</span></p>\r\n\r\n<ul>\r\n 	<li id=\"E482\"><span id=\"E483\">Artichoke </span></li>\r\n 	<li id=\"E484\"><span id=\"E485\">Fresh mozzarella</span></li>\r\n 	<li id=\"E486\"><span id=\"E487\">Chicken</span></li>\r\n 	<li>USDA choice steak</li>\r\n 	<li>Alfredo sauce</li>\r\n 	<li>Feta cheese</li>\r\n 	<li>Fresh basil</li>\r\n</ul>\r\n<h3 id=\"E498\"><span id=\"E499\">Extra Cheese</span></h3>\r\n<p id=\"E500\"><span id=\"E501\">$1.20 each per Small 9\"</span></p>\r\n<p id=\"E502\"><span id=\"E503\">$1.</span><span id=\"E504\">50</span><span id=\"E505\"> each per Medium 12\"</span></p>\r\n<p id=\"E506\"><span id=\"E507\">$2.</span><span id=\"E508\">00</span><span id=\"E509\"> each per Large 14\"</span></p>\r\n<p id=\"E510\"><span id=\"E511\">$2.</span><span id=\"E512\">50</span><span id=\"E513\"> each per X-Large 16\"</span></p>\r\n<p id=\"E514\"><span id=\"E515\">$3.50 each per </span><span id=\"E517\">Bellybuster</span><span id=\"E519\"> 1\' x 2\'</span></p>\r\n\r\n<ul>\r\n 	<li id=\"E521\"><span id=\"E522\">Extra mozzarella</span></li>\r\n 	<li id=\"E523\"><span id=\"E524\">Cheddar cheese</span></li>\r\n 	<li id=\"E525\"><span id=\"E526\">Feta cheese</span></li>\r\n</ul>\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<h2 id=\"E528\"><span id=\"E529\">Specialty Pizzas &amp; </span><span id=\"E531\">Strombolis</span><span id=\"E533\"> </span></h2>\r\n<p id=\"E534\"><span id=\"E535\">(</span><span id=\"E537\">Strombolis</span><span id=\"E539\"> not available in </span><span id=\"E541\">Bellybuster</span><span id=\"E543\"> size)</span></p>\r\n\r\n<h3 id=\"E545\"><span id=\"E547\">Superfino</span></h3>\r\n<p id=\"E550\"><strong><span id=\"E551\"> Buck’s </span></strong><span id=\"E553\"><strong>Deluxe</strong> sm</span><span id=\"E555\">. $</span><span id=\"E557\">8.</span><span id=\"E558\">49</span><span id=\"E559\"> </span><span id=\"E561\">md</span><span id=\"E563\">.</span><span id=\"E565\"> $</span><span id=\"E567\">12.49</span><span id=\"E568\"> lg</span><span id=\"E570\">. $</span><span id=\"E572\">16.49</span><span id=\"E573\"> xl</span><span id=\"E575\">. $</span><span id=\"E577\">19.74 </span><span id=\"E579\">bellybuster</span><span id=\"E582\"> $26.49\r\n</span><span id=\"E585\">A hearty combination of pepperoni, onion, mushroom, sausage &amp; green pepper.</span></p>\r\n<p id=\"E587\"><strong><span id=\"E588\"> 5 </span></strong><span id=\"E590\"><strong>Meat</strong> sm</span><span id=\"E592\">. $</span><span id=\"E594\">8.</span><span id=\"E595\">49</span><span id=\"E596\"> </span><span id=\"E598\">md</span><span id=\"E600\">.</span><span id=\"E602\"> $</span><span id=\"E603\">12.49 </span><span id=\"E604\">lg. $</span><span id=\"E605\">16.49 </span><span id=\"E607\">xl</span><span id=\"E609\">. $</span><span id=\"E611\">19.74 </span><span id=\"E613\">bellybuster</span><span id=\"E616\"> $26.49\r\n</span><span id=\"E619\">A must for hearty appetites! </span><span id=\"E621\">pepperoni</span><span id=\"E623\">, sausage, ham, bacon &amp; ground beef.</span></p>\r\n<p id=\"E625\"><strong><span id=\"E626\"> BBQ </span></strong><span id=\"E628\"><strong>Chicken</strong> sm</span><span id=\"E630\">. $8.</span><span id=\"E631\">49</span><span id=\"E632\"> </span><span id=\"E634\">md.</span><span id=\"E636\"> $</span><span id=\"E638\">12.49</span><span id=\"E639\"> lg</span><span id=\"E641\">. $</span><span id=\"E643\">16.49</span><span id=\"E644\"> xl</span><span id=\"E646\">. $</span><span id=\"E648\">19.74 </span><span id=\"E650\">bellybuster</span><span id=\"E653\"> $26.49\r\n</span><span id=\"E657\">Tender chunks of chicken tossed in our blend of </span><span id=\"E659\">bbq</span><span id=\"E661\"> &amp; pizza sauce, with red onion, real bacon, mozzarella &amp; aged cheddar.</span></p>\r\n<p id=\"E663\"><strong><span id=\"E664\"> Buffalo </span></strong><span id=\"E666\"><strong>Chicken</strong> sm</span><span id=\"E668\">. $</span><span id=\"E670\">8.</span><span id=\"E671\">49</span><span id=\"E672\"> </span><span id=\"E674\">md</span><span id=\"E676\">.</span><span id=\"E678\"> $</span><span id=\"E680\">12.49</span><span id=\"E681\"> lg</span><span id=\"E683\">. $</span><span id=\"E685\">16.49</span><span id=\"E686\"> xl</span><span id=\"E688\">. $</span><span id=\"E690\">19.74 </span><span id=\"E692\">bellybuster</span><span id=\"E695\"> $26.49\r\n</span><span id=\"E698\">Your choice of Buck’s mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella &amp; chicken, all topped with sizzling bacon. Hang on to your </span><span id=\"E700\">ha</span><span id=\"E701\">t !</span></p>\r\n<p id=\"E704\"><strong><span id=\"E705\"> CBS </span></strong><span id=\"E707\"><strong>Special</strong> sm</span><span id=\"E709\">. $</span><span id=\"E711\">8.</span><span id=\"E712\">49</span><span id=\"E713\"> </span><span id=\"E715\">md</span><span id=\"E717\">.</span><span id=\"E719\"> $</span><span id=\"E721\">12.49</span><span id=\"E722\"> lg</span><span id=\"E724\">. $</span><span id=\"E726\">16.49</span><span id=\"E727\"> xl</span><span id=\"E729\">. $</span><span id=\"E731\">19.74 </span><span id=\"E733\">bellybuster</span><span id=\"E736\"> $26.49\r\n</span><span id=\"E739\">Melted aged cheddar, sizzling bacon and chipped </span><span id=\"E741\">mouth watering</span><span id=\"E743\"> USDA choice steak. Maybe we should call this one ‘heaven-on-earth’.</span></p>\r\n\r\n</div>\r\n</div>\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<p id=\"E745\"><span id=\"E746\"> </span><strong><span id=\"E748\">Vegi-</span><span id=\"E750\">Delite</span></strong><span id=\"E752\"> sm</span><span id=\"E754\">. $</span><span id=\"E756\">8.</span><span id=\"E757\">49</span><span id=\"E758\"> </span><span id=\"E760\">md</span><span id=\"E762\">.</span><span id=\"E764\"> $</span><span id=\"E766\">12.49</span><span id=\"E767\"> lg</span><span id=\"E769\">. $</span><span id=\"E771\">16.49</span><span id=\"E772\"> xl</span><span id=\"E774\">. $</span><span id=\"E776\">19.74 </span><span id=\"E778\">bellybuster</span><span id=\"E781\"> $ 26.49\r\n</span><span id=\"E784\">A garden fresh delight with mushrooms, onion, green peppers, black and green olives &amp; sliced tomato.</span></p>\r\n<p id=\"E786\"><span id=\"E787\"><strong> Chicken Club</strong> (White Pizza</span><span id=\"E789\">) sm</span><span id=\"E791\">. $</span><span id=\"E793\">8.</span><span id=\"E794\">49</span><span id=\"E795\"> </span><span id=\"E797\">md</span><span id=\"E799\">.</span><span id=\"E801\"> $</span><span id=\"E803\">12.49</span><span id=\"E804\"> lg</span><span id=\"E806\">. $</span><span id=\"E808\">16.49</span><span id=\"E809\"> xl</span><span id=\"E811\">. $</span><span id=\"E813\">19.74 </span><span id=\"E815\">bellybuster</span><span id=\"E818\"> $ 26.49\r\n</span><span id=\"E821\">A light garlic sauce and mozzarella cheese with chunks of marinated chicken, </span><span id=\"E824\">canadian</span><span id=\"E827\"> bacon, red onion &amp; bacon.</span></p>\r\n<p id=\"E829\"><span id=\"E830\"><strong> Greek</strong> (White Pizza</span><span id=\"E832\">) sm</span><span id=\"E834\">. $</span><span id=\"E836\">8.</span><span id=\"E837\">49</span><span id=\"E838\"> </span><span id=\"E840\">md</span><span id=\"E842\">.</span><span id=\"E844\"> $</span><span id=\"E846\">12.49 lg</span><span id=\"E848\">. $</span><span id=\"E850\">16.49 </span><span id=\"E851\">xl</span><span id=\"E853\">. $</span><span id=\"E855\">19.74 </span><span id=\"E857\">bellybuster</span><span id=\"E860\"> $26.49\r\n</span><span id=\"E863\">A light garlic sauce, mozzarella, </span><span id=\"E864\">black</span><span id=\"E865\"> olives, red onion, artichoke hearts, fresh </span><span id=\"E867\">roma</span><span id=\"E869\"> tomato slices &amp; feta cheese.</span></p>\r\n<p id=\"E871\"><span id=\"E872\"><strong> Margherita</strong> (White Pizza</span><span id=\"E874\">) sm</span><span id=\"E876\">. $</span><span id=\"E878\">8.</span><span id=\"E879\">49</span><span id=\"E880\"> </span><span id=\"E882\">md</span><span id=\"E884\">.</span><span id=\"E886\"> $</span><span id=\"E888\">12.49</span><span id=\"E889\"> lg</span><span id=\"E891\">. $</span><span id=\"E893\">16.49</span><span id=\"E894\"> xl</span><span id=\"E896\">. $</span><span id=\"E898\">19.74 </span><span id=\"E900\">bellybuster</span><span id=\"E903\"> $26.49\r\n</span><span id=\"E906\">Our light garlic sauce with blended parmesan, sliced </span><span id=\"E908\">roma</span><span id=\"E910\"> tomatoes, chopped fresh basil &amp; lots of mozzarella cheese.</span></p>\r\n\r\n<h3 id=\"E912\"><span id=\"E913\">Bravo</span></h3>\r\n<p id=\"E915\"><strong><span id=\"E916\"> 4 Cheese </span></strong><span id=\"E918\"><strong>Medley</strong> sm</span><span id=\"E920\">. $</span><span id=\"E922\">6.89</span><span id=\"E923\"> </span><span id=\"E925\">md</span><span id=\"E927\">.</span><span id=\"E929\"> $</span><span id=\"E931\">10.29</span><span id=\"E932\"> lg</span><span id=\"E934\">. $</span><span id=\"E936\">13.49</span><span id=\"E937\"> xl</span><span id=\"E939\">. $</span><span id=\"E941\">16.49 </span><span id=\"E943\">bellybuster</span><span id=\"E946\"> $21.49\r\n</span><span id=\"E949\">A blend of cheddar, mozzarella, parmesan &amp; feta cheese. A bold &amp; exciting flavor!</span></p>\r\n<p id=\"E951\"><strong><span id=\"E952\"> CBH </span></strong><span id=\"E954\"><strong>Special</strong> sm</span><span id=\"E956\">. $</span><span id=\"E958\">6.89</span><span id=\"E959\"> </span><span id=\"E961\">md</span><span id=\"E963\">.</span><span id=\"E965\"> $</span><span id=\"E967\">10.29</span><span id=\"E968\"> lg</span><span id=\"E970\">. $</span><span id=\"E972\">13.49</span><span id=\"E973\"> xl</span><span id=\"E975\">. $</span><span id=\"E977\">16.49 </span><span id=\"E979\">bellybuster</span><span id=\"E982\"> $21.49\r\n</span><span id=\"E985\">Everything is better with bacon and this proves it. </span><span id=\"E986\">S</span><span id=\"E987\">moked ham, melted aged cheddar and sizzling bacon. </span><span id=\"E989\">Mmm</span><span id=\"E991\"> good!</span></p>\r\n<p id=\"E993\"><span id=\"E994\"> </span><strong><span id=\"E996\">Italian </span></strong><span id=\"E997\"> </span><span id=\"E998\">sm</span><span id=\"E1000\">. $</span><span id=\"E1002\">6.89</span><span id=\"E1003\"> </span><span id=\"E1005\">md</span><span id=\"E1007\">.</span><span id=\"E1009\"> $</span><span id=\"E1011\">1</span><span id=\"E1012\">0.29</span><span id=\"E1013\"> lg</span><span id=\"E1015\">. $1</span><span id=\"E1016\">3.49 </span><span id=\"E1018\">xl</span><span id=\"E1020\">. $</span><span id=\"E1022\">16.49 </span><span id=\"E1024\">bellybuster</span><span id=\"E1027\"> $21.49\r\n</span><span id=\"E1030\">Classic Italian</span><span id=\"E1031\">, hard salami, smoked ham, fresh onions, green peppers &amp; lots of mozzarella. The flavor really pops </span><span id=\"E1032\">with the oven-baked hard </span><span id=\"E1034\">salami !</span></p>\r\n\r\n</div>\r\n</div>\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<p id=\"E1037\"><strong><span id=\"E1038\"> The </span></strong><span id=\"E1040\"><strong>Meatball</strong> sm</span><span id=\"E1042\">. $</span><span id=\"E1044\">6.89 </span><span id=\"E1046\">md</span><span id=\"E1048\">.</span><span id=\"E1050\"> $</span><span id=\"E1052\">10.29 lg</span><span id=\"E1054\">. $</span><span id=\"E1056\">13.49 xl</span><span id=\"E1058\">. $</span><span id=\"E1060\">16.49 </span><span id=\"E1062\">bellybuster</span><span id=\"E1065\"> $21.49\r\n</span><span id=\"E1068\">Meatball, mozzarella cheese and pasta sauce. </span></p>\r\n\r\n<h3 id=\"E1070\"><span id=\"E1072\">Favorito</span></h3>\r\n<p id=\"E1075\"><span id=\"E1076\"><strong> Old World</strong> (White Pizza</span><span id=\"E1078\">) sm</span><span id=\"E1080\">. $</span><span id=\"E1082\">6.</span><span id=\"E1083\">09</span><span id=\"E1084\"> </span><span id=\"E1086\">md</span><span id=\"E1088\">.</span><span id=\"E1090\"> $</span><span id=\"E1092\">9.19</span><span id=\"E1093\"> lg</span><span id=\"E1095\">. $</span><span id=\"E1097\">11.44</span><span id=\"E1098\"> xl</span><span id=\"E1100\">. $</span><span id=\"E1102\">14.49 </span><span id=\"E1104\">bellybuster</span><span id=\"E1107\"> $18.99\r\n</span><span id=\"E1110\">Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon &amp; sliced tomato.</span></p>\r\n<p id=\"E1112\"><strong><span id=\"E1113\"> Bacon </span></strong><span id=\"E1115\"><strong>Cheeseburger</strong> sm</span><span id=\"E1117\">. $</span><span id=\"E1119\">6.</span><span id=\"E1120\">09</span><span id=\"E1121\"> </span><span id=\"E1123\">md</span><span id=\"E1125\">.</span><span id=\"E1127\"> $</span><span id=\"E1129\">9.19</span><span id=\"E1130\"> lg</span><span id=\"E1132\">. $1</span><span id=\"E1133\">1.44</span><span id=\"E1134\">xl. $</span><span id=\"E1136\">1</span><span id=\"E1137\">4.49 </span><span id=\"E1139\">bellybuster</span><span id=\"E1142\"> $18.99\r\n</span><span id=\"E1145\">The backyard grilled flavor of hamburger &amp; bacon topped with mozzarella &amp; aged cheddar.</span></p>\r\n<p id=\"E1147\"><span id=\"E1148\"> </span><span id=\"E1150\"><strong>Hawaiian</strong> sm</span><span id=\"E1152\">. $</span><span id=\"E1154\">6.</span><span id=\"E1155\">09</span><span id=\"E1156\"> </span><span id=\"E1158\">md</span><span id=\"E1160\">.</span><span id=\"E1162\"> $</span><span id=\"E1164\">9.19</span><span id=\"E1165\"> lg</span><span id=\"E1167\">. $1</span><span id=\"E1168\">1.44 </span><span id=\"E1170\">xl</span><span id=\"E1172\">. $</span><span id=\"E1174\">1</span><span id=\"E1175\">4.49 </span><span id=\"E1177\">bellybuster</span><span id=\"E1180\"> $18.99\r\n</span><span id=\"E1183\">A taste of the islands with generous portions of pineapple &amp; </span><span id=\"E1186\">Canadian</span><span id=\"E1189\"> bacon.</span></p>\r\n<p id=\"E1191\"><strong><span id=\"E1192\"> Pepperoni </span></strong><span id=\"E1194\"><strong>Classic</strong> sm</span><span id=\"E1196\">. $</span><span id=\"E1198\">6.</span><span id=\"E1199\">09</span><span id=\"E1200\"> </span><span id=\"E1202\">md</span><span id=\"E1204\">.</span><span id=\"E1206\"> $</span><span id=\"E1208\">9.19</span><span id=\"E1209\"> lg</span><span id=\"E1211\">. $</span><span id=\"E1213\">11.44</span><span id=\"E1214\"> xl</span><span id=\"E1216\">. $</span><span id=\"E1218\">14.49 </span><span id=\"E1220\">bellybuster</span><span id=\"E1223\"> $18.99\r\n</span><span id=\"E1226\">America’s favorite pizza with an edge to edge layer of pepperoni &amp; extra mozzarella cheese</span></p>\r\n<p id=\"E1228\"><strong><span id=\"E1229\"> Sausage </span></strong><span id=\"E1231\"><strong>Classic</strong> sm</span><span id=\"E1233\">. $</span><span id=\"E1235\">6.</span><span id=\"E1236\">09</span><span id=\"E1237\"> </span><span id=\"E1239\">md</span><span id=\"E1241\">.</span><span id=\"E1243\"> $</span><span id=\"E1245\">9.19</span><span id=\"E1246\"> lg</span><span id=\"E1248\">. $</span><span id=\"E1250\">11.44</span><span id=\"E1251\"> xl</span><span id=\"E1253\">. $</span><span id=\"E1255\">14.49 </span><span id=\"E1257\">bellybuster</span><span id=\"E1260\"> $18.99\r\n</span><span id=\"E1263\">Wake up your taste buds with lots of sausage &amp; extra mozzarella</span></p>\r\n<p id=\"E1265\"><strong><span id=\"E1266\"> Ham &amp; </span></strong><span id=\"E1268\"><strong>Cheese</strong> sm</span><span id=\"E1270\">. $</span><span id=\"E1272\">6.</span><span id=\"E1273\">09</span><span id=\"E1274\"> </span><span id=\"E1276\">md</span><span id=\"E1278\">.</span><span id=\"E1280\"> $</span><span id=\"E1282\">9.19</span><span id=\"E1283\"> lg</span><span id=\"E1285\">. $</span><span id=\"E1287\">11.44</span><span id=\"E1288\"> xl</span><span id=\"E1290\">. $</span><span id=\"E1292\">14.49 </span><span id=\"E1294\">bellybuster</span><span id=\"E1297\"> $18.99\r\n</span><span id=\"E1300\">What could be simpler or more delicious than smoked ham &amp; melted mozzarella and aged cheddar?</span></p>\r\n\r\n<h3 id=\"E1302\"><span id=\"E1304\">Magnifico</span></h3>\r\n<p id=\"E1307\"><span id=\"E1308\"><strong> Steak ‘N Cheese</strong> (White Pizza</span><span id=\"E1310\">) sm</span><span id=\"E1312\">. $</span><span id=\"E1314\">10.</span><span id=\"E1315\">49</span><span id=\"E1316\"> </span><span id=\"E1318\">md</span><span id=\"E1320\">.</span><span id=\"E1322\"> $</span><span id=\"E1324\">15.24</span><span id=\"E1325\"> lg</span><span id=\"E1327\">. $</span><span id=\"E1329\">20.24</span><span id=\"E1330\"> xl</span><span id=\"E1332\">. $</span><span id=\"E1334\">24.11 </span><span id=\"E1336\">bellybuster</span><span id=\"E1339\"> $32.74\r\n</span><span id=\"E1342\">Our special light garlic sauce topped with real marinated chipped steak, onions, green peppers, mushrooms &amp; extra mozzarella cheese.</span></p>\r\n\r\n</div>\r\n</div>\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<p id=\"E1344\"><strong><span id=\"E1345\"> Spinach </span></strong><span id=\"E1347\"><strong>Alfredo</strong> sm</span><span id=\"E1349\">. $</span><span id=\"E1351\">10.</span><span id=\"E1352\">49</span><span id=\"E1353\"> </span><span id=\"E1355\">md</span><span id=\"E1357\">.</span><span id=\"E1359\"> $1</span><span id=\"E1360\">5.24 </span><span id=\"E1361\">lg. $2</span><span id=\"E1362\">0.24 </span><span id=\"E1364\">xl</span><span id=\"E1366\">. $</span><span id=\"E1368\">2</span><span id=\"E1369\">4.11 </span><span id=\"E1371\">bellybuster</span><span id=\"E1374\"> $32.74\r\n</span><span id=\"E1377\">A creamy </span><span id=\"E1379\">alfredo</span><span id=\"E1381\"> sauce topped with spinach, slices of </span><span id=\"E1383\">roma</span><span id=\"E1385\"> tomatoes, real bacon &amp; lots of mozzarella.</span></p>\r\n<p id=\"E1387\"><strong><span id=\"E1388\"> Chicken </span></strong><span id=\"E1390\"><strong>Alfredo</strong> sm</span><span id=\"E1392\">. $</span><span id=\"E1394\">10.</span><span id=\"E1395\">49</span><span id=\"E1396\"> </span><span id=\"E1398\">md</span><span id=\"E1400\">.</span><span id=\"E1402\"> $</span><span id=\"E1404\">15.24</span><span id=\"E1405\"> lg</span><span id=\"E1407\">. $</span><span id=\"E1409\">20.24</span><span id=\"E1410\"> xl</span><span id=\"E1412\">. $</span><span id=\"E1414\">24.11 </span><span id=\"E1416\">bellybuster</span><span id=\"E1419\"> $32.74\r\n</span><span id=\"E1422\">Classic </span><span id=\"E1424\">alfredo</span><span id=\"E1426\"> sauce with chicken, red onion &amp; real bacon, topped with 100% mozzarella cheese.</span></p>\r\n<p id=\"E1427\"><strong><span id=\"E1428\"> Wild </span></strong><span id=\"E1430\"><strong>Buck</strong> sm</span><span id=\"E1432\">. $</span><span id=\"E1434\">10.</span><span id=\"E1435\">49</span><span id=\"E1436\"> </span><span id=\"E1438\">md</span><span id=\"E1440\">.</span><span id=\"E1442\"> $1</span><span id=\"E1443\">5.24 </span><span id=\"E1444\">lg. $</span><span id=\"E1446\">20.24</span><span id=\"E1447\"> xl</span><span id=\"E1449\">. $</span><span id=\"E1451\">24.11 </span><span id=\"E1453\">bellybuster</span><span id=\"E1456\"> $32.74\r\n</span><span id=\"E1459\">If you order ‘everything-but-the-fish’ this is what you’ll get. Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives and extra mozzarella...it’s wild!</span></p>\r\n\r\n<h3 id=\"E1461\"><span id=\"E1462\">Pasta Dishes</span></h3>\r\n<p id=\"E1463\"><span id=\"E1464\">All of our pasta meals are served with fresh baked Bread Stix. </span><span id=\"E1467\">You may add a meatball to any meal for $1.50.</span></p>\r\n<p id=\"E1469\"><span id=\"E1470\"> </span><span id=\"E1472\"><strong>Spaghetti</strong> sm</span><span id=\"E1474\">. $</span><span id=\"E1476\">3.99</span><span id=\"E1477\"> reg</span><span id=\"E1479\">. $</span><span id=\"E1480\">6.99\r\n</span><span id=\"E1483\">A generous portion of spaghetti topped with the best tomato pasta sauce you will find anywhere. </span></p>\r\n<p id=\"E1485\"><strong><span id=\"E1486\"> Spaghetti &amp; </span></strong><span id=\"E1488\"><strong>Meatballs</strong> sm</span><span id=\"E1490\">. $</span><span id=\"E1492\">5.49</span><span id=\"E1493\"> reg</span><span id=\"E1495\">. $</span><span id=\"E1496\">9.99\r\n</span><span id=\"E1499\">A generous portion of spaghetti topped with meatballs and the best tomato pasta sauce you will find anywhere.</span></p>\r\n<p id=\"E1501\"><strong><span id=\"E1502\"> Fettuccine </span></strong><span id=\"E1504\"><strong>Alfredo</strong> sm</span><span id=\"E1506\">. $</span><span id=\"E1508\">4.99</span><span id=\"E1509\"> reg</span><span id=\"E1511\">. $</span><span id=\"E1512\">8.99\r\n</span><span id=\"E1515\">A generous portion of fettuccine tossed in our deliciously rich and creamy </span><span id=\"E1517\">alfredo</span><span id=\"E1519\"> sauce.</span></p>\r\n<p id=\"E1521\"><strong><span id=\"E1522\"> Chicken </span></strong><span id=\"E1524\"><strong>Alfredo</strong> sm</span><span id=\"E1526\">. $</span><span id=\"E1528\">6.49</span><span id=\"E1529\"> reg</span><span id=\"E1531\">. $</span><span id=\"E1532\">11.99\r\n</span><span id=\"E1535\">A generous portion of fettuccine tossed in our deliciously rich and creamy </span><span id=\"E1537\">alfredo</span><span id=\"E1539\"> sauce and with tender strips of grilled chicken.</span></p>\r\n<p id=\"E1541\"><span id=\"E1542\"> </span><strong><span id=\"E1543\">Chicken </span></strong><span id=\"E1545\"><strong>Parmesan</strong> sm</span><span id=\"E1547\">. $</span><span id=\"E1549\">6.49</span><span id=\"E1550\"> reg</span><span id=\"E1552\">. $</span><span id=\"E1553\">11.99\r\n</span><span id=\"E1556\">Hand-breaded chicken covered in tomato pasta sauce and melted mozzarella served over penne.</span></p>\r\n<p id=\"E1558\"><strong><span id=\"E1559\"> Cheese </span></strong><span id=\"E1561\"><strong>Ravioli</strong> sm</span><span id=\"E1563\">. $</span><span id=\"E1565\">6.99 reg</span><span id=\"E1567\">. $12.99\r\n</span>Rich and creamy ricotta stuffed ravioli served with tomato pasta sauce.</p>\r\n\r\n</div>\r\n</div>\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<p id=\"E1572\"><strong><span id=\"E1573\"> Beef </span></strong><span id=\"E1575\"><strong>Ravioli</strong> sm</span><span id=\"E1577\">. $</span><span id=\"E1579\">5.99 reg</span><span id=\"E1581\">. $10.99\r\n</span><span id=\"E1584\">Tender and delicious beef stuffed ravioli served with tomato pasta sauce.</span></p>\r\n<p id=\"E1586\"><strong><span id=\"E1587\"> Portobello </span></strong><span id=\"E1589\"><strong>Ravioli</strong> sm</span><span id=\"E1591\">. $</span><span id=\"E1593\">7.99 reg</span><span id=\"E1595\">. $14.99\r\n</span><span id=\"E1597\">Portobello mushrooms with ricotta and </span><span id=\"E1600\">romano</span><span id=\"E1603\"> cheese stuffed ravioli served with tomato pasta sauce.</span></p>\r\n\r\n<h2 id=\"E1605\"><span id=\"E1606\">Sweet Treats</span></h2>\r\n<p id=\"E1608\"><strong><span id=\"E1609\"> Cinnamon </span></strong><span id=\"E1611\"><strong>Stix</strong> $</span><span id=\"E1613\">3.99\r\n</span><span id=\"E1616\" style=\"line-height: 1.5;\">Chewy bread </span><span id=\"E1618\" style=\"line-height: 1.5;\">stix</span><span id=\"E1620\" style=\"line-height: 1.5;\"> covered with a sweet combination of cinnamon and sugar &amp; served with icing.</span><span id=\"E1621\" style=\"line-height: 1.5;\"> 12 per order.</span></p>\r\n<p id=\"E1623\"><span id=\"E1624\"> </span><strong><span id=\"E1626\">Gelato </span></strong><span id=\"E1627\">by</span><span id=\"E1629\"> the scoop 4oz. $2.50 8oz. $4.00\r\n</span><span id=\"E1632\">Ask for our current flavors!</span></p>\r\n<p id=\"E1634\"><span id=\"E1635\"> </span><strong><span id=\"E1636\">Gelato </span></strong><span id=\"E1638\"><strong>Sunday</strong> $</span><span id=\"E1640\">5.49 - Your choice of Caramel, Hot Fudge, Chocolate or Strawberry.</span></p>\r\n\r\n<h2 id=\"E1642\"><span id=\"E1643\"> </span><span id=\"E1644\"> Dessert Pizza Pies </span></h2>\r\n<p id=\"E1646\"><span id=\"E1647\"> All prepared on a freshly made pizza crust and baked to </span><span id=\"E1649\">perfection!</span></p>\r\n<p id=\"E1652\"><strong><span id=\"E1653\">Chocolate </span></strong><span id=\"E1655\"><strong>Chip</strong> -</span><span id=\"E1657\"> vanilla custard, chocolate chips and confectioner sugar. Sm. $</span><span id=\"E1659\">4.99 Lg</span><span id=\"E1661\">. $6.99</span></p>\r\n<p id=\"E1663\"><span id=\"E1665\"><strong>Marble</strong> -</span><span id=\"E1667\"> Chocolate </span><span id=\"E1668\">&amp; Vanilla custard, chocolate &amp; white chocolate chip and confectioner sugar. Sm. $</span><span id=\"E1670\">4.99 Lg</span><span id=\"E1672\">. $6.99</span></p>\r\n<p id=\"E1674\"><span id=\"E1676\"><strong>Turtle</strong> -</span><span id=\"E1678\"> Chocolate custard, white chips, chopped pecans and caramel drizzle. Sm. $</span><span id=\"E1680\">4.99 Lg</span><span id=\"E1682\">. $6.99</span></p>\r\n\r\n<h2 id=\"E1684\"><span id=\"E1685\">Beverages</span></h2>\r\n<p id=\"E1687\"><strong><span id=\"E1688\"> White Milk or Chocolate Milk </span></strong><span id=\"E1689\"> $1.49</span></p>\r\n\r\n</div>\r\n</div>\r\n<div id=\"contentsContainer\">\r\n<div id=\"contents\">\r\n<p id=\"E1691\"><span id=\"E1692\"> </span><span id=\"E1693\"><strong>Coke Products</strong>: </span></p>\r\n\r\n<ul>\r\n 	<li id=\"E1695\"><span id=\"E1696\">Bottle 20 oz. $1.49</span></li>\r\n 	<li id=\"E1697\"><span id=\"E1698\">Bottle 2 Lt. $2.29</span></li>\r\n 	<li id=\"E1699\"><span id=\"E1700\">Fountain Drink 20 oz. $1.75</span></li>\r\n</ul>\r\n<p id=\"E1702\"><span id=\"E1703\"><strong> Coffee</strong> (Regular or Decaf</span><span id=\"E1705\">) $</span><span id=\"E1707\">1.</span><span id=\"E1708\">25</span></p>\r\n<p id=\"E1710\"><span id=\"E1711\"><strong>Lime-A-Rita</strong> $2.85</span></p>\r\n<p id=\"E1712\"><span id=\"E1713\"><strong>Razz-A-Rita</strong> $2.85</span></p>\r\n<p id=\"E1714\"><strong><span id=\"E1715\">Mang-0-</span></strong><span id=\"E1717\"><strong>Rita</strong> $</span><span id=\"E1719\">2.85</span></p>\r\n<p id=\"E1721\"><strong><span id=\"E1722\">Bottled Beer Selections</span></strong></p>\r\n\r\n<ul>\r\n 	<li id=\"E1725\"><span id=\"E1726\"> </span><span id=\"E1728\">Bud $</span><span id=\"E1730\">2.75</span></li>\r\n 	<li id=\"E1731\"><span id=\"E1732\"> Bud </span><span id=\"E1734\">Light $</span><span id=\"E1736\">2.75</span></li>\r\n 	<li id=\"E1737\"><span id=\"E1738\"> Michelob </span><span id=\"E1740\">Ultra </span><span id=\"E1741\">2.75</span></li>\r\n</ul>\r\n</div>\r\n</div>\r\n</div>\r\n</div>", "Hazel Green Menu", "", "inherit", "closed", "closed", "", "720-revision-v1", "", "", "2016-06-23 19:17:26", "2016-06-23 19:17:26", "", "720", "http://buckspizza.com/2016/06/23/720-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("724", "1", "2016-06-03 19:47:08", "2016-06-03 19:47:08", "Pizza has come a long way in the United States since the first pizza parlors opened in the early 20th century, offering \"tomato pies.\" Starting out as little more than sauce and cheese covered flat bread, pizzas have evolved from novelties, to junk food, to an increasingly healthy food, with just about every topping imaginable, ranging from pepperoni to pineapple. Vegetarian toppings have been around for a number of years, but for an equal number of years, those choices were limited. There were peppers. There were mushrooms, which actually aren\'t vegetables, but beggars can\'t be choosers. There were...not much else.\r\n\r\nBut as consumers began looking more carefully in the early 21st century at hidden calories in favorite foods that were leading to a national obesity crisis, pizza, and what went into (and on it) came into the cross-hairs once again of dieters and nutritionists. Pizza toppings, it was determined, were a big reason why these pies had a reputation as being high calorie and unhealthy. But that could be fixed, by substituting some healthy newcomers that not only offered reduced calories, but increased vitamins and minerals, as well as intriguing taste options. Below are a few examples for spicing up that pie, and making eating it a win-win proposition in terms of taste and nutrition.\r\n<h2>Spinach</h2>\r\nNutritionally, there\'s not much to dislike about spinach. While it doesn\'t give one super strength (sorry, Popeye), this vegetable does contain vitamins ranging from A-K, antioxidants, and minerals including manganese, magnesium, copper, and zinc. Spinach is also low in calories and fat. Spinach leaves are generally used for pies. Because of its high water content, the big question with it and pizza is raw or not? The general rule of thumb is that if served raw, use tomatoes sliced as opposed to sauce to avoid pie sogginess. Roast the leaves before application if using sauce. Spinach\'s strong taste and crunchy leaves are well complimented by cheese and tomato.\r\n<h2>Seaweed</h2>\r\nOh, come on, now. Aware of it or not, you\'ve been using seaweed in your chocolate syrup and toothpaste for years. Nutritionally, brown, green, red, blue-green, and yellow-green seaweeds are all edible. Various species of these contain more calcium, iodine, and iron than any conventional food you\'ll buy. One type called <i>dulse</i>, when pan fried in oil, tastes surprisingly like crispy bacon, but of course without the fat and calories.\r\n<h2>Kale</h2>\r\nNutritionally, kale is low in calories, high in fiber, full of vitamins and oxidants, and calcium, iron, and many other minerals. It\'s also crunchy, and can literally be painful to eat. So the secret to a great kale pizza topping? Bake it with the pie in a hot pizza oven for a sweet and nutty taste. \"White\" pies (no tomato sauce) work best to avoid sogginess.\r\n<h2>Arugula</h2>\r\nLow calorie and full of folic acid and Vitamins A, C and K, plus many minerals, arugula is a doctor-approved substitute for spinach. \"Zippy\" tasting, this crunchy leaf topping works best with white pizza, or used sparingly with sauce to avoid sogginess.\r\n<h2>Swiss Chard</h2>\r\nA leafy member of the beet family, Swiss chard has high levels of vitamins A and C, calcium, iron, magnesium, phosphorous, potassium, and sodium. Crunchy leaved with \"fleshy\" stalks, as a pizza topping, it works well with bacon if tossed with hot bacon oil before being applied to pizza. Leave a 1/4\" border between chard and crust to avoid sogginess.\r\n<h2>Cilantro</h2>\r\nActually the leaves of the coriander plant, cilantro has been credited with being an effective heavy metal cleanser. Other health claims have yet to be verified. Tasting a bit like its cousin parsley, as a pizza topping, cilantro works best chopped and used with other ingredients in a sauce.\r\n<h2>Collard Greens</h2>\r\nThat old Southern staple, collard greens are low calorie and fat, high vitamin and mineral, cabbage cousins. This crunchy, cabbagy tasting leaf works best as a pizza topping by sautéing collard leaves for two minutes with salt, adding to pizza, and sprinkling with garlic.", "Try These Greens For Pizza Even Popeye Would Love", "", "draft", "closed", "closed", "", "greens-pizza", "", "", "2017-08-04 15:56:10", "2017-08-04 15:56:10", "", "0", "http://buckspizza.com/?p=724", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("726", "1", "2016-06-23 19:54:14", "2016-06-23 19:54:14", "Pizza has come a long way in the United States since the first pizza parlors opened in the early 20th century, offering \"tomato pies.\" Starting out as little more than sauce and cheese covered flat bread, pizzas have evolved from novelties, to junk food, to an increasingly healthy food, with just about every topping imaginable, ranging from pepperoni to pineapple. Vegetarian toppings have been around for a number of years, but for an equal number of years, those choices were limited. There were peppers. There were mushrooms, which actually aren\'t vegetables, but beggars can\'t be choosers. There were...not much else.\r\n\r\nBut as consumers began looking more carefully in the early 21st century at hidden calories in favorite foods that were leading to a national obesity crisis, pizza, and what went into (and on it) came into the cross-hairs once again of dieters and nutritionists. Pizza toppings, it was determined, were a big reason why these pies had a reputation as being high calorie and unhealthy. But that could be fixed, by substituting some healthy newcomers that not only offered reduced calories, but increased vitamins and minerals, as well as intriguing taste options. Below are a few examples for spicing up that pie, and making eating it a win-win proposition in terms of taste and nutrition.\r\n<h2>Spinach</h2>\r\nNutritionally, there\'s not much to dislike about spinach. While it doesn\'t give one super strength (sorry, Popeye), this vegetable does contain vitamins ranging from A-K, antioxidants, and minerals including manganese, magnesium, copper, and zinc. Spinach is also low in calories and fat. Spinach leaves are generally used for pies. Because of its high water content, the big question with it and pizza is raw or not? The general rule of thumb is that if served raw, use tomatoes sliced as opposed to sauce to avoid pie sogginess. Roast the leaves before application if using sauce. Spinach\'s strong taste and crunchy leaves are well complimented by cheese and tomato.\r\n<h2>Seaweed</h2>\r\nOh, come on, now. Aware of it or not, you\'ve been using seaweed in your chocolate syrup and toothpaste for years. Nutritionally, brown, green, red, blue-green, and yellow-green seaweeds are all edible. Various species of these contain more calcium, iodine, and iron than any conventional food you\'ll buy. One type called <i>dulse</i>, when pan fried in oil, tastes surprisingly like crispy bacon, but of course without the fat and calories.\r\n<h2>Kale</h2>\r\nNutritionally, kale is low in calories, high in fiber, full of vitamins and oxidants, and calcium, iron, and many other minerals. It\'s also crunchy, and can literally be painful to eat. So the secret to a great kale pizza topping? Bake it with the pie in a hot pizza oven for a sweet and nutty taste. \"White\" pies (no tomato sauce) work best to avoid sogginess.\r\n<h2>Arugula</h2>\r\nLow calorie and full of folic acid and Vitamins A, C and K, plus many minerals, arugula is a doctor-approved substitute for spinach. \"Zippy\" tasting, this crunchy leaf topping works best with white pizza, or used sparingly with sauce to avoid sogginess.\r\n<h2>Swiss Chard</h2>\r\nA leafy member of the beet family, Swiss chard has high levels of vitamins A and C, calcium, iron, magnesium, phosphorous, potassium, and sodium. Crunchy leaved with \"fleshy\" stalks, as a pizza topping, it works well with bacon if tossed with hot bacon oil before being applied to pizza. Leave a 1/4\" border between chard and crust to avoid sogginess.\r\n<h2>Cilantro</h2>\r\nActually the leaves of the coriander plant, cilantro has been credited with being an effective heavy metal cleanser. Other health claims have yet to be verified. Tasting a bit like its cousin parsley, as a pizza topping, cilantro works best chopped and used with other ingredients in a sauce.\r\n<h2>Collard Greens</h2>\r\nThat old Southern staple, collard greens are low calorie and fat, high vitamin and mineral, cabbage cousins. This crunchy, cabbagy tasting leaf works best as a pizza topping by sautéing collard leaves for two minutes with salt, adding to pizza, and sprinkling with garlic.", "Try These Greens For Pizza Even Popeye Would Love", "", "inherit", "closed", "closed", "", "724-revision-v1", "", "", "2016-06-23 19:54:14", "2016-06-23 19:54:14", "", "724", "http://buckspizza.com/2016/06/23/724-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("727", "1", "2016-06-23 19:55:07", "2016-06-23 19:55:07", "", "greens-pizza", "", "inherit", "closed", "closed", "", "greens-pizza-2", "", "", "2016-06-23 19:55:35", "2016-06-23 19:55:35", "", "0", "http://buckspizza.com/wp-content/uploads/2016/06/greens-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("728", "1", "2016-06-10 08:56:48", "2016-06-10 08:56:48", "It comes as no surprise that pizza is one of America’s favorite foods. Gooey cheese, perfectly cooked crust, and amazing toppings – what’s not to love? Phoenix is no stranger to good pizza. From gourmet options to neighborhood favorites with toppings that range from traditional to unheard of, the pizza scene in Phoenix is alive and well. We’ve rounded up the Top 10 pizza places in the area to create for you this definitive list of pizza yumminess.\r\n<h2>Pomo Pizzeria Napoletana</h2>\r\n<img class=\"aligncenter size-full wp-image-729\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Pomo-Pizzeria-Napoletana.jpg\" alt=\"Pomo Pizzeria Napoletana\" />\r\n\r\nOne of the top-rated restaurants in Phoenix on Google, Yelp, and Trip Advisor, this pizza place specializes in handmade, authentic Italian pizza and pasta. Even the flour they make their dough with is imported from Naples. Come for the pizza and stay for the wonderful ambiance and warm, friendly service.\r\n\r\n<a href=\"http://pomopizzeria.com/\" target=\"_blank\">Website</a>\r\n<h2>Federal Pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-730\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/federal-pizza.jpg\" alt=\"Federal Pizza\" />\r\n\r\nMaking wood-fired pizzas topped to pair well with craft beers and wine this Phoenix favorite has a drive-thru window so you can get your pizza without ever getting out of your car. The gourmet pizzas range from more traditional options like Pepperoni &amp; Margherita, but also include fun favorites like the Casanova featuring prosciutto with dates and ricotta.\r\n\r\n<a href=\"http://www.federalpizza.com/\" target=\"_blank\">Website</a>\r\n<h2>Pizzeria Bianco</h2>\r\n<img class=\"aligncenter size-full wp-image-731\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/pizzeria-bianco.jpg\" alt=\"Pizzeria Bianco\" />\r\n\r\nFrom humble beginnings in the back of a grocery store Chef Bianco’s pizzeria has become a true driving force in artisanal pizza. Wood-fired pizzas with carefully sourced toppings are served in a trendy atmosphere to large crowds. It will be worth the wait for a seat to get a taste of their homemade mozzarella cheese.\r\n\r\n<a href=\"http://www.pizzeriabianco.com/\" target=\"_blank\">Website</a>\r\n<h2>La Grande Orange Pizzeria</h2>\r\n<img class=\"aligncenter size-full wp-image-732\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/La-Grande-Orange-Pizzeria.jpg\" alt=\"La Grande Orange Pizzeria\" />\r\n\r\nPart pizza place, part bakery, and part grocery store, but don’t let that confuse you because this place is serious about their pizzas. From their famous sourdough crust to the house-made sausage and fresh veggies they top it with, the fare here is sure to please any pizza enthusiast.\r\n\r\n<a href=\"http://www.lagrandeorangepizzeria.com/\" target=\"_blank\">Website</a>\r\n<h2>Cibo</h2>\r\n<img class=\"aligncenter size-full wp-image-733\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Cibo.jpg\" alt=\"Cibo\" />\r\n\r\nThe trendy interior boasts hardwood floors and exposed brick setting the perfect scene for a fantastic meal. Featuring classic Neapolitan-style pizzas available in red or white versions coupled with handmade pasta and beautiful fresh salads this downtown gem will satisfy your lunch, dinner, or dessert needs. Check out their warm, creamy Nutella crepes.\r\n<h2>Spinato’s Pizzeria</h2>\r\n<img class=\"aligncenter size-full wp-image-734\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Spinatos-Pizzeria.jpg\" alt=\"Spinato’s Pizzeria\" />\r\n\r\nWhether you eat in, carry out, or have it delivered, you can’t go wrong with Spinato’s pizza. They feature pizzas and calzones with traditional toppings. You can even order your favorite pizza in a take and bake version you can cook at home. Try Mama Spinato’s signature pie with fresh spinach and tomatoes.\r\n\r\n<a href=\"http://spinatospizzeria.com/\" target=\"_blank\">Website</a>\r\n<h2>Oregano’s Pizza Bistro</h2>\r\n<img class=\"aligncenter size-full wp-image-735\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Oreganos-Pizza-Bistro.jpg\" alt=\"Oregano’s Pizza Bistro\" />\r\n\r\nA traditional neighborhood pizza joint, Oregano’s has been serving pizza in Phoenix for years and specializes in traditional Italian favorites mixed with modern classics. There is a real family atmosphere at each of their locations, which when combined with their Chicago-style stuffed pizzas makes for a wonderful dinner out.\r\n\r\n<a href=\"http://oreganos.com/\" target=\"_blank\">Website</a>\r\n<h2>La Bocca Urban Pizzeria &amp; Wine Bar</h2>\r\n<img class=\"aligncenter size-full wp-image-736\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/la-bocca-urban-pizzaria.jpg\" alt=\"La Bocca Urban Pizzeria &amp; Wine Bar\" />\r\n\r\nCombining Mediterranean and Italian ingredients with tasty hand tossed pizzas, this pizzeria is known for fresh, locally sourced toppings and handcrafted cocktails. Mix and match deliciously topped bruschetta with a delicious pizza featuring unique toppings like house-made pulled pork or roasted elephant garlic &amp; manchego cheese.\r\n<h2>Lamp Wood Oven Pizzeria</h2>\r\n<img class=\"aligncenter size-full wp-image-737\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/lamp-wood-oven-pizzeria.jpg\" alt=\"Lamp Wood Oven Pizzeria\" />\r\n\r\nFeaturing red or white artisanal pizzas cooked to perfection in a wood fire pizza oven, this place is one you won’t want to miss. They also make artisan breads, antipasto, and salads. Try one of their pizzas with fun names like Jese’s Girl a red pizza with meatballs, ricotta, and roasted red peppers or the Dirty Little York a white pizza featuring sharp provolone, soppressata, and artichoke.\r\n\r\n<a href=\"http://www.lamppizza.com/\" target=\"_blank\">Website</a>\r\n<h2>Craft 64</h2>\r\n<img class=\"aligncenter size-full wp-image-738\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/olde-64.jpg\" alt=\"Olde 64\" />\r\n\r\nCombining craft beers, fine wines, and wood-fired pizza, this place features house-made mozzarella and bread. With over 36 craft beers on tap, there’s no reason not to come in for a bite and a brew. Try their margarita pizza with prosciutto or look for something more exotic like the Spain which features chorizo, Spanish almonds, and harissa sauce.", "10 Best Pizza Places in Phoenix", "", "draft", "closed", "closed", "", "10-best-pizza-places-phoenix", "", "", "2017-08-04 15:55:20", "2017-08-04 15:55:20", "", "0", "http://buckspizza.com/?p=728", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("729", "1", "2016-06-23 20:01:31", "2016-06-23 20:01:31", "", "Pomo-Pizzeria-Napoletana", "", "inherit", "closed", "closed", "", "pomo-pizzeria-napoletana", "", "", "2016-06-23 20:01:39", "2016-06-23 20:01:39", "", "728", "http://buckspizza.com/wp-content/uploads/2016/06/Pomo-Pizzeria-Napoletana.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("730", "1", "2016-06-23 20:01:54", "2016-06-23 20:01:54", "", "federal-pizza", "", "inherit", "closed", "closed", "", "federal-pizza", "", "", "2016-06-23 20:02:00", "2016-06-23 20:02:00", "", "728", "http://buckspizza.com/wp-content/uploads/2016/06/federal-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("731", "1", "2016-06-23 20:03:04", "2016-06-23 20:03:04", "", "pizzeria-bianco", "", "inherit", "closed", "closed", "", "pizzeria-bianco", "", "", "2016-06-23 20:03:16", "2016-06-23 20:03:16", "", "728", "http://buckspizza.com/wp-content/uploads/2016/06/pizzeria-bianco.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("732", "1", "2016-06-23 20:05:06", "2016-06-23 20:05:06", "", "La-Grande-Orange-Pizzeria", "", "inherit", "closed", "closed", "", "la-grande-orange-pizzeria", "", "", "2016-06-23 20:05:09", "2016-06-23 20:05:09", "", "728", "http://buckspizza.com/wp-content/uploads/2016/06/La-Grande-Orange-Pizzeria.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("733", "1", "2016-06-23 20:07:26", "2016-06-23 20:07:26", "", "Cibo", "", "inherit", "closed", "closed", "", "cibo", "", "", "2016-06-23 20:07:31", "2016-06-23 20:07:31", "", "728", "http://buckspizza.com/wp-content/uploads/2016/06/Cibo.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("734", "1", "2016-06-23 20:09:01", "2016-06-23 20:09:01", "", "Spinatos-Pizzeria", "", "inherit", "closed", "closed", "", "spinatos-pizzeria", "", "", "2016-06-23 20:09:05", "2016-06-23 20:09:05", "", "728", "http://buckspizza.com/wp-content/uploads/2016/06/Spinatos-Pizzeria.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("735", "1", "2016-06-23 20:11:11", "2016-06-23 20:11:11", "", "Oreganos-Pizza-Bistro", "", "inherit", "closed", "closed", "", "oreganos-pizza-bistro", "", "", "2016-06-23 20:11:15", "2016-06-23 20:11:15", "", "728", "http://buckspizza.com/wp-content/uploads/2016/06/Oreganos-Pizza-Bistro.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("736", "1", "2016-06-23 20:12:47", "2016-06-23 20:12:47", "", "la-bocca-urban-pizzaria", "", "inherit", "closed", "closed", "", "la-bocca-urban-pizzaria", "", "", "2016-06-23 20:13:04", "2016-06-23 20:13:04", "", "728", "http://buckspizza.com/wp-content/uploads/2016/06/la-bocca-urban-pizzaria.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("737", "1", "2016-06-23 20:14:31", "2016-06-23 20:14:31", "", "lamp-wood-oven-pizzeria", "", "inherit", "closed", "closed", "", "lamp-wood-oven-pizzeria", "", "", "2016-06-23 20:14:34", "2016-06-23 20:14:34", "", "728", "http://buckspizza.com/wp-content/uploads/2016/06/lamp-wood-oven-pizzeria.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("738", "1", "2016-06-23 20:15:51", "2016-06-23 20:15:51", "", "olde-64", "", "inherit", "closed", "closed", "", "olde-64", "", "", "2016-06-23 20:15:58", "2016-06-23 20:15:58", "", "728", "http://buckspizza.com/wp-content/uploads/2016/06/olde-64.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("739", "1", "2016-06-23 20:18:03", "2016-06-23 20:18:03", "", "pizza-places-phoenix", "", "inherit", "closed", "closed", "", "pizza-places-phoenix", "", "", "2016-06-23 20:18:21", "2016-06-23 20:18:21", "", "728", "http://buckspizza.com/wp-content/uploads/2016/06/pizza-places-phoenix.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("740", "1", "2016-06-23 20:18:52", "2016-06-23 20:18:52", "It comes as no surprise that pizza is one of America’s favorite foods. Gooey cheese, perfectly cooked crust, and amazing toppings – what’s not to love? Phoenix is no stranger to good pizza. From gourmet options to neighborhood favorites with toppings that range from traditional to unheard of, the pizza scene in Phoenix is alive and well. We’ve rounded up the Top 10 pizza places in the area to create for you this definitive list of pizza yumminess.\r\n<h2>Pomo Pizzeria Napoletana</h2>\r\n<img class=\"aligncenter size-full wp-image-729\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Pomo-Pizzeria-Napoletana.jpg\" alt=\"Pomo Pizzeria Napoletana\" />\r\n\r\nOne of the top-rated restaurants in Phoenix on Google, Yelp, and Trip Advisor, this pizza place specializes in handmade, authentic Italian pizza and pasta. Even the flour they make their dough with is imported from Naples. Come for the pizza and stay for the wonderful ambiance and warm, friendly service.\r\n\r\n<a href=\"http://pomopizzeria.com/\" target=\"_blank\">Website</a>\r\n<h2>Federal Pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-730\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/federal-pizza.jpg\" alt=\"Federal Pizza\" />\r\n\r\nMaking wood-fired pizzas topped to pair well with craft beers and wine this Phoenix favorite has a drive-thru window so you can get your pizza without ever getting out of your car. The gourmet pizzas range from more traditional options like Pepperoni &amp; Margherita, but also include fun favorites like the Casanova featuring prosciutto with dates and ricotta.\r\n\r\n<a href=\"http://www.federalpizza.com/\" target=\"_blank\">Website</a>\r\n<h2>Pizzeria Bianco</h2>\r\n<img class=\"aligncenter size-full wp-image-731\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/pizzeria-bianco.jpg\" alt=\"Pizzeria Bianco\" />\r\n\r\nFrom humble beginnings in the back of a grocery store Chef Bianco’s pizzeria has become a true driving force in artisanal pizza. Wood-fired pizzas with carefully sourced toppings are served in a trendy atmosphere to large crowds. It will be worth the wait for a seat to get a taste of their homemade mozzarella cheese.\r\n\r\n<a href=\"http://www.pizzeriabianco.com/\" target=\"_blank\">Website</a>\r\n<h2>La Grande Orange Pizzeria</h2>\r\n<img class=\"aligncenter size-full wp-image-732\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/La-Grande-Orange-Pizzeria.jpg\" alt=\"La Grande Orange Pizzeria\" />\r\n\r\nPart pizza place, part bakery, and part grocery store, but don’t let that confuse you because this place is serious about their pizzas. From their famous sourdough crust to the house-made sausage and fresh veggies they top it with, the fare here is sure to please any pizza enthusiast.\r\n\r\n<a href=\"http://www.lagrandeorangepizzeria.com/\" target=\"_blank\">Website</a>\r\n<h2>Cibo</h2>\r\n<img class=\"aligncenter size-full wp-image-733\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Cibo.jpg\" alt=\"Cibo\" />\r\n\r\nThe trendy interior boasts hardwood floors and exposed brick setting the perfect scene for a fantastic meal. Featuring classic Neapolitan-style pizzas available in red or white versions coupled with handmade pasta and beautiful fresh salads this downtown gem will satisfy your lunch, dinner, or dessert needs. Check out their warm, creamy Nutella crepes.\r\n<h2>Spinato’s Pizzeria</h2>\r\n<img class=\"aligncenter size-full wp-image-734\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Spinatos-Pizzeria.jpg\" alt=\"Spinato’s Pizzeria\" />\r\n\r\nWhether you eat in, carry out, or have it delivered, you can’t go wrong with Spinato’s pizza. They feature pizzas and calzones with traditional toppings. You can even order your favorite pizza in a take and bake version you can cook at home. Try Mama Spinato’s signature pie with fresh spinach and tomatoes.\r\n\r\n<a href=\"http://spinatospizzeria.com/\" target=\"_blank\">Website</a>\r\n<h2>Oregano’s Pizza Bistro</h2>\r\n<img class=\"aligncenter size-full wp-image-735\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Oreganos-Pizza-Bistro.jpg\" alt=\"Oregano’s Pizza Bistro\" />\r\n\r\nA traditional neighborhood pizza joint, Oregano’s has been serving pizza in Phoenix for years and specializes in traditional Italian favorites mixed with modern classics. There is a real family atmosphere at each of their locations, which when combined with their Chicago-style stuffed pizzas makes for a wonderful dinner out.\r\n\r\n<a href=\"http://oreganos.com/\" target=\"_blank\">Website</a>\r\n<h2>La Bocca Urban Pizzeria &amp; Wine Bar</h2>\r\n<img class=\"aligncenter size-full wp-image-736\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/la-bocca-urban-pizzaria.jpg\" alt=\"La Bocca Urban Pizzeria &amp; Wine Bar\" />\r\n\r\nCombining Mediterranean and Italian ingredients with tasty hand tossed pizzas, this pizzeria is known for fresh, locally sourced toppings and handcrafted cocktails. Mix and match deliciously topped bruschetta with a delicious pizza featuring unique toppings like house-made pulled pork or roasted elephant garlic &amp; manchego cheese.\r\n<h2>Lamp Wood Oven Pizzeria</h2>\r\n<img class=\"aligncenter size-full wp-image-737\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/lamp-wood-oven-pizzeria.jpg\" alt=\"Lamp Wood Oven Pizzeria\" />\r\n\r\nFeaturing red or white artisanal pizzas cooked to perfection in a wood fire pizza oven, this place is one you won’t want to miss. They also make artisan breads, antipasto, and salads. Try one of their pizzas with fun names like Jese’s Girl a red pizza with meatballs, ricotta, and roasted red peppers or the Dirty Little York a white pizza featuring sharp provolone, soppressata, and artichoke.\r\n\r\n<a href=\"http://www.lamppizza.com/\" target=\"_blank\">Website</a>\r\n<h2>Craft 64</h2>\r\n<img class=\"aligncenter size-full wp-image-738\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/olde-64.jpg\" alt=\"Olde 64\" />\r\n\r\nCombining craft beers, fine wines, and wood-fired pizza, this place features house-made mozzarella and bread. With over 36 craft beers on tap, there’s no reason not to come in for a bite and a brew. Try their margarita pizza with prosciutto or look for something more exotic like the Spain which features chorizo, Spanish almonds, and harissa sauce.", "10 Best Pizza Places in Phoenix", "", "inherit", "closed", "closed", "", "728-revision-v1", "", "", "2016-06-23 20:18:52", "2016-06-23 20:18:52", "", "728", "http://buckspizza.com/2016/06/23/728-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("742", "1", "2016-06-28 18:59:04", "2016-06-28 18:59:04", "For many families, the Fourth of July means hosting get-togethers, complete with kids playing with sparklers in the backyard and plenty of lemonade to beat the heat. It also means delicious food and festive decorations that capture the spirit of the holiday. If the Independence Day party is at your house this year, you\'ll definitely want to set the right tone. This guide will give you some handy tips on the types of foods and decorations you\'ll want to feature in your entertainment line-up for the Fourth.\r\n<h2>Before you start…</h2>\r\n<img class=\"aligncenter size-full wp-image-744\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/4th-Of-July.jpg\" alt=\"Independence Day 4th of July\" />\r\n\r\nIf your party is going to be a very big affair, you\'ll want to <a href=\"http://www.incourage.me/2012/06/4th-of-july-ideas.html\" target=\"_blank\">do some planning</a> ahead to make sure you are providing enough food and drink for your guests. And you\'ll need to adjust the amount of food you\'re planning on offering if you\'re doing a potluck as your guests will also bring some food and drink with them. If the latter is the case, make sure that you start a list so that you don\'t have too much of some items (like seven bags of potato chips), but not enough of another (soda).\r\n<h2>Light the way</h2>\r\n<img class=\"aligncenter size-full wp-image-748\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/mason-jar-flags.jpg\" alt=\"Independence Day 4th of July decorations\" />\r\n\r\nIf you have a long walk in the front of your home, you\'ll definitely want to find a festive way to light it. One simple way to do this is to create <a href=\"http://keepcalmanddecorate.blogspot.com/2014/06/easy-patriotic-luminaries.html\">Mason jar lanterns</a>. Either save your extra fruit and spaghetti sauce jars, or buy some jars at the local craft and hobby store. Also purchase some decorative elements like red, white, and blue glitter, glue, stick-on stars, and ribbons. Decorate the outsides of the jars with the crafty items. Or buy miniature flags to decorate the sides with to save time. Fill the jars with some sand and insert a votive light. Light up the candles when dusk starts to fall.\r\n<h2>Let\'s go fly a kite</h2>\r\n<img class=\"aligncenter size-full wp-image-746\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Independence-Day-4th-of-July-kite.jpg\" alt=\"Independence Day 4th of July kites\" />\r\n\r\nNothing says summer and the Fourth quite like a little kite-flying. Now you can bring the free-spirited fun of kite-flying to your party by <a href=\"https://www.brit.co/kite-garland/\">creating a garland</a> of Fourth of July flags. They\'re really simple to make. All you need to do is cut some red, white, and blue scrapbook paper into the shapes of kites. Make them small enough that you can attach a standard-size straw to the back to function as the kite\'s spine. Glue a straw on the back of each kite shape. Then cut out smaller rectangles for the tail. Use a hot glue gun to attach some twine (the tail) onto the kites. Attach the kite tails onto the twine. Once these are dry, glue the kites onto a longer piece of twine and string the garland up along the wall or on a fence.\r\n<h2>Bacon-wrapped dogs</h2>\r\n<img class=\"aligncenter size-full wp-image-747\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Sonoran-Hot-Dog.jpg\" alt=\"Sonoran hot dog\" />\r\n\r\nThis one is a fun one! Give your party\'s <a href=\"http://foxeslovelemons.com/sonoran-hot-dogs/\">hot dogs a twist</a> with some bacon. To get started, wrap the hot dogs in strips of bacon and throw them on the grill. Garnish them with yummy stuff like refried beans, avocados, red onions, and other fixings.\r\n<h2>Final thoughts on planning</h2>\r\nAs these things go, Independence Day parties often wind up with more participants than the host originally planned for. If that turns out to be the case, why not do something really easy and festive? Try ordering take-out pizza with a twist. Ask the company in question if it\'s possible to make square-shaped pizzas that are decorated like flags. The last part of the request is easy enough to pull off. They can create stripes with some sliced pepperoni or bacon slices and stars with some chopped olives. And viola! Patriotic pizza to go!\r\n\r\nHappy Independence Day!", "How to Host the Perfect 4th of July Get-Together", "", "draft", "closed", "closed", "", "host-perfect-4th-july-get-together", "", "", "2017-08-04 15:55:20", "2017-08-04 15:55:20", "", "0", "http://buckspizza.com/?p=742", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("743", "1", "2016-06-28 18:48:55", "2016-06-28 18:48:55", "", "4th-July-Independence-Day", "", "inherit", "closed", "closed", "", "4th-july-independence-day", "", "", "2016-06-28 18:49:01", "2016-06-28 18:49:01", "", "742", "http://buckspizza.com/wp-content/uploads/2016/06/4th-July-Independence-Day.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("744", "1", "2016-06-28 18:53:10", "2016-06-28 18:53:10", "", "4th-Of-July", "", "inherit", "closed", "closed", "", "4th-of-july", "", "", "2016-06-28 18:53:39", "2016-06-28 18:53:39", "", "742", "http://buckspizza.com/wp-content/uploads/2016/06/4th-Of-July.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("746", "1", "2016-06-28 18:56:17", "2016-06-28 18:56:17", "", "Independence-Day-4th-of-July-kite", "", "inherit", "closed", "closed", "", "independence-day-4th-of-july-kite", "", "", "2016-06-28 18:56:29", "2016-06-28 18:56:29", "", "742", "http://buckspizza.com/wp-content/uploads/2016/06/Independence-Day-4th-of-July-kite.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("747", "1", "2016-06-28 18:57:08", "2016-06-28 18:57:08", "", "Sonoran-Hot-Dog", "", "inherit", "closed", "closed", "", "sonoran-hot-dog", "", "", "2016-06-28 18:57:19", "2016-06-28 18:57:19", "", "742", "http://buckspizza.com/wp-content/uploads/2016/06/Sonoran-Hot-Dog.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("748", "1", "2016-06-28 18:58:47", "2016-06-28 18:58:47", "", "mason-jar-flags", "", "inherit", "closed", "closed", "", "mason-jar-flags", "", "", "2016-06-28 18:58:59", "2016-06-28 18:58:59", "", "742", "http://buckspizza.com/wp-content/uploads/2016/06/mason-jar-flags.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("749", "1", "2016-06-28 18:59:04", "2016-06-28 18:59:04", "For many families, the Fourth of July means hosting get-togethers, complete with kids playing with sparklers in the backyard and plenty of lemonade to beat the heat. It also means delicious food and festive decorations that capture the spirit of the holiday. If the Independence Day party is at your house this year, you\'ll definitely want to set the right tone. This guide will give you some handy tips on the types of foods and decorations you\'ll want to feature in your entertainment line-up for the Fourth.\r\n<h2>Before you start…</h2>\r\n<img class=\"aligncenter size-full wp-image-744\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/4th-Of-July.jpg\" alt=\"Independence Day 4th of July\" />\r\n\r\nIf your party is going to be a very big affair, you\'ll want to <a href=\"http://www.incourage.me/2012/06/4th-of-july-ideas.html\" target=\"_blank\">do some planning</a> ahead to make sure you are providing enough food and drink for your guests. And you\'ll need to adjust the amount of food you\'re planning on offering if you\'re doing a potluck as your guests will also bring some food and drink with them. If the latter is the case, make sure that you start a list so that you don\'t have too much of some items (like seven bags of potato chips), but not enough of another (soda).\r\n<h2>Light the way</h2>\r\n<img class=\"aligncenter size-full wp-image-748\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/mason-jar-flags.jpg\" alt=\"Independence Day 4th of July decorations\" />\r\n\r\nIf you have a long walk in the front of your home, you\'ll definitely want to find a festive way to light it. One simple way to do this is to create <a href=\"http://keepcalmanddecorate.blogspot.com/2014/06/easy-patriotic-luminaries.html\">Mason jar lanterns</a>. Either save your extra fruit and spaghetti sauce jars, or buy some jars at the local craft and hobby store. Also purchase some decorative elements like red, white, and blue glitter, glue, stick-on stars, and ribbons. Decorate the outsides of the jars with the crafty items. Or buy miniature flags to decorate the sides with to save time. Fill the jars with some sand and insert a votive light. Light up the candles when dusk starts to fall.\r\n<h2>Let\'s go fly a kite</h2>\r\n<img class=\"aligncenter size-full wp-image-746\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Independence-Day-4th-of-July-kite.jpg\" alt=\"Independence Day 4th of July kites\" />\r\n\r\nNothing says summer and the Fourth quite like a little kite-flying. Now you can bring the free-spirited fun of kite-flying to your party by <a href=\"https://www.brit.co/kite-garland/\">creating a garland</a> of Fourth of July flags. They\'re really simple to make. All you need to do is cut some red, white, and blue scrapbook paper into the shapes of kites. Make them small enough that you can attach a standard-size straw to the back to function as the kite\'s spine. Glue a straw on the back of each kite shape. Then cut out smaller rectangles for the tail. Use a hot glue gun to attach some twine (the tail) onto the kites. Attach the kite tails onto the twine. Once these are dry, glue the kites onto a longer piece of twine and string the garland up along the wall or on a fence.\r\n<h2>Bacon-wrapped dogs</h2>\r\n<img class=\"aligncenter size-full wp-image-747\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Sonoran-Hot-Dog.jpg\" alt=\"Sonoran hot dog\" />\r\n\r\nThis one is a fun one! Give your party\'s <a href=\"http://foxeslovelemons.com/sonoran-hot-dogs/\">hot dogs a twist</a> with some bacon. To get started, wrap the hot dogs in strips of bacon and throw them on the grill. Garnish them with yummy stuff like refried beans, avocados, red onions, and other fixings.\r\n<h2>Final thoughts on planning</h2>\r\nAs these things go, Independence Day parties often wind up with more participants than the host originally planned for. If that turns out to be the case, why not do something really easy and festive? Try ordering take-out pizza with a twist. Ask the company in question if it\'s possible to make square-shaped pizzas that are decorated like flags. The last part of the request is easy enough to pull off. They can create stripes with some sliced pepperoni or bacon slices and stars with some chopped olives. And viola! Patriotic pizza to go!\r\n\r\nHappy Independence Day!", "How to Host the Perfect 4th of July Get-Together", "", "inherit", "closed", "closed", "", "742-revision-v1", "", "", "2016-06-28 18:59:04", "2016-06-28 18:59:04", "", "742", "http://buckspizza.com/2016/06/28/742-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("750", "1", "2016-06-28 18:59:28", "2016-06-28 18:59:28", "For many families, the Fourth of July means hosting get-togethers, complete with kids playing with sparklers in the backyard and plenty of lemonade to beat the heat. It also means delicious food and festive decorations that capture the spirit of the holiday. If the Independence Day party is at your house this year, you\'ll definitely want to set the right tone. This guide will give you some handy tips on the types of foods and decorations you\'ll want to feature in your entertainment line-up for the Fourth.\r\n<h2>Before you start…</h2>\r\n<img class=\"aligncenter size-full wp-image-744\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/4th-Of-July.jpg\" alt=\"Independence Day 4th of July\" />\r\n\r\nIf your party is going to be a very big affair, you\'ll want to <a href=\"http://www.incourage.me/2012/06/4th-of-july-ideas.html\" target=\"_blank\">do some planning</a> ahead to make sure you are providing enough food and drink for your guests. And you\'ll need to adjust the amount of food you\'re planning on offering if you\'re doing a potluck as your guests will also bring some food and drink with them. If the latter is the case, make sure that you start a list so that you don\'t have too much of some items (like seven bags of potato chips), but not enough of another (soda).\r\n<h2>Light the way</h2>\r\n<img class=\"aligncenter size-full wp-image-748\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/mason-jar-flags.jpg\" alt=\"Independence Day 4th of July decorations\" />\r\n\r\nIf you have a long walk in the front of your home, you\'ll definitely want to find a festive way to light it. One simple way to do this is to create <a href=\"http://keepcalmanddecorate.blogspot.com/2014/06/easy-patriotic-luminaries.html\">Mason jar lanterns</a>. Either save your extra fruit and spaghetti sauce jars, or buy some jars at the local craft and hobby store. Also purchase some decorative elements like red, white, and blue glitter, glue, stick-on stars, and ribbons. Decorate the outsides of the jars with the crafty items. Or buy miniature flags to decorate the sides with to save time. Fill the jars with some sand and insert a votive light. Light up the candles when dusk starts to fall.\r\n<h2>Let\'s go fly a kite</h2>\r\n<img class=\"aligncenter size-full wp-image-746\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Independence-Day-4th-of-July-kite.jpg\" alt=\"Independence Day 4th of July kites\" />\r\n\r\nNothing says summer and the Fourth quite like a little kite-flying. Now you can bring the free-spirited fun of kite-flying to your party by <a href=\"https://www.brit.co/kite-garland/\">creating a garland</a> of Fourth of July flags. They\'re really simple to make. All you need to do is cut some red, white, and blue scrapbook paper into the shapes of kites. Make them small enough that you can attach a standard-size straw to the back to function as the kite\'s spine. Glue a straw on the back of each kite shape. Then cut out smaller rectangles for the tail. Use a hot glue gun to attach some twine (the tail) onto the kites. Attach the kite tails onto the twine. Once these are dry, glue the kites onto a longer piece of twine and string the garland up along the wall or on a fence.\r\n<h2>Bacon-wrapped dogs</h2>\r\n<img class=\"aligncenter size-full wp-image-747\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/Sonoran-Hot-Dog.jpg\" alt=\"Sonoran hot dog\" />\r\n\r\nThis one is a fun one! Give your party\'s <a href=\"http://foxeslovelemons.com/sonoran-hot-dogs/\">hot dogs a twist</a> with some bacon. To get started, wrap the hot dogs in strips of bacon and throw them on the grill. Garnish them with yummy stuff like refried beans, avocados, red onions, and other fixings.\r\n<h2>Final thoughts on planning</h2>\r\nAs these things go, Independence Day parties often wind up with more participants than the host originally planned for. If that turns out to be the case, why not do something really easy and festive? Try ordering take-out pizza with a twist. Ask the company in question if it\'s possible to make square-shaped pizzas that are decorated like flags. The last part of the request is easy enough to pull off. They can create stripes with some sliced pepperoni or bacon slices and stars with some chopped olives. And viola! Patriotic pizza to go!\r\n\r\nHappy Independence Day!", "How to Host the Perfect 4th of July Get-Together", "", "inherit", "closed", "closed", "", "742-autosave-v1", "", "", "2016-06-28 18:59:28", "2016-06-28 18:59:28", "", "742", "http://buckspizza.com/2016/06/28/742-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("751", "1", "2016-07-05 07:06:55", "2016-07-05 07:06:55", "What does it take to get food-lovers talking? Easy. Combine two of Americans\' favorite food groups together: dessert and pizza. So it\'s easy to see why \'dessert pizzas\' are so increasingly popular. They\'re versatile and casual, with just the right amount of talent needed to pull them off. Whether you\'re hoping to please a crowd, or just wanting something fun to make with your family, look no further. Your dessert decision has been made. Here are 5 dessert pizza ideas to give you a sweet spin on decadence.\r\n<h2>Classic fruit pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-753\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/fruit-pizza.jpg\" alt=\"Classic fruit pizza\" />\r\n\r\nThis delicious perspective on a fruit dessert is something to take a second glance at. Based on the foundation of a sugar cookie crust, with all the edible colors of the fruit rainbow, you won\'t regret biting into this flavorful treat. Fruit pizzas are forgiving in that you can always use whatever fruit is in season at the time, or you can thaw and sugar-glaze frozen fruit to get an unexpected hint of sweetness. In warm weather, this is a low-maintenance dessert. Throw it in the fridge and enjoy it when you\'re ready.\r\n\r\n<a href=\"http://pinchofyum.com/fruit-pizza\" target=\"_blank\">Recipe</a>\r\n<h2>S\'mores pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-754\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/SmoresPieBrighter.jpg\" alt=\"S\'mores pizza\" />\r\n\r\nEveryone loves hovering over a campfire on a summer night and making up that gooey mess of a sandwich that drips all around your hands, and lingers in your mouth for just the right amount of time. S\'mores are a perfect weekend addition to any camp-out. Fortunately for you, there\'s an easy way to recreate the magic even if you don\'t have a fire around. The pliability of the soft graham-cracker crust gives way to the familiar taste of marshmallow heaven in this perfectly toasty pizza pie.\r\n\r\n<a href=\"http://www.lilyshop.com/smores-pizza\" target=\"_blank\">Recipe</a>\r\n<h2>Raspberry-almond pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-755\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/rasberry-almond.jpg\" alt=\"Raspberry-almond pizza\" />\r\n\r\nThe subtle lightness paired with the tangy freshness of this dessert is astonishing. A perfect blend of sweet and nutty come together as layers of cream cheese, mascarpone and raspberries overwhelm your taste buds. Toasted almonds on top give the right amount of crunch so that the balance of crisp and soft is easily achieved. The result is a thrill for your dinner guests.\r\n\r\n<a href=\"http://www.foodnetwork.com/recipes/food-network-kitchens/raspberry-almond-pizza-recipe.html\" target=\"_blank\">Recipe</a>\r\n<h2>Berry-brownie pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-756\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/berry-brownie-pizza.jpg\" alt=\"Berry-brownie pizza\" />\r\n\r\nThis brownie base gives way to the perfect creaminess between chocolate and berries. The fudgy brownie that everyone loves is the ultimate crust to the light cream and the berry mixture piled high- topped with fluffy clouds of whip cream. Have the best of both worlds as you dive into the chocolate-meets-fruit solution to the endless tossup between the two.\r\n\r\n<a href=\"http://www.seededatthetable.com/2012/06/01/fruity-brownie-dessert-pizza/\" target=\"_blank\">Recipe</a>\r\n<h2>Layered pear pizza with Ricotta and apricot preserves</h2>\r\n<img class=\"aligncenter size-full wp-image-757\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/layered-pear-pizza-Ricotta-apricot-preserves.jpeg\" alt=\"Layered pear pizza with Ricotta and apricot preserves\" />\r\n\r\nGo big or go home with this enticing, over-the-top dessert pizza. The warm ricotta and the layers of pear are underneath a hint of apricot with a crunchy granola topping. A golden brown crust and topped with softened fruit is a perfect way to get your senses rolling. Class it up by garnishing with fresh mint, or enjoy as is.\r\n\r\n<a href=\"http://www.foodnetwork.com/recipes/robin-miller/layered-pear-pizza-with-ricotta-apricot-preserves-and-granola-recipe.html\" target=\"_blank\">Recipe</a>", "5 Dessert Pizza Ideas", "", "draft", "closed", "closed", "", "5-dessert-pizza-ideas", "", "", "2017-08-04 15:55:20", "2017-08-04 15:55:20", "", "0", "http://buckspizza.com/?p=751", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("753", "1", "2016-06-28 21:07:37", "2016-06-28 21:07:37", "", "fruit-pizza", "", "inherit", "closed", "closed", "", "fruit-pizza", "", "", "2016-06-28 21:07:41", "2016-06-28 21:07:41", "", "751", "http://buckspizza.com/wp-content/uploads/2016/06/fruit-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("754", "1", "2016-06-28 21:08:20", "2016-06-28 21:08:20", "", "S\'moresPieBrighter", "", "inherit", "closed", "closed", "", "smorespiebrighter", "", "", "2016-06-28 21:08:30", "2016-06-28 21:08:30", "", "751", "http://buckspizza.com/wp-content/uploads/2016/06/SmoresPieBrighter.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("755", "1", "2016-06-28 21:09:24", "2016-06-28 21:09:24", "", "rasberry-almond", "", "inherit", "closed", "closed", "", "rasberry-almond", "", "", "2016-06-28 21:09:34", "2016-06-28 21:09:34", "", "751", "http://buckspizza.com/wp-content/uploads/2016/06/rasberry-almond.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("756", "1", "2016-06-28 21:10:30", "2016-06-28 21:10:30", "", "berry-brownie-pizza", "", "inherit", "closed", "closed", "", "berry-brownie-pizza", "", "", "2016-06-28 21:10:42", "2016-06-28 21:10:42", "", "751", "http://buckspizza.com/wp-content/uploads/2016/06/berry-brownie-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("757", "1", "2016-06-28 21:12:16", "2016-06-28 21:12:16", "", "layered-pear-pizza-Ricotta-apricot-preserves", "", "inherit", "closed", "closed", "", "layered-pear-pizza-ricotta-apricot-preserves", "", "", "2016-06-28 21:12:23", "2016-06-28 21:12:23", "", "751", "http://buckspizza.com/wp-content/uploads/2016/06/layered-pear-pizza-Ricotta-apricot-preserves.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("758", "1", "2016-06-28 21:13:35", "2016-06-28 21:13:35", "What does it take to get food-lovers talking? Easy. Combine two of Americans\' favorite food groups together: dessert and pizza. So it\'s easy to see why \'dessert pizzas\' are so increasingly popular. They\'re versatile and casual, with just the right amount of talent needed to pull them off. Whether you\'re hoping to please a crowd, or just wanting something fun to make with your family, look no further. Your dessert decision has been made. Here are 5 dessert pizza ideas to give you a sweet spin on decadence.\r\n<h2>Classic fruit pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-753\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/fruit-pizza.jpg\" alt=\"Classic fruit pizza\" />\r\n\r\nThis delicious perspective on a fruit dessert is something to take a second glance at. Based on the foundation of a sugar cookie crust, with all the edible colors of the fruit rainbow, you won\'t regret biting into this flavorful treat. Fruit pizzas are forgiving in that you can always use whatever fruit is in season at the time, or you can thaw and sugar-glaze frozen fruit to get an unexpected hint of sweetness. In warm weather, this is a low-maintenance dessert. Throw it in the fridge and enjoy it when you\'re ready.\r\n\r\n<a href=\"http://pinchofyum.com/fruit-pizza\" target=\"_blank\">Recipe</a>\r\n<h2>S\'mores pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-754\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/SmoresPieBrighter.jpg\" alt=\"S\'mores pizza\" />\r\n\r\nEveryone loves hovering over a campfire on a summer night and making up that gooey mess of a sandwich that drips all around your hands, and lingers in your mouth for just the right amount of time. S\'mores are a perfect weekend addition to any camp-out. Fortunately for you, there\'s an easy way to recreate the magic even if you don\'t have a fire around. The pliability of the soft graham-cracker crust gives way to the familiar taste of marshmallow heaven in this perfectly toasty pizza pie.\r\n\r\n<a href=\"http://www.lilyshop.com/smores-pizza\" target=\"_blank\">Recipe</a>\r\n<h2>Raspberry-almond pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-755\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/rasberry-almond.jpg\" alt=\"Raspberry-almond pizza\" />\r\n\r\nThe subtle lightness paired with the tangy freshness of this dessert is astonishing. A perfect blend of sweet and nutty come together as layers of cream cheese, mascarpone and raspberries overwhelm your taste buds. Toasted almonds on top give the right amount of crunch so that the balance of crisp and soft is easily achieved. The result is a thrill for your dinner guests.\r\n\r\n<a href=\"http://www.foodnetwork.com/recipes/food-network-kitchens/raspberry-almond-pizza-recipe.html\" target=\"_blank\">Recipe</a>\r\n<h2>Berry-brownie pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-756\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/berry-brownie-pizza.jpg\" alt=\"Berry-brownie pizza\" />\r\n\r\nThis brownie base gives way to the perfect creaminess between chocolate and berries. The fudgy brownie that everyone loves is the ultimate crust to the light cream and the berry mixture piled high- topped with fluffy clouds of whip cream. Have the best of both worlds as you dive into the chocolate-meets-fruit solution to the endless tossup between the two.\r\n\r\n<a href=\"http://www.seededatthetable.com/2012/06/01/fruity-brownie-dessert-pizza/\" target=\"_blank\">Recipe</a>\r\n<h2>Layered pear pizza with Ricotta and apricot preserves</h2>\r\n<img class=\"aligncenter size-full wp-image-757\" src=\"http://buckspizza.com/wp-content/uploads/2016/06/layered-pear-pizza-Ricotta-apricot-preserves.jpeg\" alt=\"Layered pear pizza with Ricotta and apricot preserves\" />\r\n\r\nGo big or go home with this enticing, over-the-top dessert pizza. The warm ricotta and the layers of pear are underneath a hint of apricot with a crunchy granola topping. A golden brown crust and topped with softened fruit is a perfect way to get your senses rolling. Class it up by garnishing with fresh mint, or enjoy as is.\r\n\r\n<a href=\"http://www.foodnetwork.com/recipes/robin-miller/layered-pear-pizza-with-ricotta-apricot-preserves-and-granola-recipe.html\" target=\"_blank\">Recipe</a>", "5 Dessert Pizza Ideas", "", "inherit", "closed", "closed", "", "751-revision-v1", "", "", "2016-06-28 21:13:35", "2016-06-28 21:13:35", "", "751", "http://buckspizza.com/2016/06/28/751-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("759", "1", "2016-06-28 21:14:48", "2016-06-28 21:14:48", "", "dessert-pizza-ideas", "", "inherit", "closed", "closed", "", "dessert-pizza-ideas", "", "", "2016-06-28 21:15:01", "2016-06-28 21:15:01", "", "751", "http://buckspizza.com/wp-content/uploads/2016/06/dessert-pizza-ideas.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("760", "1", "2016-07-05 16:17:49", "2016-07-05 16:17:49", "First, Texans go for good food in a big way, and word about topnotch eateries spreads faster than a prairie fire. Second, no town in the Lone Star State beats Houston for gastronomical goodness, including pizza. Here are Space City’s top 10 pizzerias.\n<h2>Buck\'s Pizza</h2>\nOf course we\'re going to include our two Houston locations in <a href=\"http://buckspizza.com/clearlake-tx/\">Clear Lake</a> and <a href=\"http://buckspizza.com/montbelvieu-tx/\">Mont Belieu</a>, because like all Buck\'s locations, they emphasis fresh, quality food and a family environment, and tailor their menu to .\n<h2><a href=\"http://www.pinkspizza.com/\" target=\"_blank\">Pink’s Pizza</a></h2>\n<img class=\"aligncenter size-full wp-image-656\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/pinks-pizza.jpg\" alt=\"Pink\'s Pizza\" />\n\nIf you like your pie piled sky high with Gorgonzola, prosciutto, eggplant, artichokes bacon, pepperoni, and veggies, think Pink’s. Don’t plan on eating in, though, Pink’s is strictly a pickup and delivery outfit.\n<h2><a href=\"http://www.pizzalvino.com/\" target=\"_blank\">Pizza L’Vino</a></h2>\n<img class=\"aligncenter size-full wp-image-657\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/pizza-l-vino.jpg\" alt=\"Pizza L’Vino\" />\n\nPizza L’Vino delivers, and we don’t mean just the Greek Islander, topped with spinach, tomatoes, onions, roasted garlic, artichoke hearts, feta cheese, kalamata olives and Wisconsin mozzarella (whew!). L’Vino also delivers beer and wine!\n<h2><a href=\"http://www.barboheme.com/\" target=\"_blank\">Boheme Cafe and Wine Bar</a></h2>\n<img class=\"aligncenter size-full wp-image-658\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Boheme-Cafe-and-Wine-Bar.jpg\" alt=\"Boheme Cafe and Wine Bar\" />\n\nIf you have a hankering to eat nontraditional pizza in an old-world atmosphere, Boheme is the place for you. Their pizzas are made on a cracker-crust Middle Eastern flatbread and topped with Asian flair.\n<h2><a href=\"http://www.piola.it/\" target=\"_blank\">Piola</a></h2>\n<img class=\"aligncenter size-full wp-image-659\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Piola.jpg\" alt=\"Piola\" />\n\nThe fact that Piola’s cheerful patio is consistently crowded speaks well of offerings like the Salvadore (catipury cheese, roasted chicken, and spinach) and the Mantova (beef carpaccio, Brie, diced tomatoes, and arugula).\n<h2><a href=\"http://www.coppaosteriahouston.com/\" target=\"_blank\">Coppa Osteria</a></h2>\n<img class=\"aligncenter size-full wp-image-660\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Coppa-Osteria.jpg\" alt=\"Coppa Osteria\" />\n\nWhether you want to eat you meaty carnissima pizza at a table, or grab a quick bite at the by-the-slice-window, Coppa Osteria has you covered. Of course, if you eat in, you can watch them make the dough, because the central dough room is open to the dining area.\n<h2><a href=\"http://pizarospizza.com/\" target=\"_blank\">Pizaro’s</a></h2>\n<img class=\"aligncenter size-full wp-image-661\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Pizaros.jpg\" alt=\"Pizaro’s\" />\n\nDon’t let the minimalist dining room fool you, Pizaro’s pizza has been compared to the best pie offered in sunny Napoli. In addition to making their own mozzarella and importing San Marzano potatoes, Pizaro’s is known for unusual offerings like its Patata e Funghi pizza topped with Yukon gold potatoes and oven-roasted mushrooms.\n<h2><a href=\"http://www.twitter.com/#!/PiPizzaTruck\" target=\"_blank\">Pi Pizza</a></h2>\n<img class=\"aligncenter size-full wp-image-662\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Pi-Pizza.jpg\" alt=\"Pi Pizza\" />\n\n“Have pizza, will travel,” might be the motto for this pizzeria on wheels. Pi Pizza, which can usually be found parked in front of Catbird’s or Jackson’s Watering Hole, offers everything from slices topped with chili-cheese Fritos to the one-of-a-kind gourmet Panty Dropper topped with honey-glazed grilled radicchio and fennel, gorgonzola cheese, apples and shallots.\n<h2><a href=\"http://passandprovisions.com/#/provisions\" target=\"_blank\">Provisions</a></h2>\n<img class=\"aligncenter size-full wp-image-663\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Provisions.jpg\" alt=\"Provisions\" />\n\nCrisp crusts quickly baked in a wood-fired oven, creamy mild ricotta and sharp Italian fontina, and meats cooked to perfection make Provisions’ pizza a Houston favorite. Billed as a “unique take on a warm and casual neighborhood restaurant and bar,” Provisions offers dining both inside and al fresco.\n<h2><a href=\"http://dolcevitahouston.com/\" target=\"_blank\">Dolce Vita Pizzeria and Enoteca</a></h2>\n<img class=\"aligncenter size-full wp-image-664\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Dolce-Vita-Pizzeria-and-Enoteca.jpg\" alt=\"Dolce Vita Pizzeria and Enoteca\" />\n\nA double-sided downstairs wine bar, a maze-like upstairs dining area, and more than a dozen pizza choices—seriously, what more could you ask? Dolce Vita is hip and affordable, from its tasty pear and taleggio pizza drizzled with truffle oil to its extensive wine list.\n<h2><a href=\"http://www.pizzeriasolario.com/\" target=\"_blank\">Pizzeria Solario</a></h2>\n<img class=\"aligncenter size-full wp-image-665\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Pizzeria-Solario.jpg\" alt=\"Pizzeria Solario\" />\n\nIf hand-crafted, wood-fired, Neapolitan-style pizza is your idea of good eats, Pizzeria Solario is the place to go! With unique offerings like pistachio pizza—i.e., fontina, Spanish onions, caramelized onions, pistachios, and rosemary, all atop one of the best crusts in Texas—it’s small wonder Solario’s is a Houston favorite.", "10 Best Pizza Places in Houston", "", "inherit", "closed", "closed", "", "654-autosave-v1", "", "", "2016-07-05 16:17:49", "2016-07-05 16:17:49", "", "654", "http://buckspizza.com/uncategorized/654-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("761", "1", "2016-07-05 16:21:16", "2016-07-05 16:21:16", "First, Texans go for good food in a big way, and word about topnotch eateries spreads faster than a prairie fire. Second, no town in the Lone Star State beats Houston for gastronomical goodness, including pizza. Here are Space City’s top 10 pizzerias.\r\n<h2>Buck\'s Pizza</h2>\r\nOf course we\'re going to include our two Houston locations in <a href=\"http://buckspizza.com/clearlake-tx/\">Clear Lake</a> and <a href=\"http://buckspizza.com/montbelvieu-tx/\">Mont Belieu</a>, because like all Buck\'s locations, they emphasis fresh, quality food and a family environment, and tailor their menu to the local community. Great food, friendly staff, and a family environment—check them out!\r\n<h2><a href=\"http://www.pinkspizza.com/\" target=\"_blank\">Pink’s Pizza</a></h2>\r\n<img class=\"aligncenter size-full wp-image-656\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/pinks-pizza.jpg\" alt=\"Pink\'s Pizza\" />\r\n\r\nIf you like your pie piled sky high with Gorgonzola, prosciutto, eggplant, artichokes bacon, pepperoni, and veggies, think Pink’s. Don’t plan on eating in, though, Pink’s is strictly a pickup and delivery outfit.\r\n<h2><a href=\"http://www.pizzalvino.com/\" target=\"_blank\">Pizza L’Vino</a></h2>\r\n<img class=\"aligncenter size-full wp-image-657\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/pizza-l-vino.jpg\" alt=\"Pizza L’Vino\" />\r\n\r\nPizza L’Vino delivers, and we don’t mean just the Greek Islander, topped with spinach, tomatoes, onions, roasted garlic, artichoke hearts, feta cheese, kalamata olives and Wisconsin mozzarella (whew!). L’Vino also delivers beer and wine!\r\n<h2><a href=\"http://www.barboheme.com/\" target=\"_blank\">Boheme Cafe and Wine Bar</a></h2>\r\n<img class=\"aligncenter size-full wp-image-658\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Boheme-Cafe-and-Wine-Bar.jpg\" alt=\"Boheme Cafe and Wine Bar\" />\r\n\r\nIf you have a hankering to eat nontraditional pizza in an old-world atmosphere, Boheme is the place for you. Their pizzas are made on a cracker-crust Middle Eastern flatbread and topped with Asian flair.\r\n<h2><a href=\"http://www.piola.it/\" target=\"_blank\">Piola</a></h2>\r\n<img class=\"aligncenter size-full wp-image-659\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Piola.jpg\" alt=\"Piola\" />\r\n\r\nThe fact that Piola’s cheerful patio is consistently crowded speaks well of offerings like the Salvadore (catipury cheese, roasted chicken, and spinach) and the Mantova (beef carpaccio, Brie, diced tomatoes, and arugula).\r\n<h2><a href=\"http://www.coppaosteriahouston.com/\" target=\"_blank\">Coppa Osteria</a></h2>\r\n<img class=\"aligncenter size-full wp-image-660\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Coppa-Osteria.jpg\" alt=\"Coppa Osteria\" />\r\n\r\nWhether you want to eat you meaty carnissima pizza at a table, or grab a quick bite at the by-the-slice-window, Coppa Osteria has you covered. Of course, if you eat in, you can watch them make the dough, because the central dough room is open to the dining area.\r\n<h2><a href=\"http://pizarospizza.com/\" target=\"_blank\">Pizaro’s</a></h2>\r\n<img class=\"aligncenter size-full wp-image-661\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Pizaros.jpg\" alt=\"Pizaro’s\" />\r\n\r\nDon’t let the minimalist dining room fool you, Pizaro’s pizza has been compared to the best pie offered in sunny Napoli. In addition to making their own mozzarella and importing San Marzano potatoes, Pizaro’s is known for unusual offerings like its Patata e Funghi pizza topped with Yukon gold potatoes and oven-roasted mushrooms.\r\n<h2><a href=\"http://www.twitter.com/#!/PiPizzaTruck\" target=\"_blank\">Pi Pizza</a></h2>\r\n<img class=\"aligncenter size-full wp-image-662\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Pi-Pizza.jpg\" alt=\"Pi Pizza\" />\r\n\r\n“Have pizza, will travel,” might be the motto for this pizzeria on wheels. Pi Pizza, which can usually be found parked in front of Catbird’s or Jackson’s Watering Hole, offers everything from slices topped with chili-cheese Fritos to the one-of-a-kind gourmet Panty Dropper topped with honey-glazed grilled radicchio and fennel, gorgonzola cheese, apples and shallots.\r\n<h2><a href=\"http://passandprovisions.com/#/provisions\" target=\"_blank\">Provisions</a></h2>\r\n<img class=\"aligncenter size-full wp-image-663\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Provisions.jpg\" alt=\"Provisions\" />\r\n\r\nCrisp crusts quickly baked in a wood-fired oven, creamy mild ricotta and sharp Italian fontina, and meats cooked to perfection make Provisions’ pizza a Houston favorite. Billed as a “unique take on a warm and casual neighborhood restaurant and bar,” Provisions offers dining both inside and al fresco.\r\n<h2><a href=\"http://dolcevitahouston.com/\" target=\"_blank\">Dolce Vita Pizzeria and Enoteca</a></h2>\r\n<img class=\"aligncenter size-full wp-image-664\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Dolce-Vita-Pizzeria-and-Enoteca.jpg\" alt=\"Dolce Vita Pizzeria and Enoteca\" />\r\n\r\nA double-sided downstairs wine bar, a maze-like upstairs dining area, and more than a dozen pizza choices—seriously, what more could you ask? Dolce Vita is hip and affordable, from its tasty pear and taleggio pizza drizzled with truffle oil to its extensive wine list.\r\n<h2><a href=\"http://www.pizzeriasolario.com/\" target=\"_blank\">Pizzeria Solario</a></h2>\r\n<img class=\"aligncenter size-full wp-image-665\" src=\"http://buckspizza.com/wp-content/uploads/2016/05/Pizzeria-Solario.jpg\" alt=\"Pizzeria Solario\" />\r\n\r\nIf hand-crafted, wood-fired, Neapolitan-style pizza is your idea of good eats, Pizzeria Solario is the place to go! With unique offerings like pistachio pizza—i.e., fontina, Spanish onions, caramelized onions, pistachios, and rosemary, all atop one of the best crusts in Texas—it’s small wonder Solario’s is a Houston favorite.", "10 Best Pizza Places in Houston", "", "inherit", "closed", "closed", "", "654-revision-v1", "", "", "2016-07-05 16:21:16", "2016-07-05 16:21:16", "", "654", "http://buckspizza.com/uncategorized/654-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("764", "1", "2016-07-22 08:45:12", "2016-07-22 08:45:12", "You\'re seeing the advertisements. You\'ve been to the store and seen the school supplies being stocked on shelves. The calendar still says July, but you know the summer is starting to slip away and soon the kids will be heading back to school.\r\n\r\nMaybe you\'re going to miss having your kids around and want to throw one last party. Maybe you\'re excited to have the house back during the day and want to celebrate. There’s a good chance, either way, you’re running low on energy and ideas to keep the kids entertained, so make the end of summer something easy while still being enjoyable.\r\n<h2>Where you’ve been</h2>\r\nThe first thing to do is decide what you have and what you haven’t done. If you’ve thrown tons of pool parties all summer, this might be a time to throw a changeup and go with a game night. If you’ve been out and about most of the summer, keep it indoors and cozy with a movie. Maybe it’s been hot and muggy most of the month and you just want to get outdoors, so planning a trip to the park for a picnic is more to your liking.\r\n<h2>Survey the land</h2>\r\nIf you\'ve got a pool and it won\'t get much use after the kids go back to school, maybe you can make the most of your time with the water and make it a pool party. This might be the time to break out all the fun toys and use all the accessories and areas you might normally keep closed up or not use. Inflate the inflatables and set up the water basketball hoop.\r\n\r\nGot a gazebo? Consider a barbecue or movie under the stars. No backyard at all or bad weather when it\'s most convenient? Try a new board game or streaming a movie no one has seen. If the kids spend too much time on their mobile devices, consider a \"no phone night\" or go the other way and plan a “Pokemon Go” walk party in the neighborhood.\r\n<h2>Snack well</h2>\r\nOnce you decide you want to throw a party, consider the snacks, drinks and food you want to enjoy. Movie night?Salty and sweet is traditionally the way to go, but maybe you want to go healthy with the snacks instead. If you\'re playing games, nothing sticky or too messy. Pool party? Offer lighter foods and make sure the real activity takes place before you eat so you don\'t have to eat and swim and risk upset stomachs. If you are going on a picnic, you might want something easy to transport, dish out, and clean up.\r\n\r\nSnack-wise, popcorn is a great choice for a snack as it\'s cheap, easy, and can be buttered, salted, or sweetened. Pretzels, either the soft, baked kind or the crunchy, dry kind are a great choice. Experiment with some cool refreshing drinks or smoothies with fresh summer fruit or keep it simple and get the small sized bottles to keep spills at a minimum and clean up a cinch.\r\n<h2>Your main course</h2>\r\nThere is a type of food that has been proven to work well in any event. Pizza is such a great choice mostly because everyone tends to enjoy it, but also because it\'s a hand-held food that\'s easy to portion and can be customized to fit the moods and the likings of everybody enjoying it. You can do dessert pizzas, healthy toppings, personalized offerings, classic pepperoni or extra cheese, deluxe, gluten free, homemade or delivery.\r\n\r\nThe easiest way to go is to call upon your favorite local pizza place to do the preparation and cooking for you. It comes in a box and clean up can be as easy as throwing paper plates into a bad and the box into a bag. Maybe this is the time you branch out on the menu and see what some side dishes or appetizers taste like. Make your own dipping sauces if that’s your thing.\r\n<h2>Pick the right time</h2>\r\nWaiting until the last minute to plan a party like this might be a bad idea. This can be the kind of send off kids will cherish or it can be a simple relaxing evening, but there may still be things the kids are looking to do before the summer ends and picking the wrong day and time might make the wrong kind of memorable impression. This is a chance to connect with the kids and set them up for another school year, so waiting until the weekend before school starts might cause more stress instead of provide much needed relaxation\r\n\r\nIf your idea of a summer bash is inviting over friends and family, you certainly need more advance notice, but even a simple low-key night needs to have input from the expected attendees. Unless the kids are young enough not to pout (and what school age child isn’t?), make sure you match the event to a time and place you can manage.\r\n<h2>Don’t stress</h2>\r\nIt’s reasonable to assume you’d like to enjoy yourself, too. Unless you’ve already got plans for a big party, it might be best to keep it simple. Opt for the pizza. Buy snacks instead of making them or make them “do-it-yourself” style offerings. Use what you have and make it a movie or game night instead of making it a trip. Do what you can, but make sure if you’re trying to throw one last summer bash, that you’re enjoying yourself just as much as the kids, because before you know it, the school year will be here.", "One Last Summer Bash Before Sending Your Kids Back to School", "", "draft", "closed", "closed", "", "one-last-summer-bash-kids-school", "", "", "2017-08-04 15:56:10", "2017-08-04 15:56:10", "", "0", "http://buckspizza.com/?p=764", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("766", "1", "2016-07-23 22:08:40", "2016-07-23 22:08:40", "", "One-Last-Summer-Bash-Before-Sending-Your-Kids-Back-to-School", "", "inherit", "closed", "closed", "", "one-last-summer-bash-before-sending-your-kids-back-to-school", "", "", "2016-07-23 22:08:45", "2016-07-23 22:08:45", "", "764", "http://buckspizza.com/wp-content/uploads/2016/07/One-Last-Summer-Bash-Before-Sending-Your-Kids-Back-to-School.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("767", "1", "2016-07-23 22:08:48", "2016-07-23 22:08:48", "You\'re seeing the advertisements. You\'ve been to the store and seen the school supplies being stocked on shelves. The calendar still says July, but you know the summer is starting to slip away and soon the kids will be heading back to school.\r\n\r\nMaybe you\'re going to miss having your kids around and want to throw one last party. Maybe you\'re excited to have the house back during the day and want to celebrate. There’s a good chance, either way, you’re running low on energy and ideas to keep the kids entertained, so make the end of summer something easy while still being enjoyable.\r\n<h2>Where you’ve been</h2>\r\nThe first thing to do is decide what you have and what you haven’t done. If you’ve thrown tons of pool parties all summer, this might be a time to throw a changeup and go with a game night. If you’ve been out and about most of the summer, keep it indoors and cozy with a movie. Maybe it’s been hot and muggy most of the month and you just want to get outdoors, so planning a trip to the park for a picnic is more to your liking.\r\n<h2>Survey the land</h2>\r\nIf you\'ve got a pool and it won\'t get much use after the kids go back to school, maybe you can make the most of your time with the water and make it a pool party. This might be the time to break out all the fun toys and use all the accessories and areas you might normally keep closed up or not use. Inflate the inflatables and set up the water basketball hoop.\r\n\r\nGot a gazebo? Consider a barbecue or movie under the stars. No backyard at all or bad weather when it\'s most convenient? Try a new board game or streaming a movie no one has seen. If the kids spend too much time on their mobile devices, consider a \"no phone night\" or go the other way and plan a “Pokemon Go” walk party in the neighborhood.\r\n<h2>Snack well</h2>\r\nOnce you decide you want to throw a party, consider the snacks, drinks and food you want to enjoy. Movie night?Salty and sweet is traditionally the way to go, but maybe you want to go healthy with the snacks instead. If you\'re playing games, nothing sticky or too messy. Pool party? Offer lighter foods and make sure the real activity takes place before you eat so you don\'t have to eat and swim and risk upset stomachs. If you are going on a picnic, you might want something easy to transport, dish out, and clean up.\r\n\r\nSnack-wise, popcorn is a great choice for a snack as it\'s cheap, easy, and can be buttered, salted, or sweetened. Pretzels, either the soft, baked kind or the crunchy, dry kind are a great choice. Experiment with some cool refreshing drinks or smoothies with fresh summer fruit or keep it simple and get the small sized bottles to keep spills at a minimum and clean up a cinch.\r\n<h2>Your main course</h2>\r\nThere is a type of food that has been proven to work well in any event. Pizza is such a great choice mostly because everyone tends to enjoy it, but also because it\'s a hand-held food that\'s easy to portion and can be customized to fit the moods and the likings of everybody enjoying it. You can do dessert pizzas, healthy toppings, personalized offerings, classic pepperoni or extra cheese, deluxe, gluten free, homemade or delivery.\r\n\r\nThe easiest way to go is to call upon your favorite local pizza place to do the preparation and cooking for you. It comes in a box and clean up can be as easy as throwing paper plates into a bad and the box into a bag. Maybe this is the time you branch out on the menu and see what some side dishes or appetizers taste like. Make your own dipping sauces if that’s your thing.\r\n<h2>Pick the right time</h2>\r\nWaiting until the last minute to plan a party like this might be a bad idea. This can be the kind of send off kids will cherish or it can be a simple relaxing evening, but there may still be things the kids are looking to do before the summer ends and picking the wrong day and time might make the wrong kind of memorable impression. This is a chance to connect with the kids and set them up for another school year, so waiting until the weekend before school starts might cause more stress instead of provide much needed relaxation\r\n\r\nIf your idea of a summer bash is inviting over friends and family, you certainly need more advance notice, but even a simple low-key night needs to have input from the expected attendees. Unless the kids are young enough not to pout (and what school age child isn’t?), make sure you match the event to a time and place you can manage.\r\n<h2>Don’t stress</h2>\r\nIt’s reasonable to assume you’d like to enjoy yourself, too. Unless you’ve already got plans for a big party, it might be best to keep it simple. Opt for the pizza. Buy snacks instead of making them or make them “do-it-yourself” style offerings. Use what you have and make it a movie or game night instead of making it a trip. Do what you can, but make sure if you’re trying to throw one last summer bash, that you’re enjoying yourself just as much as the kids, because before you know it, the school year will be here.", "One Last Summer Bash Before Sending Your Kids Back to School", "", "inherit", "closed", "closed", "", "764-revision-v1", "", "", "2016-07-23 22:08:48", "2016-07-23 22:08:48", "", "764", "http://buckspizza.com/uncategorized/764-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("769", "1", "2016-08-05 18:25:56", "2016-08-05 18:25:56", "<h2><span class=\"list-number-new-head\">Fratello\'s Deli</span></h2>\r\n<img class=\"aligncenter size-full wp-image-773\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/Fratellos-Deli.jpg\" alt=\"Fratello\'s Deli\" />\r\n\r\nFratello\'s is a great place to grab a quick bite to eat that\'s fresh, tasty, and affordable. Their dishes come from classic family recipes, they make all their bread from scratch, and it\'s the only place in town you can get a bowl of Bucatini al\' Amatriciana!\r\n\r\n<a href=\"http://www.fratellosdeli.com/\" target=\"_blank\">Website »</a>\r\n<h2>SOBRO Pizza Co.</h2>\r\n<img class=\"aligncenter size-full wp-image-774\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/SOBRO-Pizza-Co.jpg\" alt=\"SOBRO Pizza Co.\" />\r\n\r\nSOBRO is located near the historic Pearl Brewery in San Antonio, and serves Neapolitan pizza on dough made from scratch with imported Italian flour for a crispy crust with just a slight chewy texture inside. They offer classics like a margherita pizza and pepperoni, a unique white pizza with SOBRO\'s FigJam made with sweet figs, prosciutto and tangy gorgonzola, and even green pizza, like the Pesto e Verdura made with pesto, house mozzarella, gorgonzola, fresh arugula and grilled mushrooms.\r\n\r\n<a href=\"http://sobropizza.com/\" target=\"_blank\">Website »</a>\r\n<h2>Barbaro</h2>\r\n<img class=\"aligncenter size-full wp-image-775\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/Barbaro.jpg\" alt=\"Barbaro\" />\r\n\r\nBarbaro is a San Antonio favorite that features a selection of craft beer and amazing pizza, salads and desserts with unique combinations of ingredients to keep your pallet dancing!\r\n\r\n<a href=\"http://www.barbarosanantonio.com/\" target=\"_blank\">Website »</a>\r\n<h2>20 Nine Restaurant and Wine Bar</h2>\r\n<img class=\"aligncenter size-full wp-image-776\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/20-Nine-Restaurant-and-Wine-Bar.jpg\" alt=\"20 Nine Restaurant and Wine Bar\" />\r\n\r\nChef Jerry Toomey has transformed 20 Nine into one of the top farm-to-table restaurants in San Antonio. Toomey, a San Antonio native combines fresh, local ingredients and exotic cuisine to craft the best pizza, with nearly everyting made in-house by his kitchen staff.\r\n\r\n<a href=\"http://20ninewine.com/\" target=\"_blank\">Website »</a>\r\n<h2>Grimaldi\'s Pizzeria</h2>\r\n<img class=\"aligncenter size-full wp-image-777\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/Grimaldis-Pizzeria.jpg\" alt=\"Grimaldi\'s Pizzeria\" />\r\n\r\nGrimaldi\'s serves authentic New York style thin crust pizza for take out like on other. Their custom-built brick-ovens transform hand-selected fresh ingredients into a masterpiece.\r\n\r\n<a href=\"https://www.grimaldispizzeria.com/\" target=\"_blank\">Website »</a>\r\n<h2>Tribeca</h2>\r\n<img class=\"aligncenter size-full wp-image-778\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/Tribeca.jpg\" alt=\"Tribeca\" />\r\n\r\nBoasting a diverse menu of locally-sourced ingredients from Texas farms and ranches, Tribeca offers exceptional service in a warm, cozy atmosphere and all at a surprisingly low price point. They\'re  open for lunch during the week, brunch on Sundays and happy hour for some mixologist-invented elixirs.\r\n\r\n<a href=\"http://www.tribeca212.com/\" target=\"_blank\">Website »</a>\r\n<h2>Dough Pizzeria Napoletana</h2>\r\n<img class=\"aligncenter size-full wp-image-779\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/Dough-Pizzeria-Napoletana.jpg\" alt=\"Dough Pizzeria Napoletana\" />\r\n\r\nThanks to its extensive, unique, and tasty menu, Dough Pizzeria Napoletana has been featured in dozens of television programs and nationally circulated publications including <a href=\"http://www.foodnetwork.com/\" target=\"_blank\">Food Network</a> and <a href=\"http://www.rachaelraymag.com/\" target=\"_blank\">Rachel Ray\'s Magazine</a>. They even grow their all of own fresh herbs in the restaurant\'s herb garden!\r\n\r\n<a href=\"http://www.doughpizzeria.com/\" target=\"_blank\">Website »</a>\r\n<h2>Mellow Mushroom</h2>\r\n<img class=\"aligncenter size-full wp-image-780\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/Mellow-Mushroom.jpg\" alt=\"Mellow Mushroom\" />\r\n\r\nDespite the fact that it\'s a chain restaurant, many San Antonians swear that Mellow Mushroom has the best pizza in town. They began in the hippy culture of 70\'s, and today, they strive to find happiness in  mouthwatering pizza and ice cold craft beer.\r\n\r\n<a href=\"http://mellowmushroom.com/\" target=\"_blank\">Website »</a>\r\n<h2>Cerroni\'s Purple Garlic</h2>\r\n<img class=\"aligncenter size-full wp-image-781\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/Cerronis-Purple-Garlic.jpg\" alt=\"Cerroni\'s Purple Garlic\" />\r\n\r\nThe Purple Garlic has homemade hand-tossed pizzas, soups, fresh salads, and strombolis along with traditional Italian favorites, and they even offer any flavor of pizza on a gluten-free 8\" crust!\r\n\r\n<a href=\"http://www.cerronispurplegarlic.com/\" target=\"_blank\">Website »</a>\r\n<h2 class=\"title\">Big Lou\'s Pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-782\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/Big-Lous-Pizza.jpg\" alt=\"Big Lou\'s Pizza\" />\r\n\r\nBig Lou\'s Pizza is a family-owned restaurant that\'s become famous for <em>The Big Lou’s 42\"</em> which has become so popular that they were recently featured on <a href=\"http://www.travelchannel.com/\" target=\"_blank\">The Travel Channel</a>’s <a href=\"http://www.travelchannel.com/shows/man-v-food/episodes/san-antonio\" target=\"_blank\">Man vs Food</a>.\r\n\r\n<a href=\"http://biglouspizza-satx.com/\" target=\"_blank\">Website »</a>", "San Antonio’s Top 10 Pizza Places", "", "draft", "closed", "closed", "", "san-antonios-top-10-pizza-places", "", "", "2017-08-04 15:56:10", "2017-08-04 15:56:10", "", "0", "http://buckspizza.com/?p=769", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("773", "1", "2016-08-11 20:26:56", "2016-08-11 20:26:56", "", "Fratellos-Deli", "", "inherit", "closed", "closed", "", "fratellos-deli", "", "", "2016-08-11 20:26:59", "2016-08-11 20:26:59", "", "769", "http://buckspizza.com/wp-content/uploads/2016/08/Fratellos-Deli.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("774", "1", "2016-08-11 20:30:31", "2016-08-11 20:30:31", "", "SOBRO-Pizza-Co", "", "inherit", "closed", "closed", "", "sobro-pizza-co", "", "", "2016-08-11 20:31:00", "2016-08-11 20:31:00", "", "769", "http://buckspizza.com/wp-content/uploads/2016/08/SOBRO-Pizza-Co.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("775", "1", "2016-08-11 20:32:11", "2016-08-11 20:32:11", "", "Barbaro", "", "inherit", "closed", "closed", "", "barbaro", "", "", "2016-08-11 20:32:15", "2016-08-11 20:32:15", "", "769", "http://buckspizza.com/wp-content/uploads/2016/08/Barbaro.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("776", "1", "2016-08-11 20:33:14", "2016-08-11 20:33:14", "", "20-Nine-Restaurant-and-Wine-Bar", "", "inherit", "closed", "closed", "", "20-nine-restaurant-and-wine-bar", "", "", "2016-08-11 20:33:18", "2016-08-11 20:33:18", "", "769", "http://buckspizza.com/wp-content/uploads/2016/08/20-Nine-Restaurant-and-Wine-Bar.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("777", "1", "2016-08-11 20:35:17", "2016-08-11 20:35:17", "", "Grimaldis-Pizzeria", "", "inherit", "closed", "closed", "", "grimaldis-pizzeria", "", "", "2016-08-11 20:35:21", "2016-08-11 20:35:21", "", "769", "http://buckspizza.com/wp-content/uploads/2016/08/Grimaldis-Pizzeria.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("778", "1", "2016-08-11 20:36:19", "2016-08-11 20:36:19", "", "Tribeca", "", "inherit", "closed", "closed", "", "tribeca", "", "", "2016-08-11 20:36:22", "2016-08-11 20:36:22", "", "769", "http://buckspizza.com/wp-content/uploads/2016/08/Tribeca.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("779", "1", "2016-08-11 20:38:02", "2016-08-11 20:38:02", "", "Dough-Pizzeria-Napoletana", "", "inherit", "closed", "closed", "", "dough-pizzeria-napoletana", "", "", "2016-08-11 20:38:06", "2016-08-11 20:38:06", "", "769", "http://buckspizza.com/wp-content/uploads/2016/08/Dough-Pizzeria-Napoletana.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("780", "1", "2016-08-11 20:39:00", "2016-08-11 20:39:00", "", "Mellow-Mushroom", "", "inherit", "closed", "closed", "", "mellow-mushroom", "", "", "2016-08-11 20:39:02", "2016-08-11 20:39:02", "", "769", "http://buckspizza.com/wp-content/uploads/2016/08/Mellow-Mushroom.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("781", "1", "2016-08-11 20:39:51", "2016-08-11 20:39:51", "", "Cerronis-Purple-Garlic", "", "inherit", "closed", "closed", "", "cerronis-purple-garlic", "", "", "2016-08-11 20:39:54", "2016-08-11 20:39:54", "", "769", "http://buckspizza.com/wp-content/uploads/2016/08/Cerronis-Purple-Garlic.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("782", "1", "2016-08-11 20:40:48", "2016-08-11 20:40:48", "", "Big-Lous-Pizza", "", "inherit", "closed", "closed", "", "big-lous-pizza", "", "", "2016-08-11 20:40:52", "2016-08-11 20:40:52", "", "769", "http://buckspizza.com/wp-content/uploads/2016/08/Big-Lous-Pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("783", "1", "2016-08-11 20:42:58", "2016-08-11 20:42:58", "", "San-Antonios-Pizza-Places", "", "inherit", "closed", "closed", "", "san-antonios-pizza-places", "", "", "2016-08-11 20:43:02", "2016-08-11 20:43:02", "", "769", "http://buckspizza.com/wp-content/uploads/2016/08/San-Antonios-Pizza-Places.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("784", "1", "2016-08-11 20:43:37", "2016-08-11 20:43:37", "<h2><span class=\"list-number-new-head\">Fratello\'s Deli</span></h2>\r\n<img class=\"aligncenter size-full wp-image-773\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/Fratellos-Deli.jpg\" alt=\"Fratello\'s Deli\" />\r\n\r\nFratello\'s is a great place to grab a quick bite to eat that\'s fresh, tasty, and affordable. Their dishes come from classic family recipes, they make all their bread from scratch, and it\'s the only place in town you can get a bowl of Bucatini al\' Amatriciana!\r\n\r\n<a href=\"http://www.fratellosdeli.com/\" target=\"_blank\">Website »</a>\r\n<h2>SOBRO Pizza Co.</h2>\r\n<img class=\"aligncenter size-full wp-image-774\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/SOBRO-Pizza-Co.jpg\" alt=\"SOBRO Pizza Co.\" />\r\n\r\nSOBRO is located near the historic Pearl Brewery in San Antonio, and serves Neapolitan pizza on dough made from scratch with imported Italian flour for a crispy crust with just a slight chewy texture inside. They offer classics like a margherita pizza and pepperoni, a unique white pizza with SOBRO\'s FigJam made with sweet figs, prosciutto and tangy gorgonzola, and even green pizza, like the Pesto e Verdura made with pesto, house mozzarella, gorgonzola, fresh arugula and grilled mushrooms.\r\n\r\n<a href=\"http://sobropizza.com/\" target=\"_blank\">Website »</a>\r\n<h2>Barbaro</h2>\r\n<img class=\"aligncenter size-full wp-image-775\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/Barbaro.jpg\" alt=\"Barbaro\" />\r\n\r\nBarbaro is a San Antonio favorite that features a selection of craft beer and amazing pizza, salads and desserts with unique combinations of ingredients to keep your pallet dancing!\r\n\r\n<a href=\"http://www.barbarosanantonio.com/\" target=\"_blank\">Website »</a>\r\n<h2>20 Nine Restaurant and Wine Bar</h2>\r\n<img class=\"aligncenter size-full wp-image-776\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/20-Nine-Restaurant-and-Wine-Bar.jpg\" alt=\"20 Nine Restaurant and Wine Bar\" />\r\n\r\nChef Jerry Toomey has transformed 20 Nine into one of the top farm-to-table restaurants in San Antonio. Toomey, a San Antonio native combines fresh, local ingredients and exotic cuisine to craft the best pizza, with nearly everyting made in-house by his kitchen staff.\r\n\r\n<a href=\"http://20ninewine.com/\" target=\"_blank\">Website »</a>\r\n<h2>Grimaldi\'s Pizzeria</h2>\r\n<img class=\"aligncenter size-full wp-image-777\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/Grimaldis-Pizzeria.jpg\" alt=\"Grimaldi\'s Pizzeria\" />\r\n\r\nGrimaldi\'s serves authentic New York style thin crust pizza for take out like on other. Their custom-built brick-ovens transform hand-selected fresh ingredients into a masterpiece.\r\n\r\n<a href=\"https://www.grimaldispizzeria.com/\" target=\"_blank\">Website »</a>\r\n<h2>Tribeca</h2>\r\n<img class=\"aligncenter size-full wp-image-778\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/Tribeca.jpg\" alt=\"Tribeca\" />\r\n\r\nBoasting a diverse menu of locally-sourced ingredients from Texas farms and ranches, Tribeca offers exceptional service in a warm, cozy atmosphere and all at a surprisingly low price point. They\'re  open for lunch during the week, brunch on Sundays and happy hour for some mixologist-invented elixirs.\r\n\r\n<a href=\"http://www.tribeca212.com/\" target=\"_blank\">Website »</a>\r\n<h2>Dough Pizzeria Napoletana</h2>\r\n<img class=\"aligncenter size-full wp-image-779\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/Dough-Pizzeria-Napoletana.jpg\" alt=\"Dough Pizzeria Napoletana\" />\r\n\r\nThanks to its extensive, unique, and tasty menu, Dough Pizzeria Napoletana has been featured in dozens of television programs and nationally circulated publications including <a href=\"http://www.foodnetwork.com/\" target=\"_blank\">Food Network</a> and <a href=\"http://www.rachaelraymag.com/\" target=\"_blank\">Rachel Ray\'s Magazine</a>. They even grow their all of own fresh herbs in the restaurant\'s herb garden!\r\n\r\n<a href=\"http://www.doughpizzeria.com/\" target=\"_blank\">Website »</a>\r\n<h2>Mellow Mushroom</h2>\r\n<img class=\"aligncenter size-full wp-image-780\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/Mellow-Mushroom.jpg\" alt=\"Mellow Mushroom\" />\r\n\r\nDespite the fact that it\'s a chain restaurant, many San Antonians swear that Mellow Mushroom has the best pizza in town. They began in the hippy culture of 70\'s, and today, they strive to find happiness in  mouthwatering pizza and ice cold craft beer.\r\n\r\n<a href=\"http://mellowmushroom.com/\" target=\"_blank\">Website »</a>\r\n<h2>Cerroni\'s Purple Garlic</h2>\r\n<img class=\"aligncenter size-full wp-image-781\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/Cerronis-Purple-Garlic.jpg\" alt=\"Cerroni\'s Purple Garlic\" />\r\n\r\nThe Purple Garlic has homemade hand-tossed pizzas, soups, fresh salads, and strombolis along with traditional Italian favorites, and they even offer any flavor of pizza on a gluten-free 8\" crust!\r\n\r\n<a href=\"http://www.cerronispurplegarlic.com/\" target=\"_blank\">Website »</a>\r\n<h2 class=\"title\">Big Lou\'s Pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-782\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/Big-Lous-Pizza.jpg\" alt=\"Big Lou\'s Pizza\" />\r\n\r\nBig Lou\'s Pizza is a family-owned restaurant that\'s become famous for <em>The Big Lou’s 42\"</em> which has become so popular that they were recently featured on <a href=\"http://www.travelchannel.com/\" target=\"_blank\">The Travel Channel</a>’s <a href=\"http://www.travelchannel.com/shows/man-v-food/episodes/san-antonio\" target=\"_blank\">Man vs Food</a>.\r\n\r\n<a href=\"http://biglouspizza-satx.com/\" target=\"_blank\">Website »</a>", "San Antonio’s Top 10 Pizza Places", "", "inherit", "closed", "closed", "", "769-revision-v1", "", "", "2016-08-11 20:43:37", "2016-08-11 20:43:37", "", "769", "http://buckspizza.com/uncategorized/769-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("786", "1", "2016-08-12 18:46:08", "2016-08-12 18:46:08", "There is no shortage of pizza styles, but there are three that are instantly recognizable by nearly everyone, and you need to treat your taste buds to each of them! Best of all, you won\'t even need to leave your city to try them all!\r\n\r\nBon appetit!\r\n<h2>New York-style pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-799\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/new-york-style-pizza.jpg\" alt=\"New York-style pizza\" />\r\n\r\nPizza first hit American shores in New York, founded by Gennaro Lombardi in New York City\'s Little Italy in 1905, which may be why so many insist that New York-style pizza is the best.\r\n\r\nNew York–style pizza is characterized by large hand-tossed thin-crust pizza, baked in coal brick ovens, and often sold in wide slices to go. Its tasty crust is crisp along the edges, yet pliable enough that it can be easily folded in half to eat. This classic pizza style is typically about 18\" in diameter, and usually cut into 8 slices.\r\n\r\nThis classic pizza style achieves its distinguishing crust from high-gluten bread flour, and many New Yorkers credit minerals present in New York City water for giving the dough a unique flavor. Some out-of-state pizzerias even city water from New York City in an attempt to mimic the authentic taste. Typical condiments include oregano, grated Parmesan cheese, garlic powder, and dried red chili pepper flakes.\r\n<h2>Chicago-style pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-800\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/deep-dish-chicago-style-pizza.jpg\" alt=\"Chicago-style pizza\" />\r\n\r\nChicago-style pizza typically refers to deep-dish pizza, which is baked in a special pan to create high edges and a deep surface to hold plenty of cheese and chunky tomato sauce. Chicago-style pizza may be prepared in deep-dish style and as a stuffed pizza.\r\n\r\nThe toppings are assembled in the reverse order of most pizzas, because it takes longer to bake, which would burn other toppings, especially cheese, if they were on the top. The crust is covered with mozzarella cheese, then pepperoni or sausage are added. Other toppings, like onions, mushrooms and bell peppers are then added. Crushed, canned tomatoes top the pizza, then Parmesan cheese is sometimes sprinkled on top. When ordered for carry-out or delivery, the pizza is left uncut to prevent the oils from soaking into the crust and making it soggy.\r\n<h2>California-style pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-801\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/california-style-pizza.jpg\" alt=\"California-style pizza\" />\r\n\r\nCalifornia-style pizza is a single-serving pizza that combines New York-style thin crust with toppings from the California cuisine cooking style.\r\n\r\nInvented by chef Ed LaDou, it was made popular throughout America by and California Pizza Kitchen and Wolfgang Puck, when it was served to him as an off-menu invention that included mustard, ricotta, pâté, and red pepper.", "Have You Tried All of These Mouth-Watering Pizza Styles?", "", "draft", "closed", "closed", "", "pizza-styles", "", "", "2017-08-04 15:55:20", "2017-08-04 15:55:20", "", "0", "http://buckspizza.com/?p=786", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("796", "1", "2016-08-19 19:37:11", "2016-08-19 19:37:11", "", "pizza-styles", "", "inherit", "closed", "closed", "", "pizza-styles-2", "", "", "2016-08-19 19:37:14", "2016-08-19 19:37:14", "", "786", "http://buckspizza.com/wp-content/uploads/2016/08/pizza-styles.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("799", "1", "2016-08-19 19:42:55", "2016-08-19 19:42:55", "", "new-york-style-pizza", "", "inherit", "closed", "closed", "", "new-york-style-pizza", "", "", "2016-08-19 19:42:57", "2016-08-19 19:42:57", "", "786", "http://buckspizza.com/wp-content/uploads/2016/08/new-york-style-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("800", "1", "2016-08-19 19:43:40", "2016-08-19 19:43:40", "", "deep-dish-chicago-style-pizza", "", "inherit", "closed", "closed", "", "deep-dish-chicago-style-pizza", "", "", "2016-08-19 19:43:44", "2016-08-19 19:43:44", "", "786", "http://buckspizza.com/wp-content/uploads/2016/08/deep-dish-chicago-style-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("801", "1", "2016-08-19 19:44:41", "2016-08-19 19:44:41", "", "california-style-pizza", "", "inherit", "closed", "closed", "", "california-style-pizza", "", "", "2016-08-19 19:44:44", "2016-08-19 19:44:44", "", "786", "http://buckspizza.com/wp-content/uploads/2016/08/california-style-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("802", "1", "2016-08-19 19:44:50", "2016-08-19 19:44:50", "There is no shortage of pizza styles, but there are three that are instantly recognizable by nearly everyone, and you need to treat your taste buds to each of them! Best of all, you won\'t even need to leave your city to try them all!\r\n\r\nBon appetit!\r\n<h2>New York-style pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-799\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/new-york-style-pizza.jpg\" alt=\"New York-style pizza\" />\r\n\r\nPizza first hit American shores in New York, founded by Gennaro Lombardi in New York City\'s Little Italy in 1905, which may be why so many insist that New York-style pizza is the best.\r\n\r\nNew York–style pizza is characterized by large hand-tossed thin-crust pizza, baked in coal brick ovens, and often sold in wide slices to go. Its tasty crust is crisp along the edges, yet pliable enough that it can be easily folded in half to eat. This classic pizza style is typically about 18\" in diameter, and usually cut into 8 slices.\r\n\r\nThis classic pizza style achieves its distinguishing crust from high-gluten bread flour, and many New Yorkers credit minerals present in New York City water for giving the dough a unique flavor. Some out-of-state pizzerias even city water from New York City in an attempt to mimic the authentic taste. Typical condiments include oregano, grated Parmesan cheese, garlic powder, and dried red chili pepper flakes.\r\n<h2>Chicago-style pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-800\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/deep-dish-chicago-style-pizza.jpg\" alt=\"Chicago-style pizza\" />\r\n\r\nChicago-style pizza typically refers to deep-dish pizza, which is baked in a special pan to create high edges and a deep surface to hold plenty of cheese and chunky tomato sauce. Chicago-style pizza may be prepared in deep-dish style and as a stuffed pizza.\r\n\r\nThe toppings are assembled in the reverse order of most pizzas, because it takes longer to bake, which would burn other toppings, especially cheese, if they were on the top. The crust is covered with mozzarella cheese, then pepperoni or sausage are added. Other toppings, like onions, mushrooms and bell peppers are then added. Crushed, canned tomatoes top the pizza, then Parmesan cheese is sometimes sprinkled on top. When ordered for carry-out or delivery, the pizza is left uncut to prevent the oils from soaking into the crust and making it soggy.\r\n<h2>California-style pizza</h2>\r\n<img class=\"aligncenter size-full wp-image-801\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/california-style-pizza.jpg\" alt=\"California-style pizza\" />\r\n\r\nCalifornia-style pizza is a single-serving pizza that combines New York-style thin crust with toppings from the California cuisine cooking style.\r\n\r\nInvented by chef Ed LaDou, it was made popular throughout America by and California Pizza Kitchen and Wolfgang Puck, when it was served to him as an off-menu invention that included mustard, ricotta, pâté, and red pepper.", "Have You Tried All of These Mouth-Watering Pizza Styles?", "", "inherit", "closed", "closed", "", "786-revision-v1", "", "", "2016-08-19 19:44:50", "2016-08-19 19:44:50", "", "786", "http://buckspizza.com/uncategorized/786-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("804", "1", "2016-08-29 20:58:46", "2016-08-29 20:58:46", "<h2>Buck\'s Famous Stix</h2>\nAdd bacon or jalapeños to your stix–$1.00 each\nAdd extra cheese–$1.29\n\n<strong>Bread Stix</strong>–$3.99\n<em>12 per order, covered with butter and spices.</em>\n\n<strong>Cinnamon Stix</strong>–$3.99\n<em>12 per order, with icing.</em>\n\n<strong>Cheese Stix</strong>–$4.99\n<em>12 per order, with dipping sauce.</em>\n<h2>Starters</h2>\n<strong>Basket of fries</strong>–$3.99\n\n<strong>Loaded fries with cheddar cheese and sizzling bacon</strong>–$5.99\n\n<strong>Fries Mozzarella sticks with dipping sauce</strong>–$3.99\n<h2>Oven Baked Sandwiches</h2>\nWith chips and a drink: $6.99\nSandwich only: $4.99\n\n<strong>Baked Ham</strong>–<em>Ham, melted provolone cheese, onions, lettuce, and tomato.</em>\n\n<strong>Turkey</strong>–<em>Sliced turkey breast, melted provolone cheese, lettuce, and tomato.</em>\n\n<strong>Turkey Club</strong>–<em>Turkey, bacon, ham, melted provolone cheese, green peppers, lettuce, and tomato.</em>\n\n<strong>Italian</strong>–<em>Ham, hard salami, melted provolone cheese, onion, green peppers, lettuce, tomato, and Italian dressing.</em>\n\n<strong>Buffalo Chicken</strong>–<em>Buck’s boneless wings tossed in your choice of wing sauce, covered in melted provolone cheese, and topped with lettuce and tomato.</em>\n\n<strong>Chicken Bacon Ranch</strong>–C<em>hicken fajita, cheddar cheese, and bacon, topped with lettuce and tomato, and ranch dressing on the side.</em>\n\n<strong>Steak</strong>–<em>USDA choice chopped steak and bacon, mushrooms, onions, and green peppers smothered in provolone cheese. Topped with lettuce and tomato.</em>\n\n<strong>CBS</strong>–<em>USDA choice chopped steak and bacon, topped with lots of cheddar cheese</em><em>.</em>\n\n<strong>Vegi-Delite</strong>–<em>Mushrooms, onion, green pepper, black olives, green olives, sliced tomato and provolone cheese.</em>\n\n<strong>Chicken Parmesan</strong>–<em>Buck’s delicious boneless chicken baked with our delicious marinara sauce and smothered in melted provolone.</em>\n\n<strong>Meatball Marinara–</strong><em>Meatballs baked with our delicious marinara sauce and provolone cheese.</em>\n<h2>Salads</h2>\nDressings: Blue Cheese, Ranch, Caesar, Vinaigrette, Italian, Greek.\n\n<strong>Garden Salad</strong>–sm. $3.99, lg. $6.49\n<em>Romaine lettuce, cucumbers, red onion and tomato.</em>\n\n<strong>Caesar Salad</strong>–sm. $3.99, lg. $6.49\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\n\n<strong>Chicken Caesar Salad</strong>–sm. $4.99, lg. $7.99\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\n\n<strong>Mediterranean Salad</strong>–sm. $4.99, lg. $7.99\n<em>Romaine lettuce, spinach, cucumbers, tomatoes and parmesan cheese, tossed in our in-house vinaigrette.</em>\n\n<strong>Spinach Salad</strong><em>–sm. $5.49, lg. $8.99\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions, tomato, bacon and feta cheese.</em></em>\n\n<strong>Chef Salad</strong>–sm. $5.49, lg. $8.99\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\n\n<strong>Chicken Tender Salad</strong>–sm. $5.49, lg. $8.99\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\n\n<strong>Greek Salad</strong>–sm. $5.49, lg. $8.99\n<em>Romaine lettuce, red onion, black olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\n<h2>Tenders, Wings and Boneless Wings</h2>\nAdd blue cheese, ranch or any extra sauce–75¢ each\n<h3>Sauces</h3>\n<ul>\n 	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\n 	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\n 	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\n 	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\n 	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\n 	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\n 	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\n 	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\n 	<li><strong>Teriyaki</strong>–Smooth, salty, sweet…addictive.</li>\n 	<li><strong>Lemon Pepper</strong>–That spicy buttery lemon flavor.</li>\n 	<li><strong>Garlic Parmesan</strong>–Cheesy, garlicky and buttery all wrapped in one.</li>\n</ul>\n<h3>Boneless Wings</h3>\nBreaded chicken tender bites tossed in your favorite lip-smackin’ wing sauce.\n<ul>\n 	<li>Order of 5–$3.99</li>\n 	<li>Order of 10–$6.47</li>\n 	<li>Order of 15–$9.99</li>\n 	<li>Order of 20–$12.49</li>\n 	<li>Order of 25–$16.74</li>\n 	<li>Order of 30–$18.99</li>\n</ul>\n<h3>Chicken Wings (Jumbo)</h3>\nTender chicken wings covered in our lip-smackin\' sauces.\n*Includes 1 dipping sauce per 10 wings.\n<ul>\n 	<li>Order of 5–$5.74</li>\n 	<li>Order of 10–$8.74</li>\n 	<li>Order of 15–$13.49</li>\n 	<li>Order of 20–$16.49</li>\n 	<li>Order of 25–$21.99</li>\n 	<li>Order of 30–$26.99</li>\n</ul>\n<h3>Chicken Tenders</h3>\nFried chicken tenders with your choice of dipping sauce on the side.\nExtra digging sauces or dressings $.75 each.\n<ul>\n 	<li>Order of 4–$5.49</li>\n 	<li>Order of 8–$8.99</li>\n 	<li>Order of 12–$13.99</li>\n</ul>\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\n[table id=1 /]\n<h3>Meats</h3>\n<ul>\n 	<li>Pepperoni</li>\n 	<li>Ham</li>\n 	<li>Bacon</li>\n 	<li>Salami</li>\n 	<li>Italian Sausage</li>\n 	<li>Canadian bacon</li>\n 	<li>Ground beef</li>\n</ul>\n<h3>Veggies</h3>\n<ul>\n 	<li>Mushrooms</li>\n 	<li>White onions</li>\n 	<li>Red onions</li>\n 	<li>Green peppers</li>\n 	<li>Black olives</li>\n 	<li>Green olives</li>\n 	<li>Jalapenos</li>\n 	<li>Fresh basil</li>\n 	<li>Tomatoes</li>\n 	<li>Fresh spinach</li>\n 	<li>Banana peppers</li>\n</ul>\n<h3>Other toppings</h3>\n<ul>\n 	<li>Pineapple</li>\n 	<li>Extra mozzarella</li>\n 	<li>Cheddar cheese</li>\n 	<li>Feta cheese</li>\n 	<li>Alfredo sauce</li>\n 	<li>Anchovies</li>\n</ul>\n<h3>Premium toppings</h3>\n<ul>\n 	<li>Artichoke hearts</li>\n 	<li>Chicken</li>\n 	<li>Steak</li>\n</ul>\n<h2>Specialty Pizzas &amp; Strombolis</h2>\n<h3>Favorito</h3>\nsm. $6.24, md. $9.24, lg. $10.49, xl. $13.49\n\n<strong>Hawaiian</strong>\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\n\n<strong>Bacon Cheeseburger</strong>\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\n\n<strong>Old World (White Pizza)</strong>\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\n<h3>Superfino</h3>\nsm. $8.49, md. $12.99, lg. $14.99, xl. $18.74\n\n<strong>Italian (White Pizza)\n</strong><em>Garlic sauce, hard salami, smoked ham, fresh onions, green peppers, and lots of mozzarella. The flavor really pops with the oven-baked hard salami!</em>\n\n<strong>Margherita (White Pizza)\n</strong><em>Our light garlic sauce with sliced roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\n\n<strong>Chicken Club (White Pizza)\n</strong><em>A light garlic sauce and mozzarella cheese with chunks of grilled chicken, Canadian bacon, red onion, and bacon.</em>\n\n<strong>Greek (White Pizza)\n</strong><em>A light garlic sauce, mozzarella, black olives, red onion, artichoke hearts, fresh tomato slices, and Feta cheese.</em>\n\n<strong>Steak \'N Cheese (White Pizza)\n</strong><em>Our special light garlic sauce topped with chopped steak, onions, green peppers, mushrooms, and extra mozzarella cheese.</em>\n\n<strong>Spinach Alfredo\n</strong><em>A creamy Alfredo sauce topped with spinach, slices of roma tomatoes, and lots of mozzarella cheese.</em>\n\n<strong>Chicken Alfredo\n</strong><em>Classic Alfredo sauce with grilled chicken, red onion, and real bacon, topped with 100% mozzarella cheese.</em>\n\n<strong>Buck\'s Deluxe</strong>\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\n\n<strong>Vegi-Delite\n</strong><em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives &amp; sliced tomato.</em>\n\n<strong>5 Meat\n</strong><em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\n\n<strong>4 Cheese Medley\n</strong><em>A blend of cheddar, mozzarella, Parmesan and Feta cheese. A bold and exciting flavor!</em>\n\n<strong>BBQ Chicken\n</strong><em>Grilled chicken tossed in our blend of BBQ and pizza sauce, with red onion, real bacon, mozzarella, and aged cheddar.</em>\n\n<strong>Buffalo Chicken\n</strong><em>Buffalo hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella and grilled chicken, all topped with sizzling bacon. Hang on to your hat!</em>\n\n<strong>CBH Special\n</strong><em>Everything is better with bacon and this proves it. Smoked ham, melted aged cheddar and sizzling bacon. Mmm...good!</em>\n\n<strong>CBS\n</strong><em>Melted aged cheddar, sizzling bacon, and steak. Maybe we should call this one \"heaven-on-earth.\"</em>\n\n<strong>Wild Buck</strong>\n\nIf you order ‘everything-but-the-fish’ this is what you’ll get. Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives, and extra mozzarella cheese…it’s wild!!!\n<h2>Pasta Dishes</h2>\n[table id=2 /]\n<h2>Dinners</h2>\n<strong>Chicken wings basket</strong>–$8.99\n<em>5 wings served w/ fries, a dipping sauce, and a drink.</em>\n\n<strong>Boneless wings basket</strong>–$8.99\n<em>5 wings served w/ fries, a dipping sauce, and a drink.</em>\n\n<strong>Chicken tender basket</strong>–$8.99\n<em>4 wings served w/ fries, a dipping sauce, and a drink.</em>\n<h2>Beverages</h2>\n<strong>Coke Products</strong>–2 lt. $2.49, 16 oz. $1.79, Fountain drink $1.79", "Menu", "", "inherit", "closed", "closed", "", "175-autosave-v1", "", "", "2016-08-29 20:58:46", "2016-08-29 20:58:46", "", "175", "http://buckspizza.com/uncategorized/175-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("805", "1", "2016-08-29 20:25:59", "2016-08-29 20:25:59", "[[\"\",\"Small\\n10\\\"\",\"Medium\\n12\\\"\",\"Large\\n14\\\"\",\"X-Large\\n16\\\"\"],[\"With 1 topping\",\"5,49\",\"7.99\",\"8.99\",\"11.74\"],[\"Additional toppings\",\".75\",\"1.25\",\"1.50\",\"1.75\"],[\"Premium toppings\",\"1.50\",\"2.25\",\"3.00\",\"3.75\"],[\"Extra cheese\",\".75\",\"1.25\",\"1.50\",\"1.75\"],[\"Gluten free crust\",\"3.00\",\"--\",\"--\",\"--\"]]", "Mission TX Pizza", "", "inherit", "closed", "closed", "", "685-revision-v1", "", "", "2016-08-29 20:25:59", "2016-08-29 20:25:59", "", "685", "http://buckspizza.com/uncategorized/685-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("809", "1", "2016-07-17 14:10:27", "2016-07-17 14:10:27", "Wouldn\'t it be nice to bring a slice of pizza to work or school for lunch (or even breakfast), and reheat it without ruining its taste or texture?\r\n\r\nIf you\'ve ever tried the traditional method of microwaving, you know you\'ll usually end up with a soggy, floppy crust and lose most of the tasty pizza flavor. That\'s a huge loss—especially if you\'ve gone out of your way for a tasty and authentic New York or California-style pizza!\r\n\r\nThe good news is, there\'s a better way! Try this amazing new technique and you\'ll be able to enjoy your pizza for many days, without sacrificing taste or texture!\r\n\r\nThe first step to microwaving your pizza properly is to put it on a microwave-safe plate, which means using ceramic or glass. Don\'t use plastic, which can leech dangerous chemicals into your food, or metal, which will cause sparks and damage your microwave.\r\n\r\nPlace a paper towel between your pizza and the plate to soak up the extra grease and increase the crispness, unless it is very dried out, in which case skip the paper towel. If you\'re looking for an extra crispy crust, slip a piece of parchment paper under the pizza instead. Then, put your pizza slice or slices into the microwave.\r\n\r\nThe next step is the real secret to getting the taste and texture you want. When you put the pizza in the microwave, add a cup or mug filled about two-thirds of the way with tap water. Make sure the mug is also microwave-safe. If your microwave is large enough, put the cup right next to the plate. Otherwise, you can balance your plate of pizza on top of the mug of water. Make sure it\'s balanced securely, especially if your microwave has a rotation feature.\r\n\r\nNow, sit back and watch the magic! As the water heats up, it will release a small amount of steam. This steam will fluff up your pizza crust and will infuse the sauce, cheese, and toppings with moisture. For best results, microwave at half-strength power in one minutes increments, checking your pizza in between to see if it is done. Be careful not to burn yourself touching the plate, mug, or the pizza itself. Removing the mug is easier if the ceramic mug has a handle. The sauce on your pizza can get especially hot, so watch out that you don\'t burn your tongue when taking a bite!", "How to Bring Pizza for Lunch without Losing Taste or Texture", "", "draft", "closed", "closed", "", "bring-pizza-without-losing-taste-texture", "", "", "2017-08-04 15:55:20", "2017-08-04 15:55:20", "", "0", "http://buckspizza.com/?p=809", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("814", "1", "2016-09-07 14:18:56", "2016-09-07 14:18:56", "", "pizza-lunch", "", "inherit", "closed", "closed", "", "pizza-lunch", "", "", "2016-09-07 14:19:04", "2016-09-07 14:19:04", "", "809", "http://buckspizza.com/wp-content/uploads/2016/09/pizza-lunch.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("815", "1", "2016-09-07 14:24:10", "2016-09-07 14:24:10", "Wouldn\'t it be nice to bring a slice of pizza to work or school for lunch (or even breakfast), and reheat it without ruining its taste or texture?\r\n\r\nIf you\'ve ever tried the traditional method of microwaving, you know you\'ll usually end up with a soggy, floppy crust and lose most of the tasty pizza flavor. That\'s a huge loss—especially if you\'ve gone out of your way for a tasty and authentic New York or California-style pizza!\r\n\r\nThe good news is, there\'s a better way! Try this amazing new technique and you\'ll be able to enjoy your pizza for many days, without sacrificing taste or texture!\r\n\r\nThe first step to microwaving your pizza properly is to put it on a microwave-safe plate, which means using ceramic or glass. Don\'t use plastic, which can leech dangerous chemicals into your food, or metal, which will cause sparks and damage your microwave.\r\n\r\nPlace a paper towel between your pizza and the plate to soak up the extra grease and increase the crispness, unless it is very dried out, in which case skip the paper towel. If you\'re looking for an extra crispy crust, slip a piece of parchment paper under the pizza instead. Then, put your pizza slice or slices into the microwave.\r\n\r\nThe next step is the real secret to getting the taste and texture you want. When you put the pizza in the microwave, add a cup or mug filled about two-thirds of the way with tap water. Make sure the mug is also microwave-safe. If your microwave is large enough, put the cup right next to the plate. Otherwise, you can balance your plate of pizza on top of the mug of water. Make sure it\'s balanced securely, especially if your microwave has a rotation feature.\r\n\r\nNow, sit back and watch the magic! As the water heats up, it will release a small amount of steam. This steam will fluff up your pizza crust and will infuse the sauce, cheese, and toppings with moisture. For best results, microwave at half-strength power in one minutes increments, checking your pizza in between to see if it is done. Be careful not to burn yourself touching the plate, mug, or the pizza itself. Removing the mug is easier if the ceramic mug has a handle. The sauce on your pizza can get especially hot, so watch out that you don\'t burn your tongue when taking a bite!", "How to Bring Pizza for Lunch without Losing Taste or Texture", "", "inherit", "closed", "closed", "", "809-revision-v1", "", "", "2016-09-07 14:24:10", "2016-09-07 14:24:10", "", "809", "http://buckspizza.com/uncategorized/809-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("816", "1", "2016-08-19 19:16:51", "2016-08-19 19:16:51", "Pizza is always delicious, but adding a dash of spice makes it even more amazing! Check out the list below for some of the yummiest spicy pizza recipes that will make your mouth (and maybe your eyes) water.\r\n<h2><a href=\"http://www.realsimple.com/food-recipes/browse-all-recipes/spicy-three-pepper-pizza-recipe\">Spicy Three-Pepper Pizza</a></h2>\r\n<img class=\"aligncenter size-large wp-image-823\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/spicy-three-pepper-pizza-700x469.jpg\" alt=\"spicy three pepper pizza\" />\r\n\r\nThis tasty recipe contains bell peppers, poblano peppers, and pepperoncini peppers for a unique mix of spicy and sweet flavors. The Gruyere cheese offers a creamy contrast to the kick of the peppers. You could also make this pizza vegan by swapping the Gruyere for your favorite vegan cheese. Serve this pizza with an Italian-dressed salad and a nice glass of wine for a complete meal.\r\n<h2><a href=\"http://www.food.com/recipe/spicy-garlic-chicken-pizza-28541\">Spicy Garlic Chicken Pizza</a></h2>\r\n<img class=\"aligncenter size-full wp-image-822\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/spicy-garlic-chicken-pizza.jpg\" alt=\"spicy garlic chicken pizza\" />\r\n\r\nIf you want to add a spicy Asian flair to your pizza, try this recipe. It\'s topped with chicken, green onions, garlic, cheese and pine nuts. The chicken is marinated in an Asian-inspired sauce contains soy sauce, rice vinegar, and red pepper flakes for a spicy kick. With spicy, sweet, and salty flavors, this isn\'t your typical pizza!\r\n<h2><a href=\"http://www.wolfgangpuck.com/recipes/pizza/Spicy-Chicken-Pizza\">Spicy Chicken Pizza</a></h2>\r\n<img class=\"aligncenter size-full wp-image-824\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/spicy-chicken-pizza.jpg\" alt=\"spicy-chicken-pizza\" />\r\n\r\nGet your fill of veggies with this mouth-watering recipe. It\'s topped with bell peppers, caramelized onions, tomatoes, Asian eggplant, two types of cheese, and chicken breast. The pizza gets its spice from a flavorful marinade of lime juice, cilantro, garlic, and jalapeno peppers. Whip out this recipe to impress your friends at a dinner party.\r\n<h2><a href=\"http://www.myrecipes.com/recipe/spicy-sausage-mushroom-pizza\">Spicy Sausage and Mushroom Pizza</a></h2>\r\n<img class=\"aligncenter size-full wp-image-825\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/spicy-sausage-mushroom-pizza.jpg\" alt=\"spicy sausage and mushroom pizza\" />\r\n\r\nThis recipe offers lots of spice without the peppers for those who don\'t like them. All the kick comes from the tasty sausage crumbles! Using turkey sausage greatly reduces the fat content compared to regular sausage, so you can feel good about eating this pizza. The mushrooms and onions add a little texture and taste to round out the pizza\'s flavor profile. Give your lunch a little punch with this flavorful recipe.\r\n<h2><a href=\"http://www.budgetbytes.com/2010/07/spicy-hawaiian-pizza/\">Spicy Hawaiian Pizza</a></h2>\r\n<img class=\"aligncenter size-full wp-image-826\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/spicy-hawaiian-pizza.jpg\" alt=\"spicy Hawaiian pizza\" />\r\n\r\nKick a family favorite up a notch with this spicy take on a classic! This Hawaiian pizza contains all the regular toppings (ham, pineapple, cheese), but also includes sliced jalapenos. The salty ham, spicy peppers, and sweet pineapple create an explosion of flavors in your mouth! This tropical recipe would be great to serve at a pool party.\r\n<h2><a href=\"http://www.veganfamilyrecipes.com/spicy-chipotle-vegan-pizza/\">Spicy Chipotle Vegan Pizza</a></h2>\r\n<img class=\"aligncenter size-large wp-image-827\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/spicy-chipotle-vegan-pizza-700x465.jpg\" alt=\"spicy chipotle vegan pizza\" />\r\n\r\nFor a pizza full of healthy veggies and lots of spice, give this recipe a go. This Mexican-inspired pizza is topped with corn, beans, red onion, bell peppers, and a smoky chipotle sauce. It also has a dusting of cumin for an added kick! The homemade whole wheat crust and loads of vegetables make this the healthiest way to get your spicy food fix!\r\n<h2><a href=\"http://rasamalaysia.com/chicken-tikka-masala-pizza/\">Chicken Tikka Masala Pizza</a></h2>\r\n<img class=\"aligncenter size-full wp-image-828\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/chicken-tikka-masala-pizza.jpg\" alt=\"chicken tikka masala pizza\" />\r\n\r\nIf Indian spices are more your style, try making this delicious pizza. The chicken is marinated in a mix of exotic spices including cumin, ginger, cayenne pepper, black pepper, and cinnamon for a blend of spicy and sweet flavors. The pizza is also topped with jalapenos and garlic for even more heat. Bring together two of your favorite foods with this one-of-a-kind recipe.", "7 Spicy Pizza Recipes That Will Make Your Mouth Water", "", "draft", "closed", "closed", "", "spicy-pizza-recipes", "", "", "2017-08-04 15:55:20", "2017-08-04 15:55:20", "", "0", "http://buckspizza.com/?p=816", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("818", "1", "2016-09-07 19:39:10", "2016-09-07 19:39:10", "", "spicy-pizza", "", "inherit", "closed", "closed", "", "spicy-pizza", "", "", "2016-09-07 19:39:16", "2016-09-07 19:39:16", "", "816", "http://buckspizza.com/wp-content/uploads/2016/09/spicy-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("821", "1", "2016-09-07 19:50:24", "2016-09-07 19:50:24", "<h2><a href=\"http://www.realsimple.com/food-recipes/browse-all-recipes/spicy-three-pepper-pizza-recipe\">Spicy Three-Pepper Pizza</a></h2>\n<img class=\"aligncenter size-large wp-image-823\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/spicy-three-pepper-pizza-700x469.jpg\" alt=\"spicy three pepper pizza\" />\n\nThis tasty recipe contains bell peppers, poblano peppers, and pepperoncini peppers for a unique mix of spicy and sweet flavors. The Gruyere cheese offers a creamy contrast to the kick of the peppers. You could also make this pizza vegan by swapping the Gruyere for your favorite vegan cheese. Serve this pizza with an Italian-dressed salad and a nice glass of wine for a complete meal.\n<h2><a href=\"http://www.food.com/recipe/spicy-garlic-chicken-pizza-28541\">Spicy Garlic Chicken Pizza</a></h2>\n<img class=\"aligncenter size-full wp-image-822\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/spicy-garlic-chicken-pizza.jpg\" alt=\"spicy garlic chicken pizza\" />\n\nIf you want to add a spicy Asian flair to your pizza, try this recipe. It\'s topped with chicken, green onions, garlic, cheese and pine nuts. The chicken is marinated in an Asian-inspired sauce contains soy sauce, rice vinegar, and red pepper flakes for a spicy kick. With spicy, sweet, and salty flavors, this isn\'t your typical pizza!\n<h2><a href=\"http://www.wolfgangpuck.com/recipes/pizza/Spicy-Chicken-Pizza\">Spicy Chicken Pizza</a></h2>\n<img class=\"aligncenter size-full wp-image-824\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/spicy-chicken-pizza.jpg\" alt=\"spicy-chicken-pizza\" />\n\nGet your fill of veggies with this mouth-watering recipe. It\'s topped with bell peppers, caramelized onions, tomatoes, Asian eggplant, two types of cheese, and chicken breast. The pizza gets its spice from a flavorful marinade of lime juice, cilantro, garlic, and jalapeno peppers. Whip out this recipe to impress your friends at a dinner party.\n<h2><a href=\"http://www.myrecipes.com/recipe/spicy-sausage-mushroom-pizza\">Spicy Sausage and Mushroom Pizza</a></h2>\n<img class=\"aligncenter size-full wp-image-825\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/spicy-sausage-mushroom-pizza.jpg\" alt=\"spicy sausage and mushroom pizza\" />\n\nThis recipe offers lots of spice without the peppers for those who don\'t like them. All the kick comes from the tasty sausage crumbles! Using turkey sausage greatly reduces the fat content compared to regular sausage, so you can feel good about eating this pizza. The mushrooms and onions add a little texture and taste to round out the pizza\'s flavor profile. Give your lunch a little punch with this flavorful recipe.\n<h2><a href=\"http://www.budgetbytes.com/2010/07/spicy-hawaiian-pizza/\">Spicy Hawaiian Pizza</a></h2>\n<img class=\"aligncenter size-full wp-image-826\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/spicy-hawaiian-pizza.jpg\" alt=\"spicy Hawaiian pizza\" />\n\nKick a family favorite up a notch with this spicy take on a classic! This Hawaiian pizza contains all the regular toppings (ham, pineapple, cheese), but also includes sliced jalapenos. The salty ham, spicy peppers, and sweet pineapple create an explosion of flavors in your mouth! This tropical recipe would be great to serve at a pool party.\n<h2><a href=\"http://www.veganfamilyrecipes.com/spicy-chipotle-vegan-pizza/\">Spicy Chipotle Vegan Pizza</a></h2>\n&nbsp;\n\nFor a pizza full of healthy veggies and lots of spice, give this recipe a go. This Mexican-inspired pizza is topped with corn, beans, red onion, bell peppers, and a smoky chipotle sauce. It also has a dusting of cumin for an added kick! The homemade whole wheat crust and loads of vegetables make this the healthiest way to get your spicy food fix!\n<h2><a href=\"http://rasamalaysia.com/chicken-tikka-masala-pizza/\">Chicken Tikka Masala Pizza</a></h2>\nIf Indian spices are more your style, try making this delicious pizza. The chicken is marinated in a mix of exotic spices including cumin, ginger, cayenne pepper, black pepper, and cinnamon for a blend of spicy and sweet flavors. The pizza is also topped with jalapenos and garlic for even more heat. Bring together two of your favorite foods with this one-of-a-kind recipe.", "7 Spicy Pizza Recipes That Will Make Your Mouth Water", "", "inherit", "closed", "closed", "", "816-autosave-v1", "", "", "2016-09-07 19:50:24", "2016-09-07 19:50:24", "", "816", "http://buckspizza.com/uncategorized/816-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("822", "1", "2016-09-07 19:41:52", "2016-09-07 19:41:52", "", "spicy-garlic-chicken-pizza", "", "inherit", "closed", "closed", "", "spicy-garlic-chicken-pizza", "", "", "2016-09-07 19:42:08", "2016-09-07 19:42:08", "", "816", "http://buckspizza.com/wp-content/uploads/2016/08/spicy-garlic-chicken-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("823", "1", "2016-09-07 19:43:34", "2016-09-07 19:43:34", "", "spicy-three-pepper-pizza", "", "inherit", "closed", "closed", "", "spicy-three-pepper-pizza", "", "", "2016-09-07 19:43:43", "2016-09-07 19:43:43", "", "816", "http://buckspizza.com/wp-content/uploads/2016/08/spicy-three-pepper-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("824", "1", "2016-09-07 19:44:42", "2016-09-07 19:44:42", "", "spicy-chicken-pizza", "", "inherit", "closed", "closed", "", "spicy-chicken-pizza", "", "", "2016-09-07 19:44:42", "2016-09-07 19:44:42", "", "816", "http://buckspizza.com/wp-content/uploads/2016/08/spicy-chicken-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("825", "1", "2016-09-07 19:47:34", "2016-09-07 19:47:34", "", "spicy-sausage-mushroom-pizza", "", "inherit", "closed", "closed", "", "spicy-sausage-mushroom-pizza", "", "", "2016-09-07 19:47:54", "2016-09-07 19:47:54", "", "816", "http://buckspizza.com/wp-content/uploads/2016/08/spicy-sausage-mushroom-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("826", "1", "2016-09-07 19:48:47", "2016-09-07 19:48:47", "", "spicy-hawaiian-pizza", "", "inherit", "closed", "closed", "", "spicy-hawaiian-pizza", "", "", "2016-09-07 19:48:57", "2016-09-07 19:48:57", "", "816", "http://buckspizza.com/wp-content/uploads/2016/08/spicy-hawaiian-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("827", "1", "2016-09-07 19:50:15", "2016-09-07 19:50:15", "", "spicy-chipotle-vegan-pizza", "", "inherit", "closed", "closed", "", "spicy-chipotle-vegan-pizza", "", "", "2016-09-07 19:50:29", "2016-09-07 19:50:29", "", "816", "http://buckspizza.com/wp-content/uploads/2016/08/spicy-chipotle-vegan-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("828", "1", "2016-09-07 19:51:23", "2016-09-07 19:51:23", "", "chicken-tikka-masala-pizza", "", "inherit", "closed", "closed", "", "chicken-tikka-masala-pizza", "", "", "2016-09-07 19:51:35", "2016-09-07 19:51:35", "", "816", "http://buckspizza.com/wp-content/uploads/2016/08/chicken-tikka-masala-pizza.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("829", "1", "2016-09-07 19:52:26", "2016-09-07 19:52:26", "Pizza is always delicious, but adding a dash of spice makes it even more amazing! Check out the list below for some of the yummiest spicy pizza recipes that will make your mouth (and maybe your eyes) water.\r\n<h2><a href=\"http://www.realsimple.com/food-recipes/browse-all-recipes/spicy-three-pepper-pizza-recipe\">Spicy Three-Pepper Pizza</a></h2>\r\n<img class=\"aligncenter size-large wp-image-823\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/spicy-three-pepper-pizza-700x469.jpg\" alt=\"spicy three pepper pizza\" />\r\n\r\nThis tasty recipe contains bell peppers, poblano peppers, and pepperoncini peppers for a unique mix of spicy and sweet flavors. The Gruyere cheese offers a creamy contrast to the kick of the peppers. You could also make this pizza vegan by swapping the Gruyere for your favorite vegan cheese. Serve this pizza with an Italian-dressed salad and a nice glass of wine for a complete meal.\r\n<h2><a href=\"http://www.food.com/recipe/spicy-garlic-chicken-pizza-28541\">Spicy Garlic Chicken Pizza</a></h2>\r\n<img class=\"aligncenter size-full wp-image-822\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/spicy-garlic-chicken-pizza.jpg\" alt=\"spicy garlic chicken pizza\" />\r\n\r\nIf you want to add a spicy Asian flair to your pizza, try this recipe. It\'s topped with chicken, green onions, garlic, cheese and pine nuts. The chicken is marinated in an Asian-inspired sauce contains soy sauce, rice vinegar, and red pepper flakes for a spicy kick. With spicy, sweet, and salty flavors, this isn\'t your typical pizza!\r\n<h2><a href=\"http://www.wolfgangpuck.com/recipes/pizza/Spicy-Chicken-Pizza\">Spicy Chicken Pizza</a></h2>\r\n<img class=\"aligncenter size-full wp-image-824\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/spicy-chicken-pizza.jpg\" alt=\"spicy-chicken-pizza\" />\r\n\r\nGet your fill of veggies with this mouth-watering recipe. It\'s topped with bell peppers, caramelized onions, tomatoes, Asian eggplant, two types of cheese, and chicken breast. The pizza gets its spice from a flavorful marinade of lime juice, cilantro, garlic, and jalapeno peppers. Whip out this recipe to impress your friends at a dinner party.\r\n<h2><a href=\"http://www.myrecipes.com/recipe/spicy-sausage-mushroom-pizza\">Spicy Sausage and Mushroom Pizza</a></h2>\r\n<img class=\"aligncenter size-full wp-image-825\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/spicy-sausage-mushroom-pizza.jpg\" alt=\"spicy sausage and mushroom pizza\" />\r\n\r\nThis recipe offers lots of spice without the peppers for those who don\'t like them. All the kick comes from the tasty sausage crumbles! Using turkey sausage greatly reduces the fat content compared to regular sausage, so you can feel good about eating this pizza. The mushrooms and onions add a little texture and taste to round out the pizza\'s flavor profile. Give your lunch a little punch with this flavorful recipe.\r\n<h2><a href=\"http://www.budgetbytes.com/2010/07/spicy-hawaiian-pizza/\">Spicy Hawaiian Pizza</a></h2>\r\n<img class=\"aligncenter size-full wp-image-826\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/spicy-hawaiian-pizza.jpg\" alt=\"spicy Hawaiian pizza\" />\r\n\r\nKick a family favorite up a notch with this spicy take on a classic! This Hawaiian pizza contains all the regular toppings (ham, pineapple, cheese), but also includes sliced jalapenos. The salty ham, spicy peppers, and sweet pineapple create an explosion of flavors in your mouth! This tropical recipe would be great to serve at a pool party.\r\n<h2><a href=\"http://www.veganfamilyrecipes.com/spicy-chipotle-vegan-pizza/\">Spicy Chipotle Vegan Pizza</a></h2>\r\n<img class=\"aligncenter size-large wp-image-827\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/spicy-chipotle-vegan-pizza-700x465.jpg\" alt=\"spicy chipotle vegan pizza\" />\r\n\r\nFor a pizza full of healthy veggies and lots of spice, give this recipe a go. This Mexican-inspired pizza is topped with corn, beans, red onion, bell peppers, and a smoky chipotle sauce. It also has a dusting of cumin for an added kick! The homemade whole wheat crust and loads of vegetables make this the healthiest way to get your spicy food fix!\r\n<h2><a href=\"http://rasamalaysia.com/chicken-tikka-masala-pizza/\">Chicken Tikka Masala Pizza</a></h2>\r\n<img class=\"aligncenter size-full wp-image-828\" src=\"http://buckspizza.com/wp-content/uploads/2016/08/chicken-tikka-masala-pizza.jpg\" alt=\"chicken tikka masala pizza\" />\r\n\r\nIf Indian spices are more your style, try making this delicious pizza. The chicken is marinated in a mix of exotic spices including cumin, ginger, cayenne pepper, black pepper, and cinnamon for a blend of spicy and sweet flavors. The pizza is also topped with jalapenos and garlic for even more heat. Bring together two of your favorite foods with this one-of-a-kind recipe.", "7 Spicy Pizza Recipes That Will Make Your Mouth Water", "", "inherit", "closed", "closed", "", "816-revision-v1", "", "", "2016-09-07 19:52:26", "2016-09-07 19:52:26", "", "816", "http://buckspizza.com/uncategorized/816-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("830", "1", "2016-09-13 17:51:07", "2016-09-13 17:51:07", "<h2>Buck\'s Famous Stix</h2>\r\nAdd bacon or jalapeños to your stix–$1.00 each\r\nAdd extra cheese–$1.29\r\n\r\n<strong>Bread Stix</strong>–$3.99\r\n<em>12 per order, covered with butter and spices.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>12 per order, with icing.</em>\r\n\r\n<strong>Cheese Stix</strong>–$4.99\r\n<em>12 per order, with dipping sauce.</em>\r\n<h2>Starters</h2>\r\n<strong>Basket of fries</strong>–$3.99\r\n\r\n<strong>Loaded fries with cheddar cheese and sizzling bacon</strong>–$5.99\r\n\r\n<strong>Fries Mozzarella sticks with dipping sauce</strong>–$3.99\r\n<h2>Oven Baked Sandwiches</h2>\r\nWith chips and a drink: $6.99\r\nSandwich only: $4.99\r\n\r\n<strong>Baked Ham</strong>–<em>Ham, melted provolone cheese, onions, lettuce, and tomato.</em>\r\n\r\n<strong>Turkey</strong>–<em>Sliced turkey breast, melted provolone cheese, lettuce, and tomato.</em>\r\n\r\n<strong>Turkey Club</strong>–<em>Turkey, bacon, ham, melted provolone cheese, green peppers, lettuce, and tomato.</em>\r\n\r\n<strong>Italian</strong>–<em>Ham, hard salami, melted provolone cheese, onion, green peppers, lettuce, tomato, and Italian dressing.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–<em>Buck’s boneless wings tossed in your choice of wing sauce, covered in melted provolone cheese, and topped with lettuce and tomato.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–C<em>hicken fajita, cheddar cheese, and bacon, topped with lettuce and tomato, and ranch dressing on the side.</em>\r\n\r\n<strong>Steak</strong>–<em>USDA choice chopped steak and bacon, mushrooms, onions, and green peppers smothered in provolone cheese. Topped with lettuce and tomato.</em>\r\n\r\n<strong>CBS</strong>–<em>USDA choice chopped steak and bacon, topped with lots of cheddar cheese</em><em>.</em>\r\n\r\n<strong>Vegi-Delite</strong>–<em>Mushrooms, onion, green pepper, black olives, green olives, sliced tomato and provolone cheese.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–<em>Buck’s delicious boneless chicken baked with our delicious marinara sauce and smothered in melted provolone.</em>\r\n\r\n<strong>Meatball Marinara–</strong><em>Meatballs baked with our delicious marinara sauce and provolone cheese.</em>\r\n<h2>Salads</h2>\r\nDressings: Blue Cheese, Ranch, Caesar, Vinaigrette, Italian, Greek.\r\n\r\n<strong>Garden Salad</strong>–sm. $3.99, lg. $6.49\r\n<em>Romaine lettuce, cucumbers, red onion and tomato.</em>\r\n\r\n<strong>Caesar Salad</strong>–sm. $3.99, lg. $6.49\r\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $4.99, lg. $7.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\r\n\r\n<strong>Mediterranean Salad</strong>–sm. $4.99, lg. $7.99\r\n<em>Romaine lettuce, spinach, cucumbers, tomatoes and parmesan cheese, tossed in our in-house vinaigrette.</em>\r\n\r\n<strong>Spinach Salad</strong><em>–sm. $5.49, lg. $8.99\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions, tomato, bacon and feta cheese.</em></em>\r\n\r\n<strong>Chef Salad</strong>–sm. $5.49, lg. $8.99\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\r\n\r\n<strong>Chicken Tender Salad</strong>–sm. $5.49, lg. $8.99\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\r\n\r\n<strong>Greek Salad</strong>–sm. $5.49, lg. $8.99\r\n<em>Romaine lettuce, red onion, black olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n<h2>Tenders, Wings and Boneless Wings</h2>\r\nAdd blue cheese, ranch or any extra sauce–75¢ each\r\n<h3>Sauces</h3>\r\n<ul>\r\n 	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n 	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n 	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n 	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n 	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n 	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\r\n 	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\r\n 	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\r\n 	<li><strong>Teriyaki</strong>–Smooth, salty, sweet…addictive.</li>\r\n 	<li><strong>Lemon Pepper</strong>–That spicy buttery lemon flavor.</li>\r\n 	<li><strong>Garlic Parmesan</strong>–Cheesy, garlicky and buttery all wrapped in one.</li>\r\n</ul>\r\n<h3>Boneless Wings</h3>\r\nBreaded chicken tender bites tossed in your favorite lip-smackin’ wing sauce.\r\n<ul>\r\n 	<li>Order of 5–$3.99</li>\r\n 	<li>Order of 10–$6.74</li>\r\n 	<li>Order of 15–$9.99</li>\r\n 	<li>Order of 20–$12.49</li>\r\n 	<li>Order of 25–$16.74</li>\r\n 	<li>Order of 30–$18.99</li>\r\n</ul>\r\n<h3>Chicken Wings (Jumbo)</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n*Includes 1 dipping sauce per 10 wings.\r\n<ul>\r\n 	<li>Order of 5–$5.74</li>\r\n 	<li>Order of 10–$8.74</li>\r\n 	<li>Order of 15–$13.49</li>\r\n 	<li>Order of 20–$16.49</li>\r\n 	<li>Order of 25–$21.99</li>\r\n 	<li>Order of 30–$26.99</li>\r\n</ul>\r\n<h3>Chicken Tenders</h3>\r\nFried chicken tenders with your choice of dipping sauce on the side.\r\nExtra digging sauces or dressings $.75 each.\r\n<ul>\r\n 	<li>Order of 4–$5.49</li>\r\n 	<li>Order of 8–$8.99</li>\r\n 	<li>Order of 12–$13.99</li>\r\n</ul>\r\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\r\n[table id=1 /]\r\n<h3>Meats</h3>\r\n<ul>\r\n 	<li>Pepperoni</li>\r\n 	<li>Ham</li>\r\n 	<li>Bacon</li>\r\n 	<li>Salami</li>\r\n 	<li>Italian Sausage</li>\r\n 	<li>Canadian bacon</li>\r\n 	<li>Ground beef</li>\r\n</ul>\r\n<h3>Veggies</h3>\r\n<ul>\r\n 	<li>Mushrooms</li>\r\n 	<li>White onions</li>\r\n 	<li>Red onions</li>\r\n 	<li>Green peppers</li>\r\n 	<li>Black olives</li>\r\n 	<li>Green olives</li>\r\n 	<li>Jalapenos</li>\r\n 	<li>Fresh basil</li>\r\n 	<li>Tomatoes</li>\r\n 	<li>Fresh spinach</li>\r\n 	<li>Banana peppers</li>\r\n</ul>\r\n<h3>Other toppings</h3>\r\n<ul>\r\n 	<li>Pineapple</li>\r\n 	<li>Extra mozzarella</li>\r\n 	<li>Cheddar cheese</li>\r\n 	<li>Feta cheese</li>\r\n 	<li>Alfredo sauce</li>\r\n 	<li>Anchovies</li>\r\n</ul>\r\n<h3>Premium toppings</h3>\r\n<ul>\r\n 	<li>Artichoke hearts</li>\r\n 	<li>Chicken</li>\r\n 	<li>Steak</li>\r\n</ul>\r\n<h2>Specialty Pizzas &amp; Strombolis</h2>\r\n<h3>Favorito</h3>\r\nsm. $6.24, md. $9.24, lg. $10.49, xl. $13.49\r\n\r\n<strong>Hawaiian</strong>\r\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\r\n\r\n<strong>Old World (White Pizza)</strong>\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\r\n<h3>Superfino</h3>\r\nsm. $8.49, md. $12.99, lg. $14.99, xl. $18.74\r\n\r\n<strong>Italian (White Pizza)\r\n</strong><em>Garlic sauce, hard salami, smoked ham, fresh onions, green peppers, and lots of mozzarella. The flavor really pops with the oven-baked hard salami!</em>\r\n\r\n<strong>Margherita (White Pizza)\r\n</strong><em>Our light garlic sauce with sliced roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n\r\n<strong>Chicken Club (White Pizza)\r\n</strong><em>A light garlic sauce and mozzarella cheese with chunks of grilled chicken, Canadian bacon, red onion, and bacon.</em>\r\n\r\n<strong>Greek (White Pizza)\r\n</strong><em>A light garlic sauce, mozzarella, black olives, red onion, artichoke hearts, fresh tomato slices, and Feta cheese.</em>\r\n\r\n<strong>Steak \'N Cheese (White Pizza)\r\n</strong><em>Our special light garlic sauce topped with chopped steak, onions, green peppers, mushrooms, and extra mozzarella cheese.</em>\r\n\r\n<strong>Spinach Alfredo\r\n</strong><em>A creamy Alfredo sauce topped with spinach, slices of roma tomatoes, and lots of mozzarella cheese.</em>\r\n\r\n<strong>Chicken Alfredo\r\n</strong><em>Classic Alfredo sauce with grilled chicken, red onion, and real bacon, topped with 100% mozzarella cheese.</em>\r\n\r\n<strong>Buck\'s Deluxe</strong>\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n\r\n<strong>Vegi-Delite\r\n</strong><em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives &amp; sliced tomato.</em>\r\n\r\n<strong>5 Meat\r\n</strong><em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n\r\n<strong>4 Cheese Medley\r\n</strong><em>A blend of cheddar, mozzarella, Parmesan and Feta cheese. A bold and exciting flavor!</em>\r\n\r\n<strong>BBQ Chicken\r\n</strong><em>Grilled chicken tossed in our blend of BBQ and pizza sauce, with red onion, real bacon, mozzarella, and aged cheddar.</em>\r\n\r\n<strong>Buffalo Chicken\r\n</strong><em>Buffalo hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella and grilled chicken, all topped with sizzling bacon. Hang on to your hat!</em>\r\n\r\n<strong>CBH Special\r\n</strong><em>Everything is better with bacon and this proves it. Smoked ham, melted aged cheddar and sizzling bacon. Mmm...good!</em>\r\n\r\n<strong>CBS\r\n</strong><em>Melted aged cheddar, sizzling bacon, and steak. Maybe we should call this one \"heaven-on-earth.\"</em>\r\n\r\n<strong>Wild Buck</strong>\r\n\r\nIf you order ‘everything-but-the-fish’ this is what you’ll get. Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives, and extra mozzarella cheese…it’s wild!!!\r\n<h2>Pasta Dishes</h2>\r\n[table id=2 /]\r\n<h2>Dinners</h2>\r\n<strong>Chicken wings basket</strong>–$8.99\r\n<em>5 wings served w/ fries, a dipping sauce, and a drink.</em>\r\n\r\n<strong>Boneless wings basket</strong>–$7.49\r\n<em>5 boneless wings served w/ fries, a dipping sauce, and a drink.</em>\r\n<em>*Add 5 extra boneless wings for only $2.50 more.</em>\r\n\r\n<strong>Chicken tender basket</strong>–$8.99\r\n<em>4 wings served w/ fries, a dipping sauce, and a drink.</em>\r\n<h2>Sweet Treats</h2>\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar &amp; served with icing. 12 per order.</em>\r\n<h2>Beverages</h2>\r\n<strong>Coke Products</strong>–2 lt. $2.49, 16 oz. $1.79, Fountain drink $1.79", "Menu", "", "inherit", "closed", "closed", "", "175-revision-v1", "", "", "2016-09-13 17:51:07", "2016-09-13 17:51:07", "", "175", "http://buckspizza.com/uncategorized/175-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("831", "1", "2016-09-13 17:51:27", "2016-09-13 17:51:27", "<h2>Buck\'s Famous Stix</h2>\r\nAdd bacon or jalapeños to your stix–$1.00 each\r\nAdd extra cheese–$1.29\r\n\r\n<strong>Bread Stix</strong>–$3.99\r\n<em>12 per order, covered with butter and spices.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>12 per order, with icing.</em>\r\n\r\n<strong>Cheese Stix</strong>–$4.99\r\n<em>12 per order, with dipping sauce.</em>\r\n<h2>Starters</h2>\r\n<strong>Basket of fries</strong>–$3.99\r\n\r\n<strong>Loaded fries with cheddar cheese and sizzling bacon</strong>–$5.99\r\n\r\n<strong>Fries Mozzarella sticks with dipping sauce</strong>–$3.99\r\n<h2>Oven Baked Sandwiches</h2>\r\nWith chips and a drink: $6.99\r\nSandwich only: $4.99\r\n\r\n<strong>Baked Ham</strong>–<em>Ham, melted provolone cheese, onions, lettuce, and tomato.</em>\r\n\r\n<strong>Turkey</strong>–<em>Sliced turkey breast, melted provolone cheese, lettuce, and tomato.</em>\r\n\r\n<strong>Turkey Club</strong>–<em>Turkey, bacon, ham, melted provolone cheese, green peppers, lettuce, and tomato.</em>\r\n\r\n<strong>Italian</strong>–<em>Ham, hard salami, melted provolone cheese, onion, green peppers, lettuce, tomato, and Italian dressing.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–<em>Buck’s boneless wings tossed in your choice of wing sauce, covered in melted provolone cheese, and topped with lettuce and tomato.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–C<em>hicken fajita, cheddar cheese, and bacon, topped with lettuce and tomato, and ranch dressing on the side.</em>\r\n\r\n<strong>Steak</strong>–<em>USDA choice chopped steak and bacon, mushrooms, onions, and green peppers smothered in provolone cheese. Topped with lettuce and tomato.</em>\r\n\r\n<strong>CBS</strong>–<em>USDA choice chopped steak and bacon, topped with lots of cheddar cheese</em><em>.</em>\r\n\r\n<strong>Vegi-Delite</strong>–<em>Mushrooms, onion, green pepper, black olives, green olives, sliced tomato and provolone cheese.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–<em>Buck’s delicious boneless chicken baked with our delicious marinara sauce and smothered in melted provolone.</em>\r\n\r\n<strong>Meatball Marinara–</strong><em>Meatballs baked with our delicious marinara sauce and provolone cheese.</em>\r\n<h2>Salads</h2>\r\nDressings: Blue Cheese, Ranch, Caesar, Vinaigrette, Italian, Greek.\r\n\r\n<strong>Garden Salad</strong>–sm. $3.99, lg. $6.49\r\n<em>Romaine lettuce, cucumbers, red onion and tomato.</em>\r\n\r\n<strong>Caesar Salad</strong>–sm. $3.99, lg. $6.49\r\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $4.99, lg. $7.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\r\n\r\n<strong>Mediterranean Salad</strong>–sm. $4.99, lg. $7.99\r\n<em>Romaine lettuce, spinach, cucumbers, tomatoes and parmesan cheese, tossed in our in-house vinaigrette.</em>\r\n\r\n<strong>Spinach Salad</strong><em>–sm. $5.49, lg. $8.99\r\nBlend of romaine lettuce and spinach, black olives, cucumber, red onions, tomato, bacon and feta cheese.</em>\r\n\r\n<strong>Chef Salad</strong>–sm. $5.49, lg. $8.99\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\r\n\r\n<strong>Chicken Tender Salad</strong>–sm. $5.49, lg. $8.99\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\r\n\r\n<strong>Greek Salad</strong>–sm. $5.49, lg. $8.99\r\n<em>Romaine lettuce, red onion, black olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n<h2>Tenders, Wings and Boneless Wings</h2>\r\nAdd blue cheese, ranch or any extra sauce–75¢ each\r\n<h3>Sauces</h3>\r\n<ul>\r\n 	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n 	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n 	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n 	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n 	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n 	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\r\n 	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\r\n 	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\r\n 	<li><strong>Teriyaki</strong>–Smooth, salty, sweet…addictive.</li>\r\n 	<li><strong>Lemon Pepper</strong>–That spicy buttery lemon flavor.</li>\r\n 	<li><strong>Garlic Parmesan</strong>–Cheesy, garlicky and buttery all wrapped in one.</li>\r\n</ul>\r\n<h3>Boneless Wings</h3>\r\nBreaded chicken tender bites tossed in your favorite lip-smackin’ wing sauce.\r\n<ul>\r\n 	<li>Order of 5–$3.99</li>\r\n 	<li>Order of 10–$6.74</li>\r\n 	<li>Order of 15–$9.99</li>\r\n 	<li>Order of 20–$12.49</li>\r\n 	<li>Order of 25–$16.74</li>\r\n 	<li>Order of 30–$18.99</li>\r\n</ul>\r\n<h3>Chicken Wings (Jumbo)</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n*Includes 1 dipping sauce per 10 wings.\r\n<ul>\r\n 	<li>Order of 5–$5.74</li>\r\n 	<li>Order of 10–$8.74</li>\r\n 	<li>Order of 15–$13.49</li>\r\n 	<li>Order of 20–$16.49</li>\r\n 	<li>Order of 25–$21.99</li>\r\n 	<li>Order of 30–$26.99</li>\r\n</ul>\r\n<h3>Chicken Tenders</h3>\r\nFried chicken tenders with your choice of dipping sauce on the side.\r\nExtra digging sauces or dressings $.75 each.\r\n<ul>\r\n 	<li>Order of 4–$5.49</li>\r\n 	<li>Order of 8–$8.99</li>\r\n 	<li>Order of 12–$13.99</li>\r\n</ul>\r\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\r\n[table id=1 /]\r\n<h3>Meats</h3>\r\n<ul>\r\n 	<li>Pepperoni</li>\r\n 	<li>Ham</li>\r\n 	<li>Bacon</li>\r\n 	<li>Salami</li>\r\n 	<li>Italian Sausage</li>\r\n 	<li>Canadian bacon</li>\r\n 	<li>Ground beef</li>\r\n</ul>\r\n<h3>Veggies</h3>\r\n<ul>\r\n 	<li>Mushrooms</li>\r\n 	<li>White onions</li>\r\n 	<li>Red onions</li>\r\n 	<li>Green peppers</li>\r\n 	<li>Black olives</li>\r\n 	<li>Green olives</li>\r\n 	<li>Jalapenos</li>\r\n 	<li>Fresh basil</li>\r\n 	<li>Tomatoes</li>\r\n 	<li>Fresh spinach</li>\r\n 	<li>Banana peppers</li>\r\n</ul>\r\n<h3>Other toppings</h3>\r\n<ul>\r\n 	<li>Pineapple</li>\r\n 	<li>Extra mozzarella</li>\r\n 	<li>Cheddar cheese</li>\r\n 	<li>Feta cheese</li>\r\n 	<li>Alfredo sauce</li>\r\n 	<li>Anchovies</li>\r\n</ul>\r\n<h3>Premium toppings</h3>\r\n<ul>\r\n 	<li>Artichoke hearts</li>\r\n 	<li>Chicken</li>\r\n 	<li>Steak</li>\r\n</ul>\r\n<h2>Specialty Pizzas &amp; Strombolis</h2>\r\n<h3>Favorito</h3>\r\nsm. $6.24, md. $9.24, lg. $10.49, xl. $13.49\r\n\r\n<strong>Hawaiian</strong>\r\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\r\n\r\n<strong>Old World (White Pizza)</strong>\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\r\n<h3>Superfino</h3>\r\nsm. $8.49, md. $12.99, lg. $14.99, xl. $18.74\r\n\r\n<strong>Italian (White Pizza)\r\n</strong><em>Garlic sauce, hard salami, smoked ham, fresh onions, green peppers, and lots of mozzarella. The flavor really pops with the oven-baked hard salami!</em>\r\n\r\n<strong>Margherita (White Pizza)\r\n</strong><em>Our light garlic sauce with sliced roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n\r\n<strong>Chicken Club (White Pizza)\r\n</strong><em>A light garlic sauce and mozzarella cheese with chunks of grilled chicken, Canadian bacon, red onion, and bacon.</em>\r\n\r\n<strong>Greek (White Pizza)\r\n</strong><em>A light garlic sauce, mozzarella, black olives, red onion, artichoke hearts, fresh tomato slices, and Feta cheese.</em>\r\n\r\n<strong>Steak \'N Cheese (White Pizza)\r\n</strong><em>Our special light garlic sauce topped with chopped steak, onions, green peppers, mushrooms, and extra mozzarella cheese.</em>\r\n\r\n<strong>Spinach Alfredo\r\n</strong><em>A creamy Alfredo sauce topped with spinach, slices of roma tomatoes, and lots of mozzarella cheese.</em>\r\n\r\n<strong>Chicken Alfredo\r\n</strong><em>Classic Alfredo sauce with grilled chicken, red onion, and real bacon, topped with 100% mozzarella cheese.</em>\r\n\r\n<strong>Buck\'s Deluxe</strong>\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n\r\n<strong>Vegi-Delite\r\n</strong><em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives &amp; sliced tomato.</em>\r\n\r\n<strong>5 Meat\r\n</strong><em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n\r\n<strong>4 Cheese Medley\r\n</strong><em>A blend of cheddar, mozzarella, Parmesan and Feta cheese. A bold and exciting flavor!</em>\r\n\r\n<strong>BBQ Chicken\r\n</strong><em>Grilled chicken tossed in our blend of BBQ and pizza sauce, with red onion, real bacon, mozzarella, and aged cheddar.</em>\r\n\r\n<strong>Buffalo Chicken\r\n</strong><em>Buffalo hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella and grilled chicken, all topped with sizzling bacon. Hang on to your hat!</em>\r\n\r\n<strong>CBH Special\r\n</strong><em>Everything is better with bacon and this proves it. Smoked ham, melted aged cheddar and sizzling bacon. Mmm...good!</em>\r\n\r\n<strong>CBS\r\n</strong><em>Melted aged cheddar, sizzling bacon, and steak. Maybe we should call this one \"heaven-on-earth.\"</em>\r\n\r\n<strong>Wild Buck</strong>\r\n\r\nIf you order ‘everything-but-the-fish’ this is what you’ll get. Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives, and extra mozzarella cheese…it’s wild!!!\r\n<h2>Pasta Dishes</h2>\r\n[table id=2 /]\r\n<h2>Dinners</h2>\r\n<strong>Chicken wings basket</strong>–$8.99\r\n<em>5 wings served w/ fries, a dipping sauce, and a drink.</em>\r\n\r\n<strong>Boneless wings basket</strong>–$7.49\r\n<em>5 boneless wings served w/ fries, a dipping sauce, and a drink.</em>\r\n<em>*Add 5 extra boneless wings for only $2.50 more.</em>\r\n\r\n<strong>Chicken tender basket</strong>–$8.99\r\n<em>4 wings served w/ fries, a dipping sauce, and a drink.</em>\r\n<h2>Sweet Treats</h2>\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar &amp; served with icing. 12 per order.</em>\r\n<h2>Beverages</h2>\r\n<strong>Coke Products</strong>–2 lt. $2.49, 16 oz. $1.79, Fountain drink $1.79", "Menu", "", "inherit", "closed", "closed", "", "409-revision-v1", "", "", "2016-09-13 17:51:27", "2016-09-13 17:51:27", "", "409", "http://buckspizza.com/uncategorized/409-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("835", "1", "2016-09-21 19:39:53", "2016-09-21 19:39:53", "", "nowait", "", "inherit", "closed", "closed", "", "nowait", "", "", "2016-09-21 19:39:53", "2016-09-21 19:39:53", "", "0", "http://buckspizza.com/wp-content/uploads/2016/09/nowait.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("840", "1", "2016-09-22 18:21:48", "2016-09-22 18:21:48", "<h2>Buck\'s Famous Stix</h2>\r\n\r\n<strong>Bread Stix</strong>–$2.99\r\n<em>12 per order, covered with butter & spices.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>12 per order, with icing.</em>\r\n\r\n<strong>Cheese Stix</strong>–$3.99\r\n<em>12 per order, covered in melted cheese.</em>\r\n<h2>Sides</h2>\r\n\r\n<strong>Chicken wings</strong>–$5.99\r\n<em>10 pcs; Hot or BBQ</em>\r\n\r\n<strong>Blue cheese or Ranch dressing</strong>–$0.50\r\n<h2>Fresh Baked Sandwiches</h2>\r\n6\" - $4.49\r\n12\" - $7.99\r\n\r\n<strong>Italian</strong>\r\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, tomato and Italian dressing.</em>\r\n\r\n<strong>Steak\r\n</strong><em>Real marinated, chipped USDA choice steak, mushrooms, onions, and green peppers smothered in mozzarella cheese. Topped with lettuce and tomato &amp; with your choice of dressing.</em>\r\n\r\n<strong>CBS</strong>\r\n<em>Cheddar, bacon &amp; real marinated USDA choice steak.</em>\r\n\r\n<strong>Turkey Club</strong>\r\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Baked Ham</strong>\r\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\r\n\r\n<strong>Turkey</strong>\r\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Meatball Classic</strong>\r\n<em>Tasty meatballs covered in Buck’s blended pasta sauce, and plenty of melted mozzarella &amp; parmesan.</em>\r\n<h2>Salads</h2>\r\nDressings: Blue Cheese, Ranch, Caesar, Italian, Greek, Thousand Island\r\n\r\n<strong>Caesar Salad</strong>–sm. $3.49, lg. $5.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $3.99, lg. $6.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\r\n\r\n<strong>Spinach Salad</strong>–sm. $3.99, lg. $6.99\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\r\n\r\n<strong>Chef Salad</strong>–sm. $3.99, lg. $6.99\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\r\n\r\n<strong>Garden Salad</strong>–sm. $2.99, lg. $4.99\r\n<em>Salad greens, cucumbers, red onion, carrots and tomato.</em>\r\n\r\n<strong>Greek Salad</strong>–sm. $3.99, lg. $6.99\r\n<em>Romaine lettuce, red onion, black olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n<h2>Build-Your-Own Pizzas</h2>\r\n<strong>Make your medium or large pizza a thick crust for $1.00 more!</strong>\r\n<h3>Pizza</h3>\r\n<ul>\r\n	<li>Personal 6” –$3.49</li>\r\n	<li>Small 9” –$4.49</li>\r\n	<li>Medium 12” –$8.99</li>\r\n	<li>Large 14” –$9.99</li>\r\n	<li>X-Large 16” –$11.99</li>\r\n	<li>BellyBuster 1\' x 2\' –$14.99</li>\r\n	<li>Sicilian -$12.99</li>\r\n\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\n.25¢ each per Personal, .50¢ each per Small, .80¢ each per Medium, $1.00 each per Large, $1.50 each per X-Large, $2.00 each per Belly Buster, $1.50 each per Sicilian.\r\n<ul>\r\n	<li>Pepperoni</li>\r\n	<li>Ham</li>\r\n	<li>Mushrooms</li>\r\n	<li>Bacon</li>\r\n	<li>Fresh onions</li>\r\n	<li>Anchovies</li>\r\n	<li>Green pepper</li>\r\n	<li>Fresh spinach</li>\r\n	<li>Sausage</li>\r\n	<li>Green olives</li>\r\n	<li>Black olives</li>\r\n	<li>Pineapple</li>\r\n	<li>Canadian bacon</li>\r\n	<li>Jalapeños</li>\r\n	<li>Banana peppers</li>\r\n	<li>Roma tomatoes</li>\r\n	<li>Ground beef</li>\r\n	<li>Extra Cheese</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\n.50¢ each per Personal, $1.00 each per Small, $1.60 each per Medium, $2.00 each per Large, $3.00 each per X-Large, $4.00 each per Belly Buster, $3.00 each per Sicilian.\r\n<ul>\r\n	<li>Artichoke</li>\r\n	<li>Chicken</li>\r\n	<li>Steak</li>\r\n	<li>Feta cheese</li>\r\n	<li>Fresh basil</li>\r\n</ul>\r\n<h2>Specialty Pizzas</h2>\r\n\r\n<strong>Buck\'s Deluxe</strong>–ps. $4.49, sm. $6.49, md. $10.99, lg. $12.99, xl. $14.99, bellybuster $18.99\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n\r\n<strong>5 Meat</strong>–ps. $4.49, sm. $6.49, md. $10.99, lg. $12.99, xl. $14.99, bellybuster $18.99\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n\r\n<strong>BBQ Chicken</strong>–ps. $4.99, sm. $7.49, md. $11.99, lg. $14.99, xl. $16.99, bellybuster $19.99\r\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, mozzarella and aged cheddar.</em>\r\n\r\n<strong>Vegi-Delite</strong>–ps. $4.49, sm. $6.49, md. $10.99, lg. $12.99, xl. $14.99, bellybuster $18.99\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\r\n\r\n<strong>Chicken Club (White Pizza)</strong>–ps. $4.99, sm. $7.49, md. $11.99, lg. $14.99, xl. $16.99, bellybuster $19.99\r\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, Canadian bacon, red onion and bacon.</em>\r\n\r\n<strong>Greek (White Pizza)</strong>–ps. $4.99, sm. $7.49, md. $11.99, lg. $14.99, xl. $16.99, bellybuster $19.99\r\n<em>A light garlic sauce, mozzarella, black olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\r\n\r\n<strong>Margherita (White Pizza)</strong>–ps. $4.49, sm. $6.49, md. $10.99, lg. $12.99, xl. $14.99, bellybuster $18.99\r\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n\r\n<strong>4 Cheese Medley</strong>–ps. $4.49, sm. $6.49, md. $10.99, lg. $12.99, xl. $14.99, bellybuster $18.99\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\r\n\r\n<strong>Old World (White Pizza)</strong>–ps. $3.99, sm. $5.49, md. $9.99, lg. $10.99, xl. $12.99, bellybuster $17.99\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>–ps. $4.49, sm. $6.49, md. $10.99, lg. $12.99, xl. $14.99, bellybuster $18.99\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\r\n\r\n<strong>Hawaiian</strong>–ps. $3.99, sm. $5.49, md. $9.99, lg. $10.99, xl. $12.99, bellybuster $17.99\r\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\r\n\r\n<strong>Pepperoni Classic</strong>–ps. $3.99, sm. $5.49, md. $9.99, lg. $10.99, xl. $12.99, bellybuster $17.99\r\n<em>America\'s favorite pizza with an edge to edge layer of pepperoni and extra mozzarella cheese.</em>\r\n\r\n<strong>Sausage Classic</strong>–ps. $3.99, sm. $5.49, md. $9.99, lg. $10.99, xl. $12.99, bellybuster $17.99\r\n<em>Wake up your taste buds with lots of sausage and extra mozzarella.</em>\r\n\r\n<strong>Steak \'N Cheese (White Pizza)</strong>–ps. $4.99, sm. $7.49, md. $11.99, lg. $14.99, xl. $16.99, bellybuster $19.99\r\n<em>Our special light garlic sauce topped with real marinated chipped USDA choice steak, onions, green peppers, mushrooms and extra mozzarella cheese.</em>\r\n\r\n<strong>Spinach Alfredo</strong>–ps. $4.99, sm. $7.49, md. $11.99, lg. $14.99, xl. $16.99, bellybuster $19.99\r\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon and lots of mozzarella.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–ps. $4.99, sm. $7.49, md. $11.99, lg. $14.99, xl. $16.99, bellybuster $19.99\r\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with 100% mozzarella cheese.</em>\r\n<h2>Strombolis</h2>\r\nHand tossed dough, Buck\'s delicious pizza sauce and 100% real cheese. Add any of our pizza toppings at no extra charge. We fold it, top it with butter and seasonings and bake.\r\n<ul>\r\n	<li>Personal-$3.99</li>\r\n	<li>Small-$6.49</li>\r\n	<li>Medium-$9.99</li>\r\n	<li>Large-$11.99</li>\r\n	<li>X-Large-$13.99</li>\r\n\r\n	<li>Extra dipping sauce $0.50</li>\r\n</ul>\r\n\r\n<strong>Steak</strong>\r\n<em>Real marinated chipped steak, mushrooms, onions, green peppers and lots of mozzarella.</em>\r\n\r\n<strong>Ham & Cheese</strong>\r\n<em>Baked ham, mozzarella and aged cheddar.</em>\r\n\r\n<strong>CBH Special</strong>\r\n<em>Cheddar, bacon and ham.</em>\r\n\r\n<strong>Vegi-Delite</strong>\r\n<em>A delicate combination of mushrooms, onions, tomatoes, green peppers, black & green olives and mozzarella.</em>\r\n\r\n<strong>Meaty</strong>\r\n<em>Pepperoni, sausage, ham, bacon, ground beef and mozzarella.</em>\r\n\r\n<strong>Italian</strong>\r\n<em>Ham, salami, onions, green peppers and mozzarella.</em>\r\n\r\n<strong>CBS Special</strong>\r\n<em>Cheddar, bacon and steak.</em>\r\n<h2>Sweet Treats</h2>\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar &amp; served with icing</em>\r\n<h2>Beverages</h2>\r\n<strong>Coke Products</strong>\r\n<ul>\r\n	<li>2 Liter - $1.99</li>\r\n	<li>20 oz. - $1.29</li>\r\n	<li>12 oz. - $0.89</li>\r\n</ul>\r\n\r\n", "Menu", "", "publish", "closed", "closed", "", "menu", "", "", "2017-07-31 19:07:18", "2017-07-31 19:07:18", "", "68", "http://buckspizza.com/?page_id=840", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("842", "1", "2016-09-22 19:37:53", "2016-09-22 19:37:53", "<h2>Buck\'s Famous Stix</h2>\n\n<strong>Bread Stix</strong>–$2.99\n<em>12 per order, covered with butter & spices.</em>\n\n<strong>Cinnamon Stix</strong>–$3.99\n<em>12 per order, with icing.</em>\n\n<strong>Cheese Stix</strong>–$3.99\n<em>12 per order, covered in melted cheese.</em>\n<h2>Sides</h2>\n\n<strong>Chicken wings</strong>-$5.99\n<em>Hot or BBQ</em>\n\n<strong>Blue cheese or Ranch dressing</strong>-$0.50\n<h2>Fresh Baked Sandwiches</h2>\n6\" $4.49, 12\" $7.99\n\n<strong>Italian</strong>\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, tomato and Italian dressing.</em>\n\n<strong>Steak\n</strong><em>Real marinated, chipped USDA choice steak, mushrooms, onions, and green peppers smothered in mozzarella cheese. Topped with lettuce and tomato &amp; with your choice of dressing.</em>\n\n<strong>CBS</strong>\n<em>Cheddar, bacon &amp; real marinated USDA choice steak.</em>\n\n<strong>Turkey Club</strong>\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\n\n<strong>Baked Ham</strong>\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\n\n<strong>Turkey</strong>\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\n\n<strong>Buffalo Chicken</strong>\n<em>Buck’s boneless wings tossed in your choice of wing sauce, covered in melted mozzarella cheese, and topped with lettuce and tomato and with your choice of dressing.</em>\n\n<strong>Meatball Classic</strong>\n<em>Tasty meatballs covered in Buck’s blended pasta sauce, and plenty of melted mozzarella &amp; parmesan.</em>\n<h2>Salads</h2>\nDressings: Blue Cheese, Ranch, Caesar, Italian, Greek, Thousand Island\n\n<strong>Caesar Salad</strong>–sm. $3.49, lg. $5.99\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\n\n<strong>Chicken Caesar Salad</strong>–sm. $3.99, lg. $6.99\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\n\n<strong>Spinach Salad</strong>–sm. $3.99, lg. $6.99\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\n\n<strong>Chef Salad</strong>–sm. $3.99, lg. $6.99\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\n\n<strong>Garden Salad</strong>–sm. $2.99, lg. $4.99\n<em>Salad greens, cucumbers, red onion, carrots and tomato.</em>\n\n<strong>Greek Salad</strong>–sm. $3.99, lg. $6.99\n<em>Romaine lettuce, red onion, black olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\n<h2>Build-Your-Own Pizzas</h2>\n<strong>Make your medium or large pizza a thick crust for $1.00 more!</strong>\n<h3>Pizza</h3>\n<ul>\n	<li>Personal 6” –$3.49</li>\n	<li>Small 9” –$4.49</li>\n	<li>Medium 12” –$8.99</li>\n	<li>Large 14” –$9.99</li>\n	<li>X-Large 16” –$11.99</li>\n	<li>BellyBuster 1\' x 2\' –$14.99</li>\n	<li>Sicilian -$12.99</li>\n\n</ul>\n<h3>Regular Toppings</h3>\n.25¢ each per Personal, .50¢ each per Small, .80¢ each per Medium, $1.00 each per Large, $1.50 each per X-Large, $2.00 each per Belly Buster, $1.50 each per Sicilian.\n<ul>\n	<li>Pepperoni</li>\n	<li>Ham</li>\n	<li>Mushrooms</li>\n	<li>Bacon</li>\n	<li>Fresh onions</li>\n	<li>Anchovies</li>\n	<li>Green pepper</li>\n	<li>Fresh spinach</li>\n	<li>Sausage</li>\n	<li>Green olives</li>\n	<li>Black olives</li>\n	<li>Pineapple</li>\n	<li>Canadian bacon</li>\n	<li>Jalapeños</li>\n	<li>Banana peppers</li>\n	<li>Roma tomatoes</li>\n	<li>Ground beef</li>\n	<li>Extra Cheese</li>\n</ul>\n<h3>Premium Toppings</h3>\n.50¢ each per Personal, $1.00 each per Small, $1.60 each per Medium, $2.00 each per Large, $3.00 each per X-Large, $4.00 each per Belly Buster, $3.00 each per Sicilian.\n<ul>\n	<li>Artichoke</li>\n	<li>Chicken</li>\n	<li>USDA choice steak</li>\n	<li>Feta cheese</li>\n	<li>Fresh basil</li>\n</ul>\n<h2>Specialty Pizzas</h2>\n\n<strong>Buck\'s Deluxe</strong>–ps. $4.49, sm. $6.49, md. $10.99, lg. $12.99, xl. $14.99, bellybuster $18.99\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\n\n<strong>5 Meat</strong>–ps. $4.49, sm. $6.49, md. $10.99, lg. $12.99, xl. $14.99, bellybuster $18.99\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\n\n<strong>BBQ Chicken</strong>–ps. $4.99, sm. $7.49, md. $11.99, lg. $14.99, xl. $16.99, bellybuster $19.99\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, mozzarella and aged cheddar.</em>\n\n<strong>Vegi-Delite</strong>–ps. $4.49, sm. $6.49, md. $10.99, lg. $12.99, xl. $14.99, bellybuster $18.99\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\n\n<strong>Chicken Club (White Pizza)</strong>–ps. $4.99, sm. $7.49, md. $11.99, lg. $14.99, xl. $16.99, bellybuster $19.99\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, Canadian bacon, red onion and bacon.</em>\n\n<strong>Greek (White Pizza)</strong>–ps. $4.99, sm. $7.49, md. $11.99, lg. $14.99, xl. $16.99, bellybuster $19.99\n<em>A light garlic sauce, mozzarella, black olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\n\n<strong>Margherita (White Pizza)</strong>–ps. $4.49, sm. $6.49, md. $10.99, lg. $12.99, xl. $14.99, bellybuster $18.99\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\n\n<strong>4 Cheese Medley</strong>–ps. $4.49, sm. $6.49, md. $10.99, lg. $12.99, xl. $14.99, bellybuster $18.99\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\n\n<strong>Old World (White Pizza)</strong>–ps. $3.99, sm. $5.49, md. $9.99, lg. $10.99, xl. $12.99, bellybuster $17.99\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\n\n<strong>Bacon Cheeseburger</strong>–ps. $4.49, sm. $6.49, md. $10.99, lg. $12.99, xl. $14.99, bellybuster $18.99\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\n\n<strong>Hawaiian</strong>–ps. $3.99, sm. $5.49, md. $9.99, lg. $10.99, xl. $12.99, bellybuster $17.99\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\n\n<strong>Pepperoni Classic</strong>–ps. $3.99, sm. $5.49, md. $9.99, lg. $10.99, xl. $12.99\n<em>America\'s favorite pizza with an edge to edge layer of pepperoni and extra mozzarella cheese.</em>\n\n<strong>Sausage Classic</strong>–ps. $3.99, sm. $5.49, md. $9.99, lg. $10.99, xl. $12.99, bellybuster $17.99\n<em>Wake up your taste buds with lots of sausage and extra mozzarella.</em>\n\n<strong>Steak \'N Cheese (White Pizza)</strong>–ps. $4.99, sm. $7.49, md. $11.99, lg. $14.99, xl. $16.99, bellybuster $19.99\n<em>Our special light garlic sauce topped with real marinated chipped USDA choice steak, onions, green peppers, mushrooms and extra mozzarella cheese.</em>\n\n<strong>Spinach Alfredo</strong>–ps. $4.99, sm. $7.49, md. $11.99, lg. $14.99, xl. $16.99, bellybuster $19.99\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon and lots of mozzarella.</em>\n\n<strong>Chicken Alfredo</strong>–ps. $4.99, sm. $7.49, md. $11.99, lg. $14.99, xl. $16.99, bellybuster $19.99\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with 100% mozzarella cheese.</em>\n<h2>Strombolis</h2>\nHand tossed dough, Buck\'s delicious pizza sauce and 100% real cheese. Add any of our pizza toppings at no extra charge. We fold it, top it with butter and seasonings and bake.\n<ul>\n	<li>Personal-$3.99</li>\n	<li>Small-$6.49</li>\n	<li>Medium-$9.99</li>\n	<li>Large-$11.99</li>\n	<li>X-Large-$13.99</li>\n\n	<li>Extra dipping sauce $0.50</li>\n</ul>\n\n<strong>Steak</strong>\n<em>Real marinated chipped steak, mushrooms, onions, green peppers and lots of mozzarella.</em>\n\n<strong>Ham & Cheese</strong>\n<em>Baked ham, mozzarella and aged cheddar.</em>\n\n<strong>CBH Special</strong>\n<em>Cheddar, bacon and ham.</em>\n\n<strong>Vegi-Delite</strong>\n<em>A delicate combination of mushrooms, onions, tomatoes, green peppers, black & green olives, </em>\n\n<strong>Chicken Alfredo</strong>–sm. $7.99, lg. $10.99\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce and with tender strips of grilled chicken.</em>\n<h2>Sweet Treats</h2>\n<strong>Cinnamon Stix</strong>–$3.99\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar &amp; served with icing</em>\n<h2>Beverages</h2>\n<strong>Coke Products</strong>–2 lt. $2.49, 16 oz. $1.39", "Menu", "", "inherit", "closed", "closed", "", "840-autosave-v1", "", "", "2016-09-22 19:37:53", "2016-09-22 19:37:53", "", "840", "http://buckspizza.com/uncategorized/840-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("850", "1", "2016-09-22 19:52:50", "2016-09-22 19:52:50", "<h2>Buck\'s Famous Stix</h2>\r\n\r\n<strong>Bread Stix</strong>–$2.99\r\n<em>12 per order, covered with butter & spices.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>12 per order, with icing.</em>\r\n\r\n<strong>Cheese Stix</strong>–$3.99\r\n<em>12 per order, covered in melted cheese.</em>\r\n<h2>Sides</h2>\r\n\r\n<strong>Chicken wings</strong>–$5.99\r\n<em>10 pcs; Hot or BBQ</em>\r\n\r\n<strong>Blue cheese or Ranch dressing</strong>–$0.50\r\n<h2>Fresh Baked Sandwiches</h2>\r\n6\" - $4.49\r\n12\" - $7.99\r\n\r\n<strong>Italian</strong>\r\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, tomato and Italian dressing.</em>\r\n\r\n<strong>Steak\r\n</strong><em>Real marinated, chipped USDA choice steak, mushrooms, onions, and green peppers smothered in mozzarella cheese. Topped with lettuce and tomato &amp; with your choice of dressing.</em>\r\n\r\n<strong>CBS</strong>\r\n<em>Cheddar, bacon &amp; real marinated USDA choice steak.</em>\r\n\r\n<strong>Turkey Club</strong>\r\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Baked Ham</strong>\r\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\r\n\r\n<strong>Turkey</strong>\r\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Meatball Classic</strong>\r\n<em>Tasty meatballs covered in Buck’s blended pasta sauce, and plenty of melted mozzarella &amp; parmesan.</em>\r\n<h2>Salads</h2>\r\nDressings: Blue Cheese, Ranch, Caesar, Italian, Greek, Thousand Island\r\n\r\n<strong>Caesar Salad</strong>–sm. $3.49, lg. $5.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $3.99, lg. $6.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\r\n\r\n<strong>Spinach Salad</strong>–sm. $3.99, lg. $6.99\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\r\n\r\n<strong>Chef Salad</strong>–sm. $3.99, lg. $6.99\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\r\n\r\n<strong>Garden Salad</strong>–sm. $2.99, lg. $4.99\r\n<em>Salad greens, cucumbers, red onion, carrots and tomato.</em>\r\n\r\n<strong>Greek Salad</strong>–sm. $3.99, lg. $6.99\r\n<em>Romaine lettuce, red onion, black olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n<h2>Build-Your-Own Pizzas</h2>\r\n<strong>Make your medium or large pizza a thick crust for $1.00 more!</strong>\r\n<h3>Pizza</h3>\r\n<ul>\r\n	<li>Personal 6” –$3.49</li>\r\n	<li>Small 9” –$4.49</li>\r\n	<li>Medium 12” –$8.99</li>\r\n	<li>Large 14” –$9.99</li>\r\n	<li>X-Large 16” –$11.99</li>\r\n	<li>BellyBuster 1\' x 2\' –$14.99</li>\r\n	<li>Sicilian -$12.99</li>\r\n\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\n.25¢ each per Personal, .50¢ each per Small, .80¢ each per Medium, $1.00 each per Large, $1.50 each per X-Large, $2.00 each per Belly Buster, $1.50 each per Sicilian.\r\n<ul>\r\n	<li>Pepperoni</li>\r\n	<li>Ham</li>\r\n	<li>Mushrooms</li>\r\n	<li>Bacon</li>\r\n	<li>Fresh onions</li>\r\n	<li>Anchovies</li>\r\n	<li>Green pepper</li>\r\n	<li>Fresh spinach</li>\r\n	<li>Sausage</li>\r\n	<li>Green olives</li>\r\n	<li>Black olives</li>\r\n	<li>Pineapple</li>\r\n	<li>Canadian bacon</li>\r\n	<li>Jalapeños</li>\r\n	<li>Banana peppers</li>\r\n	<li>Roma tomatoes</li>\r\n	<li>Ground beef</li>\r\n	<li>Extra Cheese</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\n.50¢ each per Personal, $1.00 each per Small, $1.60 each per Medium, $2.00 each per Large, $3.00 each per X-Large, $4.00 each per Belly Buster, $3.00 each per Sicilian.\r\n<ul>\r\n	<li>Artichoke</li>\r\n	<li>Chicken</li>\r\n	<li>Steak</li>\r\n	<li>Feta cheese</li>\r\n	<li>Fresh basil</li>\r\n</ul>\r\n<h2>Specialty Pizzas</h2>\r\n\r\n<strong>Buck\'s Deluxe</strong>–ps. $4.49, sm. $6.49, md. $10.99, lg. $12.99, xl. $14.99, bellybuster $18.99\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n\r\n<strong>5 Meat</strong>–ps. $4.49, sm. $6.49, md. $10.99, lg. $12.99, xl. $14.99, bellybuster $18.99\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n\r\n<strong>BBQ Chicken</strong>–ps. $4.99, sm. $7.49, md. $11.99, lg. $14.99, xl. $16.99, bellybuster $19.99\r\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, mozzarella and aged cheddar.</em>\r\n\r\n<strong>Vegi-Delite</strong>–ps. $4.49, sm. $6.49, md. $10.99, lg. $12.99, xl. $14.99, bellybuster $18.99\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\r\n\r\n<strong>Chicken Club (White Pizza)</strong>–ps. $4.99, sm. $7.49, md. $11.99, lg. $14.99, xl. $16.99, bellybuster $19.99\r\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, Canadian bacon, red onion and bacon.</em>\r\n\r\n<strong>Greek (White Pizza)</strong>–ps. $4.99, sm. $7.49, md. $11.99, lg. $14.99, xl. $16.99, bellybuster $19.99\r\n<em>A light garlic sauce, mozzarella, black olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\r\n\r\n<strong>Margherita (White Pizza)</strong>–ps. $4.49, sm. $6.49, md. $10.99, lg. $12.99, xl. $14.99, bellybuster $18.99\r\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n\r\n<strong>4 Cheese Medley</strong>–ps. $4.49, sm. $6.49, md. $10.99, lg. $12.99, xl. $14.99, bellybuster $18.99\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\r\n\r\n<strong>Old World (White Pizza)</strong>–ps. $3.99, sm. $5.49, md. $9.99, lg. $10.99, xl. $12.99, bellybuster $17.99\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>–ps. $4.49, sm. $6.49, md. $10.99, lg. $12.99, xl. $14.99, bellybuster $18.99\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\r\n\r\n<strong>Hawaiian</strong>–ps. $3.99, sm. $5.49, md. $9.99, lg. $10.99, xl. $12.99, bellybuster $17.99\r\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\r\n\r\n<strong>Pepperoni Classic</strong>–ps. $3.99, sm. $5.49, md. $9.99, lg. $10.99, xl. $12.99, bellybuster $17.99\r\n<em>America\'s favorite pizza with an edge to edge layer of pepperoni and extra mozzarella cheese.</em>\r\n\r\n<strong>Sausage Classic</strong>–ps. $3.99, sm. $5.49, md. $9.99, lg. $10.99, xl. $12.99, bellybuster $17.99\r\n<em>Wake up your taste buds with lots of sausage and extra mozzarella.</em>\r\n\r\n<strong>Steak \'N Cheese (White Pizza)</strong>–ps. $4.99, sm. $7.49, md. $11.99, lg. $14.99, xl. $16.99, bellybuster $19.99\r\n<em>Our special light garlic sauce topped with real marinated chipped USDA choice steak, onions, green peppers, mushrooms and extra mozzarella cheese.</em>\r\n\r\n<strong>Spinach Alfredo</strong>–ps. $4.99, sm. $7.49, md. $11.99, lg. $14.99, xl. $16.99, bellybuster $19.99\r\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon and lots of mozzarella.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–ps. $4.99, sm. $7.49, md. $11.99, lg. $14.99, xl. $16.99, bellybuster $19.99\r\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with 100% mozzarella cheese.</em>\r\n<h2>Strombolis</h2>\r\nHand tossed dough, Buck\'s delicious pizza sauce and 100% real cheese. Add any of our pizza toppings at no extra charge. We fold it, top it with butter and seasonings and bake.\r\n<ul>\r\n	<li>Personal-$3.99</li>\r\n	<li>Small-$6.49</li>\r\n	<li>Medium-$9.99</li>\r\n	<li>Large-$11.99</li>\r\n	<li>X-Large-$13.99</li>\r\n\r\n	<li>Extra dipping sauce $0.50</li>\r\n</ul>\r\n\r\n<strong>Steak</strong>\r\n<em>Real marinated chipped steak, mushrooms, onions, green peppers and lots of mozzarella.</em>\r\n\r\n<strong>Ham & Cheese</strong>\r\n<em>Baked ham, mozzarella and aged cheddar.</em>\r\n\r\n<strong>CBH Special</strong>\r\n<em>Cheddar, bacon and ham.</em>\r\n\r\n<strong>Vegi-Delite</strong>\r\n<em>A delicate combination of mushrooms, onions, tomatoes, green peppers, black & green olives and mozzarella.</em>\r\n\r\n<strong>Meaty</strong>\r\n<em>Pepperoni, sausage, ham, bacon, ground beef and mozzarella.</em>\r\n\r\n<strong>Italian</strong>\r\n<em>Ham, salami, onions, green peppers and mozzarella.</em>\r\n\r\n<strong>CBS Special</strong>\r\n<em>Cheddar, bacon and steak.</em>\r\n<h2>Sweet Treats</h2>\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar &amp; served with icing</em>\r\n<h2>Beverages</h2>\r\n<strong>Coke Products</strong>\r\n<ul>\r\n	<li>2 Liter - $1.99</li>\r\n	<li>20 oz. - $1.29</li>\r\n	<li>12 oz. - $0.89</li>\r\n</ul>\r\n\r\n", "Menu", "", "inherit", "closed", "closed", "", "840-revision-v1", "", "", "2016-09-22 19:52:50", "2016-09-22 19:52:50", "", "840", "http://buckspizza.com/uncategorized/840-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("854", "1", "2016-09-16 08:45:17", "2016-09-16 08:45:17", "Some people are party goers and some are party throwers. Some people like a casual gathering while others want to feel like they’re escaping to a totally transformed space. If you’re a party thrower looking to transform your home into a tropically-themed paradise for an evening of fun, start with the easiest measures and keep going until it feels the way you want.\r\n<h2>Food first</h2>\r\nNothing does more for a theme than having the right food. Authentic food is nice, but the aesthetic you create might even be better. Serving tropical tasting food may not just make sense to the eyes, but the smells and decorative power of pineapples is hard not to notice. Whether you’re trying for a high class affair or kitchey, cute, and casual, forgetting to include the fruit will lead to people feeling like they’re missing something.\r\n\r\nLet’s be clear, you don’t have to include pineapple in every dish, but having it present is probably a good idea. Mangos, limes, coconut, banana — any food found in the tropics is fair game for <a href=\"http://guestofaguest.com/new-york/food/7-tropical-inspired-hors-doeuvre-recipes-to-serve-before-summer-ends/all\" target=\"_blank\">creating hors d\'oeuvres</a>. If you’re serving <a href=\"http://allrecipes.com/recipes/1656/holidays-and-events/events-and-gatherings/special-themes/tropical/\" target=\"_blank\">main dishes and desserts</a>, you can go authentic or go for the look over the taste of the tropics.\r\n\r\nThere’s also an option to go quick and easy while giving yourself more time to concentrate on the atmosphere of the party. Instead of putting on an apron, you can pick up the phone and order a “Hawaiian-style” pizza from your favorite local pizzeria. Some places even offer additional variations to the tropical theme, going beyond the usual ham and pineapple.\r\n<h2>Find your space</h2>\r\nHosting at home doesn’t mean you have to have it inside the home. If you’ve got a backyard, you can use it to great effect and a pool deck may be the perfect place, even if you don’t plan on taking a plunge at the party. Unless you live on the beach, setting the stage for the tropics by using the big body of water in the backyard makes sense, especially if you’ve got the right kinds of accessories. Water features, pool and screened enclosure lighting, even the right kind of <a href=\"http://patioscenes.com\" target=\"_blank\">privacy screen</a> itself may make your job decorating easier.\r\n<h2>Use what you have</h2>\r\nA barbecue grill can serve double duty creating the smells while cooking the food and tiki torches can set the mood with the lighting and some brands offer protection from pests. If you’ve got plastic palm trees or leafy plants by the pool, make sure to include them. Beach chairs or even sturdier wicker furniture can help set a mood while serving a purpose of keeping guests comfortable. One rule of thumb to consider: the less special decorating you have to do, the better.\r\n<h2>Decorate smart</h2>\r\nParty stores sell tons of supplies and fortunately, “tropical” is a common enough theme to make shopping easy. That said, you don’t have to go crazy with cash.\r\n\r\nFigure out just how much you need to decorate above and beyond what you’ve already got. After that, you can turn to the internet for decorating ideas. <a href=\"https://www.pinterest.com/explore/tropical-party-decorations/\" target=\"_blank\">Pinterest</a> is a place many people find homemade decorating ideas and also find pictures that spark ideas on how to use and where to place the flair that you create or buy. Greens, yellows, and oranges tend to be used as a color palette and dark woods and large leafed plants or grass thatching are popular tropical trimmings.\r\n\r\nLarge floral patterns and tropical fruit can be decorations as the items themselves or in print on clothing or on a backdrop. This is a place where pineapples can serve as more than a symbol of hospitality.\r\n<h2>Mood music</h2>\r\nIf you’ve got the ability to include music in your party, you can opt for some soft instrumental reggae or even simply the sounds of nature, like waves crashing gently on the beach. It doesn’t have to be loud to add to the effect, but if you’ve got the taste, sights, and smells covered, the sense of sound is one of the last to consider. Sure, you bring the beach to your backyard with truckloads of shells and beach sand to include the fifth sense, but the only thing people really want to “feel” is like they’ve been transported to the tropics and that probably doesn’t need to include having sand creep into clothing. It’ll also make clean up a lot easier!", "How to Host a Tropical-Themed Party at Home", "", "draft", "closed", "closed", "", "how-host-tropical-themed-party-home", "", "", "2017-08-04 15:55:20", "2017-08-04 15:55:20", "", "0", "http://buckspizza.com/?p=854", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("855", "1", "2016-10-01 06:42:40", "2016-10-01 06:42:40", "Some people are party goers and some are party throwers. Some people like a casual gathering while others want to feel like they’re escaping to a totally transformed space. If you’re a party thrower looking to transform your home into a tropically-themed paradise for an evening of fun, start with the easiest measures and keep going until it feels the way you want.\r\n<h2>Food first</h2>\r\nNothing does more for a theme than having the right food. Authentic food is nice, but the aesthetic you create might even be better. Serving tropical tasting food may not just make sense to the eyes, but the smells and decorative power of pineapples is hard not to notice. Whether you’re trying for a high class affair or kitchey, cute, and casual, forgetting to include the fruit will lead to people feeling like they’re missing something.\r\n\r\nLet’s be clear, you don’t have to include pineapple in every dish, but having it present is probably a good idea. Mangos, limes, coconut, banana — any food found in the tropics is fair game for <a href=\"http://guestofaguest.com/new-york/food/7-tropical-inspired-hors-doeuvre-recipes-to-serve-before-summer-ends/all\" target=\"_blank\">creating hors d\'oeuvres</a>. If you’re serving <a href=\"http://allrecipes.com/recipes/1656/holidays-and-events/events-and-gatherings/special-themes/tropical/\" target=\"_blank\">main dishes and desserts</a>, you can go authentic or go for the look over the taste of the tropics.\r\n\r\nThere’s also an option to go quick and easy while giving yourself more time to concentrate on the atmosphere of the party. Instead of putting on an apron, you can pick up the phone and order a “Hawaiian-style” pizza from your favorite local pizzeria. Some places even offer additional variations to the tropical theme, going beyond the usual ham and pineapple.\r\n<h2>Find your space</h2>\r\nHosting at home doesn’t mean you have to have it inside the home. If you’ve got a backyard, you can use it to great effect and a pool deck may be the perfect place, even if you don’t plan on taking a plunge at the party. Unless you live on the beach, setting the stage for the tropics by using the big body of water in the backyard makes sense, especially if you’ve got the right kinds of accessories. Water features, pool and screened enclosure lighting, even the right kind of <a href=\"http://patioscenes.com\" target=\"_blank\">privacy screen</a> itself may make your job decorating easier.\r\n<h2>Use what you have</h2>\r\nA barbecue grill can serve double duty creating the smells while cooking the food and tiki torches can set the mood with the lighting and some brands offer protection from pests. If you’ve got plastic palm trees or leafy plants by the pool, make sure to include them. Beach chairs or even sturdier wicker furniture can help set a mood while serving a purpose of keeping guests comfortable. One rule of thumb to consider: the less special decorating you have to do, the better.\r\n<h2>Decorate smart</h2>\r\nParty stores sell tons of supplies and fortunately, “tropical” is a common enough theme to make shopping easy. That said, you don’t have to go crazy with cash.\r\n\r\nFigure out just how much you need to decorate above and beyond what you’ve already got. After that, you can turn to the internet for decorating ideas. <a href=\"https://www.pinterest.com/explore/tropical-party-decorations/\" target=\"_blank\">Pinterest</a> is a place many people find homemade decorating ideas and also find pictures that spark ideas on how to use and where to place the flair that you create or buy. Greens, yellows, and oranges tend to be used as a color palette and dark woods and large leafed plants or grass thatching are popular tropical trimmings.\r\n\r\nLarge floral patterns and tropical fruit can be decorations as the items themselves or in print on clothing or on a backdrop. This is a place where pineapples can serve as more than a symbol of hospitality.\r\n<h2>Mood music</h2>\r\nIf you’ve got the ability to include music in your party, you can opt for some soft instrumental reggae or even simply the sounds of nature, like waves crashing gently on the beach. It doesn’t have to be loud to add to the effect, but if you’ve got the taste, sights, and smells covered, the sense of sound is one of the last to consider. Sure, you bring the beach to your backyard with truckloads of shells and beach sand to include the fifth sense, but the only thing people really want to “feel” is like they’ve been transported to the tropics and that probably doesn’t need to include having sand creep into clothing. It’ll also make clean up a lot easier!", "How to Host a Tropical-Themed Party at Home", "", "inherit", "closed", "closed", "", "854-revision-v1", "", "", "2016-10-01 06:42:40", "2016-10-01 06:42:40", "", "854", "http://buckspizza.com/uncategorized/854-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("856", "1", "2016-10-04 08:44:59", "2016-10-04 08:44:59", "", "how-to-host-a-tropical-themed-party-at-home", "", "inherit", "closed", "closed", "", "how-to-host-a-tropical-themed-party-at-home", "", "", "2016-10-04 08:45:14", "2016-10-04 08:45:14", "", "854", "http://buckspizza.com/wp-content/uploads/2016/09/How-to-Host-a-Tropical-Themed-Party-at-Home.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("858", "1", "2017-02-26 22:51:05", "2017-02-26 22:51:05", "<h2>Earn 20% to go to your group!</h2>\r\nAre you looking to do a Community Fundraiser in DuBois PA? Let Buck\'s Pizza help your organization or group raise money! Invite your family, friends and everyone in the community to dine in or carry out from Buck\'s Pizza in DuBois and Buck\'s will donate 20% of their pre-tax check! Best of all, it\'s an easy to manage fundraiser and we will help you organize your community fundraiser by picking the day or days and creating the flyers for you to pass out to supporters. Furthermore, you don\'t have to sell anything!\r\n<img class=\"aligncenter size-full wp-image-863\" src=\"http://buckspizza.com/wp-content/uploads/2016/10/community-fundraisers.png\" alt=\"community fundraiser in dubois pa\" />\r\n<h2>How does the Community Fundraiser work?</h2>\r\n<ul>\r\n 	<li>Contact us and we will help you organize a day or days on which your fundraiser will be held.</li>\r\n 	<li>We will provide your organization or group with a flyer for you to distribute to your family, friends and in the community.</li>\r\n 	<li>On the day of your fundraiser be sure to have your supporters present the flyer to our staff when ordering. They may select anything off of our Buck\'s Delicious Menu for this event.</li>\r\n 	<li>Lastly, after the fundraiser is over, Buck\'s will take the pre-tax totals and give your organization or group a check for 20% of the final total.</li>\r\n</ul>\r\n<h2>Some restrictions that we have are:</h2>\r\n<ul>\r\n 	<li>You may not use Gift Cards with this offer.</li>\r\n 	<li>You may not distribute the flyers at our Buck\'s location.</li>\r\n</ul>\r\nContact Josh Benton by calling (814) 371-3076 or by emailing josh@buckspizza.com about setting up a Community Fundraiser in DuBois PA! We will be more than happy to help you raise money for your organization or group.", "Community Fundraisers - DuBois, PA", "", "publish", "closed", "closed", "", "community-fundraiser-dubois-pa", "", "", "2017-02-26 22:51:05", "2017-02-26 22:51:05", "", "0", "http://buckspizza.com/?page_id=858", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("863", "1", "2016-10-17 18:15:43", "2016-10-17 18:15:43", "", "community-fundraisers", "", "inherit", "closed", "closed", "", "community-fundraisers", "", "", "2016-10-17 18:16:37", "2016-10-17 18:16:37", "", "858", "http://buckspizza.com/wp-content/uploads/2016/10/community-fundraisers.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("865", "1", "2016-11-06 16:01:10", "2016-11-06 16:01:10", "<h2>Earn 20% to go to your group!</h2>\r\nAre you looking to do a Community Fundraiser in Clearfield PA? Let Buck\'s Pizza help your organization or group raise money! Invite your family, friends and everyone in the community to dine in or carry out from Buck\'s Pizza in Clearfield and Buck\'s will donate 20% of their pre-tax check! Best of all, it\'s an easy to manage fundraiser and we will help you organize your community fundraiser by picking the day or days and creating the flyers for you to pass out to your supporters. Furthermore, you don\'t have to sell anything!\r\n<img class=\"aligncenter size-full wp-image-863\" src=\"http://buckspizza.com/wp-content/uploads/2016/10/community-fundraisers.png\" alt=\"community fundraiser in clearfield pa\" />\r\n<h2>How does the Community Fundraiser work?</h2>\r\n<ul>\r\n 	<li>Contact us and we will help you organize a day or days on which your fundraiser will be held.</li>\r\n 	<li>We will provide your organization or group with a flyer for you to distribute to your family, friends and in the community.</li>\r\n 	<li>On the day of your fundraiser be sure to have your supporters present the flyer to our staff when ordering. They may select anything off of our Buck\'s Delicious Menu for this event.</li>\r\n 	<li>Lastly, after the fundraiser is over, Buck\'s will take the pre-tax totals and give your organization or group a check for 20% of the final total.</li>\r\n</ul>\r\n<h2>Some restrictions that we have are:</h2>\r\n<ul>\r\n 	<li>You may not use Gift Cards with this offer.</li>\r\n 	<li>You may not distribute the flyers at our Buck\'s location.</li>\r\n</ul>\r\nContact Josh Benton by calling (814) 371-3076 or by emailing josh@buckspizza.com about setting up a Community Fundraiser in Clearfield PA! We will be more than happy to help you raise money for your organization or group.", "Community Fundraiser - Clearfield, PA", "", "publish", "closed", "closed", "", "community-fundraiser-clearfield-pa", "", "", "2016-11-07 15:02:03", "2016-11-07 15:02:03", "", "0", "http://buckspizza.com/?page_id=865", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("872", "1", "2016-10-19 14:21:51", "2016-10-19 14:21:51", "<iframe src=\"https://www.youtube.com/embed/Lyck2ND1CTk?rel=0\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n<h3><strong>This November, America has a choice and that choice is deliciously clear at Buck\'s Pizza!</strong></h3>\r\n&nbsp;\r\n<h2>\"Vote\" by ordering today! Call or sign up to use our easy Online Ordering</h2>\r\n<a href=\"https://secure.microworks.com/Bucks/\" target=\"_blank\"><img class=\"aligncenter wp-image-873 size-large\" src=\"http://buckspizza.com/wp-content/uploads/2016/10/bucks-online-ordering-700x156.png\" alt=\"bucks-online-ordering\" width=\"700\" height=\"156\" /></a>\r\n<h3><a href=\"http://buckspizza.com/dubois-pa/menu/\" target=\"_blank\">Buck\'s Pizza DuBois, PA Menu&gt;&gt;&gt;click here</a></h3>", "Vote for Buck\'s!", "", "publish", "closed", "closed", "", "vote-for-bucks", "", "", "2017-08-01 14:08:37", "2017-08-01 14:08:37", "", "54", "http://buckspizza.com/?page_id=872", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("873", "1", "2016-10-19 14:17:20", "2016-10-19 14:17:20", "", "bucks-online-ordering", "", "inherit", "closed", "closed", "", "bucks-online-ordering", "", "", "2016-10-19 14:17:20", "2016-10-19 14:17:20", "", "872", "http://buckspizza.com/wp-content/uploads/2016/10/bucks-online-ordering.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("877", "1", "2016-10-19 14:21:51", "2016-10-19 14:21:51", "<iframe src=\"https://www.youtube.com/embed/Lyck2ND1CTk?rel=0\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n<h3><strong>This November, America has a choice and that choice is deliciously clear at Buck\'s Pizza!</strong></h3>\r\n&nbsp;\r\n<h2>\"Vote\" by ordering today! Call or sign up to use our easy Online Ordering</h2>\r\n<a href=\"https://secure.microworks.com/Bucks/\" target=\"_blank\"><img class=\"aligncenter wp-image-873 size-large\" src=\"http://buckspizza.com/wp-content/uploads/2016/10/bucks-online-ordering-700x156.png\" alt=\"bucks-online-ordering\" width=\"700\" height=\"156\" /></a>\r\n<h3><a href=\"http://buckspizza.com/dubois-pa/menu/\" target=\"_blank\">Buck\'s Pizza DuBois, PA Menu&gt;&gt;&gt;click here</a></h3>", "Vote for Buck\'s!", "", "inherit", "closed", "closed", "", "872-revision-v1", "", "", "2016-10-19 14:21:51", "2016-10-19 14:21:51", "", "872", "http://buckspizza.com/uncategorized/872-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("878", "1", "2016-10-19 14:38:44", "2016-10-19 14:38:44", "<iframe src=\"https://www.youtube.com/embed/Lyck2ND1CTk?rel=0\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n<h3><strong>This November, America has a choice and that choice is deliciously clear at Buck\'s Pizza!</strong></h3>\r\n&nbsp;\r\n<h2>\"Vote\" by ordering today! Call or sign up to use our easy Online Ordering</h2>\r\n<a href=\"https://secure.microworks.com/Bucks/\" target=\"_blank\"><img class=\"aligncenter wp-image-873 size-large\" src=\"http://buckspizza.com/wp-content/uploads/2016/10/bucks-online-ordering-700x156.png\" alt=\"bucks-online-ordering\" width=\"700\" height=\"156\" /></a>\r\n<h3><a href=\"http://buckspizza.com/clearfield-pa/menu/\" target=\"_blank\">Buck\'s Pizza Clearfield, PA Menu&gt;&gt;&gt;click here</a></h3>", "Vote for Buck\'s", "", "publish", "closed", "closed", "", "vote-for-bucks", "", "", "2017-08-01 13:47:20", "2017-08-01 13:47:20", "", "52", "http://buckspizza.com/?page_id=878", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("880", "1", "2016-10-19 14:38:44", "2016-10-19 14:38:44", "<iframe src=\"https://www.youtube.com/embed/Lyck2ND1CTk?rel=0\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n<h3><strong>This November, America has a choice and that choice is deliciously clear at Buck\'s Pizza!</strong></h3>\r\n&nbsp;\r\n<h2>\"Vote\" by ordering today! Call or sign up to use our easy Online Ordering</h2>\r\n<a href=\"https://secure.microworks.com/Bucks/\" target=\"_blank\"><img class=\"aligncenter wp-image-873 size-large\" src=\"http://buckspizza.com/wp-content/uploads/2016/10/bucks-online-ordering-700x156.png\" alt=\"bucks-online-ordering\" width=\"700\" height=\"156\" /></a>\r\n<h3><a href=\"http://buckspizza.com/clearfield-pa/menu/\" target=\"_blank\">Buck\'s Pizza Clearfield, PA Menu&gt;&gt;&gt;click here</a></h3>", "Vote for Buck\'s", "", "inherit", "closed", "closed", "", "878-revision-v1", "", "", "2016-10-19 14:38:44", "2016-10-19 14:38:44", "", "878", "http://buckspizza.com/uncategorized/878-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("881", "1", "2016-10-20 18:36:23", "2016-10-20 18:36:23", "<h2 style=\"text-align: center;\">New at Clearfield: AmazWing Wingnesdays!</h2>\r\n<h3 style=\"text-align: center;\">Starting this Wed., Oct. 26th!</h3>\r\n<img class=\"aligncenter wp-image-882\" src=\"http://buckspizza.com/wp-content/uploads/2016/10/Hot-Thai-Buffalo-Ranch-with-Celery-60292-BP-4-12-06-0104-700x526.jpg\" alt=\"plate of wings at bucks pizza in clearfield pa\" width=\"558\" height=\"419\" />\r\n<p style=\"text-align: center;\"><strong>AmazWing Wingnesdays at Buck\'s Pizza in Clearfield, PA</strong></p>\r\n<p style=\"text-align: center;\"><strong>All Day on Wednesdays from open to close: 11am-9pm</strong></p>\r\n\r\n<h3>Jumbo Bone-In Wings only 60 cents each!*</h3>\r\nTender chicken wings covered in our lip-smackin’ sauces.\r\n<h3>Hand-breaded Boneless Wings only 40 cents each!</h3>\r\nBreaded chicken tender bites tossed in your favorite lip-smackin’ wing sauce.\r\n<b><em>*Messy faces allowed.</em></b>\r\n<h2>Choose any Buck\'s delicious mouth-watering sauces:</h2>\r\n<strong>Mild</strong>–All the buffalo flavor you love, without much heat.\r\n<strong>Medium</strong>–Not mild, not hot, just delicious.\r\n<strong>Hot</strong>–The same buffalo flavor, lots of heat.\r\n<strong>BBQ</strong>–Smoky, sweet and tangy.\r\n<strong>Spicy BBQ</strong>–Smoky, sweet and tangy, with a hot kick.\r\n<strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.\r\n<strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.\r\n<strong>Jamaican Jerk</strong>–Unique and rich island flavor.\r\n<strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.\r\n<strong>Teriyaki</strong>–Smooth, salty, sweet…addictive.\r\n<strong>Thai</strong>–A little soy, a little fruit, a pinch of onion, a ton of flavor.\r\n<strong>NEW: Roasted Garlic Parmesan</strong>\r\n\r\nGoes well with your favorite domestic or import beers, draft or bottle!\r\n\r\nPlenty of drink choices for kids! <em>Coca-Cola</em> Freestyle selections–90+ caffeine-free choices, 80+ unique brands, 70+ low or no-calorie choices, and 50+ non-carbonated choices - <strong>FREE REFILLS!</strong>\r\n\r\n<em>Please ask your server for our complete selection of Pennsylvania, California, Italian, Spanish, and French wines.</em>\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/menu/\" target=\"_blank\" rel=\"noopener\">Buck\'s Pizza Clearfield, PA Menu&gt;&gt;&gt;click here</a></h2>\r\nReserve your table through our No Wait App\r\n<a href=\"https://bnc.lt/get-in-line-with-nowait\" target=\"_blank\" rel=\"noopener\"><img src=\"http://buckspizza.com/wp-content/uploads/2016/09/nowait.png\" /></a>", "Wing Day Wednesdays", "", "private", "closed", "closed", "", "wing-day-wednesdays", "", "", "2017-10-25 20:55:10", "2017-10-25 20:55:10", "", "52", "http://buckspizza.com/?page_id=881", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("882", "1", "2016-10-20 18:25:26", "2016-10-20 18:25:26", "", "wings at bucks pizza", "", "inherit", "closed", "closed", "", "hot-thai-buffalo-ranch-with-celery-60292-bp-4-12-06-0104", "", "", "2016-10-20 18:25:51", "2016-10-20 18:25:51", "", "881", "http://buckspizza.com/wp-content/uploads/2016/10/Hot-Thai-Buffalo-Ranch-with-Celery-60292-BP-4-12-06-0104.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("906", "1", "2016-11-23 19:00:38", "2016-11-23 19:00:38", "<h4><a href=\"http://buckspizza.com/dubois-pa/menu/\">Menu</a>     <a href=\"http://buckspizza.com/community-fundraiser-dubois-pa/\" target=\"_blank\">Group Fundraisers </a> <strong>   </strong></h4>\r\n53 Industrial Drive\r\nDuBois, PA 15801\r\n<a href=\"tel:814-371-4500\">814-371-4500</a> (<em>Click to call from mobile devices</em>)\r\n\r\n<!--<img src=\"http://buckspizza.com/wp-content/uploads/2016/11/Small-Pizza-Wings-60292-BP-4-12-06-0177-700x526.jpg\" alt=\"small-pizza-wings-60292-bp-4-12-06-0177\" />-->\r\n<iframe src=\"https://www.youtube.com/embed/hkCI0EwJk6U\" width=\"600\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n<h2>What\'s for dinner tonight? Listen now!</h2>\r\n[audio mp3=\"http://buckspizza.com/wp-content/uploads/2016/11/Bucks-Pizza-Whats-for-Dinner-November-2016.mp3\"][/audio]\r\n\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/dubois-pa/menu/\">&gt;&gt;DuBois Menu&lt;&lt;</a></h2>\r\n&nbsp;\r\n<h3>Directions</h3>\r\n[map height=\"200\" width=\"350\" zoom=\"17\" color=\"#a30b32\" fullscreen=\"1\"]\r\n[pin icon=\"food\" center=\"1\" bounce=\"1\" directions=\"1\"]41.131238, -78.735662[/pin]\r\n[/map]\r\n<h4>Download our No Wait App</h4>\r\nWe’ll notify you with a text as soon as your table is ready. When you walk up to the host stand, you can walk right to your table.\r\n<a href=\"https://bnc.lt/get-in-line-with-nowait\" target=\"_blank\"><img src=\"http://buckspizza.com/wp-content/uploads/2016/09/nowait.png\" /></a>\r\n<div class=\"fb-follow\" data-href=\"https://www.facebook.com/buckspizza.dubois/\" data-width=\"600\" data-layout=\"standard\" data-size=\"large\" data-show-faces=\"true\"></div>\r\n<!-- Google Code for Remarketing Tag -->\r\n<!-------------------------------------------------- Remarketing tags may not be associated with personally identifiable information or placed on pages related to sensitive categories. See more information and instructions on how to setup the tag on: http://google.com/ads/remarketingsetup --------------------------------------------------->\r\n<script type=\"text/javascript\">\r\n/* <![CDATA[ */ var google_conversion_id = 1017806189; var google_custom_params = window.google_tag_params; var google_remarketing_only = true; /* ]]> */\r\n</script>\r\n<script type=\"text/javascript\" src=\"//www.googleadservices.com/pagead/conversion.js\">\r\n</script>\r\n<noscript>\r\n<div style=\"display:inline;\">\r\n<img height=\"1\" width=\"1\" style=\"border-style:none;\" alt=\"\" src=\"//googleads.g.doubleclick.net/pagead/viewthroughconversion/1017806189/?guid=ON&amp;script=0\"/></div>\r\n</noscript>", "DuBois, Pennsylvania fake", "", "draft", "closed", "closed", "", "", "", "", "2017-06-01 15:43:31", "2017-06-01 15:43:31", "", "0", "http://buckspizza.com/?page_id=906", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("918", "1", "2016-11-05 14:47:28", "2016-11-05 14:47:28", "<h4><a href=\"http://buckspizza.com/clearfield-pa/menu/\">Menu</a>     <a href=\"http://buckspizza.com/community-fundraiser-clearfield-pa/\" target=\"_blank\">Group Fundraisers </a> <strong>   </strong></h4>\r\n<h4><a href=\"http://buckspizza.com/clearfield-pa/wing-day-wednesdays/\">AmazWing Wingsnesdays</a></h4>\r\n3055 Park Place\r\nClearfield, PA 16830\r\n<a href=\"tel:814-765-7767\">814-765-7767</a> (<em>Click to call from mobile devices</em>)\r\n\r\n<!--<img src=\"http://buckspizza.com/wp-content/uploads/2016/11/Small-Pizza-Wings-60292-BP-4-12-06-0177-700x526.jpg\" alt=\"small-pizza-wings-60292-bp-4-12-06-0177\" />-->\r\n<iframe src=\"https://www.youtube.com/embed/hkCI0EwJk6U\" width=\"600\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n<h2>What\'s for dinner tonight? Listen now!</h2>\r\n[audio mp3=\"http://buckspizza.com/wp-content/uploads/2016/11/Bucks-Pizza-Whats-for-Dinner-November-2016.mp3\"][/audio]\r\n<br></br>\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/menu/\">&gt;&gt;Clearfield Menu&lt;&lt;</a></h2>\r\n&nbsp;\r\n<h3>Directions</h3>\r\n[map height=\"200\" width=\"350\" zoom=\"17\" color=\"#a30b32\" fullscreen=\"1\"]\r\n[pin icon=\"food\" center=\"1\" bounce=\"1\" directions=\"1\"]3055 Park Place Clearfield, PA 16830[/pin]\r\n[/map]\r\n<h4>Download our No Wait App</h4>\r\nWe’ll notify you with a text as soon as your table is ready. When you walk up to the host stand, you can walk right to your table.\r\n<a href=\"https://bnc.lt/get-in-line-with-nowait\" target=\"_blank\"><img src=\"http://buckspizza.com/wp-content/uploads/2016/09/nowait.png\" /></a>\r\n<div class=\"fb-follow\" data-href=\"https://www.facebook.com/buckspizza.clearfield/\" data-width=\"600\" data-layout=\"standard\" data-size=\"large\" data-show-faces=\"true\"></div>\r\n<!-- Google Code for Remarketing Tag -->\r\n<!-------------------------------------------------- Remarketing tags may not be associated with personally identifiable information or placed on pages related to sensitive categories. See more information and instructions on how to setup the tag on: http://google.com/ads/remarketingsetup --------------------------------------------------->\r\n<script type=\"text/javascript\">\r\n/* <![CDATA[ */ var google_conversion_id = 1017806189; var google_custom_params = window.google_tag_params; var google_remarketing_only = true; /* ]]> */\r\n</script>\r\n<script type=\"text/javascript\" src=\"//www.googleadservices.com/pagead/conversion.js\">\r\n</script>\r\n<noscript>&lt;/p&gt;\r\n&lt;div style=\"display:inline;\"&gt;\r\n&lt;img height=\"1\" width=\"1\" style=\"border-style:none;\" alt=\"\" src=\"//googleads.g.doubleclick.net/pagead/viewthroughconversion/1017806189/?guid=ON&amp;amp;script=0\"/&gt;&lt;/div&gt;\r\n&lt;p&gt;</noscript>", "Clearfield, Pennsylvania fake", "", "draft", "closed", "closed", "", "clearfield-pennsylvania-fake", "", "", "2017-06-01 15:43:23", "2017-06-01 15:43:23", "", "0", "http://buckspizza.com/?page_id=918", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("921", "1", "2016-11-04 19:29:59", "2016-11-04 19:29:59", "\"ð?4\". Genre: Other.", "ð?4", "", "inherit", "closed", "closed", "", "d4", "", "", "2016-11-04 19:30:11", "2016-11-04 19:30:11", "", "918", "http://buckspizza.com/wp-content/uploads/2016/11/Bucks-Pizza-Whats-for-Dinner-November-2016.mp3", "0", "attachment", "audio/mpeg", "0");
INSERT INTO `wp_posts` VALUES("937", "1", "2016-11-06 16:01:10", "2016-11-06 16:01:10", "<h2>Earn 20% to go to your group!</h2>\r\nAre you looking to do a Community Fundraiser in Clearfield PA? Let Buck\'s Pizza help your organization or group raise money! Invite your family, friends and everyone in the community to dine in or carry out from Buck\'s Pizza in Clearfield and Buck\'s will donate 20% of their pre-tax check! Best of all, it\'s an easy to manage fundraiser and we will help you organize your community fundraiser by picking the day or days and creating the flyers for you to pass out to your supporters. Furthermore, you don\'t have to sell anything!\r\n<img class=\"aligncenter size-full wp-image-863\" src=\"http://buckspizza.com/wp-content/uploads/2016/10/community-fundraisers.png\" alt=\"community fundraiser in clearfield pa\" />\r\n<h2>How does the Community Fundraiser work?</h2>\r\n<ul>\r\n 	<li>Contact us and we will help you organize a day or days on which your fundraiser will be held.</li>\r\n 	<li>We will provide your organization or group with a flyer for you to distribute to your family, friends and in the community.</li>\r\n 	<li>On the day of your fundraiser be sure to have your supporters present the flyer to our staff when ordering. They may select anything off of our Buck\'s Delicious Menu for this event.</li>\r\n 	<li>Lastly, after the fundraiser is over, Buck\'s will take the pre-tax totals and give your organization or group a check for 20% of the final total.</li>\r\n</ul>\r\n<h2>Some restrictions that we have are:</h2>\r\n<ul>\r\n 	<li>You may not use Gift Cards with this offer.</li>\r\n 	<li>You may not distribute the flyers at our Buck\'s location.</li>\r\n</ul>\r\nContact Josh Benton by calling (814) 371-3076 or by emailing josh@buckspizza.com about setting up a Community Fundraiser in Clearfield PA! We will be more than happy to help you raise money for your organization or group.", "Community Fundraiser - Clearfield, PA", "", "inherit", "closed", "closed", "", "865-revision-v1", "", "", "2016-11-06 16:01:10", "2016-11-06 16:01:10", "", "865", "http://buckspizza.com/uncategorized/865-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("938", "1", "2016-11-06 16:03:13", "2016-11-06 16:03:13", "<h2>Earn 20% to go to your group!</h2>\r\nAre you looking to do a Community Fundraiser in DuBois PA? Let Buck\'s Pizza help your organization or group raise money! Invite your family, friends and everyone in the community to dine in or carry out from Buck\'s Pizza in DuBois and Buck\'s will donate 20% of their pre-tax check! Best of all, it\'s an easy to manage fundraiser and we will help you organize your community fundraiser by picking the day or days and creating the flyers for you to pass out to supporters. Furthermore, you don\'t have to sell anything!\r\n<img class=\"aligncenter size-full wp-image-863\" src=\"http://buckspizza.com/wp-content/uploads/2016/10/community-fundraisers.png\" alt=\"community fundraiser in dubois pa\" />\r\n<h2>How does the Community Fundraiser work?</h2>\r\n<ul>\r\n 	<li>Contact us and we will help you organize a day or days on which your fundraiser will be held.</li>\r\n 	<li>We will provide your organization or group with a flyer for you to distribute to your family, friends and in the community.</li>\r\n 	<li>On the day of your fundraiser be sure to have your supporters present the flyer to our staff when ordering. They may select anything off of our Buck\'s Delicious Menu for this event.</li>\r\n 	<li>Lastly, after the fundraiser is over, Buck\'s will take the pre-tax totals and give your organization or group a check for 20% of the final total.</li>\r\n</ul>\r\n<h2>Some restrictions that we have are:</h2>\r\n<ul>\r\n 	<li>You may not use Gift Cards with this offer.</li>\r\n 	<li>You may not distribute the flyers at our Buck\'s location.</li>\r\n</ul>\r\nContact Josh Benton by calling (814) 371-3076 or by emailing josh@buckspizza.com about setting up a Community Fundraiser in DuBois PA! We will be more than happy to help you raise money for your organization or group.", "Community Fundraisers - DuBois, PA", "", "inherit", "closed", "closed", "", "858-revision-v1", "", "", "2016-11-06 16:03:13", "2016-11-06 16:03:13", "", "858", "http://buckspizza.com/uncategorized/858-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("939", "1", "2016-11-07 14:38:26", "0000-00-00 00:00:00", "<h1>Menu</h1>\r\n<h2>Menu</h2>\r\n<h3>Menu</h3>\r\n<h4><strong>Menu</strong></h4>\r\n<h5>Menu</h5>\r\n<h6>Menu</h6>", "headers", "", "draft", "closed", "closed", "", "", "", "", "2016-11-07 14:38:26", "2016-11-07 14:38:26", "", "0", "http://buckspizza.com/?page_id=939", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("941", "1", "2016-11-07 14:38:26", "2016-11-07 14:38:26", "<h1>Menu</h1>\r\n<h2>Menu</h2>\r\n<h3>Menu</h3>\r\n<h4><strong>Menu</strong></h4>\r\n<h5>Menu</h5>\r\n<h6>Menu</h6>", "headers", "", "inherit", "closed", "closed", "", "939-revision-v1", "", "", "2016-11-07 14:38:26", "2016-11-07 14:38:26", "", "939", "http://buckspizza.com/uncategorized/939-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("947", "1", "2016-11-07 15:00:04", "2016-11-07 15:00:04", "", "small-pizza-wings-60292-bp-4-12-06-0177", "", "inherit", "closed", "closed", "", "small-pizza-wings-60292-bp-4-12-06-0177", "", "", "2016-11-07 15:00:04", "2016-11-07 15:00:04", "", "918", "http://buckspizza.com/wp-content/uploads/2016/11/Small-Pizza-Wings-60292-BP-4-12-06-0177.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("955", "1", "2016-11-14 14:12:02", "2016-11-14 14:12:02", "<h4><a href=\"http://buckspizza.com/clearfield-pa/menu/\">Menu</a>     <a href=\"http://buckspizza.com/community-fundraiser-clearfield-pa/\" target=\"_blank\">Group Fundraisers </a> <strong>   </strong></h4>\r\n<h4><a href=\"http://buckspizza.com/clearfield-pa/wing-day-wednesdays/\">AmazWing Wingsnesdays</a></h4>\r\n3055 Park Place\r\nClearfield, PA 16830\r\n<a href=\"tel:814-765-7767\">814-765-7767</a> (<em>Click to call from mobile devices</em>)\r\n\r\n<!--<img src=\"http://buckspizza.com/wp-content/uploads/2016/11/Small-Pizza-Wings-60292-BP-4-12-06-0177-700x526.jpg\" alt=\"small-pizza-wings-60292-bp-4-12-06-0177\" />-->\r\n<iframe src=\"https://www.youtube.com/embed/hkCI0EwJk6U\" width=\"600\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n<h2>What\'s for dinner tonight? Listen now!</h2>\r\n[audio mp3=\"http://buckspizza.com/wp-content/uploads/2016/11/Bucks-Pizza-Whats-for-Dinner-November-2016.mp3\"][/audio]\r\n<br></br>\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/menu/\">&gt;&gt;Clearfield Menu&lt;&lt;</a></h2>\r\n&nbsp;\r\n<h3>Directions</h3>\r\n[map height=\"200\" width=\"350\" zoom=\"17\" color=\"#a30b32\" fullscreen=\"1\"]\r\n[pin icon=\"food\" center=\"1\" bounce=\"1\" directions=\"1\"]3055 Park Place Clearfield, PA 16830[/pin]\r\n[/map]\r\n<h4>Download our No Wait App</h4>\r\nWe’ll notify you with a text as soon as your table is ready. When you walk up to the host stand, you can walk right to your table.\r\n<a href=\"https://bnc.lt/get-in-line-with-nowait\" target=\"_blank\"><img src=\"http://buckspizza.com/wp-content/uploads/2016/09/nowait.png\" /></a>\r\n<div class=\"fb-follow\" data-href=\"https://www.facebook.com/buckspizza.clearfield/\" data-width=\"600\" data-layout=\"standard\" data-size=\"large\" data-show-faces=\"true\"></div>\r\n<!-- Google Code for Remarketing Tag -->\r\n<!-------------------------------------------------- Remarketing tags may not be associated with personally identifiable information or placed on pages related to sensitive categories. See more information and instructions on how to setup the tag on: http://google.com/ads/remarketingsetup --------------------------------------------------->\r\n<script type=\"text/javascript\">\r\n/* <![CDATA[ */ var google_conversion_id = 1017806189; var google_custom_params = window.google_tag_params; var google_remarketing_only = true; /* ]]> */\r\n</script>\r\n<script type=\"text/javascript\" src=\"//www.googleadservices.com/pagead/conversion.js\">\r\n</script>\r\n<noscript>&lt;/p&gt;\r\n&lt;div style=\"display:inline;\"&gt;\r\n&lt;img height=\"1\" width=\"1\" style=\"border-style:none;\" alt=\"\" src=\"//googleads.g.doubleclick.net/pagead/viewthroughconversion/1017806189/?guid=ON&amp;amp;script=0\"/&gt;&lt;/div&gt;\r\n&lt;p&gt;</noscript>", "Clearfield, Pennsylvania fake", "", "inherit", "closed", "closed", "", "918-revision-v1", "", "", "2016-11-14 14:12:02", "2016-11-14 14:12:02", "", "918", "http://buckspizza.com/uncategorized/918-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("960", "1", "2016-11-23 18:08:54", "2016-11-23 18:08:54", "", "bucks-amazwing-wingnesdays-flier-proof", "", "inherit", "closed", "closed", "", "bucks-amazwing-wingnesdays-flier-proof", "", "", "2016-11-23 18:08:54", "2016-11-23 18:08:54", "", "0", "http://buckspizza.com/wp-content/uploads/2016/11/Bucks-Amazwing-Wingnesdays-Flier-PROOF.pdf", "0", "attachment", "application/pdf", "0");
INSERT INTO `wp_posts` VALUES("964", "1", "2016-11-23 19:00:38", "2016-11-23 19:00:38", "<h4><a href=\"http://buckspizza.com/dubois-pa/menu/\">Menu</a>     <a href=\"http://buckspizza.com/community-fundraiser-dubois-pa/\" target=\"_blank\">Group Fundraisers </a> <strong>   </strong></h4>\r\n53 Industrial Drive\r\nDuBois, PA 15801\r\n<a href=\"tel:814-371-4500\">814-371-4500</a> (<em>Click to call from mobile devices</em>)\r\n\r\n<!--<img src=\"http://buckspizza.com/wp-content/uploads/2016/11/Small-Pizza-Wings-60292-BP-4-12-06-0177-700x526.jpg\" alt=\"small-pizza-wings-60292-bp-4-12-06-0177\" />-->\r\n<iframe src=\"https://www.youtube.com/embed/hkCI0EwJk6U\" width=\"600\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n<h2>What\'s for dinner tonight? Listen now!</h2>\r\n[audio mp3=\"http://buckspizza.com/wp-content/uploads/2016/11/Bucks-Pizza-Whats-for-Dinner-November-2016.mp3\"][/audio]\r\n\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/dubois-pa/menu/\">&gt;&gt;DuBois Menu&lt;&lt;</a></h2>\r\n&nbsp;\r\n<h3>Directions</h3>\r\n[map height=\"200\" width=\"350\" zoom=\"17\" color=\"#a30b32\" fullscreen=\"1\"]\r\n[pin icon=\"food\" center=\"1\" bounce=\"1\" directions=\"1\"]41.131238, -78.735662[/pin]\r\n[/map]\r\n<h4>Download our No Wait App</h4>\r\nWe’ll notify you with a text as soon as your table is ready. When you walk up to the host stand, you can walk right to your table.\r\n<a href=\"https://bnc.lt/get-in-line-with-nowait\" target=\"_blank\"><img src=\"http://buckspizza.com/wp-content/uploads/2016/09/nowait.png\" /></a>\r\n<div class=\"fb-follow\" data-href=\"https://www.facebook.com/buckspizza.dubois/\" data-width=\"600\" data-layout=\"standard\" data-size=\"large\" data-show-faces=\"true\"></div>\r\n<!-- Google Code for Remarketing Tag -->\r\n<!-------------------------------------------------- Remarketing tags may not be associated with personally identifiable information or placed on pages related to sensitive categories. See more information and instructions on how to setup the tag on: http://google.com/ads/remarketingsetup --------------------------------------------------->\r\n<script type=\"text/javascript\">\r\n/* <![CDATA[ */ var google_conversion_id = 1017806189; var google_custom_params = window.google_tag_params; var google_remarketing_only = true; /* ]]> */\r\n</script>\r\n<script type=\"text/javascript\" src=\"//www.googleadservices.com/pagead/conversion.js\">\r\n</script>\r\n<noscript>\r\n<div style=\"display:inline;\">\r\n<img height=\"1\" width=\"1\" style=\"border-style:none;\" alt=\"\" src=\"//googleads.g.doubleclick.net/pagead/viewthroughconversion/1017806189/?guid=ON&amp;script=0\"/></div>\r\n</noscript>", "DuBois, Pennsylvania fake", "", "inherit", "closed", "closed", "", "906-revision-v1", "", "", "2016-11-23 19:00:38", "2016-11-23 19:00:38", "", "906", "http://buckspizza.com/uncategorized/906-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("974", "1", "2017-02-07 16:19:03", "2017-02-07 16:19:03", "<img class=\"wp-image-975 alignleft\" src=\"http://buckspizza.com/wp-content/uploads/2017/02/217012_210016119017208_651122_n-700x700.jpg\" width=\"500\" height=\"500\" />\r\n<h3>1 Large Pizza with 1 regular topping for $10!</h3>\r\n<h3></h3>\r\n<h4>Hand-Tossed or Deep Dish\r\nDine-In Only\r\nOne offer per visit\r\nMay not be combined with any other offer.</h4>\r\n<h5><strong>To redeem show your server this page by phone or print out offer.</strong></h5>\r\n<h5></h5>\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n<h2>View our full <a href=\"http://buckspizza.com/dubois-pa/menu/\">menu</a> here!</h>", "Claim your deal now!", "", "publish", "closed", "closed", "", "gant10", "", "", "2017-07-31 14:05:26", "2017-07-31 14:05:26", "", "0", "http://buckspizza.com/?page_id=974", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("975", "1", "2017-02-07 15:30:10", "2017-02-07 15:30:10", "", "217012_210016119017208_651122_n", "", "inherit", "closed", "closed", "", "217012_210016119017208_651122_n", "", "", "2017-02-07 15:30:10", "2017-02-07 15:30:10", "", "974", "http://buckspizza.com/wp-content/uploads/2017/02/217012_210016119017208_651122_n.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1009", "1", "2017-02-07 20:43:14", "2017-02-07 20:43:14", "<img class=\"wp-image-975 alignleft\" src=\"http://buckspizza.com/wp-content/uploads/2017/02/217012_210016119017208_651122_n-700x700.jpg\" width=\"500\" height=\"500\" />\r\n<h3>1 Large Pizza with 1 regular topping for $10!</h3>\r\n<h3></h3>\r\n<h4>Hand-Tossed or Deep Dish\r\nDine-In Only\r\nOne offer per visit\r\nMay not be combined with any other offer.</h4>\r\n<h5><strong>To redeem show your server this page by phone or print out offer.</strong></h5>\r\n<h5></h5>\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n<h2>View our full <a href=\"http://buckspizza.com/dubois-pa/menu/\">menu</a> here!</h>", "Claim your deal now!", "", "inherit", "closed", "closed", "", "974-revision-v1", "", "", "2017-02-07 20:43:14", "2017-02-07 20:43:14", "", "974", "http://buckspizza.com/uncategorized/974-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1010", "1", "2017-02-07 20:43:46", "2017-02-07 20:43:46", "<img class=\"wp-image-975 alignleft\" src=\"http://buckspizza.com/wp-content/uploads/2017/02/217012_210016119017208_651122_n-700x700.jpg\" width=\"500\" height=\"500\" />\r\n<h3>1 Large Pizza with 1 regular topping for $10!</h3>\r\n<h3></h3>\r\n<h4>Hand-Tossed or Deep Dish\r\nDine-In Only\r\nOne offer per visit\r\nMay not be combined with any other offer.</h4>\r\n<h5><strong>To redeem show your server this page by phone or print out offer.</strong></h5>\r\n<h5></h5>\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n<h2>View our full <a href=\"http://buckspizza.com/dubois-pa/menu/\">menu</a> here!</h>", "Claim your deal now!", "", "inherit", "closed", "closed", "", "974-autosave-v1", "", "", "2017-02-07 20:43:46", "2017-02-07 20:43:46", "", "974", "http://buckspizza.com/uncategorized/974-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1011", "1", "2017-02-13 19:39:28", "2017-02-13 19:39:28", "<h4><strong><a href=\"https://secure.microworks.com/Bucks/\" target=\"_blank\">Online Ordering</a>    </strong></h4>\r\n12819 Highway 231 / 431 N\r\nHazel Green, AL 35750\r\n\r\n<a href=\"tel:256-829-0887\">256-829-0887</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[map height=\"500\" zoom=\"18\" color=\"#a30b32\" fullscreen=\"1\"]\r\n[pin icon=\"food\" center=\"1\" bounce=\"1\" directions=\"1\"]12819 Highway 231 Hazel Green, AL 35750[/pin]\r\n[/map]", "Hazel Green, Alabama", "", "inherit", "closed", "closed", "", "32-autosave-v1", "", "", "2017-02-13 19:39:28", "2017-02-13 19:39:28", "", "32", "http://buckspizza.com/uncategorized/32-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1020", "1", "2017-02-13 19:42:30", "2017-02-13 19:42:30", "<h4><strong><a href=\"https://secure.microworks.com/Bucks/\" target=\"_blank\">Online Ordering</a>    </strong></h4>\r\n802 N. Jackson Rd\r\nHidalgo, TX 78557\r\n\r\n<a href=\"tel:956-843-9899\">956-843-9899</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[map height=\"500\" zoom=\"18\" color=\"#a30b32\" fullscreen=\"1\"]\r\n[pin icon=\"food\" center=\"1\" bounce=\"1\" directions=\"1\"]26.105456,-98.220297[/pin]\r\n[/map]", "Hidalgo, Texas", "", "inherit", "closed", "closed", "", "70-autosave-v1", "", "", "2017-02-13 19:42:30", "2017-02-13 19:42:30", "", "70", "http://buckspizza.com/uncategorized/70-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1022", "1", "2017-02-13 19:43:07", "2017-02-13 19:43:07", "<h4><strong><a href=\"https://secure.microworks.com/Bucks/\" target=\"_blank\">Online Ordering</a>    </strong></h4>\r\n11540 Eagle Drive\r\nMont Belvieu, TX 77523\r\n\r\n<a href=\"tel:281-576-2825\">281-576-2825</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[map height=\"500\" zoom=\"18\" color=\"#a30b32\" fullscreen=\"1\"]\r\n[pin icon=\"food\" center=\"1\" bounce=\"1\" directions=\"1\"]11540 Eagle Drive Mont Belvieu, TX 77523[/pin]\r\n[/map]", "Mont Belvieu, Texas", "", "inherit", "closed", "closed", "", "76-autosave-v1", "", "", "2017-02-13 19:43:07", "2017-02-13 19:43:07", "", "76", "http://buckspizza.com/uncategorized/76-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1024", "1", "2017-03-14 14:00:42", "2017-03-14 14:00:42", "We have a fresh menu filled with pasta, wings, salads, sandwiches, desserts and let\'s not forget about the PIZZA! We have 24 hand crafted specialty pizzas for you to choose from or you can build your own! Our pizza is served at the peak of deliciousness for you to enjoy in our beautiful dining room.\r\n\r\nSome of our specialty pizzas include Buffalo Chicken, BBQ Chicken, Greek, and Hawaiian just to name a few. We also have a wide variety of beer and wine choices to pair with your meal! Check out our full menu of items and pizzas <a href=\"http://buckspizza.com/dubois-pa/menu/\">here</a>!\r\n\r\nWe have also been working on new appetizers, sandwiches, and wraps! So be sure to ask your server \"what\'s new\" for a full list. Taste the difference at Buck\'s Pizza!\r\n\r\nGOOD, BETTER, BUCKS!", "Best Pizza in DuBois", "", "publish", "closed", "closed", "", "best-pizza-dubois", "", "", "2017-08-04 15:56:26", "2017-08-04 15:56:26", "", "0", "http://buckspizza.com/?p=1024", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("1035", "1", "2017-03-08 16:41:45", "2017-03-08 16:41:45", "", "16427562_1417457514939723_8912656325702972260_n", "", "inherit", "closed", "closed", "", "16427562_1417457514939723_8912656325702972260_n", "", "", "2017-03-08 16:41:45", "2017-03-08 16:41:45", "", "1024", "http://buckspizza.com/wp-content/uploads/2017/03/16427562_1417457514939723_8912656325702972260_n.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1036", "1", "2017-03-08 18:46:43", "2017-03-08 18:46:43", "We have a fresh menu filled with pasta, wings, salads, sandwiches, desserts and let\'s not forget about the PIZZA! We have 24 hand crafted specialty pizzas for you to choose from or you can build your own! Our pizza is served at the peak of deliciousness for you to enjoy in our beautiful dining room.\r\n\r\nSome of our specialty pizzas include Buffalo Chicken, BBQ Chicken, Greek, and Hawaiian just to name a few. We also have a wide variety of beer and wine choices to pair with your meal! Check out our full menu of items and pizzas <a href=\"http://buckspizza.com/dubois-pa/menu/\">here</a>!\r\n\r\nWe have also been working on new appetizers, sandwiches, and wraps! So be sure to ask your server \"what\'s new\" for a full list. Taste the difference at Buck\'s Pizza!\r\n\r\nGOOD, BETTER, BUCKS!", "Best Pizza in DuBois", "", "inherit", "closed", "closed", "", "1024-revision-v1", "", "", "2017-03-08 18:46:43", "2017-03-08 18:46:43", "", "1024", "http://buckspizza.com/uncategorized/1024-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1037", "1", "2017-03-09 14:17:39", "2017-03-09 14:17:39", "<h2><a href=\"http://buckspizza.com/dubois-pa/\">Buck\'s Pizza in DuBois, PA (off Exit 97 or 101)</a></h2>\r\n<iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d12020.5999191102!2d-78.74428633282916!3d41.13125177928849!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x89ccf6a87056e33b%3A0xbc9afe71f426b930!2sBuck\'s+Pizza!5e0!3m2!1sen!2sus!4v1489079510136\" width=\"600\" height=\"450\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/\">Buck\'s Pizza in Clearfield, PA (off Exit 111 or 120)</a></h2>\r\n<iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d24079.16661730479!2d-78.4546434632418!3d41.027534979298835!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x89cc428595cd79c7%3A0x566402f96dd3e8d5!2sBuck\'s+Pizza!5e0!3m2!1sen!2sus!4v1489079582728\" width=\"600\" height=\"450\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>", "So close to I-80...", "", "publish", "closed", "closed", "", "i-80", "", "", "2017-07-31 14:53:18", "2017-07-31 14:53:18", "", "0", "http://buckspizza.com/?page_id=1037", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1041", "1", "2017-03-09 17:13:15", "2017-03-09 17:13:15", "<h2><a href=\"http://buckspizza.com/dubois-pa/\">Buck\'s Pizza in DuBois, PA (off Exit 97 or 101)</a></h2>\r\n<iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d12020.5999191102!2d-78.74428633282916!3d41.13125177928849!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x89ccf6a87056e33b%3A0xbc9afe71f426b930!2sBuck\'s+Pizza!5e0!3m2!1sen!2sus!4v1489079510136\" width=\"600\" height=\"450\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/\">Buck\'s Pizza in Clearfield, PA (off Exit 111 or 120)</a></h2>\r\n<iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d24079.16661730479!2d-78.4546434632418!3d41.027534979298835!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x89cc428595cd79c7%3A0x566402f96dd3e8d5!2sBuck\'s+Pizza!5e0!3m2!1sen!2sus!4v1489079582728\" width=\"600\" height=\"450\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>", "So close to I-80...", "", "inherit", "closed", "closed", "", "1037-revision-v1", "", "", "2017-03-09 17:13:15", "2017-03-09 17:13:15", "", "1037", "http://buckspizza.com/uncategorized/1037-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1042", "1", "2017-03-14 14:05:48", "2017-03-14 14:05:48", "We have a fresh menu filled with pasta, wings, salads, sandwiches, desserts and let\'s not forget about the PIZZA! We have 24 hand crafted specialty pizzas for you to choose from or you can build your own! Our pizza is served at the peak of deliciousness for you to enjoy in our beautiful dining room.\r\n\r\nSome of our specialty pizzas include Buffalo Chicken, BBQ Chicken, Greek, and Hawaiian just to name a few. We also have a wide variety of beer and wine choices to pair with your meal! Check out our full menu of items and pizzas <a href=\"http://buckspizza.com/dubois-pa/menu/\">here</a>!\r\n\r\nWe have also been working on new appetizers, sandwiches, and wraps! So be sure to ask your server \"what\'s new\" for a full list. Taste the difference at Buck\'s Pizza!\r\n\r\nGOOD, BETTER, BUCKS!", "Best Pizza in Clearfield", "", "publish", "closed", "closed", "", "best-pizza-clearfield", "", "", "2017-08-04 15:56:26", "2017-08-04 15:56:26", "", "0", "http://buckspizza.com/?p=1042", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("1043", "1", "2017-03-14 14:05:48", "2017-03-14 14:05:48", "We have a fresh menu filled with pasta, wings, salads, sandwiches, desserts and let\'s not forget about the PIZZA! We have 24 hand crafted specialty pizzas for you to choose from or you can build your own! Our pizza is served at the peak of deliciousness for you to enjoy in our beautiful dining room.\r\n\r\nSome of our specialty pizzas include Buffalo Chicken, BBQ Chicken, Greek, and Hawaiian just to name a few. We also have a wide variety of beer and wine choices to pair with your meal! Check out our full menu of items and pizzas <a href=\"http://buckspizza.com/dubois-pa/menu/\">here</a>!\r\n\r\nWe have also been working on new appetizers, sandwiches, and wraps! So be sure to ask your server \"what\'s new\" for a full list. Taste the difference at Buck\'s Pizza!\r\n\r\nGOOD, BETTER, BUCKS!", "Best Pizza in Clearfield", "", "inherit", "closed", "closed", "", "1042-revision-v1", "", "", "2017-03-14 14:05:48", "2017-03-14 14:05:48", "", "1042", "http://buckspizza.com/uncategorized/1042-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1045", "1", "2017-05-04 18:29:44", "2017-05-04 18:29:44", "", "Huge-IT First Slide.", "", "inherit", "closed", "closed", "", "huge-it-first-slide", "", "", "2017-05-04 18:29:44", "2017-05-04 18:29:44", "", "0", "http://buckspizza.com/huge-it-first-slide/", "0", "attachment", "jpg", "0");
INSERT INTO `wp_posts` VALUES("1046", "1", "2017-05-04 18:29:44", "2017-05-04 18:29:44", "", "Huge-IT Second Slide.", "", "inherit", "closed", "closed", "", "huge-it-second-slide", "", "", "2017-05-04 18:29:44", "2017-05-04 18:29:44", "", "0", "http://buckspizza.com/huge-it-second-slide/", "0", "attachment", "jpg", "0");
INSERT INTO `wp_posts` VALUES("1047", "1", "2017-05-04 18:29:44", "2017-05-04 18:29:44", "", "Huge-IT Third Slide.", "", "inherit", "closed", "closed", "", "huge-it-third-slide", "", "", "2017-05-04 18:29:44", "2017-05-04 18:29:44", "", "0", "http://buckspizza.com/huge-it-third-slide/", "0", "attachment", "jpg", "0");
INSERT INTO `wp_posts` VALUES("1048", "1", "2017-05-04 18:30:45", "2017-05-04 18:30:45", "<style>\r\n.testslider {z-index: 2; width: 100%; position: absolute !important; left: 0px !important; top 80px !important;}<br />\r\n.slider-title {width: auto !important; font-weight: bold; font-size: 32px !important;  color: white !important;}<br />\r\n.huge-it-caption {background: rgba(146, 6, 8, .8) !important;}<br />\r\n.huge-it-wrap img {height: auto !important; width: 50%;}<br />\r\n@media only screen and (max-width:768px){<br />\r\n.huge-it-wrap {height: auto !important;}<br />\r\n.huge-it-wrap img {height: auto !important;}<br />\r\n.huge-it-slider img {height: auto !important;}<br />\r\n}<br />\r\n</style>\r\n<div class=\"testslider\">[huge_it_slider id=\"1\"]</div>\r\n[STORE-LOCATOR]\r\n\r\n&nbsp;\r\n<div class=\"shortcode_section\">[survey id=2603186]</div>", "test page", "", "publish", "closed", "closed", "", "test-page", "", "", "2019-10-03 23:04:32", "2019-10-03 23:04:32", "", "0", "http://buckspizza.com/?page_id=1048", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1061", "1", "2017-05-15 19:43:51", "2017-05-15 19:43:51", "", "Home", "", "publish", "closed", "closed", "", "home", "", "", "2017-05-15 19:44:44", "2017-05-15 19:44:44", "", "0", "http://buckspizza.com/?p=1061", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("1079", "1", "2017-05-17 18:25:42", "2017-05-17 18:25:42", "", "BP_combined image (1)", "", "inherit", "closed", "closed", "", "bp_combined-image-1", "", "", "2017-05-17 18:25:42", "2017-05-17 18:25:42", "", "0", "http://buckspizza.com/wp-content/uploads/2017/05/BP_combined-image-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1080", "1", "2017-05-17 18:25:48", "2017-05-17 18:25:48", "", "Greek tight 50140_BP-2_18_05 136ccs (1)", "", "inherit", "closed", "closed", "", "greek-tight-50140_bp-2_18_05-136ccs-1", "", "", "2017-05-17 18:25:48", "2017-05-17 18:25:48", "", "0", "http://buckspizza.com/wp-content/uploads/2017/05/Greek-tight-50140_BP-2_18_05-136ccs-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1100", "1", "2017-05-31 14:58:04", "2017-05-31 14:58:04", " [STORE-LOCATOR]\r\n<h2>Alabama</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/hazelgreen-al/\">Hazel Green</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/mobile-al/\">Mobile</a></li>\r\n</ul>\r\n<h2>Georgia</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/peachtreecity-ga/\">Peachtree City</a></li>\r\n</ul>\r\n<h2>Minnesota</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/buffalo-mn/\">Buffalo</a></li>\r\n</ul>\r\n<h2>New York</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/gloversville-ny/\">Gloversville</a></li>\r\n</ul>\r\n<h2>North Carolina</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/morganton-nc/\">Morganton</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/tryon-nc/\">Tryon</a></li>\r\n</ul>\r\n<h2>Pennsylvania</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/clearfield-pa/\">Clearfield</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/dubois-pa/\">DuBois</a></li>\r\n</ul>\r\n<h2>South Carolina</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/charleston-sc/\">Charleston</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/lexington-sc/\">Lexington</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/walterboro-sc/\">Walterboro</a></li>\r\n</ul>\r\n<h2>Texas</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/clearlake-tx/\">Clear Lake</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/hidalgo-tx/\">Hidalgo</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/mission-tx/\">Mission</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/montbelvieu-tx/\">Mont Belvieu</a></li>\r\n</ul>\r\n<h2>West Virginia</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/nitro-wv/\">Nitro</a></li>\r\n</ul>\r\n<h2>Wisconsin</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/antigo-wi/\">Antigo</a></li>\r\n</ul>", "Locations", "", "inherit", "closed", "closed", "", "11-autosave-v1", "", "", "2017-05-31 14:58:04", "2017-05-31 14:58:04", "", "11", "http://buckspizza.com/uncategorized/11-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1102", "1", "2017-05-31 17:59:34", "2017-05-31 17:59:34", "<h2><a href=\"http://buckspizza.com/dubois-pa/\">Buck\'s Pizza in DuBois, PA (click here for menu)</a></h2>\r\n<iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d12020.5999191102!2d-78.74428633282916!3d41.13125177928849!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x89ccf6a87056e33b%3A0xbc9afe71f426b930!2sBuck\'s+Pizza!5e0!3m2!1sen!2sus!4v1489079510136\" width=\"600\" height=\"450\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/\">Buck\'s Pizza in Clearfield, PA (click here for menu)</a></h2>\r\n<iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d24079.16661730479!2d-78.4546434632418!3d41.027534979298835!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x89cc428595cd79c7%3A0x566402f96dd3e8d5!2sBuck\'s+Pizza!5e0!3m2!1sen!2sus!4v1489079582728\" width=\"600\" height=\"450\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>", "DuBois and Clearfield", "", "publish", "closed", "closed", "", "dubois-and-clearfield", "", "", "2017-05-31 18:00:09", "2017-05-31 18:00:09", "", "0", "http://buckspizza.com/?page_id=1102", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1104", "1", "2017-05-31 18:00:09", "2017-05-31 18:00:09", "<h2><a href=\"http://buckspizza.com/dubois-pa/\">Buck\'s Pizza in DuBois, PA (click here for menu)</a></h2>\r\n<iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d12020.5999191102!2d-78.74428633282916!3d41.13125177928849!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x89ccf6a87056e33b%3A0xbc9afe71f426b930!2sBuck\'s+Pizza!5e0!3m2!1sen!2sus!4v1489079510136\" width=\"600\" height=\"450\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/\">Buck\'s Pizza in Clearfield, PA (click here for menu)</a></h2>\r\n<iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d24079.16661730479!2d-78.4546434632418!3d41.027534979298835!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x89cc428595cd79c7%3A0x566402f96dd3e8d5!2sBuck\'s+Pizza!5e0!3m2!1sen!2sus!4v1489079582728\" width=\"600\" height=\"450\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>", "DuBois and Clearfield", "", "inherit", "closed", "closed", "", "1102-revision-v1", "", "", "2017-05-31 18:00:09", "2017-05-31 18:00:09", "", "1102", "http://buckspizza.com/uncategorized/1102-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1200", "1", "2017-07-31 15:03:36", "2017-07-31 15:03:36", "", "Blog", "", "inherit", "closed", "closed", "", "13-revision-v1", "", "", "2017-07-31 15:03:36", "2017-07-31 15:03:36", "", "13", "http://buckspizza.com/uncategorized/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1202", "1", "2017-07-31 15:54:07", "2017-07-31 15:54:07", "Want to get in touch with us? Great! We\'d love to hear from you.\r\n\r\nUse the form below to contact us with questions or comments about our food, locations, or franchising opportunities, or just to tell us how awesome we are.\r\n\r\n[contact-form-7 id=\"340\" title=\"Main\"]\r\n<p style=\"text-align: center;\">Buck\'s Pizza® Franchising Corporation, Inc</p>\r\n<p style=\"text-align: center;\">P.O. Box 405\r\nDuBois, PA 15801\r\n(800) 310-8848</p>", "Contact", "", "inherit", "closed", "closed", "", "17-revision-v1", "", "", "2017-07-31 15:54:07", "2017-07-31 15:54:07", "", "17", "http://buckspizza.com/uncategorized/17-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1203", "1", "2017-07-31 18:02:46", "2017-07-31 18:02:46", "<h2>Buck\'s Famous Stix</h2>\r\nAdd bacon, banana peppers, or jalapeños to your stix–80¢ each, add extra cheese–$1.20\r\n\r\n<strong>Bread Stix</strong>–$2.99\r\n<em>12 per order, covered with butter and spices.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>12 per order, with icing</em>\r\n\r\n<strong>Cheese Stix</strong>–$3.99\r\n<em>12 per order, covered in melted cheese.</em>\r\n<h2>Fresh Baked Sandwiches</h2>\r\nServed on a fresh baked Italian Ciabatta bread roll. If you would like extra meat, please ask your server. Dressings: Italian, Ranch, Blue Cheese, Mayo and more. Just ask!\r\n\r\n<strong>Italian</strong>–sm. $4.99, lg. $7.49\r\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, and tomato and Italian dressing.</em>\r\n\r\n<strong>Vegi-Delite</strong>–sm. $3.99, lg. $7.49\r\n<em>A garden fresh delight with mushrooms, onion, green pepper, black olives, green olives, and sliced tomato and covered in provolone.</em>\r\n\r\n<strong>Steak</strong>–sm. $3.99, lg. $7.49\r\n<em>Real marinated, chipped USDA choice steak, mushrooms, onions, and green peppers smothered in provolone. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>CBS</strong>–sm. $3.99, lg. $7.49\r\n<em>Cheddar, bacon and real marinated USDA choice steak.</em>\r\n\r\n<strong>Turkey Club</strong>–sm. $3.99, lg. $7.49\r\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Baked Ham</strong>–sm. $3.99, lg. $7.49\r\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\r\n\r\n<strong>Turkey</strong>–sm. $3.99, lg. $7.49\r\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–sm. $3.99, lg. $7.49\r\n<em>Buck\'s boneless wings tossed in your choice of wing sauce, covered in melted provolone, and topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–sm. $4.99, lg. $8.49\r\n<em>Buck\'s delicious chicken tenders baked with our delicious tomato sauce and smothered in melted provolone.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–sm. $4.99, lg. $8.49\r\n<em>Delicious chicken covered in melted cheddar and sizzling bacon. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Meatball</strong>–sm. $3.99, lg. $7.49\r\n<em>Meatballs, pasta sauce, and melted mozzarella.</em>\r\n<h2>Salads</h2>\r\nWould you like blue cheese, anchovies, olives or another item added to your salad? Just ask your server. Dressings: Blue Cheese, Ranch, Fat Free Ranch, Caesar, Honey Mustard, Fat Free Raspberry Vinaigrette, Fat Free Italian, Italian, Greek, French\r\n\r\n<strong>Caesar Salad</strong>–sm. $4.49, lg. $7.49\r\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $5.49, lg. $9.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\r\n\r\n<strong>Spinach Salad</strong>–sm. $4.99, lg. $7.49\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\r\n\r\n<strong>Chef Salad</strong>–sm. $4.99, lg. $7.49\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\r\n\r\n<strong>Chicken Tender Salad</strong>–sm. $5.99, lg. $7.49\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\r\n\r\n<strong>Garden Salad</strong>–sm. $4.49, lg. $7.49\r\n<em>Romaine lettuce, cucumbers, red onion and tomato.</em>\r\n\r\n<strong>Greek Salad</strong>–sm. $5.99, lg. $7.49\r\n<em>Romaine lettuce, red onion, Kalamata olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n<h2>Tenders, Wings and Boneless Wings</h2>\r\nAdd blue cheese, ranch or any extra sauce–99¢ each, add celery–50¢\r\n<h3>Sauces</h3>\r\n<ul>\r\n	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n	<li><strong>Honey BBQ</strong>–Bar-bee-que! This one is a honey, honey.</li>\r\n</ul>\r\n<h3>Chicken Wings</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n<ul>\r\n	<li>Order 1 lb. of wing (1 flavor)–$7.49</li>\r\n</ul>\r\n<h3>Chicken Tenders</h3>\r\nGenuine southern fried chicken tenders so lightly breaded they will melt in your mouth.\r\n<ul>\r\n	<li>Order of 4–$4.99</li>\r\n	<li>Order of 8–$9.50</li>\r\n</ul>\r\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\r\nWant to Make Your Own Buck\'s Pizza at Home? Try our Take \'N Bake!\r\n\r\nChoose Hand-Tossed or Deep-Dish pizza! Gluten-free is available! Ask your server.\r\n<h3>Pizza or Stromboli</h3>\r\n<ul>\r\n	<li>Personal (2 slices)–$3.49</li>\r\n	<li>Small 9\" (4 slices)–$5.99</li>\r\n	<li>Medium 12\" (6 slices)–$8.99</li>\r\n	<li>Large 14\" (8 slices)–$9.99</li>\r\n	<li>X-Large 16\" (12 slices)–$10.99</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\nSmall 9\" 80¢ each, Medium 12\" $1.00 each, Large 14\" $1.50 each, X-Large 16\" $1.50 each\r\n<ul>\r\n	<li>Pepperoni</li>\r\n	<li>Ham</li>\r\n	<li>Mushrooms</li>\r\n	<li>Bacon</li>\r\n	<li>Spanish onions</li>\r\n	<li>Anchovies</li>\r\n	<li>Red onions</li>\r\n	<li>Hard Salami</li>\r\n	<li>Green pepper</li>\r\n	<li>Fresh Basil</li>\r\n	<li>Sausage</li>\r\n	<li>Minced garlic</li>\r\n	<li>Green olives</li>\r\n	<li>Fresh spinach</li>\r\n	<li>Black olives</li>\r\n	<li>Pepperoncinis</li>\r\n	<li>Pineapple</li>\r\n	<li>Canadian bacon</li>\r\n	<li>Jalapeños</li>\r\n	<li>Banana peppers</li>\r\n	<li>Roasted red peppers</li>\r\n	<li>Roma tomatoes</li>\r\n	<li>Ground beef</li>\r\n	<li>Kalamata olives</li>\r\n	<li>Fried onions</li>\r\n	<li>Fried sweet peppers with onions</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\nSmall 9\" $1.00 each, Medium 12\" $1.50 each, Large 14\" $2.00 each, X-Large 16\" $2.00 each\r\n<ul>\r\n	<li>Artichoke hearts</li>\r\n	<li>Fresh mozzarella</li>\r\n	<li>Chicken</li>\r\n	<li>USDA choice steak</li>\r\n	<li>Alfredo sauce</li>\r\n</ul>\r\n<h3>Extra Cheese</h3>\r\nSmall 9\" $1.00 each, Medium 12\" $1.80 each, Large 14\" $2.40 each, X-Large 16\" $2.85 each\r\n<ul>\r\n	<li>Extra mozzarella</li>\r\n	<li>Cheddar cheese</li>\r\n	<li>Feta cheese</li>\r\n</ul>\r\n<h2>Specialty Pizzas and Strombolis</h2>\r\n<h3>Superfino</h3>\r\n<strong>Buck\'s Deluxe</strong>–sm. $7.99, md. $12.99, lg. $15.99, xl. $17.99\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n\r\n<strong>5 Meat</strong>–sm. $7.99, md. $12.99, lg. $15.99, xl. $17.99\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n\r\n<strong>BBQ Chicken</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, mozzarella and aged cheddar.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\n<em>Your choice of Buck\'s mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella and chicken, all topped with sizzling bacon. Hang on to your hat!</em>\r\n\r\n<strong>CBS Special</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\n<em>Melted aged cheddar, sizzling bacon and chipped mouth watering USDA choice steak. Maybe we should call this one \'heaven-on-earth\'.</em>\r\n\r\n<strong>Vegi-Delite</strong>–sm. $7.99, md. $12.99, lg. $15.99, xl. $17.49\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\r\n\r\n<strong>Chicken Club (White Pizza)</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, Canadian bacon, red onion and bacon.</em>\r\n\r\n<strong>Greek (White Pizza)</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\n<em>A light garlic sauce, mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\n<em>We use ranch for the sauce, pile on the mozzarella, strips of grilled chicken breast, sizzling bacon and smother it all with aged cheddar cheese.</em>\r\n\r\n<strong>Margherita (White Pizza)</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n<h3>Bravo</h3>\r\n<strong>4 Cheese Medley</strong>–sm. $7.99, md. $12.99, lg. $15.99, xl. $17.99\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\r\n\r\n<strong>CBH Special</strong>–sm. $7.99, md. $12.99, lg. $15.99, xl. $17.99\r\n<em>Everything is better with bacon and this proves it. smoked ham, melted aged cheddar and sizzling bacon. Mmm good!</em>\r\n\r\n<strong>Italian (White Pizza)</strong>–sm. $7.99, md. $12.99, lg. $15.99, xl. $17.99\r\n<em>Garlic sauce, hard salami, smoked ham, fresh onions, green peppers and lots of mozzarella. The flavor really pops with the oven-baked hard salami!</em>\r\n<h3>Favorito</h3>\r\n<strong>Old World (White Pizza)</strong>–sm. $6.99, md. $10.99, lg. $12.99, xl. $14.99\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>–sm. $6.99, md. $10.99, lg. $12.99, xl. $14.99\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\r\n\r\n<strong>Hawaiian</strong>–sm. $6.99, md. $10.99, lg. $12.99, xl. $14.99\r\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\r\n\r\n<strong>Pepperoni Classic</strong>–sm. $6.99, md. $10.99, lg. $12.99, xl. $14.99\r\n<em>America\'s favorite pizza with an edge to edge layer of pepperoni and extra mozzarella cheese.</em>\r\n\r\n<strong>Sausage Classic</strong>–sm. $6.99, md. $10.99, lg. $12.99, xl. $14.99\r\n<em>Wake up your taste buds with lots of sausage and extra mozzarella.</em>\r\n\r\n<strong>Ham and Cheese</strong>–sm. $6.99, md. $10.99, lg. $12.99, xl. $14.99\r\n<em>What could be simpler or more delicious than smoked ham and melted mozzarella and aged cheddar?</em>\r\n<h3>Magnifico</h3>\r\n<strong>Steak \'N Cheese (White Pizza)</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\n<em>Our special light garlic sauce topped with real marinated chipped USDA choice steak, onions, green peppers, mushrooms and extra mozzarella cheese.</em>\r\n\r\n<strong>Spinach Alfredo</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon and lots of mozzarella.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with 100% mozzarella cheese.</em>\r\n\r\n<strong>Wild Buck</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\nIf you order \'everything-but-the-fish\' this is what you\'ll get. Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives and extra mozzarella...it\'s wild!\r\n\r\n<strong>Primo Italiano (White Pizza)</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $21.49\r\nGarlic sauce, hot sopressata, prosciutto, roasted red peppers, onions, black olives and lots of mozzarella.\r\n<h2>Sweet Treats</h2>\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing.</em>\r\n<h2>Beverages</h2>\r\n<strong>20 oz. Drinks</strong>–all 20 oz. drinks are priced at $1.89.", "Menu", "", "inherit", "closed", "closed", "", "191-revision-v1", "", "", "2017-07-31 18:02:46", "2017-07-31 18:02:46", "", "191", "http://buckspizza.com/uncategorized/191-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1205", "1", "2017-08-01 13:35:00", "2017-08-01 13:35:00", "<h2>Sides and Stix</h2>\r\n<strong>Cheese Stix</strong>–$5.99\r\n<em>with dipping sauce.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$4.99\r\n<em>with icing.</em>\r\n\r\n<strong>Bread Stix</strong>–$4.99\r\n<em>with dipping sauce.</em>\r\n<em>extra dipping sauce–50¢</em>\r\n\r\n<strong>French Fries</strong>–sm. $1.99, lg. $2.99\r\n<em>add bacon–sm. 50<em>¢, lg. $1.00</em></em>\r\n<em>add cheese–<em>sm. 70<em>¢, lg. $1.00\r\n</em></em></em>\r\n<strong>Fried Mozzarella Stix</strong>–$4.99\r\n<em>5 per order</em>\r\n\r\n<strong>Onion Rings</strong>–$4.99\r\n\r\n<strong>Dessert Pizza</strong>–$4.99, $5.99 (seasonal items)\r\n<em>Pineapple Cream Cheese</em>\r\n<em>Apple Cinnamon</em>\r\n<em>Ask about seasonal dessert pizzas</em>\r\n\r\n<strong>Jalapeño Poppers</strong>–$5.99\r\n<em>6 per order with ranch</em>\r\n<h2>Beverages</h2>\r\n<strong>Coke Products</strong>–2 lt. $2.69, 20 oz. $1.59\r\n\r\n<strong>Sweet Tea</strong>–1/2 gal. $1.75, 1 gal. $3.00\r\n<h2>Salads</h2>\r\n<strong>Garden Salad</strong>–sm. $3.49, lg. $5.99\r\n\r\n<strong>Chef Salad</strong>–sm. $4.99, lg. $8.99\r\n\r\n<strong>Caesar Salad</strong>–sm. $3.99, lg. $6.99\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $4.99, lg. $8.99\r\n\r\n<strong>Greek Salad</strong>–sm. $4.99, lg. $8.99\r\n\r\n<strong>Spinach Salad</strong>–sm. $4.99, lg. $8.99\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $4.99, lg. $8.99\r\n\r\n<strong>Chicken Tender Salad</strong>–sm. $4.99, lg. $8.99\r\n<h2>Tenders and Wings</h2>\r\n<h3>Sauces</h3>\r\n<ul>\r\n	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\r\n	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\r\n	<li><strong>Jamaican Jerk</strong>–Unique and rich island flavor.</li>\r\n	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\r\n	<li><strong>Teriyaki</strong>–Smooth, salty, sweet…addictive.</li>\r\n</ul>\r\n<h3>Chicken Wings</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n<ul>\r\n	<li>Order of 5 (1 flavor)–$4.74</li>\r\n	<li>Order of 10 (2 flavors)–$8.89</li>\r\n	<li>Order of 15 (3 flavors)–$12.89</li>\r\n	<li>Order of 20 (3 flavors)–$15.99</li>\r\n	<li>Order of 25 (3 flavors)–$18.99</li>\r\n	<li>Order of 50 (5 flavors)–$37.49</li>\r\n	<li>Order of 100 (5 flavors)–$65.99</li>\r\n</ul>\r\n<h3>Chicken Tenders</h3>\r\nJuicy chicken tenderloins breaded and cooked to perfection.\r\n<ul>\r\n	<li>Order of 4 (1 flavor)–$4.74</li>\r\n	<li>Order of 6 (1 flavor)–$6.79</li>\r\n	<li>Order of 8 (1 flavor)–$8.49</li>\r\n	<li>Order of 12 (2 flavors)–$11.79</li>\r\n	<li>Order of 15 (3 flavors)–$13.99</li>\r\n	<li>Order of 20 (3 flavors)–$17.99</li>\r\n	<li>Order of 25 (3 flavors)–$21.49</li>\r\n	<li>Order of 50 (5 flavors)–$38.99</li>\r\n	<li>Order of 100 (5 flavors)–$72.99</li>\r\n</ul>\r\n<strong>Chicken Tender Basket with Fries</strong> (toppings on fries extra)–sm. $5.99, lg. $10.99\r\n<h3>Boneless Wings</h3>\r\nGet your tenders tossed in your favorite lip-smackin\' sauces.\r\n<ul>\r\n	<li>Order of 4 (1 flavor)–$4.74</li>\r\n	<li>Order of 6 (1 flavor)–$6.79</li>\r\n	<li>Order of 8 (1 flavor)–$8.49</li>\r\n	<li>Order of 12 (2 flavors)–$11.79</li>\r\n	<li>Order of 15 (3 flavors)–$13.99</li>\r\n	<li>Order of 20 (3 flavors)–$17.99</li>\r\n	<li>Order of 25 (3 flavors)–$21.49</li>\r\n	<li>Order of 50 (5 flavors)–$38.99</li>\r\n	<li>Order of 100 (5 flavors)–$72.99</li>\r\n</ul>\r\n<h2>Hoagies</h2>\r\nOven-baked and served on a hoagie roll.\r\n\r\n<strong>Steak</strong>–6\" $4.74, 12\" $8.99\r\n<em>Steak, mushrooms, onions, melted cheese, lettuce and tomato.</em>\r\n\r\n<strong>Turkey Club</strong>–6\" $4.74, 12\" $8.99\r\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Italian–</strong>6\" $4.74, 12\" $8.99\r\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, tomato and Italian dressing.</em>\r\n\r\n<strong>Baked Ham</strong>–6\" $4.74, 12\" $8.99\r\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\r\n\r\n<strong>CBS</strong>–6\" $4.74, 12\" $8.99\r\n<em>Cheddar, bacon and steak.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–6\" $4.74, 12\" $8.99\r\n<em>Choice of grilled or fried chicken strips, topped with melted Mozzarella, Parmesan and a side of marinara.</em>\r\n\r\n<strong>Turkey</strong>–6\" $4.74, 12\" $8.99\r\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Chicken Tender</strong>–6\" $4.74, 12\" $8.99\r\n<em>Chicken tenders, melted cheese, lettuce and tomato.</em>\r\n<h2>Stromboli</h2>\r\npersonal $3.99, sm. 9\" $7.49, md. 12\" $11.99, lg. 14\" $14.99, xl. 16\" $18.49\r\n\r\nExtra dipping sauce 50¢\r\n\r\n<strong>Buck’s Pizza</strong><strong>\r\n</strong><em>Hand-tossed dough, Buck’s delicious pizza sauce &amp; 100% real cheese, add any of our pizza toppings at no extra charge. We fold it, top it with butter &amp; seasonings &amp; bake it.</em>\r\n\r\n<strong>Steak</strong><strong>\r\n</strong><em>Real marinated chipped steak, mushrooms, onions, green peppers and lots of mozzarella.</em>\r\n\r\n<strong>Ham &amp; Cheese</strong><strong>\r\n</strong><em>Baked ham, mozzarella and aged Cheddar.</em>\r\n\r\n<strong>Buck\'s Deluxe</strong><strong>\r\n</strong>A hearty combination of pepperoni, onions, mushrooms, sausage and green peppers.\r\n\r\n<strong>Vegi-Delite</strong><strong>\r\n</strong><em>A delicate combination of mushrooms, onions, tomatoes, green peppers, black and green olives and Mozzarella.</em>\r\n\r\n<strong>Meaty</strong><strong>\r\n</strong><em>Pepperoni, sausage, bacon, ham, ground beef and Mozzarella.</em>\r\n\r\n<strong>Italian</strong><strong>\r\n</strong><em>Ham, Salami, Onions, Green Peppers and Mozzarella.</em>\r\n\r\n<strong>CBS Special</strong><strong>\r\n</strong><em>Cheddar, bacon and steak.</em>\r\n<h2>Specialty Pizzas #1</h2>\r\n<strong>Pepperoni Classic</strong>–ps. $4.09, sm. $7.49, md. $11.99, lg. $14.99, xl. $17.49, bb. $20.99\r\n<em>An edge to edge layer of pepperoni &amp; extra mozzarella cheese.</em>\r\n\r\n<strong>Sausage Classic</strong>–ps. $4.09, sm. $7.49, md. $11.99, lg. $14.99, xl. $17.49, bb. $20.99\r\n<em>Wake up your taste buds with lots of sausage and extra mozzarella.</em>\r\n\r\n<strong>Hawaiian</strong>–ps. $4.09, sm. $7.49, md. $11.99, lg. $14.99, xl. $17.49, bb. $20.99\r\n<em>Generous portions of pineapple and Canadian bacon.</em>\r\n\r\n<strong>Old World (White Pizza)</strong>–ps. $4.09, sm. $7.49, md. $11.99, lg. $14.99, xl. $17.49, bb. $20.99\r\n<em>Our light garlic sauce, topped with Mozzarella, bacon &amp; sliced tomato.</em>\r\n<h2>Specialty Pizzas #2</h2>\r\n<strong>Buck\'s Deluxe</strong>–ps. $4.79, sm. $8.49, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>–ps. $4.79, sm. $8.49, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged Cheddar.</em>\r\n\r\n<strong>Vegi-Delite</strong>–ps. $4.79, sm. $8.49, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\r\n\r\n<strong>5 Meat</strong>–ps. $4.79, sm. $8.49, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n\r\n<strong>4 Cheese Medley</strong>–ps. $4.79, sm. $8.49, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>A bold blend of Cheddar, Mozzarella, Parmesan &amp; Feta.</em>\r\n\r\n<strong>Margherita (White Pizza)</strong>–ps. $4.79, sm. $8.49, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–ps. $4.79, sm. $8.49, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Your choice of Buck’s mild, medium or hot wing sauce with blue cheese dressings, mozzarella, chicken &amp; bacon.</em>\r\n<h2>Specialty Pizzas #3</h2>\r\n<strong>Steak \'N Cheese (White Pizza)</strong>–ps. $5.29, sm. $9.49, md. $15.99, lg. $20.99, xl. $24.49, bb. $28.99\r\n<em>Our special light garlic sauce topped with real marinated chipped  steak, onions, green peppers, mushrooms and extra Mozzarella cheese.</em>\r\n\r\n<strong>Greek (White Pizza)</strong>–ps. $5.29, sm. $9.49, md. $15.99, lg. $20.99, xl. $24.49, bb. $28.99\r\n<em>A light garlic sauce, Mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–ps. $5.29, sm. $9.49, md. $15.99, lg. $20.99, xl. $24.49, bb. $28.99\r\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with Mozzarella cheese.</em>\r\n\r\n<strong>BBQ Chicken</strong>–ps. $5.29, sm. $9.49, md. $15.99, lg. $20.99, xl. $24.49, bb. $28.99\r\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, Mozzarella and aged Cheddar.</em>\r\n\r\n<strong>Chicken Club (White Pizza)</strong>–ps. $5.29, sm. $9.49, md. $15.99, lg. $20.99, xl. $24.49, bb. $28.99\r\n<em>A light garlic sauce and Mozzarella cheese with chunks of marinated chicken, Canadian bacon, red onion and bacon.</em>\r\n\r\n<strong>Spinach Alfredo</strong>–ps. $5.29, sm. $9.49, md. $15.99, lg. $20.99, xl. $24.49, bb. $28.99\r\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon and extra Mozzarella.</em>\r\n<h2>Build-Your-Own Pizza</h2>\r\n<h3>Cheese Pizza</h3>\r\n<ul>\r\n	<li>Personal–$3.49</li>\r\n	<li>Small–$6.49</li>\r\n	<li>Medium–$9.99</li>\r\n	<li>Large–$11.69</li>\r\n	<li>X-Large–$13.99</li>\r\n	<li>Bellybuster–$16.99</li>\r\n</ul>\r\n<h3>Regular Toppings (price per topping)</h3>\r\nPersonal 30¢, Small 50¢, Medium $1.00, Large $1.50, X-Large $1.75, Bellybuster $2.00\r\n<ul>\r\n	<li>Pepperoni</li>\r\n	<li>Mushrooms</li>\r\n	<li>Fresh onions</li>\r\n	<li>Green peppers</li>\r\n	<li>Sausage</li>\r\n	<li>Roma tomatoes</li>\r\n	<li>Ham</li>\r\n	<li>Ground beef</li>\r\n	<li>Black</li>\r\n	<li>Black olives</li>\r\n	<li>Green olives</li>\r\n	<li>Pineapple</li>\r\n	<li>Canadian bacon</li>\r\n	<li>Jalapeños</li>\r\n	<li>Extra cheese</li>\r\n	<li>Banana peppers</li>\r\n</ul>\r\n<h3>Premium Toppings (price per topping)</h3>\r\nPersonal 60¢, Small $1.00, Medium $2.00, Large $3.00, X-Large $3.50, Bellybuster $4.00\r\n<ul>\r\n	<li>Artichoke</li>\r\n	<li>Feta cheese</li>\r\n	<li>Chicken</li>\r\n	<li>Steak</li>\r\n	<li>Fresh basil</li>\r\n</ul>", "Menu", "", "inherit", "closed", "closed", "", "187-revision-v1", "", "", "2017-08-01 13:35:00", "2017-08-01 13:35:00", "", "187", "http://buckspizza.com/uncategorized/187-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1206", "1", "2017-08-01 13:40:42", "2017-08-01 13:40:42", "<h2>Buck\'s Famous Stix</h2>\r\n<strong>Bread Stix</strong>–$4.99\r\n<em>12 per order, covered with butter and spices.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$5.99\r\n<em>12 per order, with icing</em>\r\n\r\n<strong>Cheese Stix</strong>–$5.99\r\n<em>12 per order, covered in melted cheese.</em>\r\n<h2>Side Items</h2>\r\n<strong>Boiled Peanuts</strong>–$4.00\r\n\r\n<strong>French Fries</strong>–$2.79\r\n<em>with Cheese–$3.99</em>\r\n<em>with Chili–$3.99</em>\r\n<em>with Cheese and Chili–$4.99</em>\r\n\r\n<strong>Nachos and Cheese</strong>–$4.99\r\n<em>with Chili–$5.99</em>\r\n<h2>Fresh Baked Hoagies</h2>\r\nServed on a toasted hoagie bun.\r\n\r\n<strong>Italian–</strong>6\" $6.99, 12\" $9.99\r\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, and tomato and Italian dressing.</em>\r\n\r\n<strong>Steak</strong>–6\" $6.99, 12\" $9.99\r\n<em>Real marinated, chipped USDA choice steak, mushrooms, onions, and green peppers smothered in provolone. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>CBS</strong>–6\" $6.99, 12\" $9.99\r\n<em>Cheddar, bacon and real marinated USDA choice steak.</em>\r\n\r\n<strong>Turkey Club</strong>–6\" $6.99, 12\" $9.99\r\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Baked Ham</strong>–6\" $6.99, 12\" $9.99\r\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\r\n\r\n<strong>Turkey</strong>–6\" $6.99, 12\" $9.99\r\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\r\n<h2>Salads</h2>\r\nDressings: Blue Cheese, Ranch, Fat Free Ranch, Caesar, Honey Mustard, Fat Free Raspberry Vinaigrette, Fat Free Italian, Italian, Greek, French\r\n\r\n<strong>Caesar Salad</strong>–sm. $4.99, lg. $7.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $5.99, lg. $8.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\r\n\r\n<strong>Spinach Salad</strong>–sm. $5.99, lg. $8.99\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\r\n\r\n<strong>Chef Salad</strong>–sm. $5.99, lg. $8.99\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\r\n\r\n<strong>Chicken Tender Salad</strong>–sm. $5.99, lg. $8.99\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\r\n\r\n<strong>Garden Salad</strong>–sm. $4.99, lg. $6.99\r\n<em>Romaine lettuce, cucumbers, red onion and tomato.</em>\r\n\r\n<strong>Greek Salad</strong>–sm. $5.99, lg. $8.99\r\n<em>Romaine lettuce, red onion, Kalamata olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n<h2>Tenders and Wings</h2>\r\nAdd blue cheese, ranch or any extra sauce–75¢ each\r\n<h3>Sauces</h3>\r\n<ul>\r\n	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\r\n	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\r\n	<li><strong>Jamaican Jerk</strong>–Unique and rich island flavor.</li>\r\n	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\r\n	<li><strong>Teriyaki</strong>–Smooth, salty, sweet…addictive.</li>\r\n	<li><strong>Honey Mustard</strong>–A hint of sweet and a lot of tang.</li>\r\n</ul>\r\n<h3>Chicken Tenders</h3>\r\nGenuine southern fried chicken tenders so lightly breaded they will melt in your mouth.\r\n<ul>\r\n	<li>Order of 4–$5.99</li>\r\n	<li>Order of 6–$7.99</li>\r\n	<li>Order of 8–$10.99</li>\r\n	<li>Order of 12–$13.99</li>\r\n	<li>Order of 15–$17.99</li>\r\n</ul>\r\n<h3>Chicken Wings</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n<ul>\r\n	<li>Order of 10–$8.99</li>\r\n	<li>Order of 15–$12.99</li>\r\n	<li>Order of 20–$16.78</li>\r\n	<li>Order of 25–$20.99</li>\r\n	<li>Order of 50–$39.79</li>\r\n	<li>Order of 100–$74.99</li>\r\n</ul>\r\n<h2>Stromboli</h2>\r\n<strong>Buck’s Pizza</strong>–sm. $9.49, md. $14.99, lg. $18.99, xl. $21.99<strong>\r\n</strong><em>Pizza Sauce, Mozzarella, Your Choice of Three Toppings</em>\r\n\r\n<strong>Steak</strong>–sm. $9.49, md. $14.99, lg. $18.99, xl. $21.99<strong>\r\n</strong><em>Steak, Mushrooms, Onions, Green Peppers, Mozzarella</em>\r\n\r\n<strong>Ham &amp; Cheese</strong>–sm. $9.49, md. $14.99, lg. $18.99, xl. $21.99<strong>\r\n</strong><em>Ham, Mozzarella, Cheddar</em>\r\n\r\n<strong>Vegi-Delite</strong>–sm. $9.49, md. $14.99, lg. $18.99, xl. $21.99<strong>\r\n</strong><em>Mushrooms, Onions, Tomatoes, Green Peppers, Black Olives, Green Olives, Mozzarella</em>\r\n\r\n<strong>Meaty</strong>–sm. $9.49, md. $14.99, lg. $18.99, xl. $21.99<strong>\r\n</strong><em>Pepperoni, Sausage, Bacon, Ham, Ground Beef, Mozzarella</em>\r\n\r\n<strong>CBS Special</strong>–sm. $9.49, md. $14.99, lg. $18.99, xl. $21.99<strong>\r\n</strong><em>Cheddar, Bacon, Steak</em>\r\n\r\n<strong>Italian</strong>–sm. $9.49, md. $14.99, lg. $18.99, xl. $21.99<strong>\r\n</strong><em>Ham, Salami, Onions, Green Peppers, Mozzarella</em>\r\n<h2>Build-Your-Own Pizza</h2>\r\n<ul>\r\n	<li>Small 9\" (4 slices)–$7.69</li>\r\n	<li>Medium 12\" (6 slices)–$10.79</li>\r\n	<li>Large 14\" (8 slices)–$13.69</li>\r\n	<li>X-Large 16\" (12 slices)–$15.79</li>\r\n	<li>Bellybuster 2\'x1\' (21 square slices)–$20.99</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\nSmall 9\" 75¢ each, Medium 12\" $1.00 each, Large 14\" $1.60 each, X-Large 16\" $1.75 each, Bellybuster 2\'x1\' $2.00\r\n<ul>\r\n	<li>Pepperoni</li>\r\n	<li>Ham</li>\r\n	<li>Mushrooms</li>\r\n	<li>Bacon</li>\r\n	<li>Yellow onions</li>\r\n	<li>Anchovies</li>\r\n	<li>Red onions</li>\r\n	<li>Hard Salami</li>\r\n	<li>Green pepper</li>\r\n	<li>Sausage</li>\r\n	<li>Green olives</li>\r\n	<li>Fresh spinach</li>\r\n	<li>Black olives</li>\r\n	<li>Banana peppers</li>\r\n	<li>Pineapple</li>\r\n	<li>Canadian bacon</li>\r\n	<li>Jalapeños</li>\r\n	<li>Roma tomatoes</li>\r\n	<li>Roasted red peppers</li>\r\n	<li>Roma tomatoes</li>\r\n	<li>Ground beef</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\nSmall 9\" $1.50 each, Medium 12\" $2.00 each, Large 14\" $3.00 each, X-Large 16\" $3.50 each, Bellybuster 1\'x2\' $4.00\r\n<ul>\r\n	<li>Artichoke hearts</li>\r\n	<li>Chicken</li>\r\n	<li>Steak</li>\r\n	<li>Feta cheese</li>\r\n</ul>\r\n<h2>Specialty Pizzas</h2>\r\n<strong>Buck\'s Deluxe</strong>–sm. $10.79, md. $14.99, lg. $19.99, xl. $22.99, bb. $28.99\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n\r\n<strong>5 Meat</strong>–sm. $10.79, md. $14.99, lg. $19.99, xl. $22.99, bb. $28.99\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n\r\n<strong>BBQ Chicken</strong>–sm. $11.99, md. $16.99, lg. $22.99, xl. $25.99, bb. $32.99\r\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, mozzarella and aged cheddar.</em>\r\n\r\n<strong>Vegi-Delite</strong>–sm. $10.79, md. $14.99, lg. $19.99, xl. $22.99, bb. $28.99\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\r\n\r\n<strong>Chicken Club (White Pizza)</strong>–sm. $11.99, md. $16.99, lg. $22.99, xl. $25.99, bb. $32.99\r\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, Canadian bacon, red onion and bacon.</em>\r\n\r\n<strong>Greek (White Pizza)</strong>–sm. $11.99, md. $16.99, lg. $22.99, xl. $25.99, bb. $32.99\r\n<em>A light garlic sauce, mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\r\n\r\n<strong>Margherita (White Pizza)</strong>–sm. $10.79, md. $14.99, lg. $19.99, xl. $22.99, bb. $28.99\r\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n\r\n<strong>4 Cheese Medley</strong>–sm. $10.79, md. $14.99, lg. $19.99, xl. $22.99, bb. $28.99\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\r\n\r\n<strong>Italian (White Pizza)</strong>–sm. $10.79, md. $14.99, lg. $19.99, xl. $22.99, bb. $28.99\r\n<em>Garlic sauce, hard salami, smoked ham, fresh onions, green peppers and lots of mozzarella. The flavor really pops with the oven-baked hard salami!</em>\r\n\r\n<strong>Old World (White Pizza)</strong>–sm. $8.99, md. $12.99, lg. $16.79, xl. $19.49, bb. $24.99\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>–sm. $10.79, md. $14.99, lg. $19.99, xl. $22.99, bb. $28.99\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\r\n\r\n<strong>Hawaiian</strong>–sm. $8.99, md. $12.99, lg. $16.79, xl. $19.49, bb. $24.99\r\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\r\n\r\n<strong>Pepperoni Classic</strong>–sm. $8.99, md. $12.99, lg. $16.79, xl. $19.49, bb. $24.99\r\n<em>America\'s favorite pizza with an edge to edge layer of pepperoni and extra mozzarella cheese.</em>\r\n\r\n<strong>Sausage Classic</strong>–sm. $8.99, md. $12.99, lg. $16.79, xl. $19.49, bb. $24.99\r\n<em>Wake up your taste buds with lots of sausage and extra mozzarella.</em>\r\n\r\n<strong>Ham and Cheese</strong>–sm. $8.99, md. $12.99, lg. $16.79, xl. $19.49, bb. $24.99\r\n<em>What could be simpler or more delicious than smoked ham and melted mozzarella and aged cheddar?</em>\r\n\r\n<strong>Steak \'N Cheese (White Pizza)</strong>–sm. $11.99, md. $16.99, lg. $22.99, xl. $25.99, bb. $32.99\r\n<em>Our special light garlic sauce topped with real marinated chipped USDA choice steak, onions, green peppers, mushrooms and extra mozzarella cheese.</em>\r\n\r\n<strong>Spinach Alfredo</strong>–sm. $11.99, md. $16.99, lg. $22.99, xl. $25.99, bb. $32.99\r\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon and lots of mozzarella.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–sm. $11.99, md. $16.99, lg. $22.99, xl. $25.99, bb. $32.99\r\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with 100% mozzarella cheese.</em>\r\n<h2>Beverages</h2>\r\n<strong>Sweet Tea</strong>–$1.95\r\n\r\n<strong>Fountain Beverage</strong>–$1.95\r\n\r\n<strong>Wine (Red or White) </strong>–$4.25\r\n\r\n<strong>Domestic Beer</strong>–$3.00\r\n\r\n<strong>Imported Beer</strong>–$4.00\r\n<h3></h3>", "Menu", "", "inherit", "closed", "closed", "", "161-revision-v1", "", "", "2017-08-01 13:40:42", "2017-08-01 13:40:42", "", "161", "http://buckspizza.com/uncategorized/161-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1207", "1", "2017-08-01 15:16:26", "2017-08-01 15:16:26", "<h2>Buck\'s Famous Stix</h2>\r\nAdd bacon, banana peppers, or jalapeños to your stix–$1.00 each\r\n\r\n<strong>Bread Stix</strong>–$3.99\r\n<em>12 per order, covered with butter &amp; spices.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>12 per order, with icing.</em>\r\n\r\n<strong>Cheese Stix</strong>–$4.99\r\n<em>12 per order, covered in melted cheese.</em>\r\n<h2>Fresh Baked Sandwiches</h2>\r\n6\" $4.99, 12\" $8.99\r\n\r\n<strong>Italian</strong>\r\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, tomato and Italian dressing.</em>\r\n\r\n<strong>Vegi-Delite\r\n</strong><em>A garden fresh delight with mushrooms, onion, green pepper, black olives, green olives, and sliced tomato and covered in mozzarella cheese.</em><strong>\r\n</strong>\r\n\r\n<strong>Steak\r\n</strong><em>Real marinated, chipped USDA choice steak, mushrooms, onions, and green peppers smothered in mozzarella cheese. Topped with lettuce and tomato &amp; with your choice of dressing.</em>\r\n\r\n<strong>CBS</strong>\r\n<em>Cheddar, bacon &amp; real marinated USDA choice steak.</em>\r\n\r\n<strong>Turkey Club</strong>\r\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Baked Ham</strong>\r\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\r\n\r\n<strong>Turkey</strong>\r\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Buffalo Chicken</strong>\r\n<em>Buck’s boneless wings tossed in your choice of wing sauce, covered in melted mozzarella cheese, and topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>\r\n<em>Delicious chicken covered in melted cheddar and sizzling bacon. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Meatball Classic</strong>\r\n<em>Meatballs covered in Buck’s blended pasta sauce, and plenty of melted mozzarella &amp; parmesan.</em>\r\n<h2>Salads</h2>\r\nDressings: Blue Cheese, Ranch, Caesar, Italian, Greek, Thousand Island\r\n\r\n<strong>Caesar Salad</strong>–sm. $3.99, lg. $6.49\r\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $4.99, lg. $7.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\r\n\r\n<strong>Spinach Salad</strong>–sm. $5.49, lg. $8.49\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\r\n\r\n<strong>Chef Salad</strong>–sm. $5.49, lg. $8.49\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\r\n\r\n<strong>Chicken Tender Salad</strong>–sm. $5.49, lg. $8.49\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\r\n\r\n<strong>Garden Salad</strong>–sm. $3.99, lg. $6.49\r\n<em>Romaine lettuce, cucumbers, red onion and tomato.</em>\r\n\r\n<strong>Greek Salad</strong>–sm. $5.49, lg. $8.49\r\n<em>Romaine lettuce, red onion, black olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n<h2>Tenders, Wings and Boneless Wings</h2>\r\nAdd blue cheese, ranch or any extra sauce–75¢ each\r\n<h3>13 Sauce Flavors</h3>\r\n<ul>\r\n	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\r\n	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\r\n	<li><strong>Jamaican Jerk</strong>–Unique and rich island flavor.</li>\r\n	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\r\n	<li><strong>Teriyaki</strong>–Smooth, salty, sweet…addictive.</li>\r\n	<li><strong>Thai</strong>–A little soy, a little fruit, a pinch of onion, a ton of flavor.</li>\r\n	<li><strong>Lemon Pepper</strong>–That spicy buttery lemon flavor.</li>\r\n	<li><strong>Garlic Parmesan</strong>–Cheesy, garlicky and buttery all wrapped in one.</li>\r\n</ul>\r\n<h3>Boneless Wings</h3>\r\nBreaded chicken tender bites tossed in your favorite lip-smackin’ wing sauce.\r\n<ul>\r\n	<li>Order of 10 (1 flavor)–$6.49</li>\r\n	<li>Order of 15 (1 flavor)–$8.49</li>\r\n	<li>Order of 20 (up to 2 flavors)–$10.99</li>\r\n	<li>Order of 25 (up to 2 flavors)–$13.49</li>\r\n</ul>\r\n<h3>Chicken Wings</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n<ul>\r\n	<li>Order of 5–$4.99</li>\r\n	<li>Order of 10–$7.99</li>\r\n	<li>Order of 15–$10.99</li>\r\n	<li>Order of 20–$13.99</li>\r\n	<li>Order of 25–$17.49</li>\r\n	<li>Order of 50–$33.49</li>\r\n	<li>Order of 100–$59.99</li>\r\n</ul>\r\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\r\n<ul>\r\n	<li>Personal 6” (2 slices)–$3.99</li>\r\n	<li>Small 10” (4 slices)–$4.99</li>\r\n	<li>Medium 12” (6 slices)–$6.99</li>\r\n	<li>Large 14” (8 slices)–$8.99</li>\r\n	<li>X-Large 16” (12 slices)–$11.24</li>\r\n	<li>BellyBuster 12” x 24” (21 Slices)–$14.99</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\n50¢ each per Personal &amp; Small, $1.00 each per Medium, $1.50 each per Large, $1.75 each per X-Large, $2.00 each per Belly Buster\r\n<ul>\r\n	<li>Pepperoni</li>\r\n	<li>Ham</li>\r\n	<li>Mushrooms</li>\r\n	<li>Bacon</li>\r\n	<li>Spanish onions</li>\r\n	<li>Anchovies</li>\r\n	<li>Red onions</li>\r\n	<li>Hard Salami</li>\r\n	<li>Green pepper</li>\r\n	<li>Fresh Basil</li>\r\n	<li>Sausage</li>\r\n	<li>Minced garlic</li>\r\n	<li>Green olives</li>\r\n	<li>Fresh spinach</li>\r\n	<li>Black olives</li>\r\n	<li>Pepperoncinis</li>\r\n	<li>Pineapple</li>\r\n	<li>Canadian bacon</li>\r\n	<li>Jalapeños</li>\r\n	<li>Banana peppers</li>\r\n	<li>Roasted red peppers</li>\r\n	<li>Roma tomatoes</li>\r\n	<li>Ground beef</li>\r\n	<li>Kalamata olives</li>\r\n	<li>Fried onions</li>\r\n	<li>Fried sweet peppers with onions</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\n$1.00 each per Personal, $1.50 each per Small, $2.25 each per Medium, $3.00 each per Large, $3.75 each per X-Large, $4.00 each per Belly Buster\r\n<ul>\r\n	<li>Artichoke hearts</li>\r\n	<li>Fresh mozzarella</li>\r\n	<li>Chicken</li>\r\n	<li>Hot sopressata</li>\r\n	<li>USDA choice steak</li>\r\n	<li>Prosciutto</li>\r\n	<li>Alfredo sauce</li>\r\n</ul>\r\n<h3>Extra Cheese</h3>\r\n50¢ each per Personal, 75¢ each per Small 9”, $1.15 each per Medium 12”, $1.60 each per Large 14”, $1.90 each per X-Large 16”,$2.00 each per Belly Buster\r\n<h2>Specialty Pizzas &amp; Strombolis</h2>\r\n<h3>Superfino</h3>\r\n<strong>Buck\'s Deluxe</strong>–ps. $5.49, sm. $6.69, md. $9.99, lg. $12.69, xl. $15.99\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n\r\n<strong>5 Meat</strong>–ps. $5.49, sm. $6.69, md. $9.99, lg. $12.69, xl. $15.99\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n\r\n<strong>BBQ Chicken</strong>–ps. $5.49, sm. $6.69, md. $9.99, lg. $12.69, xl. $15.99\r\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, mozzarella and aged cheddar.</em>\r\n\r\n<strong>Vegi-Delite</strong>–ps. $5.49, sm. $6.69, md. $9.99, lg. $12.69, xl. $15.99\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\r\n\r\n<strong>Chicken Club (White Pizza)</strong>–ps. $5.49, sm. $6.69, md. $9.99, lg. $12.69, xl. $15.99\r\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, Canadian bacon, red onion and bacon.</em>\r\n\r\n<strong>Greek (White Pizza)</strong>–ps. $5.49, sm. $6.69, md. $9.99, lg. $12.69, xl. $15.99\r\n<em>A light garlic sauce, mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\r\n\r\n<strong>Margherita (White Pizza)</strong>–ps. $5.49, sm. $6.69, md. $9.99, lg. $12.69, xl. $15.99\r\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n<h3>Bravo</h3>\r\n<strong>4 Cheese Medley</strong>–ps. $4.49, sm. $5.99, md. $8.49, lg. $10.69, xl. $12.99\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\r\n\r\n<strong>CBH Special</strong>–ps. $4.49, sm. $5.99, md. $8.49, lg. $10.69, xl. $12.99\r\n<em>Everything is better with bacon and this proves it. smoked ham, melted aged cheddar and sizzling bacon. Mmm good!</em>\r\n\r\n<strong>Italian (White Pizza)</strong>–ps. $4.49, sm. $5.99, md. $8.49, lg. $10.69, xl. $12.99\r\n<em>Garlic sauce, hard salami, smoked ham, fresh onions, green peppers and lots of mozzarella. The flavor really pops with the oven-baked hard salami!</em>\r\n<h3>Favorito</h3>\r\n<strong>Old World (White Pizza)</strong>–ps. $3.79, sm. $5.49, md. $7.49, lg. $9.79, xl. $12.49\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>–ps. $3.79, sm. $5.49, md. $7.49, lg. $9.79, xl. $12.49\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\r\n\r\n<strong>Hawaiian</strong>–ps. $3.79, sm. $5.49, md. $7.49, lg. $9.79, xl. $12.49\r\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\r\n\r\n<strong>Pepperoni Classic</strong>–ps. $3.79, sm. $5.49, md. $7.49, lg. $9.79, xl. $12.49\r\n<em>America\'s favorite pizza with an edge to edge layer of pepperoni and extra mozzarella cheese.</em>\r\n\r\n<strong>Sausage Classic</strong>–ps. $3.79, sm. $5.49, md. $7.49, lg. $9.79, xl. $12.49\r\n<em>Wake up your taste buds with lots of sausage and extra mozzarella.</em>\r\n\r\n<strong>Ham and Cheese</strong>–ps. $3.79, sm. $5.49, md. $7.49, lg. $9.79, xl. $12.49\r\n<em>What could be simpler or more delicious than smoked ham and melted mozzarella and aged cheddar?</em>\r\n<h3>Magnifico</h3>\r\n<strong>Steak \'N Cheese (White Pizza)</strong>–ps. $6.49, sm. $7.99, md. $11.99, lg. $15.49, xl. $19.99\r\n<em>Our special light garlic sauce topped with real marinated chipped USDA choice steak, onions, green peppers, mushrooms and extra mozzarella cheese.</em>\r\n\r\n<strong>Spinach Alfredo</strong>–ps. $6.49, sm. $7.99, md. $11.99, lg. $15.49, xl. $19.99\r\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon and lots of mozzarella.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–ps. $6.49, sm. $7.99, md. $11.99, lg. $15.49, xl. $19.99\r\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with 100% mozzarella cheese.</em>\r\n\r\n<strong>Wild Buck</strong>–ps. $6.49, sm. $7.99, md. $11.99, lg. $15.49, xl. $19.99\r\n<em>If you order ‘everything-but-the-fish’ this is what you’ll get. Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives and extra mozzarella...it’s wild!</em>\r\n<h2>Pasta Dishes</h2>\r\n<strong>Spaghetti &amp; Meatballs–</strong>sm. $4.99, lg. $7.99\r\n<em>A generous portion of spaghetti topped with meatballs and the best tomato pasta sauce you will find anywhere.</em>\r\n\r\n<strong>Fettuccine Alfredo</strong>–sm. $5.99, lg. $8.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–sm. $7.99, lg. $10.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce and with tender strips of grilled chicken.</em>\r\n<h2>Sweet Treats</h2>\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar &amp; served with icing</em>\r\n<h2>Beverages</h2>\r\n<strong>Coke Products</strong>–2 lt. $2.49, 16 oz. $1.39", "Menu", "", "inherit", "closed", "closed", "", "167-revision-v1", "", "", "2017-08-01 15:16:26", "2017-08-01 15:16:26", "", "167", "http://buckspizza.com/uncategorized/167-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1208", "1", "2017-08-01 15:51:04", "2017-08-01 15:51:04", "<h2>Buck\'s Famous Stix</h2>\r\nAdd bacon, banana peppers, or jalapeños to your stix–sm. 50¢, lg. 75¢\r\nAdd extra cheese–sm. 75¢, lg. $1.15\r\n\r\n<strong>Bread Stix</strong>–sm. $4.99, lg. $5.99\r\n\r\n<strong>Cinnamon Stix</strong>–sm. $4.99, lg. $5.99\r\n\r\n<strong>Cheese Stix</strong>–sm. $5.49, lg. $8.24\r\n<h2>Fresh Baked Sandwiches</h2>\r\nServed on 8\" white bread.\r\n\r\n<strong>Italian</strong>–$6.99\r\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, tomato and Italian dressing.</em>\r\n\r\n<strong>Vegi-Delite</strong>–$6.99<strong>\r\n</strong><em>A garden fresh delight with mushrooms, onion, green pepper, black olives, green olives, and sliced tomato and covered in mozzarella cheese.</em><strong>\r\n</strong>\r\n\r\n<strong>Steak</strong>–$6.99<strong>\r\n</strong><em>Real marinated, chipped USDA choice steak, mushrooms, onions, and green peppers smothered in mozzarella cheese. Topped with lettuce and tomato &amp; with your choice of dressing.</em>\r\n\r\n<strong>CBS</strong>–$6.99\r\n<em>Cheddar, bacon &amp; real marinated USDA choice steak.</em>\r\n\r\n<strong>Turkey Club</strong>–$6.99\r\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Baked Ham</strong>–$6.99\r\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\r\n\r\n<strong>Turkey</strong>–$6.99\r\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–$6.99\r\n<em>Buck’s boneless wings tossed in your choice of wing sauce, covered in melted mozzarella cheese, and topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–$6.99\r\n<em>Buck’s delicious chicken tenders baked with our delicious tomato sauce and smothered in melted provolone.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–$6.99\r\n<em>Delicious chicken covered in melted cheddar and sizzling bacon. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n<h2>Salads</h2>\r\nWould you like blue cheese, anchovies, olives or another item added to your salad? Just ask your server. Dressings: Blue Cheese, Ranch, Caesar, Honey Mustard, Italian, Greek.\r\n\r\n<strong>Caesar Salad</strong>–$5.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–$8.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\r\n\r\n<strong>Spinach Salad</strong>–$8.99\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\r\n\r\n<strong>Chef Salad</strong>–$8.99\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\r\n\r\n<strong>Boneless Chicken Salad</strong>–$8.99\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\r\n\r\n<strong>Garden Salad</strong>–$5.49\r\n<em>Romaine lettuce, cucumbers, red onion and tomato.</em>\r\n\r\n<strong>Greek Salad</strong>–$8.99\r\n<em>Romaine lettuce, red onion, black olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n<h2>Wings</h2>\r\n<h3>Sauces</h3>\r\n<ul>\r\n	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\r\n	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\r\n</ul>\r\n<h3>Boneless Wings</h3>\r\nBreaded chicken tender bites tossed in your favorite lip-smackin’ wing sauce.\r\n<ul>\r\n	<li>Order of 10 (1 flavor)–$5.99</li>\r\n	<li>Order of 15 (1 flavor)–$8.24</li>\r\n	<li>Order of 20 (up to 2 flavors)–$10.49</li>\r\n	<li>Order of 25 (up to 2 flavors)–$12.79</li>\r\n</ul>\r\n<h3>Chicken Wings</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n<ul>\r\n	<li>Order of 10 (1 flavor)–$8.75</li>\r\n	<li>Order of 15 (1 flavor)–$11.99</li>\r\n	<li>Order of 20 (up to 2 flavors)–$14.99</li>\r\n	<li>Order of 25 (up to 2 flavors)–$17.99</li>\r\n</ul>\r\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\r\nWant to Make Your Own Buck\'s Pizza at Home? Try our Take \'N Bake!\r\nChoose Hand-Tossed or Deep-Dish pizza! Gluten-free is available. Ask you server.\r\n<h3>Pizza or Stromboli</h3>\r\n<ul>\r\n	<li>Small 9”–$4.99</li>\r\n	<li>Medium 12”–$6.74</li>\r\n	<li>Large 14”–$8.49</li>\r\n	<li>X-Large 16”–$11.24</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\n50¢ each per Small 9\", 75¢ each per Medium 12\", $1.00 each per Large 14\", $1.25 each per X-Large 16\"\r\n<ul>\r\n	<li>Pepperoni</li>\r\n	<li>Ham</li>\r\n	<li>Mushrooms</li>\r\n	<li>Bacon</li>\r\n	<li>Spanish onions</li>\r\n	<li>Anchovies</li>\r\n	<li>Red onions</li>\r\n	<li>Hard Salami</li>\r\n	<li>Green pepper</li>\r\n	<li>Fresh Basil</li>\r\n	<li>Sausage</li>\r\n	<li>Minced garlic</li>\r\n	<li>Green olives</li>\r\n	<li>Fresh spinach</li>\r\n	<li>Black olives</li>\r\n	<li>Pepperoncinis</li>\r\n	<li>Pineapple</li>\r\n	<li>Canadian bacon</li>\r\n	<li>Jalapeños</li>\r\n	<li>Banana peppers</li>\r\n	<li>Roma tomatoes</li>\r\n	<li>Ground beef</li>\r\n	<li>Kalamata olives</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\n$1.50 each per Small 9\", $2.25 each per Medium 12\", $3.00 each per Large 14\", $3.75 each per X-Large 16\"\r\n<ul>\r\n	<li>Artichoke hearts</li>\r\n	<li>Chicken</li>\r\n	<li>USDA choice steak</li>\r\n	<li>Prosciutto</li>\r\n	<li>Alfredo sauce</li>\r\n</ul>\r\n<h3>Extra Cheese</h3>\r\n75¢ each per Small 9”, $1.15 each per Medium 12”, $1.50 each per Large 14”, $1.95 each per X-Large 16”\r\n<ul>\r\n	<li>Extra mozzarella</li>\r\n	<li>Cheddar cheese</li>\r\n	<li>Feta cheese</li>\r\n</ul>\r\n<h2>Specialty Pizzas &amp; Strombolis</h2>\r\n<h3>Superfino</h3>\r\n<strong>Buck\'s Deluxe–</strong>sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n\r\n<strong>5 Meat</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n\r\n<strong>BBQ Chicken</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, mozzarella and aged cheddar.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>Your choice of Buck’s mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella &amp; chicken, all topped with sizzling bacon. Hang on to your hat!</em>\r\n\r\n<strong>CBS Special</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24<strong>\r\n</strong><em>Melted aged cheddar, sizzling bacon and chipped mouth watering USDA choice steak. Maybe we should call this one ‘heaven-on-earth’.</em>\r\n\r\n<strong>Vegi-Delite</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\r\n\r\n<strong>Chicken Club (White Pizza)<strong>–</strong></strong>sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, Canadian bacon, red onion and bacon.</em>\r\n\r\n<strong>Greek (White Pizza)</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>A light garlic sauce, mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>We use ranch for the sauce, pile on the mozzarella, strips of grilled chicken breast, sizzling bacon and smother it all with aged cheddar cheese.</em>\r\n\r\n<strong>Margherita (White Pizza)</strong>–sm. $5.49, md. $8.24, lg. $10.99, xl. $13.74\r\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n<h3>Bravo</h3>\r\n<strong>4 Cheese Medley</strong>–sm. $5.49, md. $8.24, lg. $10.99, xl. $13.74\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\r\n\r\n<strong>CBH Special</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>Everything is better with bacon and this proves it. smoked ham, melted aged cheddar and sizzling bacon. Mmm good!</em>\r\n\r\n<strong>Italian (White Pizza)</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>Garlic sauce, hard salami, smoked ham, fresh onions, green peppers and lots of mozzarella. The flavor really pops with the oven-baked hard salami!</em>\r\n<h3>Favorito</h3>\r\n<strong>Old World (White Pizza)–</strong>sm. $4.99, md. $6.74, lg. $8.99, xl. $11.24\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>–sm. $5.49, md. $8.24, lg. $10.99, xl. $13.74\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\r\n\r\n<strong>Hawaiian</strong>–sm. $4.99, md. $6.74, lg. $8.99, xl. $11.24\r\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\r\n\r\n<strong>Ham and Cheese</strong>–sm. $5.49, md. $8.24, lg. $10.99, xl. $13.74\r\n<em>What could be simpler or more delicious than smoked ham &amp; melted mozzarella and aged cheddar?</em>\r\n<h3>Magnifico</h3>\r\n<strong>Steak \'N Cheese (White Pizza)</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>Our special light garlic sauce topped with real marinated chipped USDA choice steak, onions, green peppers, mushrooms and extra mozzarella cheese.</em>\r\n\r\n<strong>Spinach Alfredo</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon and lots of mozzarella.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–sm. $6.49, md. $9.74, lg. $12.99, xl. $16.24\r\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with 100% mozzarella cheese.</em>\r\n\r\n<strong>Wild Buck</strong>–sm. $7.99, md. $11.79, lg. $15.49, xl. $19.49\r\n<em>If you order ‘everything-but-the-fish’ this is what you’ll get. Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives and extra mozzarella...it’s wild!</em>\r\n<h2>Sweet Treats</h2>\r\n<strong>Cinnamon Stix</strong>–sm. $4.99, lg. $5.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar &amp; served with icing</em>\r\n<h2>Beverages</h2>\r\n<strong>Fresh Brewed Southern-Style Tea</strong>–child $1.39, adult $2.49\r\n\r\n<strong>Fountain Drinks</strong>–sm. $1.49, lg. $1.69\r\n\r\n<strong>Bottled Drinks</strong>–20 oz. $1.99, 2 liter $2.99", "Menu", "", "inherit", "closed", "closed", "", "179-revision-v1", "", "", "2017-08-01 15:51:04", "2017-08-01 15:51:04", "", "179", "http://buckspizza.com/uncategorized/179-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1209", "1", "2017-08-01 16:01:51", "2017-08-01 16:01:51", "<h2>Sides</h2>\r\n<p class=\"p1\"><strong>Wings (8 pc.)</strong>–$7.49\r\n<em>Mild, Medium, Hot, Honey BBQ or Lemon Pepper</em></p>\r\n<strong>Chicken Tenders (5 pc.)</strong>–$6.49\r\n\r\n<strong>Cheese Stix with Marinara</strong>–sm. $4.99, md. $6.99, lg. $9.99\r\n\r\n<strong>Bread Stix with Marinara</strong>–$4.99\r\n\r\n<strong>Cinnamon Stix with Icing</strong>–$4.99\r\n\r\n<strong>Pepperoni Bread with Marinara</strong>–$4.99, md. $6.99, lg. $9.99\r\n\r\n<strong>Can Coke Products</strong>–$0.85\r\n\r\n<strong>2 Liter Coke, Diet Coke or Sprite</strong>–$2.59\r\n\r\n<strong>Chips</strong>–$0.50\r\n<h2>Spaghetti (with Meatballs &amp; Garlic Bread)</h2>\r\n<strong>Spaghetti</strong>–sm. $4.99, lg.<strong> </strong>$7.99\r\n\r\n<strong>Xtra Meatball</strong>–50¢\r\n\r\n<strong>Xtra Garlic Bread</strong>–$1.00\r\n<h2>Salads</h2>\r\n<strong>Garden</strong>–sm. $4.99, lg. $6.49\r\n<em>Green leaf, cucumbers, tomato, red onion and carrots</em>\r\n\r\n<strong>Chef</strong>–sm. $5.99, lg. $8.99\r\n<em>Green leaf, cucumbers, tomato, red onion, carrots, cheddar, ham turkey and bacon</em>\r\n\r\n<strong>Caesar</strong>–sm. $4.99, lg. $6.99\r\n<em>Green leaf, Parmesan and croutons</em>\r\n\r\n<strong>Chicken Caesar</strong>–sm. $4.99, lg. $8.99\r\n<em>Green leaf, Parmesan, croutons and chicken</em>\r\n\r\n<strong>Greek Salad</strong>–sm. $5.99, lg. $10.99\r\n<em>Romaine lettuce, red onion, Kalamata olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n\r\n<strong>Spinach</strong>–sm. $5.99, lg. $8.99\r\n<em>Green leaf, cucumbers, tomato, red onion, black olives, green peppers, artichokes and feta</em>\r\n<h2><b>Stromboli (Up to 5 Toppings)</b></h2>\r\n<strong>6\"</strong>–$4.99 / <strong>9\"</strong>–$7.99 / <strong>12\"</strong>–$11.99 / <strong>Xtra Sauce</strong>–$0.50\r\n\r\n<strong>Create Your Own</strong>\r\n<em>Choose up to 5 Toppings</em>\r\n\r\n<strong>Steak</strong>\r\n<em>Steak, mushroom, onion, green pepper and cheese</em>\r\n\r\n<strong>Ham &amp; Cheese</strong>\r\n<em>Ham, mozzarella and cheddar</em>\r\n\r\n<strong>CBH</strong>\r\n<em>Cheddar, bacon and ham</em>\r\n\r\n<strong>CBS</strong>\r\n<em>Cheddar, bacon and steak</em>\r\n\r\n<strong>Meaty</strong>\r\n<em>Pepperoni, sausage, ham, beef, bacon and cheese</em>\r\n\r\n<strong>Italian</strong>\r\n<em>Ham, salami, onion, green peppers, onion and cheese</em>\r\n\r\n<strong>Veggie</strong>\r\n<em>Tomato, green peppers, onion, mushroom, black olives, green olives and cheese</em>\r\n\r\n<strong>BBQ</strong>\r\n<em>Chicken, bacon, red onion, mozzarella, cheddar and BBQ sauce</em>\r\n<h2>Oven Baked Subs</h2>\r\n6\"–$4.99, 12\"–$8.99\r\n\r\n<strong>Turkey</strong>\r\n<em>Turkey, cheese, lettuce and tomato</em>\r\n\r\n<strong>Ham</strong>\r\n<em>Ham, onion, cheese, lettuce and tomato</em>\r\n\r\n<b>CBS</b>\r\n<em>Cheddar, bacon and steak</em>\r\n\r\n<strong>Meatball</strong>\r\n<i>Meatballs, marinara, cheese and Parmesan</i>\r\n\r\n<strong>Chicken Tender</strong>\r\n<em>Chicken, cheese, lettuce and tomato</em>\r\n\r\n<strong>Steak</strong>\r\n<em>Steak, mushroom, onion, green peppers, cheese, lettuce and tomato</em>\r\n\r\n<strong>Italian</strong>\r\n<em>Ham, salami, onion, green peppers, cheese, lettuce, tomato and Italian dressing</em>\r\n\r\n<strong>Turkey Club</strong>\r\n<em>Turkey, ham, bacon, cheese, lettuce and tomato</em>\r\n\r\n<strong>Chicken Parmesan</strong>\r\n<em>Chicken, marinara and cheese</em>\r\n\r\n<strong>BBQ</strong>\r\n<em>Chicken, bacon, red onion, mozzarella, cheddar and BBQ sauce</em>\r\n\r\n<strong>CBR</strong>\r\n<em>Chicken, bacon, red onion, cheddar, ranch, lettuce and tomato</em>\r\n\r\n<strong>Veggie</strong>\r\n<i>Mushrooms, onion, green peppers, black olives, green olives, provolone, lettuce and tomato</i>\r\n<h2>Pizza</h2>\r\n<h3>Size</h3>\r\n<ul>\r\n	<li>Personal 6\"–$3.49</li>\r\n	<li>Small 9\"–$6.49</li>\r\n	<li>Medium 12\"–$9.99</li>\r\n	<li>Large 14\"–$11.99</li>\r\n	<li>X-Large 16\"–$13.99</li>\r\n	<li>Bellybuster 1\'x2\'–$17.99</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\nPersonal 6\" 55¢ each, Small 9\" $1.10 each, Medium 12\" $1.35 each, Large 14\" $1.65 each, X-Large 16\" $1.95 each, Bellybuster 1\'x2\' $2.50 each\r\n<ul>\r\n	<li>Pepperoni</li>\r\n	<li>Canadian Bacon</li>\r\n	<li>Ham</li>\r\n	<li>Ground Beef</li>\r\n	<li>Italian Sausage</li>\r\n	<li>Bacon</li>\r\n	<li>Fresh Mushrooms</li>\r\n	<li>Onions</li>\r\n	<li>Green Peppers</li>\r\n	<li>Red Onions</li>\r\n	<li>Black Olives</li>\r\n	<li>Green Olives</li>\r\n	<li>Pineapples</li>\r\n	<li>Spinach</li>\r\n	<li>Jalapeños</li>\r\n	<li>Roma Tomatoes</li>\r\n	<li>Banana Peppers</li>\r\n	<li>Extra Cheese</li>\r\n</ul>\r\n<h3>Premium Toppings (Count as Double)</h3>\r\nPersonal 6\" 55¢ each, Small 9\" $1.10 each, Medium 12\" $1.35 each, Large 14\" $1.65 each, X-Large 16\" $1.95 each, Bellybuster 1\'x2\' $2.50 each\r\n<ul>\r\n	<li>Chicken</li>\r\n	<li>Meatballs</li>\r\n	<li>Feta Cheese</li>\r\n	<li>Sun-Dried Tomatoes</li>\r\n	<li>Artichoke</li>\r\n	<li>Steak</li>\r\n</ul>\r\n<h2>Specialty Pizzas</h2>\r\n<strong>Pepperoni Classic</strong>–sm. $8.99, md. $11.99, lg. $14.99, xl. $17.49, bb. $21.99\r\n<em>Xtra pepperoni and xtra cheese</em>\r\n\r\n<strong>Sausage Classic</strong>–sm. $8.99, md. $11.99, lg. $14.99, xl. $17.49, bb. $21.99\r\n<em>Xtra sausage and xtra cheese</em>\r\n\r\n<strong>Hawaiian</strong>–sm. $8.99, md. $11.99, lg. $14.99, xl. $17.49, bb. $21.99\r\n<em>Pineapple and Canadian bacon</em>\r\n\r\n<strong>Old World</strong>–sm. $8.99, md. $11.99, lg. $14.99, xl. $17.49, bb. $21.99\r\n<i>Garlic sauce, tomatoes and bacon</i>\r\n\r\n<b>Buck\'s Deluxe</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Pepperoni, sausage, green pepper, onion and mushroom</em>\r\n\r\n<b>Bacon Cheeseburger</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Ground beef, bacon, mozzarella and cheddar</em>\r\n\r\n<b>Veggie</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Tomatoes, green pepper, onion, mushroom, black olives and green olives</em>\r\n\r\n<b>5 Meat</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Pepperoni, sausage, ground beef, ham and bacon</em>\r\n\r\n<b>Margherita</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Garlic sauce, tomatoes, fresh basil and xtra cheese</em>\r\n\r\n<b>4 Cheese Medley</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Mozzarella, cheddar, feta, and Parmesan</em>\r\n\r\n<b>Steak \'n Cheese</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Garlic butter, steak, green pepper, onion, mushroom and xtra cheese</em>\r\n\r\n<strong>4 Cheese Medley</strong>–sm. $7.39, md. $11.59, lg. $15.79, xl. $19.69\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\r\n\r\n<b>Greek</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Garlic butter, tomatoes, black olives, red onion, feta and artichokes</em>\r\n\r\n<b>Chicken Alfredo</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Alfredo sauce, chicken, bacon, red onion and xtra cheese</em>\r\n\r\n<b>Spinach Alfredo</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Alfredo sauce, spinach, tomatoes, bacon and xtra cheese</em>\r\n\r\n<b>Chicken Club</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Garlic sauce, Canadian bacon, chicken, red onion, bacon and xtra cheese</em>\r\n\r\n<b>BBQ</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Chicken, bacon, red onion, mozzarella, cheddar and BBQ sauce</em>\r\n\r\n<b>Buffalo</b>–sm. $9.99, md. $13.99, lg. $17.99, xl. $20.99, bb. $24.99\r\n<em>Chicken, bacon, red onion, mozzarella, cheddar and hot sauce</em>\r\n\r\n<strong>Super Buck\'s Deluxe</strong>–sm. $9.99, md. $15.99, lg. $19.99, xl. $23.99, bb. $28.99\r\n<em>Pepperoni, sausage, beef, ham, green pepper, onion, mushroom and black olives</em>", "Menu", "", "inherit", "closed", "closed", "", "185-revision-v1", "", "", "2017-08-01 16:01:51", "2017-08-01 16:01:51", "", "185", "http://buckspizza.com/uncategorized/185-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1210", "1", "2017-08-01 16:08:39", "2017-08-01 16:08:39", "What started as a vision for Lance Benton evolved into reality when Buck\'s Pizza Franchising Corporation, Inc. was born on September 16, 1994 in the picturesque town of Du Bois, Pennsylvania.\r\n\r\nShortly after our inception, our very first franchise was opened in Gloversville, New York. The restaurant started with four full-time employees, three of whom were family. After hard work and a lot of happy customers, the restaurant continues to earn an ever-growing and loyal customer base.\r\n\r\nSince the opening of our Gloversville franchise, we have continued growing into a strong network of successful franchises across America. We attribute the success of Buck’s Pizza to a solid business model with the flexibility to adapt to the needs of local communities. We believe one of the most important factors in our success is that we create a close-knit work environment and offer great food for families to enjoy together.\r\n\r\nDoes that sound like the kind of place you\'d like to eat? Then find our nearest <a href=\"http://buckspizza.com/locations/\">location</a> today!\r\n\r\n<img class=\"alignnone size-full wp-image-362\" src=\"http://buckspizza.com/wp-content/uploads/2015/06/bucks-entrance.jpg\" alt=\"Buck\'s Pizza\" />", "Our Story", "", "inherit", "closed", "closed", "", "15-revision-v1", "", "", "2017-08-01 16:08:39", "2017-08-01 16:08:39", "", "15", "http://buckspizza.com/uncategorized/15-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1212", "1", "2017-08-04 16:20:06", "2017-08-04 16:20:06", "<img class=\"alignleft wp-image-1239 size-full\" src=\"http://buckspizza.com/wp-content/uploads/2017/08/roma-tomatoes.jpg\" alt=\"\" width=\"340\" height=\"270\" />\r\nSome might look at their sauce as a problem and a cost and will buy a cheap, generic, and quick product to pass off as high quality. At Buck\'s, we care a lot about our ingredients and don\'t mind spending a little bit more money and time on making sure we are using the best ingredients. We will always use Fresh Tomatoes, Not From Concentrate.\r\n\r\nFor our sauce, Buck\'s Pizza at all of our locations uses a Roma tomato grown in the San Jauquin Valley in California. If you\'ve heard of San Marzano tomatoes from Italy, these are very similar but grown in the U.S. We buy our tomatoes from a family-owned company, just like Buck’s Pizza. And they\'re obsessed with the details of freshness and quality just like Buck’s Pizza. It\'s all about Time and Temperature, which we learned attending their Tomato University!\r\n\r\nWhen it comes to time, our tomatoes don\'t sit around. The tomatoes are harvested when perfectly ripe, and are immediately turned into sauce. We will always use fresh tomatoes too, not from concentrate. Our tomato partners say\r\n<blockquote>Avoid tomato products re-manufactured from concentrate because they are overexposed to flavor-damaging heat. Instead, look for tomato products which say “Packed From Fresh Tomatoes, Not From Concentrate” on the label. In the US., it is illegal to print \"Not From Concentrate\" on tomato product labels unless it is true!</blockquote>\r\nThe other reason why our sauce tastes so good is because of the detail to temperature. Between the two kinds of heat exposure, time and temperature, temperature is the most damaging. Therefore, our partners focus on a key goal of maximizing fresh flavor by minimizing heat intensity (cooking temperature).\r\n\r\nOur fresh, delicious sauce is a key ingredient not only in our pizza, but also for our pasta sauce, tomato soup, and even for our salsa.\r\n\r\nWe hope you enjoyed getting to know our tomatoes a little bit more. At Buck\'s Pizza, we will always be committed to using the best ingredients for you. Why do we care so much? There\'s a saying, quality products attract quality customers.", "Fresh Tomatoes, Not From Concentrate", "", "publish", "closed", "closed", "", "fresh-tomatoes", "", "", "2017-08-16 17:00:27", "2017-08-16 17:00:27", "", "0", "http://buckspizza.com/?p=1212", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("1218", "1", "2017-08-04 16:24:44", "2017-08-04 16:24:44", "", "TOMATOES", "", "inherit", "closed", "closed", "", "tomatoes", "", "", "2017-08-04 16:24:44", "2017-08-04 16:24:44", "", "1212", "http://buckspizza.com/wp-content/uploads/2017/08/TOMATOES.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1224", "1", "2017-09-07 18:33:19", "2017-09-07 18:33:19", "Just like our tomatoes, we will never use fake ingredients to save a buck and sacrifice quality at Buck\'s Pizza.  That holds true even for the smallest of details on our menu - including our olive oil!\r\n\r\nWe use an Extra Virgin Olive Oil made by Corto Olive Co. - the same great family who provide us with their special Roma tomatoes grown in the San Joaquin Valley\r\n\r\nOur customers love our extra virgin olive oil to use for dipping our <strong>Buck\'s Famous Bread Stix</strong> or drizzled on our <strong>Fresh Mozzarella and Tomato Salad</strong> - a delicious “Caprese Salad” with fresh tomato flavor combined with fresh mozzarella cheese and drizzled in our Corto extra virgin olive oil and balsamic vinegar.\r\n\r\nWhy do we go to great lengths when sourcing the finest, most delicious ingredients for our menu? Because we\'re not going to let our own family down, let along your family.\r\n\r\nCheck out this video below from Corto Olive Co.  Corto plants their olives in a grape vineyard style process where they\'ve changed the shapes of the trees so they have the ability to harvest the olives immediately at the peak of maturity when the olives are changing from green to violet.  Learn about their \"gentle picking fingers\"!\r\n\r\n<iframe src=\"https://player.vimeo.com/video/179131270?title=0&amp;byline=0&amp;portrait=0\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>", "Extra Virgin Olive Oil at the peak of freshness", "", "publish", "closed", "closed", "", "extra-virgin-olive-oil-peak-freshness", "", "", "2017-09-07 19:23:19", "2017-09-07 19:23:19", "", "0", "http://buckspizza.com/?p=1224", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("1228", "1", "2017-08-10 13:31:26", "2017-08-10 13:31:26", "Would you like to own a restaurant serving fresh mouthwatering food for families to enjoy together in Somerset, PA?\r\n\r\nThen a Buck\'s Pizza franchise might be the perfect business for you! A modest investment combined with our proven business model, exciting menu, and trusted brand has enabled dozens of franchisees achieve business success on their terms while helping local families enjoy fresh, tasty food together.\r\n<blockquote>Welcome to Good Family Food. Welcome to a Better Business Opportunity. Welcome to Buck’s Pizza!</blockquote>\r\n<h2>What does it take to get started?</h2>\r\nOwning a Buck\'s Pizza franchise is easier than you might think. You don\'t even need experience in the food service industry—franchises can be awarded to individuals who demonstrate the ability to manage day-to-day operations according to the franchise program guidelines. Our corporate office provides hands-on training, on-site delivery and set up of equipment, and will even assist you to arrange financing.\r\n\r\nOur support does not end once your Buck\'s Pizza franchise is up and running because we also offer ongoing support to help our franchisees continue to succeed.\r\n<h3>Franchise qualifications:</h3>\r\n<ul>\r\n 	<li>Strong work ethic</li>\r\n 	<li>Business acumen</li>\r\n 	<li>Retail space of 1200-5000 sq. ft.</li>\r\n 	<li>Investment of $163,450–$341,400</li>\r\n</ul>\r\n<h2>Interested in owning a Buck\'s Pizza Franchise in Somerset?</h2>\r\nUse the form below to contact us for more information about becoming a Buck\'s Pizza franchisee.\r\n\r\n[contact-form-7 id=\"346\" title=\"Franchise\"]", "Open a location in Somerset, PA!", "", "publish", "closed", "closed", "", "open-location-somerset-pa", "", "", "2017-08-10 13:42:07", "2017-08-10 13:42:07", "", "0", "http://buckspizza.com/?page_id=1228", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1229", "1", "2017-08-10 13:29:34", "2017-08-10 13:29:34", "Would you like to own a restaurant serving fresh mouthwatering food for families to enjoy together in Somerset, PA?\r\n\r\nThen a Buck\'s Pizza franchise might be the perfect business for you! A modest investment combined with our proven business model, exciting menu, and trusted brand has enabled dozens of franchisees achieve business success on their terms while helping local families enjoy fresh, tasty food together.\r\n<blockquote>Welcome to Good Family Food. Welcome to a Better Business Opportunity. Welcome to Buck’s Pizza!</blockquote>\r\n<h2>What does it take to get started?</h2>\r\nOwning a Buck\'s Pizza franchise is easier than you might think. You don\'t even need experience in the food service industry—franchises can be awarded to individuals who demonstrate the ability to manage day-to-day operations according to the franchise program guidelines. Our corporate office provides hands-on training, on-site delivery and set up of equipment, and will even assist you to arrange financing.\r\n\r\nOur support does not end once your Buck\'s Pizza franchise is up and running because we also offer ongoing support to help our franchisees continue to succeed.\r\n<h3>Franchise qualifications:</h3>\r\n<ul>\r\n 	<li>Strong work ethic</li>\r\n 	<li>Business acumen</li>\r\n 	<li>Retail space of 1200-5000 sq. ft.</li>\r\n 	<li>Investment of $163,450–$341,400</li>\r\n</ul>\r\n<h2>Interested in owning a Buck\'s Pizza Franchise in Somerset?</h2>\r\nUse the form below to contact us for more information about becoming a Buck\'s Pizza franchisee.\r\n\r\n[contact-form-7 id=\"346\" title=\"Franchise\"]", "Open a location in Somerset, PA!", "", "inherit", "closed", "closed", "", "1228-revision-v1", "", "", "2017-08-10 13:29:34", "2017-08-10 13:29:34", "", "1228", "http://buckspizza.com/uncategorized/1228-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1230", "1", "2017-08-10 13:43:32", "2017-08-10 13:43:32", "Would you like to own a restaurant serving fresh mouthwatering food for families to enjoy together in Bedford, PA?\r\n\r\nThen a Buck\'s Pizza franchise might be the perfect business for you! A modest investment combined with our proven business model, exciting menu, and trusted brand has enabled dozens of franchisees achieve business success on their terms while helping local families enjoy fresh, tasty food together.\r\n<blockquote>Welcome to Good Family Food. Welcome to a Better Business Opportunity. Welcome to Buck’s Pizza!</blockquote>\r\n<h2>What does it take to get started?</h2>\r\nOwning a Buck\'s Pizza franchise is easier than you might think. You don\'t even need experience in the food service industry—franchises can be awarded to individuals who demonstrate the ability to manage day-to-day operations according to the franchise program guidelines. Our corporate office provides hands-on training, on-site delivery and set up of equipment, and will even assist you to arrange financing.\r\n\r\nOur support does not end once your Buck\'s Pizza franchise is up and running because we also offer ongoing support to help our franchisees continue to succeed.\r\n<h3>Franchise qualifications:</h3>\r\n<ul>\r\n 	<li>Strong work ethic</li>\r\n 	<li>Business acumen</li>\r\n 	<li>Retail space of 1200-5000 sq. ft.</li>\r\n 	<li>Investment of $163,450–$341,400</li>\r\n</ul>\r\n<h2>Interested in owning a Buck\'s Pizza Franchise in Bedford?</h2>\r\nUse the form below to contact us for more information about becoming a Buck\'s Pizza franchisee.\r\n\r\n[contact-form-7 id=\"346\" title=\"Franchise\"]", "Open a location in Bedford, PA!", "", "publish", "closed", "closed", "", "open-location-bedford-pa", "", "", "2017-08-10 13:43:52", "2017-08-10 13:43:52", "", "0", "http://buckspizza.com/?page_id=1230", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1231", "1", "2017-08-10 13:43:32", "2017-08-10 13:43:32", "Would you like to own a restaurant serving fresh mouthwatering food for families to enjoy together in Bedford, PA?\r\n\r\nThen a Buck\'s Pizza franchise might be the perfect business for you! A modest investment combined with our proven business model, exciting menu, and trusted brand has enabled dozens of franchisees achieve business success on their terms while helping local families enjoy fresh, tasty food together.\r\n<blockquote>Welcome to Good Family Food. Welcome to a Better Business Opportunity. Welcome to Buck’s Pizza!</blockquote>\r\n<h2>What does it take to get started?</h2>\r\nOwning a Buck\'s Pizza franchise is easier than you might think. You don\'t even need experience in the food service industry—franchises can be awarded to individuals who demonstrate the ability to manage day-to-day operations according to the franchise program guidelines. Our corporate office provides hands-on training, on-site delivery and set up of equipment, and will even assist you to arrange financing.\r\n\r\nOur support does not end once your Buck\'s Pizza franchise is up and running because we also offer ongoing support to help our franchisees continue to succeed.\r\n<h3>Franchise qualifications:</h3>\r\n<ul>\r\n 	<li>Strong work ethic</li>\r\n 	<li>Business acumen</li>\r\n 	<li>Retail space of 1200-5000 sq. ft.</li>\r\n 	<li>Investment of $163,450–$341,400</li>\r\n</ul>\r\n<h2>Interested in owning a Buck\'s Pizza Franchise in Bedford?</h2>\r\nUse the form below to contact us for more information about becoming a Buck\'s Pizza franchisee.\r\n\r\n[contact-form-7 id=\"346\" title=\"Franchise\"]", "Open a location in Bedford, PA!", "", "inherit", "closed", "closed", "", "1230-revision-v1", "", "", "2017-08-10 13:43:32", "2017-08-10 13:43:32", "", "1230", "http://buckspizza.com/uncategorized/1230-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1239", "1", "2017-08-16 17:00:11", "2017-08-16 17:00:11", "", "roma tomatoes", "", "inherit", "closed", "closed", "", "roma-tomatoes", "", "", "2017-08-16 17:00:11", "2017-08-16 17:00:11", "", "1212", "http://buckspizza.com/wp-content/uploads/2017/08/roma-tomatoes.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1240", "1", "2017-08-16 17:00:27", "2017-08-16 17:00:27", "<img class=\"alignleft wp-image-1239 size-full\" src=\"http://buckspizza.com/wp-content/uploads/2017/08/roma-tomatoes.jpg\" alt=\"\" width=\"340\" height=\"270\" />\r\nSome might look at their sauce as a problem and a cost and will buy a cheap, generic, and quick product to pass off as high quality. At Buck\'s, we care a lot about our ingredients and don\'t mind spending a little bit more money and time on making sure we are using the best ingredients. We will always use Fresh Tomatoes, Not From Concentrate.\r\n\r\nFor our sauce, Buck\'s Pizza at all of our locations uses a Roma tomato grown in the San Jauquin Valley in California. If you\'ve heard of San Marzano tomatoes from Italy, these are very similar but grown in the U.S. We buy our tomatoes from a family-owned company, just like Buck’s Pizza. And they\'re obsessed with the details of freshness and quality just like Buck’s Pizza. It\'s all about Time and Temperature, which we learned attending their Tomato University!\r\n\r\nWhen it comes to time, our tomatoes don\'t sit around. The tomatoes are harvested when perfectly ripe, and are immediately turned into sauce. We will always use fresh tomatoes too, not from concentrate. Our tomato partners say\r\n<blockquote>Avoid tomato products re-manufactured from concentrate because they are overexposed to flavor-damaging heat. Instead, look for tomato products which say “Packed From Fresh Tomatoes, Not From Concentrate” on the label. In the US., it is illegal to print \"Not From Concentrate\" on tomato product labels unless it is true!</blockquote>\r\nThe other reason why our sauce tastes so good is because of the detail to temperature. Between the two kinds of heat exposure, time and temperature, temperature is the most damaging. Therefore, our partners focus on a key goal of maximizing fresh flavor by minimizing heat intensity (cooking temperature).\r\n\r\nOur fresh, delicious sauce is a key ingredient not only in our pizza, but also for our pasta sauce, tomato soup, and even for our salsa.\r\n\r\nWe hope you enjoyed getting to know our tomatoes a little bit more. At Buck\'s Pizza, we will always be committed to using the best ingredients for you. Why do we care so much? There\'s a saying, quality products attract quality customers.", "Fresh Tomatoes, Not From Concentrate", "", "inherit", "closed", "closed", "", "1212-revision-v1", "", "", "2017-08-16 17:00:27", "2017-08-16 17:00:27", "", "1212", "http://buckspizza.com/uncategorized/1212-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1245", "1", "2017-09-07 18:48:50", "2017-09-07 18:48:50", "", "olive oil", "", "inherit", "closed", "closed", "", "olive-oil", "", "", "2017-09-07 18:48:50", "2017-09-07 18:48:50", "", "1224", "http://buckspizza.com/wp-content/uploads/2017/09/olive-oil.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1247", "1", "2017-09-07 19:23:19", "2017-09-07 19:23:19", "Just like our tomatoes, we will never use fake ingredients to save a buck and sacrifice quality at Buck\'s Pizza.  That holds true even for the smallest of details on our menu - including our olive oil!\r\n\r\nWe use an Extra Virgin Olive Oil made by Corto Olive Co. - the same great family who provide us with their special Roma tomatoes grown in the San Joaquin Valley\r\n\r\nOur customers love our extra virgin olive oil to use for dipping our <strong>Buck\'s Famous Bread Stix</strong> or drizzled on our <strong>Fresh Mozzarella and Tomato Salad</strong> - a delicious “Caprese Salad” with fresh tomato flavor combined with fresh mozzarella cheese and drizzled in our Corto extra virgin olive oil and balsamic vinegar.\r\n\r\nWhy do we go to great lengths when sourcing the finest, most delicious ingredients for our menu? Because we\'re not going to let our own family down, let along your family.\r\n\r\nCheck out this video below from Corto Olive Co.  Corto plants their olives in a grape vineyard style process where they\'ve changed the shapes of the trees so they have the ability to harvest the olives immediately at the peak of maturity when the olives are changing from green to violet.  Learn about their \"gentle picking fingers\"!\r\n\r\n<iframe src=\"https://player.vimeo.com/video/179131270?title=0&amp;byline=0&amp;portrait=0\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>", "Extra Virgin Olive Oil at the peak of freshness", "", "inherit", "closed", "closed", "", "1224-revision-v1", "", "", "2017-09-07 19:23:19", "2017-09-07 19:23:19", "", "1224", "http://buckspizza.com/uncategorized/1224-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1252", "1", "2017-10-12 01:57:03", "2017-10-12 01:57:03", "<img class=\"alignleft size-full wp-image-1253\" src=\"http://buckspizza.com/wp-content/uploads/2017/10/bedd4034-be6f-45fd-9a5b-c0dac914a3b5-e1507676357176.jpg\" alt=\"bucks pizza dough\" />\r\n\r\nAs you might be seeing a theme, we take great pride in our ingredients at Buck\'s Pizza. Not only quality and origin of the ingredients, but also we spend the time that others don\'t in the details of how they are used.\r\n\r\nThere is a lot that goes into creating a great, fluffy and delicious dough that is part of so many Buck\'s menu items that you enjoy - pizza, breadstix, cheese breadstix, cinnamin stix and Stromboli.\r\n\r\nWe want you to know that we are paying attention to the details with our dough making process to make the best quality dough.  Just like our tomatoes, time and temperature play a factor; not too quick, and not too long. Using exacting standards, how we hold our dough, proof our dough - all play a role to make sure it isn\'t too flat and is fluffier in texture.  It\'s all about the process.\r\n\r\nTop quality ingredients are only half the formula:  our dough making process completes the recipe to make Buck\'s outstanding dough.", "You \"knead\" to try our Light, fluffy, hand tossed dough", "", "publish", "closed", "closed", "", "knead-try-light-fluffy-hand-tossed-dough", "", "", "2017-10-12 01:57:03", "2017-10-12 01:57:03", "", "0", "http://buckspizza.com/?p=1252", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("1253", "1", "2017-10-10 19:27:59", "2017-10-10 19:27:59", "There is a lot that goes into creating a great, fluffy and delicious dough that are a part of so many Buck’s menu items you enjoy – pizza, breadstix, cheese breadstix, cinnamin stix, and strombolis.", "dough", "", "inherit", "closed", "closed", "", "bedd4034-be6f-45fd-9a5b-c0dac914a3b5", "", "", "2017-10-10 23:00:31", "2017-10-10 23:00:31", "", "1252", "http://buckspizza.com/wp-content/uploads/2017/10/bedd4034-be6f-45fd-9a5b-c0dac914a3b5.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1259", "1", "2017-10-11 12:51:04", "2017-10-11 12:51:04", "<img class=\"alignleft size-full wp-image-1253\" src=\"http://buckspizza.com/wp-content/uploads/2017/10/bedd4034-be6f-45fd-9a5b-c0dac914a3b5-e1507676357176.jpg\" alt=\"bucks pizza dough\" />\r\n\r\nAs you might be seeing a theme, we take great pride in our ingredients at Buck\'s Pizza. Not only quality and origin of the ingredients, but also we spend the time that others don\'t in the details of how they are used.\r\n\r\nThere is a lot that goes into creating a great, fluffy and delicious dough that is part of so many Buck\'s menu items that you enjoy - pizza, breadstix, cheese breadstix, cinnamin stix and Stromboli.\r\n\r\nWe want you to know that we are paying attention to the details with our dough making process to make the best quality dough.  Just like our tomatoes, time and temperature play a factor; not too quick, and not too long. Using exacting standards, how we hold our dough, proof our dough - all play a role to make sure it isn\'t too flat and is fluffier in texture.  It\'s all about the process.\r\n\r\nTop quality ingredients are only half the formula:  our dough making process completes the recipe to make Buck\'s outstanding dough.", "You \"knead\" to try our Light, fluffy, hand tossed dough", "", "inherit", "closed", "closed", "", "1252-revision-v1", "", "", "2017-10-11 12:51:04", "2017-10-11 12:51:04", "", "1252", "http://buckspizza.com/uncategorized/1252-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1263", "1", "2017-10-25 20:55:10", "2017-10-25 20:55:10", "<h2 style=\"text-align: center;\">New at Clearfield: AmazWing Wingnesdays!</h2>\r\n<h3 style=\"text-align: center;\">Starting this Wed., Oct. 26th!</h3>\r\n<img class=\"aligncenter wp-image-882\" src=\"http://buckspizza.com/wp-content/uploads/2016/10/Hot-Thai-Buffalo-Ranch-with-Celery-60292-BP-4-12-06-0104-700x526.jpg\" alt=\"plate of wings at bucks pizza in clearfield pa\" width=\"558\" height=\"419\" />\r\n<p style=\"text-align: center;\"><strong>AmazWing Wingnesdays at Buck\'s Pizza in Clearfield, PA</strong></p>\r\n<p style=\"text-align: center;\"><strong>All Day on Wednesdays from open to close: 11am-9pm</strong></p>\r\n\r\n<h3>Jumbo Bone-In Wings only 60 cents each!*</h3>\r\nTender chicken wings covered in our lip-smackin’ sauces.\r\n<h3>Hand-breaded Boneless Wings only 40 cents each!</h3>\r\nBreaded chicken tender bites tossed in your favorite lip-smackin’ wing sauce.\r\n<b><em>*Messy faces allowed.</em></b>\r\n<h2>Choose any Buck\'s delicious mouth-watering sauces:</h2>\r\n<strong>Mild</strong>–All the buffalo flavor you love, without much heat.\r\n<strong>Medium</strong>–Not mild, not hot, just delicious.\r\n<strong>Hot</strong>–The same buffalo flavor, lots of heat.\r\n<strong>BBQ</strong>–Smoky, sweet and tangy.\r\n<strong>Spicy BBQ</strong>–Smoky, sweet and tangy, with a hot kick.\r\n<strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.\r\n<strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.\r\n<strong>Jamaican Jerk</strong>–Unique and rich island flavor.\r\n<strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.\r\n<strong>Teriyaki</strong>–Smooth, salty, sweet…addictive.\r\n<strong>Thai</strong>–A little soy, a little fruit, a pinch of onion, a ton of flavor.\r\n<strong>NEW: Roasted Garlic Parmesan</strong>\r\n\r\nGoes well with your favorite domestic or import beers, draft or bottle!\r\n\r\nPlenty of drink choices for kids! <em>Coca-Cola</em> Freestyle selections–90+ caffeine-free choices, 80+ unique brands, 70+ low or no-calorie choices, and 50+ non-carbonated choices - <strong>FREE REFILLS!</strong>\r\n\r\n<em>Please ask your server for our complete selection of Pennsylvania, California, Italian, Spanish, and French wines.</em>\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/menu/\" target=\"_blank\" rel=\"noopener\">Buck\'s Pizza Clearfield, PA Menu&gt;&gt;&gt;click here</a></h2>\r\nReserve your table through our No Wait App\r\n<a href=\"https://bnc.lt/get-in-line-with-nowait\" target=\"_blank\" rel=\"noopener\"><img src=\"http://buckspizza.com/wp-content/uploads/2016/09/nowait.png\" /></a>", "Wing Day Wednesdays", "", "inherit", "closed", "closed", "", "881-revision-v1", "", "", "2017-10-25 20:55:10", "2017-10-25 20:55:10", "", "881", "http://buckspizza.com/uncategorized/881-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1265", "1", "2017-11-21 20:26:01", "2017-11-21 20:26:01", "<iframe src=\"https://www.youtube.com/embed/KX5WkZ1amfA\" width=\"560\" height=\"315\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span></iframe>\r\nThe Holiday season is here and time for us to spread the cheer!  We at Buck\'s are wishing you and yours a very Merry Christmas! We thank you for a great year and for allowing us to serve you.  We hope that our Buck\'s family can feed your family during this holiday season!\r\n\r\n&nbsp;\r\n\r\n<img class=\"wp-image-2045 alignnone\" src=\"http://buckspizza.com/wp-content/uploads/2019/12/Josh-and-Wendy-with-Santa.jpg\" alt=\"\" width=\"418\" height=\"313\" />\r\n<h2>Santa is coming to Buck\'s!</h2>\r\nCome see Santa at Buck\'s Pizza - DuBois on\r\n\r\nSaturday, December 21st from noon to 4pm!\r\n<h2>A Gift Card from Buck\'s Pizza is a gift with Good Taste!</h2>\r\n<h3>Free Stix Card with a $25 or greater Gift Card Purchase!</h3>\r\n<img class=\"alignleft size-full wp-image-1268\" src=\"http://buckspizza.com/wp-content/uploads/2017/11/giftcards_holidays2017.png\" alt=\"Gift cards at Bucks Pizza in DuBois\" />\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h2>Special Dates to note during the Holiday Season</h2>\r\n<ul>\r\n 	<li>We will be closed Monday for Christmas Eve and Tuesday for Christmas Day.</li>\r\n 	<li>We will be open on Wednesday, the day after Christmas and we\'ll be open for New Years Eve and New Years Day.</li>\r\n</ul>", "Holiday Season in DuBois", "", "publish", "closed", "closed", "", "holiday-season-dubois", "", "", "2019-12-11 15:42:34", "2019-12-11 15:42:34", "", "54", "http://buckspizza.com/?page_id=1265", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1266", "1", "2017-11-21 20:14:05", "2017-11-21 20:14:05", "", "Santa at Bucks Pizza in DuBois", "", "inherit", "closed", "closed", "", "santa", "", "", "2017-11-21 20:14:16", "2017-11-21 20:14:16", "", "1265", "http://buckspizza.com/wp-content/uploads/2017/11/santa.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1267", "1", "2017-11-21 20:14:56", "2017-11-21 20:14:56", "", "Santa at Bucks Pizza in DuBois", "", "inherit", "closed", "closed", "", "santa-2", "", "", "2017-11-21 20:15:07", "2017-11-21 20:15:07", "", "1265", "http://buckspizza.com/wp-content/uploads/2017/11/santa-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1268", "1", "2017-11-21 20:19:17", "2017-11-21 20:19:17", "", "Gift Cards at Bucks Pizza", "", "inherit", "closed", "closed", "", "giftcards_holidays2017", "", "", "2017-11-21 20:19:29", "2017-11-21 20:19:29", "", "1265", "http://buckspizza.com/wp-content/uploads/2017/11/giftcards_holidays2017.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1275", "1", "2017-11-21 21:03:18", "2017-11-21 21:03:18", "<iframe src=\"https://www.youtube.com/embed/KX5WkZ1amfA\" width=\"560\" height=\"315\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span></iframe>\r\nThe Holiday season is here and time for us to spread the cheer!  We at Buck\'s are wishing you and yours a very Merry Christmas! We thank you for a great year and for allowing us to serve you.  We hope that our Buck\'s family can feed your family during this holiday season!\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone wp-image-2045 \" src=\"http://buckspizza.com/wp-content/uploads/2019/12/Josh-and-Wendy-with-Santa.jpg\" alt=\"\" width=\"471\" height=\"353\" />\r\n<h2>Santa is coming to Buck\'s!</h2>\r\nCome see Santa at Buck\'s Pizza - Clearfield on\r\n\r\nSunday, December 22nd from noon to 3pm!\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h2>A Gift Card from Buck\'s Pizza is a gift with Good Taste!</h2>\r\n<h3>Free Stix Card with a $25 or greater Gift Card Purchase!</h3>\r\n<img class=\"alignleft size-full wp-image-1268\" src=\"http://buckspizza.com/wp-content/uploads/2017/11/giftcards_holidays2017.png\" alt=\"Gift cards at Bucks Pizza in DuBois\" />\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h2>Special Dates to note during the Holiday Season</h2>\r\n<ul>\r\n 	<li>We will be closed Monday for Christmas Eve and Tuesday for Christmas Day.</li>\r\n 	<li>We will be open on Wednesday, the day after Christmas and we\'ll be open for New Years Eve and New Years Day.</li>\r\n</ul>", "Holiday Season in Clearfield", "", "publish", "closed", "closed", "", "holiday-season-clearfield", "", "", "2019-12-10 20:16:33", "2019-12-10 20:16:33", "", "52", "http://buckspizza.com/?page_id=1275", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1296", "1", "2018-03-02 21:20:50", "2018-03-02 21:20:50", "&nbsp;\r\n<h2><img class=\"alignleft wp-image-1353 size-large\" src=\"http://buckspizza.com/wp-content/uploads/2018/06/Copy-of-Bucks-Delicious-Deals-6-11-700x525.jpg\" alt=\"\" width=\"700\" height=\"525\" /></h2>\r\n<h2>Delicious Deals this week :</h2>\r\n<h2>June 11th - June 14th</h2>\r\n<h3>Monday and Tuesday- 6/11 to 6/12</h3>\r\nBuy one small pizza get one small pizza free\r\n\r\n<em>May not be combined with any other offers, discounts, rewards or promotions.</em>\r\n<h3>Wednesday and Thursday – 6/13 to 6/14</h3>\r\nBuy 10 boneless wings get 10 boneless wings for free\r\n<p style=\"padding-left: 30px;\"><em>-Cannot be combined with any other offers, discounts, rewards or promotions.</em></p>\r\n<em>This is a digital coupon and you must mention or show this digital coupon when ordering.</em>\r\n\r\n<strong>Win on Facebook!  </strong>Click your hometown Buck\'s page below, share our post of this week\'s Delicious Deal onto your wall, and be entered for a chance to win! We\'ll select one lucky winner from both pages for a free large 1-topping pizza!!! Winner will be picked on Friday!\r\n<p style=\"padding-left: 30px;\"><a href=\"https://www.facebook.com/buckspizza.dubois\" target=\"_blank\" rel=\"noopener\">Buck\'s Pizza in DuBois on Facebook</a>  or <a href=\"https://www.facebook.com/buckspizza.clearfield/\" target=\"_blank\" rel=\"noopener\">Buck\'s Pizza in Clearfield on Facebook</a></p>\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/dubois-pa/\" target=\"_blank\" rel=\"noopener\">DuBois, PA Menu Page</a></h2>\r\nor\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/\" target=\"_blank\" rel=\"noopener\">Clearfield, PA Menu Page</a></h2>", "Delicious Deals", "", "draft", "closed", "closed", "", "deliciousdeals", "", "", "2018-07-09 19:07:45", "2018-07-09 19:07:45", "", "0", "http://buckspizza.com/?page_id=1296", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1297", "1", "2018-03-02 21:09:59", "2018-03-02 21:09:59", "", "Bucks-Delicious-Deals-3-5", "", "inherit", "closed", "closed", "", "bucks-delicious-deals-3-5", "", "", "2018-03-02 21:09:59", "2018-03-02 21:09:59", "", "1296", "http://buckspizza.com/wp-content/uploads/2018/03/Bucks-Delicious-Deals-3-5.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1298", "1", "2018-03-02 21:12:34", "2018-03-02 21:12:34", "", "Bucks-Delicious-Deals-3-5-single", "", "inherit", "closed", "closed", "", "bucks-delicious-deals-3-5-single", "", "", "2018-03-02 21:12:56", "2018-03-02 21:12:56", "", "1296", "http://buckspizza.com/wp-content/uploads/2018/03/Bucks-Delicious-Deals-3-5-single.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1314", "1", "2018-03-11 16:34:08", "2018-03-11 16:34:08", "", "Bucks Delicious Deals", "", "inherit", "closed", "closed", "", "bucks-delicious-deals-2-19-single", "", "", "2018-03-11 16:34:39", "2018-03-11 16:34:39", "", "1296", "http://buckspizza.com/wp-content/uploads/2018/03/Bucks-Delicious-Deals-2-19-single.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1316", "1", "2018-03-16 19:00:40", "2018-03-16 19:00:40", "", "Bucks-Delicious-Deals-2-12-single", "", "inherit", "closed", "closed", "", "bucks-delicious-deals-2-12-single", "", "", "2018-03-16 19:00:40", "2018-03-16 19:00:40", "", "1296", "http://buckspizza.com/wp-content/uploads/2018/03/Bucks-Delicious-Deals-2-12-single.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1317", "1", "2018-06-08 13:50:36", "2018-06-08 13:50:36", "&nbsp;\r\n<h2><img class=\"alignleft wp-image-1353 size-large\" src=\"http://buckspizza.com/wp-content/uploads/2018/06/Copy-of-Bucks-Delicious-Deals-6-11-700x525.jpg\" alt=\"\" width=\"700\" height=\"525\" /></h2>\r\n<h2>Delicious Deals this week :</h2>\r\n<h2>June 11th - June 14th</h2>\r\n<h3>Monday and Tuesday- 6/11 to 6/12</h3>\r\nBuy one small pizza get one small pizza free\r\n\r\n<em>May not be combined with any other offers, discounts, rewards or promotions.</em>\r\n<h3>Wednesday and Thursday – 6/13 to 6/14</h3>\r\nBuy 10 boneless wings get 10 boneless wings for free\r\n<p style=\"padding-left: 30px;\"><em>-Cannot be combined with any other offers, discounts, rewards or promotions.</em></p>\r\n<em>This is a digital coupon and you must mention or show this digital coupon when ordering.</em>\r\n\r\n<strong>Win on Facebook!  </strong>Click your hometown Buck\'s page below, share our post of this week\'s Delicious Deal onto your wall, and be entered for a chance to win! We\'ll select one lucky winner from both pages for a free large 1-topping pizza!!! Winner will be picked on Friday!\r\n<p style=\"padding-left: 30px;\"><a href=\"https://www.facebook.com/buckspizza.dubois\" target=\"_blank\" rel=\"noopener\">Buck\'s Pizza in DuBois on Facebook</a>  or <a href=\"https://www.facebook.com/buckspizza.clearfield/\" target=\"_blank\" rel=\"noopener\">Buck\'s Pizza in Clearfield on Facebook</a></p>\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/dubois-pa/\" target=\"_blank\" rel=\"noopener\">DuBois, PA Menu Page</a></h2>\r\nor\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/\" target=\"_blank\" rel=\"noopener\">Clearfield, PA Menu Page</a></h2>", "Delicious Deals", "", "inherit", "closed", "closed", "", "1296-autosave-v1", "", "", "2018-06-08 13:50:36", "2018-06-08 13:50:36", "", "1296", "http://buckspizza.com/uncategorized/1296-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1320", "1", "2018-03-26 12:39:19", "2018-03-26 12:39:19", "", "Copy-of-Bucks-Delicious-Deals-3-26", "", "inherit", "closed", "closed", "", "copy-of-bucks-delicious-deals-3-26", "", "", "2018-03-26 12:39:19", "2018-03-26 12:39:19", "", "1296", "http://buckspizza.com/wp-content/uploads/2018/03/Copy-of-Bucks-Delicious-Deals-3-26.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1322", "1", "2018-04-02 12:17:30", "2018-04-02 12:17:30", "", "Copy-of-Bucks-Delicious-Deals-4-2", "", "inherit", "closed", "closed", "", "copy-of-bucks-delicious-deals-4-2", "", "", "2018-04-02 12:17:30", "2018-04-02 12:17:30", "", "1296", "http://buckspizza.com/wp-content/uploads/2018/04/Copy-of-Bucks-Delicious-Deals-4-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1325", "1", "2018-04-06 15:51:13", "2018-04-06 15:51:13", "", "Bucks-Delicious-Deals-4-9", "", "inherit", "closed", "closed", "", "bucks-delicious-deals-4-9", "", "", "2018-04-06 15:51:13", "2018-04-06 15:51:13", "", "1296", "http://buckspizza.com/wp-content/uploads/2018/04/Bucks-Delicious-Deals-4-9.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1327", "1", "2018-04-13 13:02:40", "2018-04-13 13:02:40", "", "Copy-of-Bucks-Delicious-Deals-4-16", "", "inherit", "closed", "closed", "", "copy-of-bucks-delicious-deals-4-16", "", "", "2018-04-13 13:02:40", "2018-04-13 13:02:40", "", "1296", "http://buckspizza.com/wp-content/uploads/2018/04/Copy-of-Bucks-Delicious-Deals-4-16.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1330", "1", "2018-04-20 17:13:52", "2018-04-20 17:13:52", "", "Copy-of-Bucks-Delicious-Deals-4-23", "", "inherit", "closed", "closed", "", "copy-of-bucks-delicious-deals-4-23", "", "", "2018-04-20 17:13:52", "2018-04-20 17:13:52", "", "1296", "http://buckspizza.com/wp-content/uploads/2018/04/Copy-of-Bucks-Delicious-Deals-4-23.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1333", "1", "2018-04-30 14:03:40", "2018-04-30 14:03:40", "", "Copy-of-Bucks-Delicious-Deals-4-30", "", "inherit", "closed", "closed", "", "copy-of-bucks-delicious-deals-4-30", "", "", "2018-04-30 14:03:40", "2018-04-30 14:03:40", "", "1296", "http://buckspizza.com/wp-content/uploads/2018/04/Copy-of-Bucks-Delicious-Deals-4-30.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1335", "1", "2018-05-04 18:59:38", "2018-05-04 18:59:38", "", "Copy-of-Bucks-Delicious-Deals-5-7", "", "inherit", "closed", "closed", "", "copy-of-bucks-delicious-deals-5-7", "", "", "2018-05-04 18:59:38", "2018-05-04 18:59:38", "", "1296", "http://buckspizza.com/wp-content/uploads/2018/05/Copy-of-Bucks-Delicious-Deals-5-7.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1337", "1", "2018-05-10 14:19:48", "0000-00-00 00:00:00", "<p>\n<strong>Important: GADWP is now ExactMetrics</strong><br />\nWe&#8217;re excited to share that Google Analytics Dashboard for WordPress (GADWP) plugin has a new name ExactMetrics, and it is now part of Awesome Motive.\n</p>\n<p><a href=\"https://exactmetrics.com/google-analytics-dashboard-wordpress-gadwp-now-exactmetrics/?utm_source=wpdashboard&#038;utm_medium=amnotification&#038;utm_campaign=acquisitionannouncement\" target=\"_blank\" class=\"button button-primary\">Read the full announcement &raquo;</a></p>\n<p>We look forward to continue improving website analytics for you.<br />\nSyed Balkhi<br />\nCEO of ExactMetrics</p>\n", "", "", "draft", "closed", "closed", "", "", "", "", "2018-05-10 14:19:48", "0000-00-00 00:00:00", "", "0", "http://buckspizza.com/?post_type=amn_exact-metrics&p=1337", "0", "amn_exact-metrics", "", "0");
INSERT INTO `wp_posts` VALUES("1340", "2", "2018-05-10 14:33:12", "2018-05-10 14:33:12", "<h4><strong><a href=\"https://secure.microworks.com/Bucks/\" target=\"_blank\" rel=\"noopener\">Online Ordering</a>    </strong></h4>\r\n12819 Highway 231 / 431 N\r\nHazel Green, AL 35750\r\n\r\n<a href=\"tel:256-829-0887\">256-829-0887</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[map height=\"500\" zoom=\"18\" color=\"#a30b32\" fullscreen=\"1\"]\r\n[pin icon=\"food\" center=\"1\" bounce=\"1\" directions=\"1\"]12819 Highway 231 Hazel Green, AL 35750[/pin]\r\n[/map]", "Hazel Green, Alabama", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2018-05-10 14:33:12", "2018-05-10 14:33:12", "", "32", "http://buckspizza.com/uncategorized/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1341", "2", "2019-04-30 20:38:48", "2019-04-30 20:38:48", "<h2>Georgia</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/peachtreecity-ga/\">Peachtree City</a></li>\r\n</ul>\r\n<h2>Minnesota</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/buffalo-mn/\">Buffalo</a></li>\r\n</ul>\r\n<h2>New York</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/gloversville-ny/\">Gloversville</a></li>\r\n</ul>\r\n<h2>North Carolina</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/morganton-nc/\">Morganton</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/tryon-nc/\">Tryon</a></li>\r\n</ul>\r\n<h2>Pennsylvania</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/clearfield-pa/\">Clearfield</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/dubois-pa/\">DuBois</a></li>\r\n 	<li><a href=\"http://buckspizza.com/st-marys-pa/\">St. Marys</a></li>\r\n</ul>\r\n<h2>South Carolina</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/charleston-sc/\">Charleston</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/lexington-sc/\">Lexington</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/walterboro-sc/\">Walterboro</a></li>\r\n</ul>\r\n<h2>Texas</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/clearlake-tx/\">Clear Lake</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/hidalgo-tx/\">Hidalgo</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/mission-tx/\">Mission</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/montbelvieu-tx/\">Mont Belvieu</a></li>\r\n</ul>\r\n<h2>Wisconsin</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/antigo-wi/\">Antigo</a></li>\r\n</ul>\r\n&nbsp;\r\n\r\n[leaflet-map height=500 zoomcontrol=1 lat=37.88587812273899 lng=-77.12402343750001 zoom=4]\r\n<div style=\"font-size: 14px; overflow-y: scroll; height: 250px; background-color: #e6e6e6;\">\r\n<div style=\"margin-left: 20px;\">DuBois, Pennsylvania\r\n53 Industrial Drive\r\nDuBois, PA 15801\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=53+Industrial+Drive,+DuBois,+PA+15801\">Directions</a>[leaflet-marker lat=41.129943 lng=-78.736842]Mobile, Alabama\r\n350 Dauphin Street\r\nMobile, AL 36602\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=350+Dauphin+Street,+Mobile,+AL+36602\">Directions</a>[leaflet-marker lat=30.690745 lng=-88.045803]Peachtree City, Georgia\r\n1200 Highway 74 South\r\nPeachtree, GA 30269\r\n<a href=\"https://www.google.com/maps/dir//1200+Hwy+74+S,+Georgia/@33.3393016,-84.5235281,17z/data=!4m8!4m7!1m0!1m5!1m1!1s0x88f4eca0054429f9:0x11aadd106dd8f9d3!2m2!1d-84.5213394!2d33.3393016\">Directions</a>[leaflet-marker lat=33.339302 lng=-84.521339]Buffalo, Minnesota\r\n405 MN-55\r\nBuffalo, MN 55313\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=405+MN-55,+Buffalo,+MN+55313\">Directions</a>[leaflet-marker lat=45.196162 lng=-93.901662]\r\n\r\nGloversville, New York\r\n23 South Main Street\r\nGloversville, NY 12078\r\n<a href=\"https://www.google.com/maps/dir//23+S+Main+St,+Gloversville,+NY+12078/@43.0498986,-74.4158992,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x89def3088c0caddf:0x31538448d12e7c9a!2m2!1d-74.3458594!2d43.04992\">Directions</a>[leaflet-marker lat=43.049920 lng=-74.345859]\r\n\r\nMorganton, North Carolina\r\n305 East Union Street\r\nMorganton, NC 28655\r\n<a href=\"https://www.google.com/maps/dir//305+E+Union+St,+Morganton,+NC+28655/@35.7480974,-81.6885242,17z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x8850d1d74d6f2e05:0x3b642339e8c8ffb7!2m2!1d-81.6863355!2d35.7480974\">Directions</a>[leaflet-marker lat=35.748097 lng=-81.686335]\r\n\r\nTryon, North Carolina\r\n30 North Trade Street\r\nTryon, NC 28782\r\n<a href=\"https://www.google.com/maps/dir//30+N+Trade+St,+Tryon,+NC+28782/@35.2089968,-82.2407333,17z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x8859d8c0464a901b:0xb21962af91206f58!2m2!1d-82.2385446!2d35.2089968\">Directions</a>[leaflet-marker lat=35.208997 lng=-82.238545]\r\n\r\nClearfield, Pennsylvania\r\n3055 Park Place\r\nClearfield, PA 16830\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=3055+Park+Place,+Clearfield,+PA+16830\">Directions</a>[leaflet-marker lat=41.027739 lng=-78.437137]\r\n\r\nCharleston, South Carolina\r\n1660 Sam Rittenberg Blvd.\r\nCharleston, SC 29407\r\n<a href=\"https://www.google.com/maps/dir//1660+Sam+Rittenberg+Blvd,+Charleston,+SC+29407/@32.8060402,-80.082615,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x88fe7c790957fe4b:0x2897a0494e191984!2m2!1d-80.0125748!2d32.8060597\">Directions</a>[leaflet-marker lat=32.806060 lng=-80.012575]\r\n\r\nLexington, South Carolina\r\n1856 B South Lake Drive\r\nLexington , SC 29073\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=1856+B+South+Lake+Drive,+Lexington+,+SC+29073\">Directions</a>[leaflet-marker lat=33.908945 lng=-81.225469]\r\n\r\nWalterboro, South Carolina\r\n113 Robertson Blvd\r\nWalterboro, SC 29488\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=113+Robertson+Blvd,+Walterboro,+SC+29488\">Directions</a>[leaflet-marker lat=32.921420 lng=-80.677220]\r\n\r\nClear Lake, Texas\r\n907 El Dorado Blvd.\r\nClear Lake, TX 77062\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=907+El+Dorado+Blvd.,+Clear+Lake,+TX+77062\">Directions</a>[leaflet-marker lat=29.566620 lng=-95.134758]\r\n\r\nHidalgo, Texas\r\n802 North Jackson Road\r\nHidalgo, TX 78557\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=802+North+Jackson+Road,+Hidalgo,+TX+78557\">Directions</a>[leaflet-marker lat=26.190691 lng=-98.205982]\r\n\r\nMission, Texas\r\n2401 South Shary Road\r\nSuite A\r\nMission, TX 78572\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=2401+South+Shary+Road+Suite+A,+Mission,+TX+78572\">Directions</a>[leaflet-marker lat=26.177388 lng=-98.289865]\r\n\r\nMont Belvieu, Texas\r\n11540 Eagle Drive\r\nMont Belview, TX 77523\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=11540+Eagle+Drive,+Mont+Belview,+TX+77523\">Directions</a>[leaflet-marker lat=29.856865 lng=-94.863692]\r\n\r\nNitro, West Virginia\r\n3901 39th Street\r\nNitro, WV 25143\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=3901+39th+Street,+Nitro,+WV+25143\">Directions</a>[leaflet-marker lat=38.431512 lng=-81.837840]\r\n\r\nAntigo, Wisconsin\r\n614 Century Ave.\r\nAntigo, WI 54409\r\n<a href=\"https://www.google.com/maps/dir//614+Century+Ave,+Antigo,+WI+54409/@45.1623284,-89.2207527,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x4d54c614647cf6f3:0x4a1fb5f95863e713!2m2!1d-89.1507129!2d45.1623498\">Directions</a>[leaflet-marker lat=45.162350 lng=-89.150713]\r\n\r\n</div>\r\n</div>", "Locations", "", "inherit", "closed", "closed", "", "11-autosave-v1", "", "", "2019-04-30 20:38:48", "2019-04-30 20:38:48", "", "11", "http://buckspizza.com/uncategorized/11-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1343", "1", "2018-05-11 17:12:12", "2018-05-11 17:12:12", "", "Copy-of-Bucks-Delicious-Deals-5-14", "", "inherit", "closed", "closed", "", "copy-of-bucks-delicious-deals-5-14", "", "", "2018-05-11 17:12:12", "2018-05-11 17:12:12", "", "1296", "http://buckspizza.com/wp-content/uploads/2018/05/Copy-of-Bucks-Delicious-Deals-5-14.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1346", "1", "2018-05-18 18:02:49", "2018-05-18 18:02:49", "", "Copy-of-Bucks-Delicious-Deals-5-21", "", "inherit", "closed", "closed", "", "copy-of-bucks-delicious-deals-5-21", "", "", "2018-05-18 18:02:49", "2018-05-18 18:02:49", "", "1296", "http://buckspizza.com/wp-content/uploads/2018/05/Copy-of-Bucks-Delicious-Deals-5-21.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1348", "1", "2018-05-25 13:44:06", "2018-05-25 13:44:06", "", "Copy-of-Bucks-Delicious-Deals-5-28", "", "inherit", "closed", "closed", "", "copy-of-bucks-delicious-deals-5-28", "", "", "2018-05-25 13:44:06", "2018-05-25 13:44:06", "", "1296", "http://buckspizza.com/wp-content/uploads/2018/05/Copy-of-Bucks-Delicious-Deals-5-28.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1351", "1", "2018-05-31 19:18:22", "2018-05-31 19:18:22", "", "Copy-of-Bucks-Delicious-Deals-6-4", "", "inherit", "closed", "closed", "", "copy-of-bucks-delicious-deals-6-4", "", "", "2018-05-31 19:18:22", "2018-05-31 19:18:22", "", "1296", "http://buckspizza.com/wp-content/uploads/2018/05/Copy-of-Bucks-Delicious-Deals-6-4.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1353", "1", "2018-06-07 17:53:09", "2018-06-07 17:53:09", "", "Copy-of-Bucks-Delicious-Deals-6-11", "", "inherit", "closed", "closed", "", "copy-of-bucks-delicious-deals-6-11", "", "", "2018-06-07 17:53:09", "2018-06-07 17:53:09", "", "0", "http://buckspizza.com/wp-content/uploads/2018/06/Copy-of-Bucks-Delicious-Deals-6-11.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1354", "1", "2018-06-08 13:50:54", "2018-06-08 13:50:54", "&nbsp;\r\n<h2><img class=\"alignleft wp-image-1353 size-large\" src=\"http://buckspizza.com/wp-content/uploads/2018/06/Copy-of-Bucks-Delicious-Deals-6-11-700x525.jpg\" alt=\"\" width=\"700\" height=\"525\" /></h2>\r\n<h2>Delicious Deals this week :</h2>\r\n<h2>June 11th - June 14th</h2>\r\n<h3>Monday and Tuesday- 6/11 to 6/12</h3>\r\nBuy one small pizza get one small pizza free\r\n\r\n<em>May not be combined with any other offers, discounts, rewards or promotions.</em>\r\n<h3>Wednesday and Thursday – 6/13 to 6/14</h3>\r\nBuy 10 boneless wings get 10 boneless wings for free\r\n<p style=\"padding-left: 30px;\"><em>-Cannot be combined with any other offers, discounts, rewards or promotions.</em></p>\r\n<em>This is a digital coupon and you must mention or show this digital coupon when ordering.</em>\r\n\r\n<strong>Win on Facebook!  </strong>Click your hometown Buck\'s page below, share our post of this week\'s Delicious Deal onto your wall, and be entered for a chance to win! We\'ll select one lucky winner from both pages for a free large 1-topping pizza!!! Winner will be picked on Friday!\r\n<p style=\"padding-left: 30px;\"><a href=\"https://www.facebook.com/buckspizza.dubois\" target=\"_blank\" rel=\"noopener\">Buck\'s Pizza in DuBois on Facebook</a>  or <a href=\"https://www.facebook.com/buckspizza.clearfield/\" target=\"_blank\" rel=\"noopener\">Buck\'s Pizza in Clearfield on Facebook</a></p>\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/dubois-pa/\" target=\"_blank\" rel=\"noopener\">DuBois, PA Menu Page</a></h2>\r\nor\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/\" target=\"_blank\" rel=\"noopener\">Clearfield, PA Menu Page</a></h2>", "Delicious Deals", "", "inherit", "closed", "closed", "", "1296-revision-v1", "", "", "2018-06-08 13:50:54", "2018-06-08 13:50:54", "", "1296", "http://buckspizza.com/uncategorized/1296-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1359", "1", "2018-06-20 12:18:23", "2018-06-20 12:18:23", "<h4>We’re running 6 different contests giving away two (2) tickets to Cedar Point for each contest!</h4>\r\n<h4><strong>ALL contests begin Monday, June 25! </strong></h4>\r\n<h4>One winner will be chosen at the end of the each week</h4>\r\nCedar Point is a place like no other with 18 world-class roller coasters. The riding experiences are so diverse, there’s a roller coaster for every thrill seeker. From pint-sized starters like Woodstock Express to the 120-mph Top Thrill Dragster – if you love roller coasters, this is the only place you need to be.\r\n<h2><em>Ways to win:</em></h2>\r\n<b>Contest 1: June 25 through June 30</b>\r\n\r\nWho else likes thrills? Go to our Facebook page for <a href=\"https://www.facebook.com/buckspizza.dubois/\" target=\"_blank\" rel=\"noopener\">DuBois</a> or <a href=\"https://www.facebook.com/buckspizza.clearfield/\" target=\"_blank\" rel=\"noopener\">Clearfield</a>  and <strong>tag a friend  in the comment section</strong> on the pinned post at the top of the page that you would take to Cedar Point with you.  This contest closes Saturday, June 30th. A winner will be chosen and announced Monday, July 2nd.\r\n\r\n<b>Contest 2: June 25 through July 7</b>\r\n\r\n<strong>Picture sharing contest!</strong> Post a photo of  you with your favorite menu item, or you and a friend at Buck\'s, or any photo of you at a Buck\'s location to be entered.  You can post your pictures to our DuBois or Clearfield Facebook pages, our Dubois or Clearfield Instagram pages or to Google. This contest closes Saturday, July 7th.  A winner will be chosen and announced Monday, July 9th.\r\n\r\n<b>Contest 3: June 25 through July 14</b>\r\n\r\nLet us cook for you! <strong>Purchase a take-out order</strong> from either DuBois or Clearfield anytime from June 25 though Saturday, July 14 to be entered. A winner will be chosen and announced on Monday, July 16th.\r\n\r\n<b>Contest 4: June 25 through July 21</b>\r\n\r\nDon\'t even get out of the car! Utilize our <strong>curbside service</strong> in DuBois or Clearfield anytime from June 25th though Saturday, July 21st to be entered.  A winner will be chosen and announced on Monday, July 23rd.\r\n\r\n<b>Contest 5: June 25 through July 28</b>\r\n\r\nTell us what you love about Buck\'s Pizza. <strong>Write a review</strong> on our <a href=\"https://www.facebook.com/buckspizza.dubois/\" target=\"_blank\" rel=\"noopener\">DuBois</a> or <a href=\"https://www.facebook.com/buckspizza.clearfield/\" target=\"_blank\" rel=\"noopener\">Clearfield</a> Facebook pages or on Google anytime from June 25 though Saturday, July 28th. A winner will be chosen and announced on Monday, July 30th.\r\n\r\n<b>Contest 6: June 25 through August 4</b>\r\n\r\n<strong>Place an <a href=\"https://secure.microworks.com/Bucks/\" target=\"_blank\" rel=\"noopener\">online order</a> </strong>through DuBois or Clearfield anytime from June 25 though Saturday, August 4th. A winner will be chosen and announced on Monday, August 6th.", "Cedar Point Ticket Contests brought to you by Buck\'s Pizza and Coca-Cola Freestyle!", "", "publish", "closed", "closed", "", "cedarpoint", "", "", "2018-06-21 15:32:49", "2018-06-21 15:32:49", "", "0", "http://buckspizza.com/?page_id=1359", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1373", "2", "2018-06-21 15:32:56", "2018-06-21 15:32:56", "<h4>We’re running 6 different contests giving away two (2) tickets to Cedar Point for each contest!</h4>\r\n<h4><strong>ALL contests begin Monday, June 25! </strong></h4>\r\n<h4>One winner will be chosen at the end of the each week</h4>\r\nCedar Point is a place like no other with 18 world-class roller coasters. The riding experiences are so diverse, there’s a roller coaster for every thrill seeker. From pint-sized starters like Woodstock Express to the 120-mph Top Thrill Dragster – if you love roller coasters, this is the only place you need to be.\r\n<h2><em>Ways to win:</em></h2>\r\n<b>Contest 1: June 25 through June 30</b>\r\n\r\nWho else likes thrills? Go to our Facebook page for <a href=\"https://www.facebook.com/buckspizza.dubois/\" target=\"_blank\" rel=\"noopener\">DuBois</a> or <a href=\"https://www.facebook.com/buckspizza.clearfield/\" target=\"_blank\" rel=\"noopener\">Clearfield</a>  and <strong>tag a friend  in the comment section</strong> on the pinned post at the top of the page that you would take to Cedar Point with you.  This contest closes Saturday, June 30th. A winner will be chosen and announced Monday, July 2nd.\r\n\r\n<b>Contest 2: June 25 through July 7</b>\r\n\r\n<strong>Picture sharing contest!</strong> Post a photo of  you with your favorite menu item, or you and a friend at Buck\'s, or any photo of you at a Buck\'s location to be entered.  You can post your pictures to our DuBois or Clearfield Facebook pages, our Dubois or Clearfield Instagram pages or to Google. This contest closes Saturday, July 7th.  A winner will be chosen and announced Monday, July 9th.\r\n\r\n<b>Contest 3: June 25 through July 14</b>\r\n\r\nLet us cook for you! <strong>Purchase a take-out order</strong> from either DuBois or Clearfield anytime from June 25 though Saturday, July 14 to be entered. A winner will be chosen and announced on Monday, July 16th.\r\n\r\n<b>Contest 4: June 25 through July 21</b>\r\n\r\nDon\'t even get out of the car! Utilize our <strong>curbside service</strong> in DuBois or Clearfield anytime from June 25th though Saturday, July 21st to be entered.  A winner will be chosen and announced on Monday, July 23rd.\r\n\r\n<b>Contest 5: June 25 through July 28</b>\r\n\r\nTell us what you love about Buck\'s Pizza. <strong>Write a review</strong> on our <a href=\"https://www.facebook.com/buckspizza.dubois/\" target=\"_blank\" rel=\"noopener\">DuBois</a> or <a href=\"https://www.facebook.com/buckspizza.clearfield/\" target=\"_blank\" rel=\"noopener\">Clearfield</a> Facebook pages or on Google anytime from June 25 though Saturday, July 28th. A winner will be chosen and announced on Monday, July 30th.\r\n\r\n<b>Contest 6: June 25 through August 4</b>\r\n\r\n<strong>Place an <a href=\"https://secure.microworks.com/Bucks/\" target=\"_blank\" rel=\"noopener\">online order</a> </strong>through DuBois or Clearfield anytime from June 25 though Saturday, August 4th. A winner will be chosen and announced on Monday, August 6th.", "Cedar Point Ticket Contests brought to you by Buck\'s Pizza and Coca-Cola Freestyle!", "", "inherit", "closed", "closed", "", "1359-autosave-v1", "", "", "2018-06-21 15:32:56", "2018-06-21 15:32:56", "", "1359", "http://buckspizza.com/uncategorized/1359-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1376", "2", "2018-06-21 15:32:49", "2018-06-21 15:32:49", "<h4>We’re running 6 different contests giving away two (2) tickets to Cedar Point for each contest!</h4>\r\n<h4><strong>ALL contests begin Monday, June 25! </strong></h4>\r\n<h4>One winner will be chosen at the end of the each week</h4>\r\nCedar Point is a place like no other with 18 world-class roller coasters. The riding experiences are so diverse, there’s a roller coaster for every thrill seeker. From pint-sized starters like Woodstock Express to the 120-mph Top Thrill Dragster – if you love roller coasters, this is the only place you need to be.\r\n<h2><em>Ways to win:</em></h2>\r\n<b>Contest 1: June 25 through June 30</b>\r\n\r\nWho else likes thrills? Go to our Facebook page for <a href=\"https://www.facebook.com/buckspizza.dubois/\" target=\"_blank\" rel=\"noopener\">DuBois</a> or <a href=\"https://www.facebook.com/buckspizza.clearfield/\" target=\"_blank\" rel=\"noopener\">Clearfield</a>  and <strong>tag a friend  in the comment section</strong> on the pinned post at the top of the page that you would take to Cedar Point with you.  This contest closes Saturday, June 30th. A winner will be chosen and announced Monday, July 2nd.\r\n\r\n<b>Contest 2: June 25 through July 7</b>\r\n\r\n<strong>Picture sharing contest!</strong> Post a photo of  you with your favorite menu item, or you and a friend at Buck\'s, or any photo of you at a Buck\'s location to be entered.  You can post your pictures to our DuBois or Clearfield Facebook pages, our Dubois or Clearfield Instagram pages or to Google. This contest closes Saturday, July 7th.  A winner will be chosen and announced Monday, July 9th.\r\n\r\n<b>Contest 3: June 25 through July 14</b>\r\n\r\nLet us cook for you! <strong>Purchase a take-out order</strong> from either DuBois or Clearfield anytime from June 25 though Saturday, July 14 to be entered. A winner will be chosen and announced on Monday, July 16th.\r\n\r\n<b>Contest 4: June 25 through July 21</b>\r\n\r\nDon\'t even get out of the car! Utilize our <strong>curbside service</strong> in DuBois or Clearfield anytime from June 25th though Saturday, July 21st to be entered.  A winner will be chosen and announced on Monday, July 23rd.\r\n\r\n<b>Contest 5: June 25 through July 28</b>\r\n\r\nTell us what you love about Buck\'s Pizza. <strong>Write a review</strong> on our <a href=\"https://www.facebook.com/buckspizza.dubois/\" target=\"_blank\" rel=\"noopener\">DuBois</a> or <a href=\"https://www.facebook.com/buckspizza.clearfield/\" target=\"_blank\" rel=\"noopener\">Clearfield</a> Facebook pages or on Google anytime from June 25 though Saturday, July 28th. A winner will be chosen and announced on Monday, July 30th.\r\n\r\n<b>Contest 6: June 25 through August 4</b>\r\n\r\n<strong>Place an <a href=\"https://secure.microworks.com/Bucks/\" target=\"_blank\" rel=\"noopener\">online order</a> </strong>through DuBois or Clearfield anytime from June 25 though Saturday, August 4th. A winner will be chosen and announced on Monday, August 6th.", "Cedar Point Ticket Contests brought to you by Buck\'s Pizza and Coca-Cola Freestyle!", "", "inherit", "closed", "closed", "", "1359-revision-v1", "", "", "2018-06-21 15:32:49", "2018-06-21 15:32:49", "", "1359", "http://buckspizza.com/uncategorized/1359-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1384", "1", "2018-07-19 22:59:34", "2018-07-19 22:59:34", "[leaflet-map lat=44.59046718130883 lng=-63.28125000000001 zoom=5]\r\n<div style=\"font-size: 14px; overflow-y:scroll; height: 200px; background-color: #e6e6e6;\">\r\n<div style=\"margin-left:20px; \">\r\nDuBois, Pennsylvania\r\n53 Industrial Drive\r\nDuBois, PA 15801\r\n<a href=\"https://www.google.com/maps?saddr&daddr=53+Industrial+Drive,+DuBois,+PA+15801\">Directions</a>[leaflet-marker lat=41.129943 lng=-78.736842]\r\n<br>\r\nMobile, Alabama\r\n350 Dauphin Street\r\nMobile, AL 36602\r\n<a href=\"https://www.google.com/maps?saddr&daddr=350+Dauphin+Street,+Mobile,+AL+36602\">Directions</a>[leaflet-marker lat=30.690745 lng=-88.045803]\r\n<br>\r\nPeachtree City, Georgia\r\n1200 Highway 74 South\r\nPeachtree, GA 30269\r\n<a href=\"https://www.google.com/maps/dir//1200+Hwy+74+S,+Georgia/@33.3393016,-84.5235281,17z/data=!4m8!4m7!1m0!1m5!1m1!1s0x88f4eca0054429f9:0x11aadd106dd8f9d3!2m2!1d-84.5213394!2d33.3393016\">Directions</a>[leaflet-marker lat=33.339302 lng=-84.521339]\r\n<br>\r\nBuffalo, Minnesota\r\n405 MN-55\r\nBuffalo, MN 55313\r\n<a href=\"https://www.google.com/maps?saddr&daddr=405+MN-55,+Buffalo,+MN+55313\">Directions</a>[leaflet-marker lat=45.196162 lng=-93.901662]\r\n<br>\r\nGloversville, New York\r\n23 South Main Street\r\nGloversville, NY 12078\r\n<a href=\"https://www.google.com/maps/dir//23+S+Main+St,+Gloversville,+NY+12078/@43.0498986,-74.4158992,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x89def3088c0caddf:0x31538448d12e7c9a!2m2!1d-74.3458594!2d43.04992\">Directions</a>[leaflet-marker lat=43.049920 lng=-74.345859]\r\n<br>\r\nMorganton, North Carolina\r\n305 East Union Street\r\nMorganton, NC 28655\r\n<a href=\"https://www.google.com/maps/dir//305+E+Union+St,+Morganton,+NC+28655/@35.7480974,-81.6885242,17z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x8850d1d74d6f2e05:0x3b642339e8c8ffb7!2m2!1d-81.6863355!2d35.7480974\">Directions</a>[leaflet-marker lat=35.748097 lng=-81.686335]\r\n<br>\r\nTryon, North Carolina\r\n30 North Trade Street\r\nTryon, NC 28782\r\n<a href=\"https://www.google.com/maps/dir//30+N+Trade+St,+Tryon,+NC+28782/@35.2089968,-82.2407333,17z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x8859d8c0464a901b:0xb21962af91206f58!2m2!1d-82.2385446!2d35.2089968\">Directions</a>[leaflet-marker lat=35.208997 lng=-82.238545]\r\n<br>\r\nClearfield, Pennsylvania\r\n3055 Park Place\r\nClearfield, PA 16830\r\n<a href=\"https://www.google.com/maps?saddr&daddr=3055+Park+Place,+Clearfield,+PA+16830\">Directions</a>[leaflet-marker lat=41.027739 lng=-78.437137]\r\n<br>\r\nCharleston, South Carolina\r\n1660 Sam Rittenberg Blvd.\r\nCharleston, SC 29407\r\n<a href=\"https://www.google.com/maps/dir//1660+Sam+Rittenberg+Blvd,+Charleston,+SC+29407/@32.8060402,-80.082615,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x88fe7c790957fe4b:0x2897a0494e191984!2m2!1d-80.0125748!2d32.8060597\">Directions</a>[leaflet-marker lat=32.806060 lng=-80.012575]\r\n<br>\r\nLexington, South Carolina\r\n1856 B South Lake Drive\r\nLexington , SC 29073\r\n<a href=\"https://www.google.com/maps?saddr&daddr=1856+B+South+Lake+Drive,+Lexington+,+SC+29073\">Directions</a>[leaflet-marker lat=33.908945 lng=-81.225469]\r\n<br>\r\nWalterboro, South Carolina\r\n113 Robertson Blvd\r\nWalterboro, SC 29488\r\n<a href=\"https://www.google.com/maps?saddr&daddr=113+Robertson+Blvd,+Walterboro,+SC+29488\">Directions</a>[leaflet-marker lat=32.921420 lng=-80.677220]\r\n<br>\r\nClear Lake, Texas\r\n907 El Dorado Blvd.\r\nClear Lake, TX 77062\r\n<a href=\"https://www.google.com/maps?saddr&daddr=907+El+Dorado+Blvd.,+Clear+Lake,+TX+77062\">Directions</a>[leaflet-marker lat=29.566620 lng=-95.134758]\r\n<br>\r\nHidalgo, Texas\r\n802 North Jackson Road\r\nHidalgo, TX 78557\r\n<a href=\"https://www.google.com/maps?saddr&daddr=802+North+Jackson+Road,+Hidalgo,+TX+78557\">Directions</a>[leaflet-marker lat=26.190691 lng=-98.205982]\r\n<br>\r\nMission, Texas\r\n2401 South Shary Road\r\nSuite A\r\nMission, TX 78572\r\n<a href=\"https://www.google.com/maps?saddr&daddr=2401+South+Shary+Road+Suite+A,+Mission,+TX+78572\">Directions</a>[leaflet-marker lat=26.177388 lng=-98.289865]\r\n<br>\r\nMont Belvieu, Texas\r\n11540 Eagle Drive\r\nMont Belview, TX 77523\r\n<a href=\"https://www.google.com/maps?saddr&daddr=11540+Eagle+Drive,+Mont+Belview,+TX+77523\">Directions</a>[leaflet-marker lat=29.856865 lng=-94.863692]\r\n<br>\r\nNitro, West Virginia\r\n3901 39th Street\r\nNitro, WV 25143\r\n<a href=\"https://www.google.com/maps?saddr&daddr=3901+39th+Street,+Nitro,+WV+25143\">Directions</a>[leaflet-marker lat=38.431512 lng=-81.837840]\r\n<br>\r\nAntigo, Wisconsin\r\n614 Century Ave.\r\nAntigo, WI 54409\r\n<a href=\"https://www.google.com/maps/dir//614+Century+Ave,+Antigo,+WI+54409/@45.1623284,-89.2207527,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x4d54c614647cf6f3:0x4a1fb5f95863e713!2m2!1d-89.1507129!2d45.1623498\">Directions</a>[leaflet-marker lat=45.162350 lng=-89.150713]\r\n</div>\r\n</div>\r\n\r\n[STORE-LOCATOR]", "testlocation", "", "publish", "closed", "closed", "", "testlocation", "", "", "2018-07-20 00:00:12", "2018-07-20 00:00:12", "", "0", "http://buckspizza.com/?page_id=1384", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1391", "1", "2018-07-19 23:52:13", "2018-07-19 23:52:13", "[leaflet-map lat=44.59046718130883 lng=-63.28125000000001 zoom=5]\n<div style=\"font-size: 14px; overflow-y:scroll; height: 200px;\">\nDuBois, Pennsylvania\n53 Industrial Drive\nDuBois, PA 15801\n<a href=\"https://www.google.com/maps?saddr&daddr=53+Industrial+Drive,+DuBois,+PA+15801\">Directions</a>[leaflet-marker lat=41.129943 lng=-78.736842]\n<br>\nMobile, Alabama\n350 Dauphin Street\nMobile, AL 36602\n<a href=\"https://www.google.com/maps?saddr&daddr=350+Dauphin+Street,+Mobile,+AL+36602\">Directions</a>[leaflet-marker lat=30.690745 lng=-88.045803]\n<br>\nPeachtree City, Georgia\n1200 Highway 74 South\nPeachtree, GA 30269\n<a href=\"https://www.google.com/maps/dir//1200+Hwy+74+S,+Georgia/@33.3393016,-84.5235281,17z/data=!4m8!4m7!1m0!1m5!1m1!1s0x88f4eca0054429f9:0x11aadd106dd8f9d3!2m2!1d-84.5213394!2d33.3393016\">Directions</a>[leaflet-marker lat=33.339302 lng=-84.521339]\n<br>\nBuffalo, Minnesota\n405 MN-55\nBuffalo, MN 55313\n<a href=\"https://www.google.com/maps?saddr&daddr=405+MN-55,+Buffalo,+MN+55313\">Directions</a>[leaflet-marker lat=45.196162 lng=-93.901662]\n<br>\nGloversville, New York\n23 South Main Street\nGloversville, NY 12078\n<a href=\"https://www.google.com/maps/dir//23+S+Main+St,+Gloversville,+NY+12078/@43.0498986,-74.4158992,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x89def3088c0caddf:0x31538448d12e7c9a!2m2!1d-74.3458594!2d43.04992\">Directions</a>[leaflet-marker lat=43.049920 lng=-74.345859]\n<br>\nMorganton, North Carolina\n305 East Union Street\nMorganton, NC 28655\n<a href=\"https://www.google.com/maps/dir//305+E+Union+St,+Morganton,+NC+28655/@35.7480974,-81.6885242,17z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x8850d1d74d6f2e05:0x3b642339e8c8ffb7!2m2!1d-81.6863355!2d35.7480974\">Directions</a>[leaflet-marker lat=35.748097 lng=-81.686335]\n<br>\nTryon, North Carolina\n30 North Trade Street\nTryon, NC 28782\n<a href=\"https://www.google.com/maps/dir//30+N+Trade+St,+Tryon,+NC+28782/@35.2089968,-82.2407333,17z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x8859d8c0464a901b:0xb21962af91206f58!2m2!1d-82.2385446!2d35.2089968\">Directions</a>[leaflet-marker lat=35.208997 lng=-82.238545]\n<br>\nClearfield, Pennsylvania\n3055 Park Place\nClearfield, PA 16830\n<a href=\"https://www.google.com/maps?saddr&daddr=3055+Park+Place,+Clearfield,+PA+16830\">Directions</a>[leaflet-marker lat=41.027739 lng=-78.437137]\n<br>\nCharleston, South Carolina\n1660 Sam Rittenberg Blvd.\nCharleston, SC 29407\n<a href=\"https://www.google.com/maps/dir//1660+Sam+Rittenberg+Blvd,+Charleston,+SC+29407/@32.8060402,-80.082615,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x88fe7c790957fe4b:0x2897a0494e191984!2m2!1d-80.0125748!2d32.8060597\">Directions</a>[leaflet-marker lat=32.806060 lng=-80.012575]\n<br>\nLexington, South Carolina\n1856 B South Lake Drive\nLexington , SC 29073\n<a href=\"https://www.google.com/maps?saddr&daddr=1856+B+South+Lake+Drive,+Lexington+,+SC+29073\">Directions</a>[leaflet-marker lat=33.908945 lng=-81.225469]\n<br>\nWalterboro, South Carolina\n113 Robertson Blvd\nWalterboro, SC 29488\n<a href=\"https://www.google.com/maps?saddr&daddr=113+Robertson+Blvd,+Walterboro,+SC+29488\">Directions</a>[leaflet-marker lat=32.921420 lng=-80.677220]\n<br>\nClear Lake, Texas\n907 El Dorado Blvd.\nClear Lake, TX 77062\n<a href=\"https://www.google.com/maps?saddr&daddr=907+El+Dorado+Blvd.,+Clear+Lake,+TX+77062\">Directions</a>[leaflet-marker lat=29.566620 lng=-95.134758]\n<br>\nHidalgo, Texas\n802 North Jackson Road\nHidalgo, TX 78557\n<a href=\"https://www.google.com/maps?saddr&daddr=802+North+Jackson+Road,+Hidalgo,+TX+78557\">Directions</a>[leaflet-marker lat=26.190691 lng=-98.205982]\n<br>\nMission, Texas\n2401 South Shary Road\nSuite A\nMission, TX 78572\n<a href=\"https://www.google.com/maps?saddr&daddr=2401+South+Shary+Road+Suite+A,+Mission,+TX+78572\">Directions</a>[leaflet-marker lat=26.177388 lng=-98.289865]\n<br>\nMont Belvieu, Texas\n11540 Eagle Drive\nMont Belview, TX 77523\n<a href=\"https://www.google.com/maps?saddr&daddr=11540+Eagle+Drive,+Mont+Belview,+TX+77523\">Directions</a>[leaflet-marker lat=29.856865 lng=-94.863692]\n<br>\nNitro, West Virginia\n3901 39th Street\nNitro, WV 25143\n<a href=\"https://www.google.com/maps?saddr&daddr=3901+39th+Street,+Nitro,+WV+25143\">Directions</a>[leaflet-marker lat=38.431512 lng=-81.837840]\n<br>\nAntigo, Wisconsin\n614 Century Ave.\nAntigo, WI 54409\n<a href=\"https://www.google.com/maps/dir//614+Century+Ave,+Antigo,+WI+54409/@45.1623284,-89.2207527,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x4d54c614647cf6f3:0x4a1fb5f95863e713!2m2!1d-89.1507129!2d45.1623498\">Directions</a>[leaflet-marker lat=45.162350 lng=-89.150713]\n</div>", "testlocation", "", "inherit", "closed", "closed", "", "1384-autosave-v1", "", "", "2018-07-19 23:52:13", "2018-07-19 23:52:13", "", "1384", "http://buckspizza.com/uncategorized/1384-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1400", "1", "2018-07-20 00:00:12", "2018-07-20 00:00:12", "[leaflet-map lat=44.59046718130883 lng=-63.28125000000001 zoom=5]\r\n<div style=\"font-size: 14px; overflow-y:scroll; height: 200px; background-color: #e6e6e6;\">\r\n<div style=\"margin-left:20px; \">\r\nDuBois, Pennsylvania\r\n53 Industrial Drive\r\nDuBois, PA 15801\r\n<a href=\"https://www.google.com/maps?saddr&daddr=53+Industrial+Drive,+DuBois,+PA+15801\">Directions</a>[leaflet-marker lat=41.129943 lng=-78.736842]\r\n<br>\r\nMobile, Alabama\r\n350 Dauphin Street\r\nMobile, AL 36602\r\n<a href=\"https://www.google.com/maps?saddr&daddr=350+Dauphin+Street,+Mobile,+AL+36602\">Directions</a>[leaflet-marker lat=30.690745 lng=-88.045803]\r\n<br>\r\nPeachtree City, Georgia\r\n1200 Highway 74 South\r\nPeachtree, GA 30269\r\n<a href=\"https://www.google.com/maps/dir//1200+Hwy+74+S,+Georgia/@33.3393016,-84.5235281,17z/data=!4m8!4m7!1m0!1m5!1m1!1s0x88f4eca0054429f9:0x11aadd106dd8f9d3!2m2!1d-84.5213394!2d33.3393016\">Directions</a>[leaflet-marker lat=33.339302 lng=-84.521339]\r\n<br>\r\nBuffalo, Minnesota\r\n405 MN-55\r\nBuffalo, MN 55313\r\n<a href=\"https://www.google.com/maps?saddr&daddr=405+MN-55,+Buffalo,+MN+55313\">Directions</a>[leaflet-marker lat=45.196162 lng=-93.901662]\r\n<br>\r\nGloversville, New York\r\n23 South Main Street\r\nGloversville, NY 12078\r\n<a href=\"https://www.google.com/maps/dir//23+S+Main+St,+Gloversville,+NY+12078/@43.0498986,-74.4158992,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x89def3088c0caddf:0x31538448d12e7c9a!2m2!1d-74.3458594!2d43.04992\">Directions</a>[leaflet-marker lat=43.049920 lng=-74.345859]\r\n<br>\r\nMorganton, North Carolina\r\n305 East Union Street\r\nMorganton, NC 28655\r\n<a href=\"https://www.google.com/maps/dir//305+E+Union+St,+Morganton,+NC+28655/@35.7480974,-81.6885242,17z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x8850d1d74d6f2e05:0x3b642339e8c8ffb7!2m2!1d-81.6863355!2d35.7480974\">Directions</a>[leaflet-marker lat=35.748097 lng=-81.686335]\r\n<br>\r\nTryon, North Carolina\r\n30 North Trade Street\r\nTryon, NC 28782\r\n<a href=\"https://www.google.com/maps/dir//30+N+Trade+St,+Tryon,+NC+28782/@35.2089968,-82.2407333,17z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x8859d8c0464a901b:0xb21962af91206f58!2m2!1d-82.2385446!2d35.2089968\">Directions</a>[leaflet-marker lat=35.208997 lng=-82.238545]\r\n<br>\r\nClearfield, Pennsylvania\r\n3055 Park Place\r\nClearfield, PA 16830\r\n<a href=\"https://www.google.com/maps?saddr&daddr=3055+Park+Place,+Clearfield,+PA+16830\">Directions</a>[leaflet-marker lat=41.027739 lng=-78.437137]\r\n<br>\r\nCharleston, South Carolina\r\n1660 Sam Rittenberg Blvd.\r\nCharleston, SC 29407\r\n<a href=\"https://www.google.com/maps/dir//1660+Sam+Rittenberg+Blvd,+Charleston,+SC+29407/@32.8060402,-80.082615,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x88fe7c790957fe4b:0x2897a0494e191984!2m2!1d-80.0125748!2d32.8060597\">Directions</a>[leaflet-marker lat=32.806060 lng=-80.012575]\r\n<br>\r\nLexington, South Carolina\r\n1856 B South Lake Drive\r\nLexington , SC 29073\r\n<a href=\"https://www.google.com/maps?saddr&daddr=1856+B+South+Lake+Drive,+Lexington+,+SC+29073\">Directions</a>[leaflet-marker lat=33.908945 lng=-81.225469]\r\n<br>\r\nWalterboro, South Carolina\r\n113 Robertson Blvd\r\nWalterboro, SC 29488\r\n<a href=\"https://www.google.com/maps?saddr&daddr=113+Robertson+Blvd,+Walterboro,+SC+29488\">Directions</a>[leaflet-marker lat=32.921420 lng=-80.677220]\r\n<br>\r\nClear Lake, Texas\r\n907 El Dorado Blvd.\r\nClear Lake, TX 77062\r\n<a href=\"https://www.google.com/maps?saddr&daddr=907+El+Dorado+Blvd.,+Clear+Lake,+TX+77062\">Directions</a>[leaflet-marker lat=29.566620 lng=-95.134758]\r\n<br>\r\nHidalgo, Texas\r\n802 North Jackson Road\r\nHidalgo, TX 78557\r\n<a href=\"https://www.google.com/maps?saddr&daddr=802+North+Jackson+Road,+Hidalgo,+TX+78557\">Directions</a>[leaflet-marker lat=26.190691 lng=-98.205982]\r\n<br>\r\nMission, Texas\r\n2401 South Shary Road\r\nSuite A\r\nMission, TX 78572\r\n<a href=\"https://www.google.com/maps?saddr&daddr=2401+South+Shary+Road+Suite+A,+Mission,+TX+78572\">Directions</a>[leaflet-marker lat=26.177388 lng=-98.289865]\r\n<br>\r\nMont Belvieu, Texas\r\n11540 Eagle Drive\r\nMont Belview, TX 77523\r\n<a href=\"https://www.google.com/maps?saddr&daddr=11540+Eagle+Drive,+Mont+Belview,+TX+77523\">Directions</a>[leaflet-marker lat=29.856865 lng=-94.863692]\r\n<br>\r\nNitro, West Virginia\r\n3901 39th Street\r\nNitro, WV 25143\r\n<a href=\"https://www.google.com/maps?saddr&daddr=3901+39th+Street,+Nitro,+WV+25143\">Directions</a>[leaflet-marker lat=38.431512 lng=-81.837840]\r\n<br>\r\nAntigo, Wisconsin\r\n614 Century Ave.\r\nAntigo, WI 54409\r\n<a href=\"https://www.google.com/maps/dir//614+Century+Ave,+Antigo,+WI+54409/@45.1623284,-89.2207527,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x4d54c614647cf6f3:0x4a1fb5f95863e713!2m2!1d-89.1507129!2d45.1623498\">Directions</a>[leaflet-marker lat=45.162350 lng=-89.150713]\r\n</div>\r\n</div>\r\n\r\n[STORE-LOCATOR]", "testlocation", "", "inherit", "closed", "closed", "", "1384-revision-v1", "", "", "2018-07-20 00:00:12", "2018-07-20 00:00:12", "", "1384", "http://buckspizza.com/uncategorized/1384-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1424", "1", "2019-10-14 19:22:28", "2019-10-14 19:22:28", "<h4><a href=\"http://buckspizza.com/clearfield-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Clearfield Location, Phone Number, and Online Ordering</a></h4>\n<h3><a href=\"http://buckspizza.com/party-paks/\" target=\"_blank\" rel=\"noopener noreferrer\">Party Paks - Pizza with Wings or Boneless Wings, Available for Dine-In or Carry-Out!</a></h3>\n<strong>NEW! Family Specials</strong>\n<h3><a href=\"http://buckspizza.com/family-specials/\" target=\"_blank\" rel=\"noopener noreferrer\">Family Specials - Choose One Pizza, then a Second Pizza, and add on Boneless Wings or Stix!</a></h3>\n<h3><a href=\"http://buckspizza.com/pick-a-pasta/\" target=\"_blank\" rel=\"noopener noreferrer\">Pick-A-Pasta is Back!!</a></h3>\n<h2>Buck\'s Famous Stix</h2>\nAdd bacon, banana peppers, or jalapeños to your stix–80¢ each, add extra cheese–$1.20\n\n<strong>Bread Stix</strong>–$3.99\n<em>Add bacon, banana peppers, or jalapenos to your stix - $0.80 each</em>\n<em>Add extra cheese - $1.20</em>\n<em>12 per order, covered with butter and spices with a side of marinara.</em>\n\n<strong>Cinnamon Stix</strong>–$4.99\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing. 12 per order.</em>\n\n<strong>Cheese Stix</strong>–$4.99\n<em>12 per order, covered in melted cheese with a side of marinara.</em>\n<h2>Starters</h2>\n<strong>Ciabatta Bread Pizza</strong>-$4.99\n<em>Made on our fresh baked ciabatta bread.  We add pizza sauce, mozzarella and pepperoni.  It is great for sharing and quick to the table!</em>\n\n<strong>Chips and Salsa</strong>–$5.99\n<em>Corn Chips &amp; house-made salsa.</em>\n\n<strong>Chips and Queso Dip</strong>–$6.99\n<em>Corn Chips &amp; house-made queso.</em>\n\n<strong>French Fries</strong>\n<em>Small –$3.49 Large–$5.99</em>\n<em>Add  cheddar, mozzarella, roasted garlic Parmesan\n$.99 each/$1.49 each</em>\n<em>Bacon, Jalapenos or banana peppers\n$.49 each/$.99 each</em>\n\n<strong>Meatball Appetizer</strong>-$7.99\n<em>6 meatballs in pasta sauce, melted mozzarella, fried peppers &amp; freshly backed Bread Stix</em>\n\n<strong>Fried Fresh Mozzarella</strong>-$10.99\n<em>18 cherry-sized mozzarella balls (Ciliegine), lightly hand-breaded and served with a side of pasta sauce.</em>\n\n<strong>Fried Cheese Ravioli</strong>-$10.99\n<em>6 Cheese ravioli, lightly hand-breaded. Served with a side of pasta sauce</em>\n\n<strong>Fried Mushrooms</strong>-$10.99\n<em>A heaping serving of fresh sliced mushrooms, hand-breaded &amp; cooked to order. Served with a side of ranch dressing.</em>\n\n<strong>Sample Platter</strong>-$16.99\n<em>Fried cheese ravioli, fried fresh mozzarella &amp; fried sliced mushrooms served with a side pasta sauce &amp; ranch. Plenty to share!</em>\n<h2>Fresh Baked Sandwiches</h2>\nServed on a fresh baked Italian Ciabatta bread roll with french fries and a pickle. If you would like extra meat, please ask your server. Dressings: Italian, Ranch, Blue Cheese, Mayo and more. Just ask!\nALL SANDWICHES AVAILABLE AS WRAPS!\n\n<strong>Italian</strong>–$9.49\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, and tomato and Italian dressing.</em>\n\n<strong>Vegi-Delite</strong>–$8.49\n<em>A garden fresh delight with mushrooms, onion, green pepper, black olives, green olives, and sliced tomato and covered in provolone.</em>\n\n<strong>Steak</strong>–$9.49\n<em>Real marinated, chipped USDA choice steak, mushrooms, onions, and green peppers smothered in provolone. Topped with lettuce and tomato and with your choice of dressing.</em>\n\n<strong>CBS</strong>–$9.49\n<em>Cheddar, bacon and real marinated USDA choice steak.</em>\n\n<strong>Turkey Club</strong>–$9.49\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\n\n<strong>Baked Ham</strong>–$8.49\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\n\n<strong>Turkey</strong>–$8.49\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\n\n<strong>Buffalo Chicken</strong>–$11.49\n<em>Breaded chicken breast tossed in your choice of wing sauce, covered in melted mozzarella. Topped with lettuce and tomato and with your choice of dressing.</em>\n\n<strong>Chicken Parmesan</strong>–$11.49\n<em>Buck\'s delicious chicken breast baked with our delicious tomato pasta sauce and smothered in melted mozzarella.</em>\n\n<strong>Chicken Bacon Ranch</strong>–$9.49\n<em>Delicious chicken covered in melted cheddar and sizzling bacon. Topped with lettuce and tomato and with your choice of dressing.</em>\n\n<strong>Meatball</strong>–$9.49\n<em>Meatballs, pasta sauce, and melted mozzarella.</em>\n\n<strong>Cod Fish Ciabatta</strong>–$11.49\n<em>lightly breaded, deliciously flaky and firm, cold water Cod fillets served with lettuce and tomato and with a side of tartar sauce.</em>\n<h2>Salads</h2>\nWould you like blue cheese, anchovies, olives or another item added to your salad? Add crumbled blue cheese to your salad for $1.99. Just ask your server. Dressings: Blue Cheese, Ranch, Fat Free Ranch, Caesar, Honey Mustard, Fat Free Raspberry Vinaigrette, Fat Free Italian, Italian, Greek, French, oil and vinegar, or Sweet &amp; Sour.\n**SMALL SALADS AVAILABLE AS WRAPS!\n\n<strong>Garden Salad</strong>–sm. $5.99, lg. $8.99\n<em>Romaine lettuce, cucumbers, red onion and tomato.</em>\n\n<strong>Chef Salad</strong>–sm. $7.49, lg. $12.99\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\n\n<strong>Chicken Tender Salad</strong>–sm. $7.49, lg. $12.99\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\n\n<strong>Caesar Salad</strong>–sm. $5.99, lg. $8.99\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\n\n<strong>Chicken Caesar Salad</strong>–sm. $6.99, lg. $11.99\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\n\n<strong>Greek Salad</strong>–sm. $7.49, lg. $12.99\n<em>Romaine lettuce, red onion, Kalamata olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\n\n<strong>Spinach Salad</strong>–sm. $7.49, lg. $12.99\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\n\n<strong>Fresh Mozzarella and Tomato Salad</strong>–sm. $6.49, lg. $10.99\n<em>\"Caprese Salad\" Delicious fresh roma tomato slices topped with fresh basil leaves, cherry-sized mozzarella balls (Ciliegine), and drizzled with Extra Virgin Olive Oil and Balsamic Vinegar.</em>\n<h2>Tenders, Wings and Boneless Wings</h2>\nadd blue cheese, ranch or any extra sauce–99¢ each, add celery–99¢\n<h3>Sauces</h3>\n<ul>\n 	<li style=\"list-style-type: none;\">\n<ul>\n 	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\n 	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\n 	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\n 	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\n 	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\n 	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\n 	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\n 	<li><strong>Jamaican Jerk</strong>–Unique and rich island flavor.</li>\n 	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\n 	<li><strong>Roasted Garlic Parmesan</strong>-fresh roasted garlic &amp; lots of parmesan.</li>\n</ul>\n</li>\n</ul>\nAdd blue cheese, ranch or any extra sauce- $.99 Each\nAdd Celery- $.99\n<h3>Boneless Wings</h3>\nBreaded chicken tender bites tossed in your favorite lip-smackin\' wing sauce.\n<ul>\n 	<li>Order of 10 (1 flavor)–$6.59</li>\n 	<li>Order of 20 (up to 2 flavors)–$12.99</li>\n 	<li>Order of 30 (up to 3 flavors)–$18.99</li>\n</ul>\n<h3>Chicken Wings</h3>\nTender chicken wings covered in our lip-smackin\' sauces.\n<ul>\n 	<li>Order of 5 (1 flavor)-$6.49</li>\n 	<li>Order of 10 (1 flavor)–$11.49</li>\n 	<li>Order of 20 (up to 2 flavors)–$22.49</li>\n 	<li>Order of 30 (up to 3 flavors)–$32.99</li>\n</ul>\n<h3>Chicken Tenders</h3>\nGenuine southern fried chicken tenders so lightly breaded they will melt in your mouth. Includes 1 dipping sauce of your choice.\n<ul>\n 	<li>Order of 6–$5.99</li>\n 	<li>Order of 8–$7.99</li>\n 	<li>Order of 12–$10.99</li>\n 	<li>Order of 20–$16.99</li>\n</ul>\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\nWant to Make Your Own Buck\'s Pizza at Home? Try our Take \'N Bake!\n\nChoose Hand-Tossed or Deep-Dish pizza! Gluten-free is available for small pizzas (+$3)! Ask your server.\n<h3>Pizza or Stromboli</h3>\n<ul>\n 	<li>Small 9\" (4 slices of pizza/2 pieces of Stromboli)–$5.99</li>\n 	<li>Medium 12\" (6 slices of pizza/3 pieces of Stromboli)–$8.99</li>\n 	<li>Large 14\" (8 slices of pizza/4 pieces of Stromboli)–$11.99</li>\n 	<li>X-Large 16\" (12 slices of pizza/5 pieces of Stromboli)–$13.99</li>\n</ul>\n<h3>Regular Toppings</h3>\nSmall 9\" 89¢ each, Medium 12\" $1.29 each, Large 14\" $1.69 each, X-Large 16\" $1.99 each\n<ul>\n 	<li>Pepperoni</li>\n 	<li>Ham</li>\n 	<li>Mushrooms</li>\n 	<li>Bacon</li>\n 	<li>Spanish onions</li>\n 	<li>Anchovies</li>\n 	<li>Red onions</li>\n 	<li>Hard Salami</li>\n 	<li>Green pepper</li>\n 	<li>Fresh Basil</li>\n 	<li>Sausage</li>\n 	<li>Minced garlic</li>\n 	<li>Roasted garlic</li>\n 	<li>Green olives</li>\n 	<li>Fresh spinach</li>\n 	<li>Black olives</li>\n 	<li>Pineapple</li>\n 	<li>Canadian bacon</li>\n 	<li>Jalapeños</li>\n 	<li>Banana peppers</li>\n 	<li>Roma tomatoes</li>\n 	<li>Ground beef</li>\n 	<li>Kalamata olives</li>\n 	<li>Fried sweet peppers</li>\n</ul>\n<h3>Premium Toppings</h3>\nSmall 9\" $1.99 each, Medium 12\" $2.99 each, Large 14\" $3.99 each, X-Large 16\" $4.99 each\n<ul>\n 	<li>Artichoke hearts</li>\n 	<li>Fresh mozzarella</li>\n 	<li>Chicken</li>\n 	<li>USDA choice steak</li>\n</ul>\n<h3>Extra Cheese</h3>\nSmall 9\" 99¢ each, Medium 12\" $1.49 each, Large 14\" $1.99 each, X-Large 16\" $2.49 each\n<ul>\n 	<li>Mozzarella</li>\n 	<li>Cheddar cheese</li>\n 	<li>Feta cheese</li>\n</ul>\n<h2>Specialty Pizzas and Strombolis</h2>\n<h3>Traditional Pizza Sauce</h3>\n<strong>Buck\'s Deluxe</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\n\n<strong>5 Meat</strong>–sm. $10.39, md. $15.39, lg. $20.39, xl. $23.89\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\n\n<strong>CBS Special</strong>–sm. $9.89, md. $14.59, lg. $19.39, xl. $22.69\n<em>Melted aged cheddar, sizzling bacon and chipped mouth watering USDA choice steak. Maybe we should call this one \'heaven-on-earth\'.</em>\n\n<strong>Vegi-Delite</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\n\n<strong>4 Cheese Medley</strong>–sm. $8.19, md. $12.19, lg. $16.19, xl. $18.89\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\n\n<strong>CBH Special</strong>–sm. $8.69, md. $12.99, lg. $17.19, xl. $19.99\n<em>Everything is better with bacon and this proves it. smoked ham, melted aged cheddar and sizzling bacon. Mmm good!</em>\n\n<strong>Bacon Cheeseburger</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\n\n<strong>Hawaiian</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\n\n<strong>Pepperoni Classic</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\n<em>America\'s favorite pizza with an edge to edge layer of pepperoni and extra mozzarella cheese.</em>\n\n<strong>Sausage Classic</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\n<em>Wake up your taste buds with lots of sausage and extra mozzarella.</em>\n\n<strong>Ham and Cheese</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\n<em>What could be simpler or more delicious than smoked ham and melted mozzarella and aged cheddar?</em>\n\n<strong>Wild Buck</strong>–sm. $12.59, md. $18.59, lg. $24.59, xl. $28.89\nIf you order \'everything-but-the-fish\' this is what you\'ll get. Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives and extra mozzarella...it\'s wild!\n<h3>White Pizza Sauce</h3>\n<strong>Chicken Club</strong>–sm. $10.39, md. $15.39, lg. $20.39, xl. $23.89\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, Canadian bacon, red onion and bacon.</em>\n\n<strong>Greek</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\n<em>A light garlic sauce, mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\n\n<strong>Margherita</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\n\n<strong>Italian</strong>–sm. $8.19, md. $12.19, lg. $16.19, xl. $18.89\n<em>Garlic sauce, hard salami, smoked ham, fresh onions, green peppers and lots of mozzarella. The flavor really pops with the oven-baked hard salami!</em>\n\n<strong>Old World</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\n\n<strong>Steak \'N Cheese</strong>–sm. $10.39, md. $15.39, lg. $20.39, xl. $23.89\n<em>Our special light garlic sauce topped with real marinated chipped USDA choice steak, onions, green peppers, mushrooms and extra mozzarella cheese.</em>\n<h3>Alfredo Sauce</h3>\n<strong>Spinach Alfredo</strong>–sm. $11.59, md. $17.09, lg. $22.59, xl. $26.49\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon and lots of mozzarella.</em>\n\n<strong>Chicken Alfredo</strong>–sm. $11.59, md. $17.09, lg. $22.59, xl. $26.49\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with 100% mozzarella cheese.</em>\n<h3>Non-Traditional Pizza Sauce</h3>\n<strong>BBQ Chicken</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, mozzarella and aged cheddar.</em>\n\n<strong>Buffalo Chicken</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\n<em>Your choice of Buck\'s mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella and chicken, all topped with sizzling bacon. Hang on to your hat!</em>\n\n<strong>Chicken Bacon Ranch</strong>–sm. $9.89, md. $14.59, lg. $19.39, xl. $22.69\n<em>We use ranch for the sauce, pile on the mozzarella, strips of grilled chicken breast, sizzling bacon and smother it all with aged cheddar cheese.</em>\n<h2>Pasta Dinners</h2>\nAll of our pasta meals are served with fresh baked Bread Stix and your choice of a Garden or Ceaser Salad. You may add a meatball to any meal for $1.50.\n\n<strong>great additions to your pasta</strong> Small $.50 Regular $1.00\n<ul>\n 	<li>Bacon</li>\n 	<li>Basil</li>\n 	<li>Roasted Garlic</li>\n 	<li>Mushrooms</li>\n 	<li>Black Olives</li>\n 	<li>Tomatoes</li>\n 	<li>Fried Peppers</li>\n 	<li>Pepperoni</li>\n 	<li>Sausage</li>\n 	<li>Spinach</li>\n</ul>\n<strong>Premium additions</strong> Small $1.50 Regular $3.00\n<ul>\n 	<li>Artichoke Hearts</li>\n 	<li>Chicken</li>\n 	<li>Steak</li>\n</ul>\nOur Tomato Pasta Sauce is made with vine-ripened tomatoes and only the finest ingredients for a simple, classic Old World flavor.\n\nCustomize Your Pasta! Change any sauce &amp; any pasta on any pasta dish. Choose from: tomato pasta sauce, alfredo sauce, tomato alfredo sauce, pesto sauce or roasted garlic parmesan.\n\n<strong>Spaghetti</strong>–sm. $7.99, reg. $10.99\n<em>A generous portion of spaghetti topped with the best tomato pasta sauce you will find anywhere.</em>\n\n<strong>Spaghetti and Meatballs</strong>–sm. $9.49, reg. $13.99\n<em>A generous portion of spaghetti topped with meatballs and the best tomato pasta sauce you will find anywhere.</em>\n\n<strong>Fettuccine Alfredo</strong>–sm. $8.99, reg. $12.99\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.</em>\n\n<strong>Chicken Alfredo</strong>–sm. $10.49, reg. $15.99\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce and with tender strips of grilled chicken.</em>\n\n<strong>Chicken Parmesan</strong>–sm. $10.49, reg. $15.99\n<em>Hand-breaded chicken covered in tomato pasta sauce and melted mozzarella served over penne.</em>\n\n<strong>Cheese Ravioli</strong>–sm. $9.99, reg. $15.99\n<em>Rich and creamy ricotta stuffed ravioli served with tomato pasta sauce.</em>\n\n<strong>Beef Ravioli</strong>–sm. $9.99, reg. $15.99\n<em>Tender and delicious beef stuffed ravioli served with tomato pasta sauce.</em>\n<h2>Dinners</h2>\n<strong>Southern Fried Chicken Tenders Dinner</strong>–sm. $7.49, lg. $12.99\n<em>Genuine southern fried chicken tenders, french fries and a side of cole slaw.</em>\n\n<strong>Cod Fish Dinner</strong>–$13.99\n<em>Lightly breaded, deliciously flaky and firm, cold-water cod fillets served with french fries, a side of cole slaw and a side of tartar sauce.</em>\n<h2>Kid\'s Menu</h2>\n<strong>Hand-Tossed Pizza</strong>–$7.99\n<em>with one regular topping and your choice of beverage.</em>\n\n<strong>Deep Dish Pizza</strong>–$7.99\n<em>with one regular topping and your choice of beverage.</em>\n\n<strong>French Bread Pizza</strong>–$5.99\n<em>with pepporoni and your choice of beverage.</em>\n\n<strong>Penne and Pasta Sauce</strong>–$6.49\n<em>and your choice of beverage.</em>\n\n<strong>4 Chicken Tenders, Apple Sauce, &amp; French Fries</strong>–$8.99\n<em>and your choice of beverage.</em>\n\n<b>Beverages</b>\n<em>Milk, Chocolate Milk, Apple Juice, Sweet Tea, Unsweet Tea, Coca-Cola Freestyle Flavors</em>\n<h2>Sweet Treats</h2>\n<strong>Cannoli</strong>–$1.69 each or 4 for $5.99\n<em>A crisp cannoli shell stuffed with sweet and creamy filling and chocolate chips.</em>\n\n<strong>Cinnamon Stix</strong>–$4.99\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing.</em>\n\n<strong>Gelato</strong>–$2.99\n<em>Ask for our current flavors!</em>\n\n<strong>Tiramisu</strong>-$4.99\n<em>Italy\'s most famous dessert, Tiramisu, \"Pick-Me-Up\" in Italian, is an elegant treat that\'s not too sweet or too filling. Start with layers of imported mascarpone cream and authentic ladyfingers, we then delicately soak them in espresso and finish with a dusting of cocoa powder.</em>\n\n<strong>Lemoncello Mascarpone Cake</strong>-$4.99\n\n<em>A rich combination of Sicilian lemon infused sponge cake and Italian mascarpone topped with European white chocolate curls. A refreshingly light creamy dessert with the perfect combination of sweet and tart. Served with a dollop of whipped cream.</em>\n\n<strong>Three-Layer Chocolate Cake</strong>-$5.99\n<em>A chocolate lover’s dream dessert! Rich three-layer chocolate cake filled and frosted with dark chocolate and fudge frosting with semi-sweet chocolate chips! Served drizzled with chocolate sauce, whipped cream, and a cherry.</em>\n<h2>Beverages</h2>\n<strong>White Milk, Chocolate Milk or Apple Juice</strong>–child  $.99, adult  $1.99 (no free refills)\n\n<strong>Hot Tea</strong>–$1.99\n<em>Free refills in restaurant, same visit only.</em>\n\n<strong>Coffee</strong> (Regular or Decaf)–$1.99\n<em>Free refills in restaurant, same visit only.</em>\n\n<strong>Fresh Brewed Southern-style Tea</strong>–child  $1.39, adult  $2.79\n<em>Choose sweet or unsweet tea. Free refills in restaurant, same visit only.</em>\n\n<strong>Fountain Beverage</strong>–child  $1.39, adult  $2.79\n\n<strong>Coca-Cola Freestyle selections</strong>–90+ caffeine-free choices, 80+ unique brands, 70+ low or no-calorie choices, and 50+ non-carbonated choices.\n<em>Free refills in restaurant, same visit only</em>\n<h3>Wine Selections</h3>\nPlease ask your server for our complete selection of Pennsylvania, California, Italian, Spanish, and French wines.\n\nHouse wines are available in: Chardonnay, Cabernet Sauvignon, Merlot, White Zinfandel\n\n<strong> Available by the Glass, ½ Bottle and Bottle</strong>\n<h3>Bottled Beer Selections</h3>\n<strong>Angry Orchard</strong>\n<strong>Bell\'s</strong>\n<strong>Bud</strong>\n<strong>Coors Light</strong>\n<strong>Dog Fish Head</strong>\n<strong>Dos Equis</strong>\n<strong>Magic Hat</strong>\n<strong>Michelob Ultra</strong>\n<strong>Molson</strong>\n<strong>Redd\'s Apple Ale</strong>\n<strong>Shiner Bock</strong>\n<strong>Sierra Nevada</strong>\n<strong>Smirnoff</strong>\n<strong>Straub</strong>\n<strong>Yuengling Black and Tan</strong>\n<h3>Draft Beer Selections</h3>\nAsk your server about our selection of craft beers.\n\n<strong>Blue Moon</strong>\n<strong>Bud Light</strong>\n<strong>Guinness&lt;/strong\n<strong>Miller Lite</strong>\n<strong>Sam Adams Seasonal</strong>\n<strong>Straub Amber</strong>\n<strong>Yuengling Lager</strong>\n<strong>Plus, a Rotating Tap</strong></strong>", "Menu", "", "inherit", "closed", "closed", "", "357-autosave-v1", "", "", "2019-10-14 19:22:28", "2019-10-14 19:22:28", "", "357", "http://buckspizza.com/uncategorized/357-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1429", "1", "2018-08-13 14:04:53", "2018-08-13 14:04:53", "", "Bucks Menu Insert 2018-PAP-Online", "", "inherit", "closed", "closed", "", "bucks-menu-insert-2018-pap-online", "", "", "2019-10-07 14:09:12", "2019-10-07 14:09:12", "", "357", "http://buckspizza.com/wp-content/uploads/2018/08/Bucks-Menu-Insert-2018-PAP-Online.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1432", "1", "2018-08-13 14:07:05", "2018-08-13 14:07:05", "", "Buck\'s Pizza- Party Paks", "", "inherit", "closed", "closed", "", "bucks-pizza-party-paks", "", "", "2018-08-13 14:07:05", "2018-08-13 14:07:05", "", "140", "http://buckspizza.com/wp-content/uploads/2018/08/Bucks-Pizza-Party-Paks.pdf", "0", "attachment", "application/pdf", "0");
INSERT INTO `wp_posts` VALUES("1450", "1", "2018-09-10 19:38:51", "2018-09-10 19:38:51", "", "Party Pak Pricing 2018.09.05", "", "inherit", "closed", "closed", "", "party-pak-pricing-2018-09-05", "", "", "2018-09-10 19:38:51", "2018-09-10 19:38:51", "", "54", "http://buckspizza.com/wp-content/uploads/2018/09/Party-Pak-Pricing-2018.09.05.pdf", "0", "attachment", "application/pdf", "0");
INSERT INTO `wp_posts` VALUES("1454", "1", "2018-09-12 15:54:41", "2018-09-12 15:54:41", "<img class=\"alignnone size-large wp-image-1892\" src=\"http://buckspizza.com/wp-content/uploads/2019/05/Bucks-Party-Paks-front-700x893.jpg\" alt=\"\" />\r\n<h3>Boneless Wings Party Pak</h3>\r\nMedium Pizza with 1-Regular Topping and 10 Boneless wings $12.99\r\nLarge Pizza with 1-Regular Topping and 20 Boneless wings $19.99\r\nX-Large Pizza with 1-Regular Topping and 30 Boneless wings $25.99\r\n<h3>Wings Party Pak</h3>\r\nMedium Pizza with 1-Regular Topping and 10 wings $17.99\r\nLarge Pizza with 1-Regular Topping and 20 wings $29.99\r\nX-Large Pizza with 1-Regular Topping and 30 wings $42.99", "Party Paks", "", "publish", "closed", "closed", "", "party-paks", "", "", "2019-05-06 14:34:07", "2019-05-06 14:34:07", "", "0", "http://buckspizza.com/?page_id=1454", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1463", "1", "2018-10-08 00:00:20", "2018-10-08 00:00:20", "350 Dauphin Street\nMobile, AL 36602\n<a href=\"http://buckspizza.com/wp-content/uploads/2018/09/Mobile-Alabama-Menu.pdf\" rel=\"noopener\" target=\"_blank\">Click to view menu</a>\n\n<a href=\"tel:251-431-9444\">251-431-9444</a> (<em>Click to call from mobile devices</em>)\n\n[leaflet-map zoom=10 lat=30.690770 lng=-88.045810]\n[leaflet-marker]\n\n\n\n<a href=\"https://www.google.com/maps/dir//1200+Hwy+74+S,+Georgia/@33.3393016,-84.5235281,17z/data=!4m8!4m7!1m0!1m5!1m1!1s0x88f4eca0054429f9:0x11aadd106dd8f9d3!2m2!1d-84.5213394!2d33.3393016\">Directions</a>\n\n\n", "Mobile, Alabama", "", "inherit", "closed", "closed", "", "36-autosave-v1", "", "", "2018-10-08 00:00:20", "2018-10-08 00:00:20", "", "36", "http://buckspizza.com/uncategorized/36-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1464", "1", "2018-09-25 13:55:54", "2018-09-25 13:55:54", "", "Mobile Alabama Menu", "", "inherit", "closed", "closed", "", "mobile-alabama-menu", "", "", "2018-09-25 13:55:54", "2018-09-25 13:55:54", "", "36", "http://buckspizza.com/wp-content/uploads/2018/09/Mobile-Alabama-Menu.pdf", "0", "attachment", "application/pdf", "0");
INSERT INTO `wp_posts` VALUES("1507", "1", "2018-10-08 00:10:01", "2018-10-08 00:10:01", "30 North Trade Street\r\nTryon, NC 28782\r\n\r\n<a href=\"tel:828-859-0400\">828-859-0400</a> (<em>Click to call from mobile devices</em>)\r\n\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=35.209030 lng=-82.238560]\r\n[leaflet-marker]", "Tryon, North Carolina", "", "inherit", "closed", "closed", "", "50-revision-v1", "", "", "2018-10-08 00:10:01", "2018-10-08 00:10:01", "", "50", "http://buckspizza.com/uncategorized/50-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1510", "1", "2018-10-08 00:12:45", "2018-10-08 00:12:45", "405 MN-55\r\nBuffalo, MN 55313\r\n\r\n<a href=\"tel:763-682-0000\">763-682-0000</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map zoom=13 height=500 zoomcontrol=1 lat=45.179393 lng=-93.869765]\r\n[leaflet-marker]", "Buffalo, Minnesota", "", "inherit", "closed", "closed", "", "44-revision-v1", "", "", "2018-10-08 00:12:45", "2018-10-08 00:12:45", "", "44", "http://buckspizza.com/uncategorized/44-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1511", "1", "2018-10-08 00:13:30", "2018-10-08 00:13:30", "23 S Main Street\r\nGloversville, NY 12078\r\n\r\n<a href=\"tel:518-773-8200\">518-773-8200</a> (<em>Click to call from mobile devices</em>)\r\n\r\n\r\n[leaflet-map zoom=13 height=500 zoomcontrol=1 lat=43.049890 lng=-74.345820]\r\n[leaflet-marker]", "Gloversville, New York", "", "inherit", "closed", "closed", "", "46-revision-v1", "", "", "2018-10-08 00:13:30", "2018-10-08 00:13:30", "", "46", "http://buckspizza.com/uncategorized/46-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1512", "1", "2018-10-08 00:14:04", "2018-10-08 00:14:04", "305 East Union Street\r\nMorganton, NC 28655\r\n\r\n<a href=\"tel:828-433-9006\">828-433-9006</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map zoom=13 height=500 zoomcontrol=1 lat=35.755620 lng=-81.677640]\r\n[leaflet-marker]", "Morganton, North Carolina", "", "inherit", "closed", "closed", "", "48-revision-v1", "", "", "2018-10-08 00:14:04", "2018-10-08 00:14:04", "", "48", "http://buckspizza.com/uncategorized/48-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1514", "1", "2018-10-08 00:35:57", "2018-10-08 00:35:57", "1856 B South Lake Dr.\r\nLexington, SC 29073\r\n\r\n<a href=\"tel:803-957-6100\">803-957-6100</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=33.908970 lng=-81.225020]\r\n[leaflet-marker]", "Lexington, South Carolina", "", "inherit", "closed", "closed", "", "60-revision-v1", "", "", "2018-10-08 00:35:57", "2018-10-08 00:35:57", "", "60", "http://buckspizza.com/uncategorized/60-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1518", "1", "2018-10-08 00:38:57", "2018-10-08 00:38:57", "907 El Dorado Blvd.\r\nClear Lake, TX 77062\r\n\r\n<a href=\"tel:281-474-2825\">281-474-2825</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=29.566540 lng=-95.134640]\r\n[leaflet-marker]", "Clear Lake, Texas", "", "inherit", "closed", "closed", "", "68-revision-v1", "", "", "2018-10-08 00:38:57", "2018-10-08 00:38:57", "", "68", "http://buckspizza.com/uncategorized/68-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1519", "1", "2018-10-08 00:39:49", "2018-10-08 00:39:49", "<h4><strong><a href=\"https://secure.microworks.com/Bucks/\" target=\"_blank\">Online Ordering</a>    </strong></h4>\r\n802 N. Jackson Rd\r\nHidalgo, TX 78557\r\n\r\n<a href=\"tel:956-843-9899\">956-843-9899</a> (<em>Click to call from mobile devices</em>)\r\n\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=26.105560 lng=-98.220460]\r\n[leaflet-marker]", "Hidalgo, Texas", "", "inherit", "closed", "closed", "", "70-revision-v1", "", "", "2018-10-08 00:39:49", "2018-10-08 00:39:49", "", "70", "http://buckspizza.com/uncategorized/70-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1520", "1", "2018-10-08 00:41:37", "2018-10-08 00:41:37", "2401 S Shary Road, Suite A\r\nMission, TX 78572\r\n\r\n<a href=\"tel:956-581-8611\">956-581-8611</a> (<em>Click to call from mobile devices</em>)\r\n\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=26.177350 lng=-98.291500]\r\n[leaflet-marker]", "Mission, Texas", "", "inherit", "closed", "closed", "", "74-revision-v1", "", "", "2018-10-08 00:41:37", "2018-10-08 00:41:37", "", "74", "http://buckspizza.com/uncategorized/74-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1522", "1", "2018-10-08 00:47:50", "2018-10-08 00:47:50", "3901 39th Street\r\nNitro, WV 25143\r\n\r\n<a href=\"tel:304-722-4000\">304-722-4000</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=38.431050 lng=-81.836340]\r\n[leaflet-marker]", "Nitro, West Virginia", "", "inherit", "closed", "closed", "", "78-revision-v1", "", "", "2018-10-08 00:47:50", "2018-10-08 00:47:50", "", "78", "http://buckspizza.com/uncategorized/78-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1523", "1", "2018-10-08 00:48:56", "2018-10-08 00:48:56", "614 Century Ave.\r\nAntigo, WI 54409\r\n\r\n<a href=\"tel:715-623-2222\">715-623-2222</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=45.162370 lng=-89.150800]\r\n[leaflet-marker]", "Antigo, Wisconsin", "", "inherit", "closed", "closed", "", "80-revision-v1", "", "", "2018-10-08 00:48:56", "2018-10-08 00:48:56", "", "80", "http://buckspizza.com/uncategorized/80-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1529", "1", "2018-10-08 21:20:51", "2018-10-08 21:20:51", "<h4><a href=\"http://buckspizza.com/mobile-al/\" target=\"_blank\" rel=\"noopener\">Mobile Location and Phone Number</a></h4>\r\n\r\n<h2>BUCK’S FAMOUS STIX</h2>\r\n\r\n<strong>BREAD STIX</strong>–$3.99\r\n<em>covered with butter, spices and & side of marinara</em>\r\n<br>\r\n<strong>CHEESE STIX</strong>-$5.99\r\n<em>smothered with mozzarella & a side of marinara</em>\r\n<em>add jalapeño, bacon, banana peppers .80¢ each, extra cheese 1.20</em>\r\n<br>\r\n<strong>CINNAMON STIX</strong>-$5.99\r\n<em>drizzled with icing</em>\r\n<br>\r\n<h2>STARTERS</h2>\r\n<br>\r\n<strong>CHIPS & SALSA</strong>-$4.99\r\n<br>\r\n<strong>BRUSCHETTA</strong>-$5.99\r\n<em>served over ciabatta</em>\r\n<br>\r\n<strong>HOT CHIPS</strong>-$4.99\r\n<em>served with chipotle dip</em>\r\n<br>\r\n<strong>FRENCH FRIES</strong>\r\n<em>Small-$2.99 Large-$5.49</em>\r\n<em>golden beer battered</em>\r\n<em>add bacon, cheddar, mozzarella, roasted garlic parmesan small 1.00 each large 2.00 each add jalapeño or banana peppers small .50¢ each large 1.00 each</em>\r\n<br>\r\n<strong>FRIED CHEESE RAVIOLI</strong>-$8.99\r\n<em>hand breaded with a side of marinara</em>\r\n<br>\r\n<strong>FRIED MOZZARELLA</strong>-$8.99\r\n<em>fresh mozzarella lightly hand breaded with a side of marinara</em>\r\n<br>\r\n<strong>FRIED MUSHROOMS </strong>-$7.99\r\n<em>sliced & hand battered with a side of ranch or homemade horseradish sauce</em>\r\n<br>\r\n<strong>FRIED PICKLES</strong>-$6.99\r\n<em>lightly breaded dill pickle spears served with ranch dip</em>\r\n<br>\r\n<strong>MEATBALL APPETIZER</strong>-$6.99\r\n<em>meatballs in a ciabatta bowl topped with pasta sauce, roasted red peppers and melted mozzarella</em>\r\n<br>\r\n<strong>NACHOS</strong>-$7.99\r\n<em>cheddar cheese, banana peppers, onions, black olives, green Peppers, lettuce, tomatoes served over corn chips with sour cream, guacamole & salsa</em>\r\n<em>add beef 1.00 | chicken, steak or shrimp 2.00</em>\r\n<br>\r\n<strong>PEPPERONI ROLLS</strong>\r\n<em>3 rolls- $5.49 5 rolls- $7.99</em>\r\n<em>spicy pepperoni and provolone cheese baked in a tender Buck’s roll. Served with your choice of ranch or marinara for dipping.</em>\r\n<br>\r\n<strong>SAMPLER PLATTER </strong>-$12.99\r\n<em>fried cheese ravioli, fried fresh mozzarella, & fried mushrooms. Served with a side of marinara and ranch. Plenty to share!</em>\r\n<br>\r\n<h2>SIDES</h2>\r\n\r\n<strong>HOT CHIPS</strong>-sm. $2.99, lg. $5.49\r\n<em>fresh hot chips</em>\r\n<br>\r\n<strong>ONION RINGS</strong>-sm. $3.49, lg. $5.99\r\n<br>\r\n<strong>FRENCH FRIES</strong>-sm. $3.49, lg. $5.99\r\n<em>golden beer battered</em>\r\n<br>\r\n<em>add bacon, cheddar, mozzarella, roasted garlic parmesan small 1.00 each large 2.00 each\r\nadd jalapeño or banana peppers small .50¢ each large 1.00 each</em>\r\n\r\n\r\n\r\n\r\n\r\n<h2>FRESH BAKED SANDWICHES & WRAPS</h2>\r\nSandwiches served on a fresh baked Italian ciabatta bread roll, wraps on a tortilla\r\n<br>\r\n\r\n<strong>TURKEY CLUB</strong>-$5.99\r\n<em>turkey, bacon, ham, melted cheese, lettuce & tomatoes</em>\r\n<br>\r\n<strong>CBS</strong>-$6.99\r\n<em>cheddar, bacon, marinated USDA choice steak</em>\r\n<br>\r\n<strong>MEATBALL</strong>-$5.99\r\n<em>meatballs, pasta sauce & melted mozzarella</em>\r\n<br>\r\n<strong>ITALIAN</strong>-$5.99\r\n<em>ham, salami, onion, melted cheese, green peppers, tomato & italian dressing</em>\r\n<br>\r\n<strong>CHIPOTLE BASIL CHICKEN</strong>-$5.99\r\n<em>spinach, basil, red onion, chicken, melted mozzarella and chipotle sauce </em>\r\n<br>\r\n<strong>CLASSIC BUFFALO CHICKEN</strong>-$6.99\r\n<em>breaded chicken tossed with wing sauce, covered in melted mozzarella topped with lettuce and tomato</em>\r\n<br>\r\n<strong>CHICKEN PARMESAN</strong>-$7.99\r\n<em>breaded chicken baked with pasta sauce & smothered in melted mozzarella</em>\r\n<br>\r\n<strong>STEAK</strong>-$6.99\r\n<em>mushrooms, onions & green peppers & steam smothered in provolone. Topped with lettuce, tomatoes & your choice of dressing	</em>\r\n<br>\r\n<strong>CHICKEN BACON RANCH</strong>-$5.99\r\n<em>delicious chicken covered in melted cheddar & sizzling bacon. Topped with lettuce, tomatoes & Ranch dressing</em>\r\n<br>\r\n<strong>VEGI-DELITE</strong>-$4.99\r\n<em>garden fresh delight with mushrooms, onions, green peppers, black olives, green olives, tomatoes & melted cheese</em>\r\n<br>\r\n<h2>SALADS</h2>\r\nDressings: blue cheese, caesar, greek, honey mustard, ranch, italian, balsamic, thousand island, oil & vinegar.\r\n<br>\r\n<strong>GARDEN SALAD</strong>-sm. $4.49, lg. $7.49\r\n<em>lettuce, cucumbers, red onions, tomatoes</em>\r\n<br>\r\n<strong>CAESAR SALAD</strong>-sm. $4.49, lg. $7.49\r\n<em>lettuce, parmesan cheese & croutons</em>\r\n<br>\r\n<strong>CHICKEN CAESAR SALAD</strong>-sm. $5.49, lg. $9.99\r\n<em>lettuce, parmesan cheese, croutons & topped with chicken</em>\r\n<br>\r\n<strong>SPINACH SALAD</strong>-sm. $5.99, lg. $10.99\r\n<em>blend of lettuce and spinach black olives, cucumbers, red onions, bacon & feta cheese</em>\r\n<br>\r\n<strong>CHEF SALAD</strong>-sm. $5.99, lg. $10.99\r\n<em>lettuce, cucumbers, red onions, tomatoes, cheddar cheese, ham, turkey & bacon</em>\r\n<br>\r\n<strong>FRIED CHICKEN SALAD</strong>-sm. $5.99, lg. $10.99\r\n<em>lettuce, red onions tomatoes bacon, cheddar cheese, topped with fried chicken tossed on your favorite Buck’s wing sauce </em>\r\n<br>\r\n<strong>GREEK SALAD</strong>-sm. $5.99, lg. $10.99\r\n<em>lettuce, red onions, kalamata olives, artichoke hearts & feta cheese </em>\r\n<br>\r\n<h2>TENDERS, WINGS AND BONELESS WINGS</h2>\r\n<br>\r\nadd blue cheese, ranch or any extra sauce–99¢ each, add celery–50¢\r\n<br>\r\n<h3>SAUCES</h3>\r\n<ul>\r\n<li><strong>Asian Sweet & Spicy</strong></li>\r\n<li><strong>Mango Habanero</strong></li>\r\n<li><strong>Jamaican Jerk</strong></li>\r\n<li><strong>Honey Sriracha</strong></li>\r\n<li><strong>Buffalo Ranch</strong></li>\r\n<li><strong>Spicy Garlic</strong></li>\r\n<li><strong>Mild</strong></li>\r\n<li><strong>Medium</strong></li>\r\n<li><strong>Hot</strong></li>\r\n<li><strong>Roasted Garlic Parmesan</strong></li>\r\n<li><strong>BBQ</strong></li>\r\n<li><strong>Honey BBQ</strong></li>\r\n<li><strong>Spicy BBQ</strong></li>\r\n</ul>\r\n\r\n<h3>Boneless Wings</h3>\r\nBreaded chicken tender bites tossed in your favorite lip-smackin\' wing sauce.\r\n<ul>\r\n 	<li>Order of 10 (1 flavor)–$5.99</li>\r\n        <li>Order of 15 (1 flavor)–$8.49</li>\r\n 	<li>Order of 20 (up to 2 flavors)–$10.99</li>\r\n 	<li>Order of 30 (up to 3 flavors)–$15.99</li>\r\n</ul>\r\n<h3>Chicken Wings</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n<ul>\r\n 	<li>Order of 10 (1 flavor)–$8.99</li>\r\n        <li>Order of 15 (1 flavor)–$13.49</li>\r\n 	<li>Order of 20 (up to 2 flavors)–$17.99</li>\r\n 	<li>Order of 30 (up to 3 flavors)–$26.99</li>\r\n</ul>\r\n<h3>Chicken Tenders</h3>\r\nIncludes 1 dipping sauce of your choice\r\n<ul>\r\n 	<li>Order of 6–$5.99</li>\r\n 	<li>Order of 8–$7.99</li>\r\n 	<li>Order of 12–$10.99</li>\r\n 	<li>Order of 20–$16.99</li>\r\n</ul>\r\n<br>\r\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\r\n<em>Gluten-free large pizza is available!</em>\r\n<br>\r\n<h3>Pizza or Stromboli</h3>\r\n<ul>\r\n 	<li>Small 9\" (4 slices of pizza/2 pieces of Stromboli)–$4.99</li>\r\n 	<li>Medium 12\" (6 slices of pizza/3 pieces of Stromboli)–$7.99</li>\r\n 	<li>Large 14\" (8 slices of pizza/4 pieces of Stromboli)–$10.99</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\nSmall 9\" 80¢ each, Medium 12\" $1.20 each, and Large 14\" $1.60 each\r\n<ul>\r\n<li>anchovies</li>\r\n<li>Bacon</li>\r\n<li>Basil</li>\r\n<li>canadian bacon</li>\r\n<li>ground beef</li>\r\n<li>Ham</li>\r\n<li>Mushrooms</li>\r\n<li>Meatball</li>\r\n<li>black olives</li>\r\n<li>green olives</li>\r\n<li>kalamata olives</li>\r\n<li>pepperoni</li>\r\n<li>red onions</li>\r\n<li>white onions</li>\r\n<li>banana peppers</li>\r\n<li>green peppers</li>\r\n<li>jalapeño peppers</li>\r\n<li>roasted red peppers</li>\r\n<li>pineapple</li>\r\n<li>roasted garlic</li>\r\n<li>salami</li>\r\n<li>sausage</li>\r\n<li>spinach</li>\r\n<li>tomatoes</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\nSmall 9\" $2.40 each, Medium 12\" $3.60 each, Large 14\" $4.80 each\r\n<ul>\r\n<li>Alfredo sauce</li>\r\n<li>Artichoke hearts</li>\r\n<li>Chicken</li>\r\n<li>Fresh mozzarella</li>\r\n<li>Shrimp</li>\r\n<li>Steak</li>\r\n</ul>\r\n<h3>Extra Cheese</h3>\r\nSmall 9\" $1.20 each, Medium 12\" $1.80 each, and Large 14\" $2.40 each\r\n<ul>\r\n 	<li>Mozzarella</li>\r\n 	<li>Cheddar cheese</li>\r\n 	<li>Feta cheese</li>\r\n</ul>\r\n<h2>Specialty Pizzas and Strombolis</h2>\r\n<em>Gluten-free large pizza is available!</em>\r\n<strong>Buck\'s Deluxe</strong>–sm. $8.99, md. $13.99, lg. $18.99\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n<br>\r\n<strong>5 Meat</strong>–sm. $8.99, md. $13.99, lg. $18.99\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n<br>\r\n<strong>Hawaiian</strong>–sm. $6.59, md. $10.39, lg. $14.19\r\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\r\n<br>\r\n<strong>CBS</strong>–sm. $8.99, md. $13.99, lg. $18.99\r\n<em>Melted aged cheddar, sizzling bacon and chipped mouth watering USDA choice steak.</em>\r\n<br>\r\n<strong>Chicken Bacon Ranch</strong>–sm. $8.99, md. $13.99, lg. $18.99\r\n<em>We use ranch for the sauce, pile on the mozzarella, strips of grilled chicken, sizzling bacon and smother it all with aged cheddar cheese.</em>\r\n<br>\r\n<strong>Spinach Alfredo</strong>–sm. $10.99, md. $16.99, lg. $22.99\r\n<em>a creamy alfredo sauce topped with spinach, tomatoes, bacon and lots of mozzarella</em>\r\n<br>\r\n<strong>Pepperoni Classic</strong>–sm. $6.59, md. $10.39, lg. $14.19\r\n<em>edge to edge layer of pepperoni and extra mozzarella cheese.</em>\r\n<br>\r\n<strong>TACO PIE</strong>-sm. 7.39, md. 11.59, lg. 15.79\r\n<em>ground beef, onions,\r\ncheddar & mozzarella cheese topped with lettuce & tomatoes </em>\r\n<br>\r\n<strong>BBQ Chicken</strong>–sm. $8.99, md. $13.99, lg. $18.99\r\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, bacon, mozzarella and cheddar cheese.</em>\r\n<br>\r\n<strong>Wild Buck</strong>–sm. $10.99, md. $16.99, lg. $22.99\r\n<em>Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives and extra mozzarella.</em>\r\n<br>\r\n<strong>Vegi-Delite</strong>–sm. $8.99, md. $13.99, lg. $18.99\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\r\n<br>\r\n<strong>4 Cheese Medley</strong>–sm. $7.39, md. $11.59, lg. $15.79\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese.</em>\r\n<br>\r\n<strong>Buffalo Chicken</strong>–sm. $8.99, md. $13.99, lg. $18.99\r\n<em>Your choice of Buck\'s mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella and chicken, all topped with sizzling bacon.</em>\r\n<br>\r\n<strong>Bacon Cheeseburger</strong>–sm. $6.59, md. $10.39, lg. $14.19\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and cheddar cheese.</em>\r\n<br>\r\n<strong>Chicken Alfredo</strong>–sm. $10.99, md. $16.99, lg. $22.99\r\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with 100% mozzarella cheese.</em>\r\n<h3>GARLIC SAUCE</h3>\r\n<strong>MARGAHERITA</strong>-sm. $8.99, md. $13.99, lg. $18.99\r\n<em>sliced tomatoes, basil, & lots of mozzarella</em>\r\n<br>\r\n<strong>ITALIAN</strong>-sm. $7.39, md. $11.59, lg. $15.79\r\n<em>salami, smoked ham, onions, green peppers, mozzarella </em>\r\n<br>\r\n<strong>CHICKEN CLUB</strong>-sm. $8.99, md. $13.99, lg. $18.99\r\n<em>mozzarella chicken, canadian bacon, red onions & bacon </em>\r\n<br>\r\n<strong>OLD WORLD</strong>-sm. $6.59, md. $10.39, lg. $14.19\r\n<em>mozzarella, bacon, & tomatoes </em>\r\n<br>\r\n<h2>Pasta Dinners</h2>\r\nAll of our pasta meals are served with fresh baked Bread Stix\r\n<br>\r\nCustomize Your Pasta! Change any sauce &amp; any pasta on any pasta dish. Choose from: tomato pasta sauce, alfredo sauce, tomato alfredo sauce, pesto sauce or roasted garlic parmesan.\r\n\r\n\r\n<strong>great additions to your pasta</strong> Small $.50 Regular $1.00\r\n<ul>\r\n 	<li>Bacon</li>\r\n 	<li>Basil</li>\r\n 	<li>Roasted Garlic</li>\r\n 	<li>Mushrooms</li>\r\n 	<li>Black Olives</li>\r\n 	<li>Tomatoes</li>\r\n 	<li>Roasted Red Peppers</li>\r\n 	<li>Pepperoni</li>\r\n 	<li>Sausage</li>\r\n 	<li>Spinach</li>\r\n</ul>\r\n\r\n\r\n<strong>Pesto Tortelloni</strong>-sm. $7.99, reg. $14.99\r\n<em>cheese stuffed tortelloni served with Pesto sauce</em>\r\n<br>\r\n<strong>Spaghetti</strong>–sm. $4.99, reg. $7.99\r\n<em>A generous portion of spaghetti topped with the best tomato pasta sauce you will find anywhere.</em>\r\n<br>\r\n<strong>Spaghetti and Meatballs</strong>–sm. $6.49, reg. $10.99\r\n<em>A generous portion of spaghetti topped with meatballs and the best tomato pasta sauce you will find anywhere.</em>\r\n<br>\r\n<strong>Fettuccine Alfredo</strong>–sm. $5.99, reg. $9.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.</em>\r\n<br>\r\n<strong>Chicken Alfredo</strong>–sm. $7.49, reg. $12.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce and with tender strips of chicken.</em>\r\n<br>\r\n<strong>Shrimp Alfredo</strong>–sm. $9.49, reg. $14.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce and with shrimp.</em>\r\n<br>\r\n<strong>Chicken Parmesan</strong>–sm. $7.49, reg. $12.99\r\n<em>Hand-breaded chicken covered in tomato pasta sauce and melted mozzarella served over penne.</em>\r\n<br>\r\n<strong>Cheese Ravioli</strong>–sm. $6.99, reg. $12.99\r\n<em>Rich and creamy ricotta stuffed ravioli served with tomato pasta sauce.</em>\r\n<br>\r\n<strong>Portobello Ravioli</strong>-sm. $7.99, reg. $14.99\r\n<em>Portobello mushrooms with ricotta & romano cheese stuffed ravioli served with tomato pasta sauce</em>\r\n<br>\r\n<h2>Sweet Treats</h2>\r\n<br>\r\n<strong>Cannoli</strong>–$1.59 each or 4 for $5.99\r\n<em>a crisp cannoli shell stuffed with sweet, creamy filling & chocolate chips.</em>\r\n<br>\r\n<strong>Cinnamon Stix</strong>–$5.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing.</em>\r\n<br>\r\n<strong>Ice Cream</strong>-$2.99\r\n<em>Vanilla or chocolate</em>\r\n<br>\r\n<strong>Chocolate Chip Cookies</strong>–75¢ each or 4 for $3.00\r\n<br>\r\n<strong>Apple Stromboli</strong>-$6.99\r\n<em>packed with apples, cinnamon, icing topped</em>\r\n<br>\r\n<strong>Cheesecake</strong>-$4.99\r\n<em>topped with chocolate syrup</em>\r\n<br>\r\n<strong>Ice Cream Float</strong>-$4.99\r\n<em>mix with coke or root beer</em>\r\n<br>\r\n<strong>Chocolate Chip Cookie Sandwich</strong>\r\n<em>cannoli filling</em>-$1.99\r\n<em>ice cream filling</em>-$2.99\r\n<br>\r\n<strong>Brownie</strong>-$3.99\r\n<em>topped with chocolate & caramel sauce</em>\r\n<br>\r\n<strong>Brownie Sundae</strong>-$5.99\r\n<em>covered with vanilla or chocolate ice cream topped with chocolate and caramel sauce.</em>\r\n<br>\r\n<h2>Beverages</h2>\r\n<br>\r\n<strong>Apple Juice, Milk (chocolate)</strong>-Child $1.19, Adult $1.99\r\n<br>\r\n<strong>Coffee</strong>- $1.99\r\n<br>\r\n<strong>Coke, Diet Coke, Sprite, Dr. Pepper, Hi-C Pink Lemonade, Root Beer\r\nSweet Tea, Unsweet Tea, Fresh Brewed Lemonade </strong>- Child $1.29, Adult $2.49\r\n<br>\r\n<h3>Wine Selections</h3>\r\n<br>\r\n<strong>Chardonnay, Pinot Grigio, Moscato, White Zinfandel, Merlot, Pinot Noir, Cabernet Sauvignon</strong>-glass $4.00, 1/2 bottle $6.00, bottle $12.00\r\n<br>\r\n<h3>Bottled Beer Selections</h3>\r\n<strong>Bud</strong>-$3.50\r\n<strong>Bud Light</strong>-$3.50\r\n<strong>Coors Light</strong>-$3.50\r\n<strong>Corona</strong>-$4.00\r\n<strong>Heineken</strong>-$4.00\r\n<strong>High Life</strong>-$1.50\r\n<strong>Miller Lite</strong>-$3.50\r\n<strong>Michelob Ultra</strong>-$3.50\r\n<strong>Pabst Blue Ribbon</strong>-$1.50\r\n\r\n<h3>Draft Beer</h3>\r\n<strong>Blue Moon</strong>-16oz. $4.00, Pitcher $10.00\r\n<strong>Michelob Ultra</strong>-16oz. $3.50, Pitcher $8.75\r\n<strong>Stella Artois</strong>-16oz. $4.00, Pitcher $10.00\r\n<strong>Yuengling Lager</strong>-16oz. $3.50, Pitcher $8.75\r\n\r\n<h2>PICK A PASTA $9.99</h2>\r\n\r\n<h3>Monday - Friday 11:00 - 3:30 pm</h3>\r\n<br>\r\n<strong>Pick a Salad</strong>\r\n<em>Ceasar salad</em>\r\n<em>Garden salad</em>\r\n<br>\r\n<strong>Pick a Pasta</strong>\r\n<em>Chicken Parmesan</em>\r\n<em>Fettucinne Alfredo</em>\r\n<em>Cheese Ravioli</em>\r\n<em>Speghetti and Meatballs</em>\r\n<em>Speghetti</em>\r\n<br>\r\n<strong>Pick a Dessert</strong>\r\n<em>Cannoli (1)</em>\r\n<em>Chocolate Chip Cookie (2)</em>\r\n<em>Brownie (1)</em>\r\n", "Menu", "", "publish", "closed", "closed", "", "mobile-al-menu", "", "", "2018-10-11 20:40:32", "2018-10-11 20:40:32", "", "0", "http://buckspizza.com/?page_id=1529", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1537", "1", "2018-10-10 00:50:51", "2018-10-10 00:50:51", "<h4><a href=\"http://buckspizza.com/mobile-al/\" target=\"_blank\" rel=\"noopener\">Mobile Location and Phone Number</a></h4>\n\n<h2>BUCK’S FAMOUS STIX</h2>\n\n<strong>BREAD STIX</strong>–$3.99\n<em>covered with butter, spices and & side of marinara</em>\n<br>\n<strong>CHEESE STIX</strong>-$5.99\n<em>smothered with mozzarella & a side of marinara</em>\n<em>add jalapeño, bacon, banana peppers .80¢ each, extra cheese 1.20</em>\n<br>\n<strong>CINNAMON STIX</strong>-$5.99\n<em>drizzled with icing</em>\n<br>\n<h2>STARTERS</h2>\n<br>\n<strong>CHIPS & SALSA</strong>-$4.99\n<br>\n<strong>BRUSCHETTA</strong>-$5.99\n<em>served over ciabatta</em>\n<br>\n<strong>HOT CHIPS</strong>-$4.99\n<em>served with chipotle dip</em>\n<br>\n<strong>FRENCH FRIES</strong>\n<em>Small-$2.99 Large-$5.49</em>\n<em>golden beer battered</em>\n<em>add bacon, cheddar, mozzarella, roasted garlic parmesan small 1.00 each large 2.00 each add jalapeño or banana peppers small .50¢ each large 1.00 each</em>\n<br>\n<strong>FRIED CHEESE RAVIOLI</strong>-$8.99\n<em>hand breaded with a side of marinara</em>\n<br>\n<strong>FRIED MOZZARELLA</strong>-$8.99\n<em>fresh mozzarella lightly hand breaded with a side of marinara</em>\n<br>\n<strong>FRIED MUSHROOMS </strong>-$7.99\n<em>sliced & hand battered with a side of ranch or homemade horseradish sauce</em>\n<br>\n<strong>FRIED PICKLES</strong>-$6.99\n<em>lightly breaded dill pickle spears served with ranch dip</em>\n<br>\n<strong>MEATBALL APPETIZER</strong>-$6.99\n<em>meatballs in a ciabatta bowl topped with pasta sauce, roasted red peppers and melted mozzarella</em>\n<br>\n<strong>NACHOS</strong>-$7.99\n<em>cheddar cheese, banana peppers, onions, black olives, green Peppers, lettuce, tomatoes served over corn chips with sour cream, guacamole & salsa</em>\n<em>add beef 1.00 | chicken, steak or shrimp 2.00</em>\n<br>\n<strong>PEPPERONI ROLLS</strong>\n<em>3 rolls- $5.49 5 rolls- $7.99</em>\n<em>spicy pepperoni and provolone cheese baked in a tender Buck’s roll. Served with your choice of ranch or marinara for dipping.</em>\n<br>\n<strong>SAMPLER PLATTER </strong>-$12.99\n<em>fried cheese ravioli, fried fresh mozzarella, & fried mushrooms. Served with a side of marinara and ranch. Plenty to share!</em>\n<br>\n\n<h2>FRESH BAKED SANDWICHES & WRAPS</h2>\nSandwiches served on a fresh baked Italian ciabatta bread roll, wraps on a tortilla\n<br>\n\n<strong>TURKEY CLUB</strong>-$5.99\n<em>turkey, bacon, ham, melted cheese, lettuce & tomatoes</em>\n<br>\n<strong>CBS</strong>-$6.99\n<em>cheddar, bacon, marinated USDA choice steak</em>\n<br>\n<strong>MEATBALL</strong>-$5.99\n<em>meatballs, pasta sauce & melted mozzarella</em>\n<br>\n<strong>ITALIAN</strong>-$5.99\n<em>ham, salami, onion, melted cheese, green peppers, tomato & italian dressing</em>\n<br>\n<strong>CHIPOTLE BASIL CHICKEN</strong>-$5.99\n<em>spinach, basil, red onion, chicken, melted mozzarella and chipotle sauce </em>\n<br>\n<strong>CLASSIC BUFFALO CHICKEN</strong>-$6.99\n<em>breaded chicken tossed with wing sauce, covered in melted mozzarella topped with lettuce and tomato</em>\n<br>\n<strong>CHICKEN PARMESAN</strong>-$7.99\n<em>breaded chicken baked with pasta sauce & smothered in melted mozzarella</em>\n<br>\n<strong>STEAK</strong>-$6.99\n<em>mushrooms, onions & green peppers & steam smothered in provolone. Topped with lettuce, tomatoes & your choice of dressing	</em>\n<br>\n<strong>CHICKEN BACON RANCH</strong>-$5.99\n<em>delicious chicken covered in melted cheddar & sizzling bacon. Topped with lettuce, tomatoes & Ranch dressing</em>\n<br>\n<strong>VEGI-DELITE</strong>-$4.99\n<em>garden fresh delight with mushrooms, onions, green peppers, black olives, green olives, tomatoes & melted cheese</em>\n<br>\n<h2>SALADS</h2>\ndressings: blue cheese, caesar, greek, honey mustard, ranch, italian, balsamic, thousand island, oil & vinegar\n<strong>GARDEN SALAD</strong>-sm. $4.49, lg. $7.49\n<em>lettuce, cucumbers, red onions, tomatoes</em>\n<br>\n<strong>CAESAR SALAD</strong>-sm. $4.49, lg. $7.49\n<em>lettuce, parmesan cheese & croutons</em>\n<br>\n<strong>CHICKEN CAESAR SALAD</strong>-sm. $5.49, lg. $9.99\n<em>lettuce, parmesan cheese, croutons & topped with chicken</em>\n<br>\n<strong>SPINACH SALAD</strong>-sm. $5.99, lg. $10.99\n<em>blend of lettuce and spinach black olives, cucumbers, red onions, bacon & feta cheese</em>\n<br>\n<strong>CHEF SALAD</strong>-sm. $5.99, lg. $10.99\n<em>lettuce, cucumbers, red onions, tomatoes, cheddar cheese, ham, turkey & bacon</em>\n<br>\n<strong>FRIED CHICKEN SALAD</strong>-sm. $5.99, lg. $10.99\n<em>lettuce, red onions tomatoes bacon, cheddar cheese, topped with fried chicken tossed on your favorite Buck’s wing sauce </em>\n<br>\n<strong>GREEK SALAD</strong>-sm. $5.99, lg. $10.99\n<em>lettuce, red onions, kalamata olives, artichoke hearts & feta cheese </em>\n<br>\n<h2>TENDERS, WINGS AND BONELESS WINGS</h2>\n<br>\nadd blue cheese, ranch or any extra sauce–99¢ each, add celery–50¢\n<br>\n<h3>SAUCES</h3>\n<ul>\n<li><strong>Asian Sweet & Spicy</strong></li>\n<li><strong>Mango Habanero</strong></li>\n<li><strong>Jamaican Jerk</strong></li>\n<li><strong>Honey Sriracha</strong></li>\n<li><strong>Buffalo Ranch</strong></li>\n<li><strong>Spicy Garlic</strong></li>\n<li><strong>Mild</strong></li>\n<li><strong>Medium</strong></li>\n<li><strong>Hot</strong></li>\n<li><strong>Roasted Garlic Parmesan</strong></li>\n<li><strong>BBQ</strong></li>\n<li><strong>Honey BBQ</strong></li>\n<li><strong>Spicy BBQ</strong></li>\n</ul>\n\n<h3>Boneless Wings</h3>\nBreaded chicken tender bites tossed in your favorite lip-smackin\' wing sauce.\n<ul>\n 	<li>Order of 10 (1 flavor)–$5.99</li>\n        <li>Order of 15 (1 flavor)–$8.49</li>\n 	<li>Order of 20 (up to 2 flavors)–$10.99</li>\n 	<li>Order of 30 (up to 3 flavors)–$15.99</li>\n</ul>\n<h3>Chicken Wings</h3>\nTender chicken wings covered in our lip-smackin\' sauces.\n<ul>\n 	<li>Order of 10 (1 flavor)–$8.99</li>\n        <li>Order of 15 (1 flavor)–$13.49</li>\n 	<li>Order of 20 (up to 2 flavors)–$17.99</li>\n 	<li>Order of 30 (up to 3 flavors)–$26.99</li>\n</ul>\n<h3>Chicken Tenders</h3>\nIncludes 1 dipping sauce of your choice\n<ul>\n 	<li>Order of 6–$5.99</li>\n 	<li>Order of 8–$7.99</li>\n 	<li>Order of 12–$10.99</li>\n 	<li>Order of 20–$16.99</li>\n</ul>\n<br>\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\n<em>Gluten-free large pizza is available!</em>\n<br>\n<h3>Pizza or Stromboli</h3>\n<ul>\n 	<li>Small 9\" (4 slices of pizza/2 pieces of Stromboli)–$4.99</li>\n 	<li>Medium 12\" (6 slices of pizza/3 pieces of Stromboli)–$7.99</li>\n 	<li>Large 14\" (8 slices of pizza/4 pieces of Stromboli)–$10.99</li>\n 	<li>X-Large 16\" (12 slices of pizza/5 pieces of Stromboli)–$13.99</li>\n</ul>\n<h3>Regular Toppings</h3>\nSmall 9\" 80¢ each, Medium 12\" $1.20 each, and Large 14\" $1.60 each\n<ul>\n<li>anchovies</li>\n<li>Bacon</li>\n<li>Basil</li>\n<li>canadian bacon</li>\n<li>ground beef</li>\n<li>Ham</li>\n<li>Mushrooms</li>\n<li>Meatball</li>\n<li>black olives</li>\n<li>green olives</li>\n<li>kalamata olives</li>\n<li>pepperoni</li>\n<li>red onions</li>\n<li>white onions</li>\n<li>banana peppers</li>\n<li>green peppers</li>\n<li>jalapeño peppers</li>\n<li>roasted red peppers</li>\n<li>pineapple</li>\n<li>roasted garlic</li>\n<li>salami</li>\n<li>sausage</li>\n<li>spinach</li>\n<li>tomatoes</li>\n</ul>\n<h3>Premium Toppings</h3>\nSmall 9\" $2.40 each, Medium 12\" $3.60 each, Large 14\" $4.80 each\n<ul>\n<li>Alfredo sauce</li>\n<li>Artichoke hearts</li>\n<li>Chicken</li>\n<li>Fresh mozzarella</li>\n<li>Shrimp</li>\n<li>Steak</li>\n</ul>\n<h3>Extra Cheese</h3>\nSmall 9\" $1.20 each, Medium 12\" $1.80 each, and Large 14\" $2.40 each\n<ul>\n 	<li>Mozzarella</li>\n 	<li>Cheddar cheese</li>\n 	<li>Feta cheese</li>\n</ul>\n<h2>Specialty Pizzas and Strombolis</h2>\n<em>Gluten-free large pizza is available!</em>\n<strong>Buck\'s Deluxe</strong>–sm. $8.99, md. $13.99, lg. $18.99\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\n<br>\n<strong>5 Meat</strong>–sm. $8.99, md. $13.99, lg. $18.99\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\n<br>\n<strong>Hawaiian</strong>–sm. $6.59, md. $10.39, lg. $14.19\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\n<br>\n<strong>CBS</strong>–sm. $8.99, md. $13.99, lg. $18.99\n<em>Melted aged cheddar, sizzling bacon and chipped mouth watering USDA choice steak.</em>\n<br>\n<strong>Chicken Bacon Ranch</strong>–sm. $8.99, md. $13.99, lg. $18.99\n<em>We use ranch for the sauce, pile on the mozzarella, strips of grilled chicken, sizzling bacon and smother it all with aged cheddar cheese.</em>\n<br>\n<strong>Spinach Alfredo</strong>–sm. $10.99, md. $16.99, lg. $22.99\n<em>a creamy alfredo sauce topped with spinach, tomatoes, bacon and lots of mozzarella</em>\n<br>\n<strong>Pepperoni Classic</strong>–sm. $6.59, md. $10.39, lg. $14.19\n<em>edge to edge layer of pepperoni and extra mozzarella cheese.</em>\n<br>\n<strong>TACO PIE</strong>-sm. 7.39, md. 11.59, lg. 15.79\n<em>ground beef, onions,\ncheddar & mozzarella cheese topped with lettuce & tomatoes </em>\n<br>\n<strong>BBQ Chicken</strong>–sm. $8.99, md. $13.99, lg. $18.99\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, bacon, mozzarella and cheddar cheese.</em>\n<br>\n<strong>Wild Buck</strong>–sm. $10.99, md. $16.99, lg. $22.99\n<em>Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives and extra mozzarella.</em>\n<br>\n<strong>Vegi-Delite</strong>–sm. $8.99, md. $13.99, lg. $18.99\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\n<br>\n<strong>4 Cheese Medley</strong>–sm. $7.39, md. $11.59, lg. $15.79\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese.</em>\n<br>\n<strong>Buffalo Chicken</strong>–sm. $8.99, md. $13.99, lg. $18.99\n<em>Your choice of Buck\'s mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella and chicken, all topped with sizzling bacon.</em>\n<br>\n<strong>Bacon Cheeseburger</strong>–sm. $6.59, md. $10.39, lg. $14.19\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and cheddar cheese.</em>\n<br>\n<strong>Chicken Alfredo</strong>–sm. $10.99, md. $16.99, lg. $22.99\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with 100% mozzarella cheese.</em>\n<h3>GARLIC SAUCE</h3>\n<strong>MARGAHERITA</strong>-sm. $8.99, md. $13.99, lg. $18.99\n<em>sliced tomatoes, basil, & lots of mozzarella</em>\n<br>\n<strong>ITALIAN</strong>-sm. $7.39, md. $11.59, lg. $15.79\n<em>salami, smoked ham, onions, green peppers, mozzarella </em>\n<br>\n<strong>CHICKEN CLUB</strong>-sm. $8.99, md. $13.99, lg. $18.99\n<em>mozzarella chicken, canadian bacon, red onions & bacon </em>\n<br>\n<strong>OLD WORLD</strong>-sm. $6.59, md. $10.39, lg. $14.19\n<em>mozzarella, bacon, & tomatoes </em>\n<br>\n<h2>Pasta Dinners</h2>\nAll of our pasta meals are served with fresh baked Bread Stix\n<br>\nCustomize Your Pasta! Change any sauce &amp; any pasta on any pasta dish. Choose from: tomato pasta sauce, alfredo sauce, tomato alfredo sauce, pesto sauce or roasted garlic parmesan.\n\n\n<strong>great additions to your pasta</strong> Small $.50 Regular $1.00\n<ul>\n 	<li>Bacon</li>\n 	<li>Basil</li>\n 	<li>Roasted Garlic</li>\n 	<li>Mushrooms</li>\n 	<li>Black Olives</li>\n 	<li>Tomatoes</li>\n 	<li>Roasted Red Peppers</li>\n 	<li>Pepperoni</li>\n 	<li>Sausage</li>\n 	<li>Spinach</li>\n</ul>\n\n\n<strong>Pesto Tortelloni</strong>-sm. $7.99, reg. $14.99\n<em>cheese stuffed tortelloni served with Pesto sauce</em>\n<br>\n<strong>Spaghetti</strong>–sm. $4.99, reg. $7.99\n<em>A generous portion of spaghetti topped with the best tomato pasta sauce you will find anywhere.</em>\n<br>\n<strong>Spaghetti and Meatballs</strong>–sm. $6.49, reg. $10.99\n<em>A generous portion of spaghetti topped with meatballs and the best tomato pasta sauce you will find anywhere.</em>\n<br>\n<strong>Fettuccine Alfredo</strong>–sm. $5.99, reg. $9.99\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.</em>\n<br>\n<strong>Chicken Alfredo</strong>–sm. $7.49, reg. $12.99\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce and with tender strips of chicken.</em>\n<br>\n<strong>Shrimp Alfredo</strong>–sm. $9.49, reg. $14.99\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce and with shrimp.</em>\n<br>\n<strong>Chicken Parmesan</strong>–sm. $7.49, reg. $12.99\n<em>Hand-breaded chicken covered in tomato pasta sauce and melted mozzarella served over penne.</em>\n<br>\n<strong>Cheese Ravioli</strong>–sm. $6.99, reg. $12.99\n<em>Rich and creamy ricotta stuffed ravioli served with tomato pasta sauce.</em>\n<br>\n<strong>Portobello Ravioli</strong>-sm. $7.99, reg. $14.99\n<em>Portobello mushrooms with ricotta & romano cheese stuffed ravioli served with tomato pasta sauce</em>\n<br>\n<h2>Sweet Treats</h2>\n<br>\n<strong>Cannoli</strong>–$1.59 each or 4 for $5.99\n<em>a crisp cannoli shell stuffed with sweet, creamy filling & chocolate chips.</em>\n<br>\n<strong>Cinnamon Stix</strong>–$5.99\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing.</em>\n<br>\n<strong>Ice Cream</strong>-$2.99\n<em>Vanilla or chocolate</em>\n<br>\n<strong>Chocolate Chip Cookies</strong>–75¢ each or 4 for $3.00\n<br>\n<strong>Apple Stromboli</strong>-$6.99\n<em>packed with apples, cinnamon, icing topped</em>\n<br>\n<strong>Cheesecake</strong>-$4.99\n<em>topped with chocolate syrup</em>\n<br>\n<strong>Ice Cream Float</strong>-$4.99\n<em>mix with coke or root beer</em>\n<br>\n<strong>Chocolate Chip Cookie Sandwich</strong>\n<em>cannoli filling</em>-$1.99\n<em>ice cream filling</em>-$2.99\n<br>\n<strong>Brownie</strong>-$3.99\n<em>topped with chocolate & caramel sauce</em>\n<br>\n<strong>Brownie Sundae</strong>-$5.99\n<em>covered with vanilla or chocolate ice cream topped with chocolate and caramel sauce.</em>\n<br>\n<h2>Beverages</h2>\n<br>\n<strong>Apple Juice, Milk (chocolate)</strong>-Child $1.19, Adult $1.99\n<br>\n<strong>Coffee</strong>- $1.99\n<br>\n<strong>Coke, Diet Coke, Sprite, Dr. Pepper, Hi-C Pink Lemonade, Root Beer\nSweet Tea, Unsweet Tea, Fresh Brewed Lemonade </strong>- Child $1.29, Adult $2.49\n<br>\n\n\n", "Menu", "", "inherit", "closed", "closed", "", "1529-autosave-v1", "", "", "2018-10-10 00:50:51", "2018-10-10 00:50:51", "", "1529", "http://buckspizza.com/uncategorized/1529-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1563", "1", "2018-10-10 23:32:13", "2018-10-10 23:32:13", "<style> @media only screen and (min-width: 1224px){ .huge-it-caption div{display:none;} .content { width: 100% !important; padding: 0em 0em 0em 0em !important;} h1 { text-align: center; z-index: 2 !important; position: relative; background-color:rgba(179, 179, 179, 0.8); } .content p { padding: 0em 2em 0em 2em !important; } article.page { background: none !important; } p strong, li strong { color: white !important; } .newpadding { padding: 0em 2em 0em 2em !important; } }</style>\n<div style=\"top: -66px; position: relative; z-index: 0;\">\n<div style=\"height: 430px !important;\">\n[huge_it_slider id=\"1\"]</div>\n</div>\n<div class=\"newpadding\">\n\nEveryone loves delicious food, especially pizza, but with today’s hectic life, you probably don’t have time to prepare a home-cooked meal.\n\nThat’s where Buck’s Pizza comes in. Our family loves to save the day by serving fresh mouthwatering food for your family to enjoy together. Bucks Pizza offers menu choices of pasta, wings, salads, sandwiches, desserts &amp; the Best PIZZA using the freshest ingredients served at the peak of deliciousness. Whether you crave pizza made with handmade dough and carefully selected tomatoes, hot and crispy chicken tenders, or even a healthy salad, our menu has something sure to please even the pickiest eaters.\n\nClick Locations &amp; Menus to find the closest Buck’s to you!\n<div>\n<h2 style=\"text-align:center;\"><a href=\"http://buckspizza.com/locations/\" target=\"_blank\">Locations &amp; Menus</a></h2>\n<div style=\"padding-left: 50px; width:40%; float:left; \">\n[flipboxes id=\"1585\"]</div>\n<div style=\"padding-left: 50px; width:60%; float: right; \">\n\nGo to the left to find a location near you! Or look below at our many sites in the United States!\n\nIf you need to contact us please click on this link <a href=\"http://buckspizza.com/contact/\">Contact us now!</a>\n\n</div>\n</div>\n</div>\n[leaflet-map height=500 lat=36.85522853353864 lng=-77.38769531250001 zoom=4][leaflet-marker lat=41.129943 lng=-78.736842][leaflet-marker lat=30.690745 lng=-88.045803][leaflet-marker lat=33.339302 lng=-84.521339][leaflet-marker lat=45.196162 lng=-93.901662][leaflet-marker lat=43.049920 lng=-74.345859][leaflet-marker lat=35.748097 lng=-81.686335][leaflet-marker lat=35.208997 lng=-82.238545][leaflet-marker lat=41.027739 lng=-78.437137][leaflet-marker lat=32.806060 lng=-80.012575][leaflet-marker lat=33.908945 lng=-81.225469][leaflet-marker lat=32.921420 lng=-80.677220][leaflet-marker lat=29.566620 lng=-95.134758][leaflet-marker lat=26.190691 lng=-98.205982][leaflet-marker lat=26.177388 lng=-98.289865][leaflet-marker lat=29.856865 lng=-94.863692][leaflet-marker lat=38.431512 lng=-81.837840][leaflet-marker lat=45.162350 lng=-89.150713]", "Good. Better. Bucks.", "", "publish", "closed", "closed", "", "testhome", "", "", "2018-12-27 16:43:38", "2018-12-27 16:43:38", "", "0", "http://buckspizza.com/?page_id=1563", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1585", "1", "2018-10-10 23:58:21", "2018-10-10 23:58:21", "", "Directions", "", "publish", "closed", "closed", "", "directions", "", "", "2018-10-23 00:01:14", "2018-10-23 00:01:14", "", "0", "http://buckspizza.com/?post_type=flipboxes&#038;p=1585", "0", "flipboxes", "", "0");
INSERT INTO `wp_posts` VALUES("1631", "1", "2018-10-11 20:40:32", "2018-10-11 20:40:32", "<h4><a href=\"http://buckspizza.com/mobile-al/\" target=\"_blank\" rel=\"noopener\">Mobile Location and Phone Number</a></h4>\r\n\r\n<h2>BUCK’S FAMOUS STIX</h2>\r\n\r\n<strong>BREAD STIX</strong>–$3.99\r\n<em>covered with butter, spices and & side of marinara</em>\r\n<br>\r\n<strong>CHEESE STIX</strong>-$5.99\r\n<em>smothered with mozzarella & a side of marinara</em>\r\n<em>add jalapeño, bacon, banana peppers .80¢ each, extra cheese 1.20</em>\r\n<br>\r\n<strong>CINNAMON STIX</strong>-$5.99\r\n<em>drizzled with icing</em>\r\n<br>\r\n<h2>STARTERS</h2>\r\n<br>\r\n<strong>CHIPS & SALSA</strong>-$4.99\r\n<br>\r\n<strong>BRUSCHETTA</strong>-$5.99\r\n<em>served over ciabatta</em>\r\n<br>\r\n<strong>HOT CHIPS</strong>-$4.99\r\n<em>served with chipotle dip</em>\r\n<br>\r\n<strong>FRENCH FRIES</strong>\r\n<em>Small-$2.99 Large-$5.49</em>\r\n<em>golden beer battered</em>\r\n<em>add bacon, cheddar, mozzarella, roasted garlic parmesan small 1.00 each large 2.00 each add jalapeño or banana peppers small .50¢ each large 1.00 each</em>\r\n<br>\r\n<strong>FRIED CHEESE RAVIOLI</strong>-$8.99\r\n<em>hand breaded with a side of marinara</em>\r\n<br>\r\n<strong>FRIED MOZZARELLA</strong>-$8.99\r\n<em>fresh mozzarella lightly hand breaded with a side of marinara</em>\r\n<br>\r\n<strong>FRIED MUSHROOMS </strong>-$7.99\r\n<em>sliced & hand battered with a side of ranch or homemade horseradish sauce</em>\r\n<br>\r\n<strong>FRIED PICKLES</strong>-$6.99\r\n<em>lightly breaded dill pickle spears served with ranch dip</em>\r\n<br>\r\n<strong>MEATBALL APPETIZER</strong>-$6.99\r\n<em>meatballs in a ciabatta bowl topped with pasta sauce, roasted red peppers and melted mozzarella</em>\r\n<br>\r\n<strong>NACHOS</strong>-$7.99\r\n<em>cheddar cheese, banana peppers, onions, black olives, green Peppers, lettuce, tomatoes served over corn chips with sour cream, guacamole & salsa</em>\r\n<em>add beef 1.00 | chicken, steak or shrimp 2.00</em>\r\n<br>\r\n<strong>PEPPERONI ROLLS</strong>\r\n<em>3 rolls- $5.49 5 rolls- $7.99</em>\r\n<em>spicy pepperoni and provolone cheese baked in a tender Buck’s roll. Served with your choice of ranch or marinara for dipping.</em>\r\n<br>\r\n<strong>SAMPLER PLATTER </strong>-$12.99\r\n<em>fried cheese ravioli, fried fresh mozzarella, & fried mushrooms. Served with a side of marinara and ranch. Plenty to share!</em>\r\n<br>\r\n<h2>SIDES</h2>\r\n\r\n<strong>HOT CHIPS</strong>-sm. $2.99, lg. $5.49\r\n<em>fresh hot chips</em>\r\n<br>\r\n<strong>ONION RINGS</strong>-sm. $3.49, lg. $5.99\r\n<br>\r\n<strong>FRENCH FRIES</strong>-sm. $3.49, lg. $5.99\r\n<em>golden beer battered</em>\r\n<br>\r\n<em>add bacon, cheddar, mozzarella, roasted garlic parmesan small 1.00 each large 2.00 each\r\nadd jalapeño or banana peppers small .50¢ each large 1.00 each</em>\r\n\r\n\r\n\r\n\r\n\r\n<h2>FRESH BAKED SANDWICHES & WRAPS</h2>\r\nSandwiches served on a fresh baked Italian ciabatta bread roll, wraps on a tortilla\r\n<br>\r\n\r\n<strong>TURKEY CLUB</strong>-$5.99\r\n<em>turkey, bacon, ham, melted cheese, lettuce & tomatoes</em>\r\n<br>\r\n<strong>CBS</strong>-$6.99\r\n<em>cheddar, bacon, marinated USDA choice steak</em>\r\n<br>\r\n<strong>MEATBALL</strong>-$5.99\r\n<em>meatballs, pasta sauce & melted mozzarella</em>\r\n<br>\r\n<strong>ITALIAN</strong>-$5.99\r\n<em>ham, salami, onion, melted cheese, green peppers, tomato & italian dressing</em>\r\n<br>\r\n<strong>CHIPOTLE BASIL CHICKEN</strong>-$5.99\r\n<em>spinach, basil, red onion, chicken, melted mozzarella and chipotle sauce </em>\r\n<br>\r\n<strong>CLASSIC BUFFALO CHICKEN</strong>-$6.99\r\n<em>breaded chicken tossed with wing sauce, covered in melted mozzarella topped with lettuce and tomato</em>\r\n<br>\r\n<strong>CHICKEN PARMESAN</strong>-$7.99\r\n<em>breaded chicken baked with pasta sauce & smothered in melted mozzarella</em>\r\n<br>\r\n<strong>STEAK</strong>-$6.99\r\n<em>mushrooms, onions & green peppers & steam smothered in provolone. Topped with lettuce, tomatoes & your choice of dressing	</em>\r\n<br>\r\n<strong>CHICKEN BACON RANCH</strong>-$5.99\r\n<em>delicious chicken covered in melted cheddar & sizzling bacon. Topped with lettuce, tomatoes & Ranch dressing</em>\r\n<br>\r\n<strong>VEGI-DELITE</strong>-$4.99\r\n<em>garden fresh delight with mushrooms, onions, green peppers, black olives, green olives, tomatoes & melted cheese</em>\r\n<br>\r\n<h2>SALADS</h2>\r\nDressings: blue cheese, caesar, greek, honey mustard, ranch, italian, balsamic, thousand island, oil & vinegar.\r\n<br>\r\n<strong>GARDEN SALAD</strong>-sm. $4.49, lg. $7.49\r\n<em>lettuce, cucumbers, red onions, tomatoes</em>\r\n<br>\r\n<strong>CAESAR SALAD</strong>-sm. $4.49, lg. $7.49\r\n<em>lettuce, parmesan cheese & croutons</em>\r\n<br>\r\n<strong>CHICKEN CAESAR SALAD</strong>-sm. $5.49, lg. $9.99\r\n<em>lettuce, parmesan cheese, croutons & topped with chicken</em>\r\n<br>\r\n<strong>SPINACH SALAD</strong>-sm. $5.99, lg. $10.99\r\n<em>blend of lettuce and spinach black olives, cucumbers, red onions, bacon & feta cheese</em>\r\n<br>\r\n<strong>CHEF SALAD</strong>-sm. $5.99, lg. $10.99\r\n<em>lettuce, cucumbers, red onions, tomatoes, cheddar cheese, ham, turkey & bacon</em>\r\n<br>\r\n<strong>FRIED CHICKEN SALAD</strong>-sm. $5.99, lg. $10.99\r\n<em>lettuce, red onions tomatoes bacon, cheddar cheese, topped with fried chicken tossed on your favorite Buck’s wing sauce </em>\r\n<br>\r\n<strong>GREEK SALAD</strong>-sm. $5.99, lg. $10.99\r\n<em>lettuce, red onions, kalamata olives, artichoke hearts & feta cheese </em>\r\n<br>\r\n<h2>TENDERS, WINGS AND BONELESS WINGS</h2>\r\n<br>\r\nadd blue cheese, ranch or any extra sauce–99¢ each, add celery–50¢\r\n<br>\r\n<h3>SAUCES</h3>\r\n<ul>\r\n<li><strong>Asian Sweet & Spicy</strong></li>\r\n<li><strong>Mango Habanero</strong></li>\r\n<li><strong>Jamaican Jerk</strong></li>\r\n<li><strong>Honey Sriracha</strong></li>\r\n<li><strong>Buffalo Ranch</strong></li>\r\n<li><strong>Spicy Garlic</strong></li>\r\n<li><strong>Mild</strong></li>\r\n<li><strong>Medium</strong></li>\r\n<li><strong>Hot</strong></li>\r\n<li><strong>Roasted Garlic Parmesan</strong></li>\r\n<li><strong>BBQ</strong></li>\r\n<li><strong>Honey BBQ</strong></li>\r\n<li><strong>Spicy BBQ</strong></li>\r\n</ul>\r\n\r\n<h3>Boneless Wings</h3>\r\nBreaded chicken tender bites tossed in your favorite lip-smackin\' wing sauce.\r\n<ul>\r\n 	<li>Order of 10 (1 flavor)–$5.99</li>\r\n        <li>Order of 15 (1 flavor)–$8.49</li>\r\n 	<li>Order of 20 (up to 2 flavors)–$10.99</li>\r\n 	<li>Order of 30 (up to 3 flavors)–$15.99</li>\r\n</ul>\r\n<h3>Chicken Wings</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n<ul>\r\n 	<li>Order of 10 (1 flavor)–$8.99</li>\r\n        <li>Order of 15 (1 flavor)–$13.49</li>\r\n 	<li>Order of 20 (up to 2 flavors)–$17.99</li>\r\n 	<li>Order of 30 (up to 3 flavors)–$26.99</li>\r\n</ul>\r\n<h3>Chicken Tenders</h3>\r\nIncludes 1 dipping sauce of your choice\r\n<ul>\r\n 	<li>Order of 6–$5.99</li>\r\n 	<li>Order of 8–$7.99</li>\r\n 	<li>Order of 12–$10.99</li>\r\n 	<li>Order of 20–$16.99</li>\r\n</ul>\r\n<br>\r\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\r\n<em>Gluten-free large pizza is available!</em>\r\n<br>\r\n<h3>Pizza or Stromboli</h3>\r\n<ul>\r\n 	<li>Small 9\" (4 slices of pizza/2 pieces of Stromboli)–$4.99</li>\r\n 	<li>Medium 12\" (6 slices of pizza/3 pieces of Stromboli)–$7.99</li>\r\n 	<li>Large 14\" (8 slices of pizza/4 pieces of Stromboli)–$10.99</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\nSmall 9\" 80¢ each, Medium 12\" $1.20 each, and Large 14\" $1.60 each\r\n<ul>\r\n<li>anchovies</li>\r\n<li>Bacon</li>\r\n<li>Basil</li>\r\n<li>canadian bacon</li>\r\n<li>ground beef</li>\r\n<li>Ham</li>\r\n<li>Mushrooms</li>\r\n<li>Meatball</li>\r\n<li>black olives</li>\r\n<li>green olives</li>\r\n<li>kalamata olives</li>\r\n<li>pepperoni</li>\r\n<li>red onions</li>\r\n<li>white onions</li>\r\n<li>banana peppers</li>\r\n<li>green peppers</li>\r\n<li>jalapeño peppers</li>\r\n<li>roasted red peppers</li>\r\n<li>pineapple</li>\r\n<li>roasted garlic</li>\r\n<li>salami</li>\r\n<li>sausage</li>\r\n<li>spinach</li>\r\n<li>tomatoes</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\nSmall 9\" $2.40 each, Medium 12\" $3.60 each, Large 14\" $4.80 each\r\n<ul>\r\n<li>Alfredo sauce</li>\r\n<li>Artichoke hearts</li>\r\n<li>Chicken</li>\r\n<li>Fresh mozzarella</li>\r\n<li>Shrimp</li>\r\n<li>Steak</li>\r\n</ul>\r\n<h3>Extra Cheese</h3>\r\nSmall 9\" $1.20 each, Medium 12\" $1.80 each, and Large 14\" $2.40 each\r\n<ul>\r\n 	<li>Mozzarella</li>\r\n 	<li>Cheddar cheese</li>\r\n 	<li>Feta cheese</li>\r\n</ul>\r\n<h2>Specialty Pizzas and Strombolis</h2>\r\n<em>Gluten-free large pizza is available!</em>\r\n<strong>Buck\'s Deluxe</strong>–sm. $8.99, md. $13.99, lg. $18.99\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n<br>\r\n<strong>5 Meat</strong>–sm. $8.99, md. $13.99, lg. $18.99\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n<br>\r\n<strong>Hawaiian</strong>–sm. $6.59, md. $10.39, lg. $14.19\r\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\r\n<br>\r\n<strong>CBS</strong>–sm. $8.99, md. $13.99, lg. $18.99\r\n<em>Melted aged cheddar, sizzling bacon and chipped mouth watering USDA choice steak.</em>\r\n<br>\r\n<strong>Chicken Bacon Ranch</strong>–sm. $8.99, md. $13.99, lg. $18.99\r\n<em>We use ranch for the sauce, pile on the mozzarella, strips of grilled chicken, sizzling bacon and smother it all with aged cheddar cheese.</em>\r\n<br>\r\n<strong>Spinach Alfredo</strong>–sm. $10.99, md. $16.99, lg. $22.99\r\n<em>a creamy alfredo sauce topped with spinach, tomatoes, bacon and lots of mozzarella</em>\r\n<br>\r\n<strong>Pepperoni Classic</strong>–sm. $6.59, md. $10.39, lg. $14.19\r\n<em>edge to edge layer of pepperoni and extra mozzarella cheese.</em>\r\n<br>\r\n<strong>TACO PIE</strong>-sm. 7.39, md. 11.59, lg. 15.79\r\n<em>ground beef, onions,\r\ncheddar & mozzarella cheese topped with lettuce & tomatoes </em>\r\n<br>\r\n<strong>BBQ Chicken</strong>–sm. $8.99, md. $13.99, lg. $18.99\r\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, bacon, mozzarella and cheddar cheese.</em>\r\n<br>\r\n<strong>Wild Buck</strong>–sm. $10.99, md. $16.99, lg. $22.99\r\n<em>Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives and extra mozzarella.</em>\r\n<br>\r\n<strong>Vegi-Delite</strong>–sm. $8.99, md. $13.99, lg. $18.99\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\r\n<br>\r\n<strong>4 Cheese Medley</strong>–sm. $7.39, md. $11.59, lg. $15.79\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese.</em>\r\n<br>\r\n<strong>Buffalo Chicken</strong>–sm. $8.99, md. $13.99, lg. $18.99\r\n<em>Your choice of Buck\'s mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella and chicken, all topped with sizzling bacon.</em>\r\n<br>\r\n<strong>Bacon Cheeseburger</strong>–sm. $6.59, md. $10.39, lg. $14.19\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and cheddar cheese.</em>\r\n<br>\r\n<strong>Chicken Alfredo</strong>–sm. $10.99, md. $16.99, lg. $22.99\r\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with 100% mozzarella cheese.</em>\r\n<h3>GARLIC SAUCE</h3>\r\n<strong>MARGAHERITA</strong>-sm. $8.99, md. $13.99, lg. $18.99\r\n<em>sliced tomatoes, basil, & lots of mozzarella</em>\r\n<br>\r\n<strong>ITALIAN</strong>-sm. $7.39, md. $11.59, lg. $15.79\r\n<em>salami, smoked ham, onions, green peppers, mozzarella </em>\r\n<br>\r\n<strong>CHICKEN CLUB</strong>-sm. $8.99, md. $13.99, lg. $18.99\r\n<em>mozzarella chicken, canadian bacon, red onions & bacon </em>\r\n<br>\r\n<strong>OLD WORLD</strong>-sm. $6.59, md. $10.39, lg. $14.19\r\n<em>mozzarella, bacon, & tomatoes </em>\r\n<br>\r\n<h2>Pasta Dinners</h2>\r\nAll of our pasta meals are served with fresh baked Bread Stix\r\n<br>\r\nCustomize Your Pasta! Change any sauce &amp; any pasta on any pasta dish. Choose from: tomato pasta sauce, alfredo sauce, tomato alfredo sauce, pesto sauce or roasted garlic parmesan.\r\n\r\n\r\n<strong>great additions to your pasta</strong> Small $.50 Regular $1.00\r\n<ul>\r\n 	<li>Bacon</li>\r\n 	<li>Basil</li>\r\n 	<li>Roasted Garlic</li>\r\n 	<li>Mushrooms</li>\r\n 	<li>Black Olives</li>\r\n 	<li>Tomatoes</li>\r\n 	<li>Roasted Red Peppers</li>\r\n 	<li>Pepperoni</li>\r\n 	<li>Sausage</li>\r\n 	<li>Spinach</li>\r\n</ul>\r\n\r\n\r\n<strong>Pesto Tortelloni</strong>-sm. $7.99, reg. $14.99\r\n<em>cheese stuffed tortelloni served with Pesto sauce</em>\r\n<br>\r\n<strong>Spaghetti</strong>–sm. $4.99, reg. $7.99\r\n<em>A generous portion of spaghetti topped with the best tomato pasta sauce you will find anywhere.</em>\r\n<br>\r\n<strong>Spaghetti and Meatballs</strong>–sm. $6.49, reg. $10.99\r\n<em>A generous portion of spaghetti topped with meatballs and the best tomato pasta sauce you will find anywhere.</em>\r\n<br>\r\n<strong>Fettuccine Alfredo</strong>–sm. $5.99, reg. $9.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.</em>\r\n<br>\r\n<strong>Chicken Alfredo</strong>–sm. $7.49, reg. $12.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce and with tender strips of chicken.</em>\r\n<br>\r\n<strong>Shrimp Alfredo</strong>–sm. $9.49, reg. $14.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce and with shrimp.</em>\r\n<br>\r\n<strong>Chicken Parmesan</strong>–sm. $7.49, reg. $12.99\r\n<em>Hand-breaded chicken covered in tomato pasta sauce and melted mozzarella served over penne.</em>\r\n<br>\r\n<strong>Cheese Ravioli</strong>–sm. $6.99, reg. $12.99\r\n<em>Rich and creamy ricotta stuffed ravioli served with tomato pasta sauce.</em>\r\n<br>\r\n<strong>Portobello Ravioli</strong>-sm. $7.99, reg. $14.99\r\n<em>Portobello mushrooms with ricotta & romano cheese stuffed ravioli served with tomato pasta sauce</em>\r\n<br>\r\n<h2>Sweet Treats</h2>\r\n<br>\r\n<strong>Cannoli</strong>–$1.59 each or 4 for $5.99\r\n<em>a crisp cannoli shell stuffed with sweet, creamy filling & chocolate chips.</em>\r\n<br>\r\n<strong>Cinnamon Stix</strong>–$5.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing.</em>\r\n<br>\r\n<strong>Ice Cream</strong>-$2.99\r\n<em>Vanilla or chocolate</em>\r\n<br>\r\n<strong>Chocolate Chip Cookies</strong>–75¢ each or 4 for $3.00\r\n<br>\r\n<strong>Apple Stromboli</strong>-$6.99\r\n<em>packed with apples, cinnamon, icing topped</em>\r\n<br>\r\n<strong>Cheesecake</strong>-$4.99\r\n<em>topped with chocolate syrup</em>\r\n<br>\r\n<strong>Ice Cream Float</strong>-$4.99\r\n<em>mix with coke or root beer</em>\r\n<br>\r\n<strong>Chocolate Chip Cookie Sandwich</strong>\r\n<em>cannoli filling</em>-$1.99\r\n<em>ice cream filling</em>-$2.99\r\n<br>\r\n<strong>Brownie</strong>-$3.99\r\n<em>topped with chocolate & caramel sauce</em>\r\n<br>\r\n<strong>Brownie Sundae</strong>-$5.99\r\n<em>covered with vanilla or chocolate ice cream topped with chocolate and caramel sauce.</em>\r\n<br>\r\n<h2>Beverages</h2>\r\n<br>\r\n<strong>Apple Juice, Milk (chocolate)</strong>-Child $1.19, Adult $1.99\r\n<br>\r\n<strong>Coffee</strong>- $1.99\r\n<br>\r\n<strong>Coke, Diet Coke, Sprite, Dr. Pepper, Hi-C Pink Lemonade, Root Beer\r\nSweet Tea, Unsweet Tea, Fresh Brewed Lemonade </strong>- Child $1.29, Adult $2.49\r\n<br>\r\n<h3>Wine Selections</h3>\r\n<br>\r\n<strong>Chardonnay, Pinot Grigio, Moscato, White Zinfandel, Merlot, Pinot Noir, Cabernet Sauvignon</strong>-glass $4.00, 1/2 bottle $6.00, bottle $12.00\r\n<br>\r\n<h3>Bottled Beer Selections</h3>\r\n<strong>Bud</strong>-$3.50\r\n<strong>Bud Light</strong>-$3.50\r\n<strong>Coors Light</strong>-$3.50\r\n<strong>Corona</strong>-$4.00\r\n<strong>Heineken</strong>-$4.00\r\n<strong>High Life</strong>-$1.50\r\n<strong>Miller Lite</strong>-$3.50\r\n<strong>Michelob Ultra</strong>-$3.50\r\n<strong>Pabst Blue Ribbon</strong>-$1.50\r\n\r\n<h3>Draft Beer</h3>\r\n<strong>Blue Moon</strong>-16oz. $4.00, Pitcher $10.00\r\n<strong>Michelob Ultra</strong>-16oz. $3.50, Pitcher $8.75\r\n<strong>Stella Artois</strong>-16oz. $4.00, Pitcher $10.00\r\n<strong>Yuengling Lager</strong>-16oz. $3.50, Pitcher $8.75\r\n\r\n<h2>PICK A PASTA $9.99</h2>\r\n\r\n<h3>Monday - Friday 11:00 - 3:30 pm</h3>\r\n<br>\r\n<strong>Pick a Salad</strong>\r\n<em>Ceasar salad</em>\r\n<em>Garden salad</em>\r\n<br>\r\n<strong>Pick a Pasta</strong>\r\n<em>Chicken Parmesan</em>\r\n<em>Fettucinne Alfredo</em>\r\n<em>Cheese Ravioli</em>\r\n<em>Speghetti and Meatballs</em>\r\n<em>Speghetti</em>\r\n<br>\r\n<strong>Pick a Dessert</strong>\r\n<em>Cannoli (1)</em>\r\n<em>Chocolate Chip Cookie (2)</em>\r\n<em>Brownie (1)</em>\r\n", "Menu", "", "inherit", "closed", "closed", "", "1529-revision-v1", "", "", "2018-10-11 20:40:32", "2018-10-11 20:40:32", "", "1529", "http://buckspizza.com/uncategorized/1529-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1633", "1", "2018-10-16 17:30:33", "2018-10-16 17:30:33", "Would you like to own a restaurant serving fresh mouthwatering food for families to enjoy together?\r\n\r\nThen a Buck\'s Pizza franchise might be the perfect business for you! A modest investment combined with our proven business model, exciting menu, and trusted brand has enabled dozens of franchisees achieve business success on their terms while helping local families enjoy fresh, tasty food together.\r\n<blockquote>Welcome to Good Family Food. Welcome to a Better Business Opportunity. Welcome to Buck’s Pizza!</blockquote>\r\n<h2>What does it take to get started?</h2>\r\nOwning a Buck\'s Pizza franchise is easier than you might think. You don\'t even need experience in the food service industry—franchises can be awarded to individuals who demonstrate the ability to manage day-to-day operations according to the franchise program guidelines. Our corporate office provides hands-on training, assistance with restaurant design, guidance selecting and ordering equipment, and we will even assist you to arrange financing.\r\n\r\nOur support does not end once your Buck\'s Pizza franchise is up and running because we also offer ongoing support to help our franchisees continue to succeed.\r\n<h3>Franchise qualifications:</h3>\r\n<ul>\r\n	<li>Strong work ethic</li>\r\n	<li>Business acumen</li>\r\n	<li>Retail space of 1200-5000 sq. ft.</li>\r\n	<li>Investment of $163,450–$341,400</li>\r\n</ul>\r\n<h2>Interested in owning a Buck\'s Pizza Franchise?</h2>\r\nUse the form below to contact us for more information about becoming a Buck\'s Pizza franchisee.\r\n\r\n[contact-form-7 id=\"346\" title=\"Franchise\"]", "Franchise Information", "", "inherit", "closed", "closed", "", "344-revision-v1", "", "", "2018-10-16 17:30:33", "2018-10-16 17:30:33", "", "344", "http://buckspizza.com/uncategorized/344-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1654", "2", "2018-11-01 13:29:09", "2018-11-01 13:29:09", "<h4><a href=\"http://buckspizza.com/clearfield-pa/\" target=\"_blank\" rel=\"noopener\">Clearfield Location, Phone Number, and Online Ordering</a></h4>\r\n<h3><a href=\"http://buckspizza.com/wp-content/uploads/2018/08/Bucks-Menu-Insert-2018-PAP-Online.jpg\" target=\"_blank\" rel=\"noopener\">Pick-A-Pasta - Dine-In Deal! Salad, Pasta Entrée and Dessert for $10.99!</a></h3>\r\n<h3><a href=\"http://buckspizza.com/party-paks/\" target=\"_blank\" rel=\"noopener\">Party Paks - Pizza with Wings or Boneless Wings, Available for Dine-In or Carry-Out!</a></h3>\r\n<h2>Buck\'s Famous Stix</h2>\r\nAdd bacon, banana peppers, or jalapeños to your stix–80¢ each, add extra cheese–$1.20\r\n\r\n<strong>Bread Stix</strong>–$3.99\r\n<em>Add bacon, banana peppers, or jalapenos to your stix - $0.80 each</em>\r\n<em>Add extra cheese - $1.20</em>\r\n<em>12 per order, covered with butter and spices with a side of marinara.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$4.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing. 12 per order.</em>\r\n\r\n<strong>Cheese Stix</strong>–$4.99\r\n<em>12 per order, covered in melted cheese with a side of marinara.</em>\r\n<h2>Starters</h2>\r\n<strong>Chips and Queso Dip</strong>–$5.99\r\n<em>Corn Chips &amp; house-made queso.</em>\r\n\r\n<strong>Chips and Salsa</strong>–$4.99\r\n<em>Corn Chips &amp; house-made salsa.</em>\r\n\r\n<strong>French Fries</strong>\r\n<em>Small –$2.99 Large–$4.99</em>\r\n<em>Add Bacon, cheddar, mozzarella, roasted garlic Parmesan $1.00 each/$2.00 each</em>\r\n<em>Jalapenos or banana peppers $.50 each/$1.00 each</em>\r\n\r\n<strong>Cheese and Olives</strong>–$6.99\r\n<em>Salty Greek olives, zesty Sicilians, Kalamatas, Colossal Ripe Olives and aged provolone and fresh mozzarella.</em>\r\n\r\n<strong>Meatball Appetizer</strong>-$6.99\r\n<em>3 Large meatballs in pasta sauce, melted mozzarella, fried peppers &amp; freshly backed Bread Stix</em>\r\n\r\n<strong>Fried Cheese Ravioli</strong>-$9.99\r\n<em>6 Cheese ravioli, lightly hand-breaded. Served with a side of pasta sauce</em>\r\n\r\n<strong>Fried Fresh Mozzarella</strong>-$9.99\r\n<em>6 slices of fresh mozzarella, lightly hand-breaded. Served with a side of pasta sauce.</em>\r\n\r\n<strong>Fried Mushrooms</strong>-$9.99\r\n<em>A heaping serving of fresh sliced mushrooms, hand-breaded &amp; cooked to order. Served with a side of ranch dressing.</em>\r\n\r\n<strong>Sample Platter</strong>-$14.99\r\n<em>Fried cheese ravioli, fried fresh mozzarella &amp; fried sliced mushrooms served with a side pasta sauce &amp; ranch. Plenty to share!</em>\r\n\r\n<strong>Side of Cole Slaw</strong>–$2.49\r\n\r\n<strong>Side of Apple Sauce</strong>–$2.49\r\n\r\n<strong>Soup</strong>–$4.00\r\n<em>Homemade in-house and serves with Bread Stix.</em>\r\n<em>Choose from: Tomato Basil and Chicken Noodle.</em>\r\n<h2>Fresh Baked Sandwiches</h2>\r\nServed on a fresh baked Italian Ciabatta bread roll with french fries and a pickle. If you would like extra meat, please ask your server. Dressings: Italian, Ranch, Blue Cheese, Mayo and more. Just ask!\r\nALL SANDWICHES AVAILABLE AS WRAPS!\r\n\r\n<strong>Italian</strong>–$8.99\r\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, and tomato and Italian dressing.</em>\r\n\r\n<strong>Vegi-Delite</strong>–$7.99\r\n<em>A garden fresh delight with mushrooms, onion, green pepper, black olives, green olives, and sliced tomato and covered in provolone.</em>\r\n\r\n<strong>Steak</strong>–$8.99\r\n<em>Real marinated, chipped USDA choice steak, mushrooms, onions, and green peppers smothered in provolone. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>CBS</strong>–$8.99\r\n<em>Cheddar, bacon and real marinated USDA choice steak.</em>\r\n\r\n<strong>Turkey Club</strong>–$8.99\r\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Baked Ham</strong>–$7.99\r\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\r\n\r\n<strong>Turkey</strong>–$7.99\r\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>\"Buck\'s Chicken Sandwich\"</strong>–$7.99\r\n<em>Our hand-breaded chicken breasts topped as you wish. We recommend lettuce, tomatoes &amp; mayonnaise.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–$10.99\r\n<em>Breaded chicken breast tossed in your choice of wing sauce, covered in melted mozzarella. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–$10.99\r\n<em>Buck\'s delicious chicken breast baked with our delicious tomato pasta sauce and smothered in melted mozzarella.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–$8.99\r\n<em>Delicious chicken covered in melted cheddar and sizzling bacon. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Meatball</strong>–$8.99\r\n<em>Meatballs, pasta sauce, and melted mozzarella.</em>\r\n\r\n<strong>Cod Fish Ciabatta</strong>–$10.99\r\n<em>lightly breaded, deliciously flaky and firm, cold water Cod fillets served with lettuce and tomato and with a side of tartar sauce.</em>\r\n<h2>Salads</h2>\r\nWould you like blue cheese, anchovies, olives or another item added to your salad? Add crumbled blue cheese to your salad for $1.99. Just ask your server. Dressings: Blue Cheese, Ranch, Fat Free Ranch, Caesar, Honey Mustard, Fat Free Raspberry Vinaigrette, Fat Free Italian, Italian, Greek, French, oil and vinegar, or Sweet &amp; Sour.\r\n**SMALL SALADS AVAILABLE AS WRAPS!\r\n\r\n<strong>Caesar Salad</strong>–sm. $5.49, lg. $8.49\r\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $6.49, lg. $10.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\r\n\r\n<strong>Spinach Salad</strong>–sm. $6.99, lg. $11.99\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\r\n\r\n<strong>Chef Salad</strong>–sm. $6.99, lg. $11.99\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\r\n\r\n<strong>Chicken Tender Salad</strong>–sm. $6.99, lg. $11.99\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\r\n\r\n<strong>Garden Salad</strong>–sm. $5.49, lg. $8.49\r\n<em>Romaine lettuce, cucumbers, red onion and tomato.</em>\r\n\r\n<strong>Greek Salad</strong>–sm. $6.99, lg. $11.99\r\n<em>Romaine lettuce, red onion, Kalamata olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n\r\n<strong>Fresh Mozzarella and Tomato Salad</strong>–sm. $5.99, lg. $9.99\r\n<em>\"Caprese Salad\" Delicious fresh tomato flavor combined with fresh mozzarella cheese and drizzled in extra virgin olive oil and balsamic vinegar.</em>\r\n<h2>Tenders, Wings and Boneless Wings</h2>\r\nadd blue cheese, ranch or any extra sauce–99¢ each, add celery–50¢\r\n<h3>Sauces</h3>\r\n<ul>\r\n 	<li style=\"list-style-type: none;\">\r\n<ul>\r\n 	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n 	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n 	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n 	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n 	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n 	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\r\n 	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\r\n 	<li><strong>Jamaican Jerk</strong>–Unique and rich island flavor.</li>\r\n 	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\r\n 	<li><strong>Roasted Garlic Parmesan</strong>-fresh roasted garlic &amp; lots of parmesan.</li>\r\n</ul>\r\n</li>\r\n</ul>\r\nAdd blue cheese, ranch or any extra sauce- $.99 Each\r\nAdd Celery- $.50\r\n<h3>Boneless Wings</h3>\r\nBreaded chicken tender bites tossed in your favorite lip-smackin\' wing sauce.\r\n<ul>\r\n 	<li>Order of 10 (1 flavor)–$5.99</li>\r\n 	<li>Order of 20 (up to 2 flavors)–$11.99</li>\r\n 	<li>Order of 30 (up to 3 flavors)–$17.99</li>\r\n</ul>\r\n<h3>Chicken Wings</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n<ul>\r\n 	<li>Order of 10 (1 flavor)–$9.99</li>\r\n 	<li>Order of 20 (up to 2 flavors)–$19.99</li>\r\n 	<li>Order of 30 (up to 3 flavors)–$29.99</li>\r\n</ul>\r\n<h3>Chicken Tenders</h3>\r\nGenuine southern fried chicken tenders so lightly breaded they will melt in your mouth. Includes 1 dipping sauce of your choice.\r\n<ul>\r\n 	<li>Order of 6–$5.99</li>\r\n 	<li>Order of 8–$7.99</li>\r\n 	<li>Order of 12–$10.99</li>\r\n 	<li>Order of 20–$16.99</li>\r\n</ul>\r\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\r\nWant to Make Your Own Buck\'s Pizza at Home? Try our Take \'N Bake!\r\n\r\nChoose Hand-Tossed or Deep-Dish pizza! Gluten-free is available for small pizzas (+$3)! Ask your server.\r\n<h3>Pizza or Stromboli</h3>\r\n<ul>\r\n 	<li>Small 9\" (4 slices of pizza/2 pieces of Stromboli)–$4.99</li>\r\n 	<li>Medium 12\" (6 slices of pizza/3 pieces of Stromboli)–$7.99</li>\r\n 	<li>Large 14\" (8 slices of pizza/4 pieces of Stromboli)–$10.99</li>\r\n 	<li>X-Large 16\" (12 slices of pizza/5 pieces of Stromboli)–$13.99</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\nSmall 9\" 80¢ each, Medium 12\" $1.20 each, Large 14\" $1.60 each, X-Large 16\" $1.90 each\r\n<ul>\r\n 	<li>Pepperoni</li>\r\n 	<li>Ham</li>\r\n 	<li>Mushrooms</li>\r\n 	<li>Bacon</li>\r\n 	<li>Spanish onions</li>\r\n 	<li>Anchovies</li>\r\n 	<li>Red onions</li>\r\n 	<li>Hard Salami</li>\r\n 	<li>Green pepper</li>\r\n 	<li>Fresh Basil</li>\r\n 	<li>Sausage</li>\r\n 	<li>Minced garlic</li>\r\n 	<li>Rroasted garlic</li>\r\n 	<li>Green olives</li>\r\n 	<li>Fresh spinach</li>\r\n 	<li>Black olives</li>\r\n 	<li>Pineapple</li>\r\n 	<li>Canadian bacon</li>\r\n 	<li>Jalapeños</li>\r\n 	<li>Banana peppers</li>\r\n 	<li>Roasted red peppers</li>\r\n 	<li>Roma tomatoes</li>\r\n 	<li>Ground beef</li>\r\n 	<li>Kalamata olives</li>\r\n 	<li>Fried onions</li>\r\n 	<li>Fried sweet peppers</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\nSmall 9\" 2.00¢ each, Medium 12\" $3.00 each, Large 14\" $4.00 each, X-Large 16\" $5.00 each\r\n<ul>\r\n 	<li>Artichoke hearts</li>\r\n 	<li>Fresh mozzarella</li>\r\n 	<li>Chicken</li>\r\n 	<li>USDA choice steak</li>\r\n</ul>\r\n<h3>Extra Cheese</h3>\r\nSmall 9\" $1.00¢ each, Medium 12\" $1.50 each, Large 14\" $2.00 each, X-Large 16\" $2.50 each\r\n<ul>\r\n 	<li>Mozzarella</li>\r\n 	<li>Cheddar cheese</li>\r\n 	<li>Feta cheese</li>\r\n</ul>\r\n<h2>Specialty Pizzas and Strombolis</h2>\r\n<h3>Traditional Pizza Sauce</h3>\r\n<strong>Buck\'s Deluxe</strong>–sm. $7.99, md. $12.49, lg. $16.99, xl. $20.99\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n\r\n<strong>5 Meat</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $23.49\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n\r\n<strong>CBS Special</strong>–sm. $8.49, md. $13.24, lg. $17.99, xl. $21.99\r\n<em>Melted aged cheddar, sizzling bacon and chipped mouth watering USDA choice steak. Maybe we should call this one \'heaven-on-earth\'.</em>\r\n\r\n<strong>Vegi-Delite</strong>–sm. $7.99, md. $12.49, lg. $16.99, xl. $20.99\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\r\n\r\n<strong>4 Cheese Medley</strong>–sm. $6.99, md. $10.99, lg. $14.99, xl. $17.99\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\r\n\r\n<strong>CBH Special</strong>–sm. $7.49, md. $11.74, lg. $15.99, xl. $18.99\r\n<em>Everything is better with bacon and this proves it. smoked ham, melted aged cheddar and sizzling bacon. Mmm good!</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>–sm. $6.49, md. $10.24, lg. $13.99, xl. $16.99\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\r\n\r\n<strong>Hawaiian</strong>–sm. $6.49, md. $10.24, lg. $13.99, xl. $16.99\r\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\r\n\r\n<strong>Pepperoni Classic</strong>–sm. $6.49, md. $10.24, lg. $13.99, xl. $16.99\r\n<em>America\'s favorite pizza with an edge to edge layer of pepperoni and extra mozzarella cheese.</em>\r\n\r\n<strong>Sausage Classic</strong>–sm. $6.49, md. $10.24, lg. $13.99, xl. $16.99\r\n<em>Wake up your taste buds with lots of sausage and extra mozzarella.</em>\r\n\r\n<strong>Ham and Cheese</strong>–sm. $6.49, md. $10.24, lg. $13.99, xl. $16.99\r\n<em>What could be simpler or more delicious than smoked ham and melted mozzarella and aged cheddar?</em>\r\n\r\n<strong>Wild Buck</strong>–sm. $10.99, md. $16.99, lg. $22.99, xl. $28.24\r\nIf you order \'everything-but-the-fish\' this is what you\'ll get. Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives and extra mozzarella...it\'s wild!\r\n<h3>White Pizza Sauce</h3>\r\n<strong>Chicken Club</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $23.49\r\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, Canadian bacon, red onion and bacon.</em>\r\n\r\n<strong>Greek</strong>–sm. $7.99, md. $12.49, lg. $16.99, xl. $20.99\r\n<em>A light garlic sauce, mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\r\n\r\n<strong>Margherita</strong>–sm. $7.99, md. $12.49, lg. $16.99, xl. $20.99\r\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n\r\n<strong>Italian</strong>–sm. $6.99, md. $10.99, lg. $14.99, xl. $17.99\r\n<em>Garlic sauce, hard salami, smoked ham, fresh onions, green peppers and lots of mozzarella. The flavor really pops with the oven-baked hard salami!</em>\r\n\r\n<strong>Old World</strong>–sm. $6.49, md. $10.24, lg. $13.99, xl. $16.99\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\r\n\r\n<strong>Steak \'N Cheese</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $23.49\r\n<em>Our special light garlic sauce topped with real marinated chipped USDA choice steak, onions, green peppers, mushrooms and extra mozzarella cheese.</em>\r\n<h3>Alfredo Sauce</h3>\r\n<strong>Spinach Alfredo</strong>–sm. $9.99, md. $15.49, lg. $20.99, xl. $24.99\r\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon and lots of mozzarella.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–sm. $9.99, md. $15.49, lg. $20.99, xl. $24.99\r\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with 100% mozzarella cheese.</em>\r\n<h3>Non-Traditional Pizza Sauce</h3>\r\n<strong>BBQ Chicken</strong>–sm. $7.99, md. $12.49, lg. $16.99, xl. $20.99\r\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, mozzarella and aged cheddar.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–sm. $7.99, md. $12.49, lg. $16.99, xl. $20.99\r\n<em>Your choice of Buck\'s mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella and chicken, all topped with sizzling bacon. Hang on to your hat!</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–sm. $8.49, md. $13.24, lg. $17.99, xl. $21.99\r\n<em>We use ranch for the sauce, pile on the mozzarella, strips of grilled chicken breast, sizzling bacon and smother it all with aged cheddar cheese.</em>\r\n<h2>Pasta Dinners</h2>\r\nAll of our pasta meals are served with fresh baked Bread Stix and your choice of a Garden or Ceaser Salad. You may add a meatball to any meal for $1.50.\r\n\r\n<strong>great additions to your pasta</strong> Small $.50 Regular $1.00\r\n<ul>\r\n 	<li>Bacon</li>\r\n 	<li>Basil</li>\r\n 	<li>Roasted Garlic</li>\r\n 	<li>Mushrooms</li>\r\n 	<li>Black Olives</li>\r\n 	<li>Caramelizes Onions</li>\r\n 	<li>Tomatoes</li>\r\n 	<li>Fried Peppers</li>\r\n 	<li>Roasted Red Peppers</li>\r\n 	<li>Pepperoni</li>\r\n 	<li>Sausage</li>\r\n 	<li>Spinach</li>\r\n</ul>\r\n<strong>Premium additions</strong> Small $1.50 Regular $3.00\r\n<ul>\r\n 	<li>Artichoke Hearts</li>\r\n 	<li>Chicken</li>\r\n 	<li>Steak</li>\r\n</ul>\r\nOur Tomato Pasta Sauce is made with vine-ripened tomatoes and only the finest ingredients for a simple, classic Old World flavor.\r\n\r\nCustomize Your Pasta! Change any sauce &amp; any pasta on any pasta dish. Choose from: tomato pasta sauce, alfredo sauce, tomato alfredo sauce, pesto sauce or roasted garlic parmesan.\r\n\r\n<strong>Spaghetti</strong>–sm. $7.99, reg. $10.99\r\n<em>A generous portion of spaghetti topped with the best tomato pasta sauce you will find anywhere.</em>\r\n\r\n<strong>Spaghetti and Meatballs</strong>–sm. $9.49, reg. $13.99\r\n<em>A generous portion of spaghetti topped with meatballs and the best tomato pasta sauce you will find anywhere.</em>\r\n\r\n<strong>Fettuccine Alfredo</strong>–sm. $8.99, reg. $12.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–sm. $10.49, reg. $15.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce and with tender strips of grilled chicken.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–sm. $10.49, reg. $15.99\r\n<em>Hand-breaded chicken covered in tomato pasta sauce and melted mozzarella served over penne.</em>\r\n\r\n<strong>Cheese Ravioli</strong>–sm. $9.99, reg. $15.99\r\n<em>Rich and creamy ricotta stuffed ravioli served with tomato pasta sauce.</em>\r\n\r\n<strong>Beef Ravioli</strong>–sm. $9.99, reg. $15.99\r\n<em>Tender and delicious beef stuffed ravioli served with tomato pasta sauce.</em>\r\n<h2>Dinners</h2>\r\n<strong>Southern Fried Chicken Tenders Dinner</strong>–sm. $7.49, lg. $12.99\r\n<em>Genuine southern fried chicken tenders, french fries and a side of cole slaw.</em>\r\n\r\n<strong>Cod Fish Dinner</strong>–$13.99\r\n<em>Lightly breaded, deliciously flaky and firm, cold-water cod fillets served with french fries, a side of cole slaw and a side of tartar sauce.</em>\r\n<h2>Kid\'s Menu</h2>\r\nPenne &amp; Sauce $4.99\r\nPenne &amp; Meatballs $6.49\r\n4 Chicken Tenders $3.99\r\n4 Chicken Tenders, French Fries &amp; Applesauce $7.49\r\nSmall Pizza $4.99\r\nCheese Ravioli $6.99\r\nSide of Meatballs $3.00\r\n<h2>Sweet Treats</h2>\r\n<strong>Cannoli</strong>–$1.69 each or 4 for $5.99\r\n<em>A crisp cannoli shell stuffed with sweet and creamy filling and chocolate chips.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$4.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing.</em>\r\n\r\n<strong>Gelato</strong>–$2.99\r\n<em>Ask for our current flavors!</em>\r\n\r\n<strong>Chocolate Chip Cookies</strong>–75¢ each or 5 for $2.99\r\n\r\n<strong>Gelato Float</strong>-$4.99\r\n<em>Choose your coke freestyle flavor, then choose your gelato flavor... the possibilities are endless! Our Favorites: Fanta Orange float, Barq\'s Root Beer Float, Cheery Coke Float, Fanta Cherry Float and Vanilla Coke Float.</em>\r\n\r\n<strong>Brownie</strong>-$3.99\r\n<em>Served with chocolate and caramel sauce, whipped cream, chocolate chips &amp; a cherry on top.</em>\r\n\r\n<strong>Brownie Sundae</strong>-$5.99\r\n<em>Chocolaty brownie covered with you favorite gelato, topped with chocolate &amp; caramel sauce, whipped cream, chocolate chips &amp; a cherry on top</em>\r\n\r\n<strong>Super Brownie Sundae</strong>-$10.99\r\n<em>2 brownies, 2 scoops of gelato &amp; all the fixin\'s</em>\r\n\r\n<strong>Tiramisu</strong>-$4.99\r\n<em>Italy\'s most famous dessert, Tiramisu, \"Pick-Me-Up\" in Italian, is an elegant treat that\'s not too sweet or too filling. Start with layers of imported mascarpone cream and authentic ladyfingers, we then delicately soak them in espresso and finish with a dusting of cocoa powder.</em>\r\n\r\n<strong>Toasted Almond Cake</strong>-$4.99\r\n<em>A delectable combination of imported ladyfingers lightly soaked in amaretto syrup, layered with Italian mascarpone and topped with crushed amarettini cookies and roasted California almonds. </em>\r\n\r\n<strong>Lemoncello Mascarpone Cake</strong>-$4.99\r\n<em>A rich combination of Sicilian lemon infused sponge cake and Italian mascarpone topped with European white chocolate curls. A refreshingly light creamy dessert with the perfect combination of sweet and tart.</em>\r\n<h2>Beverages</h2>\r\n<strong>White Milk, Chocolate Milk or Apple Juice</strong>–child  $.99, adult  $1.99 (no free refills)\r\n\r\n<strong>Hot Tea</strong>–$1.99\r\n<em>Free refills in restaurant, same visit only.</em>\r\n\r\n<strong>Coffee</strong> (Regular or Decaf)–$1.99\r\n<em>Free refills in restaurant, same visit only.</em>\r\n\r\n<strong>Fresh Brewed Southern-style Tea</strong>–child  $1.39, adult  $2.79\r\n<em>Choose sweet or unsweet tea. Free refills in restaurant, same visit only.</em>\r\n\r\n<strong>Fountain Beverage</strong>–child  $1.39, adult  $2.79\r\n\r\n<strong>Coca-Cola Freestyle selections</strong>–90+ caffeine-free choices, 80+ unique brands, 70+ low or no-calorie choices, and 50+ non-carbonated choices.\r\n<em>Free refills in restaurant, same visit only</em>\r\n<h3>Wine Selections</h3>\r\nPlease ask your server for our complete selection of Pennsylvania, California, Italian, Spanish, and French wines.\r\n\r\nHouse wines are available in: Chardonnay, Cabernet Sauvignon, Merlot, White Zinfandel\r\n\r\n<strong> Available by the Glass, ½ Bottle and Bottle</strong>\r\n<h3>Bottled Beer Selections</h3>\r\n<strong>Angry Orchard</strong>\r\n<strong>Bell\'s</strong>\r\n<strong>Bud</strong>\r\n<strong>Coors Light</strong>\r\n<strong>Dog Fish Head</strong>\r\n<strong>Dos Equis</strong>\r\n<strong>Magic Hat</strong>\r\n<strong>Michelob Ultra</strong>\r\n<strong>Molson</strong>\r\n<strong>Redd\'s Apple Ale</strong>\r\n<strong>Shiner Bock</strong>\r\n<strong>Sierra Nevada</strong>\r\n<strong>Smirnoff</strong>\r\n<strong>Straub</strong>\r\n<strong>Yuengling Black and Tan</strong>\r\n<h3>Draft Beer Selections</h3>\r\nAsk your server about our selection of craft beers.\r\n\r\n<strong>Blue Moon</strong>\r\n<strong>Bud Light</strong>\r\n<strong>Guinness&lt;/strong\r\n<strong>Miller Lite</strong>\r\n<strong>Sam Adams Seasonal</strong>\r\n<strong>Straub Amber</strong>\r\n<strong>Yuengling Lager</strong>\r\n<strong>Plus, a Rotating Tap</strong></strong>", "Menu", "", "inherit", "closed", "closed", "", "357-autosave-v1", "", "", "2018-11-01 13:29:09", "2018-11-01 13:29:09", "", "357", "http://buckspizza.com/uncategorized/357-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1712", "1", "2018-12-27 16:43:37", "2018-12-27 16:43:37", "<style> @media only screen and (min-width: 1224px){ .huge-it-caption div{display:none;} .content { width: 100% !important; padding: 0em 0em 0em 0em !important;} h1 { text-align: center; z-index: 2 !important; position: relative; background-color:rgba(179, 179, 179, 0.8); } .content p { padding: 0em 2em 0em 2em !important; } article.page { background: none !important; } p strong, li strong { color: white !important; } .newpadding { padding: 0em 2em 0em 2em !important; } }</style>\n<div style=\"top: -66px; position: relative; z-index: 0;\">\n<div style=\"height: 430px !important;\">\n[huge_it_slider id=\"1\"]</div>\n</div>\n<div class=\"newpadding\">\n\nEveryone loves delicious food, especially pizza, but with today’s hectic life, you probably don’t have time to prepare a home-cooked meal.\n\nThat’s where Buck’s Pizza comes in. Our family loves to save the day by serving fresh mouthwatering food for your family to enjoy together. Bucks Pizza offers menu choices of pasta, wings, salads, sandwiches, desserts &amp; the Best PIZZA using the freshest ingredients served at the peak of deliciousness. Whether you crave pizza made with handmade dough and carefully selected tomatoes, hot and crispy chicken tenders, or even a healthy salad, our menu has something sure to please even the pickiest eaters.\n\nClick Locations &amp; Menus to find the closest Buck’s to you!\n<div>\n<h2 style=\"text-align:center;\"><a href=\"http://buckspizza.com/locations/\" target=\"_blank\">Locations &amp; Menus</a></h2>\n<div style=\"padding-left: 50px; width:40%; float:left; \">\n[flipboxes id=\"1585\"]</div>\n<div style=\"padding-left: 50px; width:60%; float: right; \">\n\nGo to the left to find a location near you! Or look below at our many sites in the United States!\n\nIf you need to contact us please click on this link <a href=\"http://buckspizza.com/contact/\">Contact us now!</a>\n\n</div>\n</div>\n</div>\n[leaflet-map height=500 lat=36.85522853353864 lng=-77.38769531250001 zoom=4][leaflet-marker lat=41.129943 lng=-78.736842][leaflet-marker lat=30.690745 lng=-88.045803][leaflet-marker lat=33.339302 lng=-84.521339][leaflet-marker lat=45.196162 lng=-93.901662][leaflet-marker lat=43.049920 lng=-74.345859][leaflet-marker lat=35.748097 lng=-81.686335][leaflet-marker lat=35.208997 lng=-82.238545][leaflet-marker lat=41.027739 lng=-78.437137][leaflet-marker lat=32.806060 lng=-80.012575][leaflet-marker lat=33.908945 lng=-81.225469][leaflet-marker lat=32.921420 lng=-80.677220][leaflet-marker lat=29.566620 lng=-95.134758][leaflet-marker lat=26.190691 lng=-98.205982][leaflet-marker lat=26.177388 lng=-98.289865][leaflet-marker lat=29.856865 lng=-94.863692][leaflet-marker lat=38.431512 lng=-81.837840][leaflet-marker lat=45.162350 lng=-89.150713]", "Good. Better. Bucks.", "", "inherit", "closed", "closed", "", "1563-revision-v1", "", "", "2018-12-27 16:43:37", "2018-12-27 16:43:37", "", "1563", "http://buckspizza.com/uncategorized/1563-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1717", "1", "2019-01-08 20:55:29", "2019-01-08 20:55:29", "<!-- wp:image {\"id\":1718} -->\n<figure class=\"wp-block-image\"><img src=\"http://buckspizza.com/wp-content/uploads/2019/01/Bucks-Insert-front-and-back-8.5x11-BOGOHalfOff2018-pdf-700x893.jpg\" alt=\"\" class=\"wp-image-1718\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph -->\n<p>Buy one pizza, get a second pizza (of equal or lesser value) for 1/2 price!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>For 1/2 Price any size, any toppings, hand-tossed or deep dish available for Dine-in and Carry-out orders! (excludes gluten free crust)</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><strong>Unlimited redemptions with this coupon</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Expires February 2nd 2019 </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2><a href=\"http://buckspizza.com/dubois-pa/\">Visit Buck\'s Pizza - DuBois</a></h2>\n<!-- /wp:heading -->\n\n<!-- wp:heading -->\n<h2><a href=\"http://buckspizza.com/clearfield-pa/\">Visit Buck\'s Pizza - Clearfield</a></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->", "Buy One Pizza Get A Second Pizza for 1/2 Price!!", "", "publish", "closed", "closed", "", "january-special", "", "", "2019-01-10 16:54:26", "2019-01-10 16:54:26", "", "0", "http://buckspizza.com/?page_id=1717", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1718", "1", "2019-01-08 20:38:04", "2019-01-08 20:38:04", "", "Bucks Insert-front and back-8.5x11-BOGOHalfOff2018", "", "inherit", "closed", "closed", "", "bucks-insert-front-and-back-8-5x11-bogohalfoff2018", "", "", "2019-01-08 20:52:34", "2019-01-08 20:52:34", "", "1717", "http://buckspizza.com/wp-content/uploads/2019/01/Bucks-Insert-front-and-back-8.5x11-BOGOHalfOff2018.pdf", "0", "attachment", "application/pdf", "0");
INSERT INTO `wp_posts` VALUES("1719", "1", "2019-01-08 20:39:51", "2019-01-08 20:39:51", "", "Bucks Insert-front and back-8.5x11-BOGOHalfOff2018", "", "inherit", "closed", "closed", "", "bucks-insert-front-and-back-8-5x11-bogohalfoff2018-2", "", "", "2019-01-08 20:39:51", "2019-01-08 20:39:51", "", "1717", "http://buckspizza.com/wp-content/uploads/2019/01/Bucks-Insert-front-and-back-8.5x11-BOGOHalfOff2018-1.pdf", "0", "attachment", "application/pdf", "0");
INSERT INTO `wp_posts` VALUES("1732", "1", "2019-01-10 16:54:25", "2019-01-10 16:54:25", "<!-- wp:image {\"id\":1718} -->\n<figure class=\"wp-block-image\"><img src=\"http://buckspizza.com/wp-content/uploads/2019/01/Bucks-Insert-front-and-back-8.5x11-BOGOHalfOff2018-pdf-700x893.jpg\" alt=\"\" class=\"wp-image-1718\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph -->\n<p>Buy one pizza, get a second pizza (of equal or lesser value) for 1/2 price!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>For 1/2 Price any size, any toppings, hand-tossed or deep dish available for Dine-in and Carry-out orders! (excludes gluten free crust)</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><strong>Unlimited redemptions with this coupon</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Expires February 2nd 2019 </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2><a href=\"http://buckspizza.com/dubois-pa/\">Visit Buck\'s Pizza - DuBois</a></h2>\n<!-- /wp:heading -->\n\n<!-- wp:heading -->\n<h2><a href=\"http://buckspizza.com/clearfield-pa/\">Visit Buck\'s Pizza - Clearfield</a></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->", "Buy One Pizza Get A Second Pizza for 1/2 Price!!", "", "inherit", "closed", "closed", "", "1717-revision-v1", "", "", "2019-01-10 16:54:25", "2019-01-10 16:54:25", "", "1717", "http://buckspizza.com/uncategorized/1717-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1734", "1", "2019-01-16 01:24:48", "2019-01-16 01:24:48", "<h2>Good. Better. Bucks.</h2>\n<style>\nh2 {text-align: center;z-index: 2 !important; position: absolute;background-color: rgba(179, 179, 179, 0.8); top: 80px; left: 0px; width: 100%;} .homebanner img {} .testslider {z-index: 2; width: 100%; left: 0px !important; background: #a30b33;} .slider-title {width: auto !important; font-weight: bold; font-size: 32px !important;  color: white !important;} .huge-it-caption {background: rgba(146, 6, 8, .8) !important;} .huge-it-wrap img {height: auto !important; width: 50%;} .content { } @media only screen and (min-width:1024px) and (max-width: 1339px){ .testslider {top: 80px !important;} .content { } body.home .homebanner  {padding-bottom: 0px; !important} } @media only screen and (min-width:769px) and (max-width: 1023px){ .content { } .testslider {top: 100px;} } @media only screen and (max-width:768px){ .testslider {top: 99px !important;} .huge-it-wrap img {max-height: auto !important; height: auto !important; width: auto;} .huge-it-slide-bg {background: #a30b33 !important;} .content {} } </style>\n<div class=\"testslider\">[huge_it_slider id=\"1\"]</div>\nEveryone loves delicious food, especially pizza, but with today\'s hectic life, you probably don\'t have time to prepare a home-cooked meal.\n\nThat\'s where Buck\'s Pizza comes in. Our family loves to save the day by serving&nbsp;fresh mouthwatering food for your family to enjoy together. Bucks Pizza offers menu choices of pasta, wings, salads, sandwiches, desserts &amp; the Best PIZZA using the freshest ingredients served at the peak of deliciousness. Whether you crave pizza made with handmade dough and carefully selected tomatoes, hot and crispy chicken tenders, or even a healthy salad, our menu has something sure to please even the pickiest eaters.\n\nClick Locations &amp; Menus to find the closest Buck\'s to you!\n<h3><a href=\"http://buckspizza.com/locations/\" target=\"_blank\">Locations &amp; Menus</a></h3>\n<div style=\"\">\n[flipboxes id=\"1585\"]</div>\n<!-- Google Code for Remarketing Tag -->\n<!-------------------------------------------------- Remarketing tags may not be associated with personally identifiable information or placed on pages related to sensitive categories. See more information and instructions on how to setup the tag on: http://google.com/ads/remarketingsetup --------------------------------------------------->\n<script type=\"text/javascript\"><br />\n/* <![CDATA[ */ var google_conversion_id = 1017806189; var google_custom_params = window.google_tag_params; var google_remarketing_only = true; /* ]]> */<br />\n</script>\n<script type=\"text/javascript\" src=\"//www.googleadservices.com/pagead/conversion.js\"><br />\n</script>\n<noscript>\n</noscript>\n<div style=\"display:inline;\">\n<img height=\"1\" width=\"1\" style=\"border-style:none;\" alt=\"\" src=\"//googleads.g.doubleclick.net/pagead/viewthroughconversion/1017806189/?guid=ON&amp;script=0\"></div>", "Buck\'s Pizza", "", "publish", "closed", "closed", "", "testhome2", "", "", "2019-01-16 01:56:28", "2019-01-16 01:56:28", "", "0", "http://buckspizza.com/?page_id=1734", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1751", "1", "2019-01-16 01:56:27", "2019-01-16 01:56:27", "<h2>Good. Better. Bucks.</h2>\n<style>\nh2 {text-align: center;z-index: 2 !important; position: absolute;background-color: rgba(179, 179, 179, 0.8); top: 80px; left: 0px; width: 100%;} .homebanner img {} .testslider {z-index: 2; width: 100%; left: 0px !important; background: #a30b33;} .slider-title {width: auto !important; font-weight: bold; font-size: 32px !important;  color: white !important;} .huge-it-caption {background: rgba(146, 6, 8, .8) !important;} .huge-it-wrap img {height: auto !important; width: 50%;} .content { } @media only screen and (min-width:1024px) and (max-width: 1339px){ .testslider {top: 80px !important;} .content { } body.home .homebanner  {padding-bottom: 0px; !important} } @media only screen and (min-width:769px) and (max-width: 1023px){ .content { } .testslider {top: 100px;} } @media only screen and (max-width:768px){ .testslider {top: 99px !important;} .huge-it-wrap img {max-height: auto !important; height: auto !important; width: auto;} .huge-it-slide-bg {background: #a30b33 !important;} .content {} } </style>\n<div class=\"testslider\">[huge_it_slider id=\"1\"]</div>\nEveryone loves delicious food, especially pizza, but with today\'s hectic life, you probably don\'t have time to prepare a home-cooked meal.\n\nThat\'s where Buck\'s Pizza comes in. Our family loves to save the day by serving&nbsp;fresh mouthwatering food for your family to enjoy together. Bucks Pizza offers menu choices of pasta, wings, salads, sandwiches, desserts &amp; the Best PIZZA using the freshest ingredients served at the peak of deliciousness. Whether you crave pizza made with handmade dough and carefully selected tomatoes, hot and crispy chicken tenders, or even a healthy salad, our menu has something sure to please even the pickiest eaters.\n\nClick Locations &amp; Menus to find the closest Buck\'s to you!\n<h3><a href=\"http://buckspizza.com/locations/\" target=\"_blank\">Locations &amp; Menus</a></h3>\n<div style=\"\">\n[flipboxes id=\"1585\"]</div>\n<!-- Google Code for Remarketing Tag -->\n<!-------------------------------------------------- Remarketing tags may not be associated with personally identifiable information or placed on pages related to sensitive categories. See more information and instructions on how to setup the tag on: http://google.com/ads/remarketingsetup --------------------------------------------------->\n<script type=\"text/javascript\"><br />\n/* <![CDATA[ */ var google_conversion_id = 1017806189; var google_custom_params = window.google_tag_params; var google_remarketing_only = true; /* ]]> */<br />\n</script>\n<script type=\"text/javascript\" src=\"//www.googleadservices.com/pagead/conversion.js\"><br />\n</script>\n<noscript>\n</noscript>\n<div style=\"display:inline;\">\n<img height=\"1\" width=\"1\" style=\"border-style:none;\" alt=\"\" src=\"//googleads.g.doubleclick.net/pagead/viewthroughconversion/1017806189/?guid=ON&amp;script=0\"></div>", "Buck\'s Pizza", "", "inherit", "closed", "closed", "", "1734-revision-v1", "", "", "2019-01-16 01:56:27", "2019-01-16 01:56:27", "", "1734", "http://buckspizza.com/uncategorized/1734-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1753", "1", "2019-01-20 20:02:19", "2019-01-20 20:02:19", "<h2>Good. Better. Bucks.</h2>\r\n<style>\r\nh2 {text-align: center;z-index: 2 !important; position: absolute;background-color: rgba(179, 179, 179, 0.8); top: 80px; left: 0px; width: 100%;} .homebanner img {} .testslider {z-index: 2; width: 100%; left: 0px !important; background: #a30b33;} .slider-title {width: auto !important; font-weight: bold; font-size: 32px !important;  color: white !important;} .huge-it-caption {background: rgba(146, 6, 8, .8) !important;} .huge-it-wrap img {height: auto !important; width: 50%;} .content { } @media only screen and (min-width:1024px) and (max-width: 1339px){ .testslider {top: 80px !important;} .content { } body.home .homebanner  {padding-bottom: 0px; !important} } @media only screen and (min-width:769px) and (max-width: 1023px){ .content { } .testslider {top: 100px;} } @media only screen and (max-width:768px){ .testslider {top: 99px !important;} .huge-it-wrap img {max-height: auto !important; height: auto !important; width: auto;} .huge-it-slide-bg {background: #a30b33 !important;} .content {} } </style>\r\n<div class=\"testslider\">[huge_it_slider id=\"1\"]</div>\r\nEveryone loves delicious food, especially pizza, but with today\'s hectic life, you probably don\'t have time to prepare a home-cooked meal.\r\n\r\nThat\'s where Buck\'s Pizza comes in. Our family loves to save the day by serving&nbsp;fresh mouthwatering food for your family to enjoy together. Bucks Pizza offers menu choices of pasta, wings, salads, sandwiches, desserts &amp; the Best PIZZA using the freshest ingredients served at the peak of deliciousness. Whether you crave pizza made with handmade dough and carefully selected tomatoes, hot and crispy chicken tenders, or even a healthy salad, our menu has something sure to please even the pickiest eaters.\r\n\r\nClick Locations &amp; Menus to find the closest Buck\'s to you!\r\n<h3><a href=\"http://buckspizza.com/locations/\" target=\"_blank\">Locations &amp; Menus</a></h3>\r\n<div style=\"\">\r\n[flipboxes id=\"1585\"]</div>\r\n<!-- Google Code for Remarketing Tag -->\r\n<!-------------------------------------------------- Remarketing tags may not be associated with personally identifiable information or placed on pages related to sensitive categories. See more information and instructions on how to setup the tag on: http://google.com/ads/remarketingsetup --------------------------------------------------->\r\n<script type=\"text/javascript\"><br />\r\n/* <![CDATA[ */ var google_conversion_id = 1017806189; var google_custom_params = window.google_tag_params; var google_remarketing_only = true; /* ]]> */<br />\r\n</script>\r\n<script type=\"text/javascript\" src=\"//www.googleadservices.com/pagead/conversion.js\"><br />\r\n</script>\r\n<noscript>\r\n</noscript>\r\n<div style=\"display:inline;\">\r\n<img height=\"1\" width=\"1\" style=\"border-style:none;\" alt=\"\" src=\"//googleads.g.doubleclick.net/pagead/viewthroughconversion/1017806189/?guid=ON&amp;script=0\"></div>", "Buck\'s Pizza", "", "inherit", "closed", "closed", "", "26-revision-v1", "", "", "2019-01-20 20:02:19", "2019-01-20 20:02:19", "", "26", "http://buckspizza.com/uncategorized/26-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1755", "1", "2019-01-22 00:33:50", "2019-01-22 00:33:50", "@media only screen and (max-width: 1340px)\n{\n		h1 {   margin-top: 125px;}\n	\n}\n@media only screen and (min-width: 1223px) {\n	\n\n	\n}\n@media only screen and (max-width: 1024px)\n{\n		h2 {   margin-top: 20px;}\n	h1 {   margin-top: 145px;}\n	\n}", "bucks-child", "", "publish", "closed", "closed", "", "bucks-child", "", "", "2019-01-22 01:15:12", "2019-01-22 01:15:12", "", "0", "http://buckspizza.com/uncategorized/bucks-child/", "0", "custom_css", "", "0");
INSERT INTO `wp_posts` VALUES("1774", "1", "2019-01-22 01:15:12", "2019-01-22 01:15:12", "@media only screen and (max-width: 1340px)\n{\n		h1 {   margin-top: 125px;}\n	\n}\n@media only screen and (min-width: 1223px) {\n	\n\n	\n}\n@media only screen and (max-width: 1024px)\n{\n		h2 {   margin-top: 20px;}\n	h1 {   margin-top: 145px;}\n	\n}", "bucks-child", "", "inherit", "closed", "closed", "", "1755-revision-v1", "", "", "2019-01-22 01:15:12", "2019-01-22 01:15:12", "", "1755", "http://buckspizza.com/uncategorized/1755-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1778", "1", "2019-01-30 15:01:09", "2019-01-30 15:01:09", "<style>.stmarysshow {display: block !important;}</style> <style><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span>.Duboisshow {display: block !important;}</style>\r\n<h3><strong>Now Offering <a href=\"https://buckspizza.com/st-marys-pa/delivery/\">Delivery</a>, Dine-In, and Drive Through!</strong></h3>\r\n<h3><strong>CALL NOW 814-834-1886</strong></h3>\r\n<h4><strong><a href=\"http://buckspizza.com/st-marys-pa/menu/\" target=\"_blank\" rel=\"noopener noreferrer\">St. Marys Menu</a></strong></h4>\r\n<h4><strong><a href=\"https://secure.microworks.com/Bucks/ordering?store=3265\" target=\"_blank\" rel=\"noopener noreferrer\">Online Ordering </a>   </strong></h4>\r\n<ul>\r\n 	<li>New to online ordering? Only takes a few moments to setup, save your favorite orders, and get exclusive deals!</li>\r\n</ul>\r\n<h4><a href=\"https://buckspizza.com/jobs/\" target=\"_blank\" rel=\"noopener noreferrer\">Current Job Opportunities</a></h4>\r\n<strong>Family Specials</strong>\r\n<h3><a href=\"http://buckspizza.com/family-specials/\" target=\"_blank\" rel=\"noopener noreferrer\">Family Specials - Choose One Pizza, then a Second Pizza, and add on Boneless Wings or Stix!</a></h3>\r\n<strong>Got a Big Group to Feed? </strong>\r\n<h3><a href=\"http://buckspizza.com/party-paks/\" target=\"_blank\" rel=\"noopener noreferrer\">PARTY PAKS – PIZZA WITH WINGS OR BONELESS WINGS!</a></h3>\r\n\r\n<iframe width=\"600\" height=\"360\" src=\"https://www.youtube.com/embed/o-Azpt8JQ0I\" frameborder=\"0\" allow=\"accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture\" allowfullscreen></iframe>\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/employment-pa/\">Employment Options</a></h2>\r\n962 South Saint Marys Street\r\nSt. Marys, PA 15857\r\n<a href=\"tel:814-834-1886\">814-834-1886</a> (<em>Click to call from mobile devices</em>)\r\nOpen 11am-8pm daily\r\n\r\n&nbsp;", "St. Marys, Pennsylvania", "", "publish", "closed", "closed", "", "st-marys-pa", "", "", "2020-04-14 18:01:47", "2020-04-14 18:01:47", "", "0", "http://buckspizza.com/?page_id=1778", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1779", "1", "2019-07-02 15:48:03", "2019-07-02 15:48:03", "<style><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span>.Duboisshow {display: block !important;}</style>\r\n<h4><a href=\"http://buckspizza.com/dubois-pa/menu/\">DuBois Menu</a>     <a href=\"http://buckspizza.com/community-fundraiser-dubois-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Group Fundraisers</a>     <a href=\"http://buckspizza.com/pa-kids-menu/\" target=\"_blank\" rel=\"noopener noreferrer\">Kid\'s Menu</a></h4>\r\n<h4><strong><a href=\"https://secure.microworks.com/Bucks/Items.aspx?store=2212\" target=\"_blank\" rel=\"noopener noreferrer\">Online Ordering</a>    </strong></h4>\r\n<ul>\r\n 	<li>New to online ordering? Only takes a few moments to setup, save your favorite orders, and get exclusive deals!</li>\r\n</ul>\r\n<strong>NEW! Family Specials</strong>\r\n<h3><a href=\"http://buckspizza.com/family-specials/\" target=\"_blank\" rel=\"noopener noreferrer\">Family Specials - Choose One Pizza, then a Second Pizza, and add on Boneless Wings or Stix!</a></h3>\r\n<strong>Got a Big Group to Feed? </strong>\r\n<h3><a href=\"http://buckspizza.com/party-paks/\" target=\"_blank\" rel=\"noopener noreferrer\">Party Paks - Pizza with Wings or Boneless Wings, Available for Dine-In or Carry-Out!</a></h3>\r\n53 Industrial Drive\r\nDuBois, PA 15801\r\n<a href=\"tel:814-371-4500\">814-371-4500</a> (<em>Click to call from mobile devices</em>)\r\n\r\n<!--<img src=\"http://buckspizza.com/wp-content/uploads/2016/11/Small-Pizza-Wings-60292-BP-4-12-06-0177-700x526.jpg\" alt=\"small-pizza-wings-60292-bp-4-12-06-0177\" />-->\r\n<iframe src=\"https://www.youtube.com/embed/hkCI0EwJk6U\" width=\"600\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n<h2>What\'s for dinner tonight? Listen now!</h2>\r\n[audio mp3=\"http://buckspizza.com/wp-content/uploads/2016/11/Bucks-Pizza-Whats-for-Dinner-November-2016.mp3\"][/audio]\r\n\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/dubois-pa/menu/\">&gt;&gt;DuBois Menu&lt;&lt;</a></h2>\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/employment-pa/\">Employment Options</a></h2>\r\n&nbsp;\r\n<h4>Download our No Wait App</h4>\r\nWe’ll notify you with a text as soon as your table is ready. When you walk up to the host stand, you can walk right to your table.\r\n<a href=\"https://bnc.lt/get-in-line-with-nowait\" target=\"_blank\" rel=\"noopener noreferrer\"><img src=\"http://buckspizza.com/wp-content/uploads/2016/09/nowait.png\" /></a>\r\n<div class=\"fb-follow\" data-show-faces=\"true\" data-size=\"large\" data-layout=\"standard\" data-width=\"600\" data-href=\"https://www.facebook.com/buckspizza.dubois/\"></div>\r\n<!-- Google Code for Remarketing Tag -->\r\n<!-------------------------------------------------- Remarketing tags may not be associated with personally identifiable information or placed on pages related to sensitive categories. See more information and instructions on how to setup the tag on: http://google.com/ads/remarketingsetup --------------------------------------------------->\r\n<script type=\"text/javascript\"><br />\r\n/* <![CDATA[ */ var google_conversion_id = 1017806189; var google_custom_params = window.google_tag_params; var google_remarketing_only = true; /* ]]> */<br />\r\n</script>\r\n<script type=\"text/javascript\" src=\"//www.googleadservices.com/pagead/conversion.js\"><br />\r\n</script>\r\n<noscript>\r\n</noscript>\r\n<div style=\"display: inline;\"><img style=\"border-style: none;\" src=\"//googleads.g.doubleclick.net/pagead/viewthroughconversion/1017806189/?guid=ON&amp;script=0\" alt=\"\" width=\"1\" height=\"1\" /></div>", "DuBois, Pennsylvania", "", "inherit", "closed", "closed", "", "54-autosave-v1", "", "", "2019-07-02 15:48:03", "2019-07-02 15:48:03", "", "54", "http://buckspizza.com/uncategorized/54-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1783", "1", "2019-01-30 15:22:47", "2019-01-30 15:22:47", "<h5>This week\'s offer!</h5>\r\n<iframe src=\"https://www.youtube.com/embed/CjCaRH9AlZo\" width=\"560\" height=\"315\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n<h4>Thank you for your support!</h4>\r\n<img class=\"size-full wp-image-1784 aligncenter\" src=\"http://buckspizza.com/wp-content/uploads/2019/01/FebThankYou.jpg\" alt=\"\" />\r\n\r\n<img class=\"size-full wp-image-1785 aligncenter\" src=\"http://buckspizza.com/wp-content/uploads/2019/01/FebThankYouEmployees.jpg\" alt=\"\" />\r\n<p class=\"ql-align-center\" style=\"text-align: center;\"><b>Don\'t miss out on these amazing promotions, they won\'t last long!</b></p>\r\n<p style=\"text-align: center;\">We cannot thank you enough for your continued support of Buck\'s Pizza. We would not be successful without our fantastic staff, customers, and community.</p>\r\n<em><strong>*Just call your favorite store to ask for your special offer! No prior redemption needed.</strong></em>\r\n<h2><a href=\"http://buckspizza.com/dubois-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Buck\'s Pizza - DuBois, PA: Menu and Location info</a></h2>\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Buck\'s Pizza - Clearfield, PA: Menu and Location info</a></h2>", "Thank You Celebration", "", "draft", "closed", "closed", "", "thank-you-celebration", "", "", "2019-03-03 15:16:47", "2019-03-03 15:16:47", "", "0", "http://buckspizza.com/?page_id=1783", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1784", "1", "2019-01-30 15:06:22", "2019-01-30 15:06:22", "", "FebThankYou", "", "inherit", "closed", "closed", "", "febthankyou", "", "", "2019-01-30 15:06:22", "2019-01-30 15:06:22", "", "1783", "http://buckspizza.com/wp-content/uploads/2019/01/FebThankYou.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1785", "1", "2019-01-30 15:06:38", "2019-01-30 15:06:38", "", "FebThankYouEmployees", "", "inherit", "closed", "closed", "", "febthankyouemployees", "", "", "2019-01-30 15:06:38", "2019-01-30 15:06:38", "", "1783", "http://buckspizza.com/wp-content/uploads/2019/01/FebThankYouEmployees.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1794", "1", "2019-01-30 15:51:36", "2019-01-30 15:51:36", "<h4>Check out Buck\'s Pizza\'s current employment opportunities!</h4>\r\n<h5>St. Marys, Pennsylvania</h5>\r\n<ul>\r\n 	<li style=\"font-weight: 400;\">Cook and CounterPart-time job\r\nOur motivated and positive team is looking for more team members! Are you hard-working? Do you have a positive attitude? Do you love Buck\'s Pizza?We are seeking cooks and counter staff with daytime, evening and weekend availability. Our staff in St Marys will cook, take phone orders, welcome walk-in guests and drive through guests.  Our restaurant hours will be from 4pm to 8pm.  So, your working hours would be from about 3PM to about 9PM, or some portion of  that time.</li>\r\n</ul>\r\n<p style=\"font-weight: 400;\">Benefits include:\r\n-employee discount on Buck\'s delicious food\r\n-401k retirement plan with company match (after you reach eligibility requirements)\r\n-Health Insurance (after you reach eligibility requirements)\r\n962 South St Marys Street</p>\r\n<p style=\"font-weight: 400;\">Call us at <a href=\"tel:8143713076\">814-371-3076</a></p>", "Employment - PA", "", "publish", "closed", "closed", "", "employment-pa", "", "", "2019-02-04 18:52:39", "2019-02-04 18:52:39", "", "0", "http://buckspizza.com/?page_id=1794", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1806", "1", "2019-02-04 14:00:03", "2019-02-04 14:00:03", "<style><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span>.Duboisshow {display: block !important;}</style>\r\n<h2></h2>\r\n<h2>This location will be opening soon!</h2>\r\n962 South Saint Marys Street\r\nSt. Marys, PA 15857\r\n<a href=\"tel:814-834-1886\">814-834-1886</a> (<em>Click to call from mobile devices</em>)\r\n\r\n&nbsp;", "St. Marys, Pennsylvania", "", "inherit", "closed", "closed", "", "1778-autosave-v1", "", "", "2019-02-04 14:00:03", "2019-02-04 14:00:03", "", "1778", "http://buckspizza.com/uncategorized/1778-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1808", "1", "2019-02-04 18:52:39", "2019-02-04 18:52:39", "<h4>Check out Buck\'s Pizza\'s current employment opportunities!</h4>\r\n<h5>St. Marys, Pennsylvania</h5>\r\n<ul>\r\n 	<li style=\"font-weight: 400;\">Cook and CounterPart-time job\r\nOur motivated and positive team is looking for more team members! Are you hard-working? Do you have a positive attitude? Do you love Buck\'s Pizza?We are seeking cooks and counter staff with daytime, evening and weekend availability. Our staff in St Marys will cook, take phone orders, welcome walk-in guests and drive through guests.  Our restaurant hours will be from 4pm to 8pm.  So, your working hours would be from about 3PM to about 9PM, or some portion of  that time.</li>\r\n</ul>\r\n<p style=\"font-weight: 400;\">Benefits include:\r\n-employee discount on Buck\'s delicious food\r\n-401k retirement plan with company match (after you reach eligibility requirements)\r\n-Health Insurance (after you reach eligibility requirements)\r\n962 South St Marys Street</p>\r\n<p style=\"font-weight: 400;\">Call us at <a href=\"tel:8143713076\">814-371-3076</a></p>", "Employment - PA", "", "inherit", "closed", "closed", "", "1794-revision-v1", "", "", "2019-02-04 18:52:39", "2019-02-04 18:52:39", "", "1794", "http://buckspizza.com/uncategorized/1794-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1809", "1", "2019-02-04 21:07:25", "2019-02-04 21:07:25", "<h5>This week\'s offer!</h5>\r\n<iframe src=\"https://www.youtube.com/embed/aqfA315dbVQ\" width=\"560\" height=\"315\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n<h4>Thank you for your support!</h4>\r\n<img class=\"size-full wp-image-1784 aligncenter\" src=\"http://buckspizza.com/wp-content/uploads/2019/01/FebThankYou.jpg\" alt=\"\" />\r\n\r\n<img class=\"size-full wp-image-1785 aligncenter\" src=\"http://buckspizza.com/wp-content/uploads/2019/01/FebThankYouEmployees.jpg\" alt=\"\" />\r\n<p class=\"ql-align-center\" style=\"text-align: center;\"><b>Don\'t miss out on these amazing promotions, they won\'t last long!</b></p>\r\n<p style=\"text-align: center;\">We cannot thank you enough for your continued support of Buck\'s Pizza. We would not be successful without our fantastic staff, customers, and community.</p>\r\n<em><strong>*Just call your favorite store to ask for your special offer! No prior redemption needed.</strong></em>\r\n<h2><a href=\"http://buckspizza.com/dubois-pa/\" target=\"_blank\" rel=\"noopener\">Buck\'s Pizza - DuBois, PA: Menu and Location info</a></h2>\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/\" target=\"_blank\" rel=\"noopener\">Buck\'s Pizza - Clearfield, PA: Menu and Location info</a></h2>", "Thank You Celebration", "", "inherit", "closed", "closed", "", "1783-autosave-v1", "", "", "2019-02-04 21:07:25", "2019-02-04 21:07:25", "", "1783", "http://buckspizza.com/uncategorized/1783-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1831", "1", "2019-02-24 17:39:31", "2019-02-24 17:39:31", "<h5>This week\'s offer!</h5>\r\n<iframe src=\"https://www.youtube.com/embed/CjCaRH9AlZo\" width=\"560\" height=\"315\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n<h4>Thank you for your support!</h4>\r\n<img class=\"size-full wp-image-1784 aligncenter\" src=\"http://buckspizza.com/wp-content/uploads/2019/01/FebThankYou.jpg\" alt=\"\" />\r\n\r\n<img class=\"size-full wp-image-1785 aligncenter\" src=\"http://buckspizza.com/wp-content/uploads/2019/01/FebThankYouEmployees.jpg\" alt=\"\" />\r\n<p class=\"ql-align-center\" style=\"text-align: center;\"><b>Don\'t miss out on these amazing promotions, they won\'t last long!</b></p>\r\n<p style=\"text-align: center;\">We cannot thank you enough for your continued support of Buck\'s Pizza. We would not be successful without our fantastic staff, customers, and community.</p>\r\n<em><strong>*Just call your favorite store to ask for your special offer! No prior redemption needed.</strong></em>\r\n<h2><a href=\"http://buckspizza.com/dubois-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Buck\'s Pizza - DuBois, PA: Menu and Location info</a></h2>\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Buck\'s Pizza - Clearfield, PA: Menu and Location info</a></h2>", "Thank You Celebration", "", "inherit", "closed", "closed", "", "1783-revision-v1", "", "", "2019-02-24 17:39:31", "2019-02-24 17:39:31", "", "1783", "http://buckspizza.com/uncategorized/1783-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1832", "1", "2019-03-03 15:22:28", "2019-03-03 15:22:28", "<h2>March Offer: Dinner for Two for only $19.99!</h2>\r\n<h4>Choose an Appetizer, Entree and Dessert for two for a limited time only</h4>\r\nExpires this month! No limits! Dine-In Only.\r\n\r\n<img class=\"alignleft size-large wp-image-1833\" src=\"http://buckspizza.com/wp-content/uploads/2019/03/dinner-for-two-700x491.png\" alt=\"bucks pizza march 2019 offer dubois pa and clearfield pa\" />\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n&nbsp;\r\n<h2><img class=\"alignleft size-large wp-image-1834\" src=\"http://buckspizza.com/wp-content/uploads/2019/03/bucks-march-2019-special-700x362.png\" alt=\"bucks pizza march 2019 offer dubois pa and clearfield pa\" /></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Buck\'s Pizza - Clearfield, PA: Menu and Location info</a></h2>", "March Offer", "", "publish", "closed", "closed", "", "march-offer", "", "", "2019-03-03 15:23:58", "2019-03-03 15:23:58", "", "52", "http://buckspizza.com/?page_id=1832", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1833", "1", "2019-03-03 15:19:29", "2019-03-03 15:19:29", "", "dinner for two", "", "inherit", "closed", "closed", "", "dinner-for-two", "", "", "2019-03-03 15:19:53", "2019-03-03 15:19:53", "", "1832", "http://buckspizza.com/wp-content/uploads/2019/03/dinner-for-two.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1834", "1", "2019-03-03 15:20:54", "2019-03-03 15:20:54", "", "bucks march 2019 special", "", "inherit", "closed", "closed", "", "bucks-march-2019-special", "", "", "2019-03-03 15:21:10", "2019-03-03 15:21:10", "", "1832", "http://buckspizza.com/wp-content/uploads/2019/03/bucks-march-2019-special.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1838", "1", "2019-03-03 15:23:58", "2019-03-03 15:23:58", "<h2>March Offer: Dinner for Two for only $19.99!</h2>\r\n<h4>Choose an Appetizer, Entree and Dessert for two for a limited time only</h4>\r\nExpires this month! No limits! Dine-In Only.\r\n\r\n<img class=\"alignleft size-large wp-image-1833\" src=\"http://buckspizza.com/wp-content/uploads/2019/03/dinner-for-two-700x491.png\" alt=\"bucks pizza march 2019 offer dubois pa and clearfield pa\" />\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n&nbsp;\r\n<h2><img class=\"alignleft size-large wp-image-1834\" src=\"http://buckspizza.com/wp-content/uploads/2019/03/bucks-march-2019-special-700x362.png\" alt=\"bucks pizza march 2019 offer dubois pa and clearfield pa\" /></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Buck\'s Pizza - Clearfield, PA: Menu and Location info</a></h2>", "March Offer", "", "inherit", "closed", "closed", "", "1832-revision-v1", "", "", "2019-03-03 15:23:58", "2019-03-03 15:23:58", "", "1832", "http://buckspizza.com/uncategorized/1832-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1839", "1", "2019-03-03 15:25:04", "2019-03-03 15:25:04", "<h2>March Offer: Dinner for Two for only $19.99!</h2>\r\n<h4>Choose an Appetizer, Entree and Dessert for two for a limited time only</h4>\r\nExpires this month! No limits! Dine-In Only.\r\n\r\n<img class=\"alignleft size-large wp-image-1833\" src=\"http://buckspizza.com/wp-content/uploads/2019/03/dinner-for-two-700x491.png\" alt=\"bucks pizza march 2019 offer dubois pa and clearfield pa\" />\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n&nbsp;\r\n<h2><img class=\"alignleft size-large wp-image-1834\" src=\"http://buckspizza.com/wp-content/uploads/2019/03/bucks-march-2019-special-700x362.png\" alt=\"bucks pizza march 2019 offer dubois pa and clearfield pa\" /></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2><a href=\"http://buckspizza.com/dubois-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Buck\'s Pizza - DuBois, PA: Menu and Location info</a></h2>", "March Offer", "", "draft", "closed", "closed", "", "march-offer", "", "", "2019-05-10 14:22:36", "2019-05-10 14:22:36", "", "54", "http://buckspizza.com/?page_id=1839", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1840", "1", "2019-03-03 15:25:04", "2019-03-03 15:25:04", "<h2>March Offer: Dinner for Two for only $19.99!</h2>\r\n<h4>Choose an Appetizer, Entree and Dessert for two for a limited time only</h4>\r\nExpires this month! No limits! Dine-In Only.\r\n\r\n<img class=\"alignleft size-large wp-image-1833\" src=\"http://buckspizza.com/wp-content/uploads/2019/03/dinner-for-two-700x491.png\" alt=\"bucks pizza march 2019 offer dubois pa and clearfield pa\" />\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n&nbsp;\r\n<h2><img class=\"alignleft size-large wp-image-1834\" src=\"http://buckspizza.com/wp-content/uploads/2019/03/bucks-march-2019-special-700x362.png\" alt=\"bucks pizza march 2019 offer dubois pa and clearfield pa\" /></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2></h2>\r\n<h2><a href=\"http://buckspizza.com/dubois-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Buck\'s Pizza - DuBois, PA: Menu and Location info</a></h2>", "March Offer", "", "inherit", "closed", "closed", "", "1839-revision-v1", "", "", "2019-03-03 15:25:04", "2019-03-03 15:25:04", "", "1839", "http://buckspizza.com/uncategorized/1839-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1849", "1", "2019-03-08 15:39:00", "2019-03-08 15:39:00", "<h2>Lent Menu options for lunch and dinner</h2>\r\n<span style=\"color: #993300;\"><strong>Hand-breaded</strong> <strong>Cod Fish</strong></span> filet sandwich and the Cod Fish Dinner.\r\n\r\n<img class=\"alignnone  wp-image-1863\" src=\"http://buckspizza.com/wp-content/uploads/2019/03/IMG_3503-700x525.jpg\" alt=\"\" width=\"600\" height=\"450\" />\r\n\r\n<strong>Cod Fish Ciabatta</strong>–$10.99\r\n<em>lightly breaded, deliciously flaky and firm, cold water Cod fillets served with lettuce and tomato and with a side of tartar sauce.</em>\r\n\r\n<img class=\"alignnone  wp-image-1864\" src=\"http://buckspizza.com/wp-content/uploads/2019/03/IMG_3498-700x525.jpg\" alt=\"\" width=\"601\" height=\"451\" />\r\n\r\n<strong>Cod Fish Dinner</strong>–$13.99\r\n<em>Lightly breaded, deliciously flaky and firm, cold-water cod fillets served with french fries, a side of cole slaw and a side of tartar sauce.</em>\r\n<h2><span style=\"color: #993300;\">Pizzas</span></h2>\r\n<img class=\"alignnone wp-image-1861\" src=\"http://buckspizza.com/wp-content/uploads/2019/03/Greek-tight-50140_BP-2_18_05-136ccs-700x700.jpg\" alt=\"\" width=\"602\" height=\"602\" />\r\n\r\n<strong>Margherita</strong>–sm. $7.99, md. $12.49, lg. $16.99, xl. $20.99\r\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n\r\n<strong>Greek</strong>–sm. $7.99, md. $12.49, lg. $16.99, xl. $20.99\r\n<em>A light garlic sauce, mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\r\n\r\n<strong>Vegi-Delite</strong>–sm. $7.99, md. $12.49, lg. $16.99, xl. $20.99\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\r\n\r\n<strong>4 Cheese Medley</strong>–sm. $6.99, md. $10.99, lg. $14.99, xl. $17.99\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\r\n\r\n<strong>or Create Your Own Meatless Pizza! Click below for full Menu</strong>\r\n<h2><span style=\"color: #993300;\">Pastas</span></h2>\r\n<img class=\"alignnone size-full wp-image-1853\" src=\"http://buckspizza.com/wp-content/uploads/2019/03/alfredo-clear-600.png\" alt=\"\" />\r\n\r\n<strong>Fettuccine Alfredo</strong>–sm. $8.99, reg. $12.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.</em>\r\n\r\n<strong>Cheese Ravioli</strong>–sm. $9.99, reg. $15.99\r\n<em>Rich and creamy ricotta stuffed ravioli served with tomato pasta sauce.</em>\r\n<h2><span style=\"color: #993300;\">Appetizers</span></h2>\r\n<img class=\"alignnone wp-image-1855\" src=\"http://buckspizza.com/wp-content/uploads/2019/03/DSC9920-700x467.jpg\" alt=\"\" width=\"598\" height=\"400\" />\r\n\r\n<strong>Cheese Stix</strong>–$4.99\r\n<em>12 per order, covered in melted cheese with a side of marinara.</em>\r\n\r\n<strong>Fried Mushrooms</strong>-$9.99\r\n<em>A heaping serving of fresh sliced mushrooms, hand-breaded &amp; cooked to order. Served with a side of ranch dressing.</em>\r\n\r\n<strong>Fried Cheese Ravioli</strong>-$9.99\r\n<em>6 Cheese ravioli, lightly hand-breaded. Served with a side of pasta sauce</em>\r\n\r\n<strong>Fried Fresh Mozzarella</strong>-$9.99\r\n<em>6 slices of fresh mozzarella, lightly hand-breaded. Served with a side of pasta sauce.</em>\r\n\r\n<strong>Chips and Salsa</strong>–$4.99\r\n<em>Corn Chips &amp; house-made salsa.</em>\r\n\r\n<strong>Cheese and Olives</strong>–$6.99\r\n<em>Salty Greek olives, zesty Sicilians, Kalamatas, Colossal Ripe Olives and aged provolone and fresh mozzarella.</em>\r\n\r\n<strong>Tomato Basil Soup</strong>–$4.00\r\n\r\n&nbsp;\r\n\r\nAlso, for those that are not avoiding meat, we have WINGS, BONELESS WINGS and SO MUCH BACON!\r\n\r\n<img class=\"alignnone wp-image-882\" src=\"http://buckspizza.com/wp-content/uploads/2016/10/Hot-Thai-Buffalo-Ranch-with-Celery-60292-BP-4-12-06-0104-700x526.jpg\" alt=\"plate of wings at bucks pizza\" width=\"600\" height=\"452\" />\r\n<h1><a href=\"http://buckspizza.com/dubois-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Full Menu Click Here&gt;&gt;&gt;Buck\'s Pizza in DuBois</a></h1>\r\n&nbsp;\r\n<h1><a href=\"http://buckspizza.com/clearfield-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Full Menu Click Here&gt;&gt;&gt;Buck\'s Pizza in Clearfield</a></h1>", "Lent Menu", "", "publish", "closed", "closed", "", "lent", "", "", "2019-03-08 16:43:45", "2019-03-08 16:43:45", "", "0", "http://buckspizza.com/?page_id=1849", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1851", "1", "2019-03-08 15:25:00", "2019-03-08 15:25:00", "", "Vegi-Delite pull tight 50140_BP-2_18_05 039ccs", "", "inherit", "closed", "closed", "", "vegi-delite-pull-tight-50140_bp-2_18_05-039ccs", "", "", "2019-03-08 15:25:00", "2019-03-08 15:25:00", "", "1849", "http://buckspizza.com/wp-content/uploads/2019/03/Vegi-Delite-pull-tight-50140_BP-2_18_05-039ccs.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1853", "1", "2019-03-08 15:27:38", "2019-03-08 15:27:38", "", "alfredo clear 600", "", "inherit", "closed", "closed", "", "alfredo-clear-600", "", "", "2019-03-08 15:27:38", "2019-03-08 15:27:38", "", "1849", "http://buckspizza.com/wp-content/uploads/2019/03/alfredo-clear-600.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1855", "1", "2019-03-08 15:37:10", "2019-03-08 15:37:10", "", "_DSC9920", "", "inherit", "closed", "closed", "", "_dsc9920", "", "", "2019-03-08 15:37:10", "2019-03-08 15:37:10", "", "1849", "http://buckspizza.com/wp-content/uploads/2019/03/DSC9920.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1860", "1", "2019-03-08 16:40:28", "2019-03-08 16:40:28", "<h2>Lent Menu options for lunch and dinner</h2>\n<span style=\"color: #993300;\"><strong>Hand-breaded</strong> <strong>Cod Fish</strong></span> filet sandwich and the Cod Fish Dinner.\n\n&nbsp;\n\n<strong>Cod Fish Ciabatta</strong>–$10.99\n<em>lightly breaded, deliciously flaky and firm, cold water Cod fillets served with lettuce and tomato and with a side of tartar sauce.</em>\n\n<strong>Cod Fish Dinner</strong>–$13.99\n<em>Lightly breaded, deliciously flaky and firm, cold-water cod fillets served with french fries, a side of cole slaw and a side of tartar sauce.</em>\n<h2><span style=\"color: #993300;\">Pizzas</span></h2>\n<img class=\"alignnone wp-image-1861\" src=\"http://buckspizza.com/wp-content/uploads/2019/03/Greek-tight-50140_BP-2_18_05-136ccs-700x700.jpg\" alt=\"\" width=\"602\" height=\"602\" />\n\n<strong>Margherita</strong>–sm. $7.99, md. $12.49, lg. $16.99, xl. $20.99\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\n\n<strong>Greek</strong>–sm. $7.99, md. $12.49, lg. $16.99, xl. $20.99\n<em>A light garlic sauce, mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\n\n<strong>Vegi-Delite</strong>–sm. $7.99, md. $12.49, lg. $16.99, xl. $20.99\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\n\n<strong>4 Cheese Medley</strong>–sm. $6.99, md. $10.99, lg. $14.99, xl. $17.99\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\n\n<strong>or Create Your Own Meatless Pizza! Click below for full Menu</strong>\n<h2><span style=\"color: #993300;\">Pastas</span></h2>\n<img class=\"alignnone size-full wp-image-1853\" src=\"http://buckspizza.com/wp-content/uploads/2019/03/alfredo-clear-600.png\" alt=\"\" />\n\n<strong>Fettuccine Alfredo</strong>–sm. $8.99, reg. $12.99\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.</em>\n\n<strong>Cheese Ravioli</strong>–sm. $9.99, reg. $15.99\n<em>Rich and creamy ricotta stuffed ravioli served with tomato pasta sauce.</em>\n<h2><span style=\"color: #993300;\">Appetizers</span></h2>\n<img class=\"alignnone wp-image-1855\" src=\"http://buckspizza.com/wp-content/uploads/2019/03/DSC9920-700x467.jpg\" alt=\"\" width=\"598\" height=\"400\" />\n\n<strong>Cheese Stix</strong>–$4.99\n<em>12 per order, covered in melted cheese with a side of marinara.</em>\n\n<strong>Fried Mushrooms</strong>-$9.99\n<em>A heaping serving of fresh sliced mushrooms, hand-breaded &amp; cooked to order. Served with a side of ranch dressing.</em>\n\n<strong>Fried Cheese Ravioli</strong>-$9.99\n<em>6 Cheese ravioli, lightly hand-breaded. Served with a side of pasta sauce</em>\n\n<strong>Fried Fresh Mozzarella</strong>-$9.99\n<em>6 slices of fresh mozzarella, lightly hand-breaded. Served with a side of pasta sauce.</em>\n\n<strong>Chips and Salsa</strong>–$4.99\n<em>Corn Chips &amp; house-made salsa.</em>\n\n<strong>Cheese and Olives</strong>–$6.99\n<em>Salty Greek olives, zesty Sicilians, Kalamatas, Colossal Ripe Olives and aged provolone and fresh mozzarella.</em>\n\n<strong>Tomato Basil Soup</strong>–$4.00\n\n&nbsp;\n\nAlso, for those that are not avoiding meat, we have WINGS, BONELESS WINGS and SO MUCH BACON!\n\n<img class=\"alignnone wp-image-882\" src=\"http://buckspizza.com/wp-content/uploads/2016/10/Hot-Thai-Buffalo-Ranch-with-Celery-60292-BP-4-12-06-0104-700x526.jpg\" alt=\"plate of wings at bucks pizza\" width=\"600\" height=\"452\" />\n<h1><a href=\"http://buckspizza.com/dubois-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Full Menu Click Here&gt;&gt;&gt;Buck\'s Pizza in DuBois</a></h1>\n&nbsp;\n<h1><a href=\"http://buckspizza.com/clearfield-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Full Menu Click Here&gt;&gt;&gt;Buck\'s Pizza in Clearfield</a></h1>", "Lent Menu", "", "inherit", "closed", "closed", "", "1849-autosave-v1", "", "", "2019-03-08 16:40:28", "2019-03-08 16:40:28", "", "1849", "http://buckspizza.com/uncategorized/1849-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1861", "1", "2019-03-08 16:25:12", "2019-03-08 16:25:12", "", "Greek tight 50140_BP-2_18_05 136ccs", "", "inherit", "closed", "closed", "", "greek-tight-50140_bp-2_18_05-136ccs", "", "", "2019-03-08 16:25:12", "2019-03-08 16:25:12", "", "1849", "http://buckspizza.com/wp-content/uploads/2019/03/Greek-tight-50140_BP-2_18_05-136ccs.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1863", "1", "2019-03-08 16:41:47", "2019-03-08 16:41:47", "", "IMG_3503", "", "inherit", "closed", "closed", "", "img_3503", "", "", "2019-03-08 16:41:47", "2019-03-08 16:41:47", "", "1849", "http://buckspizza.com/wp-content/uploads/2019/03/IMG_3503.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1864", "1", "2019-03-08 16:42:19", "2019-03-08 16:42:19", "", "IMG_3498", "", "inherit", "closed", "closed", "", "img_3498", "", "", "2019-03-08 16:42:19", "2019-03-08 16:42:19", "", "1849", "http://buckspizza.com/wp-content/uploads/2019/03/IMG_3498.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1865", "1", "2019-03-08 16:43:45", "2019-03-08 16:43:45", "<h2>Lent Menu options for lunch and dinner</h2>\r\n<span style=\"color: #993300;\"><strong>Hand-breaded</strong> <strong>Cod Fish</strong></span> filet sandwich and the Cod Fish Dinner.\r\n\r\n<img class=\"alignnone  wp-image-1863\" src=\"http://buckspizza.com/wp-content/uploads/2019/03/IMG_3503-700x525.jpg\" alt=\"\" width=\"600\" height=\"450\" />\r\n\r\n<strong>Cod Fish Ciabatta</strong>–$10.99\r\n<em>lightly breaded, deliciously flaky and firm, cold water Cod fillets served with lettuce and tomato and with a side of tartar sauce.</em>\r\n\r\n<img class=\"alignnone  wp-image-1864\" src=\"http://buckspizza.com/wp-content/uploads/2019/03/IMG_3498-700x525.jpg\" alt=\"\" width=\"601\" height=\"451\" />\r\n\r\n<strong>Cod Fish Dinner</strong>–$13.99\r\n<em>Lightly breaded, deliciously flaky and firm, cold-water cod fillets served with french fries, a side of cole slaw and a side of tartar sauce.</em>\r\n<h2><span style=\"color: #993300;\">Pizzas</span></h2>\r\n<img class=\"alignnone wp-image-1861\" src=\"http://buckspizza.com/wp-content/uploads/2019/03/Greek-tight-50140_BP-2_18_05-136ccs-700x700.jpg\" alt=\"\" width=\"602\" height=\"602\" />\r\n\r\n<strong>Margherita</strong>–sm. $7.99, md. $12.49, lg. $16.99, xl. $20.99\r\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n\r\n<strong>Greek</strong>–sm. $7.99, md. $12.49, lg. $16.99, xl. $20.99\r\n<em>A light garlic sauce, mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\r\n\r\n<strong>Vegi-Delite</strong>–sm. $7.99, md. $12.49, lg. $16.99, xl. $20.99\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\r\n\r\n<strong>4 Cheese Medley</strong>–sm. $6.99, md. $10.99, lg. $14.99, xl. $17.99\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\r\n\r\n<strong>or Create Your Own Meatless Pizza! Click below for full Menu</strong>\r\n<h2><span style=\"color: #993300;\">Pastas</span></h2>\r\n<img class=\"alignnone size-full wp-image-1853\" src=\"http://buckspizza.com/wp-content/uploads/2019/03/alfredo-clear-600.png\" alt=\"\" />\r\n\r\n<strong>Fettuccine Alfredo</strong>–sm. $8.99, reg. $12.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.</em>\r\n\r\n<strong>Cheese Ravioli</strong>–sm. $9.99, reg. $15.99\r\n<em>Rich and creamy ricotta stuffed ravioli served with tomato pasta sauce.</em>\r\n<h2><span style=\"color: #993300;\">Appetizers</span></h2>\r\n<img class=\"alignnone wp-image-1855\" src=\"http://buckspizza.com/wp-content/uploads/2019/03/DSC9920-700x467.jpg\" alt=\"\" width=\"598\" height=\"400\" />\r\n\r\n<strong>Cheese Stix</strong>–$4.99\r\n<em>12 per order, covered in melted cheese with a side of marinara.</em>\r\n\r\n<strong>Fried Mushrooms</strong>-$9.99\r\n<em>A heaping serving of fresh sliced mushrooms, hand-breaded &amp; cooked to order. Served with a side of ranch dressing.</em>\r\n\r\n<strong>Fried Cheese Ravioli</strong>-$9.99\r\n<em>6 Cheese ravioli, lightly hand-breaded. Served with a side of pasta sauce</em>\r\n\r\n<strong>Fried Fresh Mozzarella</strong>-$9.99\r\n<em>6 slices of fresh mozzarella, lightly hand-breaded. Served with a side of pasta sauce.</em>\r\n\r\n<strong>Chips and Salsa</strong>–$4.99\r\n<em>Corn Chips &amp; house-made salsa.</em>\r\n\r\n<strong>Cheese and Olives</strong>–$6.99\r\n<em>Salty Greek olives, zesty Sicilians, Kalamatas, Colossal Ripe Olives and aged provolone and fresh mozzarella.</em>\r\n\r\n<strong>Tomato Basil Soup</strong>–$4.00\r\n\r\n&nbsp;\r\n\r\nAlso, for those that are not avoiding meat, we have WINGS, BONELESS WINGS and SO MUCH BACON!\r\n\r\n<img class=\"alignnone wp-image-882\" src=\"http://buckspizza.com/wp-content/uploads/2016/10/Hot-Thai-Buffalo-Ranch-with-Celery-60292-BP-4-12-06-0104-700x526.jpg\" alt=\"plate of wings at bucks pizza\" width=\"600\" height=\"452\" />\r\n<h1><a href=\"http://buckspizza.com/dubois-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Full Menu Click Here&gt;&gt;&gt;Buck\'s Pizza in DuBois</a></h1>\r\n&nbsp;\r\n<h1><a href=\"http://buckspizza.com/clearfield-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Full Menu Click Here&gt;&gt;&gt;Buck\'s Pizza in Clearfield</a></h1>", "Lent Menu", "", "inherit", "closed", "closed", "", "1849-revision-v1", "", "", "2019-03-08 16:43:45", "2019-03-08 16:43:45", "", "1849", "http://buckspizza.com/uncategorized/1849-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1868", "1", "2019-03-26 20:05:04", "2019-03-26 20:05:04", "<h4><a href=\"http://buckspizza.com/st-marys-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">St. Marys Location, Phone Number, and Online Ordering</a></h4>\r\n<strong>NEW! Family Specials</strong>\r\n<h3><a href=\"http://buckspizza.com/family-specials/\" target=\"_blank\" rel=\"noopener noreferrer\">Family Specials - Choose One Pizza, then a Second Pizza, and add on Boneless Wings or Stix!</a></h3>\r\n<h2>Buck\'s Famous Stix</h2>\r\nAdd bacon, banana peppers, or jalapeños to your stix–80¢ each\r\nAdd cheddar or mozzarella for 99¢\r\n\r\n<strong>Cinnamon Stix</strong>–$4.99\r\n<em>12 per order, with icing.</em>\r\n\r\n<strong>Bread Stix</strong>–$3.99\r\n<em>12 per order, covered with butter and spices with a side of marinara.</em>\r\n\r\n<strong>Cheese Stix</strong>–$4.99\r\n<em>12 per order, covered in mozzarella &amp; a side of marinara.</em>\r\n<h2>Starters</h2>\r\n<strong>Ciabatta Bread Pizza </strong>–$4.99\r\n<em>Made on our fresh baked ciabatta bread. We add pizza sauce, mozzarella and pepperoni.</em>\r\n<h2>Fresh Baked Sandwiches</h2>\r\nServed on a fresh baked Italian Ciabatta bread roll with a pickle.\r\nDressings: Italian, Ranch, Blue Cheese, Mayo and more. Just ask!\r\nAll dressings served on the side.\r\n\r\n<strong>Italian</strong>–$5.99\r\n<em>Ham, hard salami, onion, green peppers, and melted provolone Topped with lettuce, tomato and Italian dressing.</em>\r\n\r\n<strong>Steak</strong>–$5.99\r\n<em>Chipped ribeye steak, onions, green peppers, mushrooms, and melted provolone. Topped with lettuce and tomato.</em>\r\n\r\n<strong>Cheddar Bacon Steak</strong>–$5.99\r\n<em>Cheddar, bacon and chipped ribeye steak.</em>\r\n\r\n<strong>Turkey Club</strong>–$5.99\r\n<em>Turkey, bacon, ham, and melted provolone. Topped with lettuce and tomato.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–$7.99\r\n<em>Breaded chicken filet covered in your choice of Buck\'s Wing Sauces and covered in mozzarella. Topped with lettuce and tomato.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–$7.99\r\n<em>Breaded chicken filet topped with our delicious sauce and lots of melted mozzarella.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–$7.99\r\n<em>Lightly breaded chicken filet covered in bacon and cheddar. Topped with lettuce and tomato.</em>\r\n\r\n<strong>Chicken Filet</strong>–$6.99\r\n<em>Lightly breaded chicken breast topped with lettuce and tomato.</em>\r\n\r\nAdd a side of fries-$2.99\r\n<h2>Salads</h2>\r\nDressings: blue cheese, caesar, french, greek, honey mustard, italian, fat free italian, ranch, fat free ranch, fat free raspberry vinaigrette, oil &amp; vinegar, or sweet &amp; sour.\r\n\r\n<strong>Caesar Salad</strong>–$5.49\r\n<em>Romaine lettuce, Parmesan cheese, croutons and caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–$6.49\r\n<em>Romaine lettuce, parmesan cheese, croutons, tender chicken &amp; caesar dressing.</em>\r\n\r\n<strong>Spinach Salad</strong>–$6.99\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\r\n\r\n<strong>Chef Salad</strong>–$6.99\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese &amp; ham, turkey &amp; bacon.</em>\r\n\r\n<strong>Chicken Tender Salad</strong>–$6.99\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\r\n\r\n<strong>Garden Salad</strong>–$5.49\r\n<em>Romaine lettuce, cucumbers, red onion &amp; tomato.</em>\r\n\r\n<strong>Greek Salad</strong>–$6.99\r\n<em>Romaine lettuce, red onion, Kalamata olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n<h2>Tenders, Wings and Boneless Wings</h2>\r\n<h3>Sauces</h3>\r\n<ul>\r\n 	<li style=\"list-style-type: none;\">\r\n<ul>\r\n 	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n 	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n 	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n 	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n 	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n 	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\r\n 	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\r\n 	<li><strong>Jamaican Jerk</strong>–Unique and rich island flavor.</li>\r\n 	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\r\n 	<li><strong>Roasted Garlic Parmesan</strong>-fresh roasted garlic &amp; lots of parmesan.</li>\r\n</ul>\r\n</li>\r\n</ul>\r\nAdd blue cheese, ranch or any extra sauce- $.99 each\r\nAdd celery- $.50\r\n<h3>Boneless Wings</h3>\r\nBreaded chicken tender bites tossed in your favorite lip-smackin\' wing sauce.\r\n<ul>\r\n 	<li>Order of 10 (1 flavor)–$5.99</li>\r\n 	<li>Order of 20 (up to 2 flavors)–$11.99</li>\r\n 	<li>Order of 30 (up to 3 flavors)–$17.99</li>\r\n</ul>\r\n<h3>Chicken Wings</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n<ul>\r\n 	<li>Order of 10 (1 flavor)–$9.99</li>\r\n 	<li>Order of 20 (up to 2 flavors)–$19.99</li>\r\n 	<li>Order of 30 (up to 3 flavors)–$29.99</li>\r\n</ul>\r\n<h3>Chicken Tenders</h3>\r\nGenuine southern fried chicken tenders so lightly breaded they will melt in your mouth. Includes 1 dipping sauce of your choice.\r\n<ul>\r\n 	<li style=\"list-style-type: none;\">\r\n<ul>\r\n 	<li>Order of 5–$5.99</li>\r\n 	<li>Order of 10–$8.99</li>\r\n 	<li>Order of 15–$11.99</li>\r\n</ul>\r\n</li>\r\n</ul>\r\nAdd a side of fries-$2.99\r\n<h2>Build-Your-Own Pizzas &amp; Strombolis</h2>\r\nWant to Make Your Own Buck\'s Pizza at Home? Try our Take \'N Bake!\r\n\r\nChoose Hand-Tossed or Deep-Dish pizza! Gluten-free is available for small pizzas (+$3)\r\n<h3>Sauce Choices</h3>\r\nTraditional pizza sauce or garlic sauce.\r\n<h3>Pizza</h3>\r\n<ul>\r\n 	<li>Small 9\" (4 slices of pizza/2 pieces of Stromboli)–$4.99</li>\r\n 	<li>Medium 12\" (6 slices of pizza/3 pieces of Stromboli)–$6.99</li>\r\n 	<li>Large 14\" (8 slices of pizza/4 pieces of Stromboli)–$8.99</li>\r\n 	<li>X-Large 16\" (12 slices of pizza/5 pieces of Stromboli)–$10.99</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\n79¢ each per Small 9\"\r\n$1.19 each per Medium 12\"\r\n$1.59 each per Large 14\"\r\n$1.89 each per X-Large 16\"\r\n<ul>\r\n 	<li>Pepperoni</li>\r\n 	<li>Ham</li>\r\n 	<li>Mushrooms</li>\r\n 	<li>Bacon</li>\r\n 	<li>Spanish onions</li>\r\n 	<li>Anchovies</li>\r\n 	<li>Red onions</li>\r\n 	<li>Hard Salami</li>\r\n 	<li>Green pepper</li>\r\n 	<li>Fresh Basil</li>\r\n 	<li>Sausage</li>\r\n 	<li>Green olives</li>\r\n 	<li>Black olives</li>\r\n 	<li>Pineapple</li>\r\n 	<li>Jalapeños</li>\r\n 	<li>Banana peppers</li>\r\n 	<li>Roma tomatoes</li>\r\n 	<li>Ground beef</li>\r\n 	<li>Kalamata olives</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\n$1.99 each per Small 9\"\r\n$2.99 each per Medium 12\"\r\n$3.99 each per Large 14\"\r\n$4.99 each per X-Large 16\"\r\n<ul>\r\n 	<li>Chicken</li>\r\n 	<li>Steak</li>\r\n 	<li>Chipped ribeye</li>\r\n</ul>\r\n<h3>Extra Cheese</h3>\r\n99¢ each per Small 9\"\r\n$1.49 each per Medium 12\"\r\n$1.99 each per Large 14\"\r\n$2.49 each per X-Large 16\"\r\n<ul>\r\n 	<li>Cheddar</li>\r\n 	<li>Feta</li>\r\n 	<li>Mozzarella</li>\r\n</ul>\r\n<h2>Specialty Pizzas</h2>\r\n<h3>TRADITIONAL PIZZA SAUCE</h3>\r\n<strong>Buck\'s Deluxe</strong>\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage &amp; green pepper.</em>\r\nsmall $7.99, medium $11.49, large $14.99, x-large $17.99\r\n\r\n<strong>5 Meat</strong>\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon &amp; ground beef.</em>\r\nsmall $8.99, medium $12.99, large $16.99, x-large $20.49\r\n\r\n<strong>4 Cheese Medley</strong>\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold &amp; exciting flavor!</em>\r\nsmall $6.99, medium $9.99, large $12.99, x-large $14.99\r\n\r\n<strong>Cheddar Bacon Steak</strong>\r\n<em>Melted aged cheddar, sizzling bacon and chipped mouth watering USDA choice steak. Maybe we should call this one \'heaven-on-earth\'</em>\r\nsmall $8.49, medium $12.24, large $15.99, x-large $18.99\r\n\r\n<strong>Hawaiian</strong>\r\n<em>A taste of the islands with generous portions of pineapple &amp; bacon.</em>\r\nsmall $6.49, medium $9.24, large $11.99, x-large $13.99\r\n\r\n<strong>Pepperoni Classic</strong>\r\n<em>America\'s favorite pizza with an edge to edge layer of pepperoni &amp; extra mozzarella cheese.</em>\r\nsmall $6.49, medium $9.24, large $11.99, x-large $13.99\r\n<h3>NON-TRADITIONAL PIZZA SAUCE</h3>\r\n<strong>BBQ Chicken</strong>\r\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, mozzarella &amp; aged cheddar.</em>\r\nsmall $7.99, medium $11.49, large $14.99, x-large $17.99\r\n\r\n<strong>Buffalo Chicken</strong>\r\n<em>Your choice of Buck\'s mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella &amp; chicken, all topped with sizzling bacon. Hang on to your hat!</em>\r\nsmall $7.99, medium $11.49, large $14.99, x-large $17.99\r\n\r\n<strong>Chicken Bacon Ranch</strong>\r\n<em>We use ranch for the sauce, pile on the mozzarella, strips of grilled chicken breast, sizzling bacon &amp; smother it all with aged cheddar cheese.</em>\r\nsmall $8.49, medium $12.24, large $15.99, x-large $18.99\r\n<h3>WHITE PIZZA SAUCE</h3>\r\n<strong>Greek</strong>\r\n<em>A light garlic sauce, mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices &amp; feta cheese.</em>\r\nsmall $7.99, medium $12.49, large $14.99, x-large $17.99\r\n\r\n<strong>Margherita</strong>\r\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil &amp; lots of mozzarella cheese.</em>\r\nsmall $7.99, medium $11.49, large $14.99, x-large $17.99\r\n\r\n<strong>Old World</strong>\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon &amp; sliced tomato.</em>\r\nsmall $6.49, medium $9.24, large $11.99, x-large $13.99\r\n\r\n<strong>Steak \'N Cheese</strong>\r\n<em>Our special light garlic sauce topped with real marinated chipped USDA choice steak, onions, green peppers, mushrooms &amp; extra mozzarella cheese.</em>\r\nsmall $8.99, medium $12.99, large $16.99, x-large $20.49\r\n<h2>STROMBOLI</h2>\r\n<strong>Buck\'s Deluxe</strong>\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\nsmall $7.99, medium $11.49, large $14.99, x-large $17.99\r\n\r\n<strong>5 MEAT</strong>\r\n<em>A must for hearty appetities! Pepperoni, sausage, ham, bacon, and ground beef.</em>\r\nsmall $8.99, medium $12.49, large $16.99, x-large $20.49\r\n\r\n<strong>Buffalo Chicken</strong>\r\n<em>Your choice of Buck\'s mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella &amp; chicken, all topped with sizzling bacon. Hang on to your hat!</em>\r\nsmall $7.99, medium $11.49, large $14.99, x-large $17.99\r\n\r\n<strong>Italian</strong>\r\n<em>hard salami, smoked cheese, fresh onions, green peppers and lots of mozzarella.</em>\r\nsmall $6.99, medium $9.99, large $12.99, x-large $14.99\r\n\r\n<strong>Chicken Bacon Ranch</strong>\r\n<em>We use ranch for the sauce, pile on the mozzarella, strips of delicious chicken breasts, sizzling bacon &amp; smother it all with aged cheddar cheese.</em>\r\nsmall $8.49, medium $12.24, large $15.99, x-large $18.99\r\n\r\n<strong>Steak \'N Cheese</strong>\r\n<em>Chipped ribeye steak, onions, green peppers, mushrooms and lots of mozzarella.</em>\r\nsmall $8.99, medium $19.99, large $16.99, x-large $18.99\r\n\r\n<strong>Cheddar Bacon Steak</strong>\r\n<em>melted aged cheddar, sizzling bacon &amp; chipped mouth watering USDA ribeye, maybe we should call this \'heaven-on-earth\'!</em>\r\nsmall $8.49, medium $12.24, large $15.99, x-large $18.99\r\n\r\n<strong>Ham &amp; Cheddar</strong>\r\n<em>What could be simpler and more delicious than smoked ham, melted mozzarella and aged cheddar</em>\r\nsmall $6.49, medium $9.24, large $11.99, x-large $13.99\r\n<h2>Sweet Treats</h2>\r\n<strong>Cinnamon Stix</strong>–$4.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing.</em>\r\n\r\n<strong>Tiramisu</strong>-$4.99\r\n<em>Italy\'s most famous dessert, Tiramisu, \"Pick-Me-Up\" in Italian, is an elegant treat that\'s not too sweet or too filling. Start with layers of imported mascarpone cream and authentic ladyfingers, we then delicately soak them in espresso and finish with a dusting of cocoa powder.</em>\r\n\r\n<strong>Cannoli</strong>–$1.69 each or 4 for $5.99\r\n<em>A crisp cannoli shell stuffed with sweet and creamy filling and chocolate chips.</em>\r\n<h2>Beverages</h2>\r\n<strong>Fresh Brewed Southern-style Tea Gallon</strong>- $3.99\r\nChoose sweet or unsweet tea\r\n\r\n<strong>16.9 ounce Coke or Pepsi</strong>\r\n\r\n<strong>2 liter Coke and Pepsi</strong>", "Menu", "", "publish", "closed", "closed", "", "menu", "", "", "2019-09-19 13:55:01", "2019-09-19 13:55:01", "", "1778", "http://buckspizza.com/?page_id=1868", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1869", "1", "2019-09-09 19:31:58", "2019-09-09 19:31:58", "<h4><a href=\"http://buckspizza.com/dubois-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">DuBois Location, Phone Number, and Online Ordering</a></h4>\n<h3><a href=\"http://buckspizza.com/party-paks/\" target=\"_blank\" rel=\"noopener noreferrer\">Party Paks - Pizza with Wings or Boneless Wings, Available for Dine-In or Carry-Out!</a></h3>\n<strong>NEW! Family Specials</strong>\n<h3><a href=\"http://buckspizza.com/family-specials/\" target=\"_blank\" rel=\"noopener noreferrer\">Family Specials - Choose One Pizza, then a Second Pizza, and add on Boneless Wings or Stix!</a></h3>\n<h2>Buck\'s Famous Stix</h2>\nAdd bacon, banana peppers, or jalapeños to your stix–80¢ each, add extra cheese–$1.20\n\n<strong>Bread Stix</strong>–$3.99\n<em>Add bacon, banana peppers, or jalapenos to your stix - $0.80 each</em>\n<em>Add extra cheese - $1.20</em>\n<em>12 per order, covered with butter and spices with a side of marinara.</em>\n\n<strong>Cinnamon Stix</strong>–$4.99\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing. 12 per order.</em>\n\n<strong>Cheese Stix</strong>–$4.99\n<em>12 per order, covered in melted cheese with a side of marinara.</em>\n<h2>Starters</h2>\n<strong>Chips and Queso Dip</strong>–$5.99\n<em>Corn Chips &amp; house-made queso.</em>\n\n<strong>Chips and Salsa</strong>–$4.99\n<em>Corn Chips &amp; house-made salsa.</em>\n\n<strong>French Fries</strong>\n<em>Small –$2.99 Large–$4.99</em>\n<em>Add Bacon, cheddar, mozzarella, roasted garlic Parmesan $1.00 each/$2.00 each</em>\n<em>Jalapenos or banana peppers $.50 each/$1.00 each</em>\n\n<strong>Cheese and Olives</strong>–$6.99\n<em>Salty Greek olives, zesty Sicilians, Kalamatas, Colossal Ripe Olives and aged provolone and fresh mozzarella.</em>\n\n<strong>Meatball Appetizer</strong>-$6.99\n<em>3 Large meatballs in pasta sauce, melted mozzarella, fried peppers &amp; freshly backed Bread Stix</em>\n\n<strong>Fried Cheese Ravioli</strong>-$9.99\n<em>6 Cheese ravioli, lightly hand-breaded. Served with a side of pasta sauce</em>\n\n<strong>Fried Fresh Mozzarella</strong>-$9.99\n<em>6 slices of fresh mozzarella, lightly hand-breaded. Served with a side of pasta sauce.</em>\n\n<strong>Fried Mushrooms</strong>-$9.99\n<em>A heaping serving of fresh sliced mushrooms, hand-breaded &amp; cooked to order. Served with a side of ranch dressing.</em>\n\n<strong>Sample Platter</strong>-$14.99\n<em>Fried cheese ravioli, fried fresh mozzarella &amp; fried sliced mushrooms served with a side pasta sauce &amp; ranch. Plenty to share!</em>\n\n<strong>Side of Cole Slaw</strong>–$2.49\n\n<strong>Side of Apple Sauce</strong>–$2.49\n\n<strong>Soup</strong>–$4.00\n<em>Homemade in-house and served with Bread Stix.</em>\n<em>Choose from: Tomato Basil and Chicken Noodle.</em>\n<h2>Fresh Baked Sandwiches</h2>\nServed on a fresh baked Italian Ciabatta bread roll with french fries and a pickle. If you would like extra meat, please ask your server. Dressings: Italian, Ranch, Blue Cheese, Mayo and more. Just ask!\nALL SANDWICHES AVAILABLE AS WRAPS!\n\n<strong>Italian</strong>–$8.99\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, and tomato and Italian dressing.</em>\n\n<strong>Vegi-Delite</strong>–$7.99\n<em>A garden fresh delight with mushrooms, onion, green pepper, black olives, green olives, and sliced tomato and covered in provolone.</em>\n\n<strong>Steak</strong>–$8.99\n<em>Real marinated, chipped USDA choice steak, mushrooms, onions, and green peppers smothered in provolone. Topped with lettuce and tomato and with your choice of dressing.</em>\n\n<strong>CBS</strong>–$8.99\n<em>Cheddar, bacon and real marinated USDA choice steak.</em>\n\n<strong>Turkey Club</strong>–$8.99\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\n\n<strong>Baked Ham</strong>–$7.99\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\n\n<strong>Turkey</strong>–$7.99\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\n\n<strong>Buffalo Chicken</strong>–$10.99\n<em>Breaded chicken breast tossed in your choice of wing sauce, covered in melted mozzarella. Topped with lettuce and tomato and with your choice of dressing.</em>\n\n<strong>Chicken Parmesan</strong>–$10.99\n<em>Buck\'s delicious chicken breast baked with our delicious tomato pasta sauce and smothered in melted mozzarella.</em>\n\n<strong>Chicken Bacon Ranch</strong>–$8.99\n<em>Delicious chicken covered in melted cheddar and sizzling bacon. Topped with lettuce and tomato and with your choice of dressing.</em>\n\n<strong>Meatball</strong>–$8.99\n<em>Meatballs, pasta sauce, and melted mozzarella.</em>\n\n<strong>Cod Fish Ciabatta</strong>–$10.99\n<em>lightly breaded, deliciously flaky and firm, cold water Cod fillets served with lettuce and tomato and with a side of tartar sauce.</em>\n<h2>Salads</h2>\nWould you like blue cheese, anchovies, olives or another item added to your salad? Add crumbled blue cheese to your salad for $1.99. Just ask your server. Dressings: Blue Cheese, Ranch, Fat Free Ranch, Caesar, Honey Mustard, Fat Free Raspberry Vinaigrette, Fat Free Italian, Italian, Greek, French, oil and vinegar, or Sweet &amp; Sour.\n**SMALL SALADS AVAILABLE AS WRAPS!\n\n<strong>Caesar Salad</strong>–sm. $5.49, lg. $8.49\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\n\n<strong>Chicken Caesar Salad</strong>–sm. $6.49, lg. $10.99\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\n\n<strong>Spinach Salad</strong>–sm. $6.99, lg. $11.99\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\n\n<strong>Chef Salad</strong>–sm. $6.99, lg. $11.99\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\n\n<strong>Chicken Tender Salad</strong>–sm. $6.99, lg. $11.99\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\n\n<strong>Garden Salad</strong>–sm. $5.49, lg. $8.49\n<em>Romaine lettuce, cucumbers, red onion and tomato.</em>\n\n<strong>Greek Salad</strong>–sm. $6.99, lg. $11.99\n<em>Romaine lettuce, red onion, Kalamata olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\n\n<strong>Fresh Mozzarella and Tomato Salad</strong>–sm. $5.99, lg. $9.99\n<em>\"Caprese Salad\" Delicious fresh roma tomato slices topped with fresh basil leaves, cherry-sized mozzarella balls (Ciliegine), and drizzled with Extra Virgin Olive Oil and Balsamic Vinegar.</em>\n<h2>Tenders, Wings and Boneless Wings</h2>\nadd blue cheese, ranch or any extra sauce–99¢ each, add celery–50¢\n<h3>Sauces</h3>\n<ul>\n 	<li style=\"list-style-type: none;\">\n<ul>\n 	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\n 	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\n 	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\n 	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\n 	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\n 	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\n 	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\n 	<li><strong>Jamaican Jerk</strong>–Unique and rich island flavor.</li>\n 	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\n 	<li><strong>Roasted Garlic Parmesan</strong>-fresh roasted garlic &amp; lots of parmesan.</li>\n</ul>\n</li>\n</ul>\nAdd blue cheese, ranch or any extra sauce- $.99 Each\nAdd Celery- $.50\n<h3>Boneless Wings</h3>\nBreaded chicken tender bites tossed in your favorite lip-smackin\' wing sauce.\n<ul>\n 	<li>Order of 10 (1 flavor)–$5.99</li>\n 	<li>Order of 20 (up to 2 flavors)–$11.99</li>\n 	<li>Order of 30 (up to 3 flavors)–$17.99</li>\n</ul>\n<h3>Chicken Wings</h3>\nTender chicken wings covered in our lip-smackin\' sauces.\n<ul>\n 	<li>Order of 10 (1 flavor)–$9.99</li>\n 	<li>Order of 20 (up to 2 flavors)–$19.99</li>\n 	<li>Order of 30 (up to 3 flavors)–$29.99</li>\n</ul>\n<h3>Chicken Tenders</h3>\nGenuine southern fried chicken tenders so lightly breaded they will melt in your mouth. Includes 1 dipping sauce of your choice.\n<ul>\n 	<li>Order of 6–$5.99</li>\n 	<li>Order of 8–$7.99</li>\n 	<li>Order of 12–$10.99</li>\n 	<li>Order of 20–$16.99</li>\n</ul>\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\nWant to Make Your Own Buck\'s Pizza at Home? Try our Take \'N Bake!\n\nChoose Hand-Tossed or Deep-Dish pizza! Gluten-free is available for small pizzas (+$3)! Ask your server.\n<h3>Pizza or Stromboli</h3>\n<ul>\n 	<li>Small 9\" (4 slices of pizza/2 pieces of Stromboli)–$4.99</li>\n 	<li>Medium 12\" (6 slices of pizza/3 pieces of Stromboli)–$7.99</li>\n 	<li>Large 14\" (8 slices of pizza/4 pieces of Stromboli)–$10.99</li>\n 	<li>X-Large 16\" (12 slices of pizza/5 pieces of Stromboli)–$13.99</li>\n</ul>\n<h3>Regular Toppings</h3>\nSmall 9\" 80¢ each, Medium 12\" $1.20 each, Large 14\" $1.60 each, X-Large 16\" $1.90 each\n<ul>\n 	<li>Pepperoni</li>\n 	<li>Ham</li>\n 	<li>Mushrooms</li>\n 	<li>Bacon</li>\n 	<li>Spanish onions</li>\n 	<li>Anchovies</li>\n 	<li>Red onions</li>\n 	<li>Hard Salami</li>\n 	<li>Green pepper</li>\n 	<li>Fresh Basil</li>\n 	<li>Sausage</li>\n 	<li>Minced garlic</li>\n 	<li>Roasted garlic</li>\n 	<li>Green olives</li>\n 	<li>Fresh spinach</li>\n 	<li>Black olives</li>\n 	<li>Pineapple</li>\n 	<li>Canadian bacon</li>\n 	<li>Jalapeños</li>\n 	<li>Banana peppers</li>\n 	<li>Roasted red peppers</li>\n 	<li>Roma tomatoes</li>\n 	<li>Ground beef</li>\n 	<li>Kalamata olives</li>\n 	<li>Fried onions</li>\n 	<li>Fried sweet peppers</li>\n</ul>\n<h3>Premium Toppings</h3>\nSmall 9\" 2.00¢ each, Medium 12\" $3.00 each, Large 14\" $4.00 each, X-Large 16\" $5.00 each\n<ul>\n 	<li>Artichoke hearts</li>\n 	<li>Fresh mozzarella</li>\n 	<li>Chicken</li>\n 	<li>USDA choice steak</li>\n</ul>\n<h3>Extra Cheese</h3>\nSmall 9\" $1.00¢ each, Medium 12\" $1.50 each, Large 14\" $2.00 each, X-Large 16\" $2.50 each\n<ul>\n 	<li>Mozzarella</li>\n 	<li>Cheddar cheese</li>\n 	<li>Feta cheese</li>\n</ul>\n<h2>Specialty Pizzas and Strombolis</h2>\n<h3>Traditional Pizza Sauce</h3>\n<strong>Buck\'s Deluxe</strong>–sm. $7.99, md. $12.49, lg. $16.99, xl. $20.99\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\n\n<strong>5 Meat</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $23.49\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\n\n<strong>CBS Special</strong>–sm. $8.49, md. $13.24, lg. $17.99, xl. $21.99\n<em>Melted aged cheddar, sizzling bacon and chipped mouth watering USDA choice steak. Maybe we should call this one \'heaven-on-earth\'.</em>\n\n<strong>Vegi-Delite</strong>–sm. $7.99, md. $12.49, lg. $16.99, xl. $20.99\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\n\n<strong>4 Cheese Medley</strong>–sm. $6.99, md. $10.99, lg. $14.99, xl. $17.99\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\n\n<strong>CBH Special</strong>–sm. $7.49, md. $11.74, lg. $15.99, xl. $18.99\n<em>Everything is better with bacon and this proves it. smoked ham, melted aged cheddar and sizzling bacon. Mmm good!</em>\n\n<strong>Bacon Cheeseburger</strong>–sm. $6.49, md. $10.24, lg. $13.99, xl. $16.99\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\n\n<strong>Hawaiian</strong>–sm. $6.49, md. $10.24, lg. $13.99, xl. $16.99\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\n\n<strong>Pepperoni Classic</strong>–sm. $6.49, md. $10.24, lg. $13.99, xl. $16.99\n<em>America\'s favorite pizza with an edge to edge layer of pepperoni and extra mozzarella cheese.</em>\n\n<strong>Sausage Classic</strong>–sm. $6.49, md. $10.24, lg. $13.99, xl. $16.99\n<em>Wake up your taste buds with lots of sausage and extra mozzarella.</em>\n\n<strong>Ham and Cheese</strong>–sm. $6.49, md. $10.24, lg. $13.99, xl. $16.99\n<em>What could be simpler or more delicious than smoked ham and melted mozzarella and aged cheddar?</em>\n\n<strong>Wild Buck</strong>–sm. $10.99, md. $16.99, lg. $22.99, xl. $28.24\nIf you order \'everything-but-the-fish\' this is what you\'ll get. Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives and extra mozzarella...it\'s wild!\n<h3>White Pizza Sauce</h3>\n<strong>Chicken Club</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $23.49\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, Canadian bacon, red onion and bacon.</em>\n\n<strong>Greek</strong>–sm. $7.99, md. $12.49, lg. $16.99, xl. $20.99\n<em>A light garlic sauce, mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\n\n<strong>Margherita</strong>–sm. $7.99, md. $12.49, lg. $16.99, xl. $20.99\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\n\n<strong>Italian</strong>–sm. $6.99, md. $10.99, lg. $14.99, xl. $17.99\n<em>Garlic sauce, hard salami, smoked ham, fresh onions, green peppers and lots of mozzarella. The flavor really pops with the oven-baked hard salami!</em>\n\n<strong>Old World</strong>–sm. $6.49, md. $10.24, lg. $13.99, xl. $16.99\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\n\n<strong>Steak \'N Cheese</strong>–sm. $8.99, md. $13.99, lg. $18.99, xl. $23.49\n<em>Our special light garlic sauce topped with real marinated chipped USDA choice steak, onions, green peppers, mushrooms and extra mozzarella cheese.</em>\n<h3>Alfredo Sauce</h3>\n<strong>Spinach Alfredo</strong>–sm. $9.99, md. $15.49, lg. $20.99, xl. $24.99\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon and lots of mozzarella.</em>\n\n<strong>Chicken Alfredo</strong>–sm. $9.99, md. $15.49, lg. $20.99, xl. $24.99\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with 100% mozzarella cheese.</em>\n<h3>Non-Traditional Pizza Sauce</h3>\n<strong>BBQ Chicken</strong>–sm. $7.99, md. $12.49, lg. $16.99, xl. $20.99\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, mozzarella and aged cheddar.</em>\n\n<strong>Buffalo Chicken</strong>–sm. $7.99, md. $12.49, lg. $16.99, xl. $20.99\n<em>Your choice of Buck\'s mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella and chicken, all topped with sizzling bacon. Hang on to your hat!</em>\n\n<strong>Chicken Bacon Ranch</strong>–sm. $8.49, md. $13.24, lg. $17.99, xl. $21.99\n<em>We use ranch for the sauce, pile on the mozzarella, strips of grilled chicken breast, sizzling bacon and smother it all with aged cheddar cheese.</em>\n<h2>Pasta Dinners</h2>\nAll of our pasta meals are served with fresh baked Bread Stix and your choice of a Garden or Ceaser Salad. You may add 2 meatballs to any meal for $1.50.\n\n<strong>great additions to your pasta</strong> Small $.50 Regular $1.00\n<ul>\n 	<li>Bacon</li>\n 	<li>Basil</li>\n 	<li>Roasted Garlic</li>\n 	<li>Mushrooms</li>\n 	<li>Black Olives</li>\n 	<li>Caramelizes Onions</li>\n 	<li>Tomatoes</li>\n 	<li>Fried Peppers</li>\n 	<li>Roasted Red Peppers</li>\n 	<li>Pepperoni</li>\n 	<li>Sausage</li>\n 	<li>Spinach</li>\n</ul>\n<strong>Premium additions</strong> Small $1.50 Regular $3.00\n<ul>\n 	<li>Artichoke Hearts</li>\n 	<li>Chicken</li>\n 	<li>Steak</li>\n</ul>\nOur Tomato Pasta Sauce is made with vine-ripened tomatoes and only the finest ingredients for a simple, classic Old World flavor.\n\nCustomize Your Pasta! Change any sauce &amp; any pasta on any pasta dish. Choose from: tomato pasta sauce, alfredo sauce, tomato alfredo sauce, pesto sauce or roasted garlic parmesan.\n\n<strong>Spaghetti</strong>–sm. $7.99, reg. $10.99\n<em>A generous portion of spaghetti topped with the best tomato pasta sauce you will find anywhere.</em>\n\n<strong>Spaghetti and Meatballs</strong>–sm. $9.49, reg. $13.99\n<em>A generous portion of spaghetti topped with meatballs and the best tomato pasta sauce you will find anywhere.</em>\n\n<strong>Fettuccine Alfredo</strong>–sm. $8.99, reg. $12.99\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.</em>\n\n<strong>Chicken Alfredo</strong>–sm. $10.49, reg. $15.99\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce and with tender strips of grilled chicken.</em>\n\n<strong>Chicken Parmesan</strong>–sm. $10.49, reg. $15.99\n<em>Hand-breaded chicken covered in tomato pasta sauce and melted mozzarella served over penne.</em>\n\n<strong>Cheese Ravioli</strong>–sm. $9.99, reg. $15.99\n<em>Rich and creamy ricotta stuffed ravioli served with tomato pasta sauce.</em>\n\n<strong>Beef Ravioli</strong>–sm. $9.99, reg. $15.99\n<em>Tender and delicious beef stuffed ravioli served with tomato pasta sauce.</em>\n<h2>Dinners</h2>\n<strong>Southern Fried Chicken Tenders Dinner</strong>–sm. $7.49, lg. $12.99\n<em>Genuine southern fried chicken tenders, french fries and a side of cole slaw.</em>\n\n<strong>Cod Fish Dinner</strong>–$13.99\n<em>Lightly breaded, deliciously flaky and firm, cold-water cod fillets served with french fries, a side of cole slaw and a side of tartar sauce.</em>\n<h2>Kid\'s Menu</h2>\nPenne &amp; Sauce $4.99\nPenne &amp; Meatballs $6.49\n4 Chicken Tenders $3.99\n4 Chicken Tenders, French Fries &amp; Applesauce $7.49\nSmall Pizza $4.99\nCheese Ravioli $6.99\nSide of Meatballs $3.00\n<h2>Sweet Treats</h2>\n<strong>Cannoli</strong>–$1.69 each or 4 for $5.99\n<em>A crisp cannoli shell stuffed with sweet and creamy filling and chocolate chips.</em>\n\n<strong>Cinnamon Stix</strong>–$4.99\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing.</em>\n\n<strong>Gelato</strong>–$2.99\n<em>Ask for our current flavors!</em>\n\n<strong>Gelato Float</strong>-$4.99\n<em>Choose your coke freestyle flavor, then choose your gelato flavor... the possibilities are endless! Our Favorites: Fanta Orange float, Barq\'s Root Beer Float, Cheery Coke Float, Fanta Cherry Float and Vanilla Coke Float.</em>\n\n<strong>Brownie</strong>-$3.99\n<em>Served with chocolate and caramel sauce, whipped cream, chocolate chips &amp; a cherry on top.</em>\n\n<strong>Brownie Sundae</strong>-$5.99\n<em>Chocolaty brownie covered with you favorite gelato, topped with chocolate &amp; caramel sauce, whipped cream, chocolate chips &amp; a cherry on top</em>\n\n<strong>Super Brownie Sundae</strong>-$10.99\n<em>2 brownies, 2 scoops of gelato &amp; all the fixin\'s</em>\n\n<strong>Tiramisu</strong>-$4.99\n<em>Italy\'s most famous dessert, Tiramisu, \"Pick-Me-Up\" in Italian, is an elegant treat that\'s not too sweet or too filling. Start with layers of imported mascarpone cream and authentic ladyfingers, we then delicately soak them in espresso and finish with a dusting of cocoa powder.</em>\n\n<strong>Toasted Almond Cake</strong>-$4.99\n<em>A delectable combination of imported ladyfingers lightly soaked in amaretto syrup, layered with Italian mascarpone and topped with crushed amarettini cookies and roasted California almonds. </em>\n\n<strong>Lemoncello Mascarpone Cake</strong>-$4.99\n<em>A rich combination of Sicilian lemon infused sponge cake and Italian mascarpone topped with European white chocolate curls. A refreshingly light creamy dessert with the perfect combination of sweet and tart. Served with a dollop of whipped cream.</em>\n<h2>Beverages</h2>\n<strong>White Milk, Chocolate Milk or Apple Juice</strong>–child  $.99, adult  $1.99 (no free refills)\n\n<strong>Hot Tea</strong>–$1.99\n<em>Free refills in restaurant, same visit only.</em>\n\n<strong>Coffee</strong> (Regular or Decaf)–$1.99\n<em>Free refills in restaurant, same visit only.</em>\n\n<strong>Fresh Brewed Southern-style Tea</strong>–child  $1.39, adult  $2.79\n<em>Choose sweet or unsweet tea. Free refills in restaurant, same visit only.</em>\n\n<strong>Fountain Beverage</strong>–child  $1.39, adult  $2.79\n\n<strong>Coca-Cola Freestyle selections</strong>–90+ caffeine-free choices, 80+ unique brands, 70+ low or no-calorie choices, and 50+ non-carbonated choices.\n<em>Free refills in restaurant, same visit only</em>\n<h3>Wine Selections</h3>\nPlease ask your server for our complete selection of Pennsylvania, California, Italian, Spanish, and French wines.\n\nHouse wines are available in: Chardonnay, Cabernet Sauvignon, Merlot, White Zinfandel\n\n<strong> Available by the Glass, ½ Bottle and Bottle</strong>\n<h3>Bottled Beer Selections</h3>\n<strong>Angry Orchard</strong>\n<strong>Bell\'s</strong>\n<strong>Bud</strong>\n<strong>Coors Light</strong>\n<strong>Dog Fish Head</strong>\n<strong>Dos Equis</strong>\n<strong>Magic Hat</strong>\n<strong>Michelob Ultra</strong>\n<strong>Molson</strong>\n<strong>Redd\'s Apple Ale</strong>\n<strong>Shiner Bock</strong>\n<strong>Sierra Nevada</strong>\n<strong>Smirnoff</strong>\n<strong>Straub</strong>\n<strong>Yuengling Black and Tan</strong>\n<h3>Draft Beer Selections</h3>\nAsk your server about our selection of craft beers.\n\n<strong>Blue Moon</strong>\n<strong>Bud Light</strong>\n<strong>Guinness&lt;/strong\n<strong>Miller Lite</strong>\n<strong>Sam Adams Seasonal</strong>\n<strong>Straub Amber</strong>\n<strong>Yuengling Lager</strong>\n<strong>Plus, a Rotating Tap</strong></strong>", "Menu", "", "inherit", "closed", "closed", "", "140-autosave-v1", "", "", "2019-09-09 19:31:58", "2019-09-09 19:31:58", "", "140", "http://buckspizza.com/uncategorized/140-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1877", "1", "2019-07-02 15:24:09", "2019-07-02 15:24:09", "<style><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span>.clearfieldshow {display: block !important;}</style>\r\n<h4><a href=\"http://buckspizza.com/clearfield-pa/menu/\">Clearfield Menu</a>     <a href=\"http://buckspizza.com/community-fundraiser-clearfield-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Group Fundraisers</a>     <a href=\"http://buckspizza.com/pa-kids-menu/\" target=\"_blank\" rel=\"noopener noreferrer\">Kid\'s Menu</a></h4>\r\n<h4><strong><a href=\"https://secure.microworks.com/Bucks/Items.aspx?store=2800\" target=\"_blank\" rel=\"noopener noreferrer\">Online Ordering</a></strong></h4>\r\n<ul>\r\n 	<li>New to online ordering? Only takes a few moments to setup, save your favorite orders, and get exclusive deals!</li>\r\n</ul>\r\n<strong>NEW! Family Specials</strong>\r\n<h3><a href=\"http://buckspizza.com/family-specials/\" target=\"_blank\" rel=\"noopener noreferrer\">Family Specials - Choose One Pizza, then a Second Pizza, and add on Boneless Wings or Stix!</a></h3>\r\n<strong>Got a Big Group to Feed? </strong>\r\n<h3><a href=\"http://buckspizza.com/party-paks/\">PARTY PAKS – PIZZA WITH WINGS OR BONELESS WINGS, AVAILABLE FOR DINE-IN OR CARRY-OUT!</a></h3>\r\n3055 Park Place\r\nClearfield, PA 16830\r\n<a href=\"tel:814-765-7767\">814-765-7767</a> (<em>Click to call from mobile devices</em>)\r\n\r\n<!--<img src=\"http://buckspizza.com/wp-content/uploads/2016/11/Small-Pizza-Wings-60292-BP-4-12-06-0177-700x526.jpg\" alt=\"small-pizza-wings-60292-bp-4-12-06-0177\" />-->\r\n<iframe src=\"https://www.youtube.com/embed/hkCI0EwJk6U\" width=\"600\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n<h2>What\'s for dinner tonight? Listen now!</h2>\r\n[audio mp3=\"http://buckspizza.com/wp-content/uploads/2016/11/Bucks-Pizza-Whats-for-Dinner-November-2016.mp3\"][/audio]\r\n\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/menu/\">&gt;&gt;Clearfield Menu&lt;&lt;</a></h2>\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/employment-pa/\">&gt;&gt;Employment Options</a></h2>\r\n&nbsp;\r\n<h4>Download our No Wait App</h4>\r\nWe’ll notify you with a text as soon as your table is ready. When you walk up to the host stand, you can walk right to your table.\r\n<a href=\"https://bnc.lt/get-in-line-with-nowait\" target=\"_blank\" rel=\"noopener noreferrer\"><img src=\"http://buckspizza.com/wp-content/uploads/2016/09/nowait.png\" /></a>\r\n<div class=\"fb-follow\" data-show-faces=\"true\" data-size=\"large\" data-layout=\"standard\" data-width=\"600\" data-href=\"https://www.facebook.com/buckspizza.clearfield/\"></div>\r\n<!-- Google Code for Remarketing Tag -->\r\n<!-------------------------------------------------- Remarketing tags may not be associated with personally identifiable information or placed on pages related to sensitive categories. See more information and instructions on how to setup the tag on: http://google.com/ads/remarketingsetup --------------------------------------------------->\r\n<script type=\"text/javascript\"><br />\r\n/* <![CDATA[ */ var google_conversion_id = 1017806189; var google_custom_params = window.google_tag_params; var google_remarketing_only = true; /* ]]> */<br />\r\n</script>\r\n<script type=\"text/javascript\" src=\"//www.googleadservices.com/pagead/conversion.js\"><br />\r\n</script>\r\n<noscript>&amp;lt;/p&amp;gt;&lt;br /&gt;\r\n&amp;lt;div style=\"display:inline;\"&amp;gt;&lt;br /&gt;\r\n&amp;lt;img height=\"1\" width=\"1\" style=\"border-style:none;\" alt=\"\" src=\"//googleads.g.doubleclick.net/pagead/viewthroughconversion/1017806189/?guid=ON&amp;amp;amp;script=0\"/&amp;gt;&amp;lt;/div&amp;gt;&lt;br /&gt;\r\n&amp;lt;p&amp;gt;</noscript>", "Clearfield, Pennsylvania", "", "inherit", "closed", "closed", "", "52-autosave-v1", "", "", "2019-07-02 15:24:09", "2019-07-02 15:24:09", "", "52", "http://buckspizza.com/uncategorized/52-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1880", "2", "2019-04-30 20:34:58", "2019-04-30 20:34:58", "<h4><a href=\"http://buckspizza.com/mobile-al-menu/\">Mobile, Alabama Menu</a></h4>\r\n350 Dauphin Street\r\nMobile, AL 36602\r\n<a href=\"http://buckspizza.com/wp-content/uploads/2018/09/Mobile-Alabama-Menu.pdf\" target=\"_blank\" rel=\"noopener noreferrer\">Click to view menu</a>\r\n\r\n<a href=\"tel:251-431-9444\">251-431-9444</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=30.690770 lng=-88.045810]\r\n[leaflet-marker]\r\n\r\n<a href=\"https://www.google.com/maps/dir//1200+Hwy+74+S,+Georgia/@33.3393016,-84.5235281,17z/data=!4m8!4m7!1m0!1m5!1m1!1s0x88f4eca0054429f9:0x11aadd106dd8f9d3!2m2!1d-84.5213394!2d33.3393016\">Directions</a>", "Mobile, Alabama", "", "inherit", "closed", "closed", "", "36-revision-v1", "", "", "2019-04-30 20:34:58", "2019-04-30 20:34:58", "", "36", "http://buckspizza.com/uncategorized/36-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1883", "2", "2019-04-30 20:42:34", "2019-04-30 20:42:34", "<h4><strong><a href=\"https://secure.microworks.com/bucks/ordering?store=1787\" target=\"_blank\" rel=\"noopener noreferrer\">Online Ordering</a>    </strong></h4>\r\n<a href=\"tel:843-766-3233\">843-766-3233</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=32.805620 lng=-80.012750]\r\n[leaflet-marker]", "Charleston, South Carolina", "", "inherit", "closed", "closed", "", "56-revision-v1", "", "", "2019-04-30 20:42:34", "2019-04-30 20:42:34", "", "56", "http://buckspizza.com/uncategorized/56-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1884", "2", "2019-04-30 20:45:18", "2019-04-30 20:45:18", "<h4><strong><a href=\"https://secure.microworks.com/bucks/ordering?store=817\" target=\"_blank\" rel=\"noopener noreferrer\">Online Ordering</a>    </strong></h4>\r\n1200 Highway 74 S\r\nPeachtree City, GA 30269\r\n\r\n<a href=\"tel:770-631-8989\">770-631-8989</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map lat=33.339302 lng=-84.521339 zoomcontrol=1 height=500 zoom=14]\r\n<a href=\"https://www.google.com/maps/dir//1200+Hwy+74+S,+Georgia/@33.3393016,-84.5235281,17z/data=!4m8!4m7!1m0!1m5!1m1!1s0x88f4eca0054429f9:0x11aadd106dd8f9d3!2m2!1d-84.5213394!2d33.3393016\">Directions</a>[leaflet-marker lat=33.339302 lng=-84.521339]", "Peachtree City, Georgia", "", "inherit", "closed", "closed", "", "40-revision-v1", "", "", "2019-04-30 20:45:18", "2019-04-30 20:45:18", "", "40", "http://buckspizza.com/uncategorized/40-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1885", "2", "2019-04-30 20:46:35", "2019-04-30 20:46:35", "<h4><strong><a href=\"https://secure.microworks.com/Bucks/ordering?store=1604\" target=\"_blank\" rel=\"noopener noreferrer\">Online Ordering</a>    </strong></h4>\r\n113 Robertson Blvd\r\nWalterboro, SC 29488\r\n\r\n<a href=\"tel:843-549-1995\">843-549-1995</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=32.921430 lng=-80.677300]\r\n[leaflet-marker]", "Walterboro, South Carolina", "", "inherit", "closed", "closed", "", "64-revision-v1", "", "", "2019-04-30 20:46:35", "2019-04-30 20:46:35", "", "64", "http://buckspizza.com/uncategorized/64-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1886", "2", "2019-04-30 20:50:03", "2019-04-30 20:50:03", "<h4><strong><a href=\"https://secure.microworks.com/Bucks/ordering?store=2225\" target=\"_blank\" rel=\"noopener noreferrer\">Online Ordering</a>    </strong></h4>\r\n11540 Eagle Drive\r\nMont Belvieu, TX 77523\r\n\r\n<a href=\"tel:281-576-2825\">281-576-2825</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=29.856810 lng=-94.864050]\r\n[leaflet-marker]", "Mont Belvieu, Texas", "", "inherit", "closed", "closed", "", "76-revision-v1", "", "", "2019-04-30 20:50:03", "2019-04-30 20:50:03", "", "76", "http://buckspizza.com/uncategorized/76-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1892", "1", "2019-05-06 14:33:42", "2019-05-06 14:33:42", "", "Bucks Party Paks front", "", "inherit", "closed", "closed", "", "bucks-party-paks-front", "", "", "2019-05-06 14:33:42", "2019-05-06 14:33:42", "", "1454", "http://buckspizza.com/wp-content/uploads/2019/05/Bucks-Party-Paks-front.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1893", "1", "2019-05-06 14:34:07", "2019-05-06 14:34:07", "<img class=\"alignnone size-large wp-image-1892\" src=\"http://buckspizza.com/wp-content/uploads/2019/05/Bucks-Party-Paks-front-700x893.jpg\" alt=\"\" />\r\n<h3>Boneless Wings Party Pak</h3>\r\nMedium Pizza with 1-Regular Topping and 10 Boneless wings $12.99\r\nLarge Pizza with 1-Regular Topping and 20 Boneless wings $19.99\r\nX-Large Pizza with 1-Regular Topping and 30 Boneless wings $25.99\r\n<h3>Wings Party Pak</h3>\r\nMedium Pizza with 1-Regular Topping and 10 wings $17.99\r\nLarge Pizza with 1-Regular Topping and 20 wings $29.99\r\nX-Large Pizza with 1-Regular Topping and 30 wings $42.99", "Party Paks", "", "inherit", "closed", "closed", "", "1454-revision-v1", "", "", "2019-05-06 14:34:07", "2019-05-06 14:34:07", "", "1454", "http://buckspizza.com/uncategorized/1454-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1898", "2", "2019-05-06 16:21:28", "2019-05-06 16:21:28", "<style><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span>.Duboisshow {display: block !important;}</style>\r\n<h4><a href=\"http://buckspizza.com/dubois-pa/menu/\">DuBois Menu</a>     <a href=\"http://buckspizza.com/community-fundraiser-dubois-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Group Fundraisers</a></h4>\r\n<h4><strong><a href=\"https://secure.microworks.com/Bucks/Items.aspx?store=2212\" target=\"_blank\" rel=\"noopener noreferrer\">Online Ordering</a>    </strong></h4>\r\n<ul>\r\n 	<li>New to online ordering? Only takes a few moments to setup, save your favorite orders, and get exclusive deals!</li>\r\n</ul>\r\n<strong>NEW! Family Specials</strong>\r\n<h3><a href=\"http://buckspizza.com/dubois-and-clearfield/\" target=\"_blank\" rel=\"noopener noreferrer\">Family Specials - Choose One Pizza, then a Second Pizza, and add on Boneless Wings or Stix!</a></h3>\r\n<strong>Got a Big Group to Feed? </strong>\r\n<h3><a href=\"http://buckspizza.com/party-paks/\" target=\"_blank\" rel=\"noopener noreferrer\">Party Paks - Pizza with Wings or Boneless Wings, Available for Dine-In or Carry-Out!</a></h3>\r\n53 Industrial Drive\r\nDuBois, PA 15801\r\n<a href=\"tel:814-371-4500\">814-371-4500</a> (<em>Click to call from mobile devices</em>)\r\n\r\n<!--<img src=\"http://buckspizza.com/wp-content/uploads/2016/11/Small-Pizza-Wings-60292-BP-4-12-06-0177-700x526.jpg\" alt=\"small-pizza-wings-60292-bp-4-12-06-0177\" />-->\r\n<iframe src=\"https://www.youtube.com/embed/hkCI0EwJk6U\" width=\"600\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n<h2>What\'s for dinner tonight? Listen now!</h2>\r\n[audio mp3=\"http://buckspizza.com/wp-content/uploads/2016/11/Bucks-Pizza-Whats-for-Dinner-November-2016.mp3\"][/audio]\r\n\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/dubois-pa/menu/\">&gt;&gt;DuBois Menu&lt;&lt;</a></h2>\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/employment-pa/\">Employment Options</a></h2>\r\n&nbsp;\r\n<h4>Download our No Wait App</h4>\r\nWe’ll notify you with a text as soon as your table is ready. When you walk up to the host stand, you can walk right to your table.\r\n<a href=\"https://bnc.lt/get-in-line-with-nowait\" target=\"_blank\" rel=\"noopener noreferrer\"><img src=\"http://buckspizza.com/wp-content/uploads/2016/09/nowait.png\" /></a>\r\n<div class=\"fb-follow\" data-show-faces=\"true\" data-size=\"large\" data-layout=\"standard\" data-width=\"600\" data-href=\"https://www.facebook.com/buckspizza.dubois/\"></div>\r\n<!-- Google Code for Remarketing Tag -->\r\n<!-------------------------------------------------- Remarketing tags may not be associated with personally identifiable information or placed on pages related to sensitive categories. See more information and instructions on how to setup the tag on: http://google.com/ads/remarketingsetup --------------------------------------------------->\r\n<script type=\"text/javascript\"><br />\r\n/* <![CDATA[ */ var google_conversion_id = 1017806189; var google_custom_params = window.google_tag_params; var google_remarketing_only = true; /* ]]> */<br />\r\n</script>\r\n<script type=\"text/javascript\" src=\"//www.googleadservices.com/pagead/conversion.js\"><br />\r\n</script>\r\n<noscript>\r\n</noscript>\r\n<div style=\"display: inline;\"><img style=\"border-style: none;\" src=\"//googleads.g.doubleclick.net/pagead/viewthroughconversion/1017806189/?guid=ON&amp;script=0\" alt=\"\" width=\"1\" height=\"1\" /></div>", "DuBois, Pennsylvania", "", "inherit", "closed", "closed", "", "54-autosave-v1", "", "", "2019-05-06 16:21:28", "2019-05-06 16:21:28", "", "54", "http://buckspizza.com/uncategorized/54-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1901", "1", "2019-05-06 20:01:10", "2019-05-06 20:01:10", "<img class=\"alignnone size-full wp-image-1997\" src=\"http://buckspizza.com/wp-content/uploads/2019/07/August-Front.png\" alt=\"\" />\r\n<h1 style=\"text-align: center;\">Family Special - TWO PIZZAS</h1>\r\n<h3>1st Pizza</h3>\r\nChoose One - A Pizza with up to 3-regular toppings OR a Margherita, Greek, or Buck\'s Deluxe Pizza\r\n<h3>2nd Pizza</h3>\r\nA Pizza with 1-regular topping\r\n\r\n&nbsp;\r\n<p style=\"text-align: center;\">Medium Family Special $17.99\r\nLarge Family Special $23.99\r\nXL Family Special $28.99</p>\r\n&nbsp;\r\n\r\nDine-In, Carry-Out or Online Orders\r\nGood through the end of 2019!\r\n<h3><a href=\"https://secure.microworks.com/Bucks/Items/Index/1143/\">DuBois, PA Online Ordering - Click Here!</a>\r\n<a href=\"https://secure.microworks.com/Bucks/Items/Index/1143/\">Clearfield, PA Online Ordering - Click Here!</a>\r\n<a href=\"https://secure.microworks.com/Bucks/Items/Index/1143/\">St. Marys, PA Online Ordering - Click Here!</a></h3>", "Family Specials", "", "publish", "closed", "closed", "", "family-specials", "", "", "2019-07-30 19:55:59", "2019-07-30 19:55:59", "", "0", "http://buckspizza.com/?page_id=1901", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1902", "1", "2019-05-06 19:51:37", "2019-05-06 19:51:37", "", "Family Special 50140_BP-2_18_05 203cc", "", "inherit", "closed", "closed", "", "family-special-50140_bp-2_18_05-203cc", "", "", "2019-05-06 19:51:37", "2019-05-06 19:51:37", "", "1901", "http://buckspizza.com/wp-content/uploads/2019/05/Family-Special-50140_BP-2_18_05-203cc.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1903", "1", "2019-05-06 19:53:09", "2019-05-06 19:53:09", "", "IMG_1597", "", "inherit", "closed", "closed", "", "img_1597", "", "", "2019-05-06 19:53:09", "2019-05-06 19:53:09", "", "1901", "http://buckspizza.com/wp-content/uploads/2019/05/IMG_1597.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1923", "1", "2019-07-30 19:15:39", "2019-07-30 19:15:39", "<img class=\"alignnone size-full wp-image-1997\" src=\"http://buckspizza.com/wp-content/uploads/2019/07/August-Front.png\" alt=\"\" />\n<h1 style=\"text-align: center;\">Family Special - TWO PIZZAS</h1>\n<h3>1st Pizza</h3>\nChoose One - A Pizza with up to 3-regular toppings OR a Margherita, Greek, or Buck\'s Deluxe Pizza\n<h3>2nd Pizza</h3>\nA Pizza with 1-regular topping\n\n&nbsp;\n<p style=\"text-align: center;\">Medium Family Special $17.99\nLarge Family Special $23.99\nXL Family Special $28.99</p>\n&nbsp;\n\nDine-In, Carry-Out or Online Orders\nGood through the end of 2019!\n<h3><a href=\"https://secure.microworks.com/Bucks/Items/Index/1143/\">DuBois, PA Online Ordering - Click Here!</a>\n<a href=\"https://secure.microworks.com/Bucks/Items/Index/1143/\">Clearfield, PA Online Ordering - Click Here!</a>\n<a href=\"https://secure.microworks.com/Bucks/Items/Index/1143/\">St. Marys, PA Online Ordering - Click Here!</a></h3>", "Family Specials", "", "inherit", "closed", "closed", "", "1901-autosave-v1", "", "", "2019-07-30 19:15:39", "2019-07-30 19:15:39", "", "1901", "http://buckspizza.com/uncategorized/1901-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1930", "1", "2019-05-13 19:58:10", "2019-05-13 19:58:10", "<h2><img class=\"wp-image-1951 size-full alignleft\" src=\"http://buckspizza.com/wp-content/uploads/2019/05/pizza-and-boneless-wings.png\" alt=\"buck\'s pizza picture of pepperoni pizza and boneless wings in hot sauce\" width=\"523\" height=\"566\" /></h2>\r\n<h2 style=\"text-align: left;\">Introducing our New Loyalty Program - BONUS BUCKS!</h2>\r\n<h4 style=\"text-align: left;\">Earn points on all orders: Carry-Out, Dine-In, and Online!</h4>\r\n<h4 style=\"text-align: left;\">The Bonus Bucks program works at all of our local Buck\'s Pizza restaurants in Pennsylvania</h4>\r\n<h4 style=\"text-align: left;\">Spend $1 dollar and earn 1 point - too delicious like our food!</h4>\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h3></h3>\r\n<h3></h3>\r\n<h3></h3>\r\n<h3></h3>\r\n<h1><img class=\"alignnone wp-image-1954\" src=\"http://buckspizza.com/wp-content/uploads/2019/05/dollar-icon-250x250.png\" alt=\"\" width=\"150\" height=\"150\" />+<img class=\"alignnone size-thumbnail wp-image-1953\" src=\"http://buckspizza.com/wp-content/uploads/2019/05/earn1pt-icon-150x150.png\" alt=\"\" />= <img class=\"alignnone wp-image-6 size-medium\" src=\"http://buckspizza.com/wp-content/uploads/2015/06/bucks-pizza-logo-250x150.png\" alt=\"\" width=\"250\" height=\"150\" /></h1>\r\n<h3>Points can be redeemed for FREE items!</h3>\r\n<ul>\r\n 	<li>\r\n<h5>40 Bonus Bucks points can be redeemed for FREE gelato (Dine-In Only)</h5>\r\n</li>\r\n 	<li>\r\n<h5>50 Bonus Bucks points can be redeemed for your choice of Stix!</h5>\r\n</li>\r\n 	<li>\r\n<h5>100 Bonus Bucks points can be redeemed for a Large Pizza with 1-regular topping</h5>\r\n</li>\r\n</ul>\r\n&nbsp;\r\n<h5>There is no card to keep track of - just use your phone number and email address.</h5>\r\n<h5>After you are enrolled, you can opt-in to receiving special offers or you can opt-out of receiving offers. Either way, you will earn Bonus Bucks on every visit to Buck\'s Pizza!</h5>", "Bonus Bucks", "", "publish", "closed", "closed", "", "bonusbucks", "", "", "2019-05-21 19:05:10", "2019-05-21 19:05:10", "", "1947", "http://buckspizza.com/?page_id=1930", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1940", "1", "2019-05-21 18:56:55", "2019-05-21 18:56:55", "<h3><img class=\"wp-image-1951 size-full alignleft\" src=\"http://buckspizza.com/wp-content/uploads/2019/05/pizza-and-boneless-wings.png\" alt=\"\" width=\"523\" height=\"566\" /></h3>\n<h3></h3>\n<h1>Introducing our New Loyalty Program - BONUS BUCKS!</h1>\n<h4>The brand new Buck\'s Pizza Bonus Bucks program works on all orders: Carry-Out, Dine-In, and Online orders!</h4>\n<h4>The Bonus Bucks program works at all of our local Buck\'s Pizza restaurants in Pennsylvania</h4>\n<h4>Spend $1 dollar and earn 1 point - too delicious like our food!</h4>\n<h4>Each buck that you spend earns you 1 Bonus Bucks point.</h4>\n&nbsp;\n<h3></h3>\n<h3></h3>\n<h3></h3>\n<h3></h3>\n<h3></h3>\n<h3>Points can be redeemed for FREE items!</h3>\n<ul>\n 	<li>\n<h5>40 Bonus Bucks points can be redeemed for FREE gelato (Dine-In Only)</h5>\n</li>\n 	<li>\n<h5>50 Bonus Bucks points can be redeemed for your choice of Stix!</h5>\n</li>\n 	<li>\n<h5>100 Bonus Bucks points can be redeemed for a Large Pizza with 1-regular topping</h5>\n</li>\n</ul>\n&nbsp;\n<h5>There is no card to keep track of - just use your phone number and email address.</h5>\n<h5>After you are enrolled, you can opt-in to receiving special offers or you can opt-out of receiving offers. Either way, you will earn Bonus Bucks on every visit to Buck\'s Pizza!</h5>", "Bonus Bucks", "", "inherit", "closed", "closed", "", "1930-autosave-v1", "", "", "2019-05-21 18:56:55", "2019-05-21 18:56:55", "", "1930", "http://buckspizza.com/uncategorized/1930-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1947", "1", "2019-05-21 18:28:28", "2019-05-21 18:28:28", "<h2><a href=\"http://buckspizza.com/dubois-pa/\">Buck\'s Pizza in DuBois, PA (click here for menu)</a></h2>\r\n<iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d12020.5999191102!2d-78.74428633282916!3d41.13125177928849!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x89ccf6a87056e33b%3A0xbc9afe71f426b930!2sBuck\'s+Pizza!5e0!3m2!1sen!2sus!4v1489079510136\" width=\"600\" height=\"450\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/\">Buck\'s Pizza in Clearfield, PA (click here for menu)</a></h2>\r\n<iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d24079.16661730479!2d-78.4546434632418!3d41.027534979298835!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x89cc428595cd79c7%3A0x566402f96dd3e8d5!2sBuck\'s+Pizza!5e0!3m2!1sen!2sus!4v1489079582728\" width=\"600\" height=\"450\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/st-marys-pa/\">Buck\'s Pizza in St. Mary\'s, PA (click here for menu)</a></h2>", "Pennsylvania", "", "publish", "closed", "closed", "", "pa", "", "", "2019-05-21 18:28:28", "2019-05-21 18:28:28", "", "0", "http://buckspizza.com/?page_id=1947", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1948", "1", "2019-05-21 18:28:28", "2019-05-21 18:28:28", "<h2><a href=\"http://buckspizza.com/dubois-pa/\">Buck\'s Pizza in DuBois, PA (click here for menu)</a></h2>\r\n<iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d12020.5999191102!2d-78.74428633282916!3d41.13125177928849!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x89ccf6a87056e33b%3A0xbc9afe71f426b930!2sBuck\'s+Pizza!5e0!3m2!1sen!2sus!4v1489079510136\" width=\"600\" height=\"450\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/\">Buck\'s Pizza in Clearfield, PA (click here for menu)</a></h2>\r\n<iframe style=\"border: 0;\" src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d24079.16661730479!2d-78.4546434632418!3d41.027534979298835!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x89cc428595cd79c7%3A0x566402f96dd3e8d5!2sBuck\'s+Pizza!5e0!3m2!1sen!2sus!4v1489079582728\" width=\"600\" height=\"450\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/st-marys-pa/\">Buck\'s Pizza in St. Mary\'s, PA (click here for menu)</a></h2>", "Pennsylvania", "", "inherit", "closed", "closed", "", "1947-revision-v1", "", "", "2019-05-21 18:28:28", "2019-05-21 18:28:28", "", "1947", "http://buckspizza.com/uncategorized/1947-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1951", "1", "2019-05-21 18:44:00", "2019-05-21 18:44:00", "", "bucks pizza pizza and boneless wings", "", "inherit", "closed", "closed", "", "pizza-and-boneless-wings", "", "", "2019-05-21 18:44:13", "2019-05-21 18:44:13", "", "1930", "http://buckspizza.com/wp-content/uploads/2019/05/pizza-and-boneless-wings.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1953", "1", "2019-05-21 18:57:00", "2019-05-21 18:57:00", "", "earn1pt icon", "", "inherit", "closed", "closed", "", "earn1pt-icon", "", "", "2019-05-21 18:57:00", "2019-05-21 18:57:00", "", "1930", "http://buckspizza.com/wp-content/uploads/2019/05/earn1pt-icon.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1954", "1", "2019-05-21 18:57:04", "2019-05-21 18:57:04", "", "dollar icon", "", "inherit", "closed", "closed", "", "dollar-icon", "", "", "2019-05-21 18:57:04", "2019-05-21 18:57:04", "", "1930", "http://buckspizza.com/wp-content/uploads/2019/05/dollar-icon.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1962", "1", "2019-05-21 19:05:10", "2019-05-21 19:05:10", "<h2><img class=\"wp-image-1951 size-full alignleft\" src=\"http://buckspizza.com/wp-content/uploads/2019/05/pizza-and-boneless-wings.png\" alt=\"buck\'s pizza picture of pepperoni pizza and boneless wings in hot sauce\" width=\"523\" height=\"566\" /></h2>\r\n<h2 style=\"text-align: left;\">Introducing our New Loyalty Program - BONUS BUCKS!</h2>\r\n<h4 style=\"text-align: left;\">Earn points on all orders: Carry-Out, Dine-In, and Online!</h4>\r\n<h4 style=\"text-align: left;\">The Bonus Bucks program works at all of our local Buck\'s Pizza restaurants in Pennsylvania</h4>\r\n<h4 style=\"text-align: left;\">Spend $1 dollar and earn 1 point - too delicious like our food!</h4>\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h3></h3>\r\n<h3></h3>\r\n<h3></h3>\r\n<h3></h3>\r\n<h1><img class=\"alignnone wp-image-1954\" src=\"http://buckspizza.com/wp-content/uploads/2019/05/dollar-icon-250x250.png\" alt=\"\" width=\"150\" height=\"150\" />+<img class=\"alignnone size-thumbnail wp-image-1953\" src=\"http://buckspizza.com/wp-content/uploads/2019/05/earn1pt-icon-150x150.png\" alt=\"\" />= <img class=\"alignnone wp-image-6 size-medium\" src=\"http://buckspizza.com/wp-content/uploads/2015/06/bucks-pizza-logo-250x150.png\" alt=\"\" width=\"250\" height=\"150\" /></h1>\r\n<h3>Points can be redeemed for FREE items!</h3>\r\n<ul>\r\n 	<li>\r\n<h5>40 Bonus Bucks points can be redeemed for FREE gelato (Dine-In Only)</h5>\r\n</li>\r\n 	<li>\r\n<h5>50 Bonus Bucks points can be redeemed for your choice of Stix!</h5>\r\n</li>\r\n 	<li>\r\n<h5>100 Bonus Bucks points can be redeemed for a Large Pizza with 1-regular topping</h5>\r\n</li>\r\n</ul>\r\n&nbsp;\r\n<h5>There is no card to keep track of - just use your phone number and email address.</h5>\r\n<h5>After you are enrolled, you can opt-in to receiving special offers or you can opt-out of receiving offers. Either way, you will earn Bonus Bucks on every visit to Buck\'s Pizza!</h5>", "Bonus Bucks", "", "inherit", "closed", "closed", "", "1930-revision-v1", "", "", "2019-05-21 19:05:10", "2019-05-21 19:05:10", "", "1930", "http://buckspizza.com/uncategorized/1930-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1968", "2", "2019-06-05 13:30:20", "2019-06-05 13:30:20", "1585 Central Ave.\r\nSummerville, SC 29483\r\n\r\n<a href=\"tel:843-851-3888\">843-851-3888</a> (<em>Click to call from mobile devices</em>)\r\n\r\n[map height=\"500\" zoom=\"18\" color=\"#a30b32\" fullscreen=\"1\"]\r\n[pin icon=\"food\" center=\"1\" bounce=\"1\" directions=\"1\"]1585 Central Ave. Summerville, SC 29483[/pin]\r\n[/map]", "Summerville, South Carolina", "", "inherit", "closed", "closed", "", "62-revision-v1", "", "", "2019-06-05 13:30:20", "2019-06-05 13:30:20", "", "62", "http://buckspizza.com/uncategorized/62-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1969", "1", "2019-06-05 18:41:23", "2019-06-05 18:41:23", "<h2>Check out these crazy prices!</h2>\r\n<h3 style=\"text-align: center;\">Two Pizzas with 1-Regular Topping each</h3>\r\n<h3 style=\"text-align: center;\">2 Medium Pizzas 14.99</h3>\r\n<h3 style=\"text-align: center;\">2 Large Pizzas 19.99</h3>\r\n<h3 style=\"text-align: center;\">2 XL Pizzas 24.99</h3>\r\n<img class=\"alignnone wp-image-1972 size-full\" src=\"http://buckspizza.com/wp-content/uploads/2019/06/June-2019.jpg\" alt=\"\" width=\"684\" height=\"877\" />\r\n<h3>This offer expires June 30, 2019 - Don\'t miss it!</h3>\r\n&nbsp;\r\n\r\n&nbsp;", "June Special", "", "publish", "closed", "closed", "", "june", "", "", "2019-06-05 18:41:23", "2019-06-05 18:41:23", "", "0", "http://buckspizza.com/?page_id=1969", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1972", "1", "2019-06-05 17:22:20", "2019-06-05 17:22:20", "", "June 2019", "", "inherit", "closed", "closed", "", "june-2019", "", "", "2019-06-05 17:22:20", "2019-06-05 17:22:20", "", "1969", "http://buckspizza.com/wp-content/uploads/2019/06/June-2019.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1973", "1", "2019-06-05 17:22:34", "2019-06-05 17:22:34", "", "June 2019 back", "", "inherit", "closed", "closed", "", "june-2019-back", "", "", "2019-06-05 17:22:34", "2019-06-05 17:22:34", "", "1969", "http://buckspizza.com/wp-content/uploads/2019/06/June-2019-back.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1975", "1", "2019-06-05 17:24:15", "2019-06-05 17:24:15", "", "IMG_1783", "", "inherit", "closed", "closed", "", "img_1783", "", "", "2019-06-05 17:24:15", "2019-06-05 17:24:15", "", "1969", "http://buckspizza.com/wp-content/uploads/2019/06/IMG_1783.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1976", "1", "2019-06-05 17:28:04", "2019-06-05 17:28:04", "", "June", "", "inherit", "closed", "closed", "", "june", "", "", "2019-06-05 17:28:04", "2019-06-05 17:28:04", "", "1969", "http://buckspizza.com/wp-content/uploads/2019/06/June.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1984", "1", "2019-06-05 18:14:32", "2019-06-05 18:14:32", "<h2>Check out these crazy prices!</h2>\r\n<h3 style=\"text-align: center;\">Two Pizzas with 1-Regular Topping each</h3>\r\n<h3 style=\"text-align: center;\">2 Medium Pizzas 14.99</h3>\r\n<h3 style=\"text-align: center;\">2 Large Pizzas 19.99</h3>\r\n<h3 style=\"text-align: center;\">2 XL Pizzas 24.99</h3>\r\n<img class=\"alignnone wp-image-1972 size-full\" src=\"http://buckspizza.com/wp-content/uploads/2019/06/June-2019.jpg\" alt=\"\" width=\"684\" height=\"877\" />\r\n<h3>This offer expires June 30, 2019 - Don\'t miss it!</h3>\r\n&nbsp;\r\n\r\n&nbsp;", "June Special", "", "inherit", "closed", "closed", "", "1969-revision-v1", "", "", "2019-06-05 18:14:32", "2019-06-05 18:14:32", "", "1969", "http://buckspizza.com/uncategorized/1969-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("1988", "1", "2019-07-02 14:38:08", "2019-07-02 14:38:08", "(for ages 12 and under)\r\n<h2>Hand-Tossed Pizza</h2>\r\nwith 1 regular topping and your choice of beverage 6.99\r\n<h2>Deep Dish Pizza</h2>\r\nwith 1 regular topping and your choice of beverage 6.99\r\n<h2>Ciabatta Bread Pizza</h2>\r\nwith pepperoni and your choice of beverage 5.99\r\n<h2>Penne and Pasta Sauce</h2>\r\nand your choice of beverage 5.99\r\n<h2>4 Chicken Tenders, Apple Sauce, &amp; French Fries</h2>\r\nand your choice of beverage 8.49\r\n<h1>Beverages</h1>\r\nMilk, Chocolate Milk, Apple Juice, Sweet Tea, Unsweet Tea, Coca-Cola Freestyle Flavors", "PA Kid\'s Menu", "", "publish", "closed", "closed", "", "pa-kids-menu", "", "", "2019-11-12 16:43:57", "2019-11-12 16:43:57", "", "0", "http://buckspizza.com/?page_id=1988", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("1997", "1", "2019-07-30 19:02:38", "2019-07-30 19:02:38", "", "August Front", "", "inherit", "closed", "closed", "", "august-front", "", "", "2019-07-30 19:02:38", "2019-07-30 19:02:38", "", "0", "http://buckspizza.com/wp-content/uploads/2019/07/August-Front.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1998", "1", "2019-07-30 19:02:59", "2019-07-30 19:02:59", "", "August Back", "", "inherit", "closed", "closed", "", "august-back", "", "", "2019-07-30 19:02:59", "2019-07-30 19:02:59", "", "0", "http://buckspizza.com/wp-content/uploads/2019/07/August-Back.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("2001", "1", "2019-07-30 19:37:20", "2019-07-30 19:37:20", "<img class=\"alignnone size-full wp-image-1997\" src=\"http://buckspizza.com/wp-content/uploads/2019/07/August-Front.png\" alt=\"\" />\r\n<h1 style=\"text-align: center;\">Family Special - TWO PIZZAS</h1>\r\n<h3>1st Pizza</h3>\r\nChoose One - A Pizza with up to 3-regular toppings OR a Margherita, Greek, or Buck\'s Deluxe Pizza\r\n<h3>2nd Pizza</h3>\r\nA Pizza with 1-regular topping\r\n\r\n&nbsp;\r\n<p style=\"text-align: center;\">Medium Family Special $17.99\r\nLarge Family Special $23.99\r\nXL Family Special $28.99</p>\r\n&nbsp;\r\n\r\nDine-In, Carry-Out or Online Orders\r\nGood through the end of 2019!\r\n<h3><a href=\"https://secure.microworks.com/Bucks/Items/Index/1143/\">DuBois, PA Online Ordering - Click Here!</a>\r\n<a href=\"https://secure.microworks.com/Bucks/Items/Index/1143/\">Clearfield, PA Online Ordering - Click Here!</a>\r\n<a href=\"https://secure.microworks.com/Bucks/Items/Index/1143/\">St. Marys, PA Online Ordering - Click Here!</a></h3>", "Family Specials", "", "inherit", "closed", "closed", "", "1901-revision-v1", "", "", "2019-07-30 19:37:20", "2019-07-30 19:37:20", "", "1901", "http://buckspizza.com/uncategorized/1901-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2019", "1", "2019-09-19 13:55:01", "2019-09-19 13:55:01", "<h4><a href=\"http://buckspizza.com/st-marys-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">St. Marys Location, Phone Number, and Online Ordering</a></h4>\r\n<strong>NEW! Family Specials</strong>\r\n<h3><a href=\"http://buckspizza.com/family-specials/\" target=\"_blank\" rel=\"noopener noreferrer\">Family Specials - Choose One Pizza, then a Second Pizza, and add on Boneless Wings or Stix!</a></h3>\r\n<h2>Buck\'s Famous Stix</h2>\r\nAdd bacon, banana peppers, or jalapeños to your stix–80¢ each\r\nAdd cheddar or mozzarella for 99¢\r\n\r\n<strong>Cinnamon Stix</strong>–$4.99\r\n<em>12 per order, with icing.</em>\r\n\r\n<strong>Bread Stix</strong>–$3.99\r\n<em>12 per order, covered with butter and spices with a side of marinara.</em>\r\n\r\n<strong>Cheese Stix</strong>–$4.99\r\n<em>12 per order, covered in mozzarella &amp; a side of marinara.</em>\r\n<h2>Starters</h2>\r\n<strong>Ciabatta Bread Pizza </strong>–$4.99\r\n<em>Made on our fresh baked ciabatta bread. We add pizza sauce, mozzarella and pepperoni.</em>\r\n<h2>Fresh Baked Sandwiches</h2>\r\nServed on a fresh baked Italian Ciabatta bread roll with a pickle.\r\nDressings: Italian, Ranch, Blue Cheese, Mayo and more. Just ask!\r\nAll dressings served on the side.\r\n\r\n<strong>Italian</strong>–$5.99\r\n<em>Ham, hard salami, onion, green peppers, and melted provolone Topped with lettuce, tomato and Italian dressing.</em>\r\n\r\n<strong>Steak</strong>–$5.99\r\n<em>Chipped ribeye steak, onions, green peppers, mushrooms, and melted provolone. Topped with lettuce and tomato.</em>\r\n\r\n<strong>Cheddar Bacon Steak</strong>–$5.99\r\n<em>Cheddar, bacon and chipped ribeye steak.</em>\r\n\r\n<strong>Turkey Club</strong>–$5.99\r\n<em>Turkey, bacon, ham, and melted provolone. Topped with lettuce and tomato.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–$7.99\r\n<em>Breaded chicken filet covered in your choice of Buck\'s Wing Sauces and covered in mozzarella. Topped with lettuce and tomato.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–$7.99\r\n<em>Breaded chicken filet topped with our delicious sauce and lots of melted mozzarella.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–$7.99\r\n<em>Lightly breaded chicken filet covered in bacon and cheddar. Topped with lettuce and tomato.</em>\r\n\r\n<strong>Chicken Filet</strong>–$6.99\r\n<em>Lightly breaded chicken breast topped with lettuce and tomato.</em>\r\n\r\nAdd a side of fries-$2.99\r\n<h2>Salads</h2>\r\nDressings: blue cheese, caesar, french, greek, honey mustard, italian, fat free italian, ranch, fat free ranch, fat free raspberry vinaigrette, oil &amp; vinegar, or sweet &amp; sour.\r\n\r\n<strong>Caesar Salad</strong>–$5.49\r\n<em>Romaine lettuce, Parmesan cheese, croutons and caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–$6.49\r\n<em>Romaine lettuce, parmesan cheese, croutons, tender chicken &amp; caesar dressing.</em>\r\n\r\n<strong>Spinach Salad</strong>–$6.99\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\r\n\r\n<strong>Chef Salad</strong>–$6.99\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese &amp; ham, turkey &amp; bacon.</em>\r\n\r\n<strong>Chicken Tender Salad</strong>–$6.99\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\r\n\r\n<strong>Garden Salad</strong>–$5.49\r\n<em>Romaine lettuce, cucumbers, red onion &amp; tomato.</em>\r\n\r\n<strong>Greek Salad</strong>–$6.99\r\n<em>Romaine lettuce, red onion, Kalamata olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n<h2>Tenders, Wings and Boneless Wings</h2>\r\n<h3>Sauces</h3>\r\n<ul>\r\n 	<li style=\"list-style-type: none;\">\r\n<ul>\r\n 	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n 	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n 	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n 	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n 	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n 	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\r\n 	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\r\n 	<li><strong>Jamaican Jerk</strong>–Unique and rich island flavor.</li>\r\n 	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\r\n 	<li><strong>Roasted Garlic Parmesan</strong>-fresh roasted garlic &amp; lots of parmesan.</li>\r\n</ul>\r\n</li>\r\n</ul>\r\nAdd blue cheese, ranch or any extra sauce- $.99 each\r\nAdd celery- $.50\r\n<h3>Boneless Wings</h3>\r\nBreaded chicken tender bites tossed in your favorite lip-smackin\' wing sauce.\r\n<ul>\r\n 	<li>Order of 10 (1 flavor)–$5.99</li>\r\n 	<li>Order of 20 (up to 2 flavors)–$11.99</li>\r\n 	<li>Order of 30 (up to 3 flavors)–$17.99</li>\r\n</ul>\r\n<h3>Chicken Wings</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n<ul>\r\n 	<li>Order of 10 (1 flavor)–$9.99</li>\r\n 	<li>Order of 20 (up to 2 flavors)–$19.99</li>\r\n 	<li>Order of 30 (up to 3 flavors)–$29.99</li>\r\n</ul>\r\n<h3>Chicken Tenders</h3>\r\nGenuine southern fried chicken tenders so lightly breaded they will melt in your mouth. Includes 1 dipping sauce of your choice.\r\n<ul>\r\n 	<li style=\"list-style-type: none;\">\r\n<ul>\r\n 	<li>Order of 5–$5.99</li>\r\n 	<li>Order of 10–$8.99</li>\r\n 	<li>Order of 15–$11.99</li>\r\n</ul>\r\n</li>\r\n</ul>\r\nAdd a side of fries-$2.99\r\n<h2>Build-Your-Own Pizzas &amp; Strombolis</h2>\r\nWant to Make Your Own Buck\'s Pizza at Home? Try our Take \'N Bake!\r\n\r\nChoose Hand-Tossed or Deep-Dish pizza! Gluten-free is available for small pizzas (+$3)\r\n<h3>Sauce Choices</h3>\r\nTraditional pizza sauce or garlic sauce.\r\n<h3>Pizza</h3>\r\n<ul>\r\n 	<li>Small 9\" (4 slices of pizza/2 pieces of Stromboli)–$4.99</li>\r\n 	<li>Medium 12\" (6 slices of pizza/3 pieces of Stromboli)–$6.99</li>\r\n 	<li>Large 14\" (8 slices of pizza/4 pieces of Stromboli)–$8.99</li>\r\n 	<li>X-Large 16\" (12 slices of pizza/5 pieces of Stromboli)–$10.99</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\n79¢ each per Small 9\"\r\n$1.19 each per Medium 12\"\r\n$1.59 each per Large 14\"\r\n$1.89 each per X-Large 16\"\r\n<ul>\r\n 	<li>Pepperoni</li>\r\n 	<li>Ham</li>\r\n 	<li>Mushrooms</li>\r\n 	<li>Bacon</li>\r\n 	<li>Spanish onions</li>\r\n 	<li>Anchovies</li>\r\n 	<li>Red onions</li>\r\n 	<li>Hard Salami</li>\r\n 	<li>Green pepper</li>\r\n 	<li>Fresh Basil</li>\r\n 	<li>Sausage</li>\r\n 	<li>Green olives</li>\r\n 	<li>Black olives</li>\r\n 	<li>Pineapple</li>\r\n 	<li>Jalapeños</li>\r\n 	<li>Banana peppers</li>\r\n 	<li>Roma tomatoes</li>\r\n 	<li>Ground beef</li>\r\n 	<li>Kalamata olives</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\n$1.99 each per Small 9\"\r\n$2.99 each per Medium 12\"\r\n$3.99 each per Large 14\"\r\n$4.99 each per X-Large 16\"\r\n<ul>\r\n 	<li>Chicken</li>\r\n 	<li>Steak</li>\r\n 	<li>Chipped ribeye</li>\r\n</ul>\r\n<h3>Extra Cheese</h3>\r\n99¢ each per Small 9\"\r\n$1.49 each per Medium 12\"\r\n$1.99 each per Large 14\"\r\n$2.49 each per X-Large 16\"\r\n<ul>\r\n 	<li>Cheddar</li>\r\n 	<li>Feta</li>\r\n 	<li>Mozzarella</li>\r\n</ul>\r\n<h2>Specialty Pizzas</h2>\r\n<h3>TRADITIONAL PIZZA SAUCE</h3>\r\n<strong>Buck\'s Deluxe</strong>\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage &amp; green pepper.</em>\r\nsmall $7.99, medium $11.49, large $14.99, x-large $17.99\r\n\r\n<strong>5 Meat</strong>\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon &amp; ground beef.</em>\r\nsmall $8.99, medium $12.99, large $16.99, x-large $20.49\r\n\r\n<strong>4 Cheese Medley</strong>\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold &amp; exciting flavor!</em>\r\nsmall $6.99, medium $9.99, large $12.99, x-large $14.99\r\n\r\n<strong>Cheddar Bacon Steak</strong>\r\n<em>Melted aged cheddar, sizzling bacon and chipped mouth watering USDA choice steak. Maybe we should call this one \'heaven-on-earth\'</em>\r\nsmall $8.49, medium $12.24, large $15.99, x-large $18.99\r\n\r\n<strong>Hawaiian</strong>\r\n<em>A taste of the islands with generous portions of pineapple &amp; bacon.</em>\r\nsmall $6.49, medium $9.24, large $11.99, x-large $13.99\r\n\r\n<strong>Pepperoni Classic</strong>\r\n<em>America\'s favorite pizza with an edge to edge layer of pepperoni &amp; extra mozzarella cheese.</em>\r\nsmall $6.49, medium $9.24, large $11.99, x-large $13.99\r\n<h3>NON-TRADITIONAL PIZZA SAUCE</h3>\r\n<strong>BBQ Chicken</strong>\r\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, mozzarella &amp; aged cheddar.</em>\r\nsmall $7.99, medium $11.49, large $14.99, x-large $17.99\r\n\r\n<strong>Buffalo Chicken</strong>\r\n<em>Your choice of Buck\'s mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella &amp; chicken, all topped with sizzling bacon. Hang on to your hat!</em>\r\nsmall $7.99, medium $11.49, large $14.99, x-large $17.99\r\n\r\n<strong>Chicken Bacon Ranch</strong>\r\n<em>We use ranch for the sauce, pile on the mozzarella, strips of grilled chicken breast, sizzling bacon &amp; smother it all with aged cheddar cheese.</em>\r\nsmall $8.49, medium $12.24, large $15.99, x-large $18.99\r\n<h3>WHITE PIZZA SAUCE</h3>\r\n<strong>Greek</strong>\r\n<em>A light garlic sauce, mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices &amp; feta cheese.</em>\r\nsmall $7.99, medium $12.49, large $14.99, x-large $17.99\r\n\r\n<strong>Margherita</strong>\r\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil &amp; lots of mozzarella cheese.</em>\r\nsmall $7.99, medium $11.49, large $14.99, x-large $17.99\r\n\r\n<strong>Old World</strong>\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon &amp; sliced tomato.</em>\r\nsmall $6.49, medium $9.24, large $11.99, x-large $13.99\r\n\r\n<strong>Steak \'N Cheese</strong>\r\n<em>Our special light garlic sauce topped with real marinated chipped USDA choice steak, onions, green peppers, mushrooms &amp; extra mozzarella cheese.</em>\r\nsmall $8.99, medium $12.99, large $16.99, x-large $20.49\r\n<h2>STROMBOLI</h2>\r\n<strong>Buck\'s Deluxe</strong>\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\nsmall $7.99, medium $11.49, large $14.99, x-large $17.99\r\n\r\n<strong>5 MEAT</strong>\r\n<em>A must for hearty appetities! Pepperoni, sausage, ham, bacon, and ground beef.</em>\r\nsmall $8.99, medium $12.49, large $16.99, x-large $20.49\r\n\r\n<strong>Buffalo Chicken</strong>\r\n<em>Your choice of Buck\'s mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella &amp; chicken, all topped with sizzling bacon. Hang on to your hat!</em>\r\nsmall $7.99, medium $11.49, large $14.99, x-large $17.99\r\n\r\n<strong>Italian</strong>\r\n<em>hard salami, smoked cheese, fresh onions, green peppers and lots of mozzarella.</em>\r\nsmall $6.99, medium $9.99, large $12.99, x-large $14.99\r\n\r\n<strong>Chicken Bacon Ranch</strong>\r\n<em>We use ranch for the sauce, pile on the mozzarella, strips of delicious chicken breasts, sizzling bacon &amp; smother it all with aged cheddar cheese.</em>\r\nsmall $8.49, medium $12.24, large $15.99, x-large $18.99\r\n\r\n<strong>Steak \'N Cheese</strong>\r\n<em>Chipped ribeye steak, onions, green peppers, mushrooms and lots of mozzarella.</em>\r\nsmall $8.99, medium $19.99, large $16.99, x-large $18.99\r\n\r\n<strong>Cheddar Bacon Steak</strong>\r\n<em>melted aged cheddar, sizzling bacon &amp; chipped mouth watering USDA ribeye, maybe we should call this \'heaven-on-earth\'!</em>\r\nsmall $8.49, medium $12.24, large $15.99, x-large $18.99\r\n\r\n<strong>Ham &amp; Cheddar</strong>\r\n<em>What could be simpler and more delicious than smoked ham, melted mozzarella and aged cheddar</em>\r\nsmall $6.49, medium $9.24, large $11.99, x-large $13.99\r\n<h2>Sweet Treats</h2>\r\n<strong>Cinnamon Stix</strong>–$4.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing.</em>\r\n\r\n<strong>Tiramisu</strong>-$4.99\r\n<em>Italy\'s most famous dessert, Tiramisu, \"Pick-Me-Up\" in Italian, is an elegant treat that\'s not too sweet or too filling. Start with layers of imported mascarpone cream and authentic ladyfingers, we then delicately soak them in espresso and finish with a dusting of cocoa powder.</em>\r\n\r\n<strong>Cannoli</strong>–$1.69 each or 4 for $5.99\r\n<em>A crisp cannoli shell stuffed with sweet and creamy filling and chocolate chips.</em>\r\n<h2>Beverages</h2>\r\n<strong>Fresh Brewed Southern-style Tea Gallon</strong>- $3.99\r\nChoose sweet or unsweet tea\r\n\r\n<strong>16.9 ounce Coke or Pepsi</strong>\r\n\r\n<strong>2 liter Coke and Pepsi</strong>", "Menu", "", "inherit", "closed", "closed", "", "1868-revision-v1", "", "", "2019-09-19 13:55:01", "2019-09-19 13:55:01", "", "1868", "http://buckspizza.com/uncategorized/1868-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2021", "1", "2019-10-03 22:56:54", "2019-10-03 22:56:54", "[mlw_quizmaster quiz=1]", "Survey", "", "publish", "closed", "closed", "", "survey", "", "", "2019-10-03 22:56:54", "2019-10-03 22:56:54", "", "0", "http://buckspizza.com/quiz/survey/", "0", "quiz", "", "0");
INSERT INTO `wp_posts` VALUES("2022", "1", "2019-10-03 23:04:32", "2019-10-03 23:04:32", "<style>\r\n.testslider {z-index: 2; width: 100%; position: absolute !important; left: 0px !important; top 80px !important;}<br />\r\n.slider-title {width: auto !important; font-weight: bold; font-size: 32px !important;  color: white !important;}<br />\r\n.huge-it-caption {background: rgba(146, 6, 8, .8) !important;}<br />\r\n.huge-it-wrap img {height: auto !important; width: 50%;}<br />\r\n@media only screen and (max-width:768px){<br />\r\n.huge-it-wrap {height: auto !important;}<br />\r\n.huge-it-wrap img {height: auto !important;}<br />\r\n.huge-it-slider img {height: auto !important;}<br />\r\n}<br />\r\n</style>\r\n<div class=\"testslider\">[huge_it_slider id=\"1\"]</div>\r\n[STORE-LOCATOR]\r\n\r\n&nbsp;\r\n<div class=\"shortcode_section\">[survey id=2603186]</div>", "test page", "", "inherit", "closed", "closed", "", "1048-revision-v1", "", "", "2019-10-03 23:04:32", "2019-10-03 23:04:32", "", "1048", "http://buckspizza.com/uncategorized/1048-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2023", "1", "2019-10-07 19:47:58", "2019-10-07 19:47:58", "<h1><strong>PICK-A-PASTA is BACK!</strong></h1>\r\n<h2><strong>PASTA, SALAD, and DESSERT for $9.99</strong></h2>\r\nDine-in only at DuBois and Clearfield locations! Pick-A-Pasta is a limited time Dine-In only offer.\r\n\r\n<strong>1. Pick a Small Pasta</strong>\r\n\r\n<img class=\"alignnone wp-image-2025\" src=\"http://buckspizza.com/wp-content/uploads/2019/10/alfredo-250x142.png\" alt=\"\" width=\"250\" height=\"142\" /> <img class=\"alignnone wp-image-2026\" src=\"http://buckspizza.com/wp-content/uploads/2019/10/spagandmeatball-250x153.png\" alt=\"\" width=\"232\" height=\"142\" />\r\n<ul>\r\n 	<li>Spaghetti</li>\r\n 	<li>Spaghetti and Meatballs</li>\r\n 	<li>Fettuccine Alfredo</li>\r\n 	<li>Chicken Alfredo (+$1.50)</li>\r\n 	<li>Chicken Parmesan (+$1.50)</li>\r\n 	<li>Cheese Ravioli (+$1)</li>\r\n 	<li>Beef Ravioli (+$1)</li>\r\n</ul>\r\n<strong>2. Pick a Garden or</strong><strong> Caesar Side Salad</strong>\r\n\r\n<img class=\"alignnone wp-image-2027\" src=\"http://buckspizza.com/wp-content/uploads/2019/10/caesarsalad-250x96.png\" alt=\"\" width=\"242\" height=\"93\" />  <img class=\"alignnone wp-image-2028\" src=\"http://buckspizza.com/wp-content/uploads/2019/10/gardensalad.png\" alt=\"\" width=\"242\" height=\"97\" />\r\n\r\n<strong>3. Pick a De</strong><strong>ssert</strong>\r\n\r\n<img class=\"alignnone wp-image-2029\" src=\"http://buckspizza.com/wp-content/uploads/2019/10/dessert.png\" alt=\"\" width=\"242\" height=\"145\" />\r\n<ul>\r\n 	<li>Any gelato flavor</li>\r\n 	<li>2 cannoli</li>\r\n 	<li>Cinnamon Stix (+$1)</li>\r\n 	<li>Tiramisu (+$2)</li>\r\n 	<li>Lemoncello Mascarpone Cake (+$2)</li>\r\n 	<li>Three-Layer Chocolate Cake (+$2)</li>\r\n</ul>", "Pick a Pasta", "", "publish", "closed", "closed", "", "pick-a-pasta", "", "", "2019-10-11 22:10:59", "2019-10-11 22:10:59", "", "0", "http://buckspizza.com/?page_id=2023", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("2025", "1", "2019-10-07 19:56:11", "2019-10-07 19:56:11", "", "alfredo", "", "inherit", "closed", "closed", "", "alfredo", "", "", "2019-10-07 19:56:11", "2019-10-07 19:56:11", "", "2023", "http://buckspizza.com/wp-content/uploads/2019/10/alfredo.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("2026", "1", "2019-10-07 19:56:12", "2019-10-07 19:56:12", "", "spagandmeatball", "", "inherit", "closed", "closed", "", "spagandmeatball", "", "", "2019-10-07 19:56:12", "2019-10-07 19:56:12", "", "2023", "http://buckspizza.com/wp-content/uploads/2019/10/spagandmeatball.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("2027", "1", "2019-10-07 19:56:13", "2019-10-07 19:56:13", "", "caesarsalad", "", "inherit", "closed", "closed", "", "caesarsalad", "", "", "2019-10-07 19:56:13", "2019-10-07 19:56:13", "", "2023", "http://buckspizza.com/wp-content/uploads/2019/10/caesarsalad.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("2028", "1", "2019-10-07 19:56:14", "2019-10-07 19:56:14", "", "gardensalad", "", "inherit", "closed", "closed", "", "gardensalad", "", "", "2019-10-07 19:56:14", "2019-10-07 19:56:14", "", "2023", "http://buckspizza.com/wp-content/uploads/2019/10/gardensalad.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("2029", "1", "2019-10-07 19:59:15", "2019-10-07 19:59:15", "", "dessert", "", "inherit", "closed", "closed", "", "dessert-2", "", "", "2019-10-07 19:59:15", "2019-10-07 19:59:15", "", "2023", "http://buckspizza.com/wp-content/uploads/2019/10/dessert.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("2033", "1", "2019-10-11 22:10:59", "2019-10-11 22:10:59", "<h1><strong>PICK-A-PASTA is BACK!</strong></h1>\r\n<h2><strong>PASTA, SALAD, and DESSERT for $9.99</strong></h2>\r\nDine-in only at DuBois and Clearfield locations! Pick-A-Pasta is a limited time Dine-In only offer.\r\n\r\n<strong>1. Pick a Small Pasta</strong>\r\n\r\n<img class=\"alignnone wp-image-2025\" src=\"http://buckspizza.com/wp-content/uploads/2019/10/alfredo-250x142.png\" alt=\"\" width=\"250\" height=\"142\" /> <img class=\"alignnone wp-image-2026\" src=\"http://buckspizza.com/wp-content/uploads/2019/10/spagandmeatball-250x153.png\" alt=\"\" width=\"232\" height=\"142\" />\r\n<ul>\r\n 	<li>Spaghetti</li>\r\n 	<li>Spaghetti and Meatballs</li>\r\n 	<li>Fettuccine Alfredo</li>\r\n 	<li>Chicken Alfredo (+$1.50)</li>\r\n 	<li>Chicken Parmesan (+$1.50)</li>\r\n 	<li>Cheese Ravioli (+$1)</li>\r\n 	<li>Beef Ravioli (+$1)</li>\r\n</ul>\r\n<strong>2. Pick a Garden or</strong><strong> Caesar Side Salad</strong>\r\n\r\n<img class=\"alignnone wp-image-2027\" src=\"http://buckspizza.com/wp-content/uploads/2019/10/caesarsalad-250x96.png\" alt=\"\" width=\"242\" height=\"93\" />  <img class=\"alignnone wp-image-2028\" src=\"http://buckspizza.com/wp-content/uploads/2019/10/gardensalad.png\" alt=\"\" width=\"242\" height=\"97\" />\r\n\r\n<strong>3. Pick a De</strong><strong>ssert</strong>\r\n\r\n<img class=\"alignnone wp-image-2029\" src=\"http://buckspizza.com/wp-content/uploads/2019/10/dessert.png\" alt=\"\" width=\"242\" height=\"145\" />\r\n<ul>\r\n 	<li>Any gelato flavor</li>\r\n 	<li>2 cannoli</li>\r\n 	<li>Cinnamon Stix (+$1)</li>\r\n 	<li>Tiramisu (+$2)</li>\r\n 	<li>Lemoncello Mascarpone Cake (+$2)</li>\r\n 	<li>Three-Layer Chocolate Cake (+$2)</li>\r\n</ul>", "Pick a Pasta", "", "inherit", "closed", "closed", "", "2023-revision-v1", "", "", "2019-10-11 22:10:59", "2019-10-11 22:10:59", "", "2023", "http://buckspizza.com/uncategorized/2023-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2040", "1", "2019-10-23 16:39:30", "2019-10-23 16:39:30", "<h4><a href=\"http://buckspizza.com/clearfield-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Clearfield Location, Phone Number, and Online Ordering</a></h4>\r\n<h3><a href=\"http://buckspizza.com/party-paks/\" target=\"_blank\" rel=\"noopener noreferrer\">Party Paks - Pizza with Wings or Boneless Wings, Available for Dine-In or Carry-Out!</a></h3>\r\n<strong>NEW! Family Specials</strong>\r\n<h3><a href=\"http://buckspizza.com/family-specials/\" target=\"_blank\" rel=\"noopener noreferrer\">Family Specials - Choose One Pizza, then a Second Pizza, and add on Boneless Wings or Stix!</a></h3>\r\n<h3><a href=\"http://buckspizza.com/pick-a-pasta/\" target=\"_blank\" rel=\"noopener noreferrer\">Pick-A-Pasta is Back!!</a></h3>\r\n<h2>Buck\'s Famous Stix</h2>\r\nAdd bacon, banana peppers, or jalapeños to your stix–80¢ each, add extra cheese–99¢\r\n\r\n<strong>Bread Stix</strong>–$4.99\r\n<em>Add bacon, banana peppers, or jalapenos to your stix - $0.89 each</em>\r\n<em>Add extra cheese - $0.99</em>\r\n<em>12 per order, covered with butter and spices with a side of marinara.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$4.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing. 12 per order.</em>\r\n\r\n<strong>Cheese Stix</strong>–$5.99\r\n<em>12 per order, covered in melted cheese with a side of marinara.</em>\r\n<h2>Starters</h2>\r\n<strong>Ciabatta Bread Pizza</strong>-$4.99\r\n<em>Made on our fresh baked ciabatta bread.  We add pizza sauce, mozzarella and pepperoni.  It is great for sharing and quick to the table!</em>\r\n\r\n<strong>Chips and Salsa</strong>–$5.99\r\n<em>Corn Chips &amp; house-made salsa.</em>\r\n\r\n<strong>Chips and Queso Dip</strong>–$6.99\r\n<em>Corn Chips &amp; house-made queso.</em>\r\n\r\n<strong>French Fries</strong>\r\n<em>Small –$3.49 Large–$5.99</em>\r\n<em>Add  cheddar, mozzarella, roasted garlic Parmesan\r\n$.99 each/$1.49 each</em>\r\n<em>Bacon, Jalapenos or banana peppers\r\n$.49 each/$.99 each</em>\r\n\r\n<strong>Meatball Appetizer</strong>-$7.99\r\n<em>6 meatballs in pasta sauce, melted mozzarella, fried peppers &amp; freshly backed Bread Stix</em>\r\n\r\n<strong>Fried Fresh Mozzarella</strong>-$10.99\r\n<em>18 cherry-sized mozzarella balls (Ciliegine), lightly hand-breaded and served with a side of pasta sauce.</em>\r\n\r\n<strong>Fried Cheese Ravioli</strong>-$10.99\r\n<em>6 Cheese ravioli, lightly hand-breaded. Served with a side of pasta sauce</em>\r\n\r\n<strong>Fried Mushrooms</strong>-$10.99\r\n<em>A heaping serving of fresh sliced mushrooms, hand-breaded &amp; cooked to order. Served with a side of ranch dressing.</em>\r\n\r\n<strong>Sample Platter</strong>-$16.99\r\n<em>Fried cheese ravioli, fried fresh mozzarella &amp; fried sliced mushrooms served with a side pasta sauce &amp; ranch. Plenty to share!</em>\r\n<h2>Fresh Baked Sandwiches</h2>\r\nServed on a fresh baked Italian Ciabatta bread roll with french fries and a pickle. If you would like extra meat, please ask your server. Dressings: Italian, Ranch, Blue Cheese, Mayo and more. Just ask!\r\nALL SANDWICHES AVAILABLE AS WRAPS!\r\n\r\n<strong>Italian</strong>–$9.49\r\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, and tomato and Italian dressing.</em>\r\n\r\n<strong>Vegi-Delite</strong>–$8.49\r\n<em>A garden fresh delight with mushrooms, onion, green pepper, black olives, green olives, and sliced tomato and covered in provolone.</em>\r\n\r\n<strong>Steak</strong>–$9.49\r\n<em>Real marinated, chipped USDA choice steak, mushrooms, onions, and green peppers smothered in provolone. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>CBS</strong>–$9.49\r\n<em>Cheddar, bacon and real marinated USDA choice steak.</em>\r\n\r\n<strong>Turkey Club</strong>–$9.49\r\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Baked Ham</strong>–$8.49\r\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\r\n\r\n<strong>Turkey</strong>–$8.49\r\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–$11.49\r\n<em>Breaded chicken breast tossed in your choice of wing sauce, covered in melted mozzarella. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–$11.49\r\n<em>Buck\'s delicious chicken breast baked with our delicious tomato pasta sauce and smothered in melted mozzarella.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–$9.49\r\n<em>Delicious chicken covered in melted cheddar and sizzling bacon. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Meatball</strong>–$9.49\r\n<em>Meatballs, pasta sauce, and melted mozzarella.</em>\r\n\r\n<strong>Cod Fish Ciabatta</strong>–$11.49\r\n<em>lightly breaded, deliciously flaky and firm, cold water Cod fillets served with lettuce and tomato and with a side of tartar sauce.</em>\r\n<h2>Salads</h2>\r\nWould you like blue cheese, anchovies, olives or another item added to your salad? Add crumbled blue cheese to your salad for $1.99. Just ask your server. Dressings: Blue Cheese, Ranch, Fat Free Ranch, Caesar, Honey Mustard, Fat Free Raspberry Vinaigrette, Fat Free Italian, Italian, Greek, French, oil and vinegar, or Sweet &amp; Sour.\r\n**SMALL SALADS AVAILABLE AS WRAPS!\r\n\r\n<strong>Garden Salad</strong>–sm. $5.99, lg. $8.99\r\n<em>Romaine lettuce, cucumbers, red onion and tomato.</em>\r\n\r\n<strong>Chef Salad</strong>–sm. $7.49, lg. $12.99\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\r\n\r\n<strong>Chicken Tender Salad</strong>–sm. $7.49, lg. $12.99\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\r\n\r\n<strong>Caesar Salad</strong>–sm. $5.99, lg. $8.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $6.99, lg. $11.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\r\n\r\n<strong>Greek Salad</strong>–sm. $7.49, lg. $12.99\r\n<em>Romaine lettuce, red onion, Kalamata olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n\r\n<strong>Spinach Salad</strong>–sm. $7.49, lg. $12.99\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\r\n\r\n<strong>Fresh Mozzarella and Tomato Salad</strong>–sm. $6.49, lg. $10.99\r\n<em>\"Caprese Salad\" Delicious fresh roma tomato slices topped with fresh basil leaves, cherry-sized mozzarella balls (Ciliegine), and drizzled with Extra Virgin Olive Oil and Balsamic Vinegar.</em>\r\n<h2>Tenders, Wings and Boneless Wings</h2>\r\nadd blue cheese, ranch or any extra sauce–99¢ each, add celery–99¢\r\n<h3>Sauces</h3>\r\n<ul>\r\n 	<li style=\"list-style-type: none;\">\r\n<ul>\r\n 	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n 	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n 	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n 	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n 	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n 	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\r\n 	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\r\n 	<li><strong>Jamaican Jerk</strong>–Unique and rich island flavor.</li>\r\n 	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\r\n 	<li><strong>Roasted Garlic Parmesan</strong>-fresh roasted garlic &amp; lots of parmesan.</li>\r\n</ul>\r\n</li>\r\n</ul>\r\nAdd blue cheese, ranch or any extra sauce- $.99 Each\r\nAdd Celery- $.99\r\n<h3>Boneless Wings</h3>\r\nBreaded chicken tender bites tossed in your favorite lip-smackin\' wing sauce.\r\n<ul>\r\n 	<li>Order of 10 (1 flavor)–$6.59</li>\r\n 	<li>Order of 20 (up to 2 flavors)–$12.99</li>\r\n 	<li>Order of 30 (up to 3 flavors)–$18.99</li>\r\n</ul>\r\n<h3>Chicken Wings</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n<ul>\r\n 	<li>Order of 5 (1 flavor)-$6.49</li>\r\n 	<li>Order of 10 (1 flavor)–$11.49</li>\r\n 	<li>Order of 20 (up to 2 flavors)–$22.49</li>\r\n 	<li>Order of 30 (up to 3 flavors)–$32.99</li>\r\n</ul>\r\n<h3>Chicken Tenders</h3>\r\nGenuine southern fried chicken tenders so lightly breaded they will melt in your mouth. Includes 1 dipping sauce of your choice.\r\n<ul>\r\n 	<li>Order of 6–$5.99</li>\r\n 	<li>Order of 8–$7.99</li>\r\n 	<li>Order of 12–$10.99</li>\r\n 	<li>Order of 20–$16.99</li>\r\n</ul>\r\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\r\nWant to Make Your Own Buck\'s Pizza at Home? Try our Take \'N Bake!\r\n\r\nChoose Hand-Tossed or Deep-Dish pizza! Gluten-free is available for small pizzas (+$3)! Ask your server.\r\n<h3>Pizza or Stromboli</h3>\r\n<ul>\r\n 	<li>Small 9\" (4 slices of pizza/2 pieces of Stromboli)–$5.99</li>\r\n 	<li>Medium 12\" (6 slices of pizza/3 pieces of Stromboli)–$8.99</li>\r\n 	<li>Large 14\" (8 slices of pizza/4 pieces of Stromboli)–$11.99</li>\r\n 	<li>X-Large 16\" (12 slices of pizza/5 pieces of Stromboli)–$13.99</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\nSmall 9\" 89¢ each, Medium 12\" $1.29 each, Large 14\" $1.69 each, X-Large 16\" $1.99 each\r\n<ul>\r\n 	<li>Pepperoni</li>\r\n 	<li>Ham</li>\r\n 	<li>Mushrooms</li>\r\n 	<li>Bacon</li>\r\n 	<li>Spanish onions</li>\r\n 	<li>Anchovies</li>\r\n 	<li>Red onions</li>\r\n 	<li>Hard Salami</li>\r\n 	<li>Green pepper</li>\r\n 	<li>Fresh Basil</li>\r\n 	<li>Sausage</li>\r\n 	<li>Minced garlic</li>\r\n 	<li>Roasted garlic</li>\r\n 	<li>Green olives</li>\r\n 	<li>Fresh spinach</li>\r\n 	<li>Black olives</li>\r\n 	<li>Pineapple</li>\r\n 	<li>Canadian bacon</li>\r\n 	<li>Jalapeños</li>\r\n 	<li>Banana peppers</li>\r\n 	<li>Roma tomatoes</li>\r\n 	<li>Ground beef</li>\r\n 	<li>Kalamata olives</li>\r\n 	<li>Fried sweet peppers</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\nSmall 9\" $1.99 each, Medium 12\" $2.99 each, Large 14\" $3.99 each, X-Large 16\" $4.99 each\r\n<ul>\r\n 	<li>Artichoke hearts</li>\r\n 	<li>Fresh mozzarella</li>\r\n 	<li>Chicken</li>\r\n 	<li>USDA choice steak</li>\r\n</ul>\r\n<h3>Extra Cheese</h3>\r\nSmall 9\" 99¢ each, Medium 12\" $1.49 each, Large 14\" $1.99 each, X-Large 16\" $2.49 each\r\n<ul>\r\n 	<li>Mozzarella</li>\r\n 	<li>Cheddar cheese</li>\r\n 	<li>Feta cheese</li>\r\n</ul>\r\n<h2>Specialty Pizzas and Strombolis</h2>\r\n<h3>Traditional Pizza Sauce</h3>\r\n<strong>Buck\'s Deluxe</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n\r\n<strong>5 Meat</strong>–sm. $10.39, md. $15.39, lg. $20.39, xl. $23.89\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n\r\n<strong>CBS Special</strong>–sm. $9.89, md. $14.59, lg. $19.39, xl. $22.69\r\n<em>Melted aged cheddar, sizzling bacon and chipped mouth watering USDA choice steak. Maybe we should call this one \'heaven-on-earth\'.</em>\r\n\r\n<strong>Vegi-Delite</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\r\n\r\n<strong>4 Cheese Medley</strong>–sm. $8.19, md. $12.19, lg. $16.19, xl. $18.89\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\r\n\r\n<strong>CBH Special</strong>–sm. $8.69, md. $12.99, lg. $17.19, xl. $19.99\r\n<em>Everything is better with bacon and this proves it. smoked ham, melted aged cheddar and sizzling bacon. Mmm good!</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\r\n\r\n<strong>Hawaiian</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\r\n\r\n<strong>Pepperoni Classic</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>America\'s favorite pizza with an edge to edge layer of pepperoni and extra mozzarella cheese.</em>\r\n\r\n<strong>Sausage Classic</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>Wake up your taste buds with lots of sausage and extra mozzarella.</em>\r\n\r\n<strong>Ham and Cheese</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>What could be simpler or more delicious than smoked ham and melted mozzarella and aged cheddar?</em>\r\n\r\n<strong>Wild Buck</strong>–sm. $12.59, md. $18.59, lg. $24.59, xl. $28.89\r\nIf you order \'everything-but-the-fish\' this is what you\'ll get. Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives and extra mozzarella...it\'s wild!\r\n<h3>White Pizza Sauce</h3>\r\n<strong>Chicken Club</strong>–sm. $10.39, md. $15.39, lg. $20.39, xl. $23.89\r\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, Canadian bacon, red onion and bacon.</em>\r\n\r\n<strong>Greek</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>A light garlic sauce, mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\r\n\r\n<strong>Margherita</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n\r\n<strong>Italian</strong>–sm. $8.19, md. $12.19, lg. $16.19, xl. $18.89\r\n<em>Garlic sauce, hard salami, smoked ham, fresh onions, green peppers and lots of mozzarella. The flavor really pops with the oven-baked hard salami!</em>\r\n\r\n<strong>Old World</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\r\n\r\n<strong>Steak \'N Cheese</strong>–sm. $10.39, md. $15.39, lg. $20.39, xl. $23.89\r\n<em>Our special light garlic sauce topped with real marinated chipped USDA choice steak, onions, green peppers, mushrooms and extra mozzarella cheese.</em>\r\n<h3>Alfredo Sauce</h3>\r\n<strong>Spinach Alfredo</strong>–sm. $11.59, md. $17.09, lg. $22.59, xl. $26.49\r\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon and lots of mozzarella.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–sm. $11.59, md. $17.09, lg. $22.59, xl. $26.49\r\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with 100% mozzarella cheese.</em>\r\n<h3>Non-Traditional Pizza Sauce</h3>\r\n<strong>BBQ Chicken</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, mozzarella and aged cheddar.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>Your choice of Buck\'s mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella and chicken, all topped with sizzling bacon. Hang on to your hat!</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–sm. $9.89, md. $14.59, lg. $19.39, xl. $22.69\r\n<em>We use ranch for the sauce, pile on the mozzarella, strips of grilled chicken breast, sizzling bacon and smother it all with aged cheddar cheese.</em>\r\n<h2>Pasta Dinners</h2>\r\nAll of our pasta meals are served with fresh baked Bread Stix and your choice of a Garden or Ceaser Salad.\r\n\r\n<strong>great additions to your pasta</strong> Small $.50 Large $1.00\r\n<ul>\r\n 	<li>Bacon</li>\r\n 	<li>Basil</li>\r\n 	<li>Roasted Garlic</li>\r\n 	<li>Mushrooms</li>\r\n 	<li>Black Olives</li>\r\n 	<li>Tomatoes</li>\r\n 	<li>Fried Peppers</li>\r\n 	<li>Pepperoni</li>\r\n 	<li>Sausage</li>\r\n 	<li>Spinach</li>\r\n</ul>\r\n<strong>Premium additions</strong> Small $1.50 Large $3.00\r\n<ul>\r\n 	<li>Artichoke Hearts</li>\r\n 	<li>Chicken</li>\r\n 	<li>Steak</li>\r\n 	<li>Meatballs</li>\r\n</ul>\r\nOur Tomato Pasta Sauce is made with vine-ripened tomatoes and only the finest ingredients for a simple, classic Old World flavor.\r\n\r\nCustomize Your Pasta! Change any sauce &amp; any pasta on any pasta dish. Choose from: tomato pasta sauce, alfredo sauce, tomato alfredo sauce, or roasted garlic parmesan.\r\n\r\n<strong>Spaghetti</strong>–sm. $8.99, reg. $11.99\r\n<em>A generous portion of spaghetti topped with the best tomato pasta sauce you will find anywhere.</em>\r\n\r\n<strong>Spaghetti and Meatballs</strong>–sm. $10.49, reg. $14.99\r\n<em>A generous portion of spaghetti topped with meatballs and the best tomato pasta sauce you will find anywhere.</em>\r\n\r\n<strong>Fettuccine Alfredo</strong>–sm. $9.99, reg. $13.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–sm. $11.49, reg. $16.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce and with tender strips of grilled chicken.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–sm. $11.49, reg. $16.99\r\n<em>Hand-breaded chicken covered in tomato pasta sauce and melted mozzarella served over penne.</em>\r\n\r\n<strong>Cheese Ravioli</strong>–sm. $10.99, reg. $16.99\r\n<em>Rich and creamy ricotta stuffed ravioli served with tomato pasta sauce.</em>\r\n\r\n<strong>Beef Ravioli</strong>–sm. $10.99, reg. $16.99\r\n<em>Tender and delicious beef stuffed ravioli served with tomato pasta sauce.</em>\r\n<h2>Dinners</h2>\r\n<strong>Southern Fried Chicken Tenders Dinner</strong>–sm. $7.99, lg. $13.99\r\n<em>Genuine southern fried chicken tenders, french fries and a side of cole slaw.</em>\r\n\r\n<strong>Cod Fish Dinner</strong>–$14.99\r\n<em>Lightly breaded, deliciously flaky and firm, cold-water cod fillets served with french fries, a side of cole slaw and a side of tartar sauce.</em>\r\n<h2>Kid\'s Menu</h2>\r\n<strong>Hand-Tossed Pizza</strong>–$7.99\r\n<em>with one regular topping and your choice of beverage.</em>\r\n\r\n<strong>Deep Dish Pizza</strong>–$7.99\r\n<em>with one regular topping and your choice of beverage.</em>\r\n\r\n<strong>Ciabatta Bread Pizza</strong>–$5.99\r\n<em>with pepperoni and your choice of beverage.</em>\r\n\r\n<strong>Penne and Pasta Sauce</strong>–$6.49\r\n<em>and your choice of beverage.</em>\r\n\r\n<strong>4 Chicken Tenders, Apple Sauce, &amp; French Fries</strong>–$8.99\r\n<em>and your choice of beverage.</em>\r\n\r\n<b>Beverages</b>\r\n<em>Milk, Chocolate Milk, Apple Juice, Sweet Tea, Unsweet Tea, Coca-Cola Freestyle Flavors</em>\r\n<h2>Sweet Treats</h2>\r\n<strong>Cinnamon Stix</strong>–$4.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing.</em>\r\n\r\n<strong>Tiramisu</strong>-$5.99\r\n<em>Italy\'s most famous dessert, Tiramisu, \"Pick-Me-Up\" in Italian, is an elegant treat that\'s not too sweet or too filling. Start with layers of imported mascarpone cream and authentic ladyfingers, we then delicately soak them in espresso and finish with a dusting of cocoa powder.</em>\r\n\r\n<strong>Cannoli</strong>–$1.99 each, 2 for $3.79 or 4 for $6.99\r\n<em>A crisp cannoli shell stuffed with sweet and creamy filling and chocolate chips.</em>\r\n\r\n<strong>Gelato</strong>–$3.49\r\n<em>Ask for our current flavors!</em>\r\n\r\n<strong>Lemoncello Mascarpone Cake</strong>-$5.99\r\n\r\n<em>A rich combination of Sicilian lemon infused sponge cake and Italian mascarpone topped with European white chocolate curls. A refreshingly light creamy dessert with the perfect combination of sweet and tart. Served with a dollop of whipped cream.</em>\r\n\r\n<strong>Three-Layer Chocolate Cake</strong>-$5.99\r\n<em>A chocolate lover’s dream dessert! Rich three-layer chocolate cake filled and frosted with dark chocolate and fudge frosting with semi-sweet chocolate chips! Served drizzled with chocolate sauce, whipped cream, and a cherry.</em>\r\n<h2>Beverages</h2>\r\n<strong>Fresh Brewed Southern-style Tea</strong>–child  $1.39, adult  $2.79, gallon $3.99\r\n<em>Choose sweet or unsweet tea. Free refills in restaurant, same visit only.</em>\r\n\r\n<strong>Fountain Beverage</strong>–child  $1.39, adult  $2.79\r\n\r\n<strong>Beer &amp; Wine</strong>–available in-house", "Menu", "", "inherit", "closed", "closed", "", "357-revision-v1", "", "", "2019-10-23 16:39:30", "2019-10-23 16:39:30", "", "357", "http://buckspizza.com/uncategorized/357-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2041", "1", "2019-10-23 16:40:11", "2019-10-23 16:40:11", "<h4><a href=\"http://buckspizza.com/dubois-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">DuBois Location, Phone Number, and Online Ordering</a></h4>\r\n<h3><a href=\"http://buckspizza.com/party-paks/\" target=\"_blank\" rel=\"noopener noreferrer\">Party Paks - Pizza with Wings or Boneless Wings, Available for Dine-In or Carry-Out!</a></h3>\r\n<strong>NEW! Family Specials</strong>\r\n<h3><a href=\"http://buckspizza.com/family-specials/\" target=\"_blank\" rel=\"noopener noreferrer\">Family Specials - Choose One Pizza, then a Second Pizza, and add on Boneless Wings or Stix!</a></h3>\r\n<h3><a href=\"http://buckspizza.com/pick-a-pasta/\" target=\"_blank\" rel=\"noopener noreferrer\">Pick-A-Pasta is Back!!</a></h3>\r\n<h2>Buck\'s Famous Stix</h2>\r\nAdd bacon, banana peppers, or jalapeños to your stix–80¢ each, add extra cheese–99¢\r\n\r\n<strong>Bread Stix</strong>–$4.99\r\n<em>Add bacon, banana peppers, or jalapenos to your stix - $0.89 each</em>\r\n<em>Add extra cheese - $0.99</em>\r\n<em>12 per order, covered with butter and spices with a side of marinara.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$4.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing. 12 per order.</em>\r\n\r\n<strong>Cheese Stix</strong>–$5.99\r\n<em>12 per order, covered in melted cheese with a side of marinara.</em>\r\n<h2>Starters</h2>\r\n<strong>Ciabatta Bread Pizza</strong>-$4.99\r\n<em>Made on our fresh baked ciabatta bread.  We add pizza sauce, mozzarella and pepperoni.  It is great for sharing and quick to the table!</em>\r\n\r\n<strong>Chips and Salsa</strong>–$5.99\r\n<em>Corn Chips &amp; house-made salsa.</em>\r\n\r\n<strong>Chips and Queso Dip</strong>–$6.99\r\n<em>Corn Chips &amp; house-made queso.</em>\r\n\r\n<strong>French Fries</strong>\r\n<em>Small –$3.49 Large–$5.99</em>\r\n<em>Add  cheddar, mozzarella, roasted garlic Parmesan\r\n$.99 each/$1.49 each</em>\r\n<em>Bacon, Jalapenos or banana peppers\r\n$.49 each/$.99 each</em>\r\n\r\n<strong>Meatball Appetizer</strong>-$7.99\r\n<em>6 meatballs in pasta sauce, melted mozzarella, fried peppers &amp; freshly backed Bread Stix</em>\r\n\r\n<strong>Fried Fresh Mozzarella</strong>-$10.99\r\n<em>18 cherry-sized mozzarella balls (Ciliegine), lightly hand-breaded and served with a side of pasta sauce.</em>\r\n\r\n<strong>Fried Cheese Ravioli</strong>-$10.99\r\n<em>6 Cheese ravioli, lightly hand-breaded. Served with a side of pasta sauce</em>\r\n\r\n<strong>Fried Mushrooms</strong>-$10.99\r\n<em>A heaping serving of fresh sliced mushrooms, hand-breaded &amp; cooked to order. Served with a side of ranch dressing.</em>\r\n\r\n<strong>Sample Platter</strong>-$16.99\r\n<em>Fried cheese ravioli, fried fresh mozzarella &amp; fried sliced mushrooms served with a side pasta sauce &amp; ranch. Plenty to share!</em>\r\n<h2>Fresh Baked Sandwiches</h2>\r\nServed on a fresh baked Italian Ciabatta bread roll with french fries and a pickle. If you would like extra meat, please ask your server. Dressings: Italian, Ranch, Blue Cheese, Mayo and more. Just ask!\r\nALL SANDWICHES AVAILABLE AS WRAPS!\r\n\r\n<strong>Italian</strong>–$9.49\r\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, and tomato and Italian dressing.</em>\r\n\r\n<strong>Vegi-Delite</strong>–$8.49\r\n<em>A garden fresh delight with mushrooms, onion, green pepper, black olives, green olives, and sliced tomato and covered in provolone.</em>\r\n\r\n<strong>Steak</strong>–$9.49\r\n<em>Real marinated, chipped USDA choice steak, mushrooms, onions, and green peppers smothered in provolone. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>CBS</strong>–$9.49\r\n<em>Cheddar, bacon and real marinated USDA choice steak.</em>\r\n\r\n<strong>Turkey Club</strong>–$9.49\r\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Baked Ham</strong>–$8.49\r\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\r\n\r\n<strong>Turkey</strong>–$8.49\r\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–$11.49\r\n<em>Breaded chicken breast tossed in your choice of wing sauce, covered in melted mozzarella. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–$11.49\r\n<em>Buck\'s delicious chicken breast baked with our delicious tomato pasta sauce and smothered in melted mozzarella.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–$9.49\r\n<em>Delicious chicken covered in melted cheddar and sizzling bacon. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Meatball</strong>–$9.49\r\n<em>Meatballs, pasta sauce, and melted mozzarella.</em>\r\n\r\n<strong>Cod Fish Ciabatta</strong>–$11.49\r\n<em>lightly breaded, deliciously flaky and firm, cold water Cod fillets served with lettuce and tomato and with a side of tartar sauce.</em>\r\n<h2>Salads</h2>\r\nWould you like blue cheese, anchovies, olives or another item added to your salad? Add crumbled blue cheese to your salad for $1.99. Just ask your server. Dressings: Blue Cheese, Ranch, Fat Free Ranch, Caesar, Honey Mustard, Fat Free Raspberry Vinaigrette, Fat Free Italian, Italian, Greek, French, oil and vinegar, or Sweet &amp; Sour.\r\n**SMALL SALADS AVAILABLE AS WRAPS!\r\n\r\n<strong>Garden Salad</strong>–sm. $5.99, lg. $8.99\r\n<em>Romaine lettuce, cucumbers, red onion and tomato.</em>\r\n\r\n<strong>Chef Salad</strong>–sm. $7.49, lg. $12.99\r\n<em>Romaine lettuce, cucumbers, red onion, tomatoes, cheddar cheese and ham, turkey and bacon.</em>\r\n\r\n<strong>Chicken Tender Salad</strong>–sm. $7.49, lg. $12.99\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\r\n\r\n<strong>Caesar Salad</strong>–sm. $5.99, lg. $8.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $6.99, lg. $11.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\r\n\r\n<strong>Greek Salad</strong>–sm. $7.49, lg. $12.99\r\n<em>Romaine lettuce, red onion, Kalamata olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n\r\n<strong>Spinach Salad</strong>–sm. $7.49, lg. $12.99\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\r\n\r\n<strong>Fresh Mozzarella and Tomato Salad</strong>–sm. $6.49, lg. $10.99\r\n<em>\"Caprese Salad\" Delicious fresh roma tomato slices topped with fresh basil leaves, cherry-sized mozzarella balls (Ciliegine), and drizzled with Extra Virgin Olive Oil and Balsamic Vinegar.</em>\r\n<h2>Tenders, Wings and Boneless Wings</h2>\r\nadd blue cheese, ranch or any extra sauce–99¢ each, add celery–99¢\r\n<h3>Sauces</h3>\r\n<ul>\r\n 	<li style=\"list-style-type: none;\">\r\n<ul>\r\n 	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n 	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n 	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n 	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n 	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n 	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\r\n 	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\r\n 	<li><strong>Jamaican Jerk</strong>–Unique and rich island flavor.</li>\r\n 	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\r\n 	<li><strong>Roasted Garlic Parmesan</strong>-fresh roasted garlic &amp; lots of parmesan.</li>\r\n</ul>\r\n</li>\r\n</ul>\r\nAdd blue cheese, ranch or any extra sauce- $.99 Each\r\nAdd Celery- $.99\r\n<h3>Boneless Wings</h3>\r\nBreaded chicken tender bites tossed in your favorite lip-smackin\' wing sauce.\r\n<ul>\r\n 	<li>Order of 10 (1 flavor)–$6.59</li>\r\n 	<li>Order of 20 (up to 2 flavors)–$12.99</li>\r\n 	<li>Order of 30 (up to 3 flavors)–$18.99</li>\r\n</ul>\r\n<h3>Chicken Wings</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n<ul>\r\n 	<li>Order of 5 (1 flavor)-$6.49</li>\r\n 	<li>Order of 10 (1 flavor)–$11.49</li>\r\n 	<li>Order of 20 (up to 2 flavors)–$22.49</li>\r\n 	<li>Order of 30 (up to 3 flavors)–$32.99</li>\r\n</ul>\r\n<h3>Chicken Tenders</h3>\r\nGenuine southern fried chicken tenders so lightly breaded they will melt in your mouth. Includes 1 dipping sauce of your choice.\r\n<ul>\r\n 	<li>Order of 6–$5.99</li>\r\n 	<li>Order of 8–$7.99</li>\r\n 	<li>Order of 12–$10.99</li>\r\n 	<li>Order of 20–$16.99</li>\r\n</ul>\r\n<h2>Build-Your-Own Pizzas and Strombolis</h2>\r\nWant to Make Your Own Buck\'s Pizza at Home? Try our Take \'N Bake!\r\n\r\nChoose Hand-Tossed or Deep-Dish pizza! Gluten-free is available for small pizzas (+$3)! Ask your server.\r\n<h3>Pizza or Stromboli</h3>\r\n<ul>\r\n 	<li>Small 9\" (4 slices of pizza/2 pieces of Stromboli)–$5.99</li>\r\n 	<li>Medium 12\" (6 slices of pizza/3 pieces of Stromboli)–$8.99</li>\r\n 	<li>Large 14\" (8 slices of pizza/4 pieces of Stromboli)–$11.99</li>\r\n 	<li>X-Large 16\" (12 slices of pizza/5 pieces of Stromboli)–$13.99</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\nSmall 9\" 89¢ each, Medium 12\" $1.29 each, Large 14\" $1.69 each, X-Large 16\" $1.99 each\r\n<ul>\r\n 	<li>Pepperoni</li>\r\n 	<li>Ham</li>\r\n 	<li>Mushrooms</li>\r\n 	<li>Bacon</li>\r\n 	<li>Spanish onions</li>\r\n 	<li>Anchovies</li>\r\n 	<li>Red onions</li>\r\n 	<li>Hard Salami</li>\r\n 	<li>Green pepper</li>\r\n 	<li>Fresh Basil</li>\r\n 	<li>Sausage</li>\r\n 	<li>Minced garlic</li>\r\n 	<li>Roasted garlic</li>\r\n 	<li>Green olives</li>\r\n 	<li>Fresh spinach</li>\r\n 	<li>Black olives</li>\r\n 	<li>Pineapple</li>\r\n 	<li>Canadian bacon</li>\r\n 	<li>Jalapeños</li>\r\n 	<li>Banana peppers</li>\r\n 	<li>Roma tomatoes</li>\r\n 	<li>Ground beef</li>\r\n 	<li>Kalamata olives</li>\r\n 	<li>Fried sweet peppers</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\nSmall 9\" $1.99 each, Medium 12\" $2.99 each, Large 14\" $3.99 each, X-Large 16\" $4.99 each\r\n<ul>\r\n 	<li>Artichoke hearts</li>\r\n 	<li>Fresh mozzarella</li>\r\n 	<li>Chicken</li>\r\n 	<li>USDA choice steak</li>\r\n</ul>\r\n<h3>Extra Cheese</h3>\r\nSmall 9\" 99¢ each, Medium 12\" $1.49 each, Large 14\" $1.99 each, X-Large 16\" $2.49 each\r\n<ul>\r\n 	<li>Mozzarella</li>\r\n 	<li>Cheddar cheese</li>\r\n 	<li>Feta cheese</li>\r\n</ul>\r\n<h2>Specialty Pizzas and Strombolis</h2>\r\n<h3>Traditional Pizza Sauce</h3>\r\n<strong>Buck\'s Deluxe</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage and green pepper.</em>\r\n\r\n<strong>5 Meat</strong>–sm. $10.39, md. $15.39, lg. $20.39, xl. $23.89\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon and ground beef.</em>\r\n\r\n<strong>CBS Special</strong>–sm. $9.89, md. $14.59, lg. $19.39, xl. $22.69\r\n<em>Melted aged cheddar, sizzling bacon and chipped mouth watering USDA choice steak. Maybe we should call this one \'heaven-on-earth\'.</em>\r\n\r\n<strong>Vegi-Delite</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives and sliced tomato.</em>\r\n\r\n<strong>4 Cheese Medley</strong>–sm. $8.19, md. $12.19, lg. $16.19, xl. $18.89\r\n<em>A blend of cheddar, mozzarella, Parmesan and feta cheese. A bold and exciting flavor!</em>\r\n\r\n<strong>CBH Special</strong>–sm. $8.69, md. $12.99, lg. $17.19, xl. $19.99\r\n<em>Everything is better with bacon and this proves it. smoked ham, melted aged cheddar and sizzling bacon. Mmm good!</em>\r\n\r\n<strong>Bacon Cheeseburger</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>The backyard grilled flavor of hamburger and bacon topped with mozzarella and aged cheddar.</em>\r\n\r\n<strong>Hawaiian</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>A taste of the islands with generous portions of pineapple and Canadian bacon.</em>\r\n\r\n<strong>Pepperoni Classic</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>America\'s favorite pizza with an edge to edge layer of pepperoni and extra mozzarella cheese.</em>\r\n\r\n<strong>Sausage Classic</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>Wake up your taste buds with lots of sausage and extra mozzarella.</em>\r\n\r\n<strong>Ham and Cheese</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>What could be simpler or more delicious than smoked ham and melted mozzarella and aged cheddar?</em>\r\n\r\n<strong>Wild Buck</strong>–sm. $12.59, md. $18.59, lg. $24.59, xl. $28.89\r\nIf you order \'everything-but-the-fish\' this is what you\'ll get. Pepperoni, onion, mushrooms, green peppers, sausage, ham, bacon, beef, black olives and extra mozzarella...it\'s wild!\r\n<h3>White Pizza Sauce</h3>\r\n<strong>Chicken Club</strong>–sm. $10.39, md. $15.39, lg. $20.39, xl. $23.89\r\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, Canadian bacon, red onion and bacon.</em>\r\n\r\n<strong>Greek</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>A light garlic sauce, mozzarella, Kalamata olives, red onion, artichoke hearts, fresh Roma tomato slices and feta cheese.</em>\r\n\r\n<strong>Margherita</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>Our light garlic sauce with blended Parmesan, sliced Roma tomatoes, chopped fresh basil and lots of mozzarella cheese.</em>\r\n\r\n<strong>Italian</strong>–sm. $8.19, md. $12.19, lg. $16.19, xl. $18.89\r\n<em>Garlic sauce, hard salami, smoked ham, fresh onions, green peppers and lots of mozzarella. The flavor really pops with the oven-baked hard salami!</em>\r\n\r\n<strong>Old World</strong>–sm. $7.59, md. $11.39, lg. $15.19, xl. $17.69\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon and sliced tomato.</em>\r\n\r\n<strong>Steak \'N Cheese</strong>–sm. $10.39, md. $15.39, lg. $20.39, xl. $23.89\r\n<em>Our special light garlic sauce topped with real marinated chipped USDA choice steak, onions, green peppers, mushrooms and extra mozzarella cheese.</em>\r\n<h3>Alfredo Sauce</h3>\r\n<strong>Spinach Alfredo</strong>–sm. $11.59, md. $17.09, lg. $22.59, xl. $26.49\r\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon and lots of mozzarella.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–sm. $11.59, md. $17.09, lg. $22.59, xl. $26.49\r\n<em>Classic alfredo sauce with chicken, red onion and real bacon, topped with 100% mozzarella cheese.</em>\r\n<h3>Non-Traditional Pizza Sauce</h3>\r\n<strong>BBQ Chicken</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>Tender chunks of chicken tossed in our blend of bbq and pizza sauce, with red onion, real bacon, mozzarella and aged cheddar.</em>\r\n\r\n<strong>Buffalo Chicken</strong>–sm. $9.29, md. $13.89, lg. $18.39, xl. $21.49\r\n<em>Your choice of Buck\'s mild, medium or hot wing sauce blended with chunky blue cheese dressing, smothered in mozzarella and chicken, all topped with sizzling bacon. Hang on to your hat!</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–sm. $9.89, md. $14.59, lg. $19.39, xl. $22.69\r\n<em>We use ranch for the sauce, pile on the mozzarella, strips of grilled chicken breast, sizzling bacon and smother it all with aged cheddar cheese.</em>\r\n<h2>Pasta Dinners</h2>\r\nAll of our pasta meals are served with fresh baked Bread Stix and your choice of a Garden or Ceaser Salad.\r\n\r\n<strong>great additions to your pasta</strong> Small $.50 Large $1.00\r\n<ul>\r\n 	<li>Bacon</li>\r\n 	<li>Basil</li>\r\n 	<li>Roasted Garlic</li>\r\n 	<li>Mushrooms</li>\r\n 	<li>Black Olives</li>\r\n 	<li>Tomatoes</li>\r\n 	<li>Fried Peppers</li>\r\n 	<li>Pepperoni</li>\r\n 	<li>Sausage</li>\r\n 	<li>Spinach</li>\r\n</ul>\r\n<strong>Premium additions</strong> Small $1.50 Large $3.00\r\n<ul>\r\n 	<li>Artichoke Hearts</li>\r\n 	<li>Chicken</li>\r\n 	<li>Steak</li>\r\n 	<li>Meatballs</li>\r\n</ul>\r\nOur Tomato Pasta Sauce is made with vine-ripened tomatoes and only the finest ingredients for a simple, classic Old World flavor.\r\n\r\nCustomize Your Pasta! Change any sauce &amp; any pasta on any pasta dish. Choose from: tomato pasta sauce, alfredo sauce, tomato alfredo sauce, or roasted garlic parmesan.\r\n\r\n<strong>Spaghetti</strong>–sm. $8.99, reg. $11.99\r\n<em>A generous portion of spaghetti topped with the best tomato pasta sauce you will find anywhere.</em>\r\n\r\n<strong>Spaghetti and Meatballs</strong>–sm. $10.49, reg. $14.99\r\n<em>A generous portion of spaghetti topped with meatballs and the best tomato pasta sauce you will find anywhere.</em>\r\n\r\n<strong>Fettuccine Alfredo</strong>–sm. $9.99, reg. $13.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.</em>\r\n\r\n<strong>Chicken Alfredo</strong>–sm. $11.49, reg. $16.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce and with tender strips of grilled chicken.</em>\r\n\r\n<strong>Chicken Parmesan</strong>–sm. $11.49, reg. $16.99\r\n<em>Hand-breaded chicken covered in tomato pasta sauce and melted mozzarella served over penne.</em>\r\n\r\n<strong>Cheese Ravioli</strong>–sm. $10.99, reg. $16.99\r\n<em>Rich and creamy ricotta stuffed ravioli served with tomato pasta sauce.</em>\r\n\r\n<strong>Beef Ravioli</strong>–sm. $10.99, reg. $16.99\r\n<em>Tender and delicious beef stuffed ravioli served with tomato pasta sauce.</em>\r\n<h2>Dinners</h2>\r\n<strong>Southern Fried Chicken Tenders Dinner</strong>–sm. $7.99, lg. $13.99\r\n<em>Genuine southern fried chicken tenders, french fries and a side of cole slaw.</em>\r\n\r\n<strong>Cod Fish Dinner</strong>–$14.99\r\n<em>Lightly breaded, deliciously flaky and firm, cold-water cod fillets served with french fries, a side of cole slaw and a side of tartar sauce.</em>\r\n<h2>Kid\'s Menu</h2>\r\n<strong>Hand-Tossed Pizza</strong>–$7.99\r\n<em>with one regular topping and your choice of beverage.</em>\r\n\r\n<strong>Deep Dish Pizza</strong>–$7.99\r\n<em>with one regular topping and your choice of beverage.</em>\r\n\r\n<strong>Ciabatta Bread Pizza</strong>–$5.99\r\n<em>with pepperoni and your choice of beverage.</em>\r\n\r\n<strong>Penne and Pasta Sauce</strong>–$6.49\r\n<em>and your choice of beverage.</em>\r\n\r\n<strong>4 Chicken Tenders, Apple Sauce, &amp; French Fries</strong>–$8.99\r\n<em>and your choice of beverage.</em>\r\n\r\n<b>Beverages</b>\r\n<em>Milk, Chocolate Milk, Apple Juice, Sweet Tea, Unsweet Tea, Coca-Cola Freestyle Flavors</em>\r\n<h2>Sweet Treats</h2>\r\n<strong>Cinnamon Stix</strong>–$4.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing.</em>\r\n\r\n<strong>Tiramisu</strong>-$5.99\r\n<em>Italy\'s most famous dessert, Tiramisu, \"Pick-Me-Up\" in Italian, is an elegant treat that\'s not too sweet or too filling. Start with layers of imported mascarpone cream and authentic ladyfingers, we then delicately soak them in espresso and finish with a dusting of cocoa powder.</em>\r\n\r\n<strong>Cannoli</strong>–$1.99 each, 2 for $3.79 or 4 for $6.99\r\n<em>A crisp cannoli shell stuffed with sweet and creamy filling and chocolate chips.</em>\r\n\r\n<strong>Gelato</strong>–$3.49\r\n<em>Ask for our current flavors!</em>\r\n\r\n<strong>Lemoncello Mascarpone Cake</strong>-$5.99\r\n\r\n<em>A rich combination of Sicilian lemon infused sponge cake and Italian mascarpone topped with European white chocolate curls. A refreshingly light creamy dessert with the perfect combination of sweet and tart. Served with a dollop of whipped cream.</em>\r\n\r\n<strong>Three-Layer Chocolate Cake</strong>-$5.99\r\n<em>A chocolate lover’s dream dessert! Rich three-layer chocolate cake filled and frosted with dark chocolate and fudge frosting with semi-sweet chocolate chips! Served drizzled with chocolate sauce, whipped cream, and a cherry.</em>\r\n<h2>Beverages</h2>\r\n<strong>Fresh Brewed Southern-style Tea</strong>–child  $1.39, adult  $2.79, gallon $3.99\r\n<em>Choose sweet or unsweet tea. Free refills in restaurant, same visit only.</em>\r\n\r\n<strong>Fountain Beverage</strong>–child  $1.39, adult  $2.79\r\n\r\n<strong>Beer &amp; Wine</strong>–available in-house", "Menu", "", "inherit", "closed", "closed", "", "140-revision-v1", "", "", "2019-10-23 16:40:11", "2019-10-23 16:40:11", "", "140", "http://buckspizza.com/uncategorized/140-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2043", "1", "2019-11-12 16:35:59", "2019-11-12 16:35:59", "(for ages 12 and under)\r\n<h2>Hand-Tossed Pizza</h2>\r\nwith 1 regular topping and your choice of beverage 6.99\r\n<h2>Deep Dish Pizza</h2>\r\nwith 1 regular topping and your choice of beverage 6.99\r\n<h2>Ciabatta Bread Pizza</h2>\r\nwith pepperoni and your choice of beverage 5.99\r\n<h2>Penne and Pasta Sauce</h2>\r\nand your choice of beverage 5.99\r\n<h2>4 Chicken Tenders, Apple Sauce, &amp; French Fries</h2>\r\nand your choice of beverage 8.49\r\n<h1>Beverages</h1>\r\nMilk, Chocolate Milk, Apple Juice, Sweet Tea, Unsweet Tea, Coca-Cola Freestyle Flavors", "PA Kid\'s Menu", "", "inherit", "closed", "closed", "", "1988-revision-v1", "", "", "2019-11-12 16:35:59", "2019-11-12 16:35:59", "", "1988", "http://buckspizza.com/uncategorized/1988-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2045", "1", "2019-12-04 18:44:46", "2019-12-04 18:44:46", "", "Josh and Wendy with Santa", "", "inherit", "closed", "closed", "", "josh-and-wendy-with-santa", "", "", "2019-12-04 18:44:46", "2019-12-04 18:44:46", "", "1265", "http://buckspizza.com/wp-content/uploads/2019/12/Josh-and-Wendy-with-Santa.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("2048", "1", "2019-12-10 20:16:33", "2019-12-10 20:16:33", "<iframe src=\"https://www.youtube.com/embed/KX5WkZ1amfA\" width=\"560\" height=\"315\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span></iframe>\r\nThe Holiday season is here and time for us to spread the cheer!  We at Buck\'s are wishing you and yours a very Merry Christmas! We thank you for a great year and for allowing us to serve you.  We hope that our Buck\'s family can feed your family during this holiday season!\r\n\r\n&nbsp;\r\n\r\n<img class=\"alignnone wp-image-2045 \" src=\"http://buckspizza.com/wp-content/uploads/2019/12/Josh-and-Wendy-with-Santa.jpg\" alt=\"\" width=\"471\" height=\"353\" />\r\n<h2>Santa is coming to Buck\'s!</h2>\r\nCome see Santa at Buck\'s Pizza - Clearfield on\r\n\r\nSunday, December 22nd from noon to 3pm!\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h2>A Gift Card from Buck\'s Pizza is a gift with Good Taste!</h2>\r\n<h3>Free Stix Card with a $25 or greater Gift Card Purchase!</h3>\r\n<img class=\"alignleft size-full wp-image-1268\" src=\"http://buckspizza.com/wp-content/uploads/2017/11/giftcards_holidays2017.png\" alt=\"Gift cards at Bucks Pizza in DuBois\" />\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h2>Special Dates to note during the Holiday Season</h2>\r\n<ul>\r\n 	<li>We will be closed Monday for Christmas Eve and Tuesday for Christmas Day.</li>\r\n 	<li>We will be open on Wednesday, the day after Christmas and we\'ll be open for New Years Eve and New Years Day.</li>\r\n</ul>", "Holiday Season in Clearfield", "", "inherit", "closed", "closed", "", "1275-revision-v1", "", "", "2019-12-10 20:16:33", "2019-12-10 20:16:33", "", "1275", "http://buckspizza.com/uncategorized/1275-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2051", "1", "2019-12-11 15:41:34", "2019-12-11 15:41:34", "<iframe src=\"https://www.youtube.com/embed/KX5WkZ1amfA\" width=\"560\" height=\"315\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span></iframe>\nThe Holiday season is here and time for us to spread the cheer!  We at Buck\'s are wishing you and yours a very Merry Christmas! We thank you for a great year and for allowing us to serve you.  We hope that our Buck\'s family can feed your family during this holiday season!\n\n&nbsp;\n\n<img class=\"wp-image-2045 alignnone\" src=\"http://buckspizza.com/wp-content/uploads/2019/12/Josh-and-Wendy-with-Santa.jpg\" alt=\"\" width=\"418\" height=\"313\" />\n<h2>Santa is coming to Buck\'s!</h2>\nCome see Santa at Buck\'s Pizza - DuBois on\n\nSaturday, December 21st from noon to 4pm!\n<h2>A Gift Card from Buck\'s Pizza is a gift with Good Taste!</h2>\n<h3>Free Stix Card with a $25 or greater Gift Card Purchase!</h3>\n<img class=\"alignleft size-full wp-image-1268\" src=\"http://buckspizza.com/wp-content/uploads/2017/11/giftcards_holidays2017.png\" alt=\"Gift cards at Bucks Pizza in DuBois\" />\n\n&nbsp;\n\n&nbsp;\n\n&nbsp;\n\n&nbsp;\n\n&nbsp;\n\n&nbsp;\n\n&nbsp;\n\n&nbsp;\n\n&nbsp;\n\n&nbsp;\n\n&nbsp;\n\n&nbsp;\n\n&nbsp;\n\n&nbsp;\n\n&nbsp;\n<h2>Special Dates to note during the Holiday Season</h2>\n<ul>\n 	<li>We will be closed Monday for Christmas Eve and Tuesday for Christmas Day.</li>\n 	<li>We will be open on Wednesday, the day after Christmas and we\'ll be open for New Years Eve and New Years Day.</li>\n</ul>", "Holiday Season in DuBois", "", "inherit", "closed", "closed", "", "1265-autosave-v1", "", "", "2019-12-11 15:41:34", "2019-12-11 15:41:34", "", "1265", "http://buckspizza.com/uncategorized/1265-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2052", "1", "2019-12-11 15:41:38", "2019-12-11 15:41:38", "<iframe src=\"https://www.youtube.com/embed/KX5WkZ1amfA\" width=\"560\" height=\"315\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span></iframe>\r\nThe Holiday season is here and time for us to spread the cheer!  We at Buck\'s are wishing you and yours a very Merry Christmas! We thank you for a great year and for allowing us to serve you.  We hope that our Buck\'s family can feed your family during this holiday season!\r\n\r\n&nbsp;\r\n\r\n<img class=\"wp-image-2045 alignnone\" src=\"http://buckspizza.com/wp-content/uploads/2019/12/Josh-and-Wendy-with-Santa.jpg\" alt=\"\" width=\"418\" height=\"313\" />\r\n<h2>Santa is coming to Buck\'s!</h2>\r\nCome see Santa at Buck\'s Pizza - DuBois on\r\n\r\nSaturday, December 21st from noon to 4pm!\r\n<h2>A Gift Card from Buck\'s Pizza is a gift with Good Taste!</h2>\r\n<h3>Free Stix Card with a $25 or greater Gift Card Purchase!</h3>\r\n<img class=\"alignleft size-full wp-image-1268\" src=\"http://buckspizza.com/wp-content/uploads/2017/11/giftcards_holidays2017.png\" alt=\"Gift cards at Bucks Pizza in DuBois\" />\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h2>Special Dates to note during the Holiday Season</h2>\r\n<ul>\r\n 	<li>We will be closed Monday for Christmas Eve and Tuesday for Christmas Day.</li>\r\n 	<li>We will be open on Wednesday, the day after Christmas and we\'ll be open for New Years Eve and New Years Day.</li>\r\n</ul>", "Holiday Season in DuBois", "", "inherit", "closed", "closed", "", "1265-revision-v1", "", "", "2019-12-11 15:41:38", "2019-12-11 15:41:38", "", "1265", "http://buckspizza.com/uncategorized/1265-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2060", "1", "2020-01-07 19:26:49", "2020-01-07 19:26:49", "<img class=\"alignnone size-full wp-image-2061\" src=\"http://buckspizza.com/wp-content/uploads/2020/01/Clearfield-Delivery-Map.png\" alt=\"\" />\r\n\r\nDelivery to Hyde - I-80, and east to Lock Haven University - Clearfield.\r\n\r\nFurther delivery is possible if the order is greater than $100 and prior notice is given.\r\n\r\nDelivery Hours: Sunday - Thursday 11am-8:30pm\r\nFriday - Saturday 11am-9:30pm\r\n\r\nDelivery requires minimum order of $20 and will include a $2.50 fee.\r\n\r\n<a href=\"tel:8147657767\">Call (814) 765-7767</a> to place your order or <a href=\"https://secure.microworks.com/Bucks/Items/Index/1143/\">order online</a>!\r\n\r\n<a href=\"http://buckspizza.com/clearfield-pa/menu/\">See our menu!</a>", "Delivery", "", "publish", "closed", "closed", "", "delivery", "", "", "2020-01-07 21:01:49", "2020-01-07 21:01:49", "", "52", "http://buckspizza.com/?page_id=2060", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("2061", "1", "2020-01-07 18:37:54", "2020-01-07 18:37:54", "", "Clearfield Delivery Map", "", "inherit", "closed", "closed", "", "clearfield-delivery-map", "", "", "2020-01-07 18:37:54", "2020-01-07 18:37:54", "", "2060", "http://buckspizza.com/wp-content/uploads/2020/01/Clearfield-Delivery-Map.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("2064", "1", "2020-01-07 19:40:18", "2020-01-07 19:40:18", "<img class=\"alignnone size-full wp-image-2061\" src=\"http://buckspizza.com/wp-content/uploads/2020/01/Clearfield-Delivery-Map.png\" alt=\"\" />\n\nDelivery to Hyde - I-80, and east to Lock Haven University - Clearfield.\n\nFurther delivery is possible if the order is greater than $100 - call for details.\n\nDelivery Hours\n\n<a href=\"tel:8147657767\">Call (814) 765-7767</a> to place your order!\n\n<a href=\"http://buckspizza.com/clearfield-pa/menu/\">See our menu!</a>", "Delivery", "", "inherit", "closed", "closed", "", "2060-autosave-v1", "", "", "2020-01-07 19:40:18", "2020-01-07 19:40:18", "", "2060", "http://buckspizza.com/uncategorized/2060-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2066", "1", "2020-01-07 20:37:24", "2020-01-07 20:37:24", "<img class=\"alignnone size-full wp-image-2061\" src=\"http://buckspizza.com/wp-content/uploads/2020/01/Clearfield-Delivery-Map.png\" alt=\"\" />\r\n\r\nDelivery to Hyde - I-80, and east to Lock Haven University - Clearfield.\r\n\r\nFurther delivery is possible if the order is greater than $100 and prior notice is given.\r\n\r\nDelivery Hours: Sunday - Thursday 11am-8:30pm\r\nFriday - Saturday 11am-9:30pm\r\n\r\nDelivery requires minimum order of $20 and will include a $2.50 fee.\r\n\r\n<a href=\"tel:8147657767\">Call (814) 765-7767</a> to place your order or <a href=\"https://secure.microworks.com/Bucks/Items/Index/1143/\">order online</a>!\r\n\r\n<a href=\"http://buckspizza.com/clearfield-pa/menu/\">See our menu!</a>", "Delivery", "", "inherit", "closed", "closed", "", "2060-revision-v1", "", "", "2020-01-07 20:37:24", "2020-01-07 20:37:24", "", "2060", "http://buckspizza.com/uncategorized/2060-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2069", "1", "2020-02-04 01:11:55", "2020-02-04 01:11:55", "", "DuBois", "", "publish", "closed", "closed", "", "dubois", "", "", "2020-02-05 17:03:39", "2020-02-05 17:03:39", "", "0", "http://buckspizza.com/?post_type=wpsl_stores&#038;p=2069", "0", "wpsl_stores", "", "0");
INSERT INTO `wp_posts` VALUES("2070", "1", "2020-02-04 01:11:55", "2020-02-04 01:11:55", "", "DuBois", "", "inherit", "closed", "closed", "", "2069-revision-v1", "", "", "2020-02-04 01:11:55", "2020-02-04 01:11:55", "", "2069", "http://buckspizza.com/uncategorized/2069-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2072", "1", "2020-02-04 16:29:24", "2020-02-04 16:29:24", "<img class=\"alignnone size-full wp-image-2073\" src=\"http://buckspizza.com/wp-content/uploads/2020/02/DuBois-Delivery-Map.png\" alt=\"\" />\r\n\r\nFurther delivery is possible if the order is greater than $100 and prior notice is given.\r\n\r\nDelivery Hours: Sunday - Thursday 11am-8:30pm\r\nFriday - Saturday 11am-9:30pm\r\n\r\nDelivery requires minimum order of $20 and will include a $2.50 fee.\r\n\r\n<a href=\"tel:8143714500\">Call (814) 371-4500</a> to place your order or <a href=\"https://secure.microworks.com/Bucks/Items/Index/1143/\">order online</a>!\r\n\r\n<a href=\"http://buckspizza.com/dubois-pa/menu/\">See our menu!</a>", "Delivery", "", "publish", "closed", "closed", "", "delivery", "", "", "2020-02-04 16:29:24", "2020-02-04 16:29:24", "", "54", "http://buckspizza.com/?page_id=2072", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("2073", "1", "2020-02-04 16:26:24", "2020-02-04 16:26:24", "", "DuBois Delivery Map", "", "inherit", "closed", "closed", "", "dubois-delivery-map", "", "", "2020-02-04 16:26:24", "2020-02-04 16:26:24", "", "2072", "http://buckspizza.com/wp-content/uploads/2020/02/DuBois-Delivery-Map.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("2074", "1", "2020-02-04 16:29:24", "2020-02-04 16:29:24", "<img class=\"alignnone size-full wp-image-2073\" src=\"http://buckspizza.com/wp-content/uploads/2020/02/DuBois-Delivery-Map.png\" alt=\"\" />\r\n\r\nFurther delivery is possible if the order is greater than $100 and prior notice is given.\r\n\r\nDelivery Hours: Sunday - Thursday 11am-8:30pm\r\nFriday - Saturday 11am-9:30pm\r\n\r\nDelivery requires minimum order of $20 and will include a $2.50 fee.\r\n\r\n<a href=\"tel:8143714500\">Call (814) 371-4500</a> to place your order or <a href=\"https://secure.microworks.com/Bucks/Items/Index/1143/\">order online</a>!\r\n\r\n<a href=\"http://buckspizza.com/dubois-pa/menu/\">See our menu!</a>", "Delivery", "", "inherit", "closed", "closed", "", "2072-revision-v1", "", "", "2020-02-04 16:29:24", "2020-02-04 16:29:24", "", "2072", "http://buckspizza.com/uncategorized/2072-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2075", "1", "2020-02-04 16:30:15", "2020-02-04 16:30:15", "<img class=\"alignnone size-full wp-image-2076\" src=\"http://buckspizza.com/wp-content/uploads/2020/02/St.-Marys-Delivery-Map.png\" alt=\"\" />\r\n\r\nFurther delivery is possible if the order is greater than $100 and prior notice is given.\r\n\r\nDelivery Hours: Everyday 11am-8pm\r\n\r\nDelivery requires minimum order of $20 and will include a $2.50 fee.\r\n\r\n<a href=\"tel:8148341886\">Call (814) 834-1886</a> to place your order or <a href=\"https://secure.microworks.com/Bucks/Items/Index/1143/\">order online</a>!\r\n\r\n<a href=\"http://buckspizza.com/st-marys-pa/menu/\">See our menu!</a>", "Delivery", "", "publish", "closed", "closed", "", "delivery", "", "", "2020-02-04 20:37:14", "2020-02-04 20:37:14", "", "1778", "http://buckspizza.com/?page_id=2075", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("2076", "1", "2020-02-04 16:29:58", "2020-02-04 16:29:58", "", "St. Marys Delivery Map", "", "inherit", "closed", "closed", "", "st-marys-delivery-map", "", "", "2020-02-04 16:29:58", "2020-02-04 16:29:58", "", "2075", "http://buckspizza.com/wp-content/uploads/2020/02/St.-Marys-Delivery-Map.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("2079", "1", "2020-02-04 20:32:53", "2020-02-04 20:32:53", "<h2>Buck\'s Famous Stix</h2>\n<strong>Bread Stix</strong>–$3.99\n<em>12 per order, covered with butter and spices.</em>\n\n<strong>Cinnamon Stix</strong>–$3.99\n<em>12 per order, with icing.</em>\n\n<strong>Cheese Stix</strong>–$4.99\n<em>12 per order, covered in melted cheese.</em>\n\n<strong>Cheese Stix with Bacon</strong>–$5.99\n<em>12 per order, covered in melted cheese.</em>\n<h2>Starters</h2>\n<strong>French Fries -</strong> $2.49\n\n<strong> Loaded Fries - </strong>$4.49\n\n<strong>Fried Pickles</strong>–$3.99\n\n<strong>Onion Rings</strong>-$3.99\n<h2>Fresh Baked Hoagies</h2>\nServed on a fresh baked Italian Ciabatta bread roll. If you would like extra meat, please ask your server. Dressings: Italian, Ranch, Blue Cheese, Mayo and more. Just ask!\n\n<strong>Italian</strong>– 6” $4.99 12”-$8.49\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, and tomato and Italian dressing.</em>\n\n<strong>Steak</strong>–6” $5.99 12”-$9.99\n<em>Real marinated, chipped USDA choice steak, mushrooms, onions, and green peppers smothered in provolone. Topped with lettuce and tomato and with your choice of dressing.</em>\n\n<strong>CBS</strong>–6” $5.99 12”-$9.99\n<em>Cheddar, bacon and real marinated USDA choice steak.</em>\n\n<strong>Turkey Club</strong>– 6” $4.99 12”-$8.49\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\n\n<strong>Baked Ham</strong>– 6” $4.99 12”-$8.49\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\n\n<strong>Turkey</strong>–6” $4.99 12”-$8.49\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\n\n<strong>Chicken Bacon Ranch</strong>–6” $5.99 12”-$9.99\n<em>Delicious chicken covered in melted cheddar and sizzling bacon. Topped with lettuce and tomato and with your choice of dressing.</em>\n\n<strong>Meatball</strong>–6” $4.99 12”-$8.49\n<em>Meatballs, pasta sauce, and melted mozzarella.</em>\n\nAdd french fries to your sandwich!\n<h2>Salads</h2>\nDressings: Blue Cheese, Ranch, Balsamic Vinaigrette, Caesar, Honey Mustard, Fat Free Italian, Italian, Greek, French and Thousand Island.\n\n<strong>Caesar Salad</strong>–sm. $3.49, lg. $5.99\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\n\n<strong>Chicken Caesar Salad</strong>–sm. $3.99, lg. $7.49\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\n\n<strong>Spinach Salad</strong>–sm. $4.99, lg. $8.99\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\n\n<strong>Chef Salad</strong>–sm. $4.29, lg. $7.49\n<em>Iceberg lettuce, cucumbers,  tomatoes, carrots, cheddar cheese, ham and bacon.</em>\n\n<strong>Chicken Tender Salad</strong>–sm. $4.99, lg. $8.99\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\n\n<strong>Garden Salad</strong>–sm. $2.99, lg. $4.99\n<em>Iceberg lettuce, cucumbers, carrots and tomato.</em>\n\n<strong>Greek Salad</strong>–sm. $4.99, lg. $8.99\n<em>Romaine lettuce, red onion, black olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\n<h2>Tenders, Wings and Boneless Wings</h2>\nadd blue cheese, ranch or any extra sauce–50¢ each\n<h3>Sauces</h3>\n<ul>\n 	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\n 	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\n 	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\n 	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\n 	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\n 	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\n 	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\n 	<li><strong>Jamaican Jerk</strong>–Unique and rich island flavor.</li>\n 	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\n 	<li><strong>Teriyaki</strong>–Smooth, salty, sweet…addictive.</li>\n</ul>\n<h3>Boneless Wings</h3>\nBreaded chicken tender bites tossed in your favorite lip-smackin\' wing sauce.\n<ul>\n 	<li>Order of 10 –$5.99</li>\n 	<li>Order of 15 –$8.99</li>\n 	<li>Order of 20 –$11.99</li>\n 	<li>Order of 25 –14.99</li>\n</ul>\n<h3>Chicken Wings</h3>\nTender chicken wings covered in our lip-smackin\' sauces.\n<ul>\n 	<li>Order of 5 –$4.99</li>\n 	<li>Order of 10 –$8.99</li>\n 	<li>Order of 15 –$13.99</li>\n 	<li>Order of 20 –$17.49</li>\n 	<li>Order of 25 –$21.99</li>\n 	<li>Order of 50 –$39.99</li>\n</ul>\nOrders of 20 or more may choose 2 sauces\nWings run through the oven will have a $1.00 charge added per 10 wings\n<h3>Chicken Tenders</h3>\nGenuine southern fried chicken tenders so lightly breaded they will melt in your mouth.\n<ul>\n 	<li>Order of 4–$3.99</li>\n 	<li>Order of 6–$5.49</li>\n 	<li>Order of 8–$6.99</li>\n 	<li>Order of 12–$9.99</li>\n 	<li>Order of 15–$12.49</li>\n 	<li>Order of 20–$15.49</li>\n 	<li>Order of 25–$18.99</li>\n 	<li>Order of 50–$34.99</li>\n 	<li>Order of 100–$65.99</li>\n</ul>\n<h3>Southern Fried Chicken Tenders and French Fries</h3>\nSmall - $5.99 Large $8.99\n<h2>Build-Your-Own Pizzas</h2>\nChoose Hand-Tossed or Thin Crust pizza! Gluten-free is available for $3 more! Ask your server.\n<h3>Pizza</h3>\n<ul>\n 	<li>Personal 6\" (2 slices)–$3.49</li>\n 	<li>Small 9\" (4 slices)–$5.99</li>\n 	<li>Medium 12\" (6 slices)–$8.99</li>\n 	<li>Large 14\" (8 slices)–$9.99</li>\n 	<li>X-Large 16\" (12 slices)–$11.49</li>\n 	<li>Belly Buster 1’ x 2’ (21 slices)–$13.99</li>\n</ul>\n<h3>Regular Toppings</h3>\n25¢ each per Personal\n50¢ each per Small\n$1.00 each per Medium\n$1.50 each per Large\n$1.75 each per X-Large\n$2.00 each per Belly Buster\n<ul>\n 	<li>Pepperoni</li>\n 	<li>Ham</li>\n 	<li>Mushrooms</li>\n 	<li>Bacon</li>\n 	<li>Fresh onions</li>\n 	<li>Anchovies</li>\n 	<li>Green pepper</li>\n 	<li>Sausage</li>\n 	<li>Green olives</li>\n 	<li>Fresh spinach</li>\n 	<li>Black olives</li>\n 	<li>Pineapple</li>\n 	<li>Canadian bacon</li>\n 	<li>Jalapeños</li>\n 	<li>Banana peppers</li>\n 	<li>Roma tomatoes</li>\n 	<li>Ground beef</li>\n 	<li>Cheddar Cheese</li>\n 	<li>Extra Cheese</li>\n</ul>\n<h3>Premium Toppings</h3>\n50¢ each per Personal\n$1.00 each per Small\n$2.00 each per Medium\n$3.00 each per Large\n$3.50 each per X-Large\n$4.00 each per Belly Buster\n<ul>\n 	<li>Artichoke hearts</li>\n 	<li>Chicken</li>\n 	<li>Steak</li>\n 	<li>Fresh Basil</li>\n 	<li>Feta Cheese</li>\n</ul>\n<h2>Specialty Pizzas</h2>\n<strong>Buck’s Deluxe</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\n\n<em>A hearty combination of pepperoni, onion, mushroom, sausage &amp; green pepper.</em>\n\n<strong>5 Meat</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\n\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon &amp; ground beef.</em>\n\n<strong>BBQ Chicken</strong> personal $4.99  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\n\n<em>Tender chunks of chicken tossed in our blend of bbq &amp; pizza sauce, with red onion, real bacon, mozzarella &amp; aged cheddar.</em>\n\n<strong>Buffalo Chicken</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\n\n<em>Your choice of Buck’s mild, medium or hot wing sauce blended with ranch dressing, smothered in mozzarella &amp; chicken, all topped with sizzling bacon. Hang on to your hat!</em>\n\n<strong>Vegi-Delite</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\n\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives &amp; sliced tomato.</em>\n\n<strong>Chicken Club (White Pizza)</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\n\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, canadian bacon, red onion &amp; bacon.</em>\n\n<strong>Greek (White Pizza)</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\n\n<em>A light garlic sauce, mozzarella, black olives, red onion, artichoke hearts, fresh roma tomato slices &amp; feta cheese.</em>\n\n<strong>Margherita (White Pizza)</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\n\n<em>Our light garlic sauce with blended parmesan, sliced roma tomatoes, chopped fresh basil &amp; lots of mozzarella cheese.</em>\n\n<strong>4 Cheese Medley</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\n\n<em>A blend of cheddar, mozzarella, parmesan &amp; feta cheese. A bold &amp; exciting flavor!</em>\n\n<strong>Old World (White Pizza)</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $17.99\n\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon &amp; sliced tomato.</em>\n\n<strong>Bacon Cheeseburger</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\n\n<em>The backyard grilled flavor of hamburger &amp; bacon topped with mozzarella &amp; aged cheddar.</em>\n\n<strong>Hawaiian</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\n\n<em>A taste of the islands with generous portions of pineapple &amp; canadian bacon.</em>\n\n<strong>Pepperoni Classic</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\n\n<em>America’s favorite pizza with an edge to edge layer of pepperoni &amp; extra mozzarella cheese.</em>\n\n<strong>Sausage Classic</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\n\n<em>Wake up your taste buds with lots of sausage &amp; extra mozzarella.</em>\n\n&nbsp;\n\n<strong>Steak ‘N Cheese (White Pizza)</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\n\n<em>Our special light garlic sauce topped with real marinated chipped steak, onions, green peppers, mushrooms &amp; extra mozzarella cheese.</em>\n\n<strong>Spinach Alfredo</strong> personal $4.49  sm $7.99  med $12.99  lg $16.99  xl $17.99  bellybuster $21.99\n\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon &amp; lots of mozzarella.</em>\n\n<strong>Chicken Alfredo</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\n\n<em>Classic alfredo sauce with chicken, red onion &amp; real bacon, topped with 100% mozzarella cheese.</em>\n\n<strong>Extreme Bucks Deluxe</strong> personal $4.99 sm $8.99 med $13.99 lg $16.99 xl $20.99\nbellybuster $23.99\n\n<em>Pepperoni, ham, sausage, hamburger, onion, green pepper, mushrooms, black &amp; green olives, banana peppers &amp; bacon.</em>\n<h2>Stromboli</h2>\nExtra Dipping Sauce 50¢\nAdditional Charge for Extra Cheese\nAlso, you can get any of our specialty pizzas made into a Stromboli!\n\n<strong>Bucks Pizza Stromboli</strong>\npersonal $3.99 sm. $6.99 med. $11.49 lg. $14.49 xlg. $16.99\n<em>Handtossed dough, Buck’s delicious pizza sauce &amp; 100% real cheese. Add any of our pizza toppings at no extra charge. We fold it, top it with butter &amp; seasonings &amp; bake it.</em>\n\n<strong>Ham &amp; Cheese</strong>\npersonal $3.99 sm. $6.99 med. $11.49 lg. $14.49 xlg. $16.99\n<em>Baked ham, mozzarella &amp; aged cheddar.</em>\n\n<strong>CBH Special</strong>\npersonal $3.99 sm. $6.99 med. $11.49 lg. $14.49 xlg. $16.99\n<em>Cheddar, bacon &amp; ham.</em>\n\n<strong>Vegi-Delite</strong>\npersonal $3.99 sm. $6.99 med. $11.49 lg. $14.49 xlg. $16.99\n<em>A delicate combination of mushrooms, onions, tomatoes, green peppers, black olives, green olives &amp; mozzarella.</em>\n\n<strong>Meaty</strong>\npersonal $3.99 sm. $6.99 med. $11.49 lg. $14.49 xlg. $16.99\n<em>Pepperoni, sausage, ham, bacon, ground beef &amp; mozzarella.</em>\n\n<strong>Italian</strong>\npersonal $3.99 sm. $6.99 med. $11.49 lg. $14.49 xlg. $16.99\n<em>Ham, salami, onions, green peppers &amp; mozzarella.</em>\n\n<strong>Steak</strong>\npersonal $4.49 sm. $7.49 med. $12.99 lg. $16.99 xlg. $18.99\n<em>Real marinated chipped steak, mushrooms, onions, green peppers &amp; lots of mozzarella.</em>\n\n<strong>CBS Special</strong>\npersonal $4.49 sm. $7.49 med. $12.99 lg. $16.99 xlg. $18.99\n<em>Cheddar, bacon &amp; steak.</em>\n<h2>Pasta Dishes</h2>\nAll of our pasta meals are served with fresh baked garlic bread.\n\nYou may add a meatball or chicken for $2.00 more.\n\nOur Tomato Pasta Sauce is made with vine-ripened tomatoes and only the finest ingredients for a simple, classic Old World flavor.\n\n<strong>Spaghetti &amp; Meatballs</strong> sm. $4.49 lg. $7.49\n<em>A generous portion of spaghetti topped with meatballs and the best tomato pasta sauce you will find anywhere.</em>\n\n<strong>Fettuccine Alfredo</strong> sm. $4.99 lg. $7.99\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.</em>\n\n<strong>Chicken Parmesan</strong> $9.99\n<em>Boneless chicken breast, pasta sauce, spaghetti noodles &amp; mozzarella.</em>\n<h2>Sweet Treats</h2>\n<strong>Cinnamon Stix</strong>–$3.99\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing.</em>\n\n<strong>Chocolate Chip Cookies</strong> (3) $1.99 (6) $3.99 (12) $7.99 (16) $9.99 (20) $11.49 (24) $12.99\n\n<strong>Dessert Pizza</strong> ea. $4.99\n<em>Choose from: cinnamon apple, chocolate chip or pineapple cream cheese</em>\n<h2>Beverages</h2>\n<strong>Lemonade or Sweet Tea</strong> ½ gal. $2.49\n\n<strong>Pepsi Products:</strong>\n<ul>\n 	<li>2 liter $2.29</li>\n 	<li>Fountain drinks $1.79</li>\n</ul>\n<h3><strong>Bottled Beer &amp; Cans</strong></h3>\nMichelob ultra light $2.50\nBud light $2.50\nMiller light $2.50\nCoors light $2.50\nYuengling $2.50\nFarmer Ted $3.50\nBlue moon $3.50\nSeasonal craft $3.50", "Menu", "", "inherit", "closed", "closed", "", "514-autosave-v1", "", "", "2020-02-04 20:32:53", "2020-02-04 20:32:53", "", "514", "http://buckspizza.com/uncategorized/514-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2081", "1", "2020-02-04 20:37:14", "2020-02-04 20:37:14", "<img class=\"alignnone size-full wp-image-2076\" src=\"http://buckspizza.com/wp-content/uploads/2020/02/St.-Marys-Delivery-Map.png\" alt=\"\" />\r\n\r\nFurther delivery is possible if the order is greater than $100 and prior notice is given.\r\n\r\nDelivery Hours: Everyday 11am-8pm\r\n\r\nDelivery requires minimum order of $20 and will include a $2.50 fee.\r\n\r\n<a href=\"tel:8148341886\">Call (814) 834-1886</a> to place your order or <a href=\"https://secure.microworks.com/Bucks/Items/Index/1143/\">order online</a>!\r\n\r\n<a href=\"http://buckspizza.com/st-marys-pa/menu/\">See our menu!</a>", "Delivery", "", "inherit", "closed", "closed", "", "2075-revision-v1", "", "", "2020-02-04 20:37:14", "2020-02-04 20:37:14", "", "2075", "http://buckspizza.com/uncategorized/2075-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2085", "1", "2020-02-05 17:07:30", "2020-02-05 17:07:30", "[wpsl]", "test", "", "publish", "closed", "closed", "", "test", "", "", "2020-02-05 17:09:39", "2020-02-05 17:09:39", "", "0", "http://buckspizza.com/?page_id=2085", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("2086", "1", "2020-02-05 17:07:30", "2020-02-05 17:07:30", "[wpsl]", "test", "", "inherit", "closed", "closed", "", "2085-revision-v1", "", "", "2020-02-05 17:07:30", "2020-02-05 17:07:30", "", "2085", "http://buckspizza.com/uncategorized/2085-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2093", "2", "2020-02-06 20:51:39", "2020-02-06 20:51:39", "<img class=\"alignnone size-full wp-image-2061\" src=\"http://buckspizza.com/wp-content/uploads/2020/01/Clearfield-Delivery-Map.png\" alt=\"\" />\n\nDelivery to Hyde - I-80, and east to Lock Haven University - Clearfield.\n\nFurther delivery is possible if the order is greater than $100 and prior notice is given.\n\nDelivery Hours: Sunday - Thursday 11am-8:30pm\nFriday - Saturday 11am-9:30pm\n\nDelivery requires minimum order of $20 and will include a $2.50 fee.\n\n<a href=\"tel:8147657767\">Call (814) 765-7767</a> to place your order or <a href=\"https://secure.microworks.com/Bucks/Items/Index/1143/\">order online</a>!\n\n<a href=\"http://buckspizza.com/clearfield-pa/menu/\">See our menu!</a>", "Delivery", "", "inherit", "closed", "closed", "", "2060-autosave-v1", "", "", "2020-02-06 20:51:39", "2020-02-06 20:51:39", "", "2060", "https://buckspizza.com/uncategorized/2060-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2097", "1", "2020-03-18 20:30:33", "2020-03-18 20:30:33", "<h2>Job opportunities at Buck\'s Pizza in Pennsylvania</h2>\r\n<h3>Clearfield  (814) 765-7767</h3>\r\n<h4>Delivery Drivers</h4>\r\n<ul>\r\n 	<li>Flexible hours and days, compensation includes tips, must have a drivers license for 24 months, able to start immediately</li>\r\n 	<li>Click <a href=\"https://buckspizza.com/clearfield-pa/delivery/\">here</a> to see the delivery map for this location!</li>\r\n</ul>\r\n<h4>Servers</h4>\r\n<ul>\r\n 	<li>Flexible hours and days, compensation includes tips, able to start immediately</li>\r\n</ul>\r\n<h3>DuBois  (814) 371-4500</h3>\r\n<h4>Delivery Drivers</h4>\r\n<ul>\r\n 	<li>Flexible hours and days, compensation includes tips, must have a drivers license for 24 months, able to start immediately</li>\r\n 	<li>Click <a href=\"https://buckspizza.com/dubois-pa/delivery/\">here</a> to see the delivery map for this location!</li>\r\n</ul>\r\n<h4>Servers</h4>\r\n<ul>\r\n 	<li>Flexible hours and days, compensation includes tips, able to start immediately</li>\r\n</ul>\r\n<h3>St. Marys (814) 834-1886</h3>\r\n<h4>Assistant Manager</h4>\r\n<ul>\r\n 	<li>Kitchen experience is not necessary, but certainly welcome. The most important quality you can possess is to have a positive attitude. We can and will train the right candidate for this position.</li>\r\n 	<li>Click <a href=\"https://www.facebook.com/job_opening/1067408610121940/?source=post_homepage_stream&amp;__xts__[0]=68.ARDO8rjglYRv9a9zp1O3sDkl-JSaaN7asW14z2ePpmKKgBmJvb-F_JE_i6jIAyS11UqSnM9KtifObPI1U2Sp_aM5cV7CWSxboTvpDVBFi4dUXsAGrrED4cODM-rOwLJEENDhm9ucsTV2ZTTkKikav3YmgF8TZAlfkAey0c0OVXho6h7UAbMAcwiyqhtoaigRZaa7Uud_6pc6RY0xEqE9BRq7Vg7zz7tONMjupijmPVz2xDvWRK9jQJwv8zQoiBjAg5szQs4vw8_b5nDnRrtYKU3HvL01kBi8EWbHPqhf9Rcwh4u6Th7Nl39fGcC0a5MvcJ3R7gkLDhNbvjjbkrgypqPLZes-8iA41DGy3JKF59xt2bFTHMai&amp;__tn__=HH-R\">here</a> to see the full job posting!</li>\r\n</ul>\r\n<h4>Delivery Drivers</h4>\r\n<ul>\r\n 	<li>Flexible hours and days, compensation includes tips, must have a drivers license for 24 months, able to start immediately</li>\r\n 	<li>Click <a href=\"https://buckspizza.com/st-marys-pa/delivery/\">here</a> to see the delivery map for this location!</li>\r\n</ul>\r\n<h4>Servers</h4>\r\n<ul>\r\n 	<li>Flexible hours and days, compensation includes tips, able to start immediately</li>\r\n</ul>", "Jobs", "", "publish", "closed", "closed", "", "jobs", "", "", "2020-03-19 15:50:59", "2020-03-19 15:50:59", "", "0", "https://buckspizza.com/?page_id=2097", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("2105", "1", "2020-03-19 15:42:42", "2020-03-19 15:42:42", "<h2>Job opportunities at Buck\'s Pizza in Pennsylvania</h2>\n<h3>Clearfield  (814) 765-7767</h3>\n<h4>Delivery Drivers</h4>\n<ul>\n 	<li>Flexible hours and days, compensation includes tips, must have a drivers license for 24 months, able to start immediately</li>\n 	<li>Click <a href=\"https://buckspizza.com/clearfield-pa/delivery/\">here</a> to see the delivery map for this location!</li>\n</ul>\n<h4>Servers</h4>\n<ul>\n 	<li>Flexible hours and days, compensation includes tips, able to start immediately</li>\n</ul>\n<h3>DuBois  (814) 371-4500</h3>\n<h4>Delivery Drivers</h4>\n<ul>\n 	<li>Flexible hours and days, compensation includes tips, must have a drivers license for 24 months, able to start immediately</li>\n 	<li>Click <a href=\"https://buckspizza.com/dubois-pa/delivery/\">here</a> to see the delivery map for this location!</li>\n</ul>\n<h4>Servers</h4>\n<ul>\n 	<li>Flexible hours and days, compensation includes tips, able to start immediately</li>\n</ul>\n<h3>St. Marys (814) 834-1886</h3>\n<h4>Assistant Manager</h4>\n<ul>\n 	<li>Kitchen experience is not necessary, but certainly welcome. The most important quality you can possess is to have a positive attitude. We can and will train the right candidate for this position.</li>\n 	<li>Click <a href=\"https://www.facebook.com/job_opening/1067408610121940/?source=post_homepage_stream&amp;__xts__[0]=68.ARDO8rjglYRv9a9zp1O3sDkl-JSaaN7asW14z2ePpmKKgBmJvb-F_JE_i6jIAyS11UqSnM9KtifObPI1U2Sp_aM5cV7CWSxboTvpDVBFi4dUXsAGrrED4cODM-rOwLJEENDhm9ucsTV2ZTTkKikav3YmgF8TZAlfkAey0c0OVXho6h7UAbMAcwiyqhtoaigRZaa7Uud_6pc6RY0xEqE9BRq7Vg7zz7tONMjupijmPVz2xDvWRK9jQJwv8zQoiBjAg5szQs4vw8_b5nDnRrtYKU3HvL01kBi8EWbHPqhf9Rcwh4u6Th7Nl39fGcC0a5MvcJ3R7gkLDhNbvjjbkrgypqPLZes-8iA41DGy3JKF59xt2bFTHMai&amp;__tn__=HH-R\">here</a> to see the full job posting!</li>\n</ul>\n<h4>Delivery Drivers</h4>\n<ul>\n 	<li>Flexible hours and days, compensation includes tips, must have a drivers license for 24 months, able to start immediately</li>\n 	<li>Click <a href=\"https://buckspizza.com/st-marys-pa/delivery/\">here</a> to see the delivery map for this location!</li>\n</ul>\n<h4>Servers</h4>\n<ul>\n 	<li>Flexible hours and days, compensation includes tips, able to start immediately</li>\n</ul>", "Jobs", "", "inherit", "closed", "closed", "", "2097-autosave-v1", "", "", "2020-03-19 15:42:42", "2020-03-19 15:42:42", "", "2097", "https://buckspizza.com/uncategorized/2097-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2106", "1", "2020-03-19 15:50:59", "2020-03-19 15:50:59", "<h2>Job opportunities at Buck\'s Pizza in Pennsylvania</h2>\r\n<h3>Clearfield  (814) 765-7767</h3>\r\n<h4>Delivery Drivers</h4>\r\n<ul>\r\n 	<li>Flexible hours and days, compensation includes tips, must have a drivers license for 24 months, able to start immediately</li>\r\n 	<li>Click <a href=\"https://buckspizza.com/clearfield-pa/delivery/\">here</a> to see the delivery map for this location!</li>\r\n</ul>\r\n<h4>Servers</h4>\r\n<ul>\r\n 	<li>Flexible hours and days, compensation includes tips, able to start immediately</li>\r\n</ul>\r\n<h3>DuBois  (814) 371-4500</h3>\r\n<h4>Delivery Drivers</h4>\r\n<ul>\r\n 	<li>Flexible hours and days, compensation includes tips, must have a drivers license for 24 months, able to start immediately</li>\r\n 	<li>Click <a href=\"https://buckspizza.com/dubois-pa/delivery/\">here</a> to see the delivery map for this location!</li>\r\n</ul>\r\n<h4>Servers</h4>\r\n<ul>\r\n 	<li>Flexible hours and days, compensation includes tips, able to start immediately</li>\r\n</ul>\r\n<h3>St. Marys (814) 834-1886</h3>\r\n<h4>Assistant Manager</h4>\r\n<ul>\r\n 	<li>Kitchen experience is not necessary, but certainly welcome. The most important quality you can possess is to have a positive attitude. We can and will train the right candidate for this position.</li>\r\n 	<li>Click <a href=\"https://www.facebook.com/job_opening/1067408610121940/?source=post_homepage_stream&amp;__xts__[0]=68.ARDO8rjglYRv9a9zp1O3sDkl-JSaaN7asW14z2ePpmKKgBmJvb-F_JE_i6jIAyS11UqSnM9KtifObPI1U2Sp_aM5cV7CWSxboTvpDVBFi4dUXsAGrrED4cODM-rOwLJEENDhm9ucsTV2ZTTkKikav3YmgF8TZAlfkAey0c0OVXho6h7UAbMAcwiyqhtoaigRZaa7Uud_6pc6RY0xEqE9BRq7Vg7zz7tONMjupijmPVz2xDvWRK9jQJwv8zQoiBjAg5szQs4vw8_b5nDnRrtYKU3HvL01kBi8EWbHPqhf9Rcwh4u6Th7Nl39fGcC0a5MvcJ3R7gkLDhNbvjjbkrgypqPLZes-8iA41DGy3JKF59xt2bFTHMai&amp;__tn__=HH-R\">here</a> to see the full job posting!</li>\r\n</ul>\r\n<h4>Delivery Drivers</h4>\r\n<ul>\r\n 	<li>Flexible hours and days, compensation includes tips, must have a drivers license for 24 months, able to start immediately</li>\r\n 	<li>Click <a href=\"https://buckspizza.com/st-marys-pa/delivery/\">here</a> to see the delivery map for this location!</li>\r\n</ul>\r\n<h4>Servers</h4>\r\n<ul>\r\n 	<li>Flexible hours and days, compensation includes tips, able to start immediately</li>\r\n</ul>", "Jobs", "", "inherit", "closed", "closed", "", "2097-revision-v1", "", "", "2020-03-19 15:50:59", "2020-03-19 15:50:59", "", "2097", "https://buckspizza.com/uncategorized/2097-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2108", "2", "2020-03-27 19:40:25", "2020-03-27 19:40:25", "<style>.clearfieldshow {display: block !important;}</style>\r\n<h3><strong>NOW OFFERING <a href=\"https://buckspizza.com/clearfield-pa/delivery/\">DELIVERY</a>, DINE-IN, AND PICK-UP!</strong></h3>\r\n<h3><strong>CALL NOW 814-765-7767</strong></h3>\r\n<h4><a href=\"http://buckspizza.com/clearfield-pa/menu/\">Clearfield Menu</a>     <a href=\"http://buckspizza.com/community-fundraiser-clearfield-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Group Fundraisers</a>     <a href=\"http://buckspizza.com/pa-kids-menu/\" target=\"_blank\" rel=\"noopener noreferrer\">Kid\'s Menu</a></h4>\r\n<h4><strong><a href=\"https://secure.microworks.com/Bucks/Items.aspx?store=2800\" target=\"_blank\" rel=\"noopener noreferrer\">Online Ordering</a></strong></h4>\r\n<ul>\r\n 	<li>New to online ordering? Only takes a few moments to setup, save your favorite orders, and get exclusive deals!</li>\r\n</ul>\r\n<h4><a href=\"https://buckspizza.com/jobs/\" target=\"_blank\" rel=\"noopener noreferrer\">Current Job Opportunities</a></h4>\r\n<strong>Family Specials</strong>\r\n<h3><a href=\"http://buckspizza.com/family-specials/\" target=\"_blank\" rel=\"noopener noreferrer\">Family Specials - Choose One Pizza, then a Second Pizza, and add on Boneless Wings or Stix!</a></h3>\r\n<strong>Got a Big Group to Feed? </strong>\r\n<h3><a href=\"http://buckspizza.com/party-paks/\">PARTY PAKS – PIZZA WITH WINGS OR BONELESS WINGS, AVAILABLE FOR DINE-IN OR CARRY-OUT!</a></h3>\r\n3055 Park Place\r\nClearfield, PA 16830\r\n<a href=\"tel:814-765-7767\">814-765-7767</a> (<em>Click to call from mobile devices</em>)\r\n\r\n<!--<img src=\"http://buckspizza.com/wp-content/uploads/2016/11/Small-Pizza-Wings-60292-BP-4-12-06-0177-700x526.jpg\" alt=\"small-pizza-wings-60292-bp-4-12-06-0177\" />-->\r\n<iframe src=\"https://www.youtube.com/embed/hkCI0EwJk6U\" width=\"600\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe>\r\n<h2>What\'s for dinner tonight? Listen now!</h2>\r\n[audio mp3=\"http://buckspizza.com/wp-content/uploads/2016/11/Bucks-Pizza-Whats-for-Dinner-November-2016.mp3\"][/audio]\r\n\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/menu/\">&gt;&gt;Clearfield Menu&lt;&lt;</a></h2>\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/employment-pa/\">&gt;&gt;Employment Options</a></h2>\r\n&nbsp;\r\n<h4>Download our No Wait App</h4>\r\nWe’ll notify you with a text as soon as your table is ready. When you walk up to the host stand, you can walk right to your table.\r\n<a href=\"https://bnc.lt/get-in-line-with-nowait\" target=\"_blank\" rel=\"noopener noreferrer\"><img src=\"http://buckspizza.com/wp-content/uploads/2016/09/nowait.png\" /></a>\r\n<div class=\"fb-follow\" data-href=\"https://www.facebook.com/buckspizza.clearfield/\" data-width=\"600\" data-layout=\"standard\" data-size=\"large\" data-show-faces=\"true\"></div>\r\n<!-- Google Code for Remarketing Tag -->\r\n<!-------------------------------------------------- Remarketing tags may not be associated with personally identifiable information or placed on pages related to sensitive categories. See more information and instructions on how to setup the tag on: http://google.com/ads/remarketingsetup --------------------------------------------------->\r\n<script type=\"text/javascript\"><br />\r\n/* <![CDATA[ */ var google_conversion_id = 1017806189; var google_custom_params = window.google_tag_params; var google_remarketing_only = true; /* ]]> */<br />\r\n</script>\r\n<script type=\"text/javascript\" src=\"//www.googleadservices.com/pagead/conversion.js\"><br />\r\n</script>\r\n<noscript>&amp;lt;/p&amp;gt;&lt;br /&gt;\r\n&amp;lt;div style=\"display:inline;\"&amp;gt;&lt;br /&gt;\r\n&amp;lt;img height=\"1\" width=\"1\" style=\"border-style:none;\" alt=\"\" src=\"//googleads.g.doubleclick.net/pagead/viewthroughconversion/1017806189/?guid=ON&amp;amp;amp;script=0\"/&amp;gt;&amp;lt;/div&amp;gt;&lt;br /&gt;\r\n&amp;lt;p&amp;gt;</noscript>", "Clearfield, Pennsylvania", "", "inherit", "closed", "closed", "", "52-autosave-v1", "", "", "2020-03-27 19:40:25", "2020-03-27 19:40:25", "", "52", "https://buckspizza.com/uncategorized/52-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2112", "2", "2020-03-30 16:31:52", "2020-03-30 16:31:52", "<h2>Buck\'s Famous Stix</h2>\r\n<strong>Bread Stix</strong>–$3.99\r\n<em>12 per order, covered with butter and spices.</em>\r\n\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>12 per order, with icing.</em>\r\n\r\n<strong>Cheese Stix</strong>–$4.99\r\n<em>12 per order, covered in melted cheese.</em>\r\n\r\n<strong>Cheese Stix with Bacon</strong>–$5.99\r\n<em>12 per order, covered in melted cheese.</em>\r\n<h2>Starters</h2>\r\n<strong>French Fries -</strong> $2.49\r\n\r\n<strong> Loaded Fries - </strong>$4.49\r\n\r\n<strong>Fried Pickles</strong>–$3.99\r\n\r\n<strong>Onion Rings</strong>-$3.99\r\n<h2>Fresh Baked Hoagies</h2>\r\nServed on a fresh baked Italian Ciabatta bread roll. If you would like extra meat, please ask your server. Dressings: Italian, Ranch, Blue Cheese, Mayo and more. Just ask!\r\n\r\n<strong>Italian</strong>– 6” $4.99 12”-$8.49\r\n<em>Ham, hard salami, melted cheese, onion, green peppers, lettuce, and tomato and Italian dressing.</em>\r\n\r\n<strong>Steak</strong>–6” $5.99 12”-$9.99\r\n<em>Real marinated, chipped USDA choice steak, mushrooms, onions, and green peppers smothered in provolone. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>CBS</strong>–6” $5.99 12”-$9.99\r\n<em>Cheddar, bacon and real marinated USDA choice steak.</em>\r\n\r\n<strong>Turkey Club</strong>– 6” $4.99 12”-$8.49\r\n<em>Turkey, bacon, ham, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Baked Ham</strong>– 6” $4.99 12”-$8.49\r\n<em>Ham, melted cheese, onions, and lettuce and tomato.</em>\r\n\r\n<strong>Turkey</strong>–6” $4.99 12”-$8.49\r\n<em>Sliced turkey breast, melted cheese, and lettuce and tomato.</em>\r\n\r\n<strong>Chicken Bacon Ranch</strong>–6” $5.99 12”-$9.99\r\n<em>Delicious chicken covered in melted cheddar and sizzling bacon. Topped with lettuce and tomato and with your choice of dressing.</em>\r\n\r\n<strong>Meatball</strong>–6” $4.99 12”-$8.49\r\n<em>Meatballs, pasta sauce, and melted mozzarella.</em>\r\n\r\nAdd french fries to your sandwich!\r\n<h2>Salads</h2>\r\nDressings: Blue Cheese, Ranch, Balsamic Vinaigrette, Caesar, Honey Mustard, Fat Free Italian, Italian, Greek, French and Thousand Island.\r\n\r\n<strong>Caesar Salad</strong>–sm. $3.49, lg. $5.99\r\n<em>Romaine lettuce, Parmesan cheese, croutons and Caesar dressing.</em>\r\n\r\n<strong>Chicken Caesar Salad</strong>–sm. $3.99, lg. $7.49\r\n<em>Romaine lettuce, Parmesan cheese, croutons, tender chicken and Caesar dressing.</em>\r\n\r\n<strong>Spinach Salad</strong>–sm. $4.99, lg. $8.99\r\n<em>Blend of romaine lettuce and spinach, black olives, cucumber, red onions,tomato, bacon and feta cheese.</em>\r\n\r\n<strong>Chef Salad</strong>–sm. $4.29, lg. $7.49\r\n<em>Iceberg lettuce, cucumbers,  tomatoes, carrots, cheddar cheese, ham and bacon.</em>\r\n\r\n<strong>Chicken Tender Salad</strong>–sm. $4.99, lg. $8.99\r\n<em>Romaine lettuce, red onions, tomatoes, bacon and cheddar cheese topped with chicken tenders tossed in your favorite Buck\'s wing sauce.</em>\r\n\r\n<strong>Garden Salad</strong>–sm. $2.99, lg. $4.99\r\n<em>Iceberg lettuce, cucumbers, carrots and tomato.</em>\r\n\r\n<strong>Greek Salad</strong>–sm. $4.99, lg. $8.99\r\n<em>Romaine lettuce, red onion, black olives, tomato, cucumber, artichoke hearts and feta cheese.</em>\r\n<h2>Tenders, Wings and Boneless Wings</h2>\r\nadd blue cheese, ranch or any extra sauce–50¢ each\r\n<h3>Sauces</h3>\r\n<ul>\r\n 	<li><strong>Mild</strong>–All the buffalo flavor you love, without much heat.</li>\r\n 	<li><strong>Medium</strong>–Not mild, not hot, just delicious.</li>\r\n 	<li><strong>Hot</strong>–The same buffalo flavor, lots of heat.</li>\r\n 	<li><strong>BBQ</strong>–Smoky, sweet and tangy.</li>\r\n 	<li><strong>Spicy</strong> <strong>BBQ</strong>–Smoky, sweet and tangy, with a hot kick.</li>\r\n 	<li><strong>Honey BBQ</strong>–Bar-bee-que! this one is a honey, honey.</li>\r\n 	<li><strong>Buffalo Ranch</strong>–Zesty ranch and a buffalo kick. Mmm…butter.</li>\r\n 	<li><strong>Jamaican Jerk</strong>–Unique and rich island flavor.</li>\r\n 	<li><strong>Hot Garlic</strong>–We start with garlic, add buffalo hot, then more garlic. Not for vampires…or dates.</li>\r\n 	<li><strong>Teriyaki</strong>–Smooth, salty, sweet…addictive.</li>\r\n</ul>\r\n<h3>Boneless Wings</h3>\r\nBreaded chicken tender bites tossed in your favorite lip-smackin\' wing sauce.\r\n<ul>\r\n 	<li>Order of 10 –$5.99</li>\r\n 	<li>Order of 15 –$8.99</li>\r\n 	<li>Order of 20 –$11.99</li>\r\n 	<li>Order of 25 –14.99</li>\r\n</ul>\r\n<h3>Chicken Wings</h3>\r\nTender chicken wings covered in our lip-smackin\' sauces.\r\n<ul>\r\n 	<li>Order of 5 –$4.99</li>\r\n 	<li>Order of 10 –$8.99</li>\r\n 	<li>Order of 15 –$13.99</li>\r\n 	<li>Order of 20 –$17.49</li>\r\n 	<li>Order of 25 –$21.99</li>\r\n 	<li>Order of 50 –$39.99</li>\r\n</ul>\r\nOrders of 20 or more may choose 2 sauces\r\nWings run through the oven will have a $1.00 charge added per 10 wings\r\n<h3>Chicken Tenders</h3>\r\nGenuine southern fried chicken tenders so lightly breaded they will melt in your mouth.\r\n<ul>\r\n 	<li>Order of 4–$3.99</li>\r\n 	<li>Order of 6–$5.49</li>\r\n 	<li>Order of 8–$6.99</li>\r\n 	<li>Order of 12–$9.99</li>\r\n 	<li>Order of 15–$12.49</li>\r\n 	<li>Order of 20–$15.49</li>\r\n 	<li>Order of 25–$18.99</li>\r\n 	<li>Order of 50–$34.99</li>\r\n 	<li>Order of 100–$65.99</li>\r\n</ul>\r\n<h3>Southern Fried Chicken Tenders and French Fries</h3>\r\nSmall - $5.99 Large $8.99\r\n<h2>Build-Your-Own Pizzas</h2>\r\nChoose Hand-Tossed or Thin Crust pizza! Gluten-free is available for $3 more! Ask your server.\r\n<h3>Pizza</h3>\r\n<ul>\r\n 	<li>Personal 6\" (2 slices)–$3.49</li>\r\n 	<li>Small 9\" (4 slices)–$5.99</li>\r\n 	<li>Medium 12\" (6 slices)–$8.99</li>\r\n 	<li>Large 14\" (8 slices)–$9.99</li>\r\n 	<li>X-Large 16\" (12 slices)–$11.49</li>\r\n 	<li>Belly Buster 1’ x 2’ (21 slices)–$13.99</li>\r\n</ul>\r\n<h3>Regular Toppings</h3>\r\n25¢ each per Personal\r\n50¢ each per Small\r\n$1.00 each per Medium\r\n$1.50 each per Large\r\n$1.75 each per X-Large\r\n$2.00 each per Belly Buster\r\n<ul>\r\n 	<li>Pepperoni</li>\r\n 	<li>Ham</li>\r\n 	<li>Mushrooms</li>\r\n 	<li>Bacon</li>\r\n 	<li>Fresh onions</li>\r\n 	<li>Anchovies</li>\r\n 	<li>Green pepper</li>\r\n 	<li>Sausage</li>\r\n 	<li>Green olives</li>\r\n 	<li>Fresh spinach</li>\r\n 	<li>Black olives</li>\r\n 	<li>Pineapple</li>\r\n 	<li>Canadian bacon</li>\r\n 	<li>Jalapeños</li>\r\n 	<li>Banana peppers</li>\r\n 	<li>Roma tomatoes</li>\r\n 	<li>Ground beef</li>\r\n 	<li>Cheddar Cheese</li>\r\n 	<li>Extra Cheese</li>\r\n</ul>\r\n<h3>Premium Toppings</h3>\r\n50¢ each per Personal\r\n$1.00 each per Small\r\n$2.00 each per Medium\r\n$3.00 each per Large\r\n$3.50 each per X-Large\r\n$4.00 each per Belly Buster\r\n<ul>\r\n 	<li>Artichoke hearts</li>\r\n 	<li>Chicken</li>\r\n 	<li>Steak</li>\r\n 	<li>Fresh Basil</li>\r\n 	<li>Feta Cheese</li>\r\n</ul>\r\n<h2>Specialty Pizzas</h2>\r\n<strong>Buck’s Deluxe</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>A hearty combination of pepperoni, onion, mushroom, sausage &amp; green pepper.</em>\r\n\r\n<strong>5 Meat</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>A must for hearty appetites! pepperoni, sausage, ham, bacon &amp; ground beef.</em>\r\n\r\n<strong>BBQ Chicken</strong> personal $4.99  sm $8.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>Tender chunks of chicken tossed in our blend of bbq &amp; pizza sauce, with red onion, real bacon, mozzarella &amp; aged cheddar.</em>\r\n\r\n<strong>Buffalo Chicken</strong> personal $4.49  sm $8.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>Your choice of Buck’s mild, medium or hot wing sauce blended with ranch dressing, smothered in mozzarella &amp; chicken, all topped with sizzling bacon. Hang on to your hat!</em>\r\n\r\n<strong>Vegi-Delite</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>A garden fresh delight with mushrooms, onion, green peppers, black and green olives &amp; sliced tomato.</em>\r\n\r\n<strong>Chicken Club (White Pizza)</strong> personal $4.49  sm $8.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>A light garlic sauce and mozzarella cheese with chunks of marinated chicken, canadian bacon, red onion &amp; bacon.</em>\r\n\r\n<strong>Greek (White Pizza)</strong> personal $4.49  sm $8.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>A light garlic sauce, mozzarella, black olives, red onion, artichoke hearts, fresh roma tomato slices &amp; feta cheese.</em>\r\n\r\n<strong>Margherita (White Pizza)</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>Our light garlic sauce with blended parmesan, sliced roma tomatoes, chopped fresh basil &amp; lots of mozzarella cheese.</em>\r\n\r\n<strong>4 Cheese Medley</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>A blend of cheddar, mozzarella, parmesan &amp; feta cheese. A bold &amp; exciting flavor!</em>\r\n\r\n<strong>Old World (White Pizza)</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $17.99\r\n\r\n<em>Fresh made pizza dough with a light garlic sauce, topped with mozzarella, bacon &amp; sliced tomato.</em>\r\n\r\n<strong>Bacon Cheeseburger</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>The backyard grilled flavor of hamburger &amp; bacon topped with mozzarella &amp; aged cheddar.</em>\r\n\r\n<strong>Hawaiian</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>A taste of the islands with generous portions of pineapple &amp; canadian bacon.</em>\r\n\r\n<strong>Pepperoni Classic</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>America’s favorite pizza with an edge to edge layer of pepperoni &amp; extra mozzarella cheese.</em>\r\n\r\n<strong>Sausage Classic</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>Wake up your taste buds with lots of sausage &amp; extra mozzarella.</em>\r\n\r\n&nbsp;\r\n\r\n<strong>Steak ‘N Cheese (White Pizza)</strong> personal $4.49  sm $7.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>Our special light garlic sauce topped with real marinated chipped steak, onions, green peppers, mushrooms &amp; extra mozzarella cheese.</em>\r\n\r\n<strong>Spinach Alfredo</strong> personal $4.49  sm $8.99  med $12.99  lg $16.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>A creamy alfredo sauce topped with spinach, slices of roma tomatoes, real bacon &amp; lots of mozzarella.</em>\r\n\r\n<strong>Chicken Alfredo</strong> personal $4.49  sm $8.99  med $12.99  lg $15.99  xl $17.99  bellybuster $21.99\r\n\r\n<em>Classic alfredo sauce with chicken, red onion &amp; real bacon, topped with 100% mozzarella cheese.</em>\r\n\r\n<strong>Extreme Bucks Deluxe</strong> personal $4.99 sm $8.99 med $13.99 lg $16.99 xl $20.99\r\nbellybuster $23.99\r\n\r\n<em>Pepperoni, ham, sausage, hamburger, onion, green pepper, mushrooms, black &amp; green olives, banana peppers &amp; bacon.</em>\r\n<h2>Stromboli</h2>\r\nExtra Dipping Sauce 50¢\r\nAdditional Charge for Extra Cheese\r\nAlso, you can get any of our specialty pizzas made into a Stromboli!\r\n\r\n<strong>Bucks Pizza Stromboli</strong>\r\npersonal $3.99 sm. $6.99 med. $11.49 lg. $14.49 xlg. $16.99\r\n<em>Handtossed dough, Buck’s delicious pizza sauce &amp; 100% real cheese. Add any of our pizza toppings at no extra charge. We fold it, top it with butter &amp; seasonings &amp; bake it.</em>\r\n\r\n<strong>Ham &amp; Cheese</strong>\r\npersonal $3.99 sm. $6.99 med. $11.49 lg. $14.49 xlg. $16.99\r\n<em>Baked ham, mozzarella &amp; aged cheddar.</em>\r\n\r\n<strong>CBH Special</strong>\r\npersonal $3.99 sm. $6.99 med. $11.49 lg. $14.49 xlg. $16.99\r\n<em>Cheddar, bacon &amp; ham.</em>\r\n\r\n<strong>Vegi-Delite</strong>\r\npersonal $3.99 sm. $6.99 med. $11.49 lg. $14.49 xlg. $16.99\r\n<em>A delicate combination of mushrooms, onions, tomatoes, green peppers, black olives, green olives &amp; mozzarella.</em>\r\n\r\n<strong>Meaty</strong>\r\npersonal $3.99 sm. $6.99 med. $11.49 lg. $14.49 xlg. $16.99\r\n<em>Pepperoni, sausage, ham, bacon, ground beef &amp; mozzarella.</em>\r\n\r\n<strong>Italian</strong>\r\npersonal $3.99 sm. $6.99 med. $11.49 lg. $14.49 xlg. $16.99\r\n<em>Ham, salami, onions, green peppers &amp; mozzarella.</em>\r\n\r\n<strong>Steak</strong>\r\npersonal $4.49 sm. $7.49 med. $12.99 lg. $16.99 xlg. $18.99\r\n<em>Real marinated chipped steak, mushrooms, onions, green peppers &amp; lots of mozzarella.</em>\r\n\r\n<strong>CBS Special</strong>\r\npersonal $4.49 sm. $7.49 med. $12.99 lg. $16.99 xlg. $18.99\r\n<em>Cheddar, bacon &amp; steak.</em>\r\n<h2>Pasta Dishes</h2>\r\nAll of our pasta meals are served with fresh baked garlic bread.\r\n\r\nYou may add a meatball or chicken for $2.00 more.\r\n\r\nOur Tomato Pasta Sauce is made with vine-ripened tomatoes and only the finest ingredients for a simple, classic Old World flavor.\r\n\r\n<strong>Spaghetti &amp; Meatballs</strong> sm. $4.49 lg. $7.49\r\n<em>A generous portion of spaghetti topped with meatballs and the best tomato pasta sauce you will find anywhere.</em>\r\n\r\n<strong>Fettuccine Alfredo</strong> sm. $4.99 lg. $7.99\r\n<em>A generous portion of fettuccine tossed in our deliciously rich and creamy alfredo sauce.</em>\r\n\r\n<strong>Chicken Parmesan</strong> $9.99\r\n<em>Boneless chicken breast, pasta sauce, spaghetti noodles &amp; mozzarella.</em>\r\n<h2>Sweet Treats</h2>\r\n<strong>Cinnamon Stix</strong>–$3.99\r\n<em>Chewy bread stix covered with a sweet combination of cinnamon and sugar and served with icing.</em>\r\n\r\n<strong>Chocolate Chip Cookies</strong> (3) $1.99 (6) $3.99 (12) $7.99 (16) $9.99 (20) $11.49 (24) $12.99\r\n\r\n<strong>Dessert Pizza</strong> ea. $4.99\r\n<em>Choose from: cinnamon apple, chocolate chip or pineapple cream cheese</em>\r\n<h2>Beverages</h2>\r\n<strong>Lemonade or Sweet Tea</strong> ½ gal. $2.49\r\n\r\n<strong>Pepsi Products:</strong>\r\n<ul>\r\n 	<li>2 liter $2.29</li>\r\n 	<li>Fountain drinks $1.79</li>\r\n</ul>\r\n<h3><strong>Bottled Beer &amp; Cans</strong></h3>\r\nMichelob ultra light $2.50\r\nBud light $2.50\r\nMiller light $2.50\r\nCoors light $2.50\r\nYuengling $2.50\r\nFarmer Ted $3.50\r\nBlue moon $3.50\r\nSeasonal craft $3.50", "Menu", "", "inherit", "closed", "closed", "", "514-revision-v1", "", "", "2020-03-30 16:31:52", "2020-03-30 16:31:52", "", "514", "https://buckspizza.com/uncategorized/514-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2114", "1", "2020-04-13 15:32:56", "2020-04-13 15:32:56", "<!--\r\n<h4><strong><a href=\"https://secure.microworks.com/Bucks/\" target=\"_blank\" rel=\"noopener noreferrer\">Online Ordering</a>    </strong></h4>\r\n-->\r\n400 South International Blvd,\r\nHidalgo, TX 78557\r\n\r\n<a href=\"tel:956-800-5075\">956-800-5075</a> (<em>Click to call from mobile devices</em>)\r\n\r\nDaily Hours: 11:00am - 10:00pm\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=26.0994536 lng=-98.2717353]\r\n[leaflet-marker]", "Hidalgo, TX- International Bridge", "", "publish", "closed", "closed", "", "hidalgo-bridge-tx", "", "", "2020-04-13 20:15:10", "2020-04-13 20:15:10", "", "0", "https://buckspizza.com/?page_id=2114", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("2118", "2", "2020-04-13 20:12:00", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "closed", "closed", "", "", "", "", "2020-04-13 20:12:00", "0000-00-00 00:00:00", "", "0", "https://buckspizza.com/?p=2118", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("2120", "2", "2020-04-13 20:14:59", "2020-04-13 20:14:59", "<!--\r\n<h4><strong><a href=\"https://secure.microworks.com/Bucks/\" target=\"_blank\" rel=\"noopener noreferrer\">Online Ordering</a>    </strong></h4>\r\n-->\r\n400 South International Blvd,\r\nHidalgo, TX 78557\r\n\r\n<a href=\"tel:956-800-5075\">956-800-5075</a> (<em>Click to call from mobile devices</em>)\r\n\r\nDaily Hours: 11:00am - 10:00pm\r\n\r\n[leaflet-map zoom=13 zoomcontrol=1 height=500 lat=26.0994536 lng=-98.2717353]\r\n[leaflet-marker]", "Hidalgo, TX- International Bridge", "", "inherit", "closed", "closed", "", "2114-revision-v1", "", "", "2020-04-13 20:14:59", "2020-04-13 20:14:59", "", "2114", "https://buckspizza.com/uncategorized/2114-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2121", "1", "2020-04-13 20:22:15", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "closed", "closed", "", "", "", "", "2020-04-13 20:22:15", "0000-00-00 00:00:00", "", "0", "https://buckspizza.com/?p=2121", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("2123", "1", "2020-04-14 17:59:07", "2020-04-14 17:59:07", "<style>.Duboisshow {display: block !important;}</style>\r\n<h3><strong>NOW OFFERING <a href=\"https://buckspizza.com/dubois-pa/delivery/\">DELIVERY</a>, DINE-IN, AND PICK-UP!</strong></h3>\r\n<h3><strong>CALL NOW 814-371-4500</strong></h3>\r\n<h4><a href=\"http://buckspizza.com/dubois-pa/menu/\">DuBois Menu</a>     <a href=\"http://buckspizza.com/community-fundraiser-dubois-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Group Fundraisers</a>     <a href=\"http://buckspizza.com/pa-kids-menu/\" target=\"_blank\" rel=\"noopener noreferrer\">Kid\'s Menu</a></h4>\r\n<h4><strong><a href=\"https://secure.microworks.com/Bucks/Items.aspx?store=2212\" target=\"_blank\" rel=\"noopener noreferrer\">Online Ordering</a>    </strong></h4>\r\n<ul>\r\n 	<li>New to online ordering? Only takes a few moments to setup, save your favorite orders, and get exclusive deals!</li>\r\n</ul>\r\n<h4><a href=\"https://buckspizza.com/jobs/\" target=\"_blank\" rel=\"noopener noreferrer\">Current Job Opportunities</a></h4>\r\n<strong>Family Specials</strong>\r\n<h3><a href=\"http://buckspizza.com/family-specials/\" target=\"_blank\" rel=\"noopener noreferrer\">Family Specials - Choose One Pizza, then a Second Pizza, and add on Boneless Wings or Stix!</a></h3>\r\n<strong>Got a Big Group to Feed? </strong>\r\n<h3><a href=\"http://buckspizza.com/party-paks/\" target=\"_blank\" rel=\"noopener noreferrer\">Party Paks - Pizza with Wings or Boneless Wings, Available for Dine-In or Carry-Out!</a></h3>\r\n53 Industrial Drive\r\nDuBois, PA 15801\r\n<a href=\"tel:814-371-4500\">814-371-4500</a> (<em>Click to call from mobile devices</em>)\r\n\r\n<!--<img src=\"http://buckspizza.com/wp-content/uploads/2016/11/Small-Pizza-Wings-60292-BP-4-12-06-0177-700x526.jpg\" alt=\"small-pizza-wings-60292-bp-4-12-06-0177\" />-->\r\n<iframe width=\"600\" height=\"360\" src=\"https://www.youtube.com/embed/o-Azpt8JQ0I\" frameborder=\"0\" allow=\"accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture\" allowfullscreen></iframe>\r\n<h2>What\'s for dinner tonight? Listen now!</h2>\r\n[audio mp3=\"http://buckspizza.com/wp-content/uploads/2016/11/Bucks-Pizza-Whats-for-Dinner-November-2016.mp3\"][/audio]\r\n<h2><a href=\"http://buckspizza.com/dubois-pa/menu/\">&gt;&gt;DuBois Menu&lt;&lt;</a></h2>\r\n<h2><a href=\"http://buckspizza.com/employment-pa/\">Employment Options</a></h2>\r\n<h4>Download our No Wait App</h4>\r\nWe’ll notify you with a text as soon as your table is ready. When you walk up to the host stand, you can walk right to your table.\r\n<a href=\"https://bnc.lt/get-in-line-with-nowait\" target=\"_blank\" rel=\"noopener noreferrer\"><img src=\"http://buckspizza.com/wp-content/uploads/2016/09/nowait.png\" /></a>\r\n<div class=\"fb-follow\" data-href=\"https://www.facebook.com/buckspizza.dubois/\" data-width=\"600\" data-layout=\"standard\" data-size=\"large\" data-show-faces=\"true\"></div>\r\n<!-- Google Code for Remarketing Tag -->\r\n<!-------------------------------------------------- Remarketing tags may not be associated with personally identifiable information or placed on pages related to sensitive categories. See more information and instructions on how to setup the tag on: http://google.com/ads/remarketingsetup --------------------------------------------------->\r\n<script type=\"text/javascript\"><br />\r\n/* <![CDATA[ */ var google_conversion_id = 1017806189; var google_custom_params = window.google_tag_params; var google_remarketing_only = true; /* ]]> */<br />\r\n</script>\r\n<script type=\"text/javascript\" src=\"//www.googleadservices.com/pagead/conversion.js\"><br />\r\n</script>\r\n<noscript>\r\n</noscript>\r\n<div style=\"display: inline;\"><img style=\"border-style: none;\" src=\"//googleads.g.doubleclick.net/pagead/viewthroughconversion/1017806189/?guid=ON&amp;script=0\" alt=\"\" width=\"1\" height=\"1\" /></div>", "DuBois, Pennsylvania", "", "inherit", "closed", "closed", "", "54-revision-v1", "", "", "2020-04-14 17:59:07", "2020-04-14 17:59:07", "", "54", "https://buckspizza.com/uncategorized/54-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2124", "1", "2020-04-14 17:59:53", "2020-04-14 17:59:53", "<style>.clearfieldshow {display: block !important;}</style>\r\n<h3><strong>NOW OFFERING <a href=\"https://buckspizza.com/clearfield-pa/delivery/\">DELIVERY</a>, DINE-IN, AND PICK-UP!</strong></h3>\r\n<h3><strong>CALL NOW 814-765-7767</strong></h3>\r\n<h4><a href=\"http://buckspizza.com/clearfield-pa/menu/\">Clearfield Menu</a>     <a href=\"http://buckspizza.com/community-fundraiser-clearfield-pa/\" target=\"_blank\" rel=\"noopener noreferrer\">Group Fundraisers</a>     <a href=\"http://buckspizza.com/pa-kids-menu/\" target=\"_blank\" rel=\"noopener noreferrer\">Kid\'s Menu</a></h4>\r\n<h4><strong><a href=\"https://secure.microworks.com/Bucks/Items.aspx?store=2800\" target=\"_blank\" rel=\"noopener noreferrer\">Online Ordering</a></strong></h4>\r\n<ul>\r\n 	<li>New to online ordering? Only takes a few moments to setup, save your favorite orders, and get exclusive deals!</li>\r\n</ul>\r\n<h4><a href=\"https://buckspizza.com/jobs/\" target=\"_blank\" rel=\"noopener noreferrer\">Current Job Opportunities</a></h4>\r\n<strong>Family Specials</strong>\r\n<h3><a href=\"http://buckspizza.com/family-specials/\" target=\"_blank\" rel=\"noopener noreferrer\">Family Specials - Choose One Pizza, then a Second Pizza, and add on Boneless Wings or Stix!</a></h3>\r\n<strong>Got a Big Group to Feed? </strong>\r\n<h3><a href=\"http://buckspizza.com/party-paks/\">PARTY PAKS – PIZZA WITH WINGS OR BONELESS WINGS, AVAILABLE FOR DINE-IN OR CARRY-OUT!</a></h3>\r\n3055 Park Place\r\nClearfield, PA 16830\r\n<a href=\"tel:814-765-7767\">814-765-7767</a> (<em>Click to call from mobile devices</em>)\r\n\r\n<!--<img src=\"http://buckspizza.com/wp-content/uploads/2016/11/Small-Pizza-Wings-60292-BP-4-12-06-0177-700x526.jpg\" alt=\"small-pizza-wings-60292-bp-4-12-06-0177\" />-->\r\n<iframe width=\"600\" height=\"360\" src=\"https://www.youtube.com/embed/o-Azpt8JQ0I\" frameborder=\"0\" allow=\"accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture\" allowfullscreen></iframe>\r\n<h2>What\'s for dinner tonight? Listen now!</h2>\r\n[audio mp3=\"http://buckspizza.com/wp-content/uploads/2016/11/Bucks-Pizza-Whats-for-Dinner-November-2016.mp3\"][/audio]\r\n\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/clearfield-pa/menu/\">&gt;&gt;Clearfield Menu&lt;&lt;</a></h2>\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/employment-pa/\">&gt;&gt;Employment Options</a></h2>\r\n&nbsp;\r\n<h4>Download our No Wait App</h4>\r\nWe’ll notify you with a text as soon as your table is ready. When you walk up to the host stand, you can walk right to your table.\r\n<a href=\"https://bnc.lt/get-in-line-with-nowait\" target=\"_blank\" rel=\"noopener noreferrer\"><img src=\"http://buckspizza.com/wp-content/uploads/2016/09/nowait.png\" /></a>\r\n<div class=\"fb-follow\" data-href=\"https://www.facebook.com/buckspizza.clearfield/\" data-width=\"600\" data-layout=\"standard\" data-size=\"large\" data-show-faces=\"true\"></div>\r\n<!-- Google Code for Remarketing Tag -->\r\n<!-------------------------------------------------- Remarketing tags may not be associated with personally identifiable information or placed on pages related to sensitive categories. See more information and instructions on how to setup the tag on: http://google.com/ads/remarketingsetup --------------------------------------------------->\r\n<script type=\"text/javascript\"><br />\r\n/* <![CDATA[ */ var google_conversion_id = 1017806189; var google_custom_params = window.google_tag_params; var google_remarketing_only = true; /* ]]> */<br />\r\n</script>\r\n<script type=\"text/javascript\" src=\"//www.googleadservices.com/pagead/conversion.js\"><br />\r\n</script>\r\n<noscript>&amp;lt;/p&amp;gt;&lt;br /&gt;\r\n&amp;lt;div style=\"display:inline;\"&amp;gt;&lt;br /&gt;\r\n&amp;lt;img height=\"1\" width=\"1\" style=\"border-style:none;\" alt=\"\" src=\"//googleads.g.doubleclick.net/pagead/viewthroughconversion/1017806189/?guid=ON&amp;amp;amp;script=0\"/&amp;gt;&amp;lt;/div&amp;gt;&lt;br /&gt;\r\n&amp;lt;p&amp;gt;</noscript>", "Clearfield, Pennsylvania", "", "inherit", "closed", "closed", "", "52-revision-v1", "", "", "2020-04-14 17:59:53", "2020-04-14 17:59:53", "", "52", "https://buckspizza.com/uncategorized/52-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2126", "1", "2020-04-14 18:01:47", "2020-04-14 18:01:47", "<style>.stmarysshow {display: block !important;}</style> <style><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span><span data-mce-type=\"bookmark\" style=\"display: inline-block; width: 0px; overflow: hidden; line-height: 0;\" class=\"mce_SELRES_start\">﻿</span>.Duboisshow {display: block !important;}</style>\r\n<h3><strong>Now Offering <a href=\"https://buckspizza.com/st-marys-pa/delivery/\">Delivery</a>, Dine-In, and Drive Through!</strong></h3>\r\n<h3><strong>CALL NOW 814-834-1886</strong></h3>\r\n<h4><strong><a href=\"http://buckspizza.com/st-marys-pa/menu/\" target=\"_blank\" rel=\"noopener noreferrer\">St. Marys Menu</a></strong></h4>\r\n<h4><strong><a href=\"https://secure.microworks.com/Bucks/ordering?store=3265\" target=\"_blank\" rel=\"noopener noreferrer\">Online Ordering </a>   </strong></h4>\r\n<ul>\r\n 	<li>New to online ordering? Only takes a few moments to setup, save your favorite orders, and get exclusive deals!</li>\r\n</ul>\r\n<h4><a href=\"https://buckspizza.com/jobs/\" target=\"_blank\" rel=\"noopener noreferrer\">Current Job Opportunities</a></h4>\r\n<strong>Family Specials</strong>\r\n<h3><a href=\"http://buckspizza.com/family-specials/\" target=\"_blank\" rel=\"noopener noreferrer\">Family Specials - Choose One Pizza, then a Second Pizza, and add on Boneless Wings or Stix!</a></h3>\r\n<strong>Got a Big Group to Feed? </strong>\r\n<h3><a href=\"http://buckspizza.com/party-paks/\" target=\"_blank\" rel=\"noopener noreferrer\">PARTY PAKS – PIZZA WITH WINGS OR BONELESS WINGS!</a></h3>\r\n\r\n<iframe width=\"600\" height=\"360\" src=\"https://www.youtube.com/embed/o-Azpt8JQ0I\" frameborder=\"0\" allow=\"accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture\" allowfullscreen></iframe>\r\n&nbsp;\r\n<h2><a href=\"http://buckspizza.com/employment-pa/\">Employment Options</a></h2>\r\n962 South Saint Marys Street\r\nSt. Marys, PA 15857\r\n<a href=\"tel:814-834-1886\">814-834-1886</a> (<em>Click to call from mobile devices</em>)\r\nOpen 11am-8pm daily\r\n\r\n&nbsp;", "St. Marys, Pennsylvania", "", "inherit", "closed", "closed", "", "1778-revision-v1", "", "", "2020-04-14 18:01:47", "2020-04-14 18:01:47", "", "1778", "https://buckspizza.com/uncategorized/1778-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("2129", "1", "2020-04-14 18:11:38", "2020-04-14 18:11:38", "<h2>Georgia</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/peachtreecity-ga/\">Peachtree City</a></li>\r\n</ul>\r\n<h2>Minnesota</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/buffalo-mn/\">Buffalo</a></li>\r\n</ul>\r\n<h2>New York</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/gloversville-ny/\">Gloversville</a></li>\r\n</ul>\r\n<h2>North Carolina</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/morganton-nc/\">Morganton</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/tryon-nc/\">Tryon</a></li>\r\n</ul>\r\n<h2>Pennsylvania</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/clearfield-pa/\">Clearfield</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/dubois-pa/\">DuBois</a></li>\r\n 	<li><a href=\"http://buckspizza.com/st-marys-pa/\">St. Marys</a></li>\r\n</ul>\r\n<h2>South Carolina</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/charleston-sc/\">Charleston</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/lexington-sc/\">Lexington</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/walterboro-sc/\">Walterboro</a></li>\r\n</ul>\r\n<h2>Texas</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/clearlake-tx/\">Clear Lake</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/hidalgo-tx/\">Hidalgo</a></li>\r\n        <li><a href=\"https://buckspizza.com/locations/hidalgo-bridge-tx/\">Hidalgo - International Bridge</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/mission-tx/\">Mission</a></li>\r\n 	<li><a href=\"http://buckspizza.com/locations/montbelvieu-tx/\">Mont Belvieu</a></li>\r\n</ul>\r\n<h2>Wisconsin</h2>\r\n<ul>\r\n 	<li><a href=\"http://buckspizza.com/locations/antigo-wi/\">Antigo</a></li>\r\n</ul>\r\n&nbsp;\r\n\r\n[leaflet-map height=500 zoomcontrol=1 lat=37.88587812273899 lng=-77.12402343750001 zoom=4]\r\n<div style=\"font-size: 14px; overflow-y: scroll; height: 250px; background-color: #e6e6e6;\">\r\n<div style=\"margin-left: 20px;\">DuBois, Pennsylvania\r\n53 Industrial Drive\r\nDuBois, PA 15801\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=53+Industrial+Drive,+DuBois,+PA+15801\">Directions</a>[leaflet-marker lat=41.129943 lng=-78.736842]</div>\r\n\r\nPeachtree City, Georgia\r\n1200 Highway 74 South\r\nPeachtree, GA 30269\r\n<a href=\"https://www.google.com/maps/dir//1200+Hwy+74+S,+Georgia/@33.3393016,-84.5235281,17z/data=!4m8!4m7!1m0!1m5!1m1!1s0x88f4eca0054429f9:0x11aadd106dd8f9d3!2m2!1d-84.5213394!2d33.3393016\">Directions</a>[leaflet-marker lat=33.339302 lng=-84.521339]\r\n\r\nBuffalo, Minnesota\r\n405 MN-55\r\nBuffalo, MN 55313\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=405+MN-55,+Buffalo,+MN+55313\">Directions</a>[leaflet-marker lat=45.196162 lng=-93.901662]\r\n\r\nGloversville, New York\r\n23 South Main Street\r\nGloversville, NY 12078\r\n<a href=\"https://www.google.com/maps/dir//23+S+Main+St,+Gloversville,+NY+12078/@43.0498986,-74.4158992,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x89def3088c0caddf:0x31538448d12e7c9a!2m2!1d-74.3458594!2d43.04992\">Directions</a>[leaflet-marker lat=43.049920 lng=-74.345859]\r\n\r\nMorganton, North Carolina\r\n305 East Union Street\r\nMorganton, NC 28655\r\n<a href=\"https://www.google.com/maps/dir//305+E+Union+St,+Morganton,+NC+28655/@35.7480974,-81.6885242,17z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x8850d1d74d6f2e05:0x3b642339e8c8ffb7!2m2!1d-81.6863355!2d35.7480974\">Directions</a>[leaflet-marker lat=35.748097 lng=-81.686335]\r\n\r\nTryon, North Carolina\r\n30 North Trade Street\r\nTryon, NC 28782\r\n<a href=\"https://www.google.com/maps/dir//30+N+Trade+St,+Tryon,+NC+28782/@35.2089968,-82.2407333,17z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x8859d8c0464a901b:0xb21962af91206f58!2m2!1d-82.2385446!2d35.2089968\">Directions</a>[leaflet-marker lat=35.208997 lng=-82.238545]\r\n\r\nClearfield, Pennsylvania\r\n3055 Park Place\r\nClearfield, PA 16830\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=3055+Park+Place,+Clearfield,+PA+16830\">Directions</a>[leaflet-marker lat=41.027739 lng=-78.437137]\r\n\r\nCharleston, South Carolina\r\n1660 Sam Rittenberg Blvd.\r\nCharleston, SC 29407\r\n<a href=\"https://www.google.com/maps/dir//1660+Sam+Rittenberg+Blvd,+Charleston,+SC+29407/@32.8060402,-80.082615,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x88fe7c790957fe4b:0x2897a0494e191984!2m2!1d-80.0125748!2d32.8060597\">Directions</a>[leaflet-marker lat=32.806060 lng=-80.012575]\r\n\r\nLexington, South Carolina\r\n1856 B South Lake Drive\r\nLexington , SC 29073\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=1856+B+South+Lake+Drive,+Lexington+,+SC+29073\">Directions</a>[leaflet-marker lat=33.908945 lng=-81.225469]\r\n\r\nWalterboro, South Carolina\r\n113 Robertson Blvd\r\nWalterboro, SC 29488\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=113+Robertson+Blvd,+Walterboro,+SC+29488\">Directions</a>[leaflet-marker lat=32.921420 lng=-80.677220]\r\n\r\nClear Lake, Texas\r\n907 El Dorado Blvd.\r\nClear Lake, TX 77062\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=907+El+Dorado+Blvd.,+Clear+Lake,+TX+77062\">Directions</a>[leaflet-marker lat=29.566620 lng=-95.134758]\r\n\r\nHidalgo, Texas\r\n802 North Jackson Road\r\nHidalgo, TX 78557\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=802+North+Jackson+Road,+Hidalgo,+TX+78557\">Directions</a>[leaflet-marker lat=26.190691 lng=-98.205982]\r\n\r\nHidalgo, Texas - International Bridge\r\n400 South International Blvd,\r\nHidalgo, TX 78557\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=400+South+International+Boulevard,+Hidalgo,+TX+78557\">Directions</a>[leaflet-marker lat=26.0994488 lng=-98.2717353]\r\n\r\nMission, Texas\r\n2401 South Shary Road\r\nSuite A\r\nMission, TX 78572\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=2401+South+Shary+Road+Suite+A,+Mission,+TX+78572\">Directions</a>[leaflet-marker lat=26.177388 lng=-98.289865]\r\n\r\nMont Belvieu, Texas\r\n11540 Eagle Drive\r\nMont Belview, TX 77523\r\n<a href=\"https://www.google.com/maps?saddr&amp;daddr=11540+Eagle+Drive,+Mont+Belview,+TX+77523\">Directions</a>[leaflet-marker lat=29.856865 lng=-94.863692]\r\n\r\nAntigo, Wisconsin\r\n614 Century Ave.\r\nAntigo, WI 54409\r\n<a href=\"https://www.google.com/maps/dir//614+Century+Ave,+Antigo,+WI+54409/@45.1623284,-89.2207527,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x4d54c614647cf6f3:0x4a1fb5f95863e713!2m2!1d-89.1507129!2d45.1623498\">Directions</a>[leaflet-marker lat=45.162350 lng=-89.150713]\r\n\r\n</div>\r\n</div>", "Locations", "", "inherit", "closed", "closed", "", "11-revision-v1", "", "", "2020-04-14 18:11:38", "2020-04-14 18:11:38", "", "11", "https://buckspizza.com/uncategorized/11-revision-v1/", "0", "revision", "", "0");

/* INSERT TABLE DATA: wp_redirection_404 */
INSERT INTO `wp_redirection_404` VALUES("1685810", "2019-12-27 22:25:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690927", "2019-12-29 09:32:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690928", "2019-12-29 09:32:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690929", "2019-12-29 09:33:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690930", "2019-12-29 09:33:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690931", "2019-12-29 09:33:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690932", "2019-12-29 09:34:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690933", "2019-12-29 09:34:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690934", "2019-12-29 09:35:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690935", "2019-12-29 09:35:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690936", "2019-12-29 09:35:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690937", "2019-12-29 09:36:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690938", "2019-12-29 09:36:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690939", "2019-12-29 09:37:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690940", "2019-12-29 09:37:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690941", "2019-12-29 09:38:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690942", "2019-12-29 09:38:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690943", "2019-12-29 09:38:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690944", "2019-12-29 09:39:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690945", "2019-12-29 09:39:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690946", "2019-12-29 09:39:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690947", "2019-12-29 09:40:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690948", "2019-12-29 09:40:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690949", "2019-12-29 09:41:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690950", "2019-12-29 09:41:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690951", "2019-12-29 09:41:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690952", "2019-12-29 09:42:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690953", "2019-12-29 09:42:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690954", "2019-12-29 09:43:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690955", "2019-12-29 09:43:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690956", "2019-12-29 09:43:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690957", "2019-12-29 09:44:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690958", "2019-12-29 09:44:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690959", "2019-12-29 09:44:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690960", "2019-12-29 09:45:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690961", "2019-12-29 09:46:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690962", "2019-12-29 09:46:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690963", "2019-12-29 09:46:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690964", "2019-12-29 09:47:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690965", "2019-12-29 09:47:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690966", "2019-12-29 09:47:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690967", "2019-12-29 09:47:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690968", "2019-12-29 09:48:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690969", "2019-12-29 09:48:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690970", "2019-12-29 09:48:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690971", "2019-12-29 09:49:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690972", "2019-12-29 09:49:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690973", "2019-12-29 09:50:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690974", "2019-12-29 09:50:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690975", "2019-12-29 09:50:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690976", "2019-12-29 09:51:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690977", "2019-12-29 09:51:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690978", "2019-12-29 09:51:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690979", "2019-12-29 09:52:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690980", "2019-12-29 09:52:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690981", "2019-12-29 09:53:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690982", "2019-12-29 09:53:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690983", "2019-12-29 09:53:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690984", "2019-12-29 09:54:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690985", "2019-12-29 09:55:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690986", "2019-12-29 09:55:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690987", "2019-12-29 09:55:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690988", "2019-12-29 09:56:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690989", "2019-12-29 09:56:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690990", "2019-12-29 09:56:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690991", "2019-12-29 09:57:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690992", "2019-12-29 09:57:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690993", "2019-12-29 09:57:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690994", "2019-12-29 09:58:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690995", "2019-12-29 09:58:27", "/wp-admin/wp-admin.php", "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US) AppleWebKit/533.4 (KHTML, like Gecko) Chrome/5.0.375.99 Safari/533.4", "http://site.ru", "21248");
INSERT INTO `wp_redirection_404` VALUES("1690996", "2019-12-29 09:58:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690997", "2019-12-29 09:59:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690998", "2019-12-29 09:59:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690999", "2019-12-29 09:59:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691000", "2019-12-29 10:00:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691001", "2019-12-29 10:00:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691002", "2019-12-29 10:01:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691003", "2019-12-29 10:01:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691004", "2019-12-29 10:02:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691005", "2019-12-29 10:02:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691006", "2019-12-29 10:02:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691007", "2019-12-29 10:03:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691008", "2019-12-29 10:03:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691009", "2019-12-29 10:03:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691010", "2019-12-29 10:04:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691011", "2019-12-29 10:04:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691012", "2019-12-29 10:05:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691013", "2019-12-29 10:05:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691014", "2019-12-29 10:06:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691015", "2019-12-29 10:06:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691016", "2019-12-29 10:07:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691017", "2019-12-29 10:07:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691018", "2019-12-29 10:07:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691019", "2019-12-29 10:08:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691020", "2019-12-29 10:08:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691021", "2019-12-29 10:08:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691022", "2019-12-29 10:09:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691023", "2019-12-29 10:09:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691024", "2019-12-29 10:10:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691025", "2019-12-29 10:10:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691026", "2019-12-29 10:10:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691027", "2019-12-29 10:11:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691028", "2019-12-29 10:11:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691029", "2019-12-29 10:12:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691030", "2019-12-29 10:12:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691031", "2019-12-29 10:12:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691032", "2019-12-29 10:13:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691033", "2019-12-29 10:13:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691034", "2019-12-29 10:13:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691035", "2019-12-29 10:14:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691036", "2019-12-29 10:14:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691037", "2019-12-29 10:15:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691038", "2019-12-29 10:15:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691039", "2019-12-29 10:16:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691040", "2019-12-29 10:16:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691041", "2019-12-29 10:17:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691042", "2019-12-29 10:17:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691043", "2019-12-29 10:17:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691044", "2019-12-29 10:18:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691045", "2019-12-29 10:18:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691046", "2019-12-29 10:18:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691047", "2019-12-29 10:19:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691048", "2019-12-29 10:19:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691049", "2019-12-29 10:19:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691050", "2019-12-29 10:20:19", "/static/ueditor/dialogs/internal.js", "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Win64; x64; Trident/5.0)", "http://buckspizza.com/static/ueditor/dialogs/internal.js", "101200");
INSERT INTO `wp_redirection_404` VALUES("1691051", "2019-12-29 10:20:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691052", "2019-12-29 10:20:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691053", "2019-12-29 10:21:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691054", "2019-12-29 10:22:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691055", "2019-12-29 10:22:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691056", "2019-12-29 10:22:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691057", "2019-12-29 10:23:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691058", "2019-12-29 10:23:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691059", "2019-12-29 10:23:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691060", "2019-12-29 10:24:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691061", "2019-12-29 10:24:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691062", "2019-12-29 10:25:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691063", "2019-12-29 10:25:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691064", "2019-12-29 10:25:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691065", "2019-12-29 10:26:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691066", "2019-12-29 10:26:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691067", "2019-12-29 10:26:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691068", "2019-12-29 10:27:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691069", "2019-12-29 10:27:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691070", "2019-12-29 10:27:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691071", "2019-12-29 10:28:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691072", "2019-12-29 10:28:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691073", "2019-12-29 10:28:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691074", "2019-12-29 10:29:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691075", "2019-12-29 10:29:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691076", "2019-12-29 10:29:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691077", "2019-12-29 10:31:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691078", "2019-12-29 10:31:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691079", "2019-12-29 10:31:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691080", "2019-12-29 10:32:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691081", "2019-12-29 10:32:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691082", "2019-12-29 10:32:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691083", "2019-12-29 10:33:12", "/public/js/wind.js", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "154209");
INSERT INTO `wp_redirection_404` VALUES("1691084", "2019-12-29 10:33:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691085", "2019-12-29 10:33:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691086", "2019-12-29 10:33:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691087", "2019-12-29 10:34:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691088", "2019-12-29 10:34:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691089", "2019-12-29 10:35:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691090", "2019-12-29 10:35:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691091", "2019-12-29 10:35:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691092", "2019-12-29 10:36:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691093", "2019-12-29 10:36:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691094", "2019-12-29 10:37:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691095", "2019-12-29 10:37:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691096", "2019-12-29 10:37:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691097", "2019-12-29 10:38:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691098", "2019-12-29 10:38:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691099", "2019-12-29 10:38:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691100", "2019-12-29 10:39:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691101", "2019-12-29 10:39:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691102", "2019-12-29 10:40:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691103", "2019-12-29 10:40:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691104", "2019-12-29 10:40:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691105", "2019-12-29 10:41:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691106", "2019-12-29 10:42:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691107", "2019-12-29 10:42:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691108", "2019-12-29 10:42:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691109", "2019-12-29 10:43:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691110", "2019-12-29 10:43:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691111", "2019-12-29 10:43:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691112", "2019-12-29 10:44:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691113", "2019-12-29 10:45:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691114", "2019-12-29 10:45:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691115", "2019-12-29 10:46:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691116", "2019-12-29 10:46:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691117", "2019-12-29 10:47:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691118", "2019-12-29 10:47:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691119", "2019-12-29 10:47:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691120", "2019-12-29 10:48:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691121", "2019-12-29 10:48:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691122", "2019-12-29 10:49:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691123", "2019-12-29 10:49:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691124", "2019-12-29 10:50:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691125", "2019-12-29 10:50:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691126", "2019-12-29 10:50:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691127", "2019-12-29 10:51:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691128", "2019-12-29 10:52:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691129", "2019-12-29 10:52:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691130", "2019-12-29 10:52:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691131", "2019-12-29 10:53:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691132", "2019-12-29 10:53:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691133", "2019-12-29 10:53:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691134", "2019-12-29 10:54:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691135", "2019-12-29 10:54:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691136", "2019-12-29 10:54:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691137", "2019-12-29 10:55:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691138", "2019-12-29 10:55:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691139", "2019-12-29 10:56:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691140", "2019-12-29 10:56:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691141", "2019-12-29 10:56:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691142", "2019-12-29 10:57:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691143", "2019-12-29 10:57:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691144", "2019-12-29 10:57:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691145", "2019-12-29 10:58:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691146", "2019-12-29 10:58:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691147", "2019-12-29 10:58:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691148", "2019-12-29 10:59:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691149", "2019-12-29 10:59:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691150", "2019-12-29 11:00:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691151", "2019-12-29 11:00:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691152", "2019-12-29 11:00:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691153", "2019-12-29 11:01:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691154", "2019-12-29 11:01:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691155", "2019-12-29 11:01:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691156", "2019-12-29 11:02:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691157", "2019-12-29 11:02:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691158", "2019-12-29 11:03:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691159", "2019-12-29 11:03:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691160", "2019-12-29 11:03:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691161", "2019-12-29 11:04:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691162", "2019-12-29 11:04:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691163", "2019-12-29 11:04:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691164", "2019-12-29 11:05:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691165", "2019-12-29 11:05:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691166", "2019-12-29 11:05:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691167", "2019-12-29 11:06:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691168", "2019-12-29 11:06:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691169", "2019-12-29 11:07:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691170", "2019-12-29 11:07:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691171", "2019-12-29 11:07:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691172", "2019-12-29 11:08:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691173", "2019-12-29 11:08:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691174", "2019-12-29 11:09:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691175", "2019-12-29 11:09:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691176", "2019-12-29 11:09:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691177", "2019-12-29 11:10:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691178", "2019-12-29 11:10:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691179", "2019-12-29 11:10:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691180", "2019-12-29 11:11:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691181", "2019-12-29 11:11:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691182", "2019-12-29 11:11:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691183", "2019-12-29 11:12:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691184", "2019-12-29 11:12:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691185", "2019-12-29 11:12:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691186", "2019-12-29 11:13:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691187", "2019-12-29 11:13:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691188", "2019-12-29 11:14:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691189", "2019-12-29 11:14:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691190", "2019-12-29 11:15:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691191", "2019-12-29 11:15:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691192", "2019-12-29 11:15:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691193", "2019-12-29 11:16:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691194", "2019-12-29 11:16:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691195", "2019-12-29 11:16:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691196", "2019-12-29 11:17:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691197", "2019-12-29 11:17:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691198", "2019-12-29 11:17:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691199", "2019-12-29 11:18:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691200", "2019-12-29 11:18:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691201", "2019-12-29 11:18:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691202", "2019-12-29 11:19:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691203", "2019-12-29 11:19:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691204", "2019-12-29 11:19:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691205", "2019-12-29 11:20:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691206", "2019-12-29 11:20:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691207", "2019-12-29 11:21:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691208", "2019-12-29 11:21:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691209", "2019-12-29 11:22:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691210", "2019-12-29 11:22:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691211", "2019-12-29 11:22:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691212", "2019-12-29 11:23:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691213", "2019-12-29 11:23:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691214", "2019-12-29 11:23:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691215", "2019-12-29 11:24:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691216", "2019-12-29 11:24:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691217", "2019-12-29 11:24:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691218", "2019-12-29 11:25:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691219", "2019-12-29 11:25:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691220", "2019-12-29 11:25:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691221", "2019-12-29 11:26:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691222", "2019-12-29 11:27:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691223", "2019-12-29 11:27:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691224", "2019-12-29 11:27:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691225", "2019-12-29 11:28:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691226", "2019-12-29 11:28:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691227", "2019-12-29 11:29:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691228", "2019-12-29 11:29:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691229", "2019-12-29 11:29:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691230", "2019-12-29 11:30:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691231", "2019-12-29 11:30:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691232", "2019-12-29 11:30:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691233", "2019-12-29 11:31:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691234", "2019-12-29 11:31:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691235", "2019-12-29 11:31:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691236", "2019-12-29 11:32:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691237", "2019-12-29 11:32:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691238", "2019-12-29 11:32:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691239", "2019-12-29 11:33:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691240", "2019-12-29 11:33:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691241", "2019-12-29 11:34:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691242", "2019-12-29 11:34:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691243", "2019-12-29 11:34:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691244", "2019-12-29 11:35:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691245", "2019-12-29 11:35:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691246", "2019-12-29 11:36:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691247", "2019-12-29 11:36:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691248", "2019-12-29 11:36:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691249", "2019-12-29 11:37:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691250", "2019-12-29 11:37:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691251", "2019-12-29 11:37:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691252", "2019-12-29 11:38:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691253", "2019-12-29 11:38:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691254", "2019-12-29 11:38:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691255", "2019-12-29 11:39:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691256", "2019-12-29 11:39:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691257", "2019-12-29 11:39:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691258", "2019-12-29 11:40:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691259", "2019-12-29 11:40:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691260", "2019-12-29 11:41:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691261", "2019-12-29 11:41:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691262", "2019-12-29 11:41:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691263", "2019-12-29 11:41:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691264", "2019-12-29 11:42:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691265", "2019-12-29 11:42:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691266", "2019-12-29 11:42:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691267", "2019-12-29 11:43:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691268", "2019-12-29 11:43:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691269", "2019-12-29 11:43:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691270", "2019-12-29 11:44:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691271", "2019-12-29 11:44:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691272", "2019-12-29 11:44:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691273", "2019-12-29 11:45:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691274", "2019-12-29 11:45:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691275", "2019-12-29 11:46:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691276", "2019-12-29 11:46:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691277", "2019-12-29 11:46:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691278", "2019-12-29 11:47:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691279", "2019-12-29 11:47:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691280", "2019-12-29 11:48:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691281", "2019-12-29 11:48:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691282", "2019-12-29 11:48:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691283", "2019-12-29 11:49:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691284", "2019-12-29 11:49:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691285", "2019-12-29 11:49:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691286", "2019-12-29 11:50:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691287", "2019-12-29 11:50:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691288", "2019-12-29 11:50:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691289", "2019-12-29 11:51:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691290", "2019-12-29 11:51:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691291", "2019-12-29 11:51:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691292", "2019-12-29 11:52:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691293", "2019-12-29 11:52:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691294", "2019-12-29 11:52:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691295", "2019-12-29 11:53:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691296", "2019-12-29 11:53:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691297", "2019-12-29 11:53:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691298", "2019-12-29 11:54:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691299", "2019-12-29 11:54:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691300", "2019-12-29 11:54:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691301", "2019-12-29 11:55:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691302", "2019-12-29 11:55:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691303", "2019-12-29 11:55:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691304", "2019-12-29 11:56:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691305", "2019-12-29 11:56:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691306", "2019-12-29 11:56:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691307", "2019-12-29 11:57:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691308", "2019-12-29 11:57:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691309", "2019-12-29 11:57:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691310", "2019-12-29 11:58:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691311", "2019-12-29 11:58:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691312", "2019-12-29 11:58:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691313", "2019-12-29 11:59:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691314", "2019-12-29 11:59:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691315", "2019-12-29 11:59:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691316", "2019-12-29 11:59:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691317", "2019-12-29 12:00:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691318", "2019-12-29 12:00:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691319", "2019-12-29 12:01:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691320", "2019-12-29 12:01:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691321", "2019-12-29 12:01:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691322", "2019-12-29 12:02:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691323", "2019-12-29 12:02:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691324", "2019-12-29 12:02:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691325", "2019-12-29 12:03:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691326", "2019-12-29 12:03:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691327", "2019-12-29 12:04:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691328", "2019-12-29 12:04:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691329", "2019-12-29 12:04:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691330", "2019-12-29 12:04:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691331", "2019-12-29 12:05:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691332", "2019-12-29 12:05:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691333", "2019-12-29 12:06:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691334", "2019-12-29 12:06:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691335", "2019-12-29 12:06:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691336", "2019-12-29 12:06:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691337", "2019-12-29 12:07:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691338", "2019-12-29 12:07:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691339", "2019-12-29 12:07:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691340", "2019-12-29 12:07:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691341", "2019-12-29 12:08:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691342", "2019-12-29 12:08:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691343", "2019-12-29 12:08:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691344", "2019-12-29 12:09:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691345", "2019-12-29 12:09:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691346", "2019-12-29 12:09:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691347", "2019-12-29 12:09:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691348", "2019-12-29 12:10:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691349", "2019-12-29 12:10:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691350", "2019-12-29 12:10:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691351", "2019-12-29 12:11:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691352", "2019-12-29 12:11:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691353", "2019-12-29 12:11:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691354", "2019-12-29 12:11:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691355", "2019-12-29 12:11:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691356", "2019-12-29 12:12:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691357", "2019-12-29 12:12:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691358", "2019-12-29 12:13:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691359", "2019-12-29 12:13:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691360", "2019-12-29 12:13:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691361", "2019-12-29 12:13:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691362", "2019-12-29 12:13:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691363", "2019-12-29 12:13:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691364", "2019-12-29 12:14:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691365", "2019-12-29 12:14:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691366", "2019-12-29 12:14:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691367", "2019-12-29 12:15:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691368", "2019-12-29 12:15:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691369", "2019-12-29 12:15:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691370", "2019-12-29 12:15:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691371", "2019-12-29 12:15:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691372", "2019-12-29 12:15:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691373", "2019-12-29 12:16:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691374", "2019-12-29 12:16:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691375", "2019-12-29 12:16:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691376", "2019-12-29 12:17:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691377", "2019-12-29 12:17:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691378", "2019-12-29 12:17:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691379", "2019-12-29 12:17:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691380", "2019-12-29 12:17:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691381", "2019-12-29 12:17:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691382", "2019-12-29 12:18:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691383", "2019-12-29 12:18:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691384", "2019-12-29 12:18:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691385", "2019-12-29 12:18:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691386", "2019-12-29 12:19:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691387", "2019-12-29 12:19:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691388", "2019-12-29 12:19:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691389", "2019-12-29 12:19:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691390", "2019-12-29 12:20:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691391", "2019-12-29 12:20:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691392", "2019-12-29 12:20:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691393", "2019-12-29 12:20:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691394", "2019-12-29 12:20:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691395", "2019-12-29 12:20:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691396", "2019-12-29 12:21:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691397", "2019-12-29 12:21:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691398", "2019-12-29 12:21:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691399", "2019-12-29 12:21:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691400", "2019-12-29 12:22:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691401", "2019-12-29 12:22:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691402", "2019-12-29 12:22:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691403", "2019-12-29 12:22:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691404", "2019-12-29 12:22:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691405", "2019-12-29 12:23:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691406", "2019-12-29 12:23:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691407", "2019-12-29 12:23:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691408", "2019-12-29 12:23:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691409", "2019-12-29 12:24:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691410", "2019-12-29 12:24:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691411", "2019-12-29 12:24:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691412", "2019-12-29 12:24:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691413", "2019-12-29 12:25:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691414", "2019-12-29 12:25:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691415", "2019-12-29 12:25:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691416", "2019-12-29 12:25:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691417", "2019-12-29 12:26:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691418", "2019-12-29 12:26:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691419", "2019-12-29 12:26:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691420", "2019-12-29 12:26:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691421", "2019-12-29 12:26:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691422", "2019-12-29 12:27:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691423", "2019-12-29 12:27:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691424", "2019-12-29 12:27:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691425", "2019-12-29 12:28:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691426", "2019-12-29 12:28:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691427", "2019-12-29 12:28:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691428", "2019-12-29 12:28:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691429", "2019-12-29 12:28:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691430", "2019-12-29 12:28:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691431", "2019-12-29 12:29:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691432", "2019-12-29 12:29:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691433", "2019-12-29 12:29:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691434", "2019-12-29 12:29:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691435", "2019-12-29 12:30:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691436", "2019-12-29 12:30:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691437", "2019-12-29 12:30:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691438", "2019-12-29 12:30:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691439", "2019-12-29 12:30:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691440", "2019-12-29 12:30:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691441", "2019-12-29 12:30:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691442", "2019-12-29 12:31:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691443", "2019-12-29 12:31:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691444", "2019-12-29 12:31:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691445", "2019-12-29 12:31:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691446", "2019-12-29 12:31:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691447", "2019-12-29 12:32:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691448", "2019-12-29 12:32:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691449", "2019-12-29 12:32:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691450", "2019-12-29 12:32:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691451", "2019-12-29 12:33:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691452", "2019-12-29 12:33:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691453", "2019-12-29 12:33:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691454", "2019-12-29 12:33:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691455", "2019-12-29 12:33:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691456", "2019-12-29 12:33:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691457", "2019-12-29 12:34:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691458", "2019-12-29 12:34:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691459", "2019-12-29 12:34:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691460", "2019-12-29 12:35:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691461", "2019-12-29 12:35:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691462", "2019-12-29 12:35:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691463", "2019-12-29 12:35:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691464", "2019-12-29 12:35:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691465", "2019-12-29 12:35:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691466", "2019-12-29 12:36:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691467", "2019-12-29 12:36:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691468", "2019-12-29 12:36:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691469", "2019-12-29 12:36:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691470", "2019-12-29 12:36:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691471", "2019-12-29 12:36:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691472", "2019-12-29 12:36:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691473", "2019-12-29 12:37:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691474", "2019-12-29 12:37:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691475", "2019-12-29 12:37:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691476", "2019-12-29 12:37:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691477", "2019-12-29 12:37:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691478", "2019-12-29 12:37:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691479", "2019-12-29 12:38:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691480", "2019-12-29 12:38:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691481", "2019-12-29 12:38:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691482", "2019-12-29 12:38:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691483", "2019-12-29 12:39:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691484", "2019-12-29 12:39:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691485", "2019-12-29 12:39:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691486", "2019-12-29 12:39:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691487", "2019-12-29 12:39:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691488", "2019-12-29 12:40:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691489", "2019-12-29 13:08:52", "/pizza-parties/throw-pizza-party-kids-remember/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1691490", "2019-12-29 14:34:39", "/2015/11/11/how-host-perfect-family-movie-night-home/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1691491", "2019-12-29 14:51:48", "/alabaster-al/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1691492", "2019-12-29 15:00:39", "/configuration.save", "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/75.0.3770.143 YaBrowser/19.7.2.470 Yowser/2.5 Safari/537.36", "buckspizza.com", "19242");
INSERT INTO `wp_redirection_404` VALUES("1691493", "2019-12-29 15:00:41", "/configuration.php_", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_6_8) AppleWebKit/537.13+ (KHTML, like Gecko) Version/5.1.7 Safari/534.57.2", "buckspizza.com", "10970");
INSERT INTO `wp_redirection_404` VALUES("1691494", "2019-12-29 15:00:42", "/configuration.php.disabled", "Mozilla/5.0 (Linux; Android 7.0; SM-G930F) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/76.0.3809.111 Mobile Safari/537.36", "buckspizza.com", "10970");
INSERT INTO `wp_redirection_404` VALUES("1691495", "2019-12-29 15:00:44", "/configuration.php.1", "Mozilla/5.0 (Linux; U; Android 1.5; en-us; SPH-M900 Build/CUPCAKE) AppleWebKit/528.5  (KHTML, like Gecko) Version/3.1.2 Mobile Safari/525.20.1", "buckspizza.com", "10970");
INSERT INTO `wp_redirection_404` VALUES("1691496", "2019-12-29 15:00:47", "/settings.save", "Mozilla/5.0 (Linux; Android 5.1.1; KYOCERA-C6742) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/76.0.3809.111 Mobile Safari/537.36", "buckspizza.com", "10970");
INSERT INTO `wp_redirection_404` VALUES("1691497", "2019-12-29 15:00:49", "/settings.php_", "Mozilla/5.0 (OS/2; Warp 4.5; rv:31.0) Gecko/20100101 Firefox/31.0", "buckspizza.com", "5177");
INSERT INTO `wp_redirection_404` VALUES("1691498", "2019-12-29 15:00:50", "/settings.php.disabled", "Mozilla/5.0 (Linux; Android 8.0.0; SM-G935V) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/76.0.3809.111 Mobile Safari/537.36", "buckspizza.com", "5177");
INSERT INTO `wp_redirection_404` VALUES("1691499", "2019-12-29 15:00:51", "/settings.php.1", "Opera/9.80 (Windows NT 6.1; U; en) Presto/2.7.62 Version/11.01", "buckspizza.com", "5177");
INSERT INTO `wp_redirection_404` VALUES("1691500", "2019-12-29 16:10:17", "/pizza-recipes/low-carb-pizza-toppings/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1691501", "2019-12-29 17:11:55", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "9822");
INSERT INTO `wp_redirection_404` VALUES("1691502", "2019-12-29 17:11:55", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "9822");
INSERT INTO `wp_redirection_404` VALUES("1691503", "2019-12-29 17:23:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691504", "2019-12-29 17:27:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691505", "2019-12-29 17:27:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691506", "2019-12-29 17:27:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691507", "2019-12-29 17:27:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691508", "2019-12-29 17:28:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691509", "2019-12-29 17:28:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691510", "2019-12-29 17:28:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691511", "2019-12-29 17:28:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691512", "2019-12-29 17:29:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691513", "2019-12-29 17:29:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691514", "2019-12-29 17:29:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691515", "2019-12-29 17:30:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691516", "2019-12-29 17:30:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691517", "2019-12-29 17:30:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691518", "2019-12-29 17:31:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691519", "2019-12-29 17:31:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691520", "2019-12-29 17:31:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691521", "2019-12-29 17:31:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691522", "2019-12-29 17:32:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691523", "2019-12-29 17:32:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691524", "2019-12-29 17:32:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691525", "2019-12-29 17:32:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691526", "2019-12-29 17:32:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691527", "2019-12-29 17:33:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691528", "2019-12-29 17:33:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691529", "2019-12-29 17:33:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691530", "2019-12-29 17:33:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691531", "2019-12-29 17:34:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691532", "2019-12-29 17:34:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691533", "2019-12-29 17:34:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691534", "2019-12-29 17:34:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691535", "2019-12-29 17:34:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691536", "2019-12-29 17:35:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691537", "2019-12-29 17:35:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691538", "2019-12-29 17:35:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691539", "2019-12-29 17:36:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691540", "2019-12-29 17:36:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691541", "2019-12-29 17:36:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691542", "2019-12-29 17:36:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691543", "2019-12-29 17:37:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691544", "2019-12-29 17:37:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691545", "2019-12-29 17:37:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691546", "2019-12-29 17:38:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691547", "2019-12-29 17:38:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691548", "2019-12-29 17:39:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691549", "2019-12-29 17:39:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691550", "2019-12-29 17:39:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691551", "2019-12-29 17:40:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691552", "2019-12-29 17:40:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691553", "2019-12-29 17:40:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691554", "2019-12-29 17:41:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691555", "2019-12-29 17:41:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691556", "2019-12-29 17:41:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691557", "2019-12-29 17:42:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691558", "2019-12-29 17:42:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691559", "2019-12-29 17:42:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691560", "2019-12-29 17:43:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691561", "2019-12-29 17:43:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691562", "2019-12-29 17:43:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691563", "2019-12-29 17:44:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691564", "2019-12-29 17:44:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691565", "2019-12-29 17:45:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691566", "2019-12-29 17:45:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691567", "2019-12-29 17:45:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691568", "2019-12-29 17:46:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691569", "2019-12-29 17:46:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691570", "2019-12-29 17:46:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691571", "2019-12-29 17:47:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691572", "2019-12-29 17:47:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691573", "2019-12-29 17:48:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691574", "2019-12-29 17:48:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691575", "2019-12-29 17:48:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691576", "2019-12-29 17:49:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691577", "2019-12-29 17:50:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691578", "2019-12-29 17:50:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691579", "2019-12-29 17:50:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691580", "2019-12-29 17:51:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691581", "2019-12-29 17:51:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691582", "2019-12-29 17:51:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691583", "2019-12-29 17:51:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691584", "2019-12-29 17:52:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691585", "2019-12-29 17:52:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691586", "2019-12-29 17:52:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691587", "2019-12-29 17:53:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691588", "2019-12-29 17:53:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691589", "2019-12-29 17:54:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691590", "2019-12-29 17:55:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691591", "2019-12-29 17:55:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691592", "2019-12-29 17:55:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691593", "2019-12-29 17:56:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691594", "2019-12-29 17:56:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691595", "2019-12-29 17:56:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691596", "2019-12-29 17:57:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691597", "2019-12-29 17:57:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691598", "2019-12-29 17:58:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691599", "2019-12-29 17:58:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691600", "2019-12-29 17:58:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691601", "2019-12-29 17:59:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691602", "2019-12-29 17:59:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691603", "2019-12-29 17:59:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691604", "2019-12-29 18:00:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691605", "2019-12-29 18:00:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691606", "2019-12-29 18:01:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691607", "2019-12-29 18:01:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691608", "2019-12-29 18:01:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691609", "2019-12-29 18:02:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691610", "2019-12-29 18:02:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691611", "2019-12-29 18:02:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691612", "2019-12-29 18:03:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691613", "2019-12-29 18:03:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691614", "2019-12-29 18:03:46", "/forum.php", "Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", "http://buckspizza.com/forum.php", "103123");
INSERT INTO `wp_redirection_404` VALUES("1691615", "2019-12-29 18:04:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691616", "2019-12-29 18:04:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691617", "2019-12-29 18:04:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691618", "2019-12-29 18:05:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691619", "2019-12-29 18:05:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691620", "2019-12-29 18:06:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691621", "2019-12-29 18:06:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691622", "2019-12-29 18:06:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691623", "2019-12-29 18:07:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691624", "2019-12-29 18:07:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691625", "2019-12-29 18:07:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691626", "2019-12-29 18:08:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691627", "2019-12-29 18:08:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691628", "2019-12-29 18:08:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691629", "2019-12-29 18:09:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691630", "2019-12-29 18:09:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691631", "2019-12-29 18:09:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691632", "2019-12-29 18:10:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691633", "2019-12-29 18:10:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691634", "2019-12-29 18:10:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691635", "2019-12-29 18:10:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691636", "2019-12-29 18:11:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691637", "2019-12-29 18:11:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691638", "2019-12-29 18:11:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691639", "2019-12-29 18:12:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691640", "2019-12-29 18:12:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691641", "2019-12-29 18:12:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691642", "2019-12-29 18:13:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691643", "2019-12-29 18:13:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691644", "2019-12-29 18:14:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691645", "2019-12-29 18:14:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691646", "2019-12-29 18:14:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691647", "2019-12-29 18:15:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691648", "2019-12-29 18:15:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691649", "2019-12-29 18:15:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691650", "2019-12-29 18:16:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691651", "2019-12-29 18:16:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691652", "2019-12-29 18:16:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691653", "2019-12-29 18:17:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691654", "2019-12-29 18:17:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691655", "2019-12-29 18:17:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691656", "2019-12-29 18:18:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691657", "2019-12-29 18:18:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691658", "2019-12-29 18:18:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691659", "2019-12-29 18:19:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691660", "2019-12-29 18:19:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691661", "2019-12-29 18:20:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691662", "2019-12-29 18:20:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691663", "2019-12-29 18:20:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691664", "2019-12-29 18:21:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691665", "2019-12-29 18:21:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691666", "2019-12-29 18:21:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691667", "2019-12-29 18:21:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691668", "2019-12-29 18:22:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691669", "2019-12-29 18:22:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691670", "2019-12-29 18:22:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691671", "2019-12-29 18:23:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691672", "2019-12-29 18:23:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691673", "2019-12-29 18:24:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691674", "2019-12-29 18:24:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691675", "2019-12-29 18:24:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691676", "2019-12-29 18:25:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691677", "2019-12-29 18:25:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691678", "2019-12-29 18:25:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691679", "2019-12-29 18:26:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691680", "2019-12-29 18:26:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691681", "2019-12-29 18:27:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691682", "2019-12-29 18:28:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691683", "2019-12-29 18:29:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691684", "2019-12-29 18:29:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691685", "2019-12-29 18:29:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691686", "2019-12-29 18:30:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691687", "2019-12-29 18:31:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691688", "2019-12-29 18:31:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691689", "2019-12-29 18:32:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691690", "2019-12-29 18:32:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691691", "2019-12-29 18:33:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691692", "2019-12-29 18:33:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691693", "2019-12-29 18:33:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691694", "2019-12-29 18:33:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691695", "2019-12-29 18:34:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691696", "2019-12-29 18:34:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691697", "2019-12-29 18:34:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691698", "2019-12-29 18:35:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691699", "2019-12-29 18:35:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691700", "2019-12-29 18:36:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691701", "2019-12-29 18:36:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691702", "2019-12-29 18:36:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691703", "2019-12-29 18:36:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691704", "2019-12-29 18:37:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691705", "2019-12-29 18:37:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691706", "2019-12-29 18:38:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691707", "2019-12-29 18:38:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691708", "2019-12-29 18:38:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691709", "2019-12-29 18:38:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691710", "2019-12-29 18:39:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691711", "2019-12-29 18:39:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691712", "2019-12-29 18:39:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691713", "2019-12-29 18:40:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691714", "2019-12-29 18:40:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691715", "2019-12-29 18:40:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691716", "2019-12-29 18:41:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691717", "2019-12-29 18:42:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691718", "2019-12-29 18:42:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691719", "2019-12-29 18:42:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691720", "2019-12-29 18:42:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691721", "2019-12-29 18:43:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691722", "2019-12-29 18:44:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691723", "2019-12-29 18:44:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691724", "2019-12-29 18:44:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691725", "2019-12-29 18:44:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691726", "2019-12-29 18:45:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691727", "2019-12-29 18:45:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691728", "2019-12-29 18:45:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691729", "2019-12-29 18:46:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691730", "2019-12-29 18:46:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691731", "2019-12-29 18:47:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691732", "2019-12-29 18:47:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691733", "2019-12-29 18:47:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691734", "2019-12-29 18:48:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691735", "2019-12-29 18:48:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691736", "2019-12-29 18:48:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691737", "2019-12-29 18:49:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691738", "2019-12-29 18:49:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691739", "2019-12-29 18:49:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691740", "2019-12-29 18:49:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691741", "2019-12-29 18:50:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691742", "2019-12-29 18:50:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691743", "2019-12-29 18:50:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691744", "2019-12-29 18:50:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691745", "2019-12-29 18:51:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691746", "2019-12-29 18:51:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691747", "2019-12-29 18:51:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691748", "2019-12-29 18:52:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691749", "2019-12-29 18:52:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691750", "2019-12-29 18:52:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691751", "2019-12-29 18:53:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691752", "2019-12-29 18:53:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691753", "2019-12-29 18:53:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691754", "2019-12-29 18:54:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691755", "2019-12-29 18:54:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691756", "2019-12-29 18:54:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691757", "2019-12-29 18:55:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691758", "2019-12-29 18:55:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691759", "2019-12-29 18:55:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691760", "2019-12-29 18:56:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691761", "2019-12-29 18:57:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691762", "2019-12-29 18:57:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691763", "2019-12-29 18:57:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691764", "2019-12-29 18:58:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691765", "2019-12-29 18:58:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691766", "2019-12-29 18:58:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691767", "2019-12-29 18:59:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691768", "2019-12-29 18:59:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691769", "2019-12-29 18:59:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691770", "2019-12-29 18:59:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691771", "2019-12-29 19:00:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691772", "2019-12-29 19:01:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691773", "2019-12-29 19:01:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691774", "2019-12-29 19:01:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691775", "2019-12-29 19:02:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691776", "2019-12-29 19:02:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691777", "2019-12-29 19:02:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691778", "2019-12-29 19:03:00", "/public/router.php", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "154223");
INSERT INTO `wp_redirection_404` VALUES("1691779", "2019-12-29 19:03:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691780", "2019-12-29 19:03:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691781", "2019-12-29 19:03:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691782", "2019-12-29 19:04:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691783", "2019-12-29 19:04:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691784", "2019-12-29 19:04:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691785", "2019-12-29 19:05:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691786", "2019-12-29 19:06:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691787", "2019-12-29 19:06:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691788", "2019-12-29 19:07:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691789", "2019-12-29 19:07:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691790", "2019-12-29 19:08:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691791", "2019-12-29 19:08:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691792", "2019-12-29 19:09:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691793", "2019-12-29 19:09:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691794", "2019-12-29 19:09:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691795", "2019-12-29 19:10:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691796", "2019-12-29 19:10:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691797", "2019-12-29 19:10:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691798", "2019-12-29 19:11:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691799", "2019-12-29 19:11:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691800", "2019-12-29 19:11:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691801", "2019-12-29 19:11:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691802", "2019-12-29 19:12:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691803", "2019-12-29 19:12:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691804", "2019-12-29 19:13:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691805", "2019-12-29 19:13:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691806", "2019-12-29 19:13:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691807", "2019-12-29 19:13:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691808", "2019-12-29 19:14:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691809", "2019-12-29 19:14:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691810", "2019-12-29 19:14:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691811", "2019-12-29 19:15:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691812", "2019-12-29 19:15:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691813", "2019-12-29 19:15:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691814", "2019-12-29 19:16:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691815", "2019-12-29 19:16:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691816", "2019-12-29 19:16:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691817", "2019-12-29 19:17:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691818", "2019-12-29 19:17:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691819", "2019-12-29 19:17:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691820", "2019-12-29 19:18:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691821", "2019-12-29 19:18:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691822", "2019-12-29 19:18:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691823", "2019-12-29 19:19:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691824", "2019-12-29 19:19:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691825", "2019-12-29 19:19:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691826", "2019-12-29 19:19:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691827", "2019-12-29 19:19:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691828", "2019-12-29 19:20:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691829", "2019-12-29 19:20:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691830", "2019-12-29 19:20:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691831", "2019-12-29 19:21:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691832", "2019-12-29 19:21:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691833", "2019-12-29 19:21:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691834", "2019-12-29 19:22:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691835", "2019-12-29 19:22:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691836", "2019-12-29 19:22:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691837", "2019-12-29 19:23:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691838", "2019-12-29 19:23:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691839", "2019-12-29 19:23:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691840", "2019-12-29 19:24:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691841", "2019-12-29 19:24:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691842", "2019-12-29 19:24:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691843", "2019-12-29 19:25:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691844", "2019-12-29 19:25:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691845", "2019-12-29 19:25:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691846", "2019-12-29 19:25:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691847", "2019-12-29 19:25:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691848", "2019-12-29 19:26:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691849", "2019-12-29 19:26:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691850", "2019-12-29 19:27:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691851", "2019-12-29 19:27:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691852", "2019-12-29 19:27:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691853", "2019-12-29 19:27:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691854", "2019-12-29 19:28:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691855", "2019-12-29 19:28:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691856", "2019-12-29 19:28:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691857", "2019-12-29 19:28:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691858", "2019-12-29 19:29:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691859", "2019-12-29 19:29:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691860", "2019-12-29 19:29:46", "/hello.php", NULL, NULL, "134175");
INSERT INTO `wp_redirection_404` VALUES("1691861", "2019-12-29 19:29:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691862", "2019-12-29 19:30:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691863", "2019-12-29 19:30:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691864", "2019-12-29 19:30:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691865", "2019-12-29 19:31:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691866", "2019-12-29 19:31:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691867", "2019-12-29 19:31:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691868", "2019-12-29 19:32:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691869", "2019-12-29 19:32:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691870", "2019-12-29 19:32:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691871", "2019-12-29 19:33:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691872", "2019-12-29 19:33:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691873", "2019-12-29 19:33:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691874", "2019-12-29 19:34:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691875", "2019-12-29 19:34:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691876", "2019-12-29 19:34:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691877", "2019-12-29 19:35:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691878", "2019-12-29 19:35:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691879", "2019-12-29 19:35:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691880", "2019-12-29 19:35:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691881", "2019-12-29 19:36:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691882", "2019-12-29 19:36:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691883", "2019-12-29 19:36:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691884", "2019-12-29 19:37:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691885", "2019-12-29 19:37:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691886", "2019-12-29 19:37:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691887", "2019-12-29 19:38:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691888", "2019-12-29 19:38:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691889", "2019-12-29 19:38:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691890", "2019-12-29 19:38:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691891", "2019-12-29 19:39:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691892", "2019-12-29 19:39:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691893", "2019-12-29 19:39:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691894", "2019-12-29 19:40:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691895", "2019-12-29 19:40:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691896", "2019-12-29 19:40:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691897", "2019-12-29 19:40:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691898", "2019-12-29 19:41:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691899", "2019-12-29 19:41:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691900", "2019-12-29 19:41:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691901", "2019-12-29 19:41:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691902", "2019-12-29 19:42:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691903", "2019-12-29 19:42:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691904", "2019-12-29 19:42:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691905", "2019-12-29 19:43:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691906", "2019-12-29 19:43:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691907", "2019-12-29 19:43:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691908", "2019-12-29 19:44:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691909", "2019-12-29 19:44:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691910", "2019-12-29 19:44:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691911", "2019-12-29 19:44:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691912", "2019-12-29 19:45:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691913", "2019-12-29 19:45:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691914", "2019-12-29 19:45:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691915", "2019-12-29 19:46:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691916", "2019-12-29 19:46:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691917", "2019-12-29 19:46:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691918", "2019-12-29 19:46:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691919", "2019-12-29 19:46:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691920", "2019-12-29 19:47:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691921", "2019-12-29 19:47:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691922", "2019-12-29 19:47:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691923", "2019-12-29 19:47:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691924", "2019-12-29 19:47:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691925", "2019-12-29 19:48:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691926", "2019-12-29 19:48:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691927", "2019-12-29 19:48:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691928", "2019-12-29 19:48:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691929", "2019-12-29 19:49:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691930", "2019-12-29 19:49:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691931", "2019-12-29 19:49:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691932", "2019-12-29 19:49:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691933", "2019-12-29 19:50:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691934", "2019-12-29 19:50:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691935", "2019-12-29 19:50:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691936", "2019-12-29 19:50:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691937", "2019-12-29 19:50:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691938", "2019-12-29 19:51:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691939", "2019-12-29 19:51:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691940", "2019-12-29 19:51:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691941", "2019-12-29 19:52:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691942", "2019-12-29 19:52:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691943", "2019-12-29 19:52:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691944", "2019-12-29 19:52:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691945", "2019-12-29 19:52:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691946", "2019-12-29 19:53:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691947", "2019-12-29 19:53:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691948", "2019-12-29 19:53:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691949", "2019-12-29 19:53:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691950", "2019-12-29 19:54:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691951", "2019-12-29 19:54:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691952", "2019-12-29 19:54:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691953", "2019-12-29 19:54:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691954", "2019-12-29 19:54:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691955", "2019-12-29 19:55:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691956", "2019-12-29 19:55:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691957", "2019-12-29 19:55:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691958", "2019-12-29 19:56:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691959", "2019-12-29 19:56:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691960", "2019-12-29 19:56:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691961", "2019-12-29 19:57:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691962", "2019-12-29 19:57:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691963", "2019-12-29 19:57:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691964", "2019-12-29 19:58:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691965", "2019-12-29 19:58:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691966", "2019-12-29 19:58:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691967", "2019-12-29 19:59:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691968", "2019-12-29 19:59:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691969", "2019-12-29 20:00:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691970", "2019-12-29 20:00:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691971", "2019-12-29 20:01:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691972", "2019-12-29 20:01:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691973", "2019-12-29 20:02:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691974", "2019-12-29 20:02:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691975", "2019-12-29 20:02:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691976", "2019-12-29 20:02:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691977", "2019-12-29 20:02:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703677", "2020-01-02 04:24:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703676", "2020-01-02 04:23:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703675", "2020-01-02 04:23:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703674", "2020-01-02 04:23:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703673", "2020-01-02 04:22:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703672", "2020-01-02 04:22:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703671", "2020-01-02 04:22:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703670", "2020-01-02 04:21:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703669", "2020-01-02 04:21:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703668", "2020-01-02 04:20:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703667", "2020-01-02 04:20:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703666", "2020-01-02 04:19:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703665", "2020-01-02 04:19:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703664", "2020-01-02 04:18:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703663", "2020-01-02 04:18:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703662", "2020-01-02 04:18:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703661", "2020-01-02 04:17:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703660", "2020-01-02 04:17:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703659", "2020-01-02 04:16:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703658", "2020-01-02 04:16:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703657", "2020-01-02 04:16:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703656", "2020-01-02 04:15:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703655", "2020-01-02 04:15:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703654", "2020-01-02 04:15:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703653", "2020-01-02 04:14:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703652", "2020-01-02 04:13:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703651", "2020-01-02 04:13:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703650", "2020-01-02 04:12:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703649", "2020-01-02 04:12:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703648", "2020-01-02 04:12:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703647", "2020-01-02 04:11:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703646", "2020-01-02 04:11:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703645", "2020-01-02 04:10:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703644", "2020-01-02 04:10:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703643", "2020-01-02 04:10:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703642", "2020-01-02 04:09:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703641", "2020-01-02 04:09:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703640", "2020-01-02 04:08:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703639", "2020-01-02 04:08:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703638", "2020-01-02 04:07:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703637", "2020-01-02 04:07:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703636", "2020-01-02 04:06:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703635", "2020-01-02 04:06:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703634", "2020-01-02 04:06:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703633", "2020-01-02 04:05:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703632", "2020-01-02 04:05:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703631", "2020-01-02 04:05:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703630", "2020-01-02 04:04:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703629", "2020-01-02 04:04:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703628", "2020-01-02 04:03:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703627", "2020-01-02 04:02:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703626", "2020-01-02 04:02:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703625", "2020-01-02 04:02:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703624", "2020-01-02 04:01:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703623", "2020-01-02 04:01:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703622", "2020-01-02 04:01:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703621", "2020-01-02 04:00:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703620", "2020-01-02 03:59:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703619", "2020-01-02 03:59:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703618", "2020-01-02 03:58:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703617", "2020-01-02 03:58:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703616", "2020-01-02 03:58:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703615", "2020-01-02 03:57:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703614", "2020-01-02 03:57:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703613", "2020-01-02 03:57:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703612", "2020-01-02 03:56:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703611", "2020-01-02 03:56:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703610", "2020-01-02 03:55:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703609", "2020-01-02 03:55:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703608", "2020-01-02 03:54:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703607", "2020-01-02 03:54:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703606", "2020-01-02 03:54:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703605", "2020-01-02 03:53:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703604", "2020-01-02 03:53:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703603", "2020-01-02 03:52:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703602", "2020-01-02 03:52:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703601", "2020-01-02 03:52:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703600", "2020-01-02 03:51:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703599", "2020-01-02 03:51:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703598", "2020-01-02 03:50:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703597", "2020-01-02 03:50:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703596", "2020-01-02 03:49:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703595", "2020-01-02 03:49:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703594", "2020-01-02 03:49:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703593", "2020-01-02 03:48:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703592", "2020-01-02 03:48:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703591", "2020-01-02 03:47:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703590", "2020-01-02 03:47:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703589", "2020-01-02 03:46:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703588", "2020-01-02 03:46:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703587", "2020-01-02 03:45:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703586", "2020-01-02 03:45:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703585", "2020-01-02 03:45:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703584", "2020-01-02 03:44:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703583", "2020-01-02 03:44:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703582", "2020-01-02 03:44:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703581", "2020-01-02 03:43:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703580", "2020-01-02 03:43:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703579", "2020-01-02 03:42:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703578", "2020-01-02 03:42:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703577", "2020-01-02 03:41:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703576", "2020-01-02 03:41:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703575", "2020-01-02 03:40:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703574", "2020-01-02 03:40:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703573", "2020-01-02 03:40:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703572", "2020-01-02 03:39:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703571", "2020-01-02 03:39:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703570", "2020-01-02 03:39:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703569", "2020-01-02 03:38:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703568", "2020-01-02 03:38:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703567", "2020-01-02 03:37:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703566", "2020-01-02 03:37:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703565", "2020-01-02 03:36:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703564", "2020-01-02 03:36:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703563", "2020-01-02 03:36:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703562", "2020-01-02 03:35:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703561", "2020-01-02 03:35:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703560", "2020-01-02 03:34:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703559", "2020-01-02 03:34:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703558", "2020-01-02 03:34:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703556", "2020-01-02 03:33:38", "/platform.twitter.com/widgets.js", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703557", "2020-01-02 03:33:40", "/widget.manychat.com/210014902350663.js", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703555", "2020-01-02 03:33:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703554", "2020-01-02 03:33:20", "/www.google-analytics.com", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703553", "2020-01-02 03:33:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703552", "2020-01-02 03:32:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703551", "2020-01-02 03:32:24", "/pizza-recipes/pizza-crust-alternatives/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1703550", "2020-01-02 03:32:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703549", "2020-01-02 03:31:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703548", "2020-01-02 03:31:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703547", "2020-01-02 03:31:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703546", "2020-01-02 03:30:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703545", "2020-01-02 03:30:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703544", "2020-01-02 03:29:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703543", "2020-01-02 03:29:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703542", "2020-01-02 03:29:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703541", "2020-01-02 03:28:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703540", "2020-01-02 03:28:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703539", "2020-01-02 03:28:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703538", "2020-01-02 03:27:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703537", "2020-01-02 03:26:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703536", "2020-01-02 03:26:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703535", "2020-01-02 03:25:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703534", "2020-01-02 03:25:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703533", "2020-01-02 03:25:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703532", "2020-01-02 03:24:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703531", "2020-01-02 03:24:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703530", "2020-01-02 03:24:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703529", "2020-01-02 03:23:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703528", "2020-01-02 03:23:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703527", "2020-01-02 03:23:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703526", "2020-01-02 03:21:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703525", "2020-01-02 03:21:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703524", "2020-01-02 03:21:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703523", "2020-01-02 03:20:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703522", "2020-01-02 03:20:33", "/ads.txt", "Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2228.0 Safari/537.36", NULL, "50116");
INSERT INTO `wp_redirection_404` VALUES("1703521", "2020-01-02 03:20:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703520", "2020-01-02 03:19:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703519", "2020-01-02 03:19:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703518", "2020-01-02 03:18:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703517", "2020-01-02 03:18:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703516", "2020-01-02 03:18:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703515", "2020-01-02 03:17:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703514", "2020-01-02 03:17:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703513", "2020-01-02 03:17:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703512", "2020-01-02 03:16:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703511", "2020-01-02 03:15:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703510", "2020-01-02 03:15:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703509", "2020-01-02 03:14:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703508", "2020-01-02 03:14:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703507", "2020-01-02 03:14:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703506", "2020-01-02 03:13:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703505", "2020-01-02 03:13:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703504", "2020-01-02 03:12:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703503", "2020-01-02 03:11:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703502", "2020-01-02 03:11:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703501", "2020-01-02 03:11:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703500", "2020-01-02 03:10:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703499", "2020-01-02 03:10:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703498", "2020-01-02 03:10:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703497", "2020-01-02 03:09:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703496", "2020-01-02 03:09:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703495", "2020-01-02 03:09:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703494", "2020-01-02 03:08:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703493", "2020-01-02 03:08:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703492", "2020-01-02 03:07:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703491", "2020-01-02 03:07:29", "/.well-known/security.txt", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/67.0.3396.99 Safari/537.36", NULL, "178128");
INSERT INTO `wp_redirection_404` VALUES("1703490", "2020-01-02 03:06:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703489", "2020-01-02 03:06:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703488", "2020-01-02 03:06:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703487", "2020-01-02 03:05:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703486", "2020-01-02 03:05:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703485", "2020-01-02 03:05:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703484", "2020-01-02 03:04:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703483", "2020-01-02 03:04:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703482", "2020-01-02 03:04:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703481", "2020-01-02 03:03:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703480", "2020-01-02 03:03:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703479", "2020-01-02 03:02:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703478", "2020-01-02 03:01:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703477", "2020-01-02 03:01:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703476", "2020-01-02 03:01:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703475", "2020-01-02 03:00:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703474", "2020-01-02 03:00:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703473", "2020-01-02 03:00:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703472", "2020-01-02 02:59:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703471", "2020-01-02 02:59:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703470", "2020-01-02 02:58:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703469", "2020-01-02 02:58:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703468", "2020-01-02 02:58:10", "/https:/secure.microworks.com/Bucks/https:/secure.microworks.com/Bucks/https:/secure.microworks.com/Bucks/https:/twitter.com/buckspizzaHQ", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703467", "2020-01-02 02:58:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703466", "2020-01-02 02:58:08", "/https:/secure.microworks.com/Bucks/https:/secure.microworks.com/Bucks/https:/secure.microworks.com/Bucks/https:/secure.microworks.com/Bucks/Items.aspx?store=2212", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703464", "2020-01-02 02:58:02", "/709062702538858/", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703465", "2020-01-02 02:58:04", "/https:/secure.microworks.com/Bucks/https:/secure.microworks.com/Bucks/https:/cdnjs.cloudflare.com/ajax/libs/conditionizr.js/2.2.0/conditionizr.min.js?ver=2.2.0", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703463", "2020-01-02 02:58:00", "/https:/secure.microworks.com/Bucks/https:/secure.microworks.com/Bucks/https:/maps.googleapis.com/maps/api/js?v=3&amp;language=en&amp;key=AIzaSyBk9wOgfZw64-KO60OPXYk_XdcY_Zmj6Q4", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703462", "2020-01-02 02:57:59", "/https:/secure.microworks.com/Bucks/https:/secure.microworks.com/Bucks/https:/twitter.com/buckspizzaHQ", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703461", "2020-01-02 02:57:57", "/https:/secure.microworks.com/Bucks/https:/secure.microworks.com/Bucks/https:/secure.microworks.com/Bucks/Items.aspx?store=2212", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703459", "2020-01-02 02:57:51", "/709062702538858/", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703460", "2020-01-02 02:57:53", "/https:/secure.microworks.com/Bucks/https:/cdnjs.cloudflare.com/ajax/libs/conditionizr.js/2.2.0/conditionizr.min.js?ver=2.2.0", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703458", "2020-01-02 02:57:49", "/https:/secure.microworks.com/Bucks/https:/maps.googleapis.com/maps/api/js?v=3&amp;language=en&amp;key=AIzaSyBk9wOgfZw64-KO60OPXYk_XdcY_Zmj6Q4", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703457", "2020-01-02 02:57:47", "/https:/secure.microworks.com/Bucks/https:/twitter.com/buckspizzaHQ", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703456", "2020-01-02 02:57:45", "/https:/secure.microworks.com/Bucks/https:/secure.microworks.com/Bucks/Items.aspx?store=2212", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703455", "2020-01-02 02:57:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703454", "2020-01-02 02:57:41", "/https:/cdnjs.cloudflare.com/ajax/libs/conditionizr.js/2.2.0/conditionizr.min.js?ver=2.2.0", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703453", "2020-01-02 02:57:39", "/709062702538858/", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703452", "2020-01-02 02:57:38", "/https:/maps.googleapis.com/maps/api/js?v=3&amp;language=en&amp;key=AIzaSyBk9wOgfZw64-KO60OPXYk_XdcY_Zmj6Q4", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703451", "2020-01-02 02:57:36", "/googleads.g.doubleclick.net/pagead/viewthroughconversion/1017806189/?guid=ON&amp;script=0", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703450", "2020-01-02 02:57:34", "/cdnjs.cloudflare.com/ajax/libs/modernizr/2.6.2/modernizr.min.js?ver=2.6.2", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703449", "2020-01-02 02:57:32", "/ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js?ver=1.11.3", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703448", "2020-01-02 02:57:31", "/https:/twitter.com/buckspizzaHQ", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703447", "2020-01-02 02:57:28", "/https:/secure.microworks.com/Bucks/Items.aspx?store=2212", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703445", "2020-01-02 02:57:23", "/assets.pinterest.com/js/pinit.js", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703446", "2020-01-02 02:57:25", "/www.googleadservices.com/pagead/conversion.js", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703444", "2020-01-02 02:57:21", "/widget.manychat.com/210014902350663.js", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703442", "2020-01-02 02:57:17", "/www.google-analytics.com", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703443", "2020-01-02 02:57:19", "/platform.twitter.com/widgets.js", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1703441", "2020-01-02 02:57:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703440", "2020-01-02 02:56:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703439", "2020-01-02 02:56:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703438", "2020-01-02 02:55:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703437", "2020-01-02 02:55:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703436", "2020-01-02 02:55:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703435", "2020-01-02 02:54:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703434", "2020-01-02 02:54:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703433", "2020-01-02 02:54:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703432", "2020-01-02 02:53:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703431", "2020-01-02 02:53:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703430", "2020-01-02 02:52:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703429", "2020-01-02 02:52:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703428", "2020-01-02 02:52:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703427", "2020-01-02 02:51:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703426", "2020-01-02 02:50:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703425", "2020-01-02 02:50:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703424", "2020-01-02 02:49:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703423", "2020-01-02 02:49:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703422", "2020-01-02 02:49:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703421", "2020-01-02 02:48:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703420", "2020-01-02 02:48:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703419", "2020-01-02 02:47:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703418", "2020-01-02 02:47:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703417", "2020-01-02 02:46:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703416", "2020-01-02 02:46:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703415", "2020-01-02 02:45:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703414", "2020-01-02 02:45:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703413", "2020-01-02 02:45:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703412", "2020-01-02 02:44:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703411", "2020-01-02 02:44:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703410", "2020-01-02 02:44:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703409", "2020-01-02 02:43:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703408", "2020-01-02 02:43:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703407", "2020-01-02 02:42:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703406", "2020-01-02 02:42:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703405", "2020-01-02 02:41:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703404", "2020-01-02 02:41:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703403", "2020-01-02 02:40:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703402", "2020-01-02 02:40:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703401", "2020-01-02 02:40:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703400", "2020-01-02 02:39:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703399", "2020-01-02 02:39:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703398", "2020-01-02 02:39:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703397", "2020-01-02 02:38:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703396", "2020-01-02 02:38:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703395", "2020-01-02 02:37:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703394", "2020-01-02 02:37:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703393", "2020-01-02 02:36:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703392", "2020-01-02 02:36:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703391", "2020-01-02 02:35:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703390", "2020-01-02 02:35:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703389", "2020-01-02 02:35:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703388", "2020-01-02 02:34:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703387", "2020-01-02 02:34:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703386", "2020-01-02 02:34:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703385", "2020-01-02 02:33:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703384", "2020-01-02 02:33:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703383", "2020-01-02 02:32:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703382", "2020-01-02 02:32:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703381", "2020-01-02 02:31:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703380", "2020-01-02 02:31:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703379", "2020-01-02 02:30:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703378", "2020-01-02 02:30:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703377", "2020-01-02 02:30:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703376", "2020-01-02 02:29:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703375", "2020-01-02 02:29:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703374", "2020-01-02 02:29:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703373", "2020-01-02 02:27:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703372", "2020-01-02 02:27:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703371", "2020-01-02 02:27:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703370", "2020-01-02 02:26:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703369", "2020-01-02 02:26:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703368", "2020-01-02 02:26:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703367", "2020-01-02 02:25:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703366", "2020-01-02 02:25:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703365", "2020-01-02 02:25:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703364", "2020-01-02 02:23:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703363", "2020-01-02 02:23:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703362", "2020-01-02 02:23:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703361", "2020-01-02 02:22:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703360", "2020-01-02 02:22:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703359", "2020-01-02 02:22:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703358", "2020-01-02 02:21:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703357", "2020-01-02 02:21:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703356", "2020-01-02 02:21:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703355", "2020-01-02 02:20:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703354", "2020-01-02 02:20:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703353", "2020-01-02 02:19:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703352", "2020-01-02 02:18:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703351", "2020-01-02 02:18:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703350", "2020-01-02 02:18:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703349", "2020-01-02 02:17:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703348", "2020-01-02 02:17:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703347", "2020-01-02 02:17:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703346", "2020-01-02 02:16:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703345", "2020-01-02 02:16:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703344", "2020-01-02 02:16:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701581", "2020-01-01 11:34:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701580", "2020-01-01 11:34:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701579", "2020-01-01 11:34:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701578", "2020-01-01 11:33:26", "/2016/01/08/unique-pizza-toppings-never-tried/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1701577", "2020-01-01 11:33:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701576", "2020-01-01 11:33:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701575", "2020-01-01 11:33:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701574", "2020-01-01 11:32:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701573", "2020-01-01 11:32:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701572", "2020-01-01 11:32:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701571", "2020-01-01 11:31:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701570", "2020-01-01 11:31:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701569", "2020-01-01 11:31:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701568", "2020-01-01 11:30:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701567", "2020-01-01 11:30:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701566", "2020-01-01 11:30:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701565", "2020-01-01 11:28:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701564", "2020-01-01 11:28:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701563", "2020-01-01 11:28:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701562", "2020-01-01 11:27:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701561", "2020-01-01 11:27:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701560", "2020-01-01 11:27:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701559", "2020-01-01 11:26:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701558", "2020-01-01 11:26:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701557", "2020-01-01 11:26:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701556", "2020-01-01 11:25:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701555", "2020-01-01 11:25:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701554", "2020-01-01 11:25:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701553", "2020-01-01 11:24:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701552", "2020-01-01 11:24:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701551", "2020-01-01 11:24:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701550", "2020-01-01 11:23:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701549", "2020-01-01 11:23:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701548", "2020-01-01 11:23:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701547", "2020-01-01 11:22:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701546", "2020-01-01 11:22:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701545", "2020-01-01 11:22:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701544", "2020-01-01 11:21:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701543", "2020-01-01 11:21:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701542", "2020-01-01 11:20:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701541", "2020-01-01 11:20:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701540", "2020-01-01 11:20:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701539", "2020-01-01 11:19:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701538", "2020-01-01 11:19:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701537", "2020-01-01 11:19:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701536", "2020-01-01 11:18:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701535", "2020-01-01 11:17:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701534", "2020-01-01 11:17:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701533", "2020-01-01 11:16:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701532", "2020-01-01 11:16:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701531", "2020-01-01 11:16:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701530", "2020-01-01 11:15:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701529", "2020-01-01 11:15:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701528", "2020-01-01 11:15:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701527", "2020-01-01 11:15:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701525", "2020-01-01 11:14:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701526", "2020-01-01 11:14:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701524", "2020-01-01 11:14:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701523", "2020-01-01 11:14:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701522", "2020-01-01 11:13:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701521", "2020-01-01 11:13:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701520", "2020-01-01 11:13:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701519", "2020-01-01 11:12:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701518", "2020-01-01 11:12:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701517", "2020-01-01 11:12:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701516", "2020-01-01 11:11:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701515", "2020-01-01 11:11:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701514", "2020-01-01 11:11:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701513", "2020-01-01 11:10:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701512", "2020-01-01 11:10:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701511", "2020-01-01 11:10:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701510", "2020-01-01 11:09:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701509", "2020-01-01 11:09:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701508", "2020-01-01 11:09:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701507", "2020-01-01 11:08:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701506", "2020-01-01 11:08:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701505", "2020-01-01 11:07:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701504", "2020-01-01 11:07:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701503", "2020-01-01 11:06:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701502", "2020-01-01 11:06:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701501", "2020-01-01 11:06:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701500", "2020-01-01 11:05:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701499", "2020-01-01 11:05:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701498", "2020-01-01 11:05:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701497", "2020-01-01 11:04:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701496", "2020-01-01 11:04:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701495", "2020-01-01 11:04:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701494", "2020-01-01 11:03:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701493", "2020-01-01 11:03:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701492", "2020-01-01 11:03:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701491", "2020-01-01 11:02:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701490", "2020-01-01 11:02:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701489", "2020-01-01 11:02:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701488", "2020-01-01 11:01:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701487", "2020-01-01 11:01:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701486", "2020-01-01 11:01:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701485", "2020-01-01 11:00:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701484", "2020-01-01 11:00:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701483", "2020-01-01 11:00:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701482", "2020-01-01 10:59:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701481", "2020-01-01 10:59:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701480", "2020-01-01 10:59:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701479", "2020-01-01 10:58:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701478", "2020-01-01 10:58:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701477", "2020-01-01 10:58:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701476", "2020-01-01 10:58:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701475", "2020-01-01 10:57:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701474", "2020-01-01 10:57:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701473", "2020-01-01 10:56:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701472", "2020-01-01 10:56:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701471", "2020-01-01 10:56:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701470", "2020-01-01 10:55:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701469", "2020-01-01 10:55:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701468", "2020-01-01 10:55:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701467", "2020-01-01 10:54:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701466", "2020-01-01 10:53:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701465", "2020-01-01 10:53:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701464", "2020-01-01 10:53:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701463", "2020-01-01 10:52:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701462", "2020-01-01 10:52:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701461", "2020-01-01 10:52:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701460", "2020-01-01 10:51:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701459", "2020-01-01 10:51:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701458", "2020-01-01 10:51:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701457", "2020-01-01 10:50:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701456", "2020-01-01 10:50:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701455", "2020-01-01 10:50:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701454", "2020-01-01 10:49:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701453", "2020-01-01 10:49:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701452", "2020-01-01 10:49:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701451", "2020-01-01 10:48:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701450", "2020-01-01 10:48:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701449", "2020-01-01 10:48:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701448", "2020-01-01 10:47:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701447", "2020-01-01 10:47:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701446", "2020-01-01 10:47:15", "/2016/03/22/vegan-pizza-recipes/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701445", "2020-01-01 10:47:15", "/2015/12/04/miamis-10-best-pizza-places-2015/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701444", "2020-01-01 10:47:15", "/2016/01/08/unique-pizza-toppings-never-tried", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701443", "2020-01-01 10:47:15", "/2015/12/09/pizzas-surprising-health-benefits", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701442", "2020-01-01 10:47:15", "/2016/03/22/vegan-pizza-recipes/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701441", "2020-01-01 10:47:15", "/2015/12/04/miamis-10-best-pizza-places-2015/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701440", "2020-01-01 10:47:14", "/2015/12/09/pizzas-surprising-health-benefits", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701439", "2020-01-01 10:47:14", "/2015/12/16/save-breakfast-leftover-pizza-ideas/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701438", "2020-01-01 10:47:14", "/2016/03/25/low-carb-pizza-toppings/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701437", "2020-01-01 10:47:14", "/2016/03/25/low-carb-pizza-toppings/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701436", "2020-01-01 10:47:14", "/2015/12/04/miamis-10-best-pizza-places-2015/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701435", "2020-01-01 10:47:14", "/2016/01/08/unique-pizza-toppings-never-tried", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701434", "2020-01-01 10:47:14", "/pizza-recipes/vegan-pizza-recipes/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701433", "2020-01-01 10:47:14", "/2016/01/08/unique-pizza-toppings-never-tried", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701432", "2020-01-01 10:47:14", "/2015/12/04/miamis-10-best-pizza-places-2015/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701431", "2020-01-01 10:47:14", "/2015/12/09/pizzas-surprising-health-benefits", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701430", "2020-01-01 10:47:13", "/2015/12/16/save-breakfast-leftover-pizza-ideas/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701429", "2020-01-01 10:47:13", "/2015/12/16/save-breakfast-leftover-pizza-ideas/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701428", "2020-01-01 10:47:13", "/pizza-recipes/vegan-pizza-recipes/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701427", "2020-01-01 10:47:13", "/2015/12/09/pizzas-surprising-health-benefits", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701426", "2020-01-01 10:47:12", "/2015/12/16/save-breakfast-leftover-pizza-ideas/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701425", "2020-01-01 10:47:12", "/2016/03/25/low-carb-pizza-toppings/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701424", "2020-01-01 10:47:12", "/2016/01/08/unique-pizza-toppings-never-tried", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701423", "2020-01-01 10:47:11", "/2016/03/25/low-carb-pizza-toppings/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1701422", "2020-01-01 10:47:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701421", "2020-01-01 10:46:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701420", "2020-01-01 10:46:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701419", "2020-01-01 10:46:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701418", "2020-01-01 10:45:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701417", "2020-01-01 10:45:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701416", "2020-01-01 10:44:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701415", "2020-01-01 10:44:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701414", "2020-01-01 10:44:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701413", "2020-01-01 10:43:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701412", "2020-01-01 10:43:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701411", "2020-01-01 10:43:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701410", "2020-01-01 10:42:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701409", "2020-01-01 10:42:47", "/.well-known/security.txt", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/67.0.3396.99 Safari/537.36", NULL, "178128");
INSERT INTO `wp_redirection_404` VALUES("1701408", "2020-01-01 10:42:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701407", "2020-01-01 10:42:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701406", "2020-01-01 10:41:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701405", "2020-01-01 10:41:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701404", "2020-01-01 10:41:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701402", "2020-01-01 10:40:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701403", "2020-01-01 10:40:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701401", "2020-01-01 10:39:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701400", "2020-01-01 10:39:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701399", "2020-01-01 10:38:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701398", "2020-01-01 10:38:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701397", "2020-01-01 10:38:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701396", "2020-01-01 10:37:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701395", "2020-01-01 10:37:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701394", "2020-01-01 10:37:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701393", "2020-01-01 10:36:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701392", "2020-01-01 10:36:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701391", "2020-01-01 10:36:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701390", "2020-01-01 10:35:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701389", "2020-01-01 10:35:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701388", "2020-01-01 10:35:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701387", "2020-01-01 10:34:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701386", "2020-01-01 10:34:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701385", "2020-01-01 10:34:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701384", "2020-01-01 10:33:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701383", "2020-01-01 10:33:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701382", "2020-01-01 10:32:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701381", "2020-01-01 10:32:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701380", "2020-01-01 10:32:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701379", "2020-01-01 10:31:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701378", "2020-01-01 10:31:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701377", "2020-01-01 10:31:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701376", "2020-01-01 10:30:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701375", "2020-01-01 10:30:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701374", "2020-01-01 10:30:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701373", "2020-01-01 10:29:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701372", "2020-01-01 10:28:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701371", "2020-01-01 10:28:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701370", "2020-01-01 10:28:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701369", "2020-01-01 10:27:48", "/clearfield-pa/wing-day-wednesdays/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1701368", "2020-01-01 10:27:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701367", "2020-01-01 10:27:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701366", "2020-01-01 10:27:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701365", "2020-01-01 10:26:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701364", "2020-01-01 10:26:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701363", "2020-01-01 10:26:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701362", "2020-01-01 10:25:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701361", "2020-01-01 10:25:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701360", "2020-01-01 10:24:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701359", "2020-01-01 10:24:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701358", "2020-01-01 10:24:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701356", "2020-01-01 10:23:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701357", "2020-01-01 10:23:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701354", "2020-01-01 10:22:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701355", "2020-01-01 10:22:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701352", "2020-01-01 10:21:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701353", "2020-01-01 10:21:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701351", "2020-01-01 10:21:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701350", "2020-01-01 10:20:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701349", "2020-01-01 10:20:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701348", "2020-01-01 10:20:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701347", "2020-01-01 10:19:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701346", "2020-01-01 10:19:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701345", "2020-01-01 10:19:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701344", "2020-01-01 10:18:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701343", "2020-01-01 10:18:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701342", "2020-01-01 10:18:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701341", "2020-01-01 10:17:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701340", "2020-01-01 10:17:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701339", "2020-01-01 10:17:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701338", "2020-01-01 10:16:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701337", "2020-01-01 10:16:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701336", "2020-01-01 10:16:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701335", "2020-01-01 10:15:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701334", "2020-01-01 10:15:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701333", "2020-01-01 10:15:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701332", "2020-01-01 10:14:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701331", "2020-01-01 10:14:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701330", "2020-01-01 10:14:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701328", "2020-01-01 09:42:17", "/ads.txt", "MixnodeCache/1.8(+https://cache.mixnode.com/)", NULL, "54162");
INSERT INTO `wp_redirection_404` VALUES("1701329", "2020-01-01 09:53:21", "/summerville-sc/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1701327", "2020-01-01 09:34:43", "/js/upimg/dialog.js", "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Win64; x64; Trident/5.0)", "http://www.buckspizza.com/js/upimg/dialog.js", "39108");
INSERT INTO `wp_redirection_404` VALUES("1701326", "2020-01-01 09:10:34", "/wp-config.php_", "POLARIS/6.01 (BREW 3.1.5; U; en-us; LG; LX265; POLARIS/6.01/WAP) MMP/2.0 profile/MIDP-2.1 Configuration/CLDC-1.1", "buckspizza.com", "19898");
INSERT INTO `wp_redirection_404` VALUES("1701325", "2020-01-01 09:05:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701324", "2020-01-01 09:05:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701323", "2020-01-01 09:05:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701322", "2020-01-01 09:04:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701321", "2020-01-01 09:04:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701320", "2020-01-01 09:04:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701319", "2020-01-01 09:04:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701318", "2020-01-01 09:04:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701317", "2020-01-01 09:03:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701316", "2020-01-01 09:03:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701315", "2020-01-01 09:03:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701314", "2020-01-01 09:03:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701313", "2020-01-01 09:02:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701312", "2020-01-01 09:02:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701311", "2020-01-01 09:02:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701310", "2020-01-01 09:02:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701309", "2020-01-01 09:02:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701308", "2020-01-01 09:02:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701307", "2020-01-01 09:01:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701306", "2020-01-01 09:01:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701305", "2020-01-01 09:01:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701304", "2020-01-01 09:00:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701303", "2020-01-01 09:00:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701302", "2020-01-01 09:00:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701301", "2020-01-01 09:00:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701300", "2020-01-01 09:00:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701299", "2020-01-01 09:00:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701297", "2020-01-01 08:59:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701298", "2020-01-01 08:59:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701296", "2020-01-01 08:59:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701295", "2020-01-01 08:58:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701294", "2020-01-01 08:58:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701293", "2020-01-01 08:58:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701292", "2020-01-01 08:58:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701291", "2020-01-01 08:58:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701290", "2020-01-01 08:58:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701289", "2020-01-01 08:58:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701288", "2020-01-01 08:57:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701287", "2020-01-01 08:57:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701286", "2020-01-01 08:57:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701285", "2020-01-01 08:56:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701284", "2020-01-01 08:56:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701283", "2020-01-01 08:56:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701282", "2020-01-01 08:56:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701281", "2020-01-01 08:55:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701280", "2020-01-01 08:55:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701279", "2020-01-01 08:55:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701278", "2020-01-01 08:55:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701277", "2020-01-01 08:55:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701276", "2020-01-01 08:54:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701275", "2020-01-01 08:54:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701274", "2020-01-01 08:54:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701273", "2020-01-01 08:53:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701272", "2020-01-01 08:53:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701271", "2020-01-01 08:53:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701270", "2020-01-01 08:53:35", "/franchise/menus/39fbf547599e5231397e3a7d2c9d34aa.pdf", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "1366");
INSERT INTO `wp_redirection_404` VALUES("1701269", "2020-01-01 08:53:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701268", "2020-01-01 08:53:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701267", "2020-01-01 08:53:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701266", "2020-01-01 08:52:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701265", "2020-01-01 08:52:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701264", "2020-01-01 08:52:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701263", "2020-01-01 08:52:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701262", "2020-01-01 08:51:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701261", "2020-01-01 08:51:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701260", "2020-01-01 08:51:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701259", "2020-01-01 08:51:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701258", "2020-01-01 08:51:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701257", "2020-01-01 08:50:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701256", "2020-01-01 08:50:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701255", "2020-01-01 08:50:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701254", "2020-01-01 08:50:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701253", "2020-01-01 08:50:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701252", "2020-01-01 08:49:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701251", "2020-01-01 08:49:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701250", "2020-01-01 08:49:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701249", "2020-01-01 08:49:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701248", "2020-01-01 08:48:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701247", "2020-01-01 08:48:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701246", "2020-01-01 08:48:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701245", "2020-01-01 08:48:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701244", "2020-01-01 08:48:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701243", "2020-01-01 08:47:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701242", "2020-01-01 08:47:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701241", "2020-01-01 08:47:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701240", "2020-01-01 08:47:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701239", "2020-01-01 08:46:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701238", "2020-01-01 08:46:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701237", "2020-01-01 08:46:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701236", "2020-01-01 08:46:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701235", "2020-01-01 08:46:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701234", "2020-01-01 08:45:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701233", "2020-01-01 08:45:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701232", "2020-01-01 08:45:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701231", "2020-01-01 08:45:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701230", "2020-01-01 08:44:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701229", "2020-01-01 08:44:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701228", "2020-01-01 08:44:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701227", "2020-01-01 08:44:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701226", "2020-01-01 08:44:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701225", "2020-01-01 08:43:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701224", "2020-01-01 08:43:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701223", "2020-01-01 08:43:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701222", "2020-01-01 08:42:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701221", "2020-01-01 08:42:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701220", "2020-01-01 08:42:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701219", "2020-01-01 08:42:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701218", "2020-01-01 08:42:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701217", "2020-01-01 08:42:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701216", "2020-01-01 08:41:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701215", "2020-01-01 08:41:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701214", "2020-01-01 08:41:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701213", "2020-01-01 08:40:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701212", "2020-01-01 08:40:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701211", "2020-01-01 08:40:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701210", "2020-01-01 08:40:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701209", "2020-01-01 08:40:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701208", "2020-01-01 08:40:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701207", "2020-01-01 08:39:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701206", "2020-01-01 08:39:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701205", "2020-01-01 08:39:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701204", "2020-01-01 08:38:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701203", "2020-01-01 08:38:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701202", "2020-01-01 08:38:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701201", "2020-01-01 08:38:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701200", "2020-01-01 08:38:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701199", "2020-01-01 08:38:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701198", "2020-01-01 08:37:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701197", "2020-01-01 08:37:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701196", "2020-01-01 08:37:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701195", "2020-01-01 08:36:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701194", "2020-01-01 08:36:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701193", "2020-01-01 08:36:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701192", "2020-01-01 08:36:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701191", "2020-01-01 08:36:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701190", "2020-01-01 08:35:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701189", "2020-01-01 08:35:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701188", "2020-01-01 08:35:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701187", "2020-01-01 08:35:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701186", "2020-01-01 08:34:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701185", "2020-01-01 08:34:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701184", "2020-01-01 08:34:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701183", "2020-01-01 08:34:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701182", "2020-01-01 08:34:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701181", "2020-01-01 08:33:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701180", "2020-01-01 08:33:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701179", "2020-01-01 08:33:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701178", "2020-01-01 08:33:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701177", "2020-01-01 08:32:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701176", "2020-01-01 08:32:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701175", "2020-01-01 08:32:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701174", "2020-01-01 08:32:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701173", "2020-01-01 08:31:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701172", "2020-01-01 08:31:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701171", "2020-01-01 08:31:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701170", "2020-01-01 08:31:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701169", "2020-01-01 08:30:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701168", "2020-01-01 08:30:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701167", "2020-01-01 08:30:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701166", "2020-01-01 08:30:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701165", "2020-01-01 08:29:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701164", "2020-01-01 08:29:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701163", "2020-01-01 08:29:48", "/pizza-places/10-best-pizza-places-houston/", "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/34.0.1847.131 Safari/537.36", NULL, "43241");
INSERT INTO `wp_redirection_404` VALUES("1701162", "2020-01-01 08:29:45", "/pizza-places/10-best-pizza-places-houston/", "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/34.0.1847.131 Safari/537.36", NULL, "43241");
INSERT INTO `wp_redirection_404` VALUES("1701161", "2020-01-01 08:29:42", "/pizza-places/10-best-pizza-places-houston/", "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/34.0.1847.131 Safari/537.36", NULL, "43241");
INSERT INTO `wp_redirection_404` VALUES("1701160", "2020-01-01 08:29:40", "/pizza-places/10-best-pizza-places-houston/", "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/34.0.1847.131 Safari/537.36", NULL, "43241");
INSERT INTO `wp_redirection_404` VALUES("1701159", "2020-01-01 08:29:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701158", "2020-01-01 08:29:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701157", "2020-01-01 08:29:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701156", "2020-01-01 08:28:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701155", "2020-01-01 08:28:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701154", "2020-01-01 08:28:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701153", "2020-01-01 08:28:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701152", "2020-01-01 08:27:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701151", "2020-01-01 08:27:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701150", "2020-01-01 08:27:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701149", "2020-01-01 08:27:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701148", "2020-01-01 08:27:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701147", "2020-01-01 08:26:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701146", "2020-01-01 08:26:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701145", "2020-01-01 08:26:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701144", "2020-01-01 08:26:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701143", "2020-01-01 08:25:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701142", "2020-01-01 08:25:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701141", "2020-01-01 08:25:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701140", "2020-01-01 08:25:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701139", "2020-01-01 08:25:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701138", "2020-01-01 08:24:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701137", "2020-01-01 08:24:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701136", "2020-01-01 08:24:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701135", "2020-01-01 08:23:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701134", "2020-01-01 08:23:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701133", "2020-01-01 08:23:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701132", "2020-01-01 08:23:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701131", "2020-01-01 08:22:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701130", "2020-01-01 08:22:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701129", "2020-01-01 08:22:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701128", "2020-01-01 08:22:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701127", "2020-01-01 08:22:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701126", "2020-01-01 08:21:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701125", "2020-01-01 08:21:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701124", "2020-01-01 08:21:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701123", "2020-01-01 08:20:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701122", "2020-01-01 08:20:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701121", "2020-01-01 08:20:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701120", "2020-01-01 08:20:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701119", "2020-01-01 08:19:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701118", "2020-01-01 08:19:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701117", "2020-01-01 08:19:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701116", "2020-01-01 08:19:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701115", "2020-01-01 08:19:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701114", "2020-01-01 08:18:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701113", "2020-01-01 08:18:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701112", "2020-01-01 08:18:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701111", "2020-01-01 08:17:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701110", "2020-01-01 08:17:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701109", "2020-01-01 08:17:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701108", "2020-01-01 08:17:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701107", "2020-01-01 08:16:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701106", "2020-01-01 08:16:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701105", "2020-01-01 08:16:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701104", "2020-01-01 08:16:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701103", "2020-01-01 08:16:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701102", "2020-01-01 08:15:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701101", "2020-01-01 08:15:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701100", "2020-01-01 08:15:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701099", "2020-01-01 08:14:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701098", "2020-01-01 08:14:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701097", "2020-01-01 08:14:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701096", "2020-01-01 08:13:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701095", "2020-01-01 08:13:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701094", "2020-01-01 08:13:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701093", "2020-01-01 08:13:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701092", "2020-01-01 08:13:03", "/thank-you-celebration/attachment/febthankyou/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1701091", "2020-01-01 08:12:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701090", "2020-01-01 08:12:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701089", "2020-01-01 08:12:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701088", "2020-01-01 08:12:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701087", "2020-01-01 08:12:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701086", "2020-01-01 08:11:46", "/deliciousdeals/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1701085", "2020-01-01 08:11:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701084", "2020-01-01 08:11:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701083", "2020-01-01 08:11:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701082", "2020-01-01 08:10:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701081", "2020-01-01 08:10:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701080", "2020-01-01 08:10:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701079", "2020-01-01 08:10:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701078", "2020-01-01 08:09:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701077", "2020-01-01 08:09:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701076", "2020-01-01 08:09:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701075", "2020-01-01 08:09:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701074", "2020-01-01 08:08:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701073", "2020-01-01 08:08:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701072", "2020-01-01 08:08:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701071", "2020-01-01 08:08:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701070", "2020-01-01 08:07:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701069", "2020-01-01 08:07:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701068", "2020-01-01 08:07:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701067", "2020-01-01 08:07:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701066", "2020-01-01 08:06:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701065", "2020-01-01 08:06:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701064", "2020-01-01 08:06:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701063", "2020-01-01 08:06:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701062", "2020-01-01 08:05:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701061", "2020-01-01 08:05:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701060", "2020-01-01 08:05:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701059", "2020-01-01 08:05:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701058", "2020-01-01 08:05:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701057", "2020-01-01 08:04:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701056", "2020-01-01 08:04:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701055", "2020-01-01 08:04:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701054", "2020-01-01 08:03:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701053", "2020-01-01 08:03:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701052", "2020-01-01 08:03:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701051", "2020-01-01 08:02:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701050", "2020-01-01 08:02:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701049", "2020-01-01 08:02:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701048", "2020-01-01 08:02:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701047", "2020-01-01 08:01:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701046", "2020-01-01 08:01:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701045", "2020-01-01 08:01:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701044", "2020-01-01 08:01:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701043", "2020-01-01 08:01:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701042", "2020-01-01 08:00:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701041", "2020-01-01 08:00:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701040", "2020-01-01 08:00:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701039", "2020-01-01 07:59:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701038", "2020-01-01 07:59:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701037", "2020-01-01 07:59:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701036", "2020-01-01 07:58:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701035", "2020-01-01 07:58:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701034", "2020-01-01 07:58:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701033", "2020-01-01 07:58:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701032", "2020-01-01 07:57:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701031", "2020-01-01 07:57:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701030", "2020-01-01 07:57:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701029", "2020-01-01 07:57:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701028", "2020-01-01 07:57:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701027", "2020-01-01 07:56:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701026", "2020-01-01 07:56:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701025", "2020-01-01 07:56:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701024", "2020-01-01 07:55:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701023", "2020-01-01 07:55:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701022", "2020-01-01 07:55:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701021", "2020-01-01 07:55:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701020", "2020-01-01 07:54:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701019", "2020-01-01 07:54:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701018", "2020-01-01 07:54:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701017", "2020-01-01 07:54:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701016", "2020-01-01 07:54:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701015", "2020-01-01 07:53:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701014", "2020-01-01 07:53:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701013", "2020-01-01 07:53:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701012", "2020-01-01 07:52:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701011", "2020-01-01 07:52:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701010", "2020-01-01 07:52:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701009", "2020-01-01 07:52:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701008", "2020-01-01 07:51:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701007", "2020-01-01 07:51:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701006", "2020-01-01 07:51:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701005", "2020-01-01 07:51:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701004", "2020-01-01 07:51:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701003", "2020-01-01 07:50:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701002", "2020-01-01 07:50:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701001", "2020-01-01 07:50:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701000", "2020-01-01 07:49:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700999", "2020-01-01 07:49:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700998", "2020-01-01 07:49:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700997", "2020-01-01 07:49:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700996", "2020-01-01 07:48:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700995", "2020-01-01 07:48:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700994", "2020-01-01 07:48:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700993", "2020-01-01 07:48:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700992", "2020-01-01 07:48:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700991", "2020-01-01 07:47:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700990", "2020-01-01 07:47:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700989", "2020-01-01 07:47:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700988", "2020-01-01 07:46:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700987", "2020-01-01 07:46:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700986", "2020-01-01 07:46:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700985", "2020-01-01 07:45:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700984", "2020-01-01 07:45:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700983", "2020-01-01 07:45:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700982", "2020-01-01 07:45:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700981", "2020-01-01 07:44:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700980", "2020-01-01 07:44:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700979", "2020-01-01 07:44:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700978", "2020-01-01 07:44:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700977", "2020-01-01 07:44:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700976", "2020-01-01 07:43:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700975", "2020-01-01 07:43:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700974", "2020-01-01 07:43:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700973", "2020-01-01 07:42:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700972", "2020-01-01 07:42:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700971", "2020-01-01 07:42:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700970", "2020-01-01 07:42:12", "/wp-content/plugins/store-locator/js/\"   url  ", "SiteLockSpider [en] (WinNT; I ;Nav)", NULL, "184154");
INSERT INTO `wp_redirection_404` VALUES("1700968", "2020-01-01 07:42:00", "/th1s_1s_a_4o4.html", "SiteLockSpider [en] (WinNT; I ;Nav)", NULL, "184154");
INSERT INTO `wp_redirection_404` VALUES("1700969", "2020-01-01 07:42:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700967", "2020-01-01 07:41:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700966", "2020-01-01 07:41:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700965", "2020-01-01 07:41:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700964", "2020-01-01 07:41:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700963", "2020-01-01 07:40:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700962", "2020-01-01 07:40:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700961", "2020-01-01 07:40:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700960", "2020-01-01 07:40:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700959", "2020-01-01 07:39:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700958", "2020-01-01 07:39:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700957", "2020-01-01 07:39:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700956", "2020-01-01 07:38:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700955", "2020-01-01 07:38:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700954", "2020-01-01 07:38:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700953", "2020-01-01 07:38:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700952", "2020-01-01 07:37:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700951", "2020-01-01 07:37:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700950", "2020-01-01 07:37:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700949", "2020-01-01 07:37:16", "/hazelgreen-al/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1700948", "2020-01-01 07:37:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700947", "2020-01-01 07:36:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700946", "2020-01-01 07:36:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700945", "2020-01-01 07:36:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700944", "2020-01-01 07:36:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700943", "2020-01-01 07:35:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700942", "2020-01-01 07:35:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700941", "2020-01-01 07:35:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700940", "2020-01-01 07:34:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700939", "2020-01-01 07:34:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700938", "2020-01-01 07:34:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700937", "2020-01-01 07:33:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700936", "2020-01-01 07:33:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700935", "2020-01-01 07:33:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700934", "2020-01-01 07:33:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700933", "2020-01-01 07:32:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700932", "2020-01-01 07:32:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700931", "2020-01-01 07:32:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700930", "2020-01-01 07:31:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700929", "2020-01-01 07:31:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700928", "2020-01-01 07:31:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700927", "2020-01-01 07:31:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700926", "2020-01-01 07:30:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700925", "2020-01-01 07:30:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700924", "2020-01-01 07:30:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700923", "2020-01-01 07:29:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700922", "2020-01-01 07:29:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700921", "2020-01-01 07:29:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700920", "2020-01-01 07:29:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700919", "2020-01-01 07:28:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700918", "2020-01-01 07:28:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700917", "2020-01-01 07:28:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700916", "2020-01-01 07:27:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700915", "2020-01-01 07:27:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700914", "2020-01-01 07:27:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700913", "2020-01-01 07:26:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700912", "2020-01-01 07:26:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700911", "2020-01-01 07:26:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700910", "2020-01-01 07:25:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700909", "2020-01-01 07:25:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700908", "2020-01-01 07:25:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700907", "2020-01-01 07:24:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700906", "2020-01-01 07:24:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700905", "2020-01-01 07:24:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700904", "2020-01-01 07:23:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700903", "2020-01-01 07:23:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700902", "2020-01-01 07:23:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700901", "2020-01-01 07:22:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700900", "2020-01-01 07:22:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700899", "2020-01-01 07:21:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700898", "2020-01-01 07:21:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700897", "2020-01-01 07:21:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700896", "2020-01-01 07:20:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700895", "2020-01-01 07:20:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700894", "2020-01-01 07:20:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700893", "2020-01-01 07:19:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700892", "2020-01-01 07:19:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700891", "2020-01-01 07:19:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700890", "2020-01-01 07:18:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700889", "2020-01-01 07:18:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700888", "2020-01-01 07:18:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700887", "2020-01-01 07:17:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700886", "2020-01-01 07:17:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700885", "2020-01-01 07:17:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700884", "2020-01-01 07:16:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700883", "2020-01-01 07:16:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700882", "2020-01-01 07:16:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700881", "2020-01-01 07:16:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700880", "2020-01-01 07:15:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700879", "2020-01-01 07:15:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700878", "2020-01-01 07:15:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700877", "2020-01-01 07:14:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700876", "2020-01-01 07:14:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700875", "2020-01-01 07:14:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700874", "2020-01-01 07:13:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700873", "2020-01-01 07:13:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700872", "2020-01-01 07:13:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700871", "2020-01-01 07:12:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700870", "2020-01-01 07:12:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700869", "2020-01-01 07:12:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700868", "2020-01-01 07:11:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700867", "2020-01-01 07:11:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700866", "2020-01-01 07:11:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700865", "2020-01-01 07:11:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700864", "2020-01-01 07:10:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700863", "2020-01-01 07:10:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700862", "2020-01-01 07:10:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700861", "2020-01-01 07:09:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700860", "2020-01-01 07:09:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700859", "2020-01-01 07:09:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700858", "2020-01-01 07:08:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700857", "2020-01-01 07:08:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700856", "2020-01-01 07:08:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700855", "2020-01-01 07:07:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700854", "2020-01-01 07:07:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700853", "2020-01-01 07:07:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700852", "2020-01-01 07:06:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700851", "2020-01-01 07:06:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700850", "2020-01-01 07:05:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700849", "2020-01-01 07:05:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700848", "2020-01-01 07:05:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700847", "2020-01-01 07:04:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700846", "2020-01-01 07:04:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700845", "2020-01-01 07:04:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700844", "2020-01-01 07:03:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700843", "2020-01-01 07:03:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700842", "2020-01-01 07:03:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700841", "2020-01-01 07:02:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700840", "2020-01-01 07:02:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700839", "2020-01-01 07:02:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700838", "2020-01-01 07:01:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700837", "2020-01-01 07:01:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700836", "2020-01-01 07:01:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700835", "2020-01-01 07:00:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700834", "2020-01-01 07:00:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700833", "2020-01-01 07:00:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700832", "2020-01-01 06:59:52", "/2015/11/11/how-host-perfect-family-movie-night-home/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1700831", "2020-01-01 06:59:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700830", "2020-01-01 06:59:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700829", "2020-01-01 06:59:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700828", "2020-01-01 06:58:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700827", "2020-01-01 06:58:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700826", "2020-01-01 06:58:37", "/locatestore.php?st=FL", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1700825", "2020-01-01 06:58:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700824", "2020-01-01 06:57:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700823", "2020-01-01 06:57:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700822", "2020-01-01 06:57:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700821", "2020-01-01 06:56:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700820", "2020-01-01 06:56:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700819", "2020-01-01 06:55:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700818", "2020-01-01 06:55:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700817", "2020-01-01 06:55:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700816", "2020-01-01 06:54:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700815", "2020-01-01 06:54:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700814", "2020-01-01 06:54:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700813", "2020-01-01 06:53:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700812", "2020-01-01 06:53:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700811", "2020-01-01 06:53:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700810", "2020-01-01 06:52:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700809", "2020-01-01 06:52:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700808", "2020-01-01 06:52:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700807", "2020-01-01 06:51:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700806", "2020-01-01 06:51:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700805", "2020-01-01 06:51:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700804", "2020-01-01 06:50:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700803", "2020-01-01 06:50:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700802", "2020-01-01 06:50:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700801", "2020-01-01 06:49:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700800", "2020-01-01 06:49:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700799", "2020-01-01 06:49:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700798", "2020-01-01 06:48:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700797", "2020-01-01 06:48:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700796", "2020-01-01 06:48:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700795", "2020-01-01 06:47:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700794", "2020-01-01 06:47:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700793", "2020-01-01 06:47:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700792", "2020-01-01 06:46:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700791", "2020-01-01 06:46:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700790", "2020-01-01 06:46:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700789", "2020-01-01 06:45:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700788", "2020-01-01 06:45:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700787", "2020-01-01 06:45:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700786", "2020-01-01 06:44:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700785", "2020-01-01 06:44:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700784", "2020-01-01 06:44:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700783", "2020-01-01 06:43:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700782", "2020-01-01 06:43:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700781", "2020-01-01 06:43:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700780", "2020-01-01 06:42:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700779", "2020-01-01 06:42:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700778", "2020-01-01 06:42:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700777", "2020-01-01 06:41:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700776", "2020-01-01 06:41:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700775", "2020-01-01 06:41:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700774", "2020-01-01 06:40:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700773", "2020-01-01 06:40:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700772", "2020-01-01 06:40:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700771", "2020-01-01 06:39:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700770", "2020-01-01 06:39:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700769", "2020-01-01 06:39:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700768", "2020-01-01 06:38:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700767", "2020-01-01 06:38:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700766", "2020-01-01 06:38:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700765", "2020-01-01 06:37:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700764", "2020-01-01 06:37:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700763", "2020-01-01 06:37:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700762", "2020-01-01 06:36:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700761", "2020-01-01 06:36:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700760", "2020-01-01 06:36:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700759", "2020-01-01 06:35:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700758", "2020-01-01 06:35:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700757", "2020-01-01 06:35:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700756", "2020-01-01 06:34:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700755", "2020-01-01 06:34:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700754", "2020-01-01 06:34:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700753", "2020-01-01 06:33:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700752", "2020-01-01 06:33:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700751", "2020-01-01 06:33:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700750", "2020-01-01 06:32:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700749", "2020-01-01 06:32:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700748", "2020-01-01 06:32:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700747", "2020-01-01 06:31:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700746", "2020-01-01 06:30:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700745", "2020-01-01 06:30:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700744", "2020-01-01 06:30:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700743", "2020-01-01 06:29:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700742", "2020-01-01 06:29:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700741", "2020-01-01 06:28:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700740", "2020-01-01 06:28:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700739", "2020-01-01 06:28:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700738", "2020-01-01 06:27:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700737", "2020-01-01 06:27:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700736", "2020-01-01 06:27:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700735", "2020-01-01 06:26:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700734", "2020-01-01 06:26:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700733", "2020-01-01 06:26:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700732", "2020-01-01 06:25:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700731", "2020-01-01 06:25:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700730", "2020-01-01 06:25:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700729", "2020-01-01 06:24:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700728", "2020-01-01 06:24:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700727", "2020-01-01 06:24:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700726", "2020-01-01 06:23:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700725", "2020-01-01 06:23:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700724", "2020-01-01 06:23:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700723", "2020-01-01 06:22:56", "/clearfield-pa/wing-day-wednesdays/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1700722", "2020-01-01 06:22:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700721", "2020-01-01 06:22:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700720", "2020-01-01 06:22:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700719", "2020-01-01 06:21:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700718", "2020-01-01 06:21:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700717", "2020-01-01 06:21:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700716", "2020-01-01 06:20:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700715", "2020-01-01 06:20:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700714", "2020-01-01 06:20:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700713", "2020-01-01 06:19:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700712", "2020-01-01 06:19:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700711", "2020-01-01 06:19:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700710", "2020-01-01 06:18:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700709", "2020-01-01 06:18:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700708", "2020-01-01 06:18:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700707", "2020-01-01 06:17:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700706", "2020-01-01 06:17:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700705", "2020-01-01 06:17:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700704", "2020-01-01 06:16:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700703", "2020-01-01 06:16:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700702", "2020-01-01 06:15:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700701", "2020-01-01 06:15:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700700", "2020-01-01 06:15:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700699", "2020-01-01 06:14:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700698", "2020-01-01 06:14:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700697", "2020-01-01 06:14:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700696", "2020-01-01 06:13:49", "/2016/01/08/unique-pizza-toppings-never-tried/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1700695", "2020-01-01 06:13:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700694", "2020-01-01 06:13:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700693", "2020-01-01 06:13:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700692", "2020-01-01 06:12:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700691", "2020-01-01 06:12:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700690", "2020-01-01 06:11:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700689", "2020-01-01 06:11:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700688", "2020-01-01 06:11:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700687", "2020-01-01 06:10:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700686", "2020-01-01 06:10:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700685", "2020-01-01 06:10:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700684", "2020-01-01 06:09:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700683", "2020-01-01 06:09:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700682", "2020-01-01 06:09:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700681", "2020-01-01 06:08:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700680", "2020-01-01 06:08:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700679", "2020-01-01 06:08:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700678", "2020-01-01 06:07:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700677", "2020-01-01 06:07:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700676", "2020-01-01 06:07:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700675", "2020-01-01 06:06:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700674", "2020-01-01 06:06:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700673", "2020-01-01 06:06:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700672", "2020-01-01 06:05:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700671", "2020-01-01 06:05:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700670", "2020-01-01 06:05:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700669", "2020-01-01 06:04:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700668", "2020-01-01 06:04:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700667", "2020-01-01 06:04:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700666", "2020-01-01 06:03:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700665", "2020-01-01 06:03:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700664", "2020-01-01 06:03:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700663", "2020-01-01 06:02:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700662", "2020-01-01 06:02:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700661", "2020-01-01 06:02:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700660", "2020-01-01 06:01:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700659", "2020-01-01 06:01:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700658", "2020-01-01 06:00:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700657", "2020-01-01 06:00:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700656", "2020-01-01 06:00:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700655", "2020-01-01 05:59:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700654", "2020-01-01 05:59:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700653", "2020-01-01 05:59:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700652", "2020-01-01 05:58:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700651", "2020-01-01 05:58:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700650", "2020-01-01 05:58:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700649", "2020-01-01 05:57:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700648", "2020-01-01 05:57:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700647", "2020-01-01 05:57:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700646", "2020-01-01 05:56:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700645", "2020-01-01 05:56:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700644", "2020-01-01 05:56:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700643", "2020-01-01 05:55:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700642", "2020-01-01 05:55:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700641", "2020-01-01 05:55:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700640", "2020-01-01 05:54:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700639", "2020-01-01 05:54:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700638", "2020-01-01 05:53:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700637", "2020-01-01 05:53:57", "/public/js/wind.js", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "39104");
INSERT INTO `wp_redirection_404` VALUES("1700636", "2020-01-01 05:53:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700635", "2020-01-01 05:53:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700634", "2020-01-01 05:52:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700633", "2020-01-01 05:52:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700632", "2020-01-01 05:52:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700631", "2020-01-01 05:51:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700630", "2020-01-01 05:51:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700629", "2020-01-01 05:51:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700628", "2020-01-01 05:50:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700627", "2020-01-01 05:50:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700626", "2020-01-01 05:50:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700625", "2020-01-01 05:49:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700624", "2020-01-01 05:49:30", "/js/comm.js", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "39104");
INSERT INTO `wp_redirection_404` VALUES("1700623", "2020-01-01 05:49:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700622", "2020-01-01 05:49:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700621", "2020-01-01 05:48:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700620", "2020-01-01 05:48:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700619", "2020-01-01 05:48:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700618", "2020-01-01 05:48:17", "/public/ui/v1/js/sea.js", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "39104");
INSERT INTO `wp_redirection_404` VALUES("1700617", "2020-01-01 05:47:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700616", "2020-01-01 05:47:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700615", "2020-01-01 05:47:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700614", "2020-01-01 05:46:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700613", "2020-01-01 05:46:34", "/data/admin/allowurl.txt", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "39104");
INSERT INTO `wp_redirection_404` VALUES("1700612", "2020-01-01 05:46:27", "/router.php", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "39104");
INSERT INTO `wp_redirection_404` VALUES("1700611", "2020-01-01 05:46:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700610", "2020-01-01 05:46:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700609", "2020-01-01 05:45:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700608", "2020-01-01 05:45:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700607", "2020-01-01 05:45:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700606", "2020-01-01 05:44:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700605", "2020-01-01 05:44:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700604", "2020-01-01 05:44:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700603", "2020-01-01 05:43:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700602", "2020-01-01 05:43:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700601", "2020-01-01 05:43:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700600", "2020-01-01 05:42:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700599", "2020-01-01 05:42:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700598", "2020-01-01 05:42:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700597", "2020-01-01 05:41:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700596", "2020-01-01 05:41:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700595", "2020-01-01 05:41:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700594", "2020-01-01 05:40:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700593", "2020-01-01 05:40:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700592", "2020-01-01 05:40:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700591", "2020-01-01 05:39:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700590", "2020-01-01 05:39:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700589", "2020-01-01 05:39:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700588", "2020-01-01 05:38:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700587", "2020-01-01 05:38:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700586", "2020-01-01 05:38:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700585", "2020-01-01 05:37:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700584", "2020-01-01 05:37:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700583", "2020-01-01 05:37:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700582", "2020-01-01 05:36:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700581", "2020-01-01 05:35:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700580", "2020-01-01 05:35:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700579", "2020-01-01 05:34:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700578", "2020-01-01 05:34:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700577", "2020-01-01 05:34:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700576", "2020-01-01 05:33:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700575", "2020-01-01 05:33:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700574", "2020-01-01 05:33:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700573", "2020-01-01 05:32:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700572", "2020-01-01 05:32:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700571", "2020-01-01 05:32:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700570", "2020-01-01 05:31:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700569", "2020-01-01 05:31:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700568", "2020-01-01 05:31:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700567", "2020-01-01 05:30:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700566", "2020-01-01 05:30:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700565", "2020-01-01 05:30:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700564", "2020-01-01 05:29:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700563", "2020-01-01 05:29:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700562", "2020-01-01 05:29:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700561", "2020-01-01 05:28:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700560", "2020-01-01 05:28:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700559", "2020-01-01 05:28:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700558", "2020-01-01 05:27:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700557", "2020-01-01 05:27:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700556", "2020-01-01 05:26:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700555", "2020-01-01 05:26:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700554", "2020-01-01 05:26:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700553", "2020-01-01 05:25:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700552", "2020-01-01 05:25:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700551", "2020-01-01 05:25:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700550", "2020-01-01 05:24:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700549", "2020-01-01 05:24:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700548", "2020-01-01 05:24:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700547", "2020-01-01 05:24:21", "/?author=10", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21876");
INSERT INTO `wp_redirection_404` VALUES("1700546", "2020-01-01 05:24:19", "/?author=9", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21876");
INSERT INTO `wp_redirection_404` VALUES("1700545", "2020-01-01 05:24:16", "/?author=8", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21876");
INSERT INTO `wp_redirection_404` VALUES("1700544", "2020-01-01 05:24:14", "/?author=7", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21876");
INSERT INTO `wp_redirection_404` VALUES("1700543", "2020-01-01 05:24:12", "/?author=6", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21876");
INSERT INTO `wp_redirection_404` VALUES("1700542", "2020-01-01 05:24:10", "/?author=5", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21876");
INSERT INTO `wp_redirection_404` VALUES("1700541", "2020-01-01 05:24:07", "/?author=4", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21876");
INSERT INTO `wp_redirection_404` VALUES("1700540", "2020-01-01 05:24:05", "/?author=3", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21876");
INSERT INTO `wp_redirection_404` VALUES("1700539", "2020-01-01 05:23:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700538", "2020-01-01 05:23:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700537", "2020-01-01 05:23:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700536", "2020-01-01 05:22:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700535", "2020-01-01 05:22:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700534", "2020-01-01 05:22:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700533", "2020-01-01 05:21:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700532", "2020-01-01 05:21:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700531", "2020-01-01 05:21:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700530", "2020-01-01 05:20:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700529", "2020-01-01 05:20:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700528", "2020-01-01 05:20:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700527", "2020-01-01 05:19:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700526", "2020-01-01 05:19:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700525", "2020-01-01 05:19:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700524", "2020-01-01 05:18:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700523", "2020-01-01 05:18:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700522", "2020-01-01 05:18:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700521", "2020-01-01 05:17:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700520", "2020-01-01 05:17:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700519", "2020-01-01 05:17:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700518", "2020-01-01 05:16:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700517", "2020-01-01 05:16:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700516", "2020-01-01 05:16:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700515", "2020-01-01 05:15:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700514", "2020-01-01 05:15:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700513", "2020-01-01 05:15:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700512", "2020-01-01 05:14:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700511", "2020-01-01 05:14:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700510", "2020-01-01 05:14:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700509", "2020-01-01 05:13:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700508", "2020-01-01 05:13:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700507", "2020-01-01 05:12:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700506", "2020-01-01 05:12:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700505", "2020-01-01 05:11:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700504", "2020-01-01 05:11:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700503", "2020-01-01 05:11:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700502", "2020-01-01 05:10:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700501", "2020-01-01 05:10:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700500", "2020-01-01 05:10:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700499", "2020-01-01 05:09:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700498", "2020-01-01 05:09:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700497", "2020-01-01 05:08:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700496", "2020-01-01 05:08:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700495", "2020-01-01 05:08:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700494", "2020-01-01 05:07:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700493", "2020-01-01 05:07:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700492", "2020-01-01 05:07:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700491", "2020-01-01 05:06:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700490", "2020-01-01 05:06:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700489", "2020-01-01 05:06:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700488", "2020-01-01 05:05:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700487", "2020-01-01 05:05:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700486", "2020-01-01 05:05:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700485", "2020-01-01 05:04:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700484", "2020-01-01 05:04:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700483", "2020-01-01 05:04:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700482", "2020-01-01 05:03:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700481", "2020-01-01 05:03:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700480", "2020-01-01 05:03:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700479", "2020-01-01 05:02:36", "/wp-admin/wp-admin.php.suspected", "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US) AppleWebKit/533.4 (KHTML, like Gecko) Chrome/5.0.375.99 Safari/533.4", "http://site.ru", "69163");
INSERT INTO `wp_redirection_404` VALUES("1700478", "2020-01-01 05:02:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700477", "2020-01-01 05:02:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700476", "2020-01-01 05:02:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700475", "2020-01-01 05:01:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700474", "2020-01-01 05:01:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700473", "2020-01-01 05:01:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700472", "2020-01-01 05:00:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700471", "2020-01-01 05:00:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700470", "2020-01-01 05:00:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700469", "2020-01-01 04:59:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700468", "2020-01-01 04:59:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700467", "2020-01-01 04:59:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700466", "2020-01-01 04:58:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700465", "2020-01-01 04:58:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700464", "2020-01-01 04:57:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700463", "2020-01-01 04:57:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700462", "2020-01-01 04:57:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700461", "2020-01-01 04:56:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700460", "2020-01-01 04:56:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700459", "2020-01-01 04:55:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700458", "2020-01-01 04:55:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700457", "2020-01-01 04:54:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700456", "2020-01-01 04:54:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700455", "2020-01-01 04:54:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700454", "2020-01-01 04:53:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700453", "2020-01-01 04:53:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700452", "2020-01-01 04:53:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700451", "2020-01-01 04:52:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700450", "2020-01-01 04:52:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700449", "2020-01-01 04:52:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700448", "2020-01-01 04:51:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700447", "2020-01-01 04:51:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700446", "2020-01-01 04:51:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700445", "2020-01-01 04:50:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700444", "2020-01-01 04:50:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700443", "2020-01-01 04:50:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700442", "2020-01-01 04:49:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700441", "2020-01-01 04:49:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700440", "2020-01-01 04:49:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700439", "2020-01-01 04:48:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700438", "2020-01-01 04:48:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700437", "2020-01-01 04:48:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700436", "2020-01-01 04:47:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700435", "2020-01-01 04:47:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700434", "2020-01-01 04:47:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700433", "2020-01-01 04:46:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700432", "2020-01-01 04:46:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700431", "2020-01-01 04:46:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700430", "2020-01-01 04:45:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700429", "2020-01-01 04:45:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700428", "2020-01-01 04:45:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700427", "2020-01-01 04:44:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700426", "2020-01-01 04:43:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700425", "2020-01-01 04:43:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700424", "2020-01-01 04:43:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700423", "2020-01-01 04:42:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700422", "2020-01-01 04:42:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700421", "2020-01-01 04:42:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700420", "2020-01-01 04:41:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700419", "2020-01-01 04:41:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700418", "2020-01-01 04:40:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700417", "2020-01-01 04:40:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700416", "2020-01-01 04:40:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700415", "2020-01-01 04:39:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700414", "2020-01-01 04:39:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700413", "2020-01-01 04:39:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700412", "2020-01-01 04:38:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700411", "2020-01-01 04:38:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700410", "2020-01-01 04:38:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700409", "2020-01-01 04:37:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700408", "2020-01-01 04:37:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700407", "2020-01-01 04:37:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700406", "2020-01-01 04:36:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700405", "2020-01-01 04:36:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700404", "2020-01-01 04:36:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700403", "2020-01-01 04:35:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700402", "2020-01-01 04:35:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700401", "2020-01-01 04:35:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700400", "2020-01-01 04:34:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700399", "2020-01-01 04:34:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700398", "2020-01-01 04:34:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700397", "2020-01-01 04:33:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700396", "2020-01-01 04:32:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700395", "2020-01-01 04:32:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700394", "2020-01-01 04:32:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700393", "2020-01-01 04:31:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700392", "2020-01-01 04:31:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700391", "2020-01-01 04:31:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700390", "2020-01-01 04:30:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700389", "2020-01-01 04:30:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700388", "2020-01-01 04:29:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700387", "2020-01-01 04:29:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700386", "2020-01-01 04:29:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700385", "2020-01-01 04:28:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700384", "2020-01-01 04:28:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700383", "2020-01-01 04:28:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700382", "2020-01-01 04:27:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700381", "2020-01-01 04:27:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700380", "2020-01-01 04:27:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700379", "2020-01-01 04:26:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700378", "2020-01-01 04:26:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700377", "2020-01-01 04:26:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700376", "2020-01-01 04:25:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700375", "2020-01-01 04:25:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700374", "2020-01-01 04:25:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700373", "2020-01-01 04:24:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700372", "2020-01-01 04:24:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700371", "2020-01-01 04:24:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700370", "2020-01-01 04:23:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700369", "2020-01-01 04:23:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700368", "2020-01-01 04:23:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700367", "2020-01-01 04:22:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700366", "2020-01-01 04:22:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700365", "2020-01-01 04:21:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700364", "2020-01-01 04:20:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700363", "2020-01-01 04:20:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700362", "2020-01-01 04:20:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700361", "2020-01-01 04:19:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700360", "2020-01-01 04:19:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700359", "2020-01-01 04:19:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700358", "2020-01-01 04:18:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700357", "2020-01-01 04:18:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700356", "2020-01-01 04:18:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700355", "2020-01-01 04:17:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700354", "2020-01-01 04:17:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700353", "2020-01-01 04:17:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700352", "2020-01-01 04:16:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700351", "2020-01-01 04:16:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700350", "2020-01-01 04:16:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700349", "2020-01-01 04:15:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700348", "2020-01-01 04:15:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700347", "2020-01-01 04:15:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700346", "2020-01-01 04:14:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700345", "2020-01-01 04:14:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700344", "2020-01-01 04:14:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700343", "2020-01-01 04:13:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700342", "2020-01-01 04:13:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700341", "2020-01-01 04:12:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700340", "2020-01-01 04:12:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700339", "2020-01-01 04:12:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700338", "2020-01-01 04:11:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700337", "2020-01-01 04:11:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700336", "2020-01-01 04:11:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700335", "2020-01-01 04:10:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700334", "2020-01-01 04:10:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700333", "2020-01-01 04:09:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700332", "2020-01-01 04:09:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700331", "2020-01-01 04:08:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700330", "2020-01-01 04:08:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700329", "2020-01-01 04:08:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700328", "2020-01-01 04:07:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700327", "2020-01-01 04:07:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700326", "2020-01-01 04:07:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700325", "2020-01-01 04:06:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700324", "2020-01-01 04:06:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700323", "2020-01-01 04:06:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700322", "2020-01-01 04:05:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700321", "2020-01-01 04:05:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700320", "2020-01-01 04:05:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700319", "2020-01-01 04:04:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700318", "2020-01-01 04:04:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700317", "2020-01-01 04:04:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700316", "2020-01-01 04:03:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700315", "2020-01-01 04:03:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700314", "2020-01-01 04:03:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700313", "2020-01-01 04:02:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700312", "2020-01-01 04:02:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700311", "2020-01-01 04:02:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700310", "2020-01-01 04:01:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700309", "2020-01-01 04:01:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700308", "2020-01-01 04:00:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700307", "2020-01-01 04:00:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700306", "2020-01-01 03:59:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700305", "2020-01-01 03:59:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700304", "2020-01-01 03:59:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700303", "2020-01-01 03:58:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700302", "2020-01-01 03:58:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700301", "2020-01-01 03:58:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700300", "2020-01-01 03:57:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700299", "2020-01-01 03:57:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700298", "2020-01-01 03:57:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700297", "2020-01-01 03:56:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700296", "2020-01-01 03:56:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700295", "2020-01-01 03:55:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700294", "2020-01-01 03:55:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700293", "2020-01-01 03:55:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700292", "2020-01-01 03:54:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700291", "2020-01-01 03:54:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700290", "2020-01-01 03:54:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700289", "2020-01-01 03:53:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700288", "2020-01-01 03:53:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700287", "2020-01-01 03:53:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700286", "2020-01-01 03:52:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700285", "2020-01-01 03:52:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700284", "2020-01-01 03:52:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700283", "2020-01-01 03:51:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700282", "2020-01-01 03:51:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700281", "2020-01-01 03:51:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700280", "2020-01-01 03:50:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700279", "2020-01-01 03:50:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700278", "2020-01-01 03:49:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700277", "2020-01-01 03:49:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700276", "2020-01-01 03:48:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700275", "2020-01-01 03:48:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700274", "2020-01-01 03:48:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700273", "2020-01-01 03:47:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700272", "2020-01-01 03:47:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700271", "2020-01-01 03:47:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700270", "2020-01-01 03:46:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700269", "2020-01-01 03:46:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700268", "2020-01-01 03:46:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700267", "2020-01-01 03:45:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700266", "2020-01-01 03:45:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700265", "2020-01-01 03:44:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700264", "2020-01-01 03:44:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700263", "2020-01-01 03:44:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700262", "2020-01-01 03:43:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700261", "2020-01-01 03:43:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700260", "2020-01-01 03:43:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700259", "2020-01-01 03:42:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700258", "2020-01-01 03:42:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700257", "2020-01-01 03:42:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700256", "2020-01-01 03:41:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700255", "2020-01-01 03:41:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700254", "2020-01-01 03:41:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700253", "2020-01-01 03:40:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700252", "2020-01-01 03:40:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700251", "2020-01-01 03:40:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700250", "2020-01-01 03:39:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700249", "2020-01-01 03:39:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700248", "2020-01-01 03:39:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700247", "2020-01-01 03:38:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700246", "2020-01-01 03:38:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700245", "2020-01-01 03:37:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700244", "2020-01-01 03:36:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700243", "2020-01-01 03:36:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700242", "2020-01-01 03:36:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700241", "2020-01-01 03:35:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700240", "2020-01-01 03:35:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700239", "2020-01-01 03:35:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700238", "2020-01-01 03:34:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700237", "2020-01-01 03:34:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700236", "2020-01-01 03:33:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700235", "2020-01-01 03:33:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700234", "2020-01-01 03:33:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700233", "2020-01-01 03:32:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700232", "2020-01-01 03:32:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700231", "2020-01-01 03:31:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700230", "2020-01-01 03:31:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700229", "2020-01-01 03:31:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700228", "2020-01-01 03:30:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700227", "2020-01-01 03:30:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700226", "2020-01-01 03:30:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700225", "2020-01-01 03:29:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700224", "2020-01-01 03:29:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700223", "2020-01-01 03:29:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700222", "2020-01-01 03:28:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700221", "2020-01-01 03:28:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700220", "2020-01-01 03:28:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700219", "2020-01-01 03:27:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700218", "2020-01-01 03:27:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700217", "2020-01-01 03:27:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700216", "2020-01-01 03:26:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700215", "2020-01-01 03:25:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700214", "2020-01-01 03:25:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700213", "2020-01-01 03:25:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700212", "2020-01-01 03:24:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700211", "2020-01-01 03:24:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700210", "2020-01-01 03:24:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700209", "2020-01-01 03:23:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700208", "2020-01-01 03:23:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700207", "2020-01-01 03:23:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700206", "2020-01-01 03:22:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700205", "2020-01-01 03:22:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700204", "2020-01-01 03:22:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700203", "2020-01-01 03:21:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700202", "2020-01-01 03:21:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700201", "2020-01-01 03:20:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700200", "2020-01-01 03:20:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700199", "2020-01-01 03:20:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700198", "2020-01-01 03:19:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700197", "2020-01-01 03:19:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700196", "2020-01-01 03:19:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700195", "2020-01-01 03:18:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700194", "2020-01-01 03:18:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700193", "2020-01-01 03:18:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700192", "2020-01-01 03:17:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700191", "2020-01-01 03:17:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700190", "2020-01-01 03:17:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700189", "2020-01-01 03:16:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700188", "2020-01-01 03:16:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700187", "2020-01-01 03:16:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700186", "2020-01-01 03:15:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700185", "2020-01-01 03:15:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700184", "2020-01-01 03:14:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700183", "2020-01-01 03:14:46", "/pizza-parties/how-host-perfect-family-movie-night-home/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1700182", "2020-01-01 03:14:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700181", "2020-01-01 03:14:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700180", "2020-01-01 03:13:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700179", "2020-01-01 03:13:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700178", "2020-01-01 03:13:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700177", "2020-01-01 03:12:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700176", "2020-01-01 03:12:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700175", "2020-01-01 03:12:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700174", "2020-01-01 03:11:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700173", "2020-01-01 03:11:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700172", "2020-01-01 03:11:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700171", "2020-01-01 03:10:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700170", "2020-01-01 03:10:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700169", "2020-01-01 03:10:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700168", "2020-01-01 03:09:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700167", "2020-01-01 03:09:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700166", "2020-01-01 03:08:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700165", "2020-01-01 03:08:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700164", "2020-01-01 03:08:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700163", "2020-01-01 03:07:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700162", "2020-01-01 03:06:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700161", "2020-01-01 03:06:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700160", "2020-01-01 03:06:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700159", "2020-01-01 03:05:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700158", "2020-01-01 03:05:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700157", "2020-01-01 03:05:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700156", "2020-01-01 03:04:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700155", "2020-01-01 03:04:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700154", "2020-01-01 03:04:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700153", "2020-01-01 03:03:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700152", "2020-01-01 03:03:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700151", "2020-01-01 03:02:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700150", "2020-01-01 03:02:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700149", "2020-01-01 03:02:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700148", "2020-01-01 03:01:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700147", "2020-01-01 03:01:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700146", "2020-01-01 03:01:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700145", "2020-01-01 03:00:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700144", "2020-01-01 03:00:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700143", "2020-01-01 02:59:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700142", "2020-01-01 02:59:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700141", "2020-01-01 02:59:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700140", "2020-01-01 02:58:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700139", "2020-01-01 02:58:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700138", "2020-01-01 02:58:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700137", "2020-01-01 02:57:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700136", "2020-01-01 02:57:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700135", "2020-01-01 02:56:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700134", "2020-01-01 02:56:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700133", "2020-01-01 02:56:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700132", "2020-01-01 02:55:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700131", "2020-01-01 02:55:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700130", "2020-01-01 02:55:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700129", "2020-01-01 02:54:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700128", "2020-01-01 02:54:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700127", "2020-01-01 02:54:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700126", "2020-01-01 02:53:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700125", "2020-01-01 02:53:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700124", "2020-01-01 02:53:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700123", "2020-01-01 02:52:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700122", "2020-01-01 02:52:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700121", "2020-01-01 02:52:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700120", "2020-01-01 02:51:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700119", "2020-01-01 02:51:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700118", "2020-01-01 02:51:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700117", "2020-01-01 02:50:59", "/dubois-", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700116", "2020-01-01 02:50:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700115", "2020-01-01 02:50:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700114", "2020-01-01 02:50:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700113", "2020-01-01 02:49:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700112", "2020-01-01 02:49:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700111", "2020-01-01 02:49:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700110", "2020-01-01 02:48:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700109", "2020-01-01 02:48:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700108", "2020-01-01 02:47:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700107", "2020-01-01 02:47:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700106", "2020-01-01 02:46:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700105", "2020-01-01 02:46:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700104", "2020-01-01 02:46:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700103", "2020-01-01 02:45:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700102", "2020-01-01 02:45:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700101", "2020-01-01 02:45:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700100", "2020-01-01 02:44:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700099", "2020-01-01 02:44:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700098", "2020-01-01 02:44:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700097", "2020-01-01 02:43:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700096", "2020-01-01 02:43:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700095", "2020-01-01 02:43:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700094", "2020-01-01 02:42:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700093", "2020-01-01 02:42:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700092", "2020-01-01 02:42:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700091", "2020-01-01 02:41:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700090", "2020-01-01 02:41:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700089", "2020-01-01 02:40:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700088", "2020-01-01 02:40:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700087", "2020-01-01 02:39:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700086", "2020-01-01 02:39:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700085", "2020-01-01 02:39:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700084", "2020-01-01 02:38:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700083", "2020-01-01 02:38:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700082", "2020-01-01 02:37:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700081", "2020-01-01 02:37:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700080", "2020-01-01 02:37:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700079", "2020-01-01 02:36:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700078", "2020-01-01 02:36:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700077", "2020-01-01 02:36:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700076", "2020-01-01 02:35:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700075", "2020-01-01 02:35:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700074", "2020-01-01 02:35:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700073", "2020-01-01 02:34:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700072", "2020-01-01 02:34:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700071", "2020-01-01 02:33:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700070", "2020-01-01 02:33:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700069", "2020-01-01 02:33:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700068", "2020-01-01 02:32:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700067", "2020-01-01 02:31:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700066", "2020-01-01 02:31:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700065", "2020-01-01 02:31:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700064", "2020-01-01 02:30:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700063", "2020-01-01 02:30:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700062", "2020-01-01 02:30:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700061", "2020-01-01 02:29:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700060", "2020-01-01 02:29:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700059", "2020-01-01 02:29:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700058", "2020-01-01 02:28:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700057", "2020-01-01 02:28:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700056", "2020-01-01 02:28:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700055", "2020-01-01 02:27:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700054", "2020-01-01 02:27:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700053", "2020-01-01 02:27:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700052", "2020-01-01 02:26:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700051", "2020-01-01 02:26:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700050", "2020-01-01 02:26:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700049", "2020-01-01 02:25:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700048", "2020-01-01 02:25:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700047", "2020-01-01 02:25:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700046", "2020-01-01 02:24:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700045", "2020-01-01 02:24:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700044", "2020-01-01 02:24:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700043", "2020-01-01 02:23:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700042", "2020-01-01 02:23:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700041", "2020-01-01 02:22:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700040", "2020-01-01 02:22:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700039", "2020-01-01 02:22:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700038", "2020-01-01 02:21:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700037", "2020-01-01 02:21:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700036", "2020-01-01 02:20:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700035", "2020-01-01 02:20:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700034", "2020-01-01 02:19:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700033", "2020-01-01 02:19:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700032", "2020-01-01 02:19:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700031", "2020-01-01 02:18:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700030", "2020-01-01 02:18:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700029", "2020-01-01 02:18:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700028", "2020-01-01 02:17:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700027", "2020-01-01 02:17:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700026", "2020-01-01 02:17:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700025", "2020-01-01 02:16:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700024", "2020-01-01 02:16:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700023", "2020-01-01 02:16:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700022", "2020-01-01 02:15:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700021", "2020-01-01 02:15:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700020", "2020-01-01 02:15:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700019", "2020-01-01 02:14:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700018", "2020-01-01 02:14:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700017", "2020-01-01 02:14:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700016", "2020-01-01 02:13:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700015", "2020-01-01 02:13:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700014", "2020-01-01 02:13:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700013", "2020-01-01 02:12:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700012", "2020-01-01 02:12:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700011", "2020-01-01 02:12:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700010", "2020-01-01 02:11:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700009", "2020-01-01 02:11:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700008", "2020-01-01 02:10:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700007", "2020-01-01 02:10:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700006", "2020-01-01 02:10:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700005", "2020-01-01 02:09:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700004", "2020-01-01 02:09:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700003", "2020-01-01 02:08:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700002", "2020-01-01 02:08:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700001", "2020-01-01 02:07:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1700000", "2020-01-01 02:07:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699999", "2020-01-01 02:06:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699998", "2020-01-01 02:06:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699997", "2020-01-01 02:06:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699996", "2020-01-01 02:05:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699995", "2020-01-01 02:05:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699994", "2020-01-01 02:05:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699993", "2020-01-01 02:04:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699992", "2020-01-01 02:04:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699991", "2020-01-01 02:04:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699990", "2020-01-01 02:03:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699989", "2020-01-01 02:03:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699988", "2020-01-01 02:03:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699987", "2020-01-01 02:02:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699986", "2020-01-01 02:02:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699985", "2020-01-01 02:02:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699984", "2020-01-01 02:01:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699983", "2020-01-01 02:01:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699982", "2020-01-01 02:01:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699981", "2020-01-01 02:00:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699980", "2020-01-01 02:00:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699979", "2020-01-01 02:00:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699978", "2020-01-01 01:59:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699977", "2020-01-01 01:59:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699976", "2020-01-01 01:59:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699975", "2020-01-01 01:58:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699974", "2020-01-01 01:58:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699973", "2020-01-01 01:57:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699972", "2020-01-01 01:56:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699971", "2020-01-01 01:56:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699970", "2020-01-01 01:56:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699969", "2020-01-01 01:55:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699968", "2020-01-01 01:55:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699967", "2020-01-01 01:55:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699966", "2020-01-01 01:54:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699965", "2020-01-01 01:54:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699964", "2020-01-01 01:54:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699963", "2020-01-01 01:53:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699962", "2020-01-01 01:53:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699961", "2020-01-01 01:53:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699960", "2020-01-01 01:52:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699959", "2020-01-01 01:52:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699958", "2020-01-01 01:52:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699957", "2020-01-01 01:51:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699956", "2020-01-01 01:51:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699955", "2020-01-01 01:51:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699954", "2020-01-01 01:50:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699953", "2020-01-01 01:50:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699952", "2020-01-01 01:49:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699951", "2020-01-01 01:49:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699950", "2020-01-01 01:49:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699949", "2020-01-01 01:48:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699948", "2020-01-01 01:48:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699947", "2020-01-01 01:48:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699946", "2020-01-01 01:47:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699945", "2020-01-01 01:47:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699944", "2020-01-01 01:46:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699943", "2020-01-01 01:46:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699942", "2020-01-01 01:45:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699941", "2020-01-01 01:45:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699940", "2020-01-01 01:45:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699939", "2020-01-01 01:44:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699938", "2020-01-01 01:44:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699937", "2020-01-01 01:44:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699936", "2020-01-01 01:43:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699935", "2020-01-01 01:43:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699934", "2020-01-01 01:43:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699933", "2020-01-01 01:43:22", "/pizza-parties/wine-pairing-pizza-toppings/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1699932", "2020-01-01 01:42:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699931", "2020-01-01 01:42:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699930", "2020-01-01 01:42:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699929", "2020-01-01 01:41:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699928", "2020-01-01 01:41:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699927", "2020-01-01 01:41:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699926", "2020-01-01 01:41:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699925", "2020-01-01 01:40:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699924", "2020-01-01 01:40:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699923", "2020-01-01 01:40:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699922", "2020-01-01 01:39:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699921", "2020-01-01 01:39:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699920", "2020-01-01 01:39:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699919", "2020-01-01 01:38:37", "/wp-content/themes/bucks-child/fonts/ALoveofThunder.ttf) format(\"truetype", "Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1; WOW64; Trident/4.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET4.0E)", "http://buckspizza.com/", "221145");
INSERT INTO `wp_redirection_404` VALUES("1699918", "2020-01-01 01:38:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699917", "2020-01-01 01:38:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699916", "2020-01-01 01:38:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699915", "2020-01-01 01:37:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699914", "2020-01-01 01:37:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699913", "2020-01-01 01:36:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699912", "2020-01-01 01:36:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699911", "2020-01-01 01:36:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699910", "2020-01-01 01:35:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699909", "2020-01-01 01:35:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699908", "2020-01-01 01:34:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699907", "2020-01-01 01:34:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699906", "2020-01-01 01:34:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699905", "2020-01-01 01:33:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699904", "2020-01-01 01:33:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699903", "2020-01-01 01:32:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699902", "2020-01-01 01:32:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699901", "2020-01-01 01:32:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699900", "2020-01-01 01:31:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699899", "2020-01-01 01:30:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699898", "2020-01-01 01:30:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699897", "2020-01-01 01:30:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699896", "2020-01-01 01:29:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699895", "2020-01-01 01:29:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699894", "2020-01-01 01:29:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699893", "2020-01-01 01:28:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699892", "2020-01-01 01:28:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699891", "2020-01-01 01:28:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699890", "2020-01-01 01:27:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699889", "2020-01-01 01:27:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699888", "2020-01-01 01:27:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699887", "2020-01-01 01:26:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699886", "2020-01-01 01:26:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699885", "2020-01-01 01:25:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699884", "2020-01-01 01:25:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699883", "2020-01-01 01:24:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699882", "2020-01-01 01:24:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699881", "2020-01-01 01:23:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699880", "2020-01-01 01:23:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699879", "2020-01-01 01:23:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699878", "2020-01-01 01:22:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699877", "2020-01-01 01:22:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699876", "2020-01-01 01:22:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699875", "2020-01-01 01:21:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699874", "2020-01-01 01:21:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699873", "2020-01-01 01:21:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699872", "2020-01-01 01:20:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699871", "2020-01-01 01:20:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699870", "2020-01-01 01:20:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699869", "2020-01-01 01:19:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699868", "2020-01-01 01:19:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699867", "2020-01-01 01:19:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699866", "2020-01-01 01:19:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699865", "2020-01-01 01:18:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699864", "2020-01-01 01:18:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699863", "2020-01-01 01:18:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699862", "2020-01-01 01:17:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699861", "2020-01-01 01:17:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699860", "2020-01-01 01:17:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699859", "2020-01-01 01:16:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699858", "2020-01-01 01:15:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699857", "2020-01-01 01:15:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699856", "2020-01-01 01:15:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699855", "2020-01-01 01:14:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699854", "2020-01-01 01:14:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699853", "2020-01-01 01:13:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699852", "2020-01-01 01:13:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699851", "2020-01-01 01:13:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699850", "2020-01-01 01:12:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699849", "2020-01-01 01:12:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699848", "2020-01-01 01:12:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699847", "2020-01-01 01:11:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699846", "2020-01-01 01:11:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699845", "2020-01-01 01:11:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699844", "2020-01-01 01:10:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699843", "2020-01-01 01:10:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699842", "2020-01-01 01:10:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699841", "2020-01-01 01:09:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699840", "2020-01-01 01:09:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699839", "2020-01-01 01:09:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699838", "2020-01-01 01:08:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699837", "2020-01-01 01:08:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699836", "2020-01-01 01:08:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699835", "2020-01-01 01:07:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699834", "2020-01-01 01:07:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699833", "2020-01-01 01:06:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699832", "2020-01-01 01:05:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699831", "2020-01-01 01:05:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699830", "2020-01-01 01:05:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699829", "2020-01-01 01:04:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699828", "2020-01-01 01:04:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699827", "2020-01-01 01:04:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699826", "2020-01-01 01:03:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699825", "2020-01-01 01:03:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699824", "2020-01-01 01:03:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699823", "2020-01-01 01:03:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699822", "2020-01-01 01:02:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699821", "2020-01-01 01:02:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699820", "2020-01-01 01:02:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699819", "2020-01-01 01:01:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699818", "2020-01-01 01:01:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699817", "2020-01-01 01:00:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699816", "2020-01-01 01:00:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699815", "2020-01-01 01:00:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699814", "2020-01-01 00:59:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699813", "2020-01-01 00:59:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699812", "2020-01-01 00:59:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699811", "2020-01-01 00:58:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699810", "2020-01-01 00:58:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699809", "2020-01-01 00:58:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699808", "2020-01-01 00:57:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699807", "2020-01-01 00:57:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699806", "2020-01-01 00:57:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699805", "2020-01-01 00:56:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699804", "2020-01-01 00:56:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699803", "2020-01-01 00:55:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699802", "2020-01-01 00:55:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699801", "2020-01-01 00:55:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699800", "2020-01-01 00:54:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699799", "2020-01-01 00:54:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699798", "2020-01-01 00:53:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699797", "2020-01-01 00:53:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699796", "2020-01-01 00:53:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699795", "2020-01-01 00:52:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699794", "2020-01-01 00:52:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699793", "2020-01-01 00:52:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699792", "2020-01-01 00:51:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699791", "2020-01-01 00:51:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699790", "2020-01-01 00:51:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699789", "2020-01-01 00:50:35", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "24182");
INSERT INTO `wp_redirection_404` VALUES("1699788", "2020-01-01 00:50:34", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "24182");
INSERT INTO `wp_redirection_404` VALUES("1699787", "2020-01-01 00:50:34", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "24182");
INSERT INTO `wp_redirection_404` VALUES("1699786", "2020-01-01 00:50:34", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "24182");
INSERT INTO `wp_redirection_404` VALUES("1699785", "2020-01-01 00:50:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699784", "2020-01-01 00:50:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699783", "2020-01-01 00:50:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699782", "2020-01-01 00:49:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699781", "2020-01-01 00:49:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699780", "2020-01-01 00:49:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699779", "2020-01-01 00:48:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699778", "2020-01-01 00:47:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699777", "2020-01-01 00:47:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699776", "2020-01-01 00:47:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699775", "2020-01-01 00:46:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699774", "2020-01-01 00:46:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699773", "2020-01-01 00:45:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699772", "2020-01-01 00:45:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699771", "2020-01-01 00:45:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699770", "2020-01-01 00:44:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699769", "2020-01-01 00:44:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699768", "2020-01-01 00:44:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699767", "2020-01-01 00:43:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699766", "2020-01-01 00:43:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699765", "2020-01-01 00:43:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699764", "2020-01-01 00:42:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699763", "2020-01-01 00:42:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699762", "2020-01-01 00:41:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699761", "2020-01-01 00:40:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699760", "2020-01-01 00:40:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699759", "2020-01-01 00:40:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699758", "2020-01-01 00:39:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699757", "2020-01-01 00:39:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699756", "2020-01-01 00:39:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699755", "2020-01-01 00:38:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699753", "2020-01-01 00:38:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699754", "2020-01-01 00:38:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699752", "2020-01-01 00:37:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699751", "2020-01-01 00:37:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699750", "2020-01-01 00:37:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699749", "2020-01-01 00:36:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699748", "2020-01-01 00:36:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699747", "2020-01-01 00:36:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699746", "2020-01-01 00:35:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699745", "2020-01-01 00:35:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699744", "2020-01-01 00:35:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699743", "2020-01-01 00:34:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699742", "2020-01-01 00:34:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699741", "2020-01-01 00:33:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699740", "2020-01-01 00:33:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699739", "2020-01-01 00:33:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699738", "2020-01-01 00:32:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699737", "2020-01-01 00:32:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699736", "2020-01-01 00:32:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699735", "2020-01-01 00:31:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699734", "2020-01-01 00:31:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699733", "2020-01-01 00:31:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699732", "2020-01-01 00:30:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699731", "2020-01-01 00:29:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699730", "2020-01-01 00:29:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699728", "2020-01-01 00:28:46", "/hello.php", NULL, NULL, "11825");
INSERT INTO `wp_redirection_404` VALUES("1699729", "2020-01-01 00:29:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699727", "2020-01-01 00:28:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699726", "2020-01-01 00:27:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699725", "2020-01-01 00:27:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699724", "2020-01-01 00:26:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699723", "2020-01-01 00:26:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699722", "2020-01-01 00:26:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699721", "2020-01-01 00:25:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699720", "2020-01-01 00:25:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699719", "2020-01-01 00:25:40", "/wp-admin/css/common.php", "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US) AppleWebKit/533.4 (KHTML, like Gecko) Chrome/5.0.375.99 Safari/533.4", "http://site.ru", "184168");
INSERT INTO `wp_redirection_404` VALUES("1699718", "2020-01-01 00:25:04", "/public/router.php", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "39104");
INSERT INTO `wp_redirection_404` VALUES("1699717", "2020-01-01 00:24:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699716", "2020-01-01 00:24:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699715", "2020-01-01 00:24:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699714", "2020-01-01 00:24:06", "/wp-content/gallery.php", "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US) AppleWebKit/533.4 (KHTML, like Gecko) Chrome/5.0.375.99 Safari/533.4", "http://site.ru", "192115");
INSERT INTO `wp_redirection_404` VALUES("1699713", "2020-01-01 00:23:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699712", "2020-01-01 00:23:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699711", "2020-01-01 00:23:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699710", "2020-01-01 00:22:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699709", "2020-01-01 00:22:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699708", "2020-01-01 00:22:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699707", "2020-01-01 00:21:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699706", "2020-01-01 00:21:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699705", "2020-01-01 00:21:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699704", "2020-01-01 00:20:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699703", "2020-01-01 00:20:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699702", "2020-01-01 00:20:18", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "74192");
INSERT INTO `wp_redirection_404` VALUES("1699701", "2020-01-01 00:20:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699700", "2020-01-01 00:20:17", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "74192");
INSERT INTO `wp_redirection_404` VALUES("1699699", "2020-01-01 00:19:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699698", "2020-01-01 00:19:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699697", "2020-01-01 00:19:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699696", "2020-01-01 00:18:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699695", "2020-01-01 00:18:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699694", "2020-01-01 00:18:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699693", "2020-01-01 00:17:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699692", "2020-01-01 00:17:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699691", "2020-01-01 00:17:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699690", "2020-01-01 00:16:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699689", "2020-01-01 00:15:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699688", "2020-01-01 00:15:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699687", "2020-01-01 00:15:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699686", "2020-01-01 00:14:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699685", "2020-01-01 00:14:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699684", "2020-01-01 00:14:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699683", "2020-01-01 00:13:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699682", "2020-01-01 00:13:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699681", "2020-01-01 00:13:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699680", "2020-01-01 00:12:50", "/ads.txt", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699679", "2020-01-01 00:12:50", "/ads.txt", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699678", "2020-01-01 00:12:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699677", "2020-01-01 00:12:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699676", "2020-01-01 00:11:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699675", "2020-01-01 00:11:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699674", "2020-01-01 00:11:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699673", "2020-01-01 00:10:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699672", "2020-01-01 00:10:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699671", "2020-01-01 00:10:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699670", "2020-01-01 00:09:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699669", "2020-01-01 00:09:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699668", "2020-01-01 00:09:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699667", "2020-01-01 00:08:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699666", "2020-01-01 00:08:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699665", "2020-01-01 00:08:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699664", "2020-01-01 00:07:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699663", "2020-01-01 00:07:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699661", "2020-01-01 00:06:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699662", "2020-01-01 00:07:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699660", "2020-01-01 00:06:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699659", "2020-01-01 00:06:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699658", "2020-01-01 00:05:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699657", "2020-01-01 00:05:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699656", "2020-01-01 00:05:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699655", "2020-01-01 00:04:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699654", "2020-01-01 00:04:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699653", "2020-01-01 00:04:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699652", "2020-01-01 00:03:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699651", "2020-01-01 00:02:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699650", "2020-01-01 00:02:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699649", "2020-01-01 00:02:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699648", "2020-01-01 00:01:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699647", "2020-01-01 00:01:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699646", "2020-01-01 00:01:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699645", "2020-01-01 00:00:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699644", "2020-01-01 00:00:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699643", "2019-12-31 23:59:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699642", "2019-12-31 23:59:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699641", "2019-12-31 23:59:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699640", "2019-12-31 23:58:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699639", "2019-12-31 23:58:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699638", "2019-12-31 23:58:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699637", "2019-12-31 23:57:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699636", "2019-12-31 23:57:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699635", "2019-12-31 23:57:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699634", "2019-12-31 23:56:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699633", "2019-12-31 23:56:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699632", "2019-12-31 23:56:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699631", "2019-12-31 23:56:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699630", "2019-12-31 23:55:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699629", "2019-12-31 23:55:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699628", "2019-12-31 23:55:03", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "173186");
INSERT INTO `wp_redirection_404` VALUES("1699627", "2019-12-31 23:55:02", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "173186");
INSERT INTO `wp_redirection_404` VALUES("1699626", "2019-12-31 23:54:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699625", "2019-12-31 23:54:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699624", "2019-12-31 23:54:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699623", "2019-12-31 23:53:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699622", "2019-12-31 23:53:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699621", "2019-12-31 23:53:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699620", "2019-12-31 23:52:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699619", "2019-12-31 23:52:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699618", "2019-12-31 23:52:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699617", "2019-12-31 23:51:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699616", "2019-12-31 23:51:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699615", "2019-12-31 23:51:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699614", "2019-12-31 23:50:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699613", "2019-12-31 23:50:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699612", "2019-12-31 23:50:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699611", "2019-12-31 23:49:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699610", "2019-12-31 23:49:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699609", "2019-12-31 23:48:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699608", "2019-12-31 23:48:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699607", "2019-12-31 23:48:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699606", "2019-12-31 23:47:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699605", "2019-12-31 23:47:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699604", "2019-12-31 23:46:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699602", "2019-12-31 23:46:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699603", "2019-12-31 23:46:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699601", "2019-12-31 23:45:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699600", "2019-12-31 23:45:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699599", "2019-12-31 23:45:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699598", "2019-12-31 23:44:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699597", "2019-12-31 23:44:45", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1107.1 Darwin/19.0.0", NULL, "6748");
INSERT INTO `wp_redirection_404` VALUES("1699596", "2019-12-31 23:44:44", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1107.1 Darwin/19.0.0", NULL, "6748");
INSERT INTO `wp_redirection_404` VALUES("1699594", "2019-12-31 23:44:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699595", "2019-12-31 23:44:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699593", "2019-12-31 23:43:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699592", "2019-12-31 23:43:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699590", "2019-12-31 23:42:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699591", "2019-12-31 23:42:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699588", "2019-12-31 23:41:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699589", "2019-12-31 23:42:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699586", "2019-12-31 23:41:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699587", "2019-12-31 23:41:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699585", "2019-12-31 23:40:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699584", "2019-12-31 23:40:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699583", "2019-12-31 23:39:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699582", "2019-12-31 23:39:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699581", "2019-12-31 23:39:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699580", "2019-12-31 23:38:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699579", "2019-12-31 23:38:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699578", "2019-12-31 23:38:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699576", "2019-12-31 23:37:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699577", "2019-12-31 23:37:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699574", "2019-12-31 23:36:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699575", "2019-12-31 23:37:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699573", "2019-12-31 23:36:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699572", "2019-12-31 23:36:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699571", "2019-12-31 23:35:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699570", "2019-12-31 23:35:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699569", "2019-12-31 23:35:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699568", "2019-12-31 23:34:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699567", "2019-12-31 23:34:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699566", "2019-12-31 23:33:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699564", "2019-12-31 23:33:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699565", "2019-12-31 23:33:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699562", "2019-12-31 23:32:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699563", "2019-12-31 23:33:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699561", "2019-12-31 23:32:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699560", "2019-12-31 23:32:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699559", "2019-12-31 23:31:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699558", "2019-12-31 23:31:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699557", "2019-12-31 23:30:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699556", "2019-12-31 23:30:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699554", "2019-12-31 23:29:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699555", "2019-12-31 23:30:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699553", "2019-12-31 23:29:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699552", "2019-12-31 23:28:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699550", "2019-12-31 23:28:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699551", "2019-12-31 23:28:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699548", "2019-12-31 23:27:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699549", "2019-12-31 23:27:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699547", "2019-12-31 23:26:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699545", "2019-12-31 23:26:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699546", "2019-12-31 23:26:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699544", "2019-12-31 23:25:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699542", "2019-12-31 23:25:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699543", "2019-12-31 23:25:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699540", "2019-12-31 23:24:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699541", "2019-12-31 23:24:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699538", "2019-12-31 23:23:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699539", "2019-12-31 23:24:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699537", "2019-12-31 23:23:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699536", "2019-12-31 23:22:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699535", "2019-12-31 23:22:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699534", "2019-12-31 23:22:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699533", "2019-12-31 23:21:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699531", "2019-12-31 23:21:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699532", "2019-12-31 23:21:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699530", "2019-12-31 23:20:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699529", "2019-12-31 23:20:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699528", "2019-12-31 23:20:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699526", "2019-12-31 23:19:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699527", "2019-12-31 23:19:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699524", "2019-12-31 23:18:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699525", "2019-12-31 23:19:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699523", "2019-12-31 23:18:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699522", "2019-12-31 23:18:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699520", "2019-12-31 23:17:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699521", "2019-12-31 23:17:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699518", "2019-12-31 23:16:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699519", "2019-12-31 23:17:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699517", "2019-12-31 23:16:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699516", "2019-12-31 23:15:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699514", "2019-12-31 23:14:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699515", "2019-12-31 23:15:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699512", "2019-12-31 23:14:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699513", "2019-12-31 23:14:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699511", "2019-12-31 23:13:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699509", "2019-12-31 23:13:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699510", "2019-12-31 23:13:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699507", "2019-12-31 23:12:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699508", "2019-12-31 23:12:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699506", "2019-12-31 23:12:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699504", "2019-12-31 23:11:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699505", "2019-12-31 23:11:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699502", "2019-12-31 23:10:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699503", "2019-12-31 23:10:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699501", "2019-12-31 23:10:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699499", "2019-12-31 23:09:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699500", "2019-12-31 23:09:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699497", "2019-12-31 23:08:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699498", "2019-12-31 23:09:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699495", "2019-12-31 23:08:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699496", "2019-12-31 23:08:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699494", "2019-12-31 23:07:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699493", "2019-12-31 23:07:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699492", "2019-12-31 23:07:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699490", "2019-12-31 23:06:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699491", "2019-12-31 23:06:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699488", "2019-12-31 23:05:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699489", "2019-12-31 23:06:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699487", "2019-12-31 23:05:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699486", "2019-12-31 23:05:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699485", "2019-12-31 23:04:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699482", "2019-12-31 23:03:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699483", "2019-12-31 23:04:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699484", "2019-12-31 23:04:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699480", "2019-12-31 23:02:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699481", "2019-12-31 23:03:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699479", "2019-12-31 23:02:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699477", "2019-12-31 23:01:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699478", "2019-12-31 23:02:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699476", "2019-12-31 23:01:25", "/pizza-recipes/bring-pizza-without-losing-taste-texture/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1699474", "2019-12-31 23:01:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699475", "2019-12-31 23:01:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699472", "2019-12-31 22:59:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699473", "2019-12-31 23:00:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699471", "2019-12-31 22:59:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699469", "2019-12-31 22:58:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699470", "2019-12-31 22:59:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699468", "2019-12-31 22:58:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699465", "2019-12-31 22:57:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699466", "2019-12-31 22:57:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699467", "2019-12-31 22:58:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699464", "2019-12-31 22:57:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699463", "2019-12-31 22:56:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699462", "2019-12-31 22:56:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699460", "2019-12-31 22:55:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699461", "2019-12-31 22:56:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699459", "2019-12-31 22:55:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699457", "2019-12-31 22:55:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699458", "2019-12-31 22:55:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699456", "2019-12-31 22:54:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699454", "2019-12-31 22:54:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699455", "2019-12-31 22:54:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699452", "2019-12-31 22:53:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699453", "2019-12-31 22:53:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699450", "2019-12-31 22:52:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699451", "2019-12-31 22:53:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699449", "2019-12-31 22:52:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699448", "2019-12-31 22:52:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699447", "2019-12-31 22:51:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699446", "2019-12-31 22:51:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699445", "2019-12-31 22:51:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699444", "2019-12-31 22:50:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699443", "2019-12-31 22:50:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699442", "2019-12-31 22:50:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699441", "2019-12-31 22:49:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699440", "2019-12-31 22:49:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699439", "2019-12-31 22:49:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699438", "2019-12-31 22:48:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699437", "2019-12-31 22:48:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699436", "2019-12-31 22:47:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699435", "2019-12-31 22:47:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699434", "2019-12-31 22:46:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699433", "2019-12-31 22:46:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699432", "2019-12-31 22:46:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699431", "2019-12-31 22:45:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699430", "2019-12-31 22:45:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699429", "2019-12-31 22:44:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699428", "2019-12-31 22:44:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699427", "2019-12-31 22:44:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699426", "2019-12-31 22:43:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699425", "2019-12-31 22:43:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699424", "2019-12-31 22:43:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699423", "2019-12-31 22:42:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699422", "2019-12-31 22:42:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699421", "2019-12-31 22:42:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699420", "2019-12-31 22:41:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699419", "2019-12-31 22:40:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699418", "2019-12-31 22:40:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699417", "2019-12-31 22:40:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699416", "2019-12-31 22:39:56", "/wp-includes/js/mediaelement/ p.src ", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699415", "2019-12-31 22:39:54", "/wp-includes/js/mediaelement/ o.options.pluginPath o.options.filename ", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699414", "2019-12-31 22:39:53", "/wp-includes/js/mediaelement/ (0,u.escapeHTML)(e) ", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699413", "2019-12-31 22:39:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699412", "2019-12-31 22:39:40", "/wp-includes/js/jquery/],_default:l.htmlSerialize?[0,", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699411", "2019-12-31 22:39:39", "/wp-includes/js/jquery/])[1].toLowerCase(),m=ca[j]||ca._default,i.innerHTML=m[1] n.htmlPrefilter(g) m[2],f=m[0];while(f--)i=i.lastChild;if(!l.leadingWhitespace&&_.test(g)&&q.push(b.createTextNode(_.exec(g)[0])),!l.tbody){g=", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699410", "2019-12-31 22:39:28", "/wp-includes/js/jquery/,data:b}).done(function(a){f=arguments,g.html(d?n(", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699409", "2019-12-31 22:39:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699408", "2019-12-31 22:39:16", "/wp-includes/js/jquery/).length,l.htmlSerialize=!!a.getElementsByTagName", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699407", "2019-12-31 22:39:15", "/wp-includes/js/jquery/).length,l.html5Clone=", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699406", "2019-12-31 22:39:14", "/locations/walterboro-sc/tel:843-549-1995", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699405", "2019-12-31 22:39:13", "/locations/tryon-nc/tel:828-859-0400", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699404", "2019-12-31 22:39:12", "/locations/peachtreecity-ga/tel:770-631-8989", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699402", "2019-12-31 22:39:10", "/locations/montbelvieu-tx/tel:281-576-2825", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699403", "2019-12-31 22:39:11", "/locations/morganton-nc/tel:828-433-9006", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699401", "2019-12-31 22:39:09", "/locations/mission-tx/tel:956-581-8611", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699400", "2019-12-31 22:39:08", "/locations/lexington-sc/tel:803-957-6100", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699398", "2019-12-31 22:39:07", "/locations/gloversville-ny/tel:518-773-8200", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699399", "2019-12-31 22:39:08", "/locations/hidalgo-tx/tel:956-843-9899", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699397", "2019-12-31 22:39:06", "/locations/dubois-pa/tel:814-371-4500", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699396", "2019-12-31 22:39:05", "/locations/clearlake-tx/tel:281-474-2825", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699394", "2019-12-31 22:39:02", "/locations/charleston-sc/tel:843-766-3233", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699395", "2019-12-31 22:39:03", "/locations/clearfield-pa/tel:814-765-7767", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699393", "2019-12-31 22:39:01", "/locations/buffalo-mn/tel:763-682-0000", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699392", "2019-12-31 22:39:00", "/locations/antigo-wi/tel:715-623-2222", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699390", "2019-12-31 22:38:57", "/assets.pinterest.com/js/pinit.js", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699391", "2019-12-31 22:38:58", "/www.googleadservices.com/pagead/conversion.js", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699389", "2019-12-31 22:38:55", "/walterboro-sc/tel:843-549-1995", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699387", "2019-12-31 22:38:51", "/peachtreecity-ga/tel:770-631-8989", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699388", "2019-12-31 22:38:54", "/tryon-nc/tel:828-859-0400", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699386", "2019-12-31 22:38:49", "/morganton-nc/tel:828-433-9006", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699385", "2019-12-31 22:38:46", "/montbelvieu-tx/tel:281-576-2825", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699383", "2019-12-31 22:38:43", "/mission-tx/tel:956-581-8611", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699384", "2019-12-31 22:38:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699382", "2019-12-31 22:38:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699381", "2019-12-31 22:38:40", "/lexington-sc/tel:803-957-6100", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699379", "2019-12-31 22:38:37", "/gloversville-ny/tel:518-773-8200", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699380", "2019-12-31 22:38:40", "/hidalgo-tx/tel:956-843-9899", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699378", "2019-12-31 22:38:36", "/dubois-pa/tel:814-371-4500", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699376", "2019-12-31 22:38:32", "/clearfield-pa/tel:814-765-7767", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699377", "2019-12-31 22:38:35", "/clearlake-tx/tel:281-474-2825", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699375", "2019-12-31 22:38:30", "/charleston-sc/tel:843-766-3233", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699373", "2019-12-31 22:38:24", "/antigo-wi/tel:715-623-2222", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699374", "2019-12-31 22:38:26", "/buffalo-mn/tel:763-682-0000", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699372", "2019-12-31 22:38:21", "/pizza-places/10-best-pizza-places-los-angeles-2015", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699371", "2019-12-31 22:38:20", "/pizza-parties/wine-pairing-pizza-toppings", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699369", "2019-12-31 22:38:15", "/st-marys-pa/tel:814-834-1886", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699370", "2019-12-31 22:38:15", "/employment-pa/tel:8143713076", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699368", "2019-12-31 22:38:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699367", "2019-12-31 22:37:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699366", "2019-12-31 22:37:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699365", "2019-12-31 22:37:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699364", "2019-12-31 22:36:57", "/https:/wordpress.org", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699363", "2019-12-31 22:36:55", "/widget.manychat.com/210014902350663.js", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699362", "2019-12-31 22:36:53", "/platform.twitter.com/widgets.js", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699360", "2019-12-31 22:36:34", "/www.google-analytics.com", "Java/1.6.0_04", NULL, "109102");
INSERT INTO `wp_redirection_404` VALUES("1699361", "2019-12-31 22:36:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699359", "2019-12-31 22:36:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699358", "2019-12-31 22:36:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699357", "2019-12-31 22:35:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699356", "2019-12-31 22:34:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699355", "2019-12-31 22:34:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699354", "2019-12-31 22:34:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699353", "2019-12-31 22:33:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699352", "2019-12-31 22:33:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699351", "2019-12-31 22:33:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699350", "2019-12-31 22:32:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699349", "2019-12-31 22:32:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699348", "2019-12-31 22:32:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699347", "2019-12-31 22:31:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699346", "2019-12-31 22:31:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699345", "2019-12-31 22:31:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699344", "2019-12-31 22:30:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699343", "2019-12-31 22:30:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699342", "2019-12-31 22:30:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699341", "2019-12-31 22:29:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699340", "2019-12-31 22:29:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699339", "2019-12-31 22:29:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699338", "2019-12-31 22:28:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699337", "2019-12-31 22:27:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699336", "2019-12-31 22:27:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699335", "2019-12-31 22:27:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699334", "2019-12-31 22:26:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699333", "2019-12-31 22:26:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699332", "2019-12-31 22:26:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699331", "2019-12-31 22:25:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699330", "2019-12-31 22:25:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699329", "2019-12-31 22:25:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699328", "2019-12-31 22:24:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699327", "2019-12-31 22:24:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699326", "2019-12-31 22:24:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699325", "2019-12-31 22:23:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699324", "2019-12-31 22:23:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699323", "2019-12-31 22:22:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699322", "2019-12-31 22:22:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699321", "2019-12-31 22:21:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699320", "2019-12-31 22:21:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699319", "2019-12-31 22:21:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699318", "2019-12-31 22:20:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699317", "2019-12-31 22:20:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699316", "2019-12-31 22:20:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699315", "2019-12-31 22:19:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699314", "2019-12-31 22:19:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699313", "2019-12-31 22:19:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699312", "2019-12-31 22:18:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699311", "2019-12-31 22:18:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699310", "2019-12-31 22:18:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699309", "2019-12-31 22:17:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699308", "2019-12-31 22:17:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699307", "2019-12-31 22:17:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699306", "2019-12-31 22:16:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699305", "2019-12-31 22:16:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699304", "2019-12-31 22:15:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699303", "2019-12-31 22:15:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699302", "2019-12-31 22:15:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699301", "2019-12-31 22:14:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699300", "2019-12-31 22:14:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699299", "2019-12-31 22:14:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699298", "2019-12-31 22:13:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699297", "2019-12-31 22:13:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699296", "2019-12-31 22:13:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699295", "2019-12-31 22:12:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699294", "2019-12-31 22:12:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699293", "2019-12-31 22:12:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699292", "2019-12-31 22:11:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699291", "2019-12-31 22:11:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699290", "2019-12-31 22:11:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699289", "2019-12-31 22:10:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699288", "2019-12-31 22:10:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699287", "2019-12-31 22:09:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699286", "2019-12-31 22:09:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699284", "2019-12-31 22:08:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699285", "2019-12-31 22:08:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699283", "2019-12-31 22:08:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699282", "2019-12-31 22:07:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699281", "2019-12-31 22:07:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699280", "2019-12-31 22:07:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699279", "2019-12-31 22:06:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699278", "2019-12-31 22:06:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699277", "2019-12-31 22:06:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699276", "2019-12-31 22:05:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699275", "2019-12-31 22:05:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699274", "2019-12-31 22:05:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699273", "2019-12-31 22:04:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699272", "2019-12-31 22:04:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699271", "2019-12-31 22:03:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699270", "2019-12-31 22:03:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699269", "2019-12-31 22:02:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699268", "2019-12-31 22:02:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699267", "2019-12-31 22:02:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699266", "2019-12-31 22:01:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699265", "2019-12-31 22:01:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699264", "2019-12-31 22:01:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699263", "2019-12-31 22:00:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699262", "2019-12-31 22:00:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699261", "2019-12-31 22:00:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699260", "2019-12-31 21:59:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699259", "2019-12-31 21:59:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699258", "2019-12-31 21:59:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699257", "2019-12-31 21:58:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699256", "2019-12-31 21:58:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699255", "2019-12-31 21:57:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699254", "2019-12-31 21:57:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699253", "2019-12-31 21:57:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699252", "2019-12-31 21:56:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699251", "2019-12-31 21:56:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699250", "2019-12-31 21:55:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699249", "2019-12-31 21:55:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699248", "2019-12-31 21:55:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699247", "2019-12-31 21:54:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699246", "2019-12-31 21:54:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699245", "2019-12-31 21:54:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699244", "2019-12-31 21:53:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699243", "2019-12-31 21:53:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699242", "2019-12-31 21:53:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699241", "2019-12-31 21:52:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699240", "2019-12-31 21:52:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699239", "2019-12-31 21:52:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699238", "2019-12-31 21:51:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699237", "2019-12-31 21:51:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699236", "2019-12-31 21:50:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699235", "2019-12-31 21:50:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699234", "2019-12-31 21:50:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699233", "2019-12-31 21:49:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699232", "2019-12-31 21:49:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699231", "2019-12-31 21:48:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699230", "2019-12-31 21:48:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699229", "2019-12-31 21:48:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699228", "2019-12-31 21:47:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699227", "2019-12-31 21:47:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699226", "2019-12-31 21:47:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699225", "2019-12-31 21:46:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699224", "2019-12-31 21:46:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699223", "2019-12-31 21:46:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699222", "2019-12-31 21:45:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699221", "2019-12-31 21:45:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699220", "2019-12-31 21:45:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699219", "2019-12-31 21:44:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699218", "2019-12-31 21:44:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699217", "2019-12-31 21:44:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699216", "2019-12-31 21:43:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699215", "2019-12-31 21:43:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699214", "2019-12-31 21:43:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699213", "2019-12-31 21:42:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699212", "2019-12-31 21:42:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699211", "2019-12-31 21:41:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699210", "2019-12-31 21:41:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699209", "2019-12-31 21:41:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699208", "2019-12-31 21:40:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699207", "2019-12-31 21:40:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699206", "2019-12-31 21:39:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699205", "2019-12-31 21:39:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699204", "2019-12-31 21:39:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699203", "2019-12-31 21:38:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699202", "2019-12-31 21:38:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699201", "2019-12-31 21:38:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699200", "2019-12-31 21:37:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699199", "2019-12-31 21:37:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699198", "2019-12-31 21:37:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699197", "2019-12-31 21:36:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699196", "2019-12-31 21:36:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699195", "2019-12-31 21:36:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699194", "2019-12-31 21:35:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699193", "2019-12-31 21:35:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699192", "2019-12-31 21:35:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699191", "2019-12-31 21:34:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699190", "2019-12-31 21:34:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699189", "2019-12-31 21:34:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699188", "2019-12-31 21:33:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699187", "2019-12-31 21:32:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699185", "2019-12-31 21:31:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699186", "2019-12-31 21:32:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699184", "2019-12-31 21:31:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699183", "2019-12-31 21:31:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699182", "2019-12-31 21:30:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699181", "2019-12-31 21:30:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699180", "2019-12-31 21:30:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699179", "2019-12-31 21:29:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699178", "2019-12-31 21:29:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699177", "2019-12-31 21:29:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699176", "2019-12-31 21:28:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699175", "2019-12-31 21:28:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699174", "2019-12-31 21:27:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699173", "2019-12-31 21:26:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699172", "2019-12-31 21:26:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699171", "2019-12-31 21:26:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699170", "2019-12-31 21:25:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699169", "2019-12-31 21:25:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699168", "2019-12-31 21:25:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699167", "2019-12-31 21:24:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699166", "2019-12-31 21:24:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699165", "2019-12-31 21:24:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699164", "2019-12-31 21:23:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699163", "2019-12-31 21:23:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699162", "2019-12-31 21:23:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699161", "2019-12-31 21:22:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699160", "2019-12-31 21:22:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699159", "2019-12-31 21:21:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699158", "2019-12-31 21:21:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699157", "2019-12-31 21:21:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699156", "2019-12-31 21:20:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699155", "2019-12-31 21:20:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699154", "2019-12-31 21:19:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699153", "2019-12-31 21:19:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699152", "2019-12-31 21:19:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699151", "2019-12-31 21:18:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699150", "2019-12-31 21:18:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699149", "2019-12-31 21:18:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699148", "2019-12-31 21:17:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699147", "2019-12-31 21:17:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699146", "2019-12-31 21:16:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699145", "2019-12-31 21:16:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699144", "2019-12-31 21:16:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699143", "2019-12-31 21:15:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699142", "2019-12-31 21:15:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699141", "2019-12-31 21:15:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699140", "2019-12-31 21:14:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699139", "2019-12-31 21:14:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699138", "2019-12-31 21:14:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699137", "2019-12-31 21:13:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699136", "2019-12-31 21:13:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699135", "2019-12-31 21:13:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699134", "2019-12-31 21:12:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699133", "2019-12-31 21:12:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699132", "2019-12-31 21:11:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699131", "2019-12-31 21:11:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699130", "2019-12-31 21:11:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699129", "2019-12-31 21:10:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699128", "2019-12-31 21:10:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699127", "2019-12-31 21:10:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699126", "2019-12-31 21:09:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699125", "2019-12-31 21:08:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699124", "2019-12-31 21:08:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699123", "2019-12-31 21:07:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699122", "2019-12-31 21:07:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699121", "2019-12-31 21:07:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699120", "2019-12-31 21:06:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699119", "2019-12-31 21:06:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699118", "2019-12-31 21:06:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699117", "2019-12-31 21:05:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699116", "2019-12-31 21:05:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699115", "2019-12-31 21:05:28", "/config.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/73.0.3683.103 Safari/537.36", NULL, "193106");
INSERT INTO `wp_redirection_404` VALUES("1699114", "2019-12-31 21:05:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699113", "2019-12-31 21:04:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699112", "2019-12-31 21:04:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699111", "2019-12-31 21:04:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699110", "2019-12-31 21:03:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699109", "2019-12-31 21:03:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699108", "2019-12-31 21:02:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699107", "2019-12-31 21:02:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699106", "2019-12-31 21:02:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699105", "2019-12-31 21:01:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699104", "2019-12-31 21:01:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699103", "2019-12-31 21:01:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699102", "2019-12-31 21:00:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699101", "2019-12-31 21:00:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699100", "2019-12-31 21:00:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699099", "2019-12-31 20:59:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699098", "2019-12-31 20:58:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699097", "2019-12-31 20:58:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699096", "2019-12-31 20:58:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699095", "2019-12-31 20:57:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699094", "2019-12-31 20:56:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699093", "2019-12-31 20:56:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699092", "2019-12-31 20:56:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699091", "2019-12-31 20:55:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699090", "2019-12-31 20:55:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699089", "2019-12-31 20:55:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699088", "2019-12-31 20:54:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699087", "2019-12-31 20:54:38", "/?author=10", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "222218");
INSERT INTO `wp_redirection_404` VALUES("1699086", "2019-12-31 20:54:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699085", "2019-12-31 20:54:05", "/?author=9", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "183136");
INSERT INTO `wp_redirection_404` VALUES("1699084", "2019-12-31 20:54:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698981", "2019-12-31 20:13:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698980", "2019-12-31 20:13:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698979", "2019-12-31 20:13:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698978", "2019-12-31 20:12:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698977", "2019-12-31 20:12:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698976", "2019-12-31 20:12:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698975", "2019-12-31 20:11:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698974", "2019-12-31 20:11:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698973", "2019-12-31 20:11:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698972", "2019-12-31 20:10:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698971", "2019-12-31 20:10:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698970", "2019-12-31 20:10:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698969", "2019-12-31 20:09:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698968", "2019-12-31 20:09:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698967", "2019-12-31 20:09:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698966", "2019-12-31 20:08:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698965", "2019-12-31 20:08:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698964", "2019-12-31 20:08:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698963", "2019-12-31 20:07:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698962", "2019-12-31 20:07:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698961", "2019-12-31 20:07:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698960", "2019-12-31 20:06:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698959", "2019-12-31 20:06:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698958", "2019-12-31 20:06:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698957", "2019-12-31 20:06:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698956", "2019-12-31 20:05:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698955", "2019-12-31 20:05:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698954", "2019-12-31 20:05:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698953", "2019-12-31 20:04:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698952", "2019-12-31 20:04:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698951", "2019-12-31 20:04:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698950", "2019-12-31 20:03:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698949", "2019-12-31 20:03:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699083", "2019-12-31 20:54:03", "/?author=8", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "183136");
INSERT INTO `wp_redirection_404` VALUES("1699082", "2019-12-31 20:54:01", "/?author=7", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "183136");
INSERT INTO `wp_redirection_404` VALUES("1699081", "2019-12-31 20:54:00", "/?author=6", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "183136");
INSERT INTO `wp_redirection_404` VALUES("1699080", "2019-12-31 20:53:58", "/?author=5", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "183136");
INSERT INTO `wp_redirection_404` VALUES("1699079", "2019-12-31 20:53:56", "/?author=4", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "183136");
INSERT INTO `wp_redirection_404` VALUES("1699078", "2019-12-31 20:53:34", "/?author=3", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "216229");
INSERT INTO `wp_redirection_404` VALUES("1699077", "2019-12-31 20:53:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699076", "2019-12-31 20:53:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699075", "2019-12-31 20:52:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699074", "2019-12-31 20:52:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699073", "2019-12-31 20:52:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699072", "2019-12-31 20:51:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699071", "2019-12-31 20:51:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699070", "2019-12-31 20:51:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699069", "2019-12-31 20:50:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699068", "2019-12-31 20:50:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699067", "2019-12-31 20:49:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699066", "2019-12-31 20:49:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699065", "2019-12-31 20:48:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699064", "2019-12-31 20:48:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699063", "2019-12-31 20:48:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699062", "2019-12-31 20:47:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699061", "2019-12-31 20:47:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699060", "2019-12-31 20:47:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699059", "2019-12-31 20:46:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699058", "2019-12-31 20:46:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699057", "2019-12-31 20:46:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699056", "2019-12-31 20:45:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699055", "2019-12-31 20:45:29", "/admin", "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/51.0.2704.84 Safari/537.36", NULL, "38111");
INSERT INTO `wp_redirection_404` VALUES("1699054", "2019-12-31 20:45:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699053", "2019-12-31 20:45:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699052", "2019-12-31 20:44:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699051", "2019-12-31 20:44:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699050", "2019-12-31 20:43:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699049", "2019-12-31 20:43:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699048", "2019-12-31 20:42:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699047", "2019-12-31 20:42:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699046", "2019-12-31 20:42:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699045", "2019-12-31 20:41:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699044", "2019-12-31 20:41:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699043", "2019-12-31 20:41:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699042", "2019-12-31 20:40:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699041", "2019-12-31 20:40:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699040", "2019-12-31 20:40:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699039", "2019-12-31 20:39:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699038", "2019-12-31 20:39:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699037", "2019-12-31 20:38:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699036", "2019-12-31 20:38:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699035", "2019-12-31 20:38:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699034", "2019-12-31 20:37:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699033", "2019-12-31 20:37:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699032", "2019-12-31 20:37:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699031", "2019-12-31 20:36:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699030", "2019-12-31 20:36:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699029", "2019-12-31 20:35:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699028", "2019-12-31 20:35:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699027", "2019-12-31 20:34:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699026", "2019-12-31 20:34:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699025", "2019-12-31 20:34:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699024", "2019-12-31 20:33:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699023", "2019-12-31 20:33:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699022", "2019-12-31 20:33:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699021", "2019-12-31 20:32:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699020", "2019-12-31 20:32:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699019", "2019-12-31 20:32:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699018", "2019-12-31 20:31:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699017", "2019-12-31 20:31:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699016", "2019-12-31 20:31:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699015", "2019-12-31 20:30:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699014", "2019-12-31 20:30:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699013", "2019-12-31 20:30:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699012", "2019-12-31 20:29:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699011", "2019-12-31 20:29:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699010", "2019-12-31 20:28:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699009", "2019-12-31 20:20:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699008", "2019-12-31 20:20:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699007", "2019-12-31 20:20:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699006", "2019-12-31 20:19:39", "/static/.gitignore", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "110229");
INSERT INTO `wp_redirection_404` VALUES("1699005", "2019-12-31 20:19:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699003", "2019-12-31 20:19:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699004", "2019-12-31 20:19:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699002", "2019-12-31 20:18:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699000", "2019-12-31 20:18:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1699001", "2019-12-31 20:18:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698999", "2019-12-31 20:18:19", "/thank-you-celebration/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1698998", "2019-12-31 20:18:19", "/thank-you-celebration/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1698996", "2019-12-31 20:17:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698997", "2019-12-31 20:17:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698995", "2019-12-31 20:17:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698993", "2019-12-31 20:16:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698994", "2019-12-31 20:16:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698992", "2019-12-31 20:16:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698990", "2019-12-31 20:15:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698991", "2019-12-31 20:15:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698989", "2019-12-31 20:15:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698987", "2019-12-31 20:14:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698988", "2019-12-31 20:15:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698986", "2019-12-31 20:14:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698984", "2019-12-31 20:13:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698985", "2019-12-31 20:14:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698983", "2019-12-31 20:13:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698982", "2019-12-31 20:13:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705604", "2020-01-02 20:03:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705603", "2020-01-02 20:03:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705602", "2020-01-02 20:02:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705601", "2020-01-02 20:01:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705600", "2020-01-02 20:01:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705599", "2020-01-02 20:00:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705598", "2020-01-02 19:59:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705597", "2020-01-02 19:59:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705596", "2020-01-02 19:59:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705595", "2020-01-02 19:57:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705594", "2020-01-02 19:57:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705593", "2020-01-02 19:57:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705592", "2020-01-02 19:56:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705591", "2020-01-02 19:56:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705590", "2020-01-02 19:56:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705589", "2020-01-02 19:55:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705588", "2020-01-02 19:54:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705587", "2020-01-02 19:54:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705586", "2020-01-02 19:53:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705585", "2020-01-02 19:52:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705584", "2020-01-02 19:51:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705583", "2020-01-02 19:50:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705582", "2020-01-02 19:50:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705581", "2020-01-02 19:48:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705580", "2020-01-02 19:48:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705579", "2020-01-02 19:48:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705578", "2020-01-02 19:47:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705577", "2020-01-02 19:46:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705576", "2020-01-02 19:45:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705575", "2020-01-02 19:43:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705574", "2020-01-02 19:43:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705573", "2020-01-02 19:43:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705572", "2020-01-02 19:42:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705571", "2020-01-02 19:42:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705570", "2020-01-02 19:42:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705569", "2020-01-02 19:41:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705568", "2020-01-02 19:41:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705567", "2020-01-02 19:40:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705566", "2020-01-02 19:40:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705565", "2020-01-02 19:39:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705564", "2020-01-02 19:39:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705563", "2020-01-02 19:38:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705562", "2020-01-02 19:38:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705561", "2020-01-02 19:38:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705560", "2020-01-02 19:37:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705559", "2020-01-02 19:37:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705558", "2020-01-02 19:37:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705557", "2020-01-02 19:36:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705556", "2020-01-02 19:35:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705555", "2020-01-02 19:35:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705554", "2020-01-02 19:34:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705553", "2020-01-02 19:34:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705552", "2020-01-02 19:33:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705551", "2020-01-02 19:32:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705550", "2020-01-02 19:32:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705549", "2020-01-02 19:32:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705548", "2020-01-02 19:31:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705547", "2020-01-02 19:31:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705546", "2020-01-02 19:31:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705545", "2020-01-02 19:30:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705544", "2020-01-02 19:30:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705543", "2020-01-02 19:30:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705542", "2020-01-02 19:28:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705541", "2020-01-02 19:28:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705540", "2020-01-02 19:28:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705539", "2020-01-02 19:27:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705538", "2020-01-02 19:27:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705537", "2020-01-02 19:27:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705536", "2020-01-02 19:26:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705535", "2020-01-02 19:26:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705534", "2020-01-02 19:26:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705533", "2020-01-02 19:25:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705532", "2020-01-02 19:24:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705531", "2020-01-02 19:24:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705530", "2020-01-02 19:23:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705529", "2020-01-02 19:23:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705528", "2020-01-02 19:23:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705527", "2020-01-02 19:22:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705526", "2020-01-02 19:22:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705525", "2020-01-02 19:22:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705524", "2020-01-02 19:21:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705523", "2020-01-02 19:21:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705522", "2020-01-02 19:21:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705521", "2020-01-02 19:20:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705520", "2020-01-02 19:20:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705519", "2020-01-02 19:19:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705518", "2020-01-02 19:18:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705517", "2020-01-02 19:18:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705516", "2020-01-02 19:17:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705515", "2020-01-02 19:17:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705514", "2020-01-02 19:16:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705513", "2020-01-02 19:16:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705512", "2020-01-02 19:15:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705511", "2020-01-02 19:15:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705510", "2020-01-02 19:15:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705509", "2020-01-02 19:14:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705508", "2020-01-02 19:14:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705507", "2020-01-02 19:13:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705506", "2020-01-02 19:12:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705505", "2020-01-02 19:12:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705504", "2020-01-02 19:11:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705503", "2020-01-02 19:11:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705502", "2020-01-02 19:11:10", "/static/.gitignore", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "110229");
INSERT INTO `wp_redirection_404` VALUES("1705501", "2020-01-02 19:11:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705500", "2020-01-02 19:10:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705499", "2020-01-02 19:09:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705498", "2020-01-02 19:09:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705497", "2020-01-02 19:09:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705496", "2020-01-02 19:08:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705495", "2020-01-02 19:07:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705494", "2020-01-02 19:07:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705493", "2020-01-02 19:07:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705492", "2020-01-02 19:06:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705491", "2020-01-02 19:05:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705490", "2020-01-02 19:05:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705489", "2020-01-02 19:04:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705488", "2020-01-02 19:04:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705487", "2020-01-02 19:04:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705486", "2020-01-02 19:03:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705485", "2020-01-02 19:02:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705484", "2020-01-02 19:02:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705483", "2020-01-02 19:02:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705482", "2020-01-02 19:01:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705481", "2020-01-02 19:01:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705480", "2020-01-02 19:00:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705479", "2020-01-02 19:00:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705478", "2020-01-02 19:00:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705477", "2020-01-02 18:59:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705476", "2020-01-02 18:59:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705475", "2020-01-02 18:58:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705474", "2020-01-02 18:56:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705473", "2020-01-02 18:56:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705472", "2020-01-02 18:56:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705471", "2020-01-02 18:55:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705470", "2020-01-02 18:54:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705469", "2020-01-02 18:54:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705468", "2020-01-02 18:53:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705467", "2020-01-02 18:53:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705466", "2020-01-02 18:52:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705465", "2020-01-02 18:51:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705464", "2020-01-02 18:51:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705463", "2020-01-02 18:51:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705462", "2020-01-02 18:50:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705461", "2020-01-02 18:49:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705460", "2020-01-02 18:49:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705459", "2020-01-02 18:48:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705458", "2020-01-02 18:48:23", "/public/router.php", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "110229");
INSERT INTO `wp_redirection_404` VALUES("1705457", "2020-01-02 18:48:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705456", "2020-01-02 18:47:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705455", "2020-01-02 18:46:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705454", "2020-01-02 18:46:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705453", "2020-01-02 18:46:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705452", "2020-01-02 18:45:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705451", "2020-01-02 18:44:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705450", "2020-01-02 18:44:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705449", "2020-01-02 18:43:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705448", "2020-01-02 18:43:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705447", "2020-01-02 18:42:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705446", "2020-01-02 18:42:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705445", "2020-01-02 18:42:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705444", "2020-01-02 18:41:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705443", "2020-01-02 18:40:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705442", "2020-01-02 18:40:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705441", "2020-01-02 18:39:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705440", "2020-01-02 18:37:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705439", "2020-01-02 18:37:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705438", "2020-01-02 18:37:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705437", "2020-01-02 18:36:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705436", "2020-01-02 18:36:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705435", "2020-01-02 18:36:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705434", "2020-01-02 18:35:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705433", "2020-01-02 18:34:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705432", "2020-01-02 18:34:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705431", "2020-01-02 18:34:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705430", "2020-01-02 18:33:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705429", "2020-01-02 18:33:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705428", "2020-01-02 18:32:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705427", "2020-01-02 18:32:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705426", "2020-01-02 18:31:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705425", "2020-01-02 18:30:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705424", "2020-01-02 18:30:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705423", "2020-01-02 18:30:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705422", "2020-01-02 18:29:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705421", "2020-01-02 18:28:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705420", "2020-01-02 18:28:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705419", "2020-01-02 18:28:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705418", "2020-01-02 18:27:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705417", "2020-01-02 18:27:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705416", "2020-01-02 18:26:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705415", "2020-01-02 18:26:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705414", "2020-01-02 18:25:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705413", "2020-01-02 18:24:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705412", "2020-01-02 18:24:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705411", "2020-01-02 18:24:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705410", "2020-01-02 18:23:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705409", "2020-01-02 18:23:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705408", "2020-01-02 18:23:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705407", "2020-01-02 18:22:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705406", "2020-01-02 18:22:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705405", "2020-01-02 18:21:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705404", "2020-01-02 18:21:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705403", "2020-01-02 18:20:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705402", "2020-01-02 18:20:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705401", "2020-01-02 18:19:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705400", "2020-01-02 18:19:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705399", "2020-01-02 18:18:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705398", "2020-01-02 18:18:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705397", "2020-01-02 18:17:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705396", "2020-01-02 18:17:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705395", "2020-01-02 18:16:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705394", "2020-01-02 18:16:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705393", "2020-01-02 18:15:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705392", "2020-01-02 18:14:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705391", "2020-01-02 18:14:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705390", "2020-01-02 18:13:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705389", "2020-01-02 18:13:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705388", "2020-01-02 18:13:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705387", "2020-01-02 18:12:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705386", "2020-01-02 18:11:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705385", "2020-01-02 18:11:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705384", "2020-01-02 18:11:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705383", "2020-01-02 18:10:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705382", "2020-01-02 18:10:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705381", "2020-01-02 18:09:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705380", "2020-01-02 18:09:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705379", "2020-01-02 18:08:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705378", "2020-01-02 18:07:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705377", "2020-01-02 18:07:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705376", "2020-01-02 18:06:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705375", "2020-01-02 18:06:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705374", "2020-01-02 18:05:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705373", "2020-01-02 18:04:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705372", "2020-01-02 18:04:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705371", "2020-01-02 18:04:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705370", "2020-01-02 18:03:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705369", "2020-01-02 18:03:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705368", "2020-01-02 18:02:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705367", "2020-01-02 18:02:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705366", "2020-01-02 18:01:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705365", "2020-01-02 18:01:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705364", "2020-01-02 18:00:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705363", "2020-01-02 18:00:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705362", "2020-01-02 18:00:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705361", "2020-01-02 17:59:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705360", "2020-01-02 17:59:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705359", "2020-01-02 17:58:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705358", "2020-01-02 17:58:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705357", "2020-01-02 17:57:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705356", "2020-01-02 17:57:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705355", "2020-01-02 17:57:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705354", "2020-01-02 17:56:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705353", "2020-01-02 17:55:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705352", "2020-01-02 17:55:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705351", "2020-01-02 17:55:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705350", "2020-01-02 17:54:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705349", "2020-01-02 17:54:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705348", "2020-01-02 17:53:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705347", "2020-01-02 17:53:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705346", "2020-01-02 17:53:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705345", "2020-01-02 17:45:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705344", "2020-01-02 17:45:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705343", "2020-01-02 17:44:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705342", "2020-01-02 17:44:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705341", "2020-01-02 17:43:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705340", "2020-01-02 17:43:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705339", "2020-01-02 17:42:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705338", "2020-01-02 17:42:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705337", "2020-01-02 17:41:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705336", "2020-01-02 17:41:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705335", "2020-01-02 17:40:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705334", "2020-01-02 17:40:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705333", "2020-01-02 17:40:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705332", "2020-01-02 17:39:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705331", "2020-01-02 17:39:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705330", "2020-01-02 17:39:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705329", "2020-01-02 17:38:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705328", "2020-01-02 17:38:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705327", "2020-01-02 17:38:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705326", "2020-01-02 17:37:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705325", "2020-01-02 17:37:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705324", "2020-01-02 17:36:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705323", "2020-01-02 17:36:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705322", "2020-01-02 17:36:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705321", "2020-01-02 17:35:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705320", "2020-01-02 17:35:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705319", "2020-01-02 17:35:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705318", "2020-01-02 17:34:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705317", "2020-01-02 17:34:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705316", "2020-01-02 17:34:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705315", "2020-01-02 17:33:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705314", "2020-01-02 17:33:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705313", "2020-01-02 17:33:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705312", "2020-01-02 17:32:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705311", "2020-01-02 17:32:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705310", "2020-01-02 17:32:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705309", "2020-01-02 17:31:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705308", "2020-01-02 17:31:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705307", "2020-01-02 17:31:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705306", "2020-01-02 17:30:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705305", "2020-01-02 17:30:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705304", "2020-01-02 17:29:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705303", "2020-01-02 17:29:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705302", "2020-01-02 17:29:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705301", "2020-01-02 17:28:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705300", "2020-01-02 17:27:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705299", "2020-01-02 17:27:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705298", "2020-01-02 17:27:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705297", "2020-01-02 17:26:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705296", "2020-01-02 17:26:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705295", "2020-01-02 17:26:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705294", "2020-01-02 17:24:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705293", "2020-01-02 17:24:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705292", "2020-01-02 17:24:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705291", "2020-01-02 17:23:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705290", "2020-01-02 17:22:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705289", "2020-01-02 17:22:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705288", "2020-01-02 17:21:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705287", "2020-01-02 17:21:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705286", "2020-01-02 17:21:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705285", "2020-01-02 17:20:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705284", "2020-01-02 17:19:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705283", "2020-01-02 17:19:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705282", "2020-01-02 17:18:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705281", "2020-01-02 17:18:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705280", "2020-01-02 17:18:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705279", "2020-01-02 17:17:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705278", "2020-01-02 17:17:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705277", "2020-01-02 17:17:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705276", "2020-01-02 17:16:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705275", "2020-01-02 17:16:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705274", "2020-01-02 17:16:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705273", "2020-01-02 17:15:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705272", "2020-01-02 17:15:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705271", "2020-01-02 17:15:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705270", "2020-01-02 17:14:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705269", "2020-01-02 17:14:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705268", "2020-01-02 17:13:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705267", "2020-01-02 17:13:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705266", "2020-01-02 17:13:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705265", "2020-01-02 17:12:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705264", "2020-01-02 17:12:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705263", "2020-01-02 17:12:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705262", "2020-01-02 17:11:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705261", "2020-01-02 17:11:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705260", "2020-01-02 17:10:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705259", "2020-01-02 17:10:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705258", "2020-01-02 17:09:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705257", "2020-01-02 17:09:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705256", "2020-01-02 17:08:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705255", "2020-01-02 17:08:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705254", "2020-01-02 17:08:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705253", "2020-01-02 17:08:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705252", "2020-01-02 17:07:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705251", "2020-01-02 17:06:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705250", "2020-01-02 17:06:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705249", "2020-01-02 17:06:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705248", "2020-01-02 17:05:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705247", "2020-01-02 17:05:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705246", "2020-01-02 17:04:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705245", "2020-01-02 17:04:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705244", "2020-01-02 17:04:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705243", "2020-01-02 17:03:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705242", "2020-01-02 17:03:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705241", "2020-01-02 17:03:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705240", "2020-01-02 17:02:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705239", "2020-01-02 17:02:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705238", "2020-01-02 17:01:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705237", "2020-01-02 17:01:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705236", "2020-01-02 17:00:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705235", "2020-01-02 17:00:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705234", "2020-01-02 17:00:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705233", "2020-01-02 16:59:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705232", "2020-01-02 16:59:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705231", "2020-01-02 16:59:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705230", "2020-01-02 16:58:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705229", "2020-01-02 16:58:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705228", "2020-01-02 16:57:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705227", "2020-01-02 16:57:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705226", "2020-01-02 16:57:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705225", "2020-01-02 16:56:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705224", "2020-01-02 16:55:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705223", "2020-01-02 16:55:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705222", "2020-01-02 16:54:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705221", "2020-01-02 16:54:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705220", "2020-01-02 16:53:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705219", "2020-01-02 16:52:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705218", "2020-01-02 16:52:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703343", "2020-01-02 02:15:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703342", "2020-01-02 02:14:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703341", "2020-01-02 02:14:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703340", "2020-01-02 02:14:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703339", "2020-01-02 02:13:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703338", "2020-01-02 02:13:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703337", "2020-01-02 02:12:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703336", "2020-01-02 02:12:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703335", "2020-01-02 02:12:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703334", "2020-01-02 02:11:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703333", "2020-01-02 02:11:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703332", "2020-01-02 02:10:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703331", "2020-01-02 02:10:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703330", "2020-01-02 02:09:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703329", "2020-01-02 02:09:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703328", "2020-01-02 02:09:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703327", "2020-01-02 02:08:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703326", "2020-01-02 02:08:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703325", "2020-01-02 02:07:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703324", "2020-01-02 02:07:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703323", "2020-01-02 02:06:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703322", "2020-01-02 02:06:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703321", "2020-01-02 02:05:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703320", "2020-01-02 02:05:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703319", "2020-01-02 02:05:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703318", "2020-01-02 02:04:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703317", "2020-01-02 02:04:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703316", "2020-01-02 02:04:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703315", "2020-01-02 02:03:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703314", "2020-01-02 02:03:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703313", "2020-01-02 02:02:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703312", "2020-01-02 02:02:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703311", "2020-01-02 02:01:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703310", "2020-01-02 02:01:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703309", "2020-01-02 02:00:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703308", "2020-01-02 02:00:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703307", "2020-01-02 02:00:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703306", "2020-01-02 01:59:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703305", "2020-01-02 01:59:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703304", "2020-01-02 01:59:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703303", "2020-01-02 01:58:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703302", "2020-01-02 01:58:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703301", "2020-01-02 01:57:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703300", "2020-01-02 01:57:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703299", "2020-01-02 01:56:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703298", "2020-01-02 01:56:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703297", "2020-01-02 01:55:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703296", "2020-01-02 01:55:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703295", "2020-01-02 01:55:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703294", "2020-01-02 01:54:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703293", "2020-01-02 01:54:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703292", "2020-01-02 01:54:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703291", "2020-01-02 01:53:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703290", "2020-01-02 01:53:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703289", "2020-01-02 01:52:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703288", "2020-01-02 01:52:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703286", "2020-01-02 01:51:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703287", "2020-01-02 01:51:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703285", "2020-01-02 01:50:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703284", "2020-01-02 01:50:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703283", "2020-01-02 01:50:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703282", "2020-01-02 01:49:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703281", "2020-01-02 01:49:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703280", "2020-01-02 01:49:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703279", "2020-01-02 01:48:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703278", "2020-01-02 01:48:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703277", "2020-01-02 01:47:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703276", "2020-01-02 01:47:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703275", "2020-01-02 01:46:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703274", "2020-01-02 01:46:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703273", "2020-01-02 01:45:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703272", "2020-01-02 01:45:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703271", "2020-01-02 01:45:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703270", "2020-01-02 01:44:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703269", "2020-01-02 01:44:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703268", "2020-01-02 01:43:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703267", "2020-01-02 01:43:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703266", "2020-01-02 01:43:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703265", "2020-01-02 01:42:53", "/dubois-", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703264", "2020-01-02 01:42:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703263", "2020-01-02 01:42:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703262", "2020-01-02 01:41:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703261", "2020-01-02 01:41:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703260", "2020-01-02 01:40:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703259", "2020-01-02 01:40:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703258", "2020-01-02 01:39:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703257", "2020-01-02 01:39:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703256", "2020-01-02 01:39:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703255", "2020-01-02 01:38:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703254", "2020-01-02 01:38:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703253", "2020-01-02 01:38:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703252", "2020-01-02 01:37:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703251", "2020-01-02 01:37:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703250", "2020-01-02 01:36:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703249", "2020-01-02 01:36:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703248", "2020-01-02 01:35:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703247", "2020-01-02 01:35:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703246", "2020-01-02 01:34:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703245", "2020-01-02 01:34:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703244", "2020-01-02 01:33:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703243", "2020-01-02 01:33:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703242", "2020-01-02 01:33:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703241", "2020-01-02 01:32:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703240", "2020-01-02 01:32:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703239", "2020-01-02 01:31:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703238", "2020-01-02 01:31:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703237", "2020-01-02 01:31:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703236", "2020-01-02 01:30:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703235", "2020-01-02 01:30:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703234", "2020-01-02 01:29:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703233", "2020-01-02 01:29:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703231", "2020-01-02 01:28:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703232", "2020-01-02 01:28:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703230", "2020-01-02 01:28:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703229", "2020-01-02 01:27:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703228", "2020-01-02 01:27:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703227", "2020-01-02 01:26:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703226", "2020-01-02 01:26:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703225", "2020-01-02 01:25:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703224", "2020-01-02 01:25:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703223", "2020-01-02 01:25:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703222", "2020-01-02 01:24:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703221", "2020-01-02 01:24:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703220", "2020-01-02 01:23:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703219", "2020-01-02 01:23:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703218", "2020-01-02 01:22:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703217", "2020-01-02 01:22:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703216", "2020-01-02 01:22:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703215", "2020-01-02 01:21:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703214", "2020-01-02 01:21:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703212", "2020-01-02 01:20:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703213", "2020-01-02 01:20:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703211", "2020-01-02 01:19:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703210", "2020-01-02 01:19:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703209", "2020-01-02 01:19:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703208", "2020-01-02 01:18:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703207", "2020-01-02 01:18:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703206", "2020-01-02 01:17:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703205", "2020-01-02 01:17:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703204", "2020-01-02 01:16:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703203", "2020-01-02 01:16:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703202", "2020-01-02 01:16:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703201", "2020-01-02 01:15:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703200", "2020-01-02 01:14:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703199", "2020-01-02 01:14:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703198", "2020-01-02 01:14:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703197", "2020-01-02 01:13:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703196", "2020-01-02 01:13:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703195", "2020-01-02 01:13:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703194", "2020-01-02 01:12:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703193", "2020-01-02 01:12:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703192", "2020-01-02 01:11:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703191", "2020-01-02 01:10:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703190", "2020-01-02 01:10:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703189", "2020-01-02 01:10:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703188", "2020-01-02 01:09:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703187", "2020-01-02 01:09:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703186", "2020-01-02 01:09:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703185", "2020-01-02 01:08:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703184", "2020-01-02 01:08:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703183", "2020-01-02 01:07:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703182", "2020-01-02 01:07:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703181", "2020-01-02 01:06:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703180", "2020-01-02 01:05:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703179", "2020-01-02 01:05:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703178", "2020-01-02 01:05:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703177", "2020-01-02 01:04:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703176", "2020-01-02 01:04:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703175", "2020-01-02 01:04:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703174", "2020-01-02 01:03:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703173", "2020-01-02 01:03:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703172", "2020-01-02 01:02:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703171", "2020-01-02 01:01:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703170", "2020-01-02 01:01:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703169", "2020-01-02 01:01:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703168", "2020-01-02 01:00:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703167", "2020-01-02 01:00:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703166", "2020-01-02 01:00:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703165", "2020-01-02 00:58:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703164", "2020-01-02 00:58:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703163", "2020-01-02 00:58:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703162", "2020-01-02 00:57:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703161", "2020-01-02 00:57:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703160", "2020-01-02 00:56:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703159", "2020-01-02 00:56:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703158", "2020-01-02 00:55:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703157", "2020-01-02 00:55:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703156", "2020-01-02 00:54:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703155", "2020-01-02 00:54:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703154", "2020-01-02 00:54:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703153", "2020-01-02 00:53:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703152", "2020-01-02 00:53:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703151", "2020-01-02 00:52:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703150", "2020-01-02 00:52:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703149", "2020-01-02 00:51:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703148", "2020-01-02 00:51:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703147", "2020-01-02 00:51:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703146", "2020-01-02 00:50:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703145", "2020-01-02 00:50:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703144", "2020-01-02 00:49:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703143", "2020-01-02 00:49:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703142", "2020-01-02 00:48:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703141", "2020-01-02 00:48:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703140", "2020-01-02 00:48:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703139", "2020-01-02 00:47:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703137", "2020-01-02 00:46:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703138", "2020-01-02 00:46:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703136", "2020-01-02 00:46:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703135", "2020-01-02 00:45:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703134", "2020-01-02 00:45:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703133", "2020-01-02 00:44:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703132", "2020-01-02 00:44:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703131", "2020-01-02 00:43:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703130", "2020-01-02 00:43:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703129", "2020-01-02 00:42:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703128", "2020-01-02 00:42:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703127", "2020-01-02 00:42:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703126", "2020-01-02 00:41:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703125", "2020-01-02 00:41:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703124", "2020-01-02 00:40:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703123", "2020-01-02 00:39:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703122", "2020-01-02 00:39:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703121", "2020-01-02 00:39:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703120", "2020-01-02 00:38:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703119", "2020-01-02 00:38:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703118", "2020-01-02 00:38:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703117", "2020-01-02 00:37:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703116", "2020-01-02 00:37:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703115", "2020-01-02 00:37:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703114", "2020-01-02 00:35:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703113", "2020-01-02 00:35:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703112", "2020-01-02 00:35:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703111", "2020-01-02 00:34:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703110", "2020-01-02 00:34:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703109", "2020-01-02 00:33:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703108", "2020-01-02 00:33:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703107", "2020-01-02 00:32:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703106", "2020-01-02 00:32:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703105", "2020-01-02 00:31:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703104", "2020-01-02 00:31:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703103", "2020-01-02 00:31:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703102", "2020-01-02 00:30:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703101", "2020-01-02 00:30:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703100", "2020-01-02 00:29:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703099", "2020-01-02 00:28:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703098", "2020-01-02 00:28:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703097", "2020-01-02 00:28:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703096", "2020-01-02 00:27:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703095", "2020-01-02 00:27:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703094", "2020-01-02 00:27:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703093", "2020-01-02 00:26:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703092", "2020-01-02 00:25:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703091", "2020-01-02 00:25:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703090", "2020-01-02 00:24:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703089", "2020-01-02 00:24:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703088", "2020-01-02 00:24:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703087", "2020-01-02 00:23:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703086", "2020-01-02 00:23:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703085", "2020-01-02 00:22:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703084", "2020-01-02 00:22:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703083", "2020-01-02 00:22:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703082", "2020-01-02 00:21:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703081", "2020-01-02 00:21:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703080", "2020-01-02 00:20:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703079", "2020-01-02 00:20:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703078", "2020-01-02 00:20:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703077", "2020-01-02 00:19:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703076", "2020-01-02 00:19:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703075", "2020-01-02 00:18:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703074", "2020-01-02 00:18:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703073", "2020-01-02 00:18:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703072", "2020-01-02 00:17:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703071", "2020-01-02 00:16:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703070", "2020-01-02 00:16:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703069", "2020-01-02 00:15:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703068", "2020-01-02 00:15:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703067", "2020-01-02 00:15:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687520", "2019-12-28 09:55:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687519", "2019-12-28 09:54:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687518", "2019-12-28 09:54:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687517", "2019-12-28 09:54:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687516", "2019-12-28 09:53:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687515", "2019-12-28 09:53:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687514", "2019-12-28 09:53:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687513", "2019-12-28 09:52:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687512", "2019-12-28 09:52:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687511", "2019-12-28 09:52:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687510", "2019-12-28 09:51:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687509", "2019-12-28 09:51:12", "/franchising.htm", "OutclicksBot/4 +https://www.outclicks.net/agent/5rok67FXrFh5BFSwSMiGCa939smE15MiJYJyNgIfGf2m07AGSIkC5jEdoydYga75u", NULL, "18222");
INSERT INTO `wp_redirection_404` VALUES("1687508", "2019-12-28 09:51:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687507", "2019-12-28 09:51:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687506", "2019-12-28 09:50:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687505", "2019-12-28 09:50:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687504", "2019-12-28 09:50:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687503", "2019-12-28 09:49:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687502", "2019-12-28 09:49:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687501", "2019-12-28 09:48:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687500", "2019-12-28 09:47:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687499", "2019-12-28 09:47:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687498", "2019-12-28 09:47:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687497", "2019-12-28 09:46:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687496", "2019-12-28 09:46:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687495", "2019-12-28 09:46:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687494", "2019-12-28 09:45:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687493", "2019-12-28 09:45:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687492", "2019-12-28 09:45:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687491", "2019-12-28 09:42:25", "/wordpress/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1687490", "2019-12-28 09:37:54", "/owa/auth/logon.aspx?replaceCurrent=1&url=", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "149255");
INSERT INTO `wp_redirection_404` VALUES("1687489", "2019-12-28 09:37:53", "/owa/auth/logon.aspx?replaceCurrent=1&url=", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "149255");
INSERT INTO `wp_redirection_404` VALUES("1687488", "2019-12-28 09:04:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687487", "2019-12-28 09:04:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687486", "2019-12-28 09:04:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687485", "2019-12-28 09:04:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687484", "2019-12-28 09:04:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687483", "2019-12-28 09:04:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687482", "2019-12-28 09:04:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687481", "2019-12-28 09:03:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687480", "2019-12-28 09:03:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687479", "2019-12-28 09:03:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687478", "2019-12-28 09:03:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687477", "2019-12-28 09:03:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687476", "2019-12-28 09:03:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687475", "2019-12-28 09:03:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687474", "2019-12-28 09:03:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687473", "2019-12-28 09:02:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687472", "2019-12-28 09:02:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687471", "2019-12-28 09:02:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687470", "2019-12-28 09:02:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687469", "2019-12-28 09:02:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687468", "2019-12-28 09:02:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687467", "2019-12-28 09:02:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687466", "2019-12-28 09:02:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687465", "2019-12-28 09:01:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687464", "2019-12-28 09:01:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687463", "2019-12-28 09:01:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687462", "2019-12-28 09:01:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687461", "2019-12-28 09:01:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687460", "2019-12-28 09:01:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687459", "2019-12-28 09:00:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687458", "2019-12-28 09:00:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687457", "2019-12-28 09:00:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687456", "2019-12-28 09:00:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687455", "2019-12-28 09:00:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687454", "2019-12-28 09:00:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687453", "2019-12-28 09:00:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687452", "2019-12-28 08:59:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687451", "2019-12-28 08:59:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687450", "2019-12-28 08:59:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687449", "2019-12-28 08:59:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687448", "2019-12-28 08:59:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687447", "2019-12-28 08:59:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687446", "2019-12-28 08:59:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687445", "2019-12-28 08:58:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687444", "2019-12-28 08:58:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687443", "2019-12-28 08:58:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687442", "2019-12-28 08:58:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687441", "2019-12-28 08:58:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687440", "2019-12-28 08:58:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687439", "2019-12-28 08:58:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687438", "2019-12-28 08:57:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687437", "2019-12-28 08:57:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687436", "2019-12-28 08:57:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687435", "2019-12-28 08:57:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687434", "2019-12-28 08:57:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687433", "2019-12-28 08:56:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687432", "2019-12-28 08:56:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687431", "2019-12-28 08:56:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687430", "2019-12-28 08:56:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687429", "2019-12-28 08:56:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687428", "2019-12-28 08:56:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687427", "2019-12-28 08:56:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687426", "2019-12-28 08:55:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687425", "2019-12-28 08:55:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687424", "2019-12-28 08:55:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687423", "2019-12-28 08:55:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687422", "2019-12-28 08:55:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687421", "2019-12-28 08:54:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687420", "2019-12-28 08:54:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687419", "2019-12-28 08:54:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687418", "2019-12-28 08:54:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687417", "2019-12-28 08:54:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687416", "2019-12-28 08:54:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687415", "2019-12-28 08:53:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687414", "2019-12-28 08:53:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687413", "2019-12-28 08:53:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687412", "2019-12-28 08:53:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687411", "2019-12-28 08:53:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687410", "2019-12-28 08:53:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687409", "2019-12-28 08:52:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687408", "2019-12-28 08:52:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687407", "2019-12-28 08:52:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687406", "2019-12-28 08:52:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687405", "2019-12-28 08:52:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687404", "2019-12-28 08:52:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687403", "2019-12-28 08:52:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687402", "2019-12-28 08:52:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687401", "2019-12-28 08:51:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687400", "2019-12-28 08:51:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687399", "2019-12-28 08:51:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687398", "2019-12-28 08:51:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687397", "2019-12-28 08:51:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687396", "2019-12-28 08:51:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687395", "2019-12-28 08:51:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687394", "2019-12-28 08:50:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687393", "2019-12-28 08:50:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687392", "2019-12-28 08:50:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687391", "2019-12-28 08:50:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687389", "2019-12-28 08:50:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687390", "2019-12-28 08:50:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687388", "2019-12-28 08:49:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687387", "2019-12-28 08:49:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687386", "2019-12-28 08:49:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687384", "2019-12-28 08:49:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687385", "2019-12-28 08:49:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687383", "2019-12-28 08:49:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687382", "2019-12-28 08:48:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687381", "2019-12-28 08:48:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687380", "2019-12-28 08:48:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687378", "2019-12-28 08:48:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687379", "2019-12-28 08:48:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687377", "2019-12-28 08:48:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687376", "2019-12-28 08:47:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687375", "2019-12-28 08:47:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687374", "2019-12-28 08:47:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687373", "2019-12-28 08:47:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687372", "2019-12-28 08:47:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687371", "2019-12-28 08:47:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687370", "2019-12-28 08:46:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687369", "2019-12-28 08:46:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687368", "2019-12-28 08:46:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687367", "2019-12-28 08:46:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687366", "2019-12-28 08:46:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687365", "2019-12-28 08:46:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687364", "2019-12-28 08:45:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687363", "2019-12-28 08:45:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687362", "2019-12-28 08:45:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687361", "2019-12-28 08:45:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687360", "2019-12-28 08:45:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687359", "2019-12-28 08:45:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687358", "2019-12-28 08:44:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687357", "2019-12-28 08:44:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687355", "2019-12-28 08:44:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687356", "2019-12-28 08:44:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687354", "2019-12-28 08:44:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687353", "2019-12-28 08:44:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687352", "2019-12-28 08:43:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687351", "2019-12-28 08:43:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687350", "2019-12-28 08:43:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687349", "2019-12-28 08:42:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687348", "2019-12-28 08:42:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687346", "2019-12-28 08:42:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687347", "2019-12-28 08:42:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687345", "2019-12-28 08:42:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687344", "2019-12-28 08:42:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687343", "2019-12-28 08:41:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687342", "2019-12-28 08:41:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687341", "2019-12-28 08:41:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687340", "2019-12-28 08:40:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687339", "2019-12-28 08:40:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687338", "2019-12-28 08:40:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687337", "2019-12-28 08:40:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687336", "2019-12-28 08:40:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687335", "2019-12-28 08:39:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687334", "2019-12-28 08:39:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687333", "2019-12-28 08:39:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687332", "2019-12-28 08:39:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687331", "2019-12-28 08:38:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687330", "2019-12-28 08:38:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687329", "2019-12-28 08:38:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687328", "2019-12-28 08:38:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687327", "2019-12-28 08:38:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687326", "2019-12-28 08:37:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687325", "2019-12-28 08:37:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687324", "2019-12-28 08:37:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687323", "2019-12-28 08:37:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687322", "2019-12-28 08:36:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687321", "2019-12-28 08:36:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687320", "2019-12-28 08:36:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687319", "2019-12-28 08:36:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687318", "2019-12-28 08:36:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687317", "2019-12-28 08:36:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687316", "2019-12-28 08:35:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687315", "2019-12-28 08:35:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687314", "2019-12-28 08:35:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687313", "2019-12-28 08:34:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687312", "2019-12-28 08:34:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687311", "2019-12-28 08:34:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687310", "2019-12-28 08:33:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687309", "2019-12-28 08:33:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687308", "2019-12-28 08:33:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687307", "2019-12-28 08:32:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687306", "2019-12-28 08:32:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687305", "2019-12-28 08:32:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687304", "2019-12-28 08:31:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687303", "2019-12-28 08:31:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687302", "2019-12-28 08:31:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687301", "2019-12-28 08:30:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687300", "2019-12-28 08:30:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687299", "2019-12-28 08:30:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687298", "2019-12-28 08:30:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687297", "2019-12-28 08:30:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687296", "2019-12-28 08:29:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687295", "2019-12-28 08:29:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687294", "2019-12-28 08:29:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687293", "2019-12-28 08:29:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687292", "2019-12-28 08:28:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687291", "2019-12-28 08:28:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687290", "2019-12-28 08:28:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687289", "2019-12-28 08:27:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687288", "2019-12-28 08:27:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687287", "2019-12-28 08:27:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687286", "2019-12-28 08:27:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687285", "2019-12-28 08:27:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687283", "2019-12-28 08:26:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687284", "2019-12-28 08:26:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687282", "2019-12-28 08:26:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687280", "2019-12-28 08:25:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687281", "2019-12-28 08:26:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687278", "2019-12-28 08:25:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687279", "2019-12-28 08:25:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687277", "2019-12-28 08:24:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687276", "2019-12-28 08:24:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687275", "2019-12-28 08:24:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687274", "2019-12-28 08:24:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687273", "2019-12-28 08:23:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687272", "2019-12-28 08:23:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687271", "2019-12-28 08:23:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687270", "2019-12-28 08:23:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687269", "2019-12-28 08:23:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687268", "2019-12-28 08:22:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687267", "2019-12-28 08:22:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687266", "2019-12-28 08:22:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687265", "2019-12-28 08:21:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687264", "2019-12-28 08:21:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687263", "2019-12-28 08:21:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687262", "2019-12-28 08:20:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687261", "2019-12-28 08:20:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687260", "2019-12-28 08:20:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687259", "2019-12-28 08:20:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687258", "2019-12-28 08:19:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687257", "2019-12-28 08:19:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687256", "2019-12-28 08:19:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687255", "2019-12-28 08:18:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687254", "2019-12-28 08:18:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687253", "2019-12-28 08:18:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687252", "2019-12-28 08:18:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687251", "2019-12-28 08:17:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687250", "2019-12-28 08:17:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687249", "2019-12-28 08:16:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687248", "2019-12-28 08:16:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687247", "2019-12-28 08:16:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687246", "2019-12-28 08:15:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687245", "2019-12-28 08:15:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687244", "2019-12-28 08:14:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687243", "2019-12-28 08:14:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687242", "2019-12-28 08:14:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687241", "2019-12-28 08:13:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687240", "2019-12-28 08:13:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687239", "2019-12-28 08:13:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687238", "2019-12-28 08:12:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687237", "2019-12-28 08:12:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687236", "2019-12-28 08:12:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687235", "2019-12-28 08:11:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687234", "2019-12-28 08:11:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687233", "2019-12-28 08:11:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687232", "2019-12-28 08:10:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687231", "2019-12-28 08:10:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687230", "2019-12-28 08:10:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687229", "2019-12-28 08:09:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687227", "2019-12-28 08:09:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687228", "2019-12-28 08:09:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687226", "2019-12-28 08:09:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687225", "2019-12-28 08:08:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687224", "2019-12-28 08:08:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687223", "2019-12-28 08:08:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687222", "2019-12-28 08:08:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687221", "2019-12-28 08:08:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687220", "2019-12-28 08:07:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687219", "2019-12-28 08:07:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687218", "2019-12-28 08:06:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687217", "2019-12-28 08:06:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687216", "2019-12-28 08:06:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687215", "2019-12-28 08:06:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687214", "2019-12-28 08:05:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687213", "2019-12-28 08:05:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687212", "2019-12-28 08:05:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687211", "2019-12-28 08:05:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687210", "2019-12-28 08:04:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687209", "2019-12-28 08:04:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687208", "2019-12-28 08:04:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687207", "2019-12-28 08:03:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687206", "2019-12-28 08:03:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687205", "2019-12-28 08:03:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687203", "2019-12-28 08:02:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687204", "2019-12-28 08:03:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687202", "2019-12-28 08:02:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687201", "2019-12-28 08:02:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687200", "2019-12-28 08:01:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687199", "2019-12-28 08:01:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687198", "2019-12-28 08:01:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687196", "2019-12-28 08:00:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687197", "2019-12-28 08:01:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687195", "2019-12-28 08:00:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687194", "2019-12-28 08:00:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687193", "2019-12-28 08:00:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687192", "2019-12-28 08:00:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687191", "2019-12-28 07:59:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687189", "2019-12-28 07:58:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687190", "2019-12-28 07:59:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687188", "2019-12-28 07:58:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687187", "2019-12-28 07:58:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687186", "2019-12-28 07:58:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687185", "2019-12-28 07:57:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687184", "2019-12-28 07:57:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687183", "2019-12-28 07:57:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687182", "2019-12-28 07:57:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687181", "2019-12-28 07:56:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687180", "2019-12-28 07:56:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687179", "2019-12-28 07:56:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687178", "2019-12-28 07:55:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687177", "2019-12-28 07:55:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687176", "2019-12-28 07:55:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687175", "2019-12-28 07:55:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687174", "2019-12-28 07:54:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687173", "2019-12-28 07:54:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687172", "2019-12-28 07:54:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687171", "2019-12-28 07:53:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687170", "2019-12-28 07:53:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687169", "2019-12-28 07:53:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687168", "2019-12-28 07:52:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687167", "2019-12-28 07:52:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687166", "2019-12-28 07:52:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687165", "2019-12-28 07:51:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687164", "2019-12-28 07:51:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687163", "2019-12-28 07:51:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687162", "2019-12-28 07:50:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687161", "2019-12-28 07:50:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687160", "2019-12-28 07:50:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687159", "2019-12-28 07:50:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687158", "2019-12-28 07:50:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687157", "2019-12-28 07:49:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687156", "2019-12-28 07:49:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687155", "2019-12-28 07:48:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687154", "2019-12-28 07:48:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687153", "2019-12-28 07:48:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687152", "2019-12-28 07:48:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687151", "2019-12-28 07:47:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687150", "2019-12-28 07:47:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687149", "2019-12-28 07:47:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687148", "2019-12-28 07:47:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687147", "2019-12-28 07:46:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687146", "2019-12-28 07:46:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687145", "2019-12-28 07:46:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687144", "2019-12-28 07:45:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687143", "2019-12-28 07:45:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687142", "2019-12-28 07:45:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687141", "2019-12-28 07:44:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687140", "2019-12-28 07:44:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687139", "2019-12-28 07:44:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687138", "2019-12-28 07:43:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687137", "2019-12-28 07:43:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687136", "2019-12-28 07:42:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687135", "2019-12-28 07:42:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687134", "2019-12-28 07:41:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687133", "2019-12-28 07:41:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687132", "2019-12-28 07:40:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687131", "2019-12-28 07:40:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687130", "2019-12-28 07:40:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687129", "2019-12-28 07:39:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687128", "2019-12-28 07:39:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687127", "2019-12-28 07:39:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687126", "2019-12-28 07:39:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687125", "2019-12-28 07:38:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687124", "2019-12-28 07:38:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687123", "2019-12-28 07:37:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687122", "2019-12-28 07:37:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687121", "2019-12-28 07:37:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687120", "2019-12-28 07:37:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687119", "2019-12-28 07:36:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687118", "2019-12-28 07:36:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687117", "2019-12-28 07:36:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687116", "2019-12-28 07:35:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687115", "2019-12-28 07:35:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687114", "2019-12-28 07:35:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687113", "2019-12-28 07:34:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687112", "2019-12-28 07:34:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687110", "2019-12-28 07:34:42", "/th1s_1s_a_4o4.html", "SiteLockSpider [en] (WinNT; I ;Nav)", NULL, "184154");
INSERT INTO `wp_redirection_404` VALUES("1687111", "2019-12-28 07:34:53", "/wp-content/plugins/store-locator/js/\\\"http:/", "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; WOW64; Trident/6.0)", "http://www.google.com/url?url=buckspizza.com&yahoo.com", "184154");
INSERT INTO `wp_redirection_404` VALUES("1687109", "2019-12-28 07:34:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687108", "2019-12-28 07:34:03", "/deliciousdeals/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1687107", "2019-12-28 07:33:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687106", "2019-12-28 07:33:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687105", "2019-12-28 07:33:41", "/pizza-parties/how-host-perfect-family-movie-night-home/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1687104", "2019-12-28 07:33:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687103", "2019-12-28 07:32:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687102", "2019-12-28 07:32:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687101", "2019-12-28 07:32:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687100", "2019-12-28 07:31:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687099", "2019-12-28 07:31:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687098", "2019-12-28 07:30:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687097", "2019-12-28 07:30:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687096", "2019-12-28 07:29:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687095", "2019-12-28 07:29:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687094", "2019-12-28 07:29:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687093", "2019-12-28 07:28:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687092", "2019-12-28 07:28:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687091", "2019-12-28 07:27:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687090", "2019-12-28 07:27:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687089", "2019-12-28 07:27:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687088", "2019-12-28 07:26:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687087", "2019-12-28 07:26:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687086", "2019-12-28 07:26:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687085", "2019-12-28 07:25:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687084", "2019-12-28 07:25:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687083", "2019-12-28 07:24:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687082", "2019-12-28 07:24:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687081", "2019-12-28 07:23:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687080", "2019-12-28 07:23:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687079", "2019-12-28 07:22:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687078", "2019-12-28 07:22:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687077", "2019-12-28 07:22:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687076", "2019-12-28 07:21:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687075", "2019-12-28 07:21:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687074", "2019-12-28 07:20:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687073", "2019-12-28 07:20:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687072", "2019-12-28 07:19:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687071", "2019-12-28 07:19:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687070", "2019-12-28 07:18:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687069", "2019-12-28 07:18:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687068", "2019-12-28 07:18:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687067", "2019-12-28 07:18:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687066", "2019-12-28 07:17:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687065", "2019-12-28 07:17:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687064", "2019-12-28 07:17:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687063", "2019-12-28 07:16:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687062", "2019-12-28 07:16:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687061", "2019-12-28 07:16:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687060", "2019-12-28 07:15:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687059", "2019-12-28 07:15:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687058", "2019-12-28 07:15:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687057", "2019-12-28 07:14:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687056", "2019-12-28 07:14:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687055", "2019-12-28 07:14:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687054", "2019-12-28 07:13:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687053", "2019-12-28 07:13:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687052", "2019-12-28 07:13:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687051", "2019-12-28 07:12:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687050", "2019-12-28 07:12:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687049", "2019-12-28 07:12:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687048", "2019-12-28 07:11:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687047", "2019-12-28 07:11:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687046", "2019-12-28 07:10:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687045", "2019-12-28 07:10:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687044", "2019-12-28 07:10:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687043", "2019-12-28 07:09:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687042", "2019-12-28 07:09:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687041", "2019-12-28 07:09:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687040", "2019-12-28 07:08:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687039", "2019-12-28 07:08:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687038", "2019-12-28 07:08:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687037", "2019-12-28 07:07:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687036", "2019-12-28 07:07:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687035", "2019-12-28 07:06:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687034", "2019-12-28 07:06:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687033", "2019-12-28 07:06:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687032", "2019-12-28 07:05:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687031", "2019-12-28 07:05:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687030", "2019-12-28 07:05:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687029", "2019-12-28 07:04:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687028", "2019-12-28 07:04:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687027", "2019-12-28 07:04:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687026", "2019-12-28 07:03:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687025", "2019-12-28 07:03:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687024", "2019-12-28 07:03:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687023", "2019-12-28 07:02:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687022", "2019-12-28 07:02:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687021", "2019-12-28 07:02:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687020", "2019-12-28 07:01:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687019", "2019-12-28 07:01:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687018", "2019-12-28 07:01:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687017", "2019-12-28 07:00:36", "/franchise/menus/8f8d3e7bda9fa48e70966a7bfd3926d8.pdf", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1687016", "2019-12-28 07:00:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687015", "2019-12-28 07:00:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687014", "2019-12-28 07:00:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687013", "2019-12-28 06:59:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687012", "2019-12-28 06:59:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687011", "2019-12-28 06:58:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687010", "2019-12-28 06:58:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687009", "2019-12-28 06:58:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687008", "2019-12-28 06:57:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687007", "2019-12-28 06:57:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687006", "2019-12-28 06:57:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687005", "2019-12-28 06:56:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687004", "2019-12-28 06:56:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687003", "2019-12-28 06:56:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687002", "2019-12-28 06:55:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687001", "2019-12-28 06:55:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687000", "2019-12-28 06:54:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686999", "2019-12-28 06:54:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686998", "2019-12-28 06:54:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686997", "2019-12-28 06:53:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686996", "2019-12-28 06:53:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686995", "2019-12-28 06:53:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686994", "2019-12-28 06:52:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686993", "2019-12-28 06:52:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686992", "2019-12-28 06:52:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686991", "2019-12-28 06:51:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686990", "2019-12-28 06:51:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686989", "2019-12-28 06:51:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686988", "2019-12-28 06:50:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686987", "2019-12-28 06:50:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686986", "2019-12-28 06:50:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686985", "2019-12-28 06:49:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686984", "2019-12-28 06:49:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686983", "2019-12-28 06:48:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686982", "2019-12-28 06:48:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686981", "2019-12-28 06:47:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686980", "2019-12-28 06:47:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686979", "2019-12-28 06:47:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686978", "2019-12-28 06:46:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686977", "2019-12-28 06:46:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686976", "2019-12-28 06:45:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686975", "2019-12-28 06:45:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686974", "2019-12-28 06:45:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686973", "2019-12-28 06:44:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686972", "2019-12-28 06:44:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686971", "2019-12-28 06:43:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686970", "2019-12-28 06:43:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686969", "2019-12-28 06:43:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686968", "2019-12-28 06:42:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686967", "2019-12-28 06:42:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686966", "2019-12-28 06:41:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686965", "2019-12-28 06:40:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686964", "2019-12-28 06:40:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686963", "2019-12-28 06:40:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686962", "2019-12-28 06:39:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686961", "2019-12-28 06:39:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686960", "2019-12-28 06:38:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686959", "2019-12-28 06:38:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686958", "2019-12-28 06:38:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686957", "2019-12-28 06:37:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686956", "2019-12-28 06:37:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686955", "2019-12-28 06:37:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686954", "2019-12-28 06:36:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685432", "2019-12-27 19:42:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685431", "2019-12-27 19:42:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685430", "2019-12-27 19:42:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685429", "2019-12-27 19:41:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685428", "2019-12-27 19:41:29", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "10777");
INSERT INTO `wp_redirection_404` VALUES("1685427", "2019-12-27 19:41:28", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "10777");
INSERT INTO `wp_redirection_404` VALUES("1685426", "2019-12-27 19:41:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685425", "2019-12-27 19:41:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685424", "2019-12-27 19:40:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685423", "2019-12-27 19:40:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685422", "2019-12-27 19:39:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685421", "2019-12-27 19:39:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685420", "2019-12-27 19:39:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685419", "2019-12-27 19:38:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685418", "2019-12-27 19:38:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685417", "2019-12-27 19:38:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685416", "2019-12-27 19:37:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685415", "2019-12-27 19:37:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685414", "2019-12-27 19:37:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685413", "2019-12-27 19:36:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685412", "2019-12-27 19:36:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685411", "2019-12-27 19:35:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685410", "2019-12-27 19:35:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685409", "2019-12-27 19:35:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685408", "2019-12-27 19:34:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685407", "2019-12-27 19:34:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685406", "2019-12-27 19:34:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685405", "2019-12-27 19:33:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685404", "2019-12-27 19:33:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685403", "2019-12-27 19:32:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685402", "2019-12-27 19:32:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685401", "2019-12-27 19:31:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685400", "2019-12-27 19:31:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685399", "2019-12-27 19:30:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685398", "2019-12-27 19:30:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685397", "2019-12-27 19:30:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685396", "2019-12-27 19:29:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685395", "2019-12-27 19:29:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685394", "2019-12-27 19:29:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685393", "2019-12-27 19:28:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685392", "2019-12-27 19:27:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685391", "2019-12-27 19:27:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685390", "2019-12-27 19:27:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685389", "2019-12-27 19:27:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685388", "2019-12-27 19:27:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685387", "2019-12-27 19:26:57", "/owa/auth/logon.aspx?replaceCurrent=1&url=", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "149255");
INSERT INTO `wp_redirection_404` VALUES("1685386", "2019-12-27 19:26:56", "/owa/auth/logon.aspx?replaceCurrent=1&url=", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "149255");
INSERT INTO `wp_redirection_404` VALUES("1685385", "2019-12-27 19:26:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685384", "2019-12-27 19:25:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685383", "2019-12-27 19:25:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685382", "2019-12-27 19:25:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685381", "2019-12-27 19:24:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685380", "2019-12-27 19:24:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685379", "2019-12-27 19:24:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685378", "2019-12-27 19:22:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685377", "2019-12-27 19:22:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685376", "2019-12-27 19:22:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685375", "2019-12-27 19:21:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685374", "2019-12-27 19:21:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685373", "2019-12-27 19:21:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685372", "2019-12-27 19:20:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685371", "2019-12-27 19:20:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685370", "2019-12-27 19:20:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685369", "2019-12-27 19:19:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685368", "2019-12-27 19:18:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685367", "2019-12-27 19:18:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685366", "2019-12-27 19:17:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685365", "2019-12-27 19:17:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685364", "2019-12-27 19:16:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685363", "2019-12-27 19:16:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685362", "2019-12-27 19:16:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685361", "2019-12-27 19:15:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685360", "2019-12-27 19:14:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685359", "2019-12-27 19:14:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685358", "2019-12-27 19:14:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685357", "2019-12-27 19:13:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685356", "2019-12-27 19:13:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685355", "2019-12-27 19:13:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685354", "2019-12-27 19:12:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685353", "2019-12-27 19:12:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685352", "2019-12-27 19:11:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685351", "2019-12-27 19:11:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685350", "2019-12-27 19:10:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685349", "2019-12-27 19:10:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685348", "2019-12-27 19:09:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685347", "2019-12-27 19:09:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685346", "2019-12-27 19:09:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685345", "2019-12-27 19:08:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685344", "2019-12-27 19:08:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685343", "2019-12-27 19:08:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685342", "2019-12-27 19:07:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685341", "2019-12-27 19:07:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685340", "2019-12-27 19:07:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685339", "2019-12-27 19:06:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685338", "2019-12-27 19:06:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685337", "2019-12-27 19:06:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685336", "2019-12-27 19:05:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685335", "2019-12-27 19:05:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685334", "2019-12-27 19:05:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685333", "2019-12-27 19:04:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685332", "2019-12-27 19:03:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685331", "2019-12-27 19:03:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685330", "2019-12-27 19:03:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685329", "2019-12-27 19:02:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685328", "2019-12-27 19:02:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685327", "2019-12-27 19:01:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685326", "2019-12-27 19:01:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685325", "2019-12-27 19:00:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685324", "2019-12-27 19:00:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685323", "2019-12-27 18:59:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685322", "2019-12-27 18:59:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685321", "2019-12-27 18:59:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685320", "2019-12-27 18:59:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685319", "2019-12-27 18:58:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685318", "2019-12-27 18:58:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685317", "2019-12-27 18:58:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685316", "2019-12-27 18:57:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685315", "2019-12-27 18:57:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685314", "2019-12-27 18:57:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685313", "2019-12-27 18:56:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685312", "2019-12-27 18:56:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685311", "2019-12-27 18:56:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685310", "2019-12-27 18:55:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685309", "2019-12-27 18:55:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685308", "2019-12-27 18:55:00", "/thank-you-celebration/attachment/febthankyou/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1685307", "2019-12-27 18:54:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685306", "2019-12-27 18:54:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685305", "2019-12-27 18:54:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685304", "2019-12-27 18:53:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685303", "2019-12-27 18:53:33", "/router.php", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "39104");
INSERT INTO `wp_redirection_404` VALUES("1685302", "2019-12-27 18:53:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685301", "2019-12-27 18:53:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685300", "2019-12-27 18:52:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685299", "2019-12-27 18:52:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685298", "2019-12-27 18:51:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685297", "2019-12-27 18:51:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685296", "2019-12-27 18:50:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685295", "2019-12-27 18:50:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685294", "2019-12-27 18:50:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685293", "2019-12-27 18:49:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685292", "2019-12-27 18:49:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685291", "2019-12-27 18:48:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685290", "2019-12-27 18:48:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685289", "2019-12-27 18:48:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685288", "2019-12-27 18:47:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685287", "2019-12-27 18:47:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685286", "2019-12-27 18:46:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685285", "2019-12-27 18:46:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685284", "2019-12-27 18:45:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685283", "2019-12-27 18:45:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685282", "2019-12-27 18:45:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685281", "2019-12-27 18:44:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685280", "2019-12-27 18:44:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685279", "2019-12-27 18:44:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685278", "2019-12-27 18:43:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685277", "2019-12-27 18:42:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685276", "2019-12-27 18:42:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685275", "2019-12-27 18:42:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685274", "2019-12-27 18:42:07", "/thank-you-celebration/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1685273", "2019-12-27 18:42:07", "/thank-you-celebration/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1685272", "2019-12-27 18:41:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685271", "2019-12-27 18:41:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685270", "2019-12-27 18:40:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685269", "2019-12-27 18:40:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685268", "2019-12-27 18:40:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685267", "2019-12-27 18:39:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685266", "2019-12-27 18:39:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685265", "2019-12-27 18:39:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685264", "2019-12-27 18:38:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685263", "2019-12-27 18:38:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685262", "2019-12-27 18:37:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685261", "2019-12-27 18:37:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685260", "2019-12-27 18:36:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685259", "2019-12-27 18:36:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685258", "2019-12-27 18:35:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685257", "2019-12-27 18:34:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685256", "2019-12-27 18:34:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685255", "2019-12-27 18:34:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685254", "2019-12-27 18:33:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685253", "2019-12-27 18:33:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685252", "2019-12-27 18:33:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685251", "2019-12-27 18:32:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685250", "2019-12-27 18:32:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685249", "2019-12-27 18:31:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685248", "2019-12-27 18:30:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685247", "2019-12-27 18:30:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685246", "2019-12-27 18:30:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685245", "2019-12-27 18:29:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685244", "2019-12-27 18:29:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685243", "2019-12-27 18:29:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685242", "2019-12-27 18:29:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685241", "2019-12-27 18:28:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685240", "2019-12-27 18:27:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685239", "2019-12-27 18:27:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685238", "2019-12-27 18:26:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685237", "2019-12-27 18:26:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685236", "2019-12-27 18:26:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685235", "2019-12-27 18:25:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685234", "2019-12-27 18:25:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685233", "2019-12-27 18:24:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685232", "2019-12-27 18:24:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685231", "2019-12-27 18:24:04", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "67143");
INSERT INTO `wp_redirection_404` VALUES("1685230", "2019-12-27 18:24:04", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "67143");
INSERT INTO `wp_redirection_404` VALUES("1685229", "2019-12-27 18:24:04", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "67143");
INSERT INTO `wp_redirection_404` VALUES("1685228", "2019-12-27 18:24:04", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "67143");
INSERT INTO `wp_redirection_404` VALUES("1685227", "2019-12-27 18:23:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685226", "2019-12-27 18:23:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685225", "2019-12-27 18:22:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685224", "2019-12-27 18:22:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685223", "2019-12-27 18:22:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685222", "2019-12-27 18:21:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685221", "2019-12-27 18:20:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685220", "2019-12-27 18:20:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685219", "2019-12-27 18:19:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685218", "2019-12-27 18:19:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685217", "2019-12-27 18:19:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685216", "2019-12-27 18:18:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685215", "2019-12-27 18:18:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685214", "2019-12-27 18:17:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685213", "2019-12-27 18:17:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685212", "2019-12-27 18:16:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685211", "2019-12-27 18:16:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685210", "2019-12-27 18:16:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685209", "2019-12-27 18:15:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685208", "2019-12-27 18:15:28", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "174240");
INSERT INTO `wp_redirection_404` VALUES("1685207", "2019-12-27 18:15:28", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "174240");
INSERT INTO `wp_redirection_404` VALUES("1685206", "2019-12-27 18:15:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685205", "2019-12-27 18:15:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685204", "2019-12-27 18:14:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685203", "2019-12-27 18:13:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685202", "2019-12-27 18:13:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685201", "2019-12-27 18:13:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685200", "2019-12-27 18:12:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685199", "2019-12-27 18:12:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685198", "2019-12-27 18:11:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685197", "2019-12-27 18:10:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685196", "2019-12-27 18:10:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685195", "2019-12-27 18:09:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685194", "2019-12-27 18:09:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685193", "2019-12-27 18:09:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685192", "2019-12-27 18:08:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685191", "2019-12-27 18:08:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685190", "2019-12-27 18:07:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685189", "2019-12-27 18:07:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685188", "2019-12-27 18:07:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685187", "2019-12-27 18:06:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685186", "2019-12-27 18:06:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685185", "2019-12-27 18:06:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685184", "2019-12-27 18:06:05", "/pizza-recipes/bring-pizza-without-losing-taste-texture/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1685183", "2019-12-27 18:05:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685182", "2019-12-27 18:05:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685181", "2019-12-27 18:04:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685180", "2019-12-27 18:04:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685179", "2019-12-27 18:03:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685178", "2019-12-27 18:02:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685177", "2019-12-27 18:02:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685176", "2019-12-27 18:01:58", "/charleston-sc/~http:/buckspizza.com/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1685175", "2019-12-27 18:01:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685174", "2019-12-27 18:01:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685173", "2019-12-27 18:01:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685172", "2019-12-27 18:00:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685171", "2019-12-27 17:59:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685170", "2019-12-27 17:59:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685169", "2019-12-27 17:59:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685168", "2019-12-27 17:58:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685167", "2019-12-27 17:58:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685166", "2019-12-27 17:58:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685165", "2019-12-27 17:56:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685164", "2019-12-27 17:56:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685163", "2019-12-27 17:56:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685162", "2019-12-27 17:55:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685161", "2019-12-27 17:54:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685160", "2019-12-27 17:54:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685159", "2019-12-27 17:54:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685158", "2019-12-27 17:53:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685157", "2019-12-27 17:53:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685156", "2019-12-27 17:53:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685155", "2019-12-27 17:52:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685154", "2019-12-27 17:52:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685153", "2019-12-27 17:51:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685152", "2019-12-27 17:51:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685151", "2019-12-27 17:50:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685150", "2019-12-27 17:50:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685149", "2019-12-27 17:50:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685148", "2019-12-27 17:49:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685147", "2019-12-27 17:49:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685146", "2019-12-27 17:48:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685145", "2019-12-27 17:47:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685144", "2019-12-27 17:47:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685143", "2019-12-27 17:47:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685142", "2019-12-27 17:46:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685141", "2019-12-27 17:46:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685140", "2019-12-27 17:46:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685139", "2019-12-27 17:45:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685138", "2019-12-27 17:45:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685137", "2019-12-27 17:44:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685136", "2019-12-27 17:44:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685135", "2019-12-27 17:44:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685134", "2019-12-27 17:43:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685133", "2019-12-27 17:43:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685132", "2019-12-27 17:42:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685131", "2019-12-27 17:41:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685130", "2019-12-27 17:41:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685129", "2019-12-27 17:41:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685128", "2019-12-27 17:40:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685127", "2019-12-27 17:39:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685126", "2019-12-27 17:39:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685125", "2019-12-27 17:38:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685124", "2019-12-27 17:38:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685123", "2019-12-27 17:37:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685122", "2019-12-27 17:37:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685121", "2019-12-27 17:36:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685120", "2019-12-27 17:36:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685119", "2019-12-27 17:35:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685118", "2019-12-27 17:34:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685117", "2019-12-27 17:34:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685116", "2019-12-27 17:34:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685115", "2019-12-27 17:33:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685114", "2019-12-27 17:33:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685113", "2019-12-27 17:32:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685111", "2019-12-27 17:31:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685112", "2019-12-27 17:32:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685110", "2019-12-27 17:31:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685109", "2019-12-27 17:31:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685108", "2019-12-27 17:30:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685107", "2019-12-27 17:30:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685106", "2019-12-27 17:29:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685105", "2019-12-27 17:29:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685104", "2019-12-27 17:28:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685103", "2019-12-27 17:28:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685102", "2019-12-27 17:28:35", "/pizza-recipes/pizza-crust-alternatives/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1685101", "2019-12-27 17:27:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685100", "2019-12-27 17:27:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685099", "2019-12-27 17:27:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685098", "2019-12-27 17:26:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685097", "2019-12-27 17:26:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685096", "2019-12-27 17:26:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685095", "2019-12-27 17:25:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685094", "2019-12-27 17:24:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685093", "2019-12-27 17:24:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685092", "2019-12-27 17:23:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685091", "2019-12-27 17:22:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685090", "2019-12-27 17:22:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685089", "2019-12-27 17:21:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685088", "2019-12-27 17:21:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685087", "2019-12-27 17:21:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685086", "2019-12-27 17:20:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685084", "2019-12-27 17:20:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685085", "2019-12-27 17:20:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685083", "2019-12-27 17:19:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685082", "2019-12-27 17:19:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685081", "2019-12-27 17:19:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685080", "2019-12-27 17:18:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685079", "2019-12-27 17:18:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685078", "2019-12-27 17:17:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685077", "2019-12-27 17:17:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685076", "2019-12-27 17:17:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685075", "2019-12-27 17:08:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685074", "2019-12-27 15:57:01", "/images/envelope-border.png", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.79 Safari/537.36", "http://buckspizza.com/contact/", "182185");
INSERT INTO `wp_redirection_404` VALUES("1685073", "2019-12-27 15:56:49", "/images/envelope-border.png", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.79 Safari/537.36", "http://buckspizza.com/", "182185");
INSERT INTO `wp_redirection_404` VALUES("1685072", "2019-12-27 15:43:53", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "7272");
INSERT INTO `wp_redirection_404` VALUES("1685071", "2019-12-27 15:43:52", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "7272");
INSERT INTO `wp_redirection_404` VALUES("1685070", "2019-12-27 15:43:52", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "7272");
INSERT INTO `wp_redirection_404` VALUES("1685069", "2019-12-27 15:43:51", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "7272");
INSERT INTO `wp_redirection_404` VALUES("1685068", "2019-12-27 15:43:48", "/apple-touch-icon-152x152.png", "MobileSafari/604.1 CFNetwork/1107.1 Darwin/19.0.0", NULL, "7272");
INSERT INTO `wp_redirection_404` VALUES("1685067", "2019-12-27 15:43:48", "/apple-touch-icon-152x152-precomposed.png", "MobileSafari/604.1 CFNetwork/1107.1 Darwin/19.0.0", NULL, "7272");
INSERT INTO `wp_redirection_404` VALUES("1685066", "2019-12-27 15:33:43", "/pizza-tech/7-genius-pizza-hacks-2015/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1685065", "2019-12-27 15:29:30", "/unzip.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", "http://www.buckspizza.com/unzip.php", "81169");
INSERT INTO `wp_redirection_404` VALUES("1685064", "2019-12-27 15:29:28", "/unzipper.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", "http://www.buckspizza.com/unzipper.php", "81169");
INSERT INTO `wp_redirection_404` VALUES("1685063", "2019-12-27 15:29:26", "/urlreplace.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", "http://www.buckspizza.com/urlreplace.php", "81169");
INSERT INTO `wp_redirection_404` VALUES("1685062", "2019-12-27 15:29:24", "/replace.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", "http://www.buckspizza.com/replace.php", "81169");
INSERT INTO `wp_redirection_404` VALUES("1685061", "2019-12-27 15:29:22", "/installer-backup.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", "http://www.buckspizza.com/installer-backup.php", "81169");
INSERT INTO `wp_redirection_404` VALUES("1685060", "2019-12-27 15:29:21", "/unzip.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "173249");
INSERT INTO `wp_redirection_404` VALUES("1685059", "2019-12-27 15:29:21", "/unzip.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "173249");
INSERT INTO `wp_redirection_404` VALUES("1685058", "2019-12-27 15:29:20", "/unzipper.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "173249");
INSERT INTO `wp_redirection_404` VALUES("1685057", "2019-12-27 15:29:20", "/unzipper.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "173249");
INSERT INTO `wp_redirection_404` VALUES("1685056", "2019-12-27 15:29:20", "/installer.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", "http://www.buckspizza.com/installer.php", "81169");
INSERT INTO `wp_redirection_404` VALUES("1685055", "2019-12-27 15:29:19", "/urlreplace.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "173249");
INSERT INTO `wp_redirection_404` VALUES("1685054", "2019-12-27 15:29:19", "/urlreplace.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "173249");
INSERT INTO `wp_redirection_404` VALUES("1685053", "2019-12-27 15:29:18", "/replace.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "173249");
INSERT INTO `wp_redirection_404` VALUES("1685052", "2019-12-27 15:29:18", "/replace.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "173249");
INSERT INTO `wp_redirection_404` VALUES("1685051", "2019-12-27 15:29:17", "/installer-backup.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "173249");
INSERT INTO `wp_redirection_404` VALUES("1685050", "2019-12-27 15:29:17", "/installer-backup.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "173249");
INSERT INTO `wp_redirection_404` VALUES("1685049", "2019-12-27 15:29:16", "/installer.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "173249");
INSERT INTO `wp_redirection_404` VALUES("1685048", "2019-12-27 15:29:16", "/installer.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "173249");
INSERT INTO `wp_redirection_404` VALUES("1685047", "2019-12-27 15:19:55", "/signup.php", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", "http://buckspizza.com/", "12814");
INSERT INTO `wp_redirection_404` VALUES("1685046", "2019-12-27 15:19:50", "/join.php", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", NULL, "12814");
INSERT INTO `wp_redirection_404` VALUES("1685045", "2019-12-27 15:19:48", "/signup", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", "http://buckspizza.com/", "12814");
INSERT INTO `wp_redirection_404` VALUES("1685044", "2019-12-27 15:19:46", "/account/register.php", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", "http://buckspizza.com/", "12814");
INSERT INTO `wp_redirection_404` VALUES("1685043", "2019-12-27 15:19:45", "/member/index_do.php?fmdo=user&dopost=regnew", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", "http://buckspizza.com/", "12814");
INSERT INTO `wp_redirection_404` VALUES("1685042", "2019-12-27 15:19:42", "/signup.php", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", NULL, "12814");
INSERT INTO `wp_redirection_404` VALUES("1710154", "2020-01-03 22:02:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710153", "2020-01-03 22:02:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710152", "2020-01-03 22:01:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710151", "2020-01-03 22:01:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710150", "2020-01-03 22:00:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710149", "2020-01-03 22:00:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710148", "2020-01-03 21:59:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710147", "2020-01-03 21:59:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710146", "2020-01-03 21:59:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710145", "2020-01-03 21:58:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710144", "2020-01-03 21:58:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710143", "2020-01-03 21:58:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710142", "2020-01-03 21:57:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710141", "2020-01-03 21:56:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710140", "2020-01-03 21:56:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710139", "2020-01-03 21:56:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710138", "2020-01-03 21:55:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710137", "2020-01-03 21:55:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710136", "2020-01-03 21:55:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710135", "2020-01-03 21:54:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710134", "2020-01-03 21:54:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710133", "2020-01-03 21:54:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710132", "2020-01-03 21:53:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710131", "2020-01-03 21:53:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710130", "2020-01-03 21:53:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710129", "2020-01-03 21:52:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710128", "2020-01-03 21:52:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710127", "2020-01-03 21:52:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710126", "2020-01-03 21:51:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710125", "2020-01-03 21:51:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710124", "2020-01-03 21:51:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710123", "2020-01-03 21:50:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710122", "2020-01-03 21:49:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710121", "2020-01-03 21:49:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710120", "2020-01-03 21:48:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710119", "2020-01-03 21:47:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710118", "2020-01-03 21:47:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710117", "2020-01-03 21:47:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710116", "2020-01-03 21:46:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710115", "2020-01-03 21:46:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710114", "2020-01-03 21:46:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710113", "2020-01-03 21:45:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710112", "2020-01-03 21:45:35", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "166137");
INSERT INTO `wp_redirection_404` VALUES("1710111", "2020-01-03 21:45:34", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "166137");
INSERT INTO `wp_redirection_404` VALUES("1710110", "2020-01-03 21:45:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710109", "2020-01-03 21:44:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710108", "2020-01-03 21:44:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710107", "2020-01-03 21:43:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710106", "2020-01-03 21:43:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710105", "2020-01-03 21:42:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710104", "2020-01-03 21:42:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710103", "2020-01-03 21:42:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710102", "2020-01-03 21:41:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710101", "2020-01-03 21:41:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710100", "2020-01-03 21:41:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710099", "2020-01-03 21:40:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710098", "2020-01-03 21:40:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710097", "2020-01-03 21:39:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710096", "2020-01-03 21:38:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710095", "2020-01-03 21:38:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710094", "2020-01-03 21:38:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710093", "2020-01-03 21:37:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710092", "2020-01-03 21:37:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709896", "2020-01-03 20:13:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709895", "2020-01-03 20:12:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709894", "2020-01-03 20:12:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709893", "2020-01-03 20:12:24", "/admin/ueditor/dialogs/internal.js", "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Win64; x64; Trident/5.0)", "http://www.buckspizza.com/admin/ueditor/dialogs/internal.js", "39108");
INSERT INTO `wp_redirection_404` VALUES("1709892", "2020-01-03 20:11:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709891", "2020-01-03 20:11:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709890", "2020-01-03 20:11:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709889", "2020-01-03 20:10:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709888", "2020-01-03 20:10:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709887", "2020-01-03 20:10:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709886", "2020-01-03 20:09:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709885", "2020-01-03 20:09:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709884", "2020-01-03 20:08:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709883", "2020-01-03 20:08:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709882", "2020-01-03 20:07:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709881", "2020-01-03 20:07:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709880", "2020-01-03 20:06:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709879", "2020-01-03 20:05:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709878", "2020-01-03 20:05:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709877", "2020-01-03 20:05:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709876", "2020-01-03 20:04:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709875", "2020-01-03 20:04:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709874", "2020-01-03 20:04:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709873", "2020-01-03 20:03:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710091", "2020-01-03 21:36:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710090", "2020-01-03 21:36:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710089", "2020-01-03 21:36:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710088", "2020-01-03 21:35:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710087", "2020-01-03 21:35:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710086", "2020-01-03 21:34:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710085", "2020-01-03 21:34:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710084", "2020-01-03 21:33:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710083", "2020-01-03 21:33:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710082", "2020-01-03 21:33:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710081", "2020-01-03 21:32:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710080", "2020-01-03 21:32:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710079", "2020-01-03 21:32:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710078", "2020-01-03 21:31:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710077", "2020-01-03 21:31:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710076", "2020-01-03 21:30:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710075", "2020-01-03 21:30:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710074", "2020-01-03 21:29:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710073", "2020-01-03 21:29:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710072", "2020-01-03 21:29:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710071", "2020-01-03 21:28:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710070", "2020-01-03 21:27:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710069", "2020-01-03 21:27:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710068", "2020-01-03 21:27:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710067", "2020-01-03 21:26:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710066", "2020-01-03 21:26:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710065", "2020-01-03 21:26:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710064", "2020-01-03 21:25:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710063", "2020-01-03 21:24:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710062", "2020-01-03 21:24:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710061", "2020-01-03 21:24:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710060", "2020-01-03 21:23:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710059", "2020-01-03 21:23:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710058", "2020-01-03 21:22:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710057", "2020-01-03 21:21:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710056", "2020-01-03 21:21:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710055", "2020-01-03 21:21:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710054", "2020-01-03 21:20:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710053", "2020-01-03 21:20:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710052", "2020-01-03 21:20:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710051", "2020-01-03 21:19:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710050", "2020-01-03 21:19:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710049", "2020-01-03 21:19:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710048", "2020-01-03 21:18:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710047", "2020-01-03 21:17:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710046", "2020-01-03 21:17:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710045", "2020-01-03 21:16:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710044", "2020-01-03 21:16:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710043", "2020-01-03 21:16:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710042", "2020-01-03 21:15:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710041", "2020-01-03 21:15:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710040", "2020-01-03 21:14:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710039", "2020-01-03 21:14:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710038", "2020-01-03 21:14:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710037", "2020-01-03 21:13:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710036", "2020-01-03 21:13:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710035", "2020-01-03 21:13:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710034", "2020-01-03 21:12:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710033", "2020-01-03 21:12:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710032", "2020-01-03 21:11:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710031", "2020-01-03 21:11:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710030", "2020-01-03 21:10:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710029", "2020-01-03 21:10:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710028", "2020-01-03 21:10:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710027", "2020-01-03 21:09:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710026", "2020-01-03 21:09:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710025", "2020-01-03 21:08:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710024", "2020-01-03 21:08:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710023", "2020-01-03 21:08:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710022", "2020-01-03 21:08:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710021", "2020-01-03 21:07:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710020", "2020-01-03 21:07:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710019", "2020-01-03 21:06:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710018", "2020-01-03 21:05:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710017", "2020-01-03 21:05:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710016", "2020-01-03 21:05:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710015", "2020-01-03 21:04:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710014", "2020-01-03 21:03:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710013", "2020-01-03 21:03:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710012", "2020-01-03 21:02:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710011", "2020-01-03 21:02:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710010", "2020-01-03 21:02:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710009", "2020-01-03 21:01:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710008", "2020-01-03 21:01:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710007", "2020-01-03 21:00:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710006", "2020-01-03 21:00:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710005", "2020-01-03 21:00:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710004", "2020-01-03 20:59:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710003", "2020-01-03 20:59:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710002", "2020-01-03 20:58:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710001", "2020-01-03 20:58:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710000", "2020-01-03 20:58:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709999", "2020-01-03 20:57:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709998", "2020-01-03 20:57:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709997", "2020-01-03 20:56:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709996", "2020-01-03 20:56:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709995", "2020-01-03 20:55:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709994", "2020-01-03 20:55:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709993", "2020-01-03 20:55:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709992", "2020-01-03 20:54:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709991", "2020-01-03 20:54:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709990", "2020-01-03 20:54:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709989", "2020-01-03 20:52:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709988", "2020-01-03 20:52:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709987", "2020-01-03 20:52:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709986", "2020-01-03 20:51:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709985", "2020-01-03 20:51:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709984", "2020-01-03 20:51:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709983", "2020-01-03 20:50:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709982", "2020-01-03 20:49:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709981", "2020-01-03 20:49:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709980", "2020-01-03 20:49:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709979", "2020-01-03 20:48:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709978", "2020-01-03 20:48:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709977", "2020-01-03 20:47:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709976", "2020-01-03 20:47:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709975", "2020-01-03 20:46:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709974", "2020-01-03 20:46:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709973", "2020-01-03 20:45:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709972", "2020-01-03 20:45:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709971", "2020-01-03 20:44:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709970", "2020-01-03 20:44:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709969", "2020-01-03 20:44:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709968", "2020-01-03 20:43:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709967", "2020-01-03 20:43:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709966", "2020-01-03 20:43:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709965", "2020-01-03 20:42:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709964", "2020-01-03 20:42:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709963", "2020-01-03 20:41:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709962", "2020-01-03 20:41:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709961", "2020-01-03 20:41:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709960", "2020-01-03 20:40:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709959", "2020-01-03 20:40:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709958", "2020-01-03 20:40:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709957", "2020-01-03 20:39:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709956", "2020-01-03 20:39:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709955", "2020-01-03 20:39:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709954", "2020-01-03 20:38:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709953", "2020-01-03 20:38:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709952", "2020-01-03 20:37:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709951", "2020-01-03 20:37:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709950", "2020-01-03 20:36:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709949", "2020-01-03 20:35:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709948", "2020-01-03 20:35:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709947", "2020-01-03 20:35:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709946", "2020-01-03 20:35:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709945", "2020-01-03 20:34:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709944", "2020-01-03 20:33:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709943", "2020-01-03 20:33:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709942", "2020-01-03 20:32:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709941", "2020-01-03 20:32:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709940", "2020-01-03 20:31:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709938", "2020-01-03 20:31:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709939", "2020-01-03 20:31:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709937", "2020-01-03 20:30:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709936", "2020-01-03 20:30:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709935", "2020-01-03 20:30:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709934", "2020-01-03 20:29:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709933", "2020-01-03 20:29:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709932", "2020-01-03 20:29:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709931", "2020-01-03 20:28:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709930", "2020-01-03 20:28:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709929", "2020-01-03 20:27:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709928", "2020-01-03 20:27:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709927", "2020-01-03 20:27:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709926", "2020-01-03 20:26:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709925", "2020-01-03 20:26:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709924", "2020-01-03 20:26:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709923", "2020-01-03 20:25:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709922", "2020-01-03 20:25:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709921", "2020-01-03 20:24:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709920", "2020-01-03 20:23:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709919", "2020-01-03 20:23:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709918", "2020-01-03 20:22:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709917", "2020-01-03 20:22:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709916", "2020-01-03 20:22:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709915", "2020-01-03 20:21:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709914", "2020-01-03 20:21:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709913", "2020-01-03 20:20:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709912", "2020-01-03 20:20:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709911", "2020-01-03 20:20:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709910", "2020-01-03 20:19:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709909", "2020-01-03 20:19:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709908", "2020-01-03 20:19:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709907", "2020-01-03 20:17:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709906", "2020-01-03 20:17:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709905", "2020-01-03 20:17:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709904", "2020-01-03 20:16:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709903", "2020-01-03 20:16:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709902", "2020-01-03 20:16:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709900", "2020-01-03 20:15:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709901", "2020-01-03 20:15:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709899", "2020-01-03 20:14:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709898", "2020-01-03 20:14:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709897", "2020-01-03 20:13:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685021", "2019-12-27 14:14:48", "/contact/contact-form-7/v1", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34220");
INSERT INTO `wp_redirection_404` VALUES("1685022", "2019-12-27 14:29:17", "/owa/auth/logon.aspx?replaceCurrent=1&url=", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "149255");
INSERT INTO `wp_redirection_404` VALUES("1685023", "2019-12-27 14:29:17", "/owa/auth/logon.aspx?replaceCurrent=1&url=", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "149255");
INSERT INTO `wp_redirection_404` VALUES("1685024", "2019-12-27 14:32:28", "/owa/auth/logon.aspx?replaceCurrent=1&url=", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "149255");
INSERT INTO `wp_redirection_404` VALUES("1685025", "2019-12-27 14:32:29", "/owa/auth/logon.aspx?replaceCurrent=1&url=", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "149255");
INSERT INTO `wp_redirection_404` VALUES("1685026", "2019-12-27 14:37:01", "/owa/auth/logon.aspx?replaceCurrent=1&url=", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "149255");
INSERT INTO `wp_redirection_404` VALUES("1685027", "2019-12-27 14:37:01", "/owa/auth/logon.aspx?replaceCurrent=1&url=", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "149255");
INSERT INTO `wp_redirection_404` VALUES("1685028", "2019-12-27 14:38:08", "/about/contact-form-7/v1", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34220");
INSERT INTO `wp_redirection_404` VALUES("1685029", "2019-12-27 14:46:59", "/owa/auth/logon.aspx?replaceCurrent=1&url=", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "149255");
INSERT INTO `wp_redirection_404` VALUES("1685030", "2019-12-27 14:46:59", "/owa/auth/logon.aspx?replaceCurrent=1&url=", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "149255");
INSERT INTO `wp_redirection_404` VALUES("1685031", "2019-12-27 15:08:05", "/ads.txt", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko; compatible; BuiltWith/1.0; +http://builtwith.com/biup) Chrome/60.0.3112.101 Safari/537.36", NULL, "34254");
INSERT INTO `wp_redirection_404` VALUES("1685032", "2019-12-27 15:19:02", "/account/signup/?login_provider=local", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", "http://buckspizza.com/account/signup/?login_provider=local", "12814");
INSERT INTO `wp_redirection_404` VALUES("1685033", "2019-12-27 15:19:04", "/account/signup/?login_provider=local", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", "http://buckspizza.com/account/signup/?login_provider=local", "12814");
INSERT INTO `wp_redirection_404` VALUES("1685034", "2019-12-27 15:19:09", "/login.php", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", NULL, "12814");
INSERT INTO `wp_redirection_404` VALUES("1685035", "2019-12-27 15:19:20", "/sign_up.html", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", "http://buckspizza.com/", "12814");
INSERT INTO `wp_redirection_404` VALUES("1685036", "2019-12-27 15:19:21", "/register/", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", "http://buckspizza.com/", "12814");
INSERT INTO `wp_redirection_404` VALUES("1685037", "2019-12-27 15:19:22", "/member/reg.php", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", NULL, "12814");
INSERT INTO `wp_redirection_404` VALUES("1685038", "2019-12-27 15:19:24", "/login.php?action=quit", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", NULL, "12814");
INSERT INTO `wp_redirection_404` VALUES("1685039", "2019-12-27 15:19:25", "/reg.asp", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", NULL, "12814");
INSERT INTO `wp_redirection_404` VALUES("1685040", "2019-12-27 15:19:27", "/bokeindex.asp", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", NULL, "12814");
INSERT INTO `wp_redirection_404` VALUES("1685041", "2019-12-27 15:19:37", "/signup.php", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", NULL, "12814");
INSERT INTO `wp_redirection_404` VALUES("1703958", "2020-01-02 08:30:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703957", "2020-01-02 08:29:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703956", "2020-01-02 08:28:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703955", "2020-01-02 08:27:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703954", "2020-01-02 08:26:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703953", "2020-01-02 08:23:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703952", "2020-01-02 08:23:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703951", "2020-01-02 08:18:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703950", "2020-01-02 08:17:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703949", "2020-01-02 08:16:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703948", "2020-01-02 08:12:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703947", "2020-01-02 08:11:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703946", "2020-01-02 08:11:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703945", "2020-01-02 08:10:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703944", "2020-01-02 08:09:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703943", "2020-01-02 08:07:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703942", "2020-01-02 08:06:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703940", "2020-01-02 08:03:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703941", "2020-01-02 08:03:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703939", "2020-01-02 08:00:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703938", "2020-01-02 07:59:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703937", "2020-01-02 07:58:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703936", "2020-01-02 07:57:06", "/index.asp../1.php", "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Win64; x64; Trident/5.0)", "http://www.buckspizza.com/index.asp../1.php", "39108");
INSERT INTO `wp_redirection_404` VALUES("1703935", "2020-01-02 07:55:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703934", "2020-01-02 07:54:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703933", "2020-01-02 07:51:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703932", "2020-01-02 07:48:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703931", "2020-01-02 07:43:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703929", "2020-01-02 07:40:39", "/th1s_1s_a_4o4.html", "SiteLockSpider [en] (WinNT; I ;Nav)", NULL, "184154");
INSERT INTO `wp_redirection_404` VALUES("1703930", "2020-01-02 07:42:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703928", "2020-01-02 07:39:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703927", "2020-01-02 07:39:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703925", "2020-01-02 07:33:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703926", "2020-01-02 07:38:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703924", "2020-01-02 07:32:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703923", "2020-01-02 07:32:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703922", "2020-01-02 07:31:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703921", "2020-01-02 07:24:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703920", "2020-01-02 07:19:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703919", "2020-01-02 07:17:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703918", "2020-01-02 07:17:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703917", "2020-01-02 07:13:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703916", "2020-01-02 07:13:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703915", "2020-01-02 07:08:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703914", "2020-01-02 07:08:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703913", "2020-01-02 07:07:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703912", "2020-01-02 07:06:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703911", "2020-01-02 07:04:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703910", "2020-01-02 07:04:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703909", "2020-01-02 07:01:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703908", "2020-01-02 07:01:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703907", "2020-01-02 07:00:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703906", "2020-01-02 06:59:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703905", "2020-01-02 06:59:14", "/edistobeach-sc/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1703904", "2020-01-02 06:57:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703903", "2020-01-02 06:55:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703902", "2020-01-02 06:52:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703901", "2020-01-02 06:51:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703900", "2020-01-02 06:50:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703899", "2020-01-02 06:48:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703898", "2020-01-02 06:48:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703897", "2020-01-02 06:47:45", "/?author=10", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21246");
INSERT INTO `wp_redirection_404` VALUES("1703896", "2020-01-02 06:47:42", "/?author=9", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21246");
INSERT INTO `wp_redirection_404` VALUES("1703895", "2020-01-02 06:47:39", "/?author=8", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21246");
INSERT INTO `wp_redirection_404` VALUES("1703894", "2020-01-02 06:47:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703893", "2020-01-02 06:47:35", "/?author=7", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21246");
INSERT INTO `wp_redirection_404` VALUES("1703891", "2020-01-02 06:47:28", "/?author=5", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21246");
INSERT INTO `wp_redirection_404` VALUES("1703892", "2020-01-02 06:47:32", "/?author=6", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21246");
INSERT INTO `wp_redirection_404` VALUES("1703890", "2020-01-02 06:47:25", "/?author=4", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21246");
INSERT INTO `wp_redirection_404` VALUES("1703889", "2020-01-02 06:47:22", "/?author=3", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21246");
INSERT INTO `wp_redirection_404` VALUES("1703888", "2020-01-02 06:46:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703887", "2020-01-02 06:46:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703886", "2020-01-02 06:44:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703885", "2020-01-02 06:42:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703884", "2020-01-02 06:41:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703883", "2020-01-02 06:41:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703882", "2020-01-02 06:39:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703881", "2020-01-02 06:38:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703880", "2020-01-02 06:37:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703879", "2020-01-02 06:36:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703878", "2020-01-02 06:35:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703877", "2020-01-02 06:35:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703876", "2020-01-02 06:34:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703875", "2020-01-02 06:33:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703874", "2020-01-02 06:33:35", "/franchise/", "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/52.0.2743.116 Safari/537.36", "http://www.buckspizza.com/franchise/", "134119");
INSERT INTO `wp_redirection_404` VALUES("1703873", "2020-01-02 06:33:31", "/wp-includes/js/d.value}else", "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/52.0.2743.116 Safari/537.36", "http://buckspizza.com/wp-includes/js/wp-embed.min.js?ver=5.1.4", "134119");
INSERT INTO `wp_redirection_404` VALUES("1703872", "2020-01-02 06:33:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703871", "2020-01-02 06:32:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703870", "2020-01-02 06:31:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703869", "2020-01-02 06:29:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703868", "2020-01-02 06:27:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703867", "2020-01-02 06:26:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703866", "2020-01-02 06:25:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703865", "2020-01-02 06:25:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703864", "2020-01-02 06:23:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703863", "2020-01-02 06:21:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703862", "2020-01-02 06:20:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703861", "2020-01-02 06:20:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703860", "2020-01-02 06:20:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703859", "2020-01-02 06:18:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703858", "2020-01-02 06:18:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703857", "2020-01-02 06:16:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703856", "2020-01-02 06:16:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703855", "2020-01-02 06:15:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703854", "2020-01-02 06:14:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703853", "2020-01-02 06:13:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703852", "2020-01-02 06:13:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703851", "2020-01-02 06:12:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703850", "2020-01-02 06:10:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703849", "2020-01-02 06:09:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703848", "2020-01-02 06:09:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703847", "2020-01-02 06:06:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703846", "2020-01-02 06:05:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703845", "2020-01-02 06:04:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703844", "2020-01-02 06:02:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703843", "2020-01-02 06:01:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703842", "2020-01-02 06:00:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703841", "2020-01-02 05:59:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703840", "2020-01-02 05:59:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703839", "2020-01-02 05:58:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703838", "2020-01-02 05:55:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703837", "2020-01-02 05:54:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703836", "2020-01-02 05:49:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703835", "2020-01-02 05:49:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703834", "2020-01-02 05:47:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703833", "2020-01-02 05:45:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703832", "2020-01-02 05:43:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703831", "2020-01-02 05:41:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703830", "2020-01-02 05:35:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703829", "2020-01-02 05:31:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703828", "2020-01-02 05:24:28", "/connectors/resource/s_eval.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/73.0.3683.103 Safari/537.36", NULL, "193106");
INSERT INTO `wp_redirection_404` VALUES("1703827", "2020-01-02 05:23:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703826", "2020-01-02 05:23:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703825", "2020-01-02 05:23:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703824", "2020-01-02 05:22:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703823", "2020-01-02 05:21:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703822", "2020-01-02 05:21:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703821", "2020-01-02 05:21:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703820", "2020-01-02 05:20:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703819", "2020-01-02 05:20:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703818", "2020-01-02 05:19:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703817", "2020-01-02 05:19:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703816", "2020-01-02 05:19:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703815", "2020-01-02 05:18:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703814", "2020-01-02 05:18:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703813", "2020-01-02 05:18:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703812", "2020-01-02 05:17:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703811", "2020-01-02 05:17:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703810", "2020-01-02 05:16:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703809", "2020-01-02 05:16:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703808", "2020-01-02 05:15:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703807", "2020-01-02 05:15:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703806", "2020-01-02 05:15:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703805", "2020-01-02 05:14:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703804", "2020-01-02 05:14:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703803", "2020-01-02 05:14:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703802", "2020-01-02 05:13:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703801", "2020-01-02 05:13:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703800", "2020-01-02 05:12:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703799", "2020-01-02 05:12:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703798", "2020-01-02 05:12:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703797", "2020-01-02 05:11:22", "/clearfield-pa/wing-day-wednesdays/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "3113");
INSERT INTO `wp_redirection_404` VALUES("1703796", "2020-01-02 05:11:22", "/clearfield-pa/wing-day-wednesdays/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "3113");
INSERT INTO `wp_redirection_404` VALUES("1703795", "2020-01-02 05:11:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703794", "2020-01-02 05:11:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703793", "2020-01-02 05:11:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703792", "2020-01-02 05:10:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703791", "2020-01-02 05:10:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703790", "2020-01-02 05:09:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703789", "2020-01-02 05:08:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703788", "2020-01-02 05:08:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703787", "2020-01-02 05:08:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703786", "2020-01-02 05:07:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703785", "2020-01-02 05:07:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703784", "2020-01-02 05:07:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703783", "2020-01-02 05:06:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703782", "2020-01-02 05:06:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703781", "2020-01-02 05:05:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703780", "2020-01-02 05:04:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703779", "2020-01-02 05:04:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703778", "2020-01-02 05:04:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703777", "2020-01-02 05:03:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703776", "2020-01-02 05:03:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703775", "2020-01-02 05:03:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703774", "2020-01-02 05:02:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703773", "2020-01-02 05:02:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703772", "2020-01-02 05:02:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703771", "2020-01-02 05:01:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703770", "2020-01-02 05:01:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703769", "2020-01-02 05:01:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703768", "2020-01-02 05:00:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703767", "2020-01-02 05:00:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703766", "2020-01-02 05:00:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703765", "2020-01-02 04:59:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703764", "2020-01-02 04:59:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703763", "2020-01-02 04:58:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703762", "2020-01-02 04:57:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703761", "2020-01-02 04:57:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703760", "2020-01-02 04:57:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703759", "2020-01-02 04:56:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703758", "2020-01-02 04:56:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703757", "2020-01-02 04:56:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703756", "2020-01-02 04:55:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703755", "2020-01-02 04:55:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703754", "2020-01-02 04:55:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703753", "2020-01-02 04:54:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703752", "2020-01-02 04:54:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703751", "2020-01-02 04:53:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703750", "2020-01-02 04:53:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703749", "2020-01-02 04:53:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703748", "2020-01-02 04:52:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703747", "2020-01-02 04:52:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703746", "2020-01-02 04:52:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703745", "2020-01-02 04:51:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703744", "2020-01-02 04:51:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703743", "2020-01-02 04:50:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703742", "2020-01-02 04:50:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703741", "2020-01-02 04:49:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703740", "2020-01-02 04:49:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703739", "2020-01-02 04:49:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703738", "2020-01-02 04:48:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703737", "2020-01-02 04:48:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703736", "2020-01-02 04:48:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703735", "2020-01-02 04:47:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703734", "2020-01-02 04:47:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703733", "2020-01-02 04:47:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703732", "2020-01-02 04:46:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703731", "2020-01-02 04:46:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703730", "2020-01-02 04:46:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703729", "2020-01-02 04:45:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703728", "2020-01-02 04:45:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703727", "2020-01-02 04:45:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703726", "2020-01-02 04:43:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703725", "2020-01-02 04:43:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703724", "2020-01-02 04:43:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703723", "2020-01-02 04:42:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703722", "2020-01-02 04:42:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703721", "2020-01-02 04:42:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703720", "2020-01-02 04:41:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703719", "2020-01-02 04:41:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703718", "2020-01-02 04:41:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703717", "2020-01-02 04:40:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703716", "2020-01-02 04:40:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703715", "2020-01-02 04:40:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703714", "2020-01-02 04:39:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703713", "2020-01-02 04:39:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703712", "2020-01-02 04:39:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703711", "2020-01-02 04:38:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703710", "2020-01-02 04:38:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703709", "2020-01-02 04:38:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703708", "2020-01-02 04:36:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703707", "2020-01-02 04:36:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703706", "2020-01-02 04:36:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703705", "2020-01-02 04:35:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703704", "2020-01-02 04:35:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703703", "2020-01-02 04:35:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703702", "2020-01-02 04:34:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703701", "2020-01-02 04:34:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703700", "2020-01-02 04:34:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703699", "2020-01-02 04:33:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703698", "2020-01-02 04:33:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703697", "2020-01-02 04:32:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703696", "2020-01-02 04:32:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703695", "2020-01-02 04:31:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703694", "2020-01-02 04:31:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703693", "2020-01-02 04:30:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703692", "2020-01-02 04:30:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703691", "2020-01-02 04:30:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703690", "2020-01-02 04:29:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703688", "2020-01-02 04:29:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703689", "2020-01-02 04:29:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703687", "2020-01-02 04:28:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703686", "2020-01-02 04:27:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703685", "2020-01-02 04:27:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703684", "2020-01-02 04:27:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703683", "2020-01-02 04:26:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703682", "2020-01-02 04:26:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703681", "2020-01-02 04:26:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703680", "2020-01-02 04:25:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703679", "2020-01-02 04:25:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703678", "2020-01-02 04:24:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690926", "2019-12-29 09:31:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690925", "2019-12-29 09:31:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690924", "2019-12-29 09:31:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690923", "2019-12-29 09:30:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690922", "2019-12-29 09:30:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690921", "2019-12-29 09:30:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690920", "2019-12-29 09:29:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690919", "2019-12-29 09:29:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690918", "2019-12-29 09:29:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690917", "2019-12-29 09:28:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690916", "2019-12-29 09:28:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690915", "2019-12-29 09:28:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690914", "2019-12-29 09:27:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690913", "2019-12-29 09:27:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690912", "2019-12-29 09:27:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690911", "2019-12-29 09:26:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690910", "2019-12-29 09:26:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690909", "2019-12-29 09:25:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690908", "2019-12-29 09:25:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690907", "2019-12-29 09:24:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690906", "2019-12-29 09:24:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690905", "2019-12-29 09:23:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690904", "2019-12-29 09:23:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690903", "2019-12-29 09:23:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690902", "2019-12-29 09:22:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690901", "2019-12-29 09:22:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690900", "2019-12-29 09:22:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690899", "2019-12-29 09:21:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690898", "2019-12-29 09:21:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690897", "2019-12-29 09:20:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690896", "2019-12-29 09:20:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690895", "2019-12-29 09:19:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690894", "2019-12-29 09:19:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690893", "2019-12-29 09:19:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690892", "2019-12-29 09:18:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690891", "2019-12-29 09:18:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690890", "2019-12-29 09:17:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690889", "2019-12-29 09:17:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690888", "2019-12-29 09:17:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690887", "2019-12-29 09:16:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690886", "2019-12-29 09:16:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690885", "2019-12-29 09:15:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690884", "2019-12-29 09:15:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690883", "2019-12-29 09:15:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690882", "2019-12-29 09:14:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690881", "2019-12-29 09:14:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690880", "2019-12-29 09:14:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690879", "2019-12-29 09:13:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690878", "2019-12-29 09:13:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690877", "2019-12-29 09:12:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690876", "2019-12-29 09:12:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690875", "2019-12-29 09:11:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690874", "2019-12-29 09:11:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690873", "2019-12-29 09:10:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690872", "2019-12-29 09:10:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690871", "2019-12-29 09:10:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690870", "2019-12-29 09:09:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690869", "2019-12-29 09:09:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690868", "2019-12-29 09:09:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690867", "2019-12-29 09:08:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690866", "2019-12-29 09:08:41", "/?author=10", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "181118");
INSERT INTO `wp_redirection_404` VALUES("1690865", "2019-12-29 09:08:39", "/?author=9", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "181118");
INSERT INTO `wp_redirection_404` VALUES("1690864", "2019-12-29 09:08:37", "/?author=8", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "181118");
INSERT INTO `wp_redirection_404` VALUES("1690863", "2019-12-29 09:08:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690862", "2019-12-29 09:08:36", "/?author=7", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "181118");
INSERT INTO `wp_redirection_404` VALUES("1690861", "2019-12-29 09:08:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690860", "2019-12-29 09:08:34", "/?author=6", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "181118");
INSERT INTO `wp_redirection_404` VALUES("1690859", "2019-12-29 09:08:32", "/?author=5", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "181118");
INSERT INTO `wp_redirection_404` VALUES("1690858", "2019-12-29 09:08:30", "/?author=4", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "181118");
INSERT INTO `wp_redirection_404` VALUES("1690857", "2019-12-29 09:08:28", "/?author=3", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "181118");
INSERT INTO `wp_redirection_404` VALUES("1690856", "2019-12-29 09:07:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690855", "2019-12-29 09:07:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690854", "2019-12-29 09:07:26", "/templates/system/css/system.css", "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/42.0.2311.90 Safari/537.36", "http://www.google.com.hk", "16596");
INSERT INTO `wp_redirection_404` VALUES("1690853", "2019-12-29 09:06:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690852", "2019-12-29 09:06:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690851", "2019-12-29 09:06:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690850", "2019-12-29 09:05:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690849", "2019-12-29 09:05:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690848", "2019-12-29 09:05:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690847", "2019-12-29 09:04:31", "/admin/images/cal_date_over.gif", "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/42.0.2311.90 Safari/537.36", "http://www.google.com.hk", "16596");
INSERT INTO `wp_redirection_404` VALUES("1690846", "2019-12-29 09:04:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690845", "2019-12-29 09:04:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690844", "2019-12-29 09:04:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690843", "2019-12-29 09:03:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690842", "2019-12-29 09:03:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690841", "2019-12-29 09:02:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690840", "2019-12-29 09:02:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690839", "2019-12-29 09:02:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690838", "2019-12-29 09:01:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690836", "2019-12-29 09:00:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690837", "2019-12-29 09:01:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690834", "2019-12-29 08:59:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690835", "2019-12-29 09:00:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690375", "2019-12-29 06:14:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690376", "2019-12-29 06:14:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690377", "2019-12-29 06:15:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690378", "2019-12-29 06:15:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690379", "2019-12-29 06:16:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690380", "2019-12-29 06:17:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690381", "2019-12-29 06:17:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690382", "2019-12-29 06:17:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690383", "2019-12-29 06:18:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690384", "2019-12-29 06:18:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690385", "2019-12-29 06:19:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690386", "2019-12-29 06:19:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690387", "2019-12-29 06:19:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690388", "2019-12-29 06:20:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690389", "2019-12-29 06:20:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690390", "2019-12-29 06:20:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690391", "2019-12-29 06:21:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690392", "2019-12-29 06:21:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690393", "2019-12-29 06:22:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690394", "2019-12-29 06:22:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690395", "2019-12-29 06:22:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690396", "2019-12-29 06:23:35", "/pizza-parties/one-last-summer-bash-kids-school/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1690397", "2019-12-29 06:23:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690398", "2019-12-29 06:24:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690399", "2019-12-29 06:24:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690400", "2019-12-29 06:25:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690401", "2019-12-29 06:25:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690402", "2019-12-29 06:26:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690403", "2019-12-29 06:26:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690404", "2019-12-29 06:26:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690405", "2019-12-29 06:27:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690406", "2019-12-29 06:27:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690407", "2019-12-29 06:27:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690408", "2019-12-29 06:28:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690409", "2019-12-29 06:28:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690410", "2019-12-29 06:29:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690411", "2019-12-29 06:29:19", "/pizza-parties/how-host-perfect-family-movie-night-home/", "Mozilla/5.0 (Linux; Android 6.0.1; Nexus 5X Build/MMB29P) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.96 Mobile Safari/537.36 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690412", "2019-12-29 06:29:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690413", "2019-12-29 06:30:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690414", "2019-12-29 06:30:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690415", "2019-12-29 06:31:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690416", "2019-12-29 06:31:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690417", "2019-12-29 06:31:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690418", "2019-12-29 06:32:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690419", "2019-12-29 06:33:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690420", "2019-12-29 06:33:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690421", "2019-12-29 06:34:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690422", "2019-12-29 06:34:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690423", "2019-12-29 06:34:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690424", "2019-12-29 06:35:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690425", "2019-12-29 06:35:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690426", "2019-12-29 06:35:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690427", "2019-12-29 06:36:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690428", "2019-12-29 06:36:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690429", "2019-12-29 06:37:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690430", "2019-12-29 06:38:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690431", "2019-12-29 06:38:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690432", "2019-12-29 06:38:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690433", "2019-12-29 06:39:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690434", "2019-12-29 06:39:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690435", "2019-12-29 06:40:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690436", "2019-12-29 06:40:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690437", "2019-12-29 06:40:25", "/wp-content/themes/images/prettyPhoto/default/sprite_y.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690438", "2019-12-29 06:40:26", "/wp-content/themes/images/prettyPhoto/default/sprite.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690439", "2019-12-29 06:40:26", "/wp-content/themes/images/prettyPhoto/default/sprite_prev.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690440", "2019-12-29 06:40:26", "/wp-content/themes/images/prettyPhoto/default/sprite_next.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690441", "2019-12-29 06:40:26", "/wp-content/themes/images/prettyPhoto/default/sprite_x.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690442", "2019-12-29 06:40:26", "/wp-content/themes/images/prettyPhoto/default/default_thumb.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690443", "2019-12-29 06:40:26", "/img/postfootimg.gif", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690444", "2019-12-29 06:40:28", "/wp-content/themes/images/prettyPhoto/light_rounded/sprite.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690445", "2019-12-29 06:40:28", "/wp-content/themes/images/prettyPhoto/default/loader.gif", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690446", "2019-12-29 06:40:28", "/wp-content/themes/images/prettyPhoto/light_rounded/btnNext.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690447", "2019-12-29 06:40:28", "/wp-content/themes/images/prettyPhoto/light_rounded/btnPrevious.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690448", "2019-12-29 06:40:28", "/wp-content/themes/images/prettyPhoto/dark_rounded/sprite.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690449", "2019-12-29 06:40:28", "/wp-content/themes/images/prettyPhoto/dark_rounded/contentPattern.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690450", "2019-12-29 06:40:29", "/wp-content/themes/images/prettyPhoto/dark_rounded/loader.gif", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690451", "2019-12-29 06:40:29", "/wp-content/themes/images/prettyPhoto/dark_square/loader.gif", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690452", "2019-12-29 06:40:29", "/wp-content/themes/images/prettyPhoto/dark_rounded/btnNext.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690453", "2019-12-29 06:40:29", "/wp-content/themes/images/prettyPhoto/dark_square/btnNext.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690454", "2019-12-29 06:40:29", "/wp-content/themes/images/prettyPhoto/dark_rounded/btnPrevious.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690455", "2019-12-29 06:40:29", "/wp-content/themes/images/prettyPhoto/dark_square/sprite.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690456", "2019-12-29 06:40:31", "/wp-content/themes/images/prettyPhoto/light_square/btnNext.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690457", "2019-12-29 06:40:31", "/wp-content/themes/images/prettyPhoto/dark_square/btnPrevious.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690458", "2019-12-29 06:40:31", "/wp-content/themes/images/prettyPhoto/light_square/sprite.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690459", "2019-12-29 06:40:31", "/wp-content/themes/images/prettyPhoto/light_square/btnPrevious.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690460", "2019-12-29 06:40:31", "/wp-content/themes/images/prettyPhoto/facebook/contentPatternTop.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690461", "2019-12-29 06:40:31", "/wp-content/themes/images/prettyPhoto/facebook/sprite.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690462", "2019-12-29 06:40:32", "/wp-content/themes/images/prettyPhoto/facebook/contentPatternLeft.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690463", "2019-12-29 06:40:32", "/wp-content/themes/images/prettyPhoto/facebook/loader.gif", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690464", "2019-12-29 06:40:32", "/wp-content/themes/images/prettyPhoto/facebook/btnNext.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690465", "2019-12-29 06:40:32", "/wp-content/themes/images/prettyPhoto/facebook/contentPatternRight.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690466", "2019-12-29 06:40:32", "/wp-content/themes/images/prettyPhoto/facebook/contentPatternBottom.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690467", "2019-12-29 06:40:32", "/wp-content/themes/images/prettyPhoto/facebook/btnPrevious.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690468", "2019-12-29 06:40:33", "/wp-content/themes/images/prettyPhoto/light_rounded/loader.gif", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690469", "2019-12-29 06:40:33", "/wp-content/themes/images/prettyPhoto/facebook/default_thumbnail.gif", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690470", "2019-12-29 06:40:34", "/img/cta-bg.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690471", "2019-12-29 06:40:43", "/locations/img/bg.jpg", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/locations/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690472", "2019-12-29 06:40:43", "/locations/img/postfootimg.gif", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/locations/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690473", "2019-12-29 06:40:44", "/locations/img/cta-bg.png", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "http://buckspizza.com/locations/", "6528");
INSERT INTO `wp_redirection_404` VALUES("1690474", "2019-12-29 06:40:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690475", "2019-12-29 06:41:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690476", "2019-12-29 06:41:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690477", "2019-12-29 06:41:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690478", "2019-12-29 06:42:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690479", "2019-12-29 06:42:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690480", "2019-12-29 06:43:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690481", "2019-12-29 06:43:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690482", "2019-12-29 06:43:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690483", "2019-12-29 06:44:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690484", "2019-12-29 06:44:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690485", "2019-12-29 06:44:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690486", "2019-12-29 06:45:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690487", "2019-12-29 06:46:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690488", "2019-12-29 06:46:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690489", "2019-12-29 06:47:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690490", "2019-12-29 06:47:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690491", "2019-12-29 06:47:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690492", "2019-12-29 06:48:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690493", "2019-12-29 06:48:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690494", "2019-12-29 06:48:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690495", "2019-12-29 06:50:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690496", "2019-12-29 06:50:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690497", "2019-12-29 06:50:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690498", "2019-12-29 06:51:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690499", "2019-12-29 06:51:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690500", "2019-12-29 06:51:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690501", "2019-12-29 06:52:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690502", "2019-12-29 06:53:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690503", "2019-12-29 06:53:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690504", "2019-12-29 06:53:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690505", "2019-12-29 06:54:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690506", "2019-12-29 06:54:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690507", "2019-12-29 06:55:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690508", "2019-12-29 06:55:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690509", "2019-12-29 06:55:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690510", "2019-12-29 06:56:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690511", "2019-12-29 06:56:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690512", "2019-12-29 06:56:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690513", "2019-12-29 06:57:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690514", "2019-12-29 06:57:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690515", "2019-12-29 06:57:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690516", "2019-12-29 06:58:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690517", "2019-12-29 06:58:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690518", "2019-12-29 06:59:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690519", "2019-12-29 06:59:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690520", "2019-12-29 07:00:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690521", "2019-12-29 07:00:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690522", "2019-12-29 07:01:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690523", "2019-12-29 07:01:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690524", "2019-12-29 07:01:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690525", "2019-12-29 07:02:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690526", "2019-12-29 07:02:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690527", "2019-12-29 07:02:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690528", "2019-12-29 07:03:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690529", "2019-12-29 07:03:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690530", "2019-12-29 07:03:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690531", "2019-12-29 07:04:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690532", "2019-12-29 07:04:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690533", "2019-12-29 07:04:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690534", "2019-12-29 07:06:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690535", "2019-12-29 07:06:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690536", "2019-12-29 07:06:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690537", "2019-12-29 07:07:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690538", "2019-12-29 07:07:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690539", "2019-12-29 07:07:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690540", "2019-12-29 07:08:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690541", "2019-12-29 07:08:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690542", "2019-12-29 07:08:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690543", "2019-12-29 07:09:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690544", "2019-12-29 07:09:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690545", "2019-12-29 07:09:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690546", "2019-12-29 07:10:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690547", "2019-12-29 07:10:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690548", "2019-12-29 07:10:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690549", "2019-12-29 07:11:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690550", "2019-12-29 07:11:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690551", "2019-12-29 07:12:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690552", "2019-12-29 07:12:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690553", "2019-12-29 07:12:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690554", "2019-12-29 07:13:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690555", "2019-12-29 07:13:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690556", "2019-12-29 07:14:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690557", "2019-12-29 07:14:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690558", "2019-12-29 07:15:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690559", "2019-12-29 07:15:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690560", "2019-12-29 07:15:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690561", "2019-12-29 07:16:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690562", "2019-12-29 07:16:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690563", "2019-12-29 07:16:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690564", "2019-12-29 07:17:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690565", "2019-12-29 07:17:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690566", "2019-12-29 07:18:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690567", "2019-12-29 07:18:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690568", "2019-12-29 07:19:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690569", "2019-12-29 07:19:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690570", "2019-12-29 07:19:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690571", "2019-12-29 07:20:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690572", "2019-12-29 07:20:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690573", "2019-12-29 07:20:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690574", "2019-12-29 07:21:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690575", "2019-12-29 07:21:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690576", "2019-12-29 07:21:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690577", "2019-12-29 07:22:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690578", "2019-12-29 07:22:29", "/wp-admin/css/common.php", "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US) AppleWebKit/533.4 (KHTML, like Gecko) Chrome/5.0.375.99 Safari/533.4", "http://site.ru", "5063");
INSERT INTO `wp_redirection_404` VALUES("1690579", "2019-12-29 07:22:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690580", "2019-12-29 07:23:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690581", "2019-12-29 07:23:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690582", "2019-12-29 07:23:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690583", "2019-12-29 07:24:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690584", "2019-12-29 07:24:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690585", "2019-12-29 07:25:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690586", "2019-12-29 07:25:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690587", "2019-12-29 07:25:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690588", "2019-12-29 07:26:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690589", "2019-12-29 07:26:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690590", "2019-12-29 07:27:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690591", "2019-12-29 07:27:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690592", "2019-12-29 07:27:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690593", "2019-12-29 07:28:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690594", "2019-12-29 07:28:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690595", "2019-12-29 07:28:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690596", "2019-12-29 07:29:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690597", "2019-12-29 07:29:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690598", "2019-12-29 07:30:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690599", "2019-12-29 07:30:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690600", "2019-12-29 07:30:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690601", "2019-12-29 07:31:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690602", "2019-12-29 07:31:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690603", "2019-12-29 07:31:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690604", "2019-12-29 07:32:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690605", "2019-12-29 07:33:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690606", "2019-12-29 07:33:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690607", "2019-12-29 07:33:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690608", "2019-12-29 07:34:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690609", "2019-12-29 07:34:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690610", "2019-12-29 07:34:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690611", "2019-12-29 07:35:02", "/th1s_1s_a_4o4.html", "SiteLockSpider [en] (WinNT; I ;Nav)", NULL, "184154");
INSERT INTO `wp_redirection_404` VALUES("1690612", "2019-12-29 07:35:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690613", "2019-12-29 07:35:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690614", "2019-12-29 07:35:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690615", "2019-12-29 07:36:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690616", "2019-12-29 07:36:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690617", "2019-12-29 07:36:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690618", "2019-12-29 07:37:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690619", "2019-12-29 07:38:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690620", "2019-12-29 07:38:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690621", "2019-12-29 07:38:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690622", "2019-12-29 07:39:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690623", "2019-12-29 07:39:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690624", "2019-12-29 07:39:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690625", "2019-12-29 07:40:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690626", "2019-12-29 07:40:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690627", "2019-12-29 07:40:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690628", "2019-12-29 07:41:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690629", "2019-12-29 07:42:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690630", "2019-12-29 07:42:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690631", "2019-12-29 07:43:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690632", "2019-12-29 07:43:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690633", "2019-12-29 07:43:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690634", "2019-12-29 07:44:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690635", "2019-12-29 07:44:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690636", "2019-12-29 07:44:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690637", "2019-12-29 07:45:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690638", "2019-12-29 07:45:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690639", "2019-12-29 07:45:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690640", "2019-12-29 07:46:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690641", "2019-12-29 07:46:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690642", "2019-12-29 07:46:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690643", "2019-12-29 07:47:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690644", "2019-12-29 07:47:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690645", "2019-12-29 07:47:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690646", "2019-12-29 07:48:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690647", "2019-12-29 07:48:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690648", "2019-12-29 07:48:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690649", "2019-12-29 07:49:26", "/contact.php", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1690650", "2019-12-29 07:49:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690651", "2019-12-29 07:49:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690652", "2019-12-29 07:49:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690653", "2019-12-29 07:50:16", "/bypass.php", "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US) AppleWebKit/533.4 (KHTML, like Gecko) Chrome/5.0.375.99 Safari/533.4", "http://site.ru", "195161");
INSERT INTO `wp_redirection_404` VALUES("1690654", "2019-12-29 07:50:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690655", "2019-12-29 07:50:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690656", "2019-12-29 07:50:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690657", "2019-12-29 07:51:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690658", "2019-12-29 07:51:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690659", "2019-12-29 07:51:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690660", "2019-12-29 07:52:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690661", "2019-12-29 07:53:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690662", "2019-12-29 07:53:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690663", "2019-12-29 07:53:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690664", "2019-12-29 07:54:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690665", "2019-12-29 07:54:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690666", "2019-12-29 07:55:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690667", "2019-12-29 07:55:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690668", "2019-12-29 07:56:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690669", "2019-12-29 07:57:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690670", "2019-12-29 07:57:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690671", "2019-12-29 07:57:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690672", "2019-12-29 07:58:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690673", "2019-12-29 07:58:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690674", "2019-12-29 07:58:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690675", "2019-12-29 07:59:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690676", "2019-12-29 07:59:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690677", "2019-12-29 07:59:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690678", "2019-12-29 08:00:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690679", "2019-12-29 08:00:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690680", "2019-12-29 08:00:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690681", "2019-12-29 08:01:15", "/app-ads.txt", "TprAdsTxtCrawler/1.0;", NULL, "34254");
INSERT INTO `wp_redirection_404` VALUES("1690682", "2019-12-29 08:01:16", "/ads.txt", "TprAdsTxtCrawler/1.0;", NULL, "34254");
INSERT INTO `wp_redirection_404` VALUES("1690683", "2019-12-29 08:01:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690684", "2019-12-29 08:01:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690685", "2019-12-29 08:01:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690686", "2019-12-29 08:02:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690687", "2019-12-29 08:02:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690688", "2019-12-29 08:03:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690689", "2019-12-29 08:03:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690690", "2019-12-29 08:03:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690691", "2019-12-29 08:04:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690692", "2019-12-29 08:04:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690693", "2019-12-29 08:05:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690694", "2019-12-29 08:05:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690695", "2019-12-29 08:05:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690696", "2019-12-29 08:06:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690697", "2019-12-29 08:06:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690698", "2019-12-29 08:07:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690699", "2019-12-29 08:07:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690700", "2019-12-29 08:07:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690701", "2019-12-29 08:08:25", "/hazelgreen-al/", "Mozilla/5.0 (Macintosh; Intel Mac OS X 1084) AppleWebKit/536.29.13 (KHTML like Gecko) Version/6.0.4 Safari/536.29.13", NULL, "7846");
INSERT INTO `wp_redirection_404` VALUES("1690702", "2019-12-29 08:08:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690703", "2019-12-29 08:08:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690704", "2019-12-29 08:09:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690705", "2019-12-29 08:09:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690706", "2019-12-29 08:10:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690707", "2019-12-29 08:10:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690708", "2019-12-29 08:10:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690709", "2019-12-29 08:11:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690710", "2019-12-29 08:11:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690711", "2019-12-29 08:12:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690712", "2019-12-29 08:12:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690713", "2019-12-29 08:12:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690714", "2019-12-29 08:13:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690715", "2019-12-29 08:13:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690716", "2019-12-29 08:13:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690717", "2019-12-29 08:14:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690718", "2019-12-29 08:14:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690719", "2019-12-29 08:15:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690720", "2019-12-29 08:16:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690721", "2019-12-29 08:16:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690722", "2019-12-29 08:16:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690723", "2019-12-29 08:17:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690724", "2019-12-29 08:17:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690725", "2019-12-29 08:17:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690726", "2019-12-29 08:18:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690727", "2019-12-29 08:18:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690728", "2019-12-29 08:18:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690729", "2019-12-29 08:19:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690730", "2019-12-29 08:19:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690731", "2019-12-29 08:20:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690732", "2019-12-29 08:20:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690733", "2019-12-29 08:20:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690734", "2019-12-29 08:21:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690735", "2019-12-29 08:21:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690736", "2019-12-29 08:21:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690737", "2019-12-29 08:22:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690738", "2019-12-29 08:22:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690739", "2019-12-29 08:23:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690740", "2019-12-29 08:23:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690741", "2019-12-29 08:24:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690742", "2019-12-29 08:24:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690743", "2019-12-29 08:24:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690744", "2019-12-29 08:25:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690745", "2019-12-29 08:25:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690746", "2019-12-29 08:26:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690747", "2019-12-29 08:26:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690748", "2019-12-29 08:27:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690749", "2019-12-29 08:27:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690750", "2019-12-29 08:27:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690751", "2019-12-29 08:28:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690752", "2019-12-29 08:28:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690753", "2019-12-29 08:28:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690754", "2019-12-29 08:29:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690755", "2019-12-29 08:29:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690756", "2019-12-29 08:29:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690757", "2019-12-29 08:30:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690758", "2019-12-29 08:30:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690759", "2019-12-29 08:30:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690760", "2019-12-29 08:31:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690761", "2019-12-29 08:31:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690762", "2019-12-29 08:31:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690763", "2019-12-29 08:32:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690764", "2019-12-29 08:32:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690765", "2019-12-29 08:32:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690766", "2019-12-29 08:33:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690767", "2019-12-29 08:33:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690768", "2019-12-29 08:34:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690769", "2019-12-29 08:35:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690770", "2019-12-29 08:35:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690771", "2019-12-29 08:35:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690772", "2019-12-29 08:36:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690773", "2019-12-29 08:36:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690774", "2019-12-29 08:36:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690775", "2019-12-29 08:37:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690776", "2019-12-29 08:37:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690777", "2019-12-29 08:37:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690778", "2019-12-29 08:38:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690779", "2019-12-29 08:38:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690780", "2019-12-29 08:39:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690781", "2019-12-29 08:39:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690782", "2019-12-29 08:39:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690783", "2019-12-29 08:40:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690784", "2019-12-29 08:40:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690785", "2019-12-29 08:40:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690786", "2019-12-29 08:41:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690787", "2019-12-29 08:41:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690788", "2019-12-29 08:41:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690789", "2019-12-29 08:42:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690790", "2019-12-29 08:42:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690791", "2019-12-29 08:42:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690792", "2019-12-29 08:43:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690793", "2019-12-29 08:43:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690794", "2019-12-29 08:44:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690795", "2019-12-29 08:44:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690796", "2019-12-29 08:45:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690797", "2019-12-29 08:45:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690798", "2019-12-29 08:45:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690799", "2019-12-29 08:46:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690800", "2019-12-29 08:46:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690801", "2019-12-29 08:47:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690802", "2019-12-29 08:47:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690803", "2019-12-29 08:47:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690804", "2019-12-29 08:48:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690805", "2019-12-29 08:48:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690806", "2019-12-29 08:49:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690807", "2019-12-29 08:49:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690808", "2019-12-29 08:50:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690809", "2019-12-29 08:50:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690810", "2019-12-29 08:50:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690811", "2019-12-29 08:51:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690812", "2019-12-29 08:51:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690813", "2019-12-29 08:51:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690814", "2019-12-29 08:52:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690815", "2019-12-29 08:52:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690816", "2019-12-29 08:52:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690817", "2019-12-29 08:53:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690818", "2019-12-29 08:53:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690819", "2019-12-29 08:54:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690820", "2019-12-29 08:54:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690821", "2019-12-29 08:55:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690822", "2019-12-29 08:55:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690823", "2019-12-29 08:55:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690824", "2019-12-29 08:56:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690825", "2019-12-29 08:56:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690826", "2019-12-29 08:57:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690827", "2019-12-29 08:57:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690828", "2019-12-29 08:57:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690829", "2019-12-29 08:58:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690830", "2019-12-29 08:58:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690831", "2019-12-29 08:58:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690832", "2019-12-29 08:59:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690833", "2019-12-29 08:59:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706659", "2020-01-02 23:13:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706658", "2020-01-02 23:13:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706656", "2020-01-02 23:13:24", "/adminer-4.4.0-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706657", "2020-01-02 23:13:29", "/adminer-4.4.0-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706655", "2020-01-02 23:13:20", "/adminer-4.4.0-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706653", "2020-01-02 23:13:10", "/adminer-4.4.0-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706654", "2020-01-02 23:13:14", "/adminer-4.4.0-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706652", "2020-01-02 23:13:02", "/adminer-4.3.1.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706651", "2020-01-02 23:12:59", "/adminer-4.3.1-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706650", "2020-01-02 23:12:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706648", "2020-01-02 23:12:53", "/adminer-4.3.1-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706649", "2020-01-02 23:12:56", "/adminer-4.3.1-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706647", "2020-01-02 23:12:46", "/adminer-4.3.1-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706645", "2020-01-02 23:12:37", "/adminer-4.3.0.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706646", "2020-01-02 23:12:43", "/adminer-4.3.1-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706644", "2020-01-02 23:12:30", "/adminer-4.3.0-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706642", "2020-01-02 23:12:19", "/adminer-4.3.0-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706643", "2020-01-02 23:12:26", "/adminer-4.3.0-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706641", "2020-01-02 23:12:12", "/adminer-4.3.0-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706639", "2020-01-02 23:12:01", "/adminer-4.2.5.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706640", "2020-01-02 23:12:05", "/adminer-4.3.0-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706638", "2020-01-02 23:11:51", "/adminer-4.2.5-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706637", "2020-01-02 23:11:45", "/adminer-4.2.5-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706636", "2020-01-02 23:11:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706635", "2020-01-02 23:11:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706633", "2020-01-02 23:11:32", "/adminer-4.2.5-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706634", "2020-01-02 23:11:38", "/adminer-4.2.5-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706632", "2020-01-02 23:11:24", "/adminer-4.2.5-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706631", "2020-01-02 23:11:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706629", "2020-01-02 23:11:07", "/adminer-4.2.4-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706630", "2020-01-02 23:11:14", "/adminer-4.2.4.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706628", "2020-01-02 23:11:03", "/adminer-4.2.4-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706626", "2020-01-02 23:10:53", "/adminer-4.2.4-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706627", "2020-01-02 23:10:58", "/adminer-4.2.4-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706625", "2020-01-02 23:10:48", "/adminer-4.2.4-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706623", "2020-01-02 23:10:38", "/adminer-4.2.3-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706624", "2020-01-02 23:10:44", "/adminer-4.2.3.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706622", "2020-01-02 23:10:33", "/adminer-4.2.3-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706620", "2020-01-02 23:10:23", "/adminer-4.2.3-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706621", "2020-01-02 23:10:28", "/adminer-4.2.3-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706619", "2020-01-02 23:10:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706618", "2020-01-02 23:10:16", "/adminer-4.2.3-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706617", "2020-01-02 23:10:13", "/adminer-4.2.2.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706615", "2020-01-02 23:10:07", "/adminer-4.2.2-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706616", "2020-01-02 23:10:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706614", "2020-01-02 23:10:03", "/adminer-4.2.2-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706612", "2020-01-02 23:09:48", "/adminer-4.2.2-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706613", "2020-01-02 23:09:53", "/adminer-4.2.2-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706611", "2020-01-02 23:09:43", "/adminer-4.2.2-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706609", "2020-01-02 23:09:33", "/adminer-4.2.1-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706610", "2020-01-02 23:09:37", "/adminer-4.2.1.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706608", "2020-01-02 23:09:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706607", "2020-01-02 23:09:27", "/adminer-4.2.1-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706605", "2020-01-02 23:09:14", "/adminer-4.2.1-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706606", "2020-01-02 23:09:20", "/adminer-4.2.1-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706604", "2020-01-02 23:09:09", "/adminer-4.2.1-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706602", "2020-01-02 23:08:58", "/adminer-4.2.0-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706603", "2020-01-02 23:09:04", "/adminer-4.2.0.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706601", "2020-01-02 23:08:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706600", "2020-01-02 23:08:53", "/adminer-4.2.0-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706598", "2020-01-02 23:08:37", "/adminer-4.2.0-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706599", "2020-01-02 23:08:45", "/adminer-4.2.0-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706597", "2020-01-02 23:08:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706596", "2020-01-02 23:08:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706595", "2020-01-02 23:08:27", "/adminer-4.2.0-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706593", "2020-01-02 23:08:17", "/adminer-4.1.0-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706594", "2020-01-02 23:08:22", "/adminer-4.1.0.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706592", "2020-01-02 23:08:13", "/adminer-4.1.0-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706590", "2020-01-02 23:08:04", "/adminer-4.1.0-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706591", "2020-01-02 23:08:08", "/adminer-4.1.0-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706589", "2020-01-02 23:07:58", "/adminer-4.1.0-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706588", "2020-01-02 23:07:54", "/adminer-4.0.3.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706586", "2020-01-02 23:07:47", "/adminer-4.0.3-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706587", "2020-01-02 23:07:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706584", "2020-01-02 23:07:44", "/adminer-4.0.3-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706585", "2020-01-02 23:07:44", "/wp-content/uploads/file-manager/log.txt", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706583", "2020-01-02 23:07:38", "/adminer-4.0.3-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706581", "2020-01-02 23:07:28", "/adminer-4.0.3-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706582", "2020-01-02 23:07:32", "/adminer-4.0.3-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706580", "2020-01-02 23:07:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706579", "2020-01-02 23:07:23", "/adminer-4.0.2.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706577", "2020-01-02 23:07:13", "/adminer-4.0.2-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706578", "2020-01-02 23:07:18", "/adminer-4.0.2-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706576", "2020-01-02 23:07:02", "/adminer-4.0.2-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706575", "2020-01-02 23:06:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706573", "2020-01-02 23:06:51", "/adminer-4.0.2-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706574", "2020-01-02 23:06:56", "/adminer-4.0.2-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706572", "2020-01-02 23:06:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706571", "2020-01-02 23:06:38", "/adminer-4.0.1.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706570", "2020-01-02 23:06:34", "/adminer-4.0.1-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706569", "2020-01-02 23:06:28", "/adminer-4.0.1-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706567", "2020-01-02 23:06:21", "/adminer-4.0.1-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706568", "2020-01-02 23:06:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706566", "2020-01-02 23:06:18", "/adminer-4.0.1-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706564", "2020-01-02 23:06:05", "/adminer-4.0.0.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706565", "2020-01-02 23:06:11", "/adminer-4.0.1-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706563", "2020-01-02 23:06:02", "/adminer-4.0.0-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706561", "2020-01-02 23:05:53", "/adminer-4.0.0-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706562", "2020-01-02 23:05:58", "/adminer-4.0.0-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706560", "2020-01-02 23:05:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706559", "2020-01-02 23:05:47", "/adminer-4.0.0-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706558", "2020-01-02 23:05:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706556", "2020-01-02 23:05:33", "/adminer-3.7.1.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706557", "2020-01-02 23:05:39", "/adminer-4.0.0-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706555", "2020-01-02 23:05:29", "/adminer-3.7.1-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706553", "2020-01-02 23:05:21", "/adminer-3.7.1-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706554", "2020-01-02 23:05:23", "/adminer-3.7.1-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706552", "2020-01-02 23:05:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706551", "2020-01-02 23:05:15", "/adminer-3.7.1-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706549", "2020-01-02 23:05:05", "/adminer-3.7.0.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706550", "2020-01-02 23:05:12", "/adminer-3.7.1-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706548", "2020-01-02 23:04:57", "/adminer-3.7.0-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706547", "2020-01-02 23:04:53", "/adminer-3.7.0-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706546", "2020-01-02 23:04:48", "/adminer-3.7.0-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706544", "2020-01-02 23:04:39", "/adminer-3.7.0-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706545", "2020-01-02 23:04:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706543", "2020-01-02 23:04:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706542", "2020-01-02 23:04:36", "/adminer-3.7.0-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706540", "2020-01-02 23:04:26", "/adminer-3.6.4-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706541", "2020-01-02 23:04:31", "/adminer-3.6.4.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706539", "2020-01-02 23:04:23", "/wp-content/plugins/yuzo-related-post/assets/js/admin.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706537", "2020-01-02 23:04:14", "/adminer-3.6.4-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706538", "2020-01-02 23:04:20", "/adminer-3.6.4-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706536", "2020-01-02 23:04:12", "/wp-content/plugins/yellow-pencil-visual-theme-customizer/js/yellow-pencil.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706535", "2020-01-02 23:04:11", "/wp-content/plugins/wpshopify/dist/public.min.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706534", "2020-01-02 23:04:10", "/wp-content/plugins/wp-private-content-plus/css/wppcp-front.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706533", "2020-01-02 23:04:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706532", "2020-01-02 23:04:09", "/wp-content/plugins/wpematico/app/js/wpe_hooks.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706531", "2020-01-02 23:04:07", "/wp-content/plugins/insert-php/admin/assets/js/tag-it.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706530", "2020-01-02 23:04:07", "/wp-content/plugins/wp-inventory-manager/themes/css/default-theme.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706529", "2020-01-02 23:04:06", "/adminer-3.6.4-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706528", "2020-01-02 23:04:06", "/wp-content/plugins/visualizer/js/media.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706527", "2020-01-02 23:04:04", "/wp-content/plugins/smart-google-code-inserter/screenshot1.jpg", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706526", "2020-01-02 23:04:03", "/wp-content/plugins/simple-fields/js/chosen/chosen.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706525", "2020-01-02 23:04:02", "/wp-content/plugins/rich-reviews/css/rich-reviews.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706524", "2020-01-02 23:04:01", "/wp-content/plugins/responsive-coming-soon/templates/template1/assets/css/style.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706523", "2020-01-02 23:03:57", "/adminer-3.6.4-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706521", "2020-01-02 23:03:52", "/adminer-3.6.3.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706522", "2020-01-02 23:03:55", "/wp-content/plugins/wp-live-chat-software-for-wordpress/plugin_files/js/livechat.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706520", "2020-01-02 23:03:44", "/adminer-3.6.3-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706519", "2020-01-02 23:03:43", "/wp-content/plugins/ithemes-sync/js/settings-page.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706518", "2020-01-02 23:03:42", "/wp-content/plugins/hybrid-composer/style.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706517", "2020-01-02 23:03:40", "/wp-content/plugins/fv-wordpress-flowplayer/css/flowplayer.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706516", "2020-01-02 23:03:39", "/wp-content/plugins/fb-messenger-live-chat/assets/js/main.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706515", "2020-01-02 23:03:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706514", "2020-01-02 23:03:34", "/adminer-3.6.3-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706512", "2020-01-02 23:03:28", "/adminer-3.6.3-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706513", "2020-01-02 23:03:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706511", "2020-01-02 23:03:09", "/adminer-3.6.3-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706510", "2020-01-02 23:03:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706508", "2020-01-02 23:02:57", "/adminer-3.6.2.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706509", "2020-01-02 23:03:03", "/adminer-3.6.3-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706507", "2020-01-02 23:02:52", "/adminer-3.6.2-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706506", "2020-01-02 23:02:48", "/wp-content/plugins/easy2map/scripts/jquery.xml2json.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706505", "2020-01-02 23:02:47", "/wp-content/plugins/delucks-seo/modules/professional/breadcrumbs/assets/css/frontend.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706504", "2020-01-02 23:02:45", "/adminer-3.6.2-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706503", "2020-01-02 23:02:42", "/dup-installer/main.installer.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706502", "2020-01-02 23:02:42", "/installer-backup.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706501", "2020-01-02 23:02:41", "/installer.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706500", "2020-01-02 23:02:39", "/replace.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706498", "2020-01-02 23:02:35", "/adminer-3.6.2-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706499", "2020-01-02 23:02:38", "/searchreplacedb2.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706497", "2020-01-02 23:02:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706496", "2020-01-02 23:02:29", "/adminer-3.6.2-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706495", "2020-01-02 23:02:23", "/wp.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706494", "2020-01-02 23:02:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706493", "2020-01-02 23:02:22", "/wp-content/uploads/adminer.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706492", "2020-01-02 23:02:21", "/wp-content/plugins/adminer/inc/editor/", "Go-http-client/1.1", "http://buckspizza.com/wp-content/plugins/adminer/inc/editor/index.php", "5062");
INSERT INTO `wp_redirection_404` VALUES("1706490", "2020-01-02 23:02:19", "/wp-content/adminer.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706491", "2020-01-02 23:02:21", "/adminer-3.6.2-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706488", "2020-01-02 23:02:16", "/adminer-3.6.1.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706489", "2020-01-02 23:02:18", "/pma.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706487", "2020-01-02 23:02:11", "/adminer-3.6.1-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706485", "2020-01-02 23:01:59", "/adminer-3.6.1-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706486", "2020-01-02 23:02:05", "/adminer-3.6.1-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706484", "2020-01-02 23:01:55", "/adminer-3.6.1-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706483", "2020-01-02 23:01:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706481", "2020-01-02 23:01:42", "/adminer-3.6.0.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706482", "2020-01-02 23:01:49", "/adminer-3.6.1-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706480", "2020-01-02 23:01:38", "/adminer-3.6.0-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706478", "2020-01-02 23:01:25", "/adminer-3.6.0-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706479", "2020-01-02 23:01:31", "/adminer-3.6.0-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706477", "2020-01-02 23:01:21", "/adminer-3.6.0-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706476", "2020-01-02 23:01:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706474", "2020-01-02 23:01:06", "/adminer-3.5.1.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706475", "2020-01-02 23:01:08", "/adminer-3.6.0-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706473", "2020-01-02 23:01:02", "/connect.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706472", "2020-01-02 23:01:02", "/adminer-3.5.1-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706470", "2020-01-02 23:01:00", "/adminer", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706471", "2020-01-02 23:01:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706468", "2020-01-02 23:00:59", "/adminer-4.7.3.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706469", "2020-01-02 23:01:00", "/adminer.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706467", "2020-01-02 23:00:58", "/adminer-4.7.3-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706465", "2020-01-02 23:00:56", "/adminer-4.7.3-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706466", "2020-01-02 23:00:57", "/adminer-4.7.3-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706464", "2020-01-02 23:00:56", "/adminer-4.7.3-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706462", "2020-01-02 23:00:55", "/adminer-4.7.3-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706463", "2020-01-02 23:00:55", "/adminer-3.5.1-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706461", "2020-01-02 23:00:54", "/adminer-4.7.2.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706459", "2020-01-02 23:00:49", "/adminer-3.5.1-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706460", "2020-01-02 23:00:53", "/adminer-4.7.2-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706458", "2020-01-02 23:00:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706457", "2020-01-02 23:00:41", "/adminer-3.5.1-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706455", "2020-01-02 23:00:32", "/adminer-4.7.2-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706456", "2020-01-02 23:00:34", "/adminer-3.5.1-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706454", "2020-01-02 23:00:31", "/adminer-4.7.2-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706452", "2020-01-02 23:00:30", "/adminer-4.7.1.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706453", "2020-01-02 23:00:31", "/adminer-4.7.2-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706451", "2020-01-02 23:00:30", "/adminer-3.5.0.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706449", "2020-01-02 23:00:23", "/adminer-4.7.1-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706450", "2020-01-02 23:00:29", "/adminer-4.7.1-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706448", "2020-01-02 23:00:23", "/adminer-3.5.0-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706446", "2020-01-02 23:00:05", "/adminer-3.5.0-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706447", "2020-01-02 23:00:11", "/adminer-3.5.0-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706445", "2020-01-02 23:00:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706444", "2020-01-02 23:00:02", "/adminer-4.7.1-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706442", "2020-01-02 23:00:00", "/adminer-4.7.1-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706443", "2020-01-02 23:00:01", "/adminer-4.7.1-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706441", "2020-01-02 23:00:00", "/adminer-3.5.0-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706439", "2020-01-02 22:59:58", "/adminer-4.7.0-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706440", "2020-01-02 22:59:59", "/adminer-4.7.0.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706438", "2020-01-02 22:59:57", "/adminer-4.7.0-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706436", "2020-01-02 22:59:55", "/adminer-4.7.0-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706437", "2020-01-02 22:59:56", "/adminer-4.7.0-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706435", "2020-01-02 22:59:55", "/adminer-3.5.0-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706433", "2020-01-02 22:59:54", "/adminer-4.6.3.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706434", "2020-01-02 22:59:55", "/adminer-4.7.0-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706432", "2020-01-02 22:59:53", "/adminer-4.6.3-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706431", "2020-01-02 22:59:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706429", "2020-01-02 22:59:42", "/adminer-4.6.3-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706430", "2020-01-02 22:59:45", "/adminer-3.4.0.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706428", "2020-01-02 22:59:41", "/adminer-4.6.3-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706426", "2020-01-02 22:59:39", "/adminer-4.6.3-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706427", "2020-01-02 22:59:40", "/adminer-4.6.3-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706425", "2020-01-02 22:59:38", "/adminer-4.6.2.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706423", "2020-01-02 22:59:37", "/adminer-4.6.2-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706424", "2020-01-02 22:59:38", "/adminer-4.6.2-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706422", "2020-01-02 22:59:36", "/adminer-3.4.0-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706420", "2020-01-02 22:59:35", "/adminer-4.6.2-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706421", "2020-01-02 22:59:36", "/adminer-4.6.2-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706419", "2020-01-02 22:59:34", "/adminer-4.6.2-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706418", "2020-01-02 22:59:33", "/adminer-4.6.1.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706417", "2020-01-02 22:59:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706415", "2020-01-02 22:59:27", "/adminer-4.6.1-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706416", "2020-01-02 22:59:29", "/adminer-3.4.0-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706414", "2020-01-02 22:59:26", "/adminer-4.6.1-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706412", "2020-01-02 22:59:24", "/adminer-4.6.1-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706413", "2020-01-02 22:59:25", "/adminer-4.6.1-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706411", "2020-01-02 22:59:23", "/adminer-4.6.1-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706409", "2020-01-02 22:59:12", "/adminer-4.6.0.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706410", "2020-01-02 22:59:19", "/adminer-3.4.0-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706408", "2020-01-02 22:59:11", "/adminer-4.6.0-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706406", "2020-01-02 22:59:10", "/adminer-3.4.0-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706407", "2020-01-02 22:59:10", "/adminer-4.6.0-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706405", "2020-01-02 22:59:09", "/adminer-4.6.0-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706403", "2020-01-02 22:59:08", "/adminer-4.6.0-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706404", "2020-01-02 22:59:09", "/adminer-4.6.0-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706402", "2020-01-02 22:59:07", "/adminer-4.5.0.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706401", "2020-01-02 22:59:06", "/adminer-4.5.0-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706399", "2020-01-02 22:59:04", "/adminer-4.5.0-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706400", "2020-01-02 22:59:05", "/adminer-4.5.0-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706397", "2020-01-02 22:59:03", "/adminer-4.5.0-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706398", "2020-01-02 22:59:03", "/adminer-4.5.0-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706396", "2020-01-02 22:59:02", "/adminer-3.4.0-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706394", "2020-01-02 22:59:01", "/adminer-4.4.0-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706395", "2020-01-02 22:59:02", "/adminer-4.4.0.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706393", "2020-01-02 22:59:00", "/adminer-4.4.0-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706391", "2020-01-02 22:58:58", "/adminer-4.4.0-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706392", "2020-01-02 22:58:59", "/adminer-4.4.0-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706390", "2020-01-02 22:58:58", "/adminer-4.4.0-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706388", "2020-01-02 22:58:56", "/adminer-4.3.1-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706389", "2020-01-02 22:58:57", "/adminer-4.3.1.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706387", "2020-01-02 22:58:55", "/adminer-3.3.4.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706386", "2020-01-02 22:58:55", "/adminer-4.3.1-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706385", "2020-01-02 22:58:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706383", "2020-01-02 22:58:49", "/adminer-4.3.1-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706384", "2020-01-02 22:58:50", "/adminer-3.3.4-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706382", "2020-01-02 22:58:48", "/adminer-4.3.1-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706380", "2020-01-02 22:58:47", "/adminer-4.3.0.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706381", "2020-01-02 22:58:47", "/adminer-4.3.1-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706379", "2020-01-02 22:58:46", "/adminer-3.3.4-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706377", "2020-01-02 22:58:45", "/adminer-4.3.0-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706378", "2020-01-02 22:58:46", "/adminer-4.3.0-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706376", "2020-01-02 22:58:44", "/adminer-4.3.0-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706374", "2020-01-02 22:58:42", "/adminer-4.3.0-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706375", "2020-01-02 22:58:43", "/adminer-4.3.0-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706373", "2020-01-02 22:58:41", "/adminer-4.2.5.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706371", "2020-01-02 22:58:40", "/adminer-3.3.4-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706372", "2020-01-02 22:58:40", "/adminer-4.2.5-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706370", "2020-01-02 22:58:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706369", "2020-01-02 22:58:39", "/adminer-4.2.5-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706367", "2020-01-02 22:58:38", "/adminer-4.2.5-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706368", "2020-01-02 22:58:39", "/adminer-4.2.5-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706366", "2020-01-02 22:58:34", "/adminer-3.3.4-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706364", "2020-01-02 22:58:22", "/adminer-3.3.3.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706365", "2020-01-02 22:58:26", "/adminer-3.3.4-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706363", "2020-01-02 22:58:17", "/adminer-4.2.5-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706361", "2020-01-02 22:58:16", "/adminer-4.2.4.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706362", "2020-01-02 22:58:16", "/adminer-3.3.3-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706360", "2020-01-02 22:58:15", "/adminer-4.2.4-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706358", "2020-01-02 22:58:13", "/adminer-4.2.4-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706359", "2020-01-02 22:58:14", "/adminer-4.2.4-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706357", "2020-01-02 22:58:12", "/adminer-4.2.4-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706355", "2020-01-02 22:58:11", "/adminer-3.3.3-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706356", "2020-01-02 22:58:11", "/adminer-4.2.4-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706354", "2020-01-02 22:58:11", "/adminer-4.2.3.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706352", "2020-01-02 22:58:08", "/adminer-4.2.3-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706353", "2020-01-02 22:58:09", "/adminer-4.2.3-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706351", "2020-01-02 22:58:07", "/adminer-4.2.3-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706349", "2020-01-02 22:58:02", "/adminer-3.3.3-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706350", "2020-01-02 22:58:06", "/adminer-3.3.3-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706348", "2020-01-02 22:58:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706347", "2020-01-02 22:58:01", "/adminer-4.2.3-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706345", "2020-01-02 22:57:59", "/adminer-4.2.2.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706346", "2020-01-02 22:58:00", "/adminer-4.2.3-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706344", "2020-01-02 22:57:59", "/adminer-4.2.2-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706342", "2020-01-02 22:57:57", "/adminer-4.2.2-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706343", "2020-01-02 22:57:58", "/adminer-4.2.2-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706341", "2020-01-02 22:57:56", "/adminer-3.3.3-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706339", "2020-01-02 22:57:55", "/adminer-4.2.2-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706340", "2020-01-02 22:57:56", "/adminer-4.2.2-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706338", "2020-01-02 22:57:54", "/adminer-4.2.1.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706336", "2020-01-02 22:57:53", "/adminer-3.3.2.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706337", "2020-01-02 22:57:53", "/adminer-4.2.1-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706335", "2020-01-02 22:57:53", "/adminer-4.2.1-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706333", "2020-01-02 22:57:46", "/adminer-4.2.1-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706334", "2020-01-02 22:57:47", "/adminer-4.2.1-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706332", "2020-01-02 22:57:45", "/adminer-3.3.2-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706330", "2020-01-02 22:57:39", "/adminer-4.2.0.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706331", "2020-01-02 22:57:40", "/adminer-4.2.1-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706329", "2020-01-02 22:57:38", "/adminer-3.3.2-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706327", "2020-01-02 22:57:37", "/adminer-4.2.0-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706328", "2020-01-02 22:57:38", "/adminer-4.2.0-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706326", "2020-01-02 22:57:31", "/adminer-3.3.2-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706325", "2020-01-02 22:57:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706323", "2020-01-02 22:57:19", "/adminer-3.3.2-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706324", "2020-01-02 22:57:25", "/adminer-3.3.2-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706322", "2020-01-02 22:57:16", "/adminer-4.2.0-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706320", "2020-01-02 22:57:15", "/adminer-4.2.0-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706321", "2020-01-02 22:57:15", "/adminer-4.2.0-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706319", "2020-01-02 22:57:14", "/adminer-4.1.0.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706317", "2020-01-02 22:57:12", "/adminer-3.3.1.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706318", "2020-01-02 22:57:13", "/adminer-4.1.0-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706316", "2020-01-02 22:57:12", "/skin/default/style.css", "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Win64; x64; Trident/5.0)", "http://buckspizza.com/skin/default/style.css", "101200");
INSERT INTO `wp_redirection_404` VALUES("1706315", "2020-01-02 22:57:12", "/adminer-4.1.0-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706314", "2020-01-02 22:57:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706312", "2020-01-02 22:57:10", "/adminer-4.1.0-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706313", "2020-01-02 22:57:11", "/adminer-4.1.0-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706311", "2020-01-02 22:57:09", "/adminer-4.1.0-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706309", "2020-01-02 22:57:07", "/adminer-4.0.3-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706310", "2020-01-02 22:57:08", "/adminer-4.0.3.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706308", "2020-01-02 22:57:07", "/adminer-3.3.1-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706306", "2020-01-02 22:57:00", "/adminer-4.0.3-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706307", "2020-01-02 22:57:01", "/adminer-4.0.3-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706305", "2020-01-02 22:56:59", "/adminer-4.0.3-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706303", "2020-01-02 22:56:58", "/adminer-4.0.3-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706304", "2020-01-02 22:56:58", "/adminer-3.3.1-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706302", "2020-01-02 22:56:57", "/adminer-4.0.2.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706300", "2020-01-02 22:56:55", "/adminer-4.0.2-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706301", "2020-01-02 22:56:56", "/adminer-4.0.2-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706299", "2020-01-02 22:56:54", "/adminer-4.0.2-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706297", "2020-01-02 22:56:52", "/adminer-4.0.2-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706298", "2020-01-02 22:56:53", "/adminer-4.0.2-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706296", "2020-01-02 22:56:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706295", "2020-01-02 22:56:51", "/adminer-3.3.1-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706293", "2020-01-02 22:56:50", "/adminer-4.0.1-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706294", "2020-01-02 22:56:51", "/adminer-4.0.1.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706292", "2020-01-02 22:56:49", "/adminer-4.0.1-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706290", "2020-01-02 22:56:47", "/adminer-4.0.1-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706291", "2020-01-02 22:56:48", "/adminer-4.0.1-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706289", "2020-01-02 22:56:46", "/adminer-4.0.1-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706287", "2020-01-02 22:56:45", "/adminer-4.0.0.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706288", "2020-01-02 22:56:45", "/adminer-3.3.1-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706286", "2020-01-02 22:56:44", "/adminer-4.0.0-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706284", "2020-01-02 22:56:42", "/adminer-4.0.0-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706285", "2020-01-02 22:56:43", "/adminer-4.0.0-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706283", "2020-01-02 22:56:39", "/adminer-3.3.1-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706281", "2020-01-02 22:56:24", "/adminer-3.3.0-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706282", "2020-01-02 22:56:31", "/adminer-3.3.0.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706280", "2020-01-02 22:56:21", "/adminer-4.0.0-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706278", "2020-01-02 22:56:19", "/adminer-3.7.1.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706279", "2020-01-02 22:56:20", "/adminer-4.0.0-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706277", "2020-01-02 22:56:19", "/adminer-3.3.0-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706275", "2020-01-02 22:56:18", "/adminer-3.7.1-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706276", "2020-01-02 22:56:18", "/adminer-3.7.1-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706274", "2020-01-02 22:56:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706273", "2020-01-02 22:56:17", "/adminer-3.7.1-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706271", "2020-01-02 22:56:15", "/adminer-3.7.1-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706272", "2020-01-02 22:56:16", "/adminer-3.7.1-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706270", "2020-01-02 22:56:14", "/adminer-3.7.0.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706268", "2020-01-02 22:56:13", "/adminer-3.7.0-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706269", "2020-01-02 22:56:13", "/adminer-3.3.0-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706267", "2020-01-02 22:56:12", "/adminer-3.7.0-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706265", "2020-01-02 22:56:10", "/adminer-3.7.0-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706266", "2020-01-02 22:56:11", "/adminer-3.7.0-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706264", "2020-01-02 22:56:10", "/adminer-3.3.0-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706262", "2020-01-02 22:56:08", "/adminer-3.6.4.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706263", "2020-01-02 22:56:09", "/adminer-3.7.0-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706261", "2020-01-02 22:56:08", "/adminer-3.3.0-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706259", "2020-01-02 22:56:01", "/adminer-3.2.2.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706260", "2020-01-02 22:56:07", "/adminer-3.6.4-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706258", "2020-01-02 22:55:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706257", "2020-01-02 22:55:53", "/adminer-3.2.2-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706255", "2020-01-02 22:55:44", "/adminer-3.2.2-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706256", "2020-01-02 22:55:50", "/adminer-3.2.2-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706254", "2020-01-02 22:55:39", "/adminer-3.2.2-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706253", "2020-01-02 22:55:34", "/adminer-3.2.2-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706251", "2020-01-02 22:55:23", "/adminer-3.2.1.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706252", "2020-01-02 22:55:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706250", "2020-01-02 22:55:17", "/adminer-3.2.1-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706248", "2020-01-02 22:55:15", "/adminer-3.6.4-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706249", "2020-01-02 22:55:16", "/adminer-3.6.4-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706247", "2020-01-02 22:55:14", "/adminer-3.6.3.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706245", "2020-01-02 22:55:12", "/adminer-3.6.3-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706246", "2020-01-02 22:55:13", "/adminer-3.6.3-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706244", "2020-01-02 22:55:11", "/adminer-3.6.3-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706242", "2020-01-02 22:55:10", "/adminer-3.6.3-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706243", "2020-01-02 22:55:11", "/adminer-3.6.3-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706241", "2020-01-02 22:55:09", "/adminer-3.6.2.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706239", "2020-01-02 22:55:07", "/adminer-3.6.2-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706240", "2020-01-02 22:55:08", "/adminer-3.6.2-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706238", "2020-01-02 22:55:06", "/adminer-3.6.2-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706236", "2020-01-02 22:55:05", "/adminer-3.6.2-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706237", "2020-01-02 22:55:06", "/adminer-3.2.1-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706235", "2020-01-02 22:55:04", "/adminer-3.6.2-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706234", "2020-01-02 22:55:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706232", "2020-01-02 22:55:03", "/adminer-3.6.1-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706233", "2020-01-02 22:55:04", "/adminer-3.6.1.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706231", "2020-01-02 22:55:02", "/adminer-3.6.1-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706229", "2020-01-02 22:54:58", "/adminer-3.2.1-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706230", "2020-01-02 22:55:02", "/adminer-3.2.1-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706228", "2020-01-02 22:54:52", "/adminer-3.2.1-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706226", "2020-01-02 22:54:50", "/adminer-3.6.1-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706227", "2020-01-02 22:54:51", "/adminer-3.6.1-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706225", "2020-01-02 22:54:49", "/adminer-3.6.1-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706224", "2020-01-02 22:54:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706222", "2020-01-02 22:54:48", "/adminer-3.6.0-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706223", "2020-01-02 22:54:48", "/adminer-3.6.0.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706221", "2020-01-02 22:54:47", "/adminer-3.6.0-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706219", "2020-01-02 22:54:46", "/adminer-3.2.0.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706220", "2020-01-02 22:54:46", "/adminer-3.6.0-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706218", "2020-01-02 22:54:45", "/adminer-3.6.0-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706216", "2020-01-02 22:54:43", "/adminer-3.5.1.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706217", "2020-01-02 22:54:44", "/adminer-3.6.0-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706215", "2020-01-02 22:54:42", "/adminer-3.5.1-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706213", "2020-01-02 22:54:35", "/adminer-3.2.0-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706214", "2020-01-02 22:54:40", "/adminer-3.2.0-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706212", "2020-01-02 22:54:30", "/adminer-3.2.0-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706211", "2020-01-02 22:54:23", "/adminer-3.2.0-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706209", "2020-01-02 22:54:14", "/adminer-3.2.0-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706210", "2020-01-02 22:54:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706208", "2020-01-02 22:54:12", "/adminer-3.1.0.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706206", "2020-01-02 22:54:06", "/adminer-3.5.1-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706207", "2020-01-02 22:54:07", "/adminer-3.1.0-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706205", "2020-01-02 22:54:05", "/adminer-3.5.1-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706203", "2020-01-02 22:54:03", "/adminer-3.5.0.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706204", "2020-01-02 22:54:04", "/adminer-3.5.1-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706202", "2020-01-02 22:54:03", "/adminer-3.1.0-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706200", "2020-01-02 22:54:02", "/adminer-3.5.0-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706201", "2020-01-02 22:54:03", "/adminer-3.5.0-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706199", "2020-01-02 22:53:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706198", "2020-01-02 22:53:54", "/adminer-3.1.0-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706196", "2020-01-02 22:53:44", "/adminer-3.1.0-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706197", "2020-01-02 22:53:47", "/adminer-3.1.0-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706195", "2020-01-02 22:53:41", "/adminer-3.5.0-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706194", "2020-01-02 22:53:40", "/adminer-3.5.0-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706192", "2020-01-02 22:53:39", "/adminer-3.5.0-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706193", "2020-01-02 22:53:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706191", "2020-01-02 22:53:38", "/adminer-3.4.0.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706190", "2020-01-02 22:53:38", "/wp-content/plugins/yuzo-related-post/assets/js/admin.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706189", "2020-01-02 22:53:37", "/adminer-3.4.0-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1705217", "2020-01-02 16:51:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705216", "2020-01-02 16:51:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705215", "2020-01-02 16:51:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705214", "2020-01-02 16:50:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705213", "2020-01-02 16:49:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705212", "2020-01-02 16:49:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705211", "2020-01-02 16:48:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705210", "2020-01-02 16:47:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705209", "2020-01-02 16:47:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705208", "2020-01-02 16:47:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705207", "2020-01-02 16:46:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705206", "2020-01-02 16:46:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705205", "2020-01-02 16:45:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705204", "2020-01-02 16:45:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705203", "2020-01-02 16:44:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705202", "2020-01-02 16:44:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705201", "2020-01-02 16:44:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705200", "2020-01-02 16:43:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705199", "2020-01-02 16:43:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705198", "2020-01-02 16:43:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705197", "2020-01-02 16:42:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705196", "2020-01-02 16:42:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705195", "2020-01-02 16:42:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705194", "2020-01-02 16:41:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705193", "2020-01-02 16:41:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705192", "2020-01-02 16:40:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705191", "2020-01-02 16:40:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705190", "2020-01-02 16:39:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705189", "2020-01-02 16:39:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705188", "2020-01-02 16:39:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705187", "2020-01-02 16:39:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705186", "2020-01-02 16:38:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705185", "2020-01-02 16:38:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705184", "2020-01-02 16:38:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705183", "2020-01-02 16:37:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705182", "2020-01-02 16:37:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705181", "2020-01-02 16:37:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705180", "2020-01-02 16:36:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705179", "2020-01-02 16:36:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705178", "2020-01-02 16:36:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705177", "2020-01-02 16:35:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705176", "2020-01-02 16:35:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705175", "2020-01-02 16:35:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705174", "2020-01-02 16:34:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705173", "2020-01-02 16:34:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705172", "2020-01-02 16:34:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705171", "2020-01-02 16:33:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705170", "2020-01-02 16:33:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705169", "2020-01-02 16:33:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705168", "2020-01-02 16:32:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705167", "2020-01-02 16:32:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705166", "2020-01-02 16:32:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705165", "2020-01-02 16:31:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705164", "2020-01-02 16:31:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705163", "2020-01-02 16:30:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705162", "2020-01-02 16:30:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705161", "2020-01-02 16:30:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705160", "2020-01-02 16:29:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705159", "2020-01-02 16:28:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705158", "2020-01-02 16:28:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705157", "2020-01-02 16:28:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705156", "2020-01-02 16:27:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705155", "2020-01-02 16:27:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705154", "2020-01-02 16:27:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705153", "2020-01-02 16:26:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705152", "2020-01-02 16:26:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705151", "2020-01-02 16:25:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705150", "2020-01-02 16:25:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705149", "2020-01-02 16:25:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705148", "2020-01-02 16:24:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705147", "2020-01-02 16:24:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705146", "2020-01-02 16:24:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705145", "2020-01-02 16:23:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705144", "2020-01-02 16:23:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705143", "2020-01-02 16:23:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705142", "2020-01-02 16:22:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705141", "2020-01-02 16:22:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705140", "2020-01-02 16:22:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705139", "2020-01-02 16:21:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705138", "2020-01-02 16:20:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705137", "2020-01-02 16:20:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705136", "2020-01-02 16:20:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705135", "2020-01-02 16:19:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705134", "2020-01-02 16:19:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705133", "2020-01-02 16:19:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705132", "2020-01-02 16:18:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705131", "2020-01-02 16:18:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705130", "2020-01-02 16:18:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705129", "2020-01-02 16:17:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705128", "2020-01-02 16:17:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705127", "2020-01-02 16:17:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705126", "2020-01-02 16:16:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705125", "2020-01-02 16:16:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705124", "2020-01-02 16:16:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705123", "2020-01-02 16:15:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705122", "2020-01-02 16:15:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705121", "2020-01-02 16:15:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705120", "2020-01-02 16:13:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705119", "2020-01-02 16:13:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705118", "2020-01-02 16:13:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705117", "2020-01-02 16:12:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705116", "2020-01-02 16:12:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705115", "2020-01-02 16:11:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705114", "2020-01-02 16:11:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705113", "2020-01-02 16:11:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705112", "2020-01-02 16:10:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705111", "2020-01-02 16:10:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705110", "2020-01-02 16:10:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705109", "2020-01-02 16:09:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705108", "2020-01-02 16:09:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705107", "2020-01-02 16:09:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705106", "2020-01-02 16:08:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705105", "2020-01-02 16:08:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705104", "2020-01-02 16:08:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705103", "2020-01-02 16:07:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705102", "2020-01-02 16:07:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705101", "2020-01-02 16:07:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705100", "2020-01-02 16:06:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705099", "2020-01-02 16:06:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705098", "2020-01-02 16:06:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705097", "2020-01-02 16:05:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705096", "2020-01-02 16:05:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705095", "2020-01-02 16:05:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705094", "2020-01-02 16:04:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705093", "2020-01-02 16:03:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705092", "2020-01-02 16:03:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705091", "2020-01-02 16:03:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705090", "2020-01-02 16:02:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705089", "2020-01-02 16:02:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705088", "2020-01-02 16:02:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705087", "2020-01-02 16:01:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705086", "2020-01-02 16:01:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705085", "2020-01-02 16:01:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705084", "2020-01-02 16:00:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705083", "2020-01-02 16:00:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705082", "2020-01-02 16:00:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705081", "2020-01-02 15:59:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705080", "2020-01-02 15:59:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705079", "2020-01-02 15:59:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705078", "2020-01-02 15:58:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705077", "2020-01-02 15:58:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705076", "2020-01-02 15:58:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705075", "2020-01-02 15:57:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705074", "2020-01-02 15:57:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705073", "2020-01-02 15:57:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705072", "2020-01-02 15:56:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705071", "2020-01-02 15:56:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705070", "2020-01-02 15:56:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705069", "2020-01-02 15:55:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705068", "2020-01-02 15:55:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705067", "2020-01-02 15:55:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705066", "2020-01-02 15:54:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705065", "2020-01-02 15:54:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705064", "2020-01-02 15:54:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705063", "2020-01-02 15:54:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705062", "2020-01-02 15:54:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705061", "2020-01-02 15:53:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705060", "2020-01-02 15:53:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705059", "2020-01-02 15:52:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705058", "2020-01-02 15:52:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705057", "2020-01-02 15:52:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705056", "2020-01-02 15:52:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705055", "2020-01-02 15:51:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705054", "2020-01-02 15:51:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705053", "2020-01-02 15:50:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705052", "2020-01-02 15:50:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705051", "2020-01-02 15:49:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705050", "2020-01-02 15:49:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705049", "2020-01-02 15:48:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705048", "2020-01-02 15:48:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705047", "2020-01-02 15:48:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705046", "2020-01-02 15:48:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705045", "2020-01-02 15:47:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705044", "2020-01-02 15:47:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705043", "2020-01-02 15:47:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705042", "2020-01-02 15:46:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705041", "2020-01-02 15:46:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705040", "2020-01-02 15:46:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705039", "2020-01-02 15:45:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705038", "2020-01-02 15:45:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705037", "2020-01-02 15:45:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705036", "2020-01-02 15:44:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705035", "2020-01-02 15:44:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705034", "2020-01-02 15:44:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705033", "2020-01-02 15:43:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705032", "2020-01-02 15:43:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705031", "2020-01-02 15:43:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705030", "2020-01-02 15:42:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705029", "2020-01-02 15:42:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705028", "2020-01-02 15:42:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705027", "2020-01-02 15:41:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705026", "2020-01-02 15:41:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705025", "2020-01-02 15:40:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705024", "2020-01-02 15:40:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705023", "2020-01-02 15:40:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705022", "2020-01-02 15:39:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705021", "2020-01-02 15:39:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705020", "2020-01-02 15:39:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705019", "2020-01-02 15:38:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705018", "2020-01-02 15:38:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705017", "2020-01-02 15:38:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705016", "2020-01-02 15:37:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705015", "2020-01-02 15:37:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705014", "2020-01-02 15:37:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705013", "2020-01-02 15:36:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705012", "2020-01-02 15:36:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705011", "2020-01-02 15:36:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705010", "2020-01-02 15:35:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705009", "2020-01-02 15:35:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705008", "2020-01-02 15:35:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705007", "2020-01-02 15:34:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705006", "2020-01-02 15:34:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705005", "2020-01-02 15:34:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705004", "2020-01-02 15:34:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705003", "2020-01-02 15:33:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705002", "2020-01-02 15:33:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705001", "2020-01-02 15:33:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705000", "2020-01-02 15:32:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704999", "2020-01-02 15:32:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704998", "2020-01-02 15:32:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704997", "2020-01-02 15:31:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704996", "2020-01-02 15:31:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704995", "2020-01-02 15:31:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704994", "2020-01-02 15:30:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704993", "2020-01-02 15:30:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704992", "2020-01-02 15:30:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704991", "2020-01-02 15:29:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704990", "2020-01-02 15:29:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704989", "2020-01-02 15:29:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704988", "2020-01-02 15:28:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704987", "2020-01-02 15:28:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704986", "2020-01-02 15:27:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704985", "2020-01-02 15:27:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704984", "2020-01-02 15:27:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704983", "2020-01-02 15:26:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704982", "2020-01-02 15:26:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704981", "2020-01-02 15:25:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704980", "2020-01-02 15:25:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704979", "2020-01-02 15:25:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704978", "2020-01-02 15:24:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704977", "2020-01-02 15:24:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704976", "2020-01-02 15:24:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704975", "2020-01-02 15:23:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704974", "2020-01-02 15:23:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704973", "2020-01-02 15:23:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704972", "2020-01-02 15:23:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704971", "2020-01-02 15:22:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704970", "2020-01-02 15:22:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704969", "2020-01-02 15:22:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704968", "2020-01-02 15:21:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704967", "2020-01-02 15:21:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704966", "2020-01-02 15:20:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704965", "2020-01-02 15:20:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704964", "2020-01-02 15:20:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704963", "2020-01-02 15:19:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704962", "2020-01-02 15:19:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704961", "2020-01-02 15:18:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704960", "2020-01-02 15:18:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704959", "2020-01-02 15:18:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704958", "2020-01-02 15:18:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704957", "2020-01-02 15:17:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704956", "2020-01-02 15:17:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704955", "2020-01-02 15:17:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704954", "2020-01-02 15:16:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704953", "2020-01-02 15:16:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704952", "2020-01-02 15:16:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704951", "2020-01-02 15:15:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704950", "2020-01-02 15:15:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704949", "2020-01-02 15:14:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704948", "2020-01-02 15:14:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704947", "2020-01-02 15:13:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704946", "2020-01-02 15:12:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704945", "2020-01-02 15:12:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704944", "2020-01-02 15:12:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704943", "2020-01-02 15:11:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704942", "2020-01-02 15:11:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704941", "2020-01-02 15:11:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704940", "2020-01-02 15:10:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704939", "2020-01-02 15:10:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704938", "2020-01-02 15:10:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704937", "2020-01-02 15:09:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704936", "2020-01-02 15:08:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704935", "2020-01-02 15:08:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704934", "2020-01-02 15:08:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704933", "2020-01-02 15:07:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704932", "2020-01-02 15:07:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704930", "2020-01-02 15:05:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704931", "2020-01-02 15:06:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704929", "2020-01-02 15:05:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704928", "2020-01-02 15:05:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704927", "2020-01-02 15:04:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704926", "2020-01-02 15:04:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704925", "2020-01-02 15:04:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704924", "2020-01-02 15:03:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704923", "2020-01-02 15:03:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704922", "2020-01-02 15:02:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704921", "2020-01-02 15:02:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704920", "2020-01-02 15:01:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704919", "2020-01-02 15:01:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704918", "2020-01-02 15:01:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704917", "2020-01-02 15:00:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704916", "2020-01-02 15:00:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704915", "2020-01-02 15:00:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704914", "2020-01-02 14:59:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704913", "2020-01-02 14:59:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704912", "2020-01-02 14:59:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704911", "2020-01-02 14:59:13", "/locatestore.php?st=PA", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1704910", "2020-01-02 14:58:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704909", "2020-01-02 14:58:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704908", "2020-01-02 14:57:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704907", "2020-01-02 14:57:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704906", "2020-01-02 14:56:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704905", "2020-01-02 14:56:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704904", "2020-01-02 14:56:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704903", "2020-01-02 14:55:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704902", "2020-01-02 14:55:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704901", "2020-01-02 14:55:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704900", "2020-01-02 14:54:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704899", "2020-01-02 14:53:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704898", "2020-01-02 14:53:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704897", "2020-01-02 14:52:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704896", "2020-01-02 14:52:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704895", "2020-01-02 14:52:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704894", "2020-01-02 14:51:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704893", "2020-01-02 14:51:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704892", "2020-01-02 14:51:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704891", "2020-01-02 14:50:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704890", "2020-01-02 14:50:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704889", "2020-01-02 14:50:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704888", "2020-01-02 14:49:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704887", "2020-01-02 14:49:33", "/pizza-places/10-best-pizza-places-los-angeles-2015/", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/68.0.3440.75 Safari/537.36 (compatible; SMTBot/1.0; +http://www.similartech.com/smtbot)", NULL, "34234");
INSERT INTO `wp_redirection_404` VALUES("1704886", "2020-01-02 14:49:13", "/pizza-parties/wine-pairing-pizza-toppings/", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/68.0.3440.75 Safari/537.36 (compatible; SMTBot/1.0; +http://www.similartech.com/smtbot)", NULL, "34234");
INSERT INTO `wp_redirection_404` VALUES("1704885", "2020-01-02 14:49:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704884", "2020-01-02 14:49:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704883", "2020-01-02 14:48:51", "/ads.txt", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/68.0.3440.75 Safari/537.36 (compatible; SMTBot/1.0; +http://www.similartech.com/smtbot)", NULL, "34234");
INSERT INTO `wp_redirection_404` VALUES("1704882", "2020-01-02 14:48:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704881", "2020-01-02 14:47:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704880", "2020-01-02 14:47:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704879", "2020-01-02 14:47:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704878", "2020-01-02 14:46:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704877", "2020-01-02 14:46:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704876", "2020-01-02 14:45:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704875", "2020-01-02 14:45:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704874", "2020-01-02 14:44:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704873", "2020-01-02 14:44:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704872", "2020-01-02 14:43:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704871", "2020-01-02 14:43:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704870", "2020-01-02 14:42:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704869", "2020-01-02 14:42:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704868", "2020-01-02 14:41:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704867", "2020-01-02 14:40:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704866", "2020-01-02 14:40:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704865", "2020-01-02 14:40:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704864", "2020-01-02 14:39:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704863", "2020-01-02 14:39:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704862", "2020-01-02 14:39:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704861", "2020-01-02 14:38:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704860", "2020-01-02 14:38:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704859", "2020-01-02 14:38:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704858", "2020-01-02 14:37:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704857", "2020-01-02 14:37:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704856", "2020-01-02 14:37:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704855", "2020-01-02 14:36:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704854", "2020-01-02 14:36:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704853", "2020-01-02 14:36:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704852", "2020-01-02 14:35:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704851", "2020-01-02 14:35:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704850", "2020-01-02 14:35:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704849", "2020-01-02 14:34:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704848", "2020-01-02 14:33:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704847", "2020-01-02 14:33:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704846", "2020-01-02 14:33:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704845", "2020-01-02 14:32:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704844", "2020-01-02 14:32:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704843", "2020-01-02 14:31:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704842", "2020-01-02 14:31:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704841", "2020-01-02 14:31:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704840", "2020-01-02 14:30:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704839", "2020-01-02 14:30:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704838", "2020-01-02 14:29:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704837", "2020-01-02 14:29:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704836", "2020-01-02 14:29:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704835", "2020-01-02 14:28:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704834", "2020-01-02 14:28:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704833", "2020-01-02 14:27:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704832", "2020-01-02 14:27:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704831", "2020-01-02 14:26:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704830", "2020-01-02 14:26:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704829", "2020-01-02 14:26:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704828", "2020-01-02 14:25:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704827", "2020-01-02 14:25:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704826", "2020-01-02 14:25:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704825", "2020-01-02 14:24:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704824", "2020-01-02 14:24:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704823", "2020-01-02 14:24:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704822", "2020-01-02 14:23:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704821", "2020-01-02 14:23:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704820", "2020-01-02 14:22:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704819", "2020-01-02 14:22:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704818", "2020-01-02 14:21:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704817", "2020-01-02 14:20:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704816", "2020-01-02 14:20:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704815", "2020-01-02 14:19:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704814", "2020-01-02 14:19:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704813", "2020-01-02 14:19:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704812", "2020-01-02 14:18:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704811", "2020-01-02 14:18:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704810", "2020-01-02 14:18:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704809", "2020-01-02 14:17:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704808", "2020-01-02 14:16:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704807", "2020-01-02 14:16:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704806", "2020-01-02 14:16:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704805", "2020-01-02 14:15:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704804", "2020-01-02 14:15:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704803", "2020-01-02 14:14:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704802", "2020-01-02 14:14:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704801", "2020-01-02 14:14:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704800", "2020-01-02 14:13:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704799", "2020-01-02 14:13:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704798", "2020-01-02 14:12:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704797", "2020-01-02 14:12:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704796", "2020-01-02 14:12:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704795", "2020-01-02 14:11:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704794", "2020-01-02 14:11:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704793", "2020-01-02 14:10:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704792", "2020-01-02 14:10:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704791", "2020-01-02 14:10:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704790", "2020-01-02 14:09:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704789", "2020-01-02 14:09:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704788", "2020-01-02 14:09:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704787", "2020-01-02 14:08:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704786", "2020-01-02 14:08:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704785", "2020-01-02 14:08:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704784", "2020-01-02 14:07:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704783", "2020-01-02 14:07:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704782", "2020-01-02 14:07:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704781", "2020-01-02 14:06:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704780", "2020-01-02 14:06:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704779", "2020-01-02 14:05:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704778", "2020-01-02 14:05:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704777", "2020-01-02 14:04:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704776", "2020-01-02 14:04:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704774", "2020-01-02 14:03:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704775", "2020-01-02 14:04:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704773", "2020-01-02 14:03:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704772", "2020-01-02 14:03:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704771", "2020-01-02 14:02:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704770", "2020-01-02 14:02:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704768", "2020-01-02 14:01:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704769", "2020-01-02 14:02:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704767", "2020-01-02 14:01:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704766", "2020-01-02 14:01:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704765", "2020-01-02 14:00:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704764", "2020-01-02 14:00:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704763", "2020-01-02 14:00:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704762", "2020-01-02 13:59:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704761", "2020-01-02 13:59:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704760", "2020-01-02 13:59:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704759", "2020-01-02 13:58:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704758", "2020-01-02 13:58:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704757", "2020-01-02 13:57:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704756", "2020-01-02 13:57:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704755", "2020-01-02 13:57:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704754", "2020-01-02 13:56:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704753", "2020-01-02 13:56:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704752", "2020-01-02 13:55:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704751", "2020-01-02 13:55:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704750", "2020-01-02 13:55:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704749", "2020-01-02 13:54:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704748", "2020-01-02 13:54:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704747", "2020-01-02 13:54:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704746", "2020-01-02 13:53:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704745", "2020-01-02 13:53:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704744", "2020-01-02 13:52:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704743", "2020-01-02 13:52:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704742", "2020-01-02 13:52:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704741", "2020-01-02 13:51:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704740", "2020-01-02 13:51:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704739", "2020-01-02 13:51:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704738", "2020-01-02 13:50:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704737", "2020-01-02 13:50:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704736", "2020-01-02 13:49:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704735", "2020-01-02 13:49:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704734", "2020-01-02 13:48:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704733", "2020-01-02 13:48:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704732", "2020-01-02 13:48:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704731", "2020-01-02 13:47:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704730", "2020-01-02 13:47:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704729", "2020-01-02 13:46:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704728", "2020-01-02 13:46:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704727", "2020-01-02 13:46:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704726", "2020-01-02 13:45:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704725", "2020-01-02 13:45:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704724", "2020-01-02 13:44:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704723", "2020-01-02 13:44:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704722", "2020-01-02 13:43:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704721", "2020-01-02 13:43:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704720", "2020-01-02 13:43:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704719", "2020-01-02 13:42:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704718", "2020-01-02 13:42:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704717", "2020-01-02 13:42:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704716", "2020-01-02 13:41:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704715", "2020-01-02 13:41:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704714", "2020-01-02 13:40:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704713", "2020-01-02 13:40:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704712", "2020-01-02 13:39:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704711", "2020-01-02 13:39:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704710", "2020-01-02 13:39:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704709", "2020-01-02 13:38:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704708", "2020-01-02 13:38:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704707", "2020-01-02 13:37:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704706", "2020-01-02 13:37:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704705", "2020-01-02 13:37:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704704", "2020-01-02 13:36:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704703", "2020-01-02 13:36:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704702", "2020-01-02 13:36:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704701", "2020-01-02 13:35:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704700", "2020-01-02 13:34:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704699", "2020-01-02 13:34:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704698", "2020-01-02 13:34:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704697", "2020-01-02 13:33:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704696", "2020-01-02 13:33:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704695", "2020-01-02 13:33:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704694", "2020-01-02 13:32:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704693", "2020-01-02 13:32:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704692", "2020-01-02 13:31:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704691", "2020-01-02 13:31:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704690", "2020-01-02 13:31:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704689", "2020-01-02 13:30:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704688", "2020-01-02 13:30:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704687", "2020-01-02 13:29:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704686", "2020-01-02 13:29:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704685", "2020-01-02 13:28:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704684", "2020-01-02 13:28:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704683", "2020-01-02 13:28:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704682", "2020-01-02 13:27:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704681", "2020-01-02 13:27:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704680", "2020-01-02 13:27:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704679", "2020-01-02 13:26:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704678", "2020-01-02 13:26:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704677", "2020-01-02 13:25:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704676", "2020-01-02 13:25:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704675", "2020-01-02 13:24:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704674", "2020-01-02 13:24:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704673", "2020-01-02 13:24:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704672", "2020-01-02 13:23:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704671", "2020-01-02 13:23:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704670", "2020-01-02 13:22:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704669", "2020-01-02 13:22:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704668", "2020-01-02 13:22:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704667", "2020-01-02 13:21:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704666", "2020-01-02 13:21:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704665", "2020-01-02 13:21:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704664", "2020-01-02 13:20:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704663", "2020-01-02 13:19:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704662", "2020-01-02 13:19:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704661", "2020-01-02 13:19:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704660", "2020-01-02 13:18:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704659", "2020-01-02 13:18:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704658", "2020-01-02 13:18:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704657", "2020-01-02 13:17:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704656", "2020-01-02 13:16:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704655", "2020-01-02 13:16:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704654", "2020-01-02 13:16:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704653", "2020-01-02 13:15:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704652", "2020-01-02 13:15:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704651", "2020-01-02 13:15:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704650", "2020-01-02 13:14:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704649", "2020-01-02 13:13:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704648", "2020-01-02 13:13:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704647", "2020-01-02 13:12:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704646", "2020-01-02 13:12:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704645", "2020-01-02 13:11:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704644", "2020-01-02 13:11:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704643", "2020-01-02 13:11:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704642", "2020-01-02 13:10:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704641", "2020-01-02 13:10:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704640", "2020-01-02 13:10:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704639", "2020-01-02 13:09:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704638", "2020-01-02 13:09:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704637", "2020-01-02 13:09:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704636", "2020-01-02 13:07:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704635", "2020-01-02 13:07:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704634", "2020-01-02 13:07:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704633", "2020-01-02 13:07:43", "/franchising.htm", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/77.0.3865.120 Safari/537.36", "http://www.beadniks.com/", "62210");
INSERT INTO `wp_redirection_404` VALUES("1704632", "2020-01-02 13:06:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704631", "2020-01-02 13:06:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704630", "2020-01-02 13:06:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704629", "2020-01-02 13:05:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704628", "2020-01-02 13:05:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704627", "2020-01-02 13:05:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704626", "2020-01-02 13:04:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704625", "2020-01-02 13:04:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704624", "2020-01-02 13:04:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704623", "2020-01-02 13:03:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704622", "2020-01-02 13:03:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704621", "2020-01-02 13:03:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704620", "2020-01-02 13:02:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704619", "2020-01-02 13:02:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704618", "2020-01-02 13:02:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704617", "2020-01-02 13:00:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704616", "2020-01-02 13:00:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704615", "2020-01-02 13:00:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704614", "2020-01-02 12:59:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704613", "2020-01-02 12:59:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704612", "2020-01-02 12:59:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704611", "2020-01-02 12:58:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704610", "2020-01-02 12:58:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704609", "2020-01-02 12:57:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704608", "2020-01-02 12:57:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704607", "2020-01-02 12:57:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704606", "2020-01-02 12:56:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704605", "2020-01-02 12:55:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704604", "2020-01-02 12:55:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704603", "2020-01-02 12:55:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704602", "2020-01-02 12:54:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704601", "2020-01-02 12:54:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704600", "2020-01-02 12:53:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704599", "2020-01-02 12:53:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704598", "2020-01-02 12:53:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704597", "2020-01-02 12:52:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704596", "2020-01-02 12:52:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704595", "2020-01-02 12:52:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704594", "2020-01-02 12:51:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704593", "2020-01-02 12:51:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704592", "2020-01-02 12:51:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704591", "2020-01-02 12:50:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704590", "2020-01-02 12:50:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704589", "2020-01-02 12:49:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704588", "2020-01-02 12:49:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704587", "2020-01-02 12:48:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704586", "2020-01-02 12:48:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704585", "2020-01-02 12:48:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704584", "2020-01-02 12:47:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704583", "2020-01-02 12:47:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704582", "2020-01-02 12:46:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704581", "2020-01-02 12:46:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704580", "2020-01-02 12:46:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704579", "2020-01-02 12:45:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704578", "2020-01-02 12:45:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704577", "2020-01-02 12:45:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704576", "2020-01-02 12:44:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704575", "2020-01-02 12:44:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704574", "2020-01-02 12:44:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704573", "2020-01-02 12:43:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704572", "2020-01-02 12:43:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704571", "2020-01-02 12:43:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704570", "2020-01-02 12:42:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704569", "2020-01-02 12:42:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704568", "2020-01-02 12:42:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704567", "2020-01-02 12:41:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704566", "2020-01-02 12:41:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704565", "2020-01-02 12:40:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704564", "2020-01-02 12:40:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704563", "2020-01-02 12:39:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704562", "2020-01-02 12:39:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704561", "2020-01-02 12:39:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704560", "2020-01-02 12:38:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704559", "2020-01-02 12:38:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704558", "2020-01-02 12:38:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704557", "2020-01-02 12:37:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704556", "2020-01-02 12:37:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704555", "2020-01-02 12:36:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704554", "2020-01-02 12:36:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704553", "2020-01-02 12:36:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704552", "2020-01-02 12:35:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704551", "2020-01-02 12:35:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704550", "2020-01-02 12:35:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704549", "2020-01-02 12:34:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704548", "2020-01-02 12:34:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704547", "2020-01-02 12:34:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704546", "2020-01-02 12:33:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704545", "2020-01-02 12:33:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704544", "2020-01-02 12:33:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704543", "2020-01-02 12:32:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704542", "2020-01-02 12:32:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704541", "2020-01-02 12:32:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704540", "2020-01-02 12:31:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704539", "2020-01-02 12:30:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704538", "2020-01-02 12:30:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704536", "2020-01-02 12:29:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704537", "2020-01-02 12:30:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704535", "2020-01-02 12:29:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704534", "2020-01-02 12:28:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704533", "2020-01-02 12:28:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704532", "2020-01-02 12:28:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704531", "2020-01-02 12:27:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704530", "2020-01-02 12:27:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704529", "2020-01-02 12:27:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704528", "2020-01-02 12:26:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704527", "2020-01-02 12:26:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704526", "2020-01-02 12:26:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704525", "2020-01-02 12:25:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704524", "2020-01-02 12:25:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704523", "2020-01-02 12:25:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704522", "2020-01-02 12:24:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704521", "2020-01-02 12:24:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704520", "2020-01-02 12:24:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704519", "2020-01-02 12:23:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704518", "2020-01-02 12:23:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704517", "2020-01-02 12:22:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704516", "2020-01-02 12:22:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704515", "2020-01-02 12:21:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704514", "2020-01-02 12:21:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704513", "2020-01-02 12:20:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704512", "2020-01-02 12:20:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704511", "2020-01-02 12:20:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704510", "2020-01-02 12:19:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704509", "2020-01-02 12:19:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704508", "2020-01-02 12:19:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704507", "2020-01-02 12:18:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704506", "2020-01-02 12:18:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704505", "2020-01-02 12:18:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704504", "2020-01-02 12:17:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704503", "2020-01-02 12:17:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704502", "2020-01-02 12:16:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704501", "2020-01-02 12:16:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704500", "2020-01-02 12:15:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704499", "2020-01-02 12:15:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704498", "2020-01-02 12:14:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704497", "2020-01-02 12:14:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704496", "2020-01-02 12:14:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704495", "2020-01-02 12:13:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704494", "2020-01-02 12:13:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704493", "2020-01-02 12:13:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704492", "2020-01-02 12:12:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704491", "2020-01-02 12:12:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704490", "2020-01-02 12:12:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704489", "2020-01-02 12:11:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704488", "2020-01-02 12:11:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704487", "2020-01-02 12:11:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704486", "2020-01-02 12:10:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704485", "2020-01-02 12:10:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704484", "2020-01-02 12:10:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704483", "2020-01-02 12:09:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704482", "2020-01-02 12:08:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704481", "2020-01-02 12:08:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704480", "2020-01-02 12:08:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704479", "2020-01-02 12:07:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704478", "2020-01-02 12:07:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704477", "2020-01-02 12:06:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704476", "2020-01-02 12:06:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704475", "2020-01-02 12:06:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704474", "2020-01-02 12:05:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704473", "2020-01-02 12:05:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704472", "2020-01-02 12:05:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704471", "2020-01-02 12:04:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704470", "2020-01-02 12:04:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704469", "2020-01-02 12:04:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704468", "2020-01-02 12:03:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704467", "2020-01-02 12:03:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704466", "2020-01-02 12:03:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704465", "2020-01-02 12:02:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704464", "2020-01-02 12:02:33", "/data/admin/allowurl.txt", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "154223");
INSERT INTO `wp_redirection_404` VALUES("1704463", "2020-01-02 12:02:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704462", "2020-01-02 12:02:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704461", "2020-01-02 12:01:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704460", "2020-01-02 12:01:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704459", "2020-01-02 12:01:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704458", "2020-01-02 12:00:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704457", "2020-01-02 12:00:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704456", "2020-01-02 12:00:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704455", "2020-01-02 11:59:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704454", "2020-01-02 11:59:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704453", "2020-01-02 11:58:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704452", "2020-01-02 11:58:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704451", "2020-01-02 11:58:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704450", "2020-01-02 11:57:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704449", "2020-01-02 11:57:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704448", "2020-01-02 11:56:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704447", "2020-01-02 11:56:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704446", "2020-01-02 11:56:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704445", "2020-01-02 11:55:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704444", "2020-01-02 11:55:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704443", "2020-01-02 11:54:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704442", "2020-01-02 11:54:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704441", "2020-01-02 11:54:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704440", "2020-01-02 11:53:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704439", "2020-01-02 11:53:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704438", "2020-01-02 11:53:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704437", "2020-01-02 11:52:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704436", "2020-01-02 11:52:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704435", "2020-01-02 11:52:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704434", "2020-01-02 11:51:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704433", "2020-01-02 11:51:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704432", "2020-01-02 11:51:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704431", "2020-01-02 11:50:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704430", "2020-01-02 11:50:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704429", "2020-01-02 11:50:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704428", "2020-01-02 11:49:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704427", "2020-01-02 11:49:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704426", "2020-01-02 11:49:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704425", "2020-01-02 11:48:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704424", "2020-01-02 11:48:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704423", "2020-01-02 11:48:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704422", "2020-01-02 11:47:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704421", "2020-01-02 11:47:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704420", "2020-01-02 11:46:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704419", "2020-01-02 11:46:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704418", "2020-01-02 11:46:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704417", "2020-01-02 11:45:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704416", "2020-01-02 11:45:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704415", "2020-01-02 11:45:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704414", "2020-01-02 11:44:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704413", "2020-01-02 11:43:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704412", "2020-01-02 11:43:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704411", "2020-01-02 11:43:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704410", "2020-01-02 11:42:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704409", "2020-01-02 11:42:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704408", "2020-01-02 11:42:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704407", "2020-01-02 11:41:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704406", "2020-01-02 11:41:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704405", "2020-01-02 11:40:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704404", "2020-01-02 11:40:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704403", "2020-01-02 11:39:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704402", "2020-01-02 11:39:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704401", "2020-01-02 11:38:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704400", "2020-01-02 11:38:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704399", "2020-01-02 11:38:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704398", "2020-01-02 11:37:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704397", "2020-01-02 11:37:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704396", "2020-01-02 11:37:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704395", "2020-01-02 11:36:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704394", "2020-01-02 11:35:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704393", "2020-01-02 11:35:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704392", "2020-01-02 11:35:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704391", "2020-01-02 11:34:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704390", "2020-01-02 11:34:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704389", "2020-01-02 11:33:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704388", "2020-01-02 11:33:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704387", "2020-01-02 11:33:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704386", "2020-01-02 11:32:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704385", "2020-01-02 11:32:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704384", "2020-01-02 11:31:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704383", "2020-01-02 11:31:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704382", "2020-01-02 11:31:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704381", "2020-01-02 11:30:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704380", "2020-01-02 11:30:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704379", "2020-01-02 11:29:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704378", "2020-01-02 11:29:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704377", "2020-01-02 11:28:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704376", "2020-01-02 11:28:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704375", "2020-01-02 11:28:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704374", "2020-01-02 11:27:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704373", "2020-01-02 11:27:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704372", "2020-01-02 11:26:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704371", "2020-01-02 11:26:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704370", "2020-01-02 11:26:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704369", "2020-01-02 11:25:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704368", "2020-01-02 11:25:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704367", "2020-01-02 11:24:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704366", "2020-01-02 11:24:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704365", "2020-01-02 11:23:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704364", "2020-01-02 11:23:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704363", "2020-01-02 11:23:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704362", "2020-01-02 11:22:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704361", "2020-01-02 11:22:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704360", "2020-01-02 11:21:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704359", "2020-01-02 11:21:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704358", "2020-01-02 11:21:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704357", "2020-01-02 11:20:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704356", "2020-01-02 11:20:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704355", "2020-01-02 11:19:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704354", "2020-01-02 11:19:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704353", "2020-01-02 11:18:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704352", "2020-01-02 11:18:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704351", "2020-01-02 11:18:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704350", "2020-01-02 11:17:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704349", "2020-01-02 11:17:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704348", "2020-01-02 11:17:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704347", "2020-01-02 11:16:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704346", "2020-01-02 11:16:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704345", "2020-01-02 11:15:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704343", "2020-01-02 11:15:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704344", "2020-01-02 11:15:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704342", "2020-01-02 11:14:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704341", "2020-01-02 11:14:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704340", "2020-01-02 11:13:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704339", "2020-01-02 11:13:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704338", "2020-01-02 11:12:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704337", "2020-01-02 11:12:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704336", "2020-01-02 11:12:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704335", "2020-01-02 11:11:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704334", "2020-01-02 11:11:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704333", "2020-01-02 11:11:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704332", "2020-01-02 11:10:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704331", "2020-01-02 11:10:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704329", "2020-01-02 11:09:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704330", "2020-01-02 11:10:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704328", "2020-01-02 11:09:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704327", "2020-01-02 11:09:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704326", "2020-01-02 11:08:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704325", "2020-01-02 11:07:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704324", "2020-01-02 11:07:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704323", "2020-01-02 11:06:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704322", "2020-01-02 11:06:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704321", "2020-01-02 11:06:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704320", "2020-01-02 11:05:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704319", "2020-01-02 11:05:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704318", "2020-01-02 11:05:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704317", "2020-01-02 11:04:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704316", "2020-01-02 11:04:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704315", "2020-01-02 11:04:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704314", "2020-01-02 11:03:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704313", "2020-01-02 11:03:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704312", "2020-01-02 11:02:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704311", "2020-01-02 11:02:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704310", "2020-01-02 11:02:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704309", "2020-01-02 11:01:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704308", "2020-01-02 11:01:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704307", "2020-01-02 11:01:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704306", "2020-01-02 11:00:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704305", "2020-01-02 11:00:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704304", "2020-01-02 11:00:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704303", "2020-01-02 10:58:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704302", "2020-01-02 10:58:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704301", "2020-01-02 10:58:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704299", "2020-01-02 10:57:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704300", "2020-01-02 10:57:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704298", "2020-01-02 10:57:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704297", "2020-01-02 10:56:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704296", "2020-01-02 10:56:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704295", "2020-01-02 10:56:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704294", "2020-01-02 10:55:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704293", "2020-01-02 10:55:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704292", "2020-01-02 10:55:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704291", "2020-01-02 10:53:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704290", "2020-01-02 10:53:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704289", "2020-01-02 10:53:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704288", "2020-01-02 10:52:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704287", "2020-01-02 10:52:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704286", "2020-01-02 10:52:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704285", "2020-01-02 10:51:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704284", "2020-01-02 10:51:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704283", "2020-01-02 10:51:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704282", "2020-01-02 10:50:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704281", "2020-01-02 10:50:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704280", "2020-01-02 10:49:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704279", "2020-01-02 10:49:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704278", "2020-01-02 10:48:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704277", "2020-01-02 10:48:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704276", "2020-01-02 10:47:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704275", "2020-01-02 10:47:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704274", "2020-01-02 10:47:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704273", "2020-01-02 10:46:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704272", "2020-01-02 10:46:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704271", "2020-01-02 10:46:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704270", "2020-01-02 10:45:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704269", "2020-01-02 10:45:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704268", "2020-01-02 10:44:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704267", "2020-01-02 10:44:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704266", "2020-01-02 10:43:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704265", "2020-01-02 10:43:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704264", "2020-01-02 10:43:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704263", "2020-01-02 10:42:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704262", "2020-01-02 10:42:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704261", "2020-01-02 10:42:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704260", "2020-01-02 10:41:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704259", "2020-01-02 10:41:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704258", "2020-01-02 10:41:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704257", "2020-01-02 10:40:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704256", "2020-01-02 10:40:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704255", "2020-01-02 10:39:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704254", "2020-01-02 10:38:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704253", "2020-01-02 10:38:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704252", "2020-01-02 10:38:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704251", "2020-01-02 10:37:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704250", "2020-01-02 10:37:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704249", "2020-01-02 10:37:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704248", "2020-01-02 10:36:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704247", "2020-01-02 10:36:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704246", "2020-01-02 10:36:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704245", "2020-01-02 10:35:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704244", "2020-01-02 10:35:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704243", "2020-01-02 10:34:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704242", "2020-01-02 10:33:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704241", "2020-01-02 10:33:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704240", "2020-01-02 10:33:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704239", "2020-01-02 10:32:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704238", "2020-01-02 10:32:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704237", "2020-01-02 10:32:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704236", "2020-01-02 10:31:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704235", "2020-01-02 10:31:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704234", "2020-01-02 10:30:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704233", "2020-01-02 10:30:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704232", "2020-01-02 10:29:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704231", "2020-01-02 10:29:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704230", "2020-01-02 10:28:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704229", "2020-01-02 10:28:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704228", "2020-01-02 10:28:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704227", "2020-01-02 10:27:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704226", "2020-01-02 10:27:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704225", "2020-01-02 10:27:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704224", "2020-01-02 10:26:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704223", "2020-01-02 10:26:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704222", "2020-01-02 10:25:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704221", "2020-01-02 10:24:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704220", "2020-01-02 10:24:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704219", "2020-01-02 10:24:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704218", "2020-01-02 10:23:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704217", "2020-01-02 10:23:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704216", "2020-01-02 10:23:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704215", "2020-01-02 10:22:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704214", "2020-01-02 10:22:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704213", "2020-01-02 10:21:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704212", "2020-01-02 10:21:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704211", "2020-01-02 10:21:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704210", "2020-01-02 10:20:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704209", "2020-01-02 10:19:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704208", "2020-01-02 10:19:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704207", "2020-01-02 10:18:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704206", "2020-01-02 10:18:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704205", "2020-01-02 10:18:18", "/index.asp../1.php", "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Win64; x64; Trident/5.0)", "http://buckspizza.com/index.asp../1.php", "101200");
INSERT INTO `wp_redirection_404` VALUES("1704204", "2020-01-02 10:18:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704203", "2020-01-02 10:17:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704202", "2020-01-02 10:17:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704201", "2020-01-02 10:16:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704200", "2020-01-02 10:16:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704199", "2020-01-02 10:15:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704198", "2020-01-02 10:15:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704197", "2020-01-02 10:15:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704196", "2020-01-02 10:14:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704195", "2020-01-02 10:14:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704194", "2020-01-02 10:13:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704193", "2020-01-02 10:13:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704192", "2020-01-02 10:12:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704191", "2020-01-02 10:12:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704190", "2020-01-02 10:12:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704189", "2020-01-02 10:11:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704188", "2020-01-02 10:11:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704187", "2020-01-02 10:10:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704186", "2020-01-02 10:10:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704185", "2020-01-02 10:09:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704184", "2020-01-02 10:09:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704183", "2020-01-02 10:09:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704182", "2020-01-02 10:08:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704181", "2020-01-02 10:07:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704180", "2020-01-02 10:07:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704179", "2020-01-02 10:06:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704178", "2020-01-02 10:06:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704177", "2020-01-02 10:05:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704176", "2020-01-02 10:04:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704175", "2020-01-02 10:04:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704174", "2020-01-02 10:02:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704173", "2020-01-02 10:02:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704172", "2020-01-02 10:01:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704171", "2020-01-02 10:00:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704170", "2020-01-02 10:00:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704169", "2020-01-02 09:59:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704168", "2020-01-02 09:59:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704166", "2020-01-02 09:58:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704167", "2020-01-02 09:58:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704164", "2020-01-02 09:57:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704165", "2020-01-02 09:57:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704162", "2020-01-02 09:56:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704163", "2020-01-02 09:57:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704160", "2020-01-02 09:56:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704161", "2020-01-02 09:56:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704159", "2020-01-02 09:55:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704157", "2020-01-02 09:54:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704158", "2020-01-02 09:54:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704155", "2020-01-02 09:53:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704156", "2020-01-02 09:53:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704153", "2020-01-02 09:52:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704154", "2020-01-02 09:53:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704151", "2020-01-02 09:52:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704152", "2020-01-02 09:52:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704149", "2020-01-02 09:51:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704150", "2020-01-02 09:51:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704147", "2020-01-02 09:50:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704148", "2020-01-02 09:50:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704145", "2020-01-02 09:49:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704146", "2020-01-02 09:49:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704143", "2020-01-02 09:48:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704144", "2020-01-02 09:48:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704141", "2020-01-02 09:47:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704142", "2020-01-02 09:48:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704139", "2020-01-02 09:46:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704140", "2020-01-02 09:47:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704137", "2020-01-02 09:46:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704138", "2020-01-02 09:46:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704135", "2020-01-02 09:45:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704136", "2020-01-02 09:45:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704133", "2020-01-02 09:44:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704134", "2020-01-02 09:44:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704131", "2020-01-02 09:43:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704132", "2020-01-02 09:43:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704129", "2020-01-02 09:42:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704130", "2020-01-02 09:43:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704127", "2020-01-02 09:41:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704128", "2020-01-02 09:42:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704125", "2020-01-02 09:41:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704126", "2020-01-02 09:41:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704123", "2020-01-02 09:40:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704124", "2020-01-02 09:40:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704121", "2020-01-02 09:39:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704122", "2020-01-02 09:39:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704119", "2020-01-02 09:38:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704120", "2020-01-02 09:39:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704117", "2020-01-02 09:37:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704118", "2020-01-02 09:38:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704115", "2020-01-02 09:36:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704116", "2020-01-02 09:37:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704113", "2020-01-02 09:36:31", "/story.php", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1704114", "2020-01-02 09:36:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704112", "2020-01-02 09:36:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704110", "2020-01-02 09:35:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704111", "2020-01-02 09:35:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704108", "2020-01-02 09:34:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704109", "2020-01-02 09:34:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704106", "2020-01-02 09:33:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704107", "2020-01-02 09:33:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704104", "2020-01-02 09:32:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704105", "2020-01-02 09:33:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704102", "2020-01-02 09:31:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704103", "2020-01-02 09:32:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704100", "2020-01-02 09:30:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704101", "2020-01-02 09:31:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704099", "2020-01-02 09:30:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704098", "2020-01-02 09:30:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704097", "2020-01-02 09:29:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704096", "2020-01-02 09:29:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704095", "2020-01-02 09:28:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704094", "2020-01-02 09:28:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704093", "2020-01-02 09:27:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704092", "2020-01-02 09:27:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704091", "2020-01-02 09:27:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704090", "2020-01-02 09:26:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704089", "2020-01-02 09:26:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704088", "2020-01-02 09:25:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704086", "2020-01-02 09:24:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704087", "2020-01-02 09:25:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704085", "2020-01-02 09:24:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704084", "2020-01-02 09:23:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704083", "2020-01-02 09:23:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704082", "2020-01-02 09:23:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704081", "2020-01-02 09:22:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704080", "2020-01-02 09:22:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704079", "2020-01-02 09:21:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704078", "2020-01-02 09:21:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704077", "2020-01-02 09:20:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704076", "2020-01-02 09:20:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704075", "2020-01-02 09:19:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704074", "2020-01-02 09:19:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704073", "2020-01-02 09:19:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704072", "2020-01-02 09:18:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704071", "2020-01-02 09:18:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704070", "2020-01-02 09:18:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704069", "2020-01-02 09:17:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704068", "2020-01-02 09:16:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704067", "2020-01-02 09:16:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704066", "2020-01-02 09:16:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704064", "2020-01-02 09:15:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704065", "2020-01-02 09:15:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704063", "2020-01-02 09:14:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704062", "2020-01-02 09:14:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704061", "2020-01-02 09:14:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704060", "2020-01-02 09:13:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704059", "2020-01-02 09:12:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704058", "2020-01-02 09:12:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704057", "2020-01-02 09:12:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704056", "2020-01-02 09:11:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704055", "2020-01-02 09:11:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704054", "2020-01-02 09:10:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704053", "2020-01-02 09:10:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704052", "2020-01-02 09:10:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704051", "2020-01-02 09:09:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704050", "2020-01-02 09:08:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704049", "2020-01-02 09:08:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704048", "2020-01-02 09:08:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704047", "2020-01-02 09:07:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704046", "2020-01-02 09:07:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704045", "2020-01-02 09:07:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704044", "2020-01-02 09:06:35", "/pizza-recipes/bring-pizza-without-losing-taste-texture/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1704043", "2020-01-02 09:06:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704042", "2020-01-02 09:06:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704041", "2020-01-02 09:05:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704040", "2020-01-02 09:05:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704039", "2020-01-02 09:05:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704038", "2020-01-02 09:04:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704037", "2020-01-02 09:03:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704036", "2020-01-02 09:03:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704035", "2020-01-02 09:03:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704034", "2020-01-02 09:02:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704033", "2020-01-02 09:02:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704032", "2020-01-02 09:02:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704031", "2020-01-02 09:01:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704030", "2020-01-02 09:01:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704029", "2020-01-02 09:00:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704028", "2020-01-02 09:00:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704027", "2020-01-02 08:59:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704026", "2020-01-02 08:59:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704025", "2020-01-02 08:58:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704024", "2020-01-02 08:58:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704023", "2020-01-02 08:58:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704022", "2020-01-02 08:57:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704021", "2020-01-02 08:57:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704020", "2020-01-02 08:56:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704019", "2020-01-02 08:56:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704018", "2020-01-02 08:56:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704017", "2020-01-02 08:55:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704016", "2020-01-02 08:54:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704015", "2020-01-02 08:54:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704014", "2020-01-02 08:54:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704013", "2020-01-02 08:53:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704012", "2020-01-02 08:53:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704011", "2020-01-02 08:53:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704010", "2020-01-02 08:52:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704009", "2020-01-02 08:52:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704008", "2020-01-02 08:51:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704007", "2020-01-02 08:51:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704006", "2020-01-02 08:50:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704005", "2020-01-02 08:50:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704004", "2020-01-02 08:49:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704003", "2020-01-02 08:49:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704002", "2020-01-02 08:49:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704000", "2020-01-02 08:48:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1704001", "2020-01-02 08:48:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703999", "2020-01-02 08:47:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703998", "2020-01-02 08:47:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703997", "2020-01-02 08:46:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703995", "2020-01-02 08:46:15", "/tel:281-576-2825", NULL, NULL, "186226");
INSERT INTO `wp_redirection_404` VALUES("1703996", "2020-01-02 08:46:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703994", "2020-01-02 08:45:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703993", "2020-01-02 08:45:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703992", "2020-01-02 08:45:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703991", "2020-01-02 08:44:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703990", "2020-01-02 08:44:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703989", "2020-01-02 08:43:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703988", "2020-01-02 08:43:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703987", "2020-01-02 08:42:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703986", "2020-01-02 08:42:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703985", "2020-01-02 08:41:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703984", "2020-01-02 08:41:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703983", "2020-01-02 08:41:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703982", "2020-01-02 08:40:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703981", "2020-01-02 08:40:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703980", "2020-01-02 08:40:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703979", "2020-01-02 08:39:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703978", "2020-01-02 08:39:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703977", "2020-01-02 08:38:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703976", "2020-01-02 08:38:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703975", "2020-01-02 08:37:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703974", "2020-01-02 08:37:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703973", "2020-01-02 08:36:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703972", "2020-01-02 08:36:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703971", "2020-01-02 08:36:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703970", "2020-01-02 08:35:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703969", "2020-01-02 08:35:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703968", "2020-01-02 08:34:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703967", "2020-01-02 08:34:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703966", "2020-01-02 08:33:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703965", "2020-01-02 08:33:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703964", "2020-01-02 08:32:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703963", "2020-01-02 08:32:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703962", "2020-01-02 08:32:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703961", "2020-01-02 08:31:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703960", "2020-01-02 08:31:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703959", "2020-01-02 08:31:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687521", "2019-12-28 09:55:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687522", "2019-12-28 09:55:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687523", "2019-12-28 09:56:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687524", "2019-12-28 09:56:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687525", "2019-12-28 09:56:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687526", "2019-12-28 09:57:29", "/mcallen-tx/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1687527", "2019-12-28 09:57:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687528", "2019-12-28 09:57:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687529", "2019-12-28 09:57:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687530", "2019-12-28 09:58:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687531", "2019-12-28 09:58:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687532", "2019-12-28 09:58:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687533", "2019-12-28 09:59:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687534", "2019-12-28 09:59:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687535", "2019-12-28 09:59:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687536", "2019-12-28 10:01:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687537", "2019-12-28 10:01:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687538", "2019-12-28 10:01:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687539", "2019-12-28 10:02:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687540", "2019-12-28 10:02:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687541", "2019-12-28 10:02:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687542", "2019-12-28 10:03:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687543", "2019-12-28 10:03:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687544", "2019-12-28 10:03:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687545", "2019-12-28 10:04:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687546", "2019-12-28 10:04:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687547", "2019-12-28 10:05:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687548", "2019-12-28 10:05:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687549", "2019-12-28 10:06:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687550", "2019-12-28 10:06:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687551", "2019-12-28 10:07:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687552", "2019-12-28 10:07:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687553", "2019-12-28 10:07:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687554", "2019-12-28 10:08:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687555", "2019-12-28 10:08:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687556", "2019-12-28 10:08:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687557", "2019-12-28 10:09:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687558", "2019-12-28 10:09:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687559", "2019-12-28 10:09:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687560", "2019-12-28 10:10:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687561", "2019-12-28 10:10:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687562", "2019-12-28 10:10:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687563", "2019-12-28 10:11:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687564", "2019-12-28 10:11:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687565", "2019-12-28 10:11:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687566", "2019-12-28 10:12:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687567", "2019-12-28 10:12:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687568", "2019-12-28 10:12:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687569", "2019-12-28 10:13:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687570", "2019-12-28 10:13:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687571", "2019-12-28 10:14:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687572", "2019-12-28 10:14:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687573", "2019-12-28 10:14:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687574", "2019-12-28 10:15:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694252", "2019-12-30 09:19:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694251", "2019-12-30 09:19:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694250", "2019-12-30 09:18:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694249", "2019-12-30 09:18:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694248", "2019-12-30 09:18:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694247", "2019-12-30 09:18:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694246", "2019-12-30 09:18:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694245", "2019-12-30 09:17:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694244", "2019-12-30 09:17:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694243", "2019-12-30 09:17:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694242", "2019-12-30 09:17:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694241", "2019-12-30 09:17:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694240", "2019-12-30 09:16:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694239", "2019-12-30 09:16:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694238", "2019-12-30 09:16:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694237", "2019-12-30 09:16:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694236", "2019-12-30 09:16:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694235", "2019-12-30 09:15:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694234", "2019-12-30 09:15:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694233", "2019-12-30 09:15:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694232", "2019-12-30 09:15:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694231", "2019-12-30 09:15:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694230", "2019-12-30 09:14:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694229", "2019-12-30 09:14:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694228", "2019-12-30 09:14:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694227", "2019-12-30 09:14:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694226", "2019-12-30 09:14:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694225", "2019-12-30 09:14:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694224", "2019-12-30 09:13:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694223", "2019-12-30 09:13:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694222", "2019-12-30 09:13:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694221", "2019-12-30 09:13:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694220", "2019-12-30 09:13:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694219", "2019-12-30 09:13:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694218", "2019-12-30 09:12:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694217", "2019-12-30 09:12:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694216", "2019-12-30 09:12:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694215", "2019-12-30 09:11:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694214", "2019-12-30 09:11:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694213", "2019-12-30 09:11:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694212", "2019-12-30 09:11:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694211", "2019-12-30 09:11:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694210", "2019-12-30 09:11:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694209", "2019-12-30 09:10:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694208", "2019-12-30 09:10:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694207", "2019-12-30 09:10:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694206", "2019-12-30 09:09:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694205", "2019-12-30 09:09:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694204", "2019-12-30 09:09:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694203", "2019-12-30 09:09:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694202", "2019-12-30 09:09:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694201", "2019-12-30 09:08:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694200", "2019-12-30 09:08:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694199", "2019-12-30 09:08:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694198", "2019-12-30 09:08:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694197", "2019-12-30 09:07:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694196", "2019-12-30 09:07:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694195", "2019-12-30 09:07:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694194", "2019-12-30 09:06:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694193", "2019-12-30 09:06:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694192", "2019-12-30 09:06:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694191", "2019-12-30 09:06:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694190", "2019-12-30 09:06:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694189", "2019-12-30 09:05:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694188", "2019-12-30 09:05:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694187", "2019-12-30 09:05:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694186", "2019-12-30 09:05:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694185", "2019-12-30 09:04:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694184", "2019-12-30 09:04:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694183", "2019-12-30 09:04:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694182", "2019-12-30 09:03:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694181", "2019-12-30 09:03:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694180", "2019-12-30 09:03:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694179", "2019-12-30 09:03:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694178", "2019-12-30 09:03:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694177", "2019-12-30 09:02:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694176", "2019-12-30 09:02:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694175", "2019-12-30 09:02:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694174", "2019-12-30 09:02:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694173", "2019-12-30 09:01:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694172", "2019-12-30 09:01:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694171", "2019-12-30 09:01:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694170", "2019-12-30 09:00:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694169", "2019-12-30 09:00:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694168", "2019-12-30 09:00:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694167", "2019-12-30 09:00:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694166", "2019-12-30 09:00:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694165", "2019-12-30 08:59:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694164", "2019-12-30 08:59:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694163", "2019-12-30 08:59:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694162", "2019-12-30 08:58:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694161", "2019-12-30 08:58:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694160", "2019-12-30 08:58:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694159", "2019-12-30 08:58:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694158", "2019-12-30 08:57:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694157", "2019-12-30 08:57:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694156", "2019-12-30 08:57:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694155", "2019-12-30 08:56:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694154", "2019-12-30 08:56:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694153", "2019-12-30 08:56:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694152", "2019-12-30 08:56:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694151", "2019-12-30 08:55:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694150", "2019-12-30 08:55:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694149", "2019-12-30 08:55:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694148", "2019-12-30 08:55:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694147", "2019-12-30 08:54:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694146", "2019-12-30 08:54:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694145", "2019-12-30 08:54:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694144", "2019-12-30 08:54:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694143", "2019-12-30 08:53:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694142", "2019-12-30 08:53:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694141", "2019-12-30 08:53:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694140", "2019-12-30 08:53:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694139", "2019-12-30 08:52:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694138", "2019-12-30 08:52:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694137", "2019-12-30 08:52:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694136", "2019-12-30 08:52:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694135", "2019-12-30 08:51:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694134", "2019-12-30 08:51:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694133", "2019-12-30 08:51:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694132", "2019-12-30 08:51:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694131", "2019-12-30 08:50:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694130", "2019-12-30 08:50:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694129", "2019-12-30 08:50:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694128", "2019-12-30 08:50:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694127", "2019-12-30 08:49:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694126", "2019-12-30 08:49:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694125", "2019-12-30 08:49:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694124", "2019-12-30 08:48:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694123", "2019-12-30 08:48:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694122", "2019-12-30 08:48:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694121", "2019-12-30 08:47:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694120", "2019-12-30 08:47:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694119", "2019-12-30 08:47:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694118", "2019-12-30 08:47:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694117", "2019-12-30 08:46:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694116", "2019-12-30 08:46:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694115", "2019-12-30 08:46:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694114", "2019-12-30 08:46:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694113", "2019-12-30 08:46:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694112", "2019-12-30 08:45:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694111", "2019-12-30 08:45:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694110", "2019-12-30 08:45:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694109", "2019-12-30 08:44:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694108", "2019-12-30 08:44:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694107", "2019-12-30 08:44:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694106", "2019-12-30 08:43:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694105", "2019-12-30 08:43:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694104", "2019-12-30 08:43:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694103", "2019-12-30 08:42:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694102", "2019-12-30 08:42:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694101", "2019-12-30 08:42:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694100", "2019-12-30 08:41:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694099", "2019-12-30 08:41:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694098", "2019-12-30 08:41:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694097", "2019-12-30 08:41:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694096", "2019-12-30 08:40:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694095", "2019-12-30 08:40:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694094", "2019-12-30 08:40:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694093", "2019-12-30 08:40:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694092", "2019-12-30 08:39:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694091", "2019-12-30 08:39:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694090", "2019-12-30 08:39:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694089", "2019-12-30 08:39:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694088", "2019-12-30 08:38:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694087", "2019-12-30 08:38:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694086", "2019-12-30 08:38:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694085", "2019-12-30 08:37:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694084", "2019-12-30 08:37:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694083", "2019-12-30 08:37:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694082", "2019-12-30 08:36:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694081", "2019-12-30 08:36:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694080", "2019-12-30 08:36:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694079", "2019-12-30 08:35:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694078", "2019-12-30 08:35:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694077", "2019-12-30 08:35:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694076", "2019-12-30 08:34:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694075", "2019-12-30 08:34:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694074", "2019-12-30 08:34:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694073", "2019-12-30 08:33:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694072", "2019-12-30 08:33:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694071", "2019-12-30 08:33:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694070", "2019-12-30 08:32:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694069", "2019-12-30 08:32:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694068", "2019-12-30 08:32:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694067", "2019-12-30 08:32:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694066", "2019-12-30 08:31:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694065", "2019-12-30 08:31:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694064", "2019-12-30 08:31:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694063", "2019-12-30 08:30:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694062", "2019-12-30 08:30:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694061", "2019-12-30 08:30:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694060", "2019-12-30 08:30:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694059", "2019-12-30 08:29:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694058", "2019-12-30 08:29:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694057", "2019-12-30 08:29:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694056", "2019-12-30 08:29:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694055", "2019-12-30 08:28:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694054", "2019-12-30 08:28:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694053", "2019-12-30 08:28:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694052", "2019-12-30 08:27:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694051", "2019-12-30 08:27:20", "/g;m.parentNode.insertBefore", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/69.0.3497.100 Safari/537.36", "http://buckspizza.com/", "9910");
INSERT INTO `wp_redirection_404` VALUES("1694050", "2019-12-30 08:27:20", "/a,c.defer=c.type=", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/69.0.3497.100 Safari/537.36", "http://buckspizza.com/", "9910");
INSERT INTO `wp_redirection_404` VALUES("1694049", "2019-12-30 08:27:20", "/about/a,c.defer=c.type=", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/69.0.3497.100 Safari/537.36", "http://buckspizza.com/", "9910");
INSERT INTO `wp_redirection_404` VALUES("1694048", "2019-12-30 08:27:20", "/about/g;m.parentNode.insertBefore", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/69.0.3497.100 Safari/537.36", "http://buckspizza.com/", "9910");
INSERT INTO `wp_redirection_404` VALUES("1694047", "2019-12-30 08:27:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694046", "2019-12-30 08:26:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694045", "2019-12-30 08:26:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694044", "2019-12-30 08:26:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694043", "2019-12-30 08:25:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694042", "2019-12-30 08:25:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694041", "2019-12-30 08:25:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694040", "2019-12-30 08:24:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694039", "2019-12-30 08:24:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694038", "2019-12-30 08:23:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694037", "2019-12-30 08:23:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694036", "2019-12-30 08:23:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694035", "2019-12-30 08:23:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694034", "2019-12-30 08:22:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694033", "2019-12-30 08:22:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694032", "2019-12-30 08:22:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694030", "2019-12-30 08:21:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694031", "2019-12-30 08:21:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694029", "2019-12-30 08:21:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694028", "2019-12-30 08:20:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694027", "2019-12-30 08:20:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694026", "2019-12-30 08:20:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694025", "2019-12-30 08:19:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694024", "2019-12-30 08:19:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694022", "2019-12-30 08:18:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694023", "2019-12-30 08:19:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694021", "2019-12-30 08:18:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694020", "2019-12-30 08:18:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694019", "2019-12-30 08:17:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694018", "2019-12-30 08:17:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694017", "2019-12-30 08:17:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694016", "2019-12-30 08:16:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694015", "2019-12-30 08:16:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694014", "2019-12-30 08:16:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694013", "2019-12-30 08:15:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694012", "2019-12-30 08:15:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694011", "2019-12-30 08:15:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694010", "2019-12-30 08:14:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694009", "2019-12-30 08:14:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694008", "2019-12-30 08:14:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694007", "2019-12-30 08:13:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694006", "2019-12-30 08:13:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694005", "2019-12-30 08:13:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694004", "2019-12-30 08:12:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694003", "2019-12-30 08:12:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694002", "2019-12-30 08:12:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694001", "2019-12-30 08:11:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694000", "2019-12-30 08:11:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693999", "2019-12-30 08:11:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693998", "2019-12-30 08:10:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693997", "2019-12-30 08:10:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693996", "2019-12-30 08:10:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693995", "2019-12-30 08:09:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693994", "2019-12-30 08:09:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693993", "2019-12-30 08:09:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693992", "2019-12-30 08:08:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693991", "2019-12-30 08:08:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693990", "2019-12-30 08:08:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693989", "2019-12-30 08:07:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693988", "2019-12-30 08:07:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693987", "2019-12-30 08:07:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693986", "2019-12-30 08:06:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693985", "2019-12-30 08:06:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693984", "2019-12-30 08:05:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693983", "2019-12-30 08:05:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693982", "2019-12-30 08:05:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693981", "2019-12-30 08:04:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693980", "2019-12-30 08:04:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693979", "2019-12-30 08:04:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693978", "2019-12-30 08:03:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693977", "2019-12-30 08:03:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693976", "2019-12-30 08:03:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693975", "2019-12-30 08:02:40", "/cache/search.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/73.0.3683.103 Safari/537.36", NULL, "193106");
INSERT INTO `wp_redirection_404` VALUES("1693974", "2019-12-30 08:02:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693973", "2019-12-30 08:02:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693972", "2019-12-30 08:01:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693971", "2019-12-30 08:01:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693970", "2019-12-30 08:01:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693969", "2019-12-30 08:00:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693968", "2019-12-30 08:00:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693967", "2019-12-30 08:00:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693966", "2019-12-30 07:59:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693965", "2019-12-30 07:59:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693964", "2019-12-30 07:58:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693963", "2019-12-30 07:58:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693962", "2019-12-30 07:58:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693961", "2019-12-30 07:57:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693960", "2019-12-30 07:57:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693959", "2019-12-30 07:57:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693958", "2019-12-30 07:56:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693957", "2019-12-30 07:56:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693956", "2019-12-30 07:56:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693955", "2019-12-30 07:55:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693954", "2019-12-30 07:55:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693953", "2019-12-30 07:55:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693952", "2019-12-30 07:54:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693951", "2019-12-30 07:54:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693950", "2019-12-30 07:54:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693949", "2019-12-30 07:53:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693948", "2019-12-30 07:53:25", "/2015/11/11/how-host-perfect-family-movie-night-home/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1693947", "2019-12-30 07:53:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693946", "2019-12-30 07:53:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693945", "2019-12-30 07:52:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693944", "2019-12-30 07:52:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693943", "2019-12-30 07:51:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693942", "2019-12-30 07:51:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693941", "2019-12-30 07:51:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693940", "2019-12-30 07:50:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693939", "2019-12-30 07:50:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693938", "2019-12-30 07:50:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693937", "2019-12-30 07:49:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693936", "2019-12-30 07:49:35", "/franchise/menus/f8a0cc91735eb2c8dc02a65219d5a472.pdf", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1693935", "2019-12-30 07:49:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693934", "2019-12-30 07:49:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693933", "2019-12-30 07:48:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693932", "2019-12-30 07:48:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693931", "2019-12-30 07:48:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693930", "2019-12-30 07:47:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693929", "2019-12-30 07:47:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693928", "2019-12-30 07:46:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693927", "2019-12-30 07:46:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693926", "2019-12-30 07:46:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693925", "2019-12-30 07:45:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693924", "2019-12-30 07:45:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693923", "2019-12-30 07:45:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693922", "2019-12-30 07:44:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693921", "2019-12-30 07:44:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693920", "2019-12-30 07:44:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693919", "2019-12-30 07:43:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693918", "2019-12-30 07:42:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693917", "2019-12-30 07:42:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693916", "2019-12-30 07:42:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693915", "2019-12-30 07:41:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693914", "2019-12-30 07:41:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693913", "2019-12-30 07:40:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693912", "2019-12-30 07:40:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693911", "2019-12-30 07:40:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693910", "2019-12-30 07:39:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693909", "2019-12-30 07:39:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693908", "2019-12-30 07:39:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693907", "2019-12-30 07:38:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693906", "2019-12-30 07:38:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693905", "2019-12-30 07:38:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693904", "2019-12-30 07:38:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693903", "2019-12-30 07:37:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693902", "2019-12-30 07:37:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693901", "2019-12-30 07:37:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693900", "2019-12-30 07:37:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693899", "2019-12-30 07:36:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693898", "2019-12-30 07:36:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693897", "2019-12-30 07:36:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693896", "2019-12-30 07:35:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693895", "2019-12-30 07:35:51", "/router.php", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "3999");
INSERT INTO `wp_redirection_404` VALUES("1693894", "2019-12-30 07:35:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693892", "2019-12-30 07:34:56", "/th1s_1s_a_4o4.html", "SiteLockSpider [en] (WinNT; I ;Nav)", NULL, "184154");
INSERT INTO `wp_redirection_404` VALUES("1693893", "2019-12-30 07:35:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693891", "2019-12-30 07:34:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693890", "2019-12-30 07:34:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693889", "2019-12-30 07:34:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693888", "2019-12-30 07:33:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693887", "2019-12-30 07:33:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693886", "2019-12-30 07:33:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693885", "2019-12-30 07:32:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693884", "2019-12-30 07:32:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693883", "2019-12-30 07:32:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693882", "2019-12-30 07:31:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693881", "2019-12-30 07:31:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693880", "2019-12-30 07:31:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693879", "2019-12-30 07:30:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693878", "2019-12-30 07:30:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693877", "2019-12-30 07:29:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693876", "2019-12-30 07:29:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693875", "2019-12-30 07:29:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693874", "2019-12-30 07:28:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693873", "2019-12-30 07:28:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693872", "2019-12-30 07:28:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693871", "2019-12-30 07:27:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693870", "2019-12-30 07:27:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693869", "2019-12-30 07:27:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693868", "2019-12-30 07:26:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693867", "2019-12-30 07:26:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693866", "2019-12-30 07:26:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693865", "2019-12-30 07:25:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693864", "2019-12-30 07:25:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693863", "2019-12-30 07:25:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693862", "2019-12-30 07:24:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693861", "2019-12-30 07:24:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693860", "2019-12-30 07:23:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693859", "2019-12-30 07:23:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693858", "2019-12-30 07:23:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693857", "2019-12-30 07:22:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693856", "2019-12-30 07:22:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693855", "2019-12-30 07:22:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693854", "2019-12-30 07:21:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693853", "2019-12-30 07:21:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693852", "2019-12-30 07:21:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693851", "2019-12-30 07:20:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693850", "2019-12-30 07:20:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693849", "2019-12-30 07:20:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693848", "2019-12-30 07:19:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693847", "2019-12-30 07:19:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693846", "2019-12-30 07:19:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693845", "2019-12-30 07:18:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693844", "2019-12-30 07:18:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693843", "2019-12-30 07:18:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693842", "2019-12-30 07:17:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693841", "2019-12-30 07:17:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693840", "2019-12-30 07:17:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693839", "2019-12-30 07:16:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693838", "2019-12-30 07:16:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693837", "2019-12-30 07:16:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693836", "2019-12-30 07:15:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693835", "2019-12-30 07:15:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693834", "2019-12-30 07:15:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693833", "2019-12-30 07:14:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693832", "2019-12-30 07:14:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693830", "2019-12-30 07:13:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693831", "2019-12-30 07:14:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693829", "2019-12-30 07:13:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693828", "2019-12-30 07:12:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693827", "2019-12-30 07:12:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693826", "2019-12-30 07:12:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693824", "2019-12-30 07:11:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693825", "2019-12-30 07:11:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693822", "2019-12-30 07:10:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693823", "2019-12-30 07:11:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693821", "2019-12-30 07:10:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693820", "2019-12-30 07:10:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693818", "2019-12-30 07:09:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693819", "2019-12-30 07:09:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693816", "2019-12-30 07:08:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693817", "2019-12-30 07:09:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693815", "2019-12-30 07:08:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693814", "2019-12-30 07:07:52", "/signup.php", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", "http://buckspizza.com/", "112111");
INSERT INTO `wp_redirection_404` VALUES("1693813", "2019-12-30 07:07:49", "/join.php", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", NULL, "112111");
INSERT INTO `wp_redirection_404` VALUES("1693811", "2019-12-30 07:07:45", "/account/register.php", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", "http://buckspizza.com/", "112111");
INSERT INTO `wp_redirection_404` VALUES("1693812", "2019-12-30 07:07:48", "/signup", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", "http://buckspizza.com/", "112111");
INSERT INTO `wp_redirection_404` VALUES("1693810", "2019-12-30 07:07:44", "/member/index_do.php?fmdo=user&dopost=regnew", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", "http://buckspizza.com/", "112111");
INSERT INTO `wp_redirection_404` VALUES("1693809", "2019-12-30 07:07:42", "/signup.php", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", NULL, "112111");
INSERT INTO `wp_redirection_404` VALUES("1693807", "2019-12-30 07:07:36", "/signup.php", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", NULL, "112111");
INSERT INTO `wp_redirection_404` VALUES("1693808", "2019-12-30 07:07:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693805", "2019-12-30 07:07:32", "/reg.asp", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", NULL, "112111");
INSERT INTO `wp_redirection_404` VALUES("1693806", "2019-12-30 07:07:35", "/bokeindex.asp", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", NULL, "112111");
INSERT INTO `wp_redirection_404` VALUES("1693803", "2019-12-30 07:07:30", "/member/reg.php", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", NULL, "112111");
INSERT INTO `wp_redirection_404` VALUES("1693804", "2019-12-30 07:07:31", "/login.php?action=quit", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", NULL, "112111");
INSERT INTO `wp_redirection_404` VALUES("1693802", "2019-12-30 07:07:29", "/register/", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", "http://buckspizza.com/", "112111");
INSERT INTO `wp_redirection_404` VALUES("1693801", "2019-12-30 07:07:28", "/sign_up.html", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", "http://buckspizza.com/", "112111");
INSERT INTO `wp_redirection_404` VALUES("1693799", "2019-12-30 07:07:17", "/login.php", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", NULL, "112111");
INSERT INTO `wp_redirection_404` VALUES("1693800", "2019-12-30 07:07:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693798", "2019-12-30 07:07:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693797", "2019-12-30 07:07:12", "/account/signup/?login_provider=local", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", "http://buckspizza.com/account/signup/?login_provider=local", "112111");
INSERT INTO `wp_redirection_404` VALUES("1693796", "2019-12-30 07:07:11", "/account/signup/?login_provider=local", "Mozilla/5.0 (Windows NT 6.1; rv:26.0) Gecko/20100101 Firefox/26.0", "http://buckspizza.com/account/signup/?login_provider=local", "112111");
INSERT INTO `wp_redirection_404` VALUES("1693795", "2019-12-30 07:06:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693794", "2019-12-30 07:06:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693793", "2019-12-30 07:06:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693792", "2019-12-30 07:05:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693791", "2019-12-30 07:05:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693790", "2019-12-30 07:05:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693789", "2019-12-30 07:04:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693788", "2019-12-30 07:04:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693787", "2019-12-30 07:04:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693786", "2019-12-30 07:03:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693785", "2019-12-30 07:03:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693784", "2019-12-30 07:02:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693783", "2019-12-30 07:02:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693782", "2019-12-30 07:02:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693781", "2019-12-30 07:01:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693780", "2019-12-30 07:01:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693779", "2019-12-30 07:01:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693778", "2019-12-30 07:00:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693777", "2019-12-30 07:00:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693776", "2019-12-30 07:00:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693775", "2019-12-30 06:59:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693774", "2019-12-30 06:59:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693773", "2019-12-30 06:59:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693772", "2019-12-30 06:58:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693771", "2019-12-30 06:57:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693770", "2019-12-30 06:57:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693769", "2019-12-30 06:56:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693768", "2019-12-30 06:56:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693767", "2019-12-30 06:56:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693766", "2019-12-30 06:55:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693765", "2019-12-30 06:55:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693764", "2019-12-30 06:55:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693763", "2019-12-30 06:54:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693762", "2019-12-30 06:54:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693761", "2019-12-30 06:54:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693760", "2019-12-30 06:53:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693759", "2019-12-30 06:53:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693758", "2019-12-30 06:53:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693757", "2019-12-30 06:52:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693756", "2019-12-30 06:52:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693755", "2019-12-30 06:52:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693754", "2019-12-30 06:51:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693753", "2019-12-30 06:51:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693752", "2019-12-30 06:51:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693751", "2019-12-30 06:50:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693750", "2019-12-30 06:50:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693749", "2019-12-30 06:50:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693748", "2019-12-30 06:49:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693747", "2019-12-30 06:49:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693746", "2019-12-30 06:49:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693745", "2019-12-30 06:48:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693744", "2019-12-30 06:47:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693743", "2019-12-30 06:47:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693742", "2019-12-30 06:47:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693741", "2019-12-30 06:46:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693740", "2019-12-30 06:46:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693739", "2019-12-30 06:46:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693738", "2019-12-30 06:45:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693737", "2019-12-30 06:45:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693736", "2019-12-30 06:45:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693735", "2019-12-30 06:44:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693734", "2019-12-30 06:44:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693733", "2019-12-30 06:44:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693732", "2019-12-30 06:43:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693731", "2019-12-30 06:43:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693730", "2019-12-30 06:43:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693729", "2019-12-30 06:42:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693728", "2019-12-30 06:42:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693727", "2019-12-30 06:42:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693726", "2019-12-30 06:41:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693725", "2019-12-30 06:41:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693724", "2019-12-30 06:41:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693723", "2019-12-30 06:39:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693722", "2019-12-30 06:39:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693721", "2019-12-30 06:39:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693720", "2019-12-30 06:38:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693719", "2019-12-30 06:38:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693718", "2019-12-30 06:38:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693717", "2019-12-30 06:37:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693716", "2019-12-30 06:37:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693715", "2019-12-30 06:37:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693714", "2019-12-30 06:36:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693713", "2019-12-30 06:36:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693712", "2019-12-30 06:36:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693711", "2019-12-30 06:35:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693710", "2019-12-30 06:35:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693709", "2019-12-30 06:35:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693708", "2019-12-30 06:34:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693707", "2019-12-30 06:34:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693706", "2019-12-30 06:34:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693705", "2019-12-30 06:33:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693704", "2019-12-30 06:33:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693703", "2019-12-30 06:33:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693702", "2019-12-30 06:32:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693701", "2019-12-30 06:32:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693700", "2019-12-30 06:32:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693699", "2019-12-30 06:31:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693698", "2019-12-30 06:31:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693697", "2019-12-30 06:31:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693696", "2019-12-30 06:30:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693695", "2019-12-30 06:30:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693694", "2019-12-30 06:30:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693693", "2019-12-30 06:29:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693692", "2019-12-30 06:29:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693691", "2019-12-30 06:28:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693690", "2019-12-30 06:28:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693689", "2019-12-30 06:28:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693688", "2019-12-30 06:27:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693687", "2019-12-30 06:27:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693686", "2019-12-30 06:27:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693685", "2019-12-30 06:26:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693684", "2019-12-30 06:26:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693683", "2019-12-30 06:26:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693682", "2019-12-30 06:25:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693681", "2019-12-30 06:25:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693680", "2019-12-30 06:25:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693679", "2019-12-30 06:24:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693678", "2019-12-30 06:24:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693677", "2019-12-30 06:24:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693676", "2019-12-30 06:23:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693675", "2019-12-30 06:23:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693674", "2019-12-30 06:23:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693673", "2019-12-30 06:22:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693672", "2019-12-30 06:22:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693671", "2019-12-30 06:21:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693670", "2019-12-30 06:21:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693669", "2019-12-30 06:20:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693668", "2019-12-30 06:20:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693667", "2019-12-30 06:20:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693666", "2019-12-30 06:19:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693665", "2019-12-30 06:19:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693664", "2019-12-30 06:19:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693663", "2019-12-30 06:18:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693662", "2019-12-30 06:18:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693661", "2019-12-30 06:18:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693660", "2019-12-30 06:17:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693659", "2019-12-30 06:17:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693658", "2019-12-30 06:17:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693657", "2019-12-30 06:16:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693656", "2019-12-30 06:16:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693655", "2019-12-30 06:16:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693654", "2019-12-30 06:15:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693653", "2019-12-30 06:15:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693652", "2019-12-30 06:15:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693651", "2019-12-30 06:14:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693650", "2019-12-30 06:14:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693649", "2019-12-30 06:13:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693648", "2019-12-30 06:13:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693647", "2019-12-30 06:13:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693646", "2019-12-30 06:12:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693645", "2019-12-30 06:12:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693644", "2019-12-30 06:12:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693643", "2019-12-30 06:11:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693642", "2019-12-30 06:11:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693641", "2019-12-30 06:11:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693640", "2019-12-30 06:10:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693639", "2019-12-30 06:10:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693638", "2019-12-30 06:10:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693637", "2019-12-30 06:09:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693636", "2019-12-30 06:09:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693635", "2019-12-30 06:08:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693634", "2019-12-30 06:08:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693633", "2019-12-30 06:07:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693632", "2019-12-30 06:07:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693631", "2019-12-30 06:07:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693630", "2019-12-30 06:06:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693629", "2019-12-30 06:06:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693628", "2019-12-30 06:05:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693627", "2019-12-30 06:05:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693626", "2019-12-30 06:05:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693625", "2019-12-30 06:04:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693624", "2019-12-30 06:04:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693623", "2019-12-30 06:04:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693622", "2019-12-30 06:03:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693621", "2019-12-30 06:03:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693620", "2019-12-30 06:03:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693619", "2019-12-30 06:02:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693618", "2019-12-30 06:02:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693617", "2019-12-30 06:02:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693616", "2019-12-30 06:01:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693615", "2019-12-30 06:01:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693614", "2019-12-30 06:00:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693613", "2019-12-30 06:00:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693612", "2019-12-30 06:00:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693611", "2019-12-30 05:59:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693610", "2019-12-30 05:59:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693609", "2019-12-30 05:59:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693608", "2019-12-30 05:58:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693607", "2019-12-30 05:58:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693606", "2019-12-30 05:58:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693605", "2019-12-30 05:57:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693604", "2019-12-30 05:57:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693603", "2019-12-30 05:56:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693602", "2019-12-30 05:56:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693601", "2019-12-30 05:56:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693600", "2019-12-30 05:55:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693599", "2019-12-30 05:55:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693598", "2019-12-30 05:55:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693597", "2019-12-30 05:54:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693596", "2019-12-30 05:54:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693595", "2019-12-30 05:54:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693594", "2019-12-30 05:53:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693593", "2019-12-30 05:53:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693592", "2019-12-30 05:52:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693591", "2019-12-30 05:52:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693590", "2019-12-30 05:51:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693589", "2019-12-30 05:51:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693588", "2019-12-30 05:50:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693587", "2019-12-30 05:50:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693586", "2019-12-30 05:50:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693585", "2019-12-30 05:49:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693584", "2019-12-30 05:49:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693583", "2019-12-30 05:49:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693582", "2019-12-30 05:48:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693581", "2019-12-30 05:48:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693580", "2019-12-30 05:48:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693579", "2019-12-30 05:47:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693578", "2019-12-30 05:47:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693577", "2019-12-30 05:46:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693576", "2019-12-30 05:46:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693575", "2019-12-30 05:45:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693574", "2019-12-30 05:45:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693573", "2019-12-30 05:44:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693572", "2019-12-30 05:44:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693570", "2019-12-30 05:43:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693571", "2019-12-30 05:44:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693569", "2019-12-30 05:43:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693568", "2019-12-30 05:43:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693567", "2019-12-30 05:42:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693566", "2019-12-30 05:42:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693565", "2019-12-30 05:42:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693564", "2019-12-30 05:41:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693563", "2019-12-30 05:41:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693562", "2019-12-30 05:40:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693561", "2019-12-30 05:40:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693560", "2019-12-30 05:40:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693559", "2019-12-30 05:39:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693558", "2019-12-30 05:39:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693557", "2019-12-30 05:38:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693556", "2019-12-30 05:38:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693555", "2019-12-30 05:38:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693554", "2019-12-30 05:37:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693553", "2019-12-30 05:37:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693552", "2019-12-30 05:36:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693551", "2019-12-30 05:36:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693550", "2019-12-30 05:36:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693549", "2019-12-30 05:36:16", "/info.php", "Mozilla/5.0 (Linux; Android 6.0.1; Nexus 5X Build/MMB29P) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.96 Mobile Safari/537.36 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693548", "2019-12-30 05:35:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693547", "2019-12-30 05:35:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693546", "2019-12-30 05:35:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693545", "2019-12-30 05:34:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693544", "2019-12-30 05:34:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693543", "2019-12-30 05:34:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693542", "2019-12-30 05:33:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693541", "2019-12-30 05:33:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693540", "2019-12-30 05:32:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693539", "2019-12-30 05:32:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693538", "2019-12-30 05:31:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693537", "2019-12-30 05:31:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693536", "2019-12-30 05:31:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693535", "2019-12-30 05:30:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693534", "2019-12-30 05:30:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693533", "2019-12-30 05:30:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693532", "2019-12-30 05:29:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693531", "2019-12-30 05:29:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693530", "2019-12-30 05:29:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693529", "2019-12-30 05:28:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693528", "2019-12-30 05:27:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693527", "2019-12-30 05:27:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693526", "2019-12-30 05:27:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693525", "2019-12-30 05:26:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693524", "2019-12-30 05:26:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693523", "2019-12-30 05:26:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693522", "2019-12-30 05:25:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693521", "2019-12-30 05:25:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693520", "2019-12-30 05:24:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693519", "2019-12-30 05:24:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693518", "2019-12-30 05:24:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693517", "2019-12-30 05:23:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693516", "2019-12-30 05:23:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693515", "2019-12-30 05:23:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693514", "2019-12-30 05:22:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693513", "2019-12-30 05:22:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693512", "2019-12-30 05:22:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693511", "2019-12-30 05:22:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693510", "2019-12-30 05:21:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693509", "2019-12-30 05:21:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693508", "2019-12-30 05:21:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693507", "2019-12-30 05:20:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693506", "2019-12-30 05:20:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693505", "2019-12-30 05:19:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693504", "2019-12-30 05:19:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693503", "2019-12-30 05:18:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693502", "2019-12-30 05:18:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693501", "2019-12-30 05:17:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693500", "2019-12-30 05:17:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693499", "2019-12-30 05:17:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693498", "2019-12-30 05:16:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693497", "2019-12-30 05:16:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693496", "2019-12-30 05:16:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693495", "2019-12-30 05:15:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693494", "2019-12-30 05:15:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693493", "2019-12-30 05:15:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693492", "2019-12-30 05:14:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693491", "2019-12-30 05:14:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693490", "2019-12-30 05:14:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693489", "2019-12-30 05:13:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693488", "2019-12-30 05:13:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693487", "2019-12-30 05:13:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693486", "2019-12-30 05:12:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693485", "2019-12-30 05:11:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693484", "2019-12-30 05:11:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693483", "2019-12-30 05:10:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693482", "2019-12-30 05:10:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693481", "2019-12-30 05:10:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693480", "2019-12-30 05:09:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693479", "2019-12-30 05:09:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693478", "2019-12-30 05:09:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693477", "2019-12-30 05:08:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693476", "2019-12-30 05:08:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693475", "2019-12-30 05:07:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693474", "2019-12-30 05:07:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693473", "2019-12-30 05:07:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693472", "2019-12-30 05:06:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693471", "2019-12-30 05:06:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693470", "2019-12-30 05:06:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693469", "2019-12-30 05:05:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693468", "2019-12-30 05:05:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693467", "2019-12-30 05:05:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693466", "2019-12-30 05:04:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693465", "2019-12-30 05:04:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693464", "2019-12-30 05:03:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693463", "2019-12-30 05:03:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693462", "2019-12-30 05:02:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693461", "2019-12-30 05:02:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693460", "2019-12-30 05:01:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693459", "2019-12-30 05:01:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693458", "2019-12-30 05:01:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693457", "2019-12-30 05:00:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693456", "2019-12-30 05:00:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693455", "2019-12-30 05:00:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693454", "2019-12-30 04:59:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693453", "2019-12-30 04:59:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693452", "2019-12-30 04:58:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693451", "2019-12-30 04:58:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693450", "2019-12-30 04:58:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693449", "2019-12-30 04:57:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693448", "2019-12-30 04:57:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693447", "2019-12-30 04:56:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693446", "2019-12-30 04:56:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693445", "2019-12-30 04:56:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693444", "2019-12-30 04:55:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693443", "2019-12-30 04:55:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693442", "2019-12-30 04:55:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693441", "2019-12-30 04:54:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693440", "2019-12-30 04:54:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693439", "2019-12-30 04:54:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693438", "2019-12-30 04:53:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693437", "2019-12-30 04:53:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693436", "2019-12-30 04:52:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693435", "2019-12-30 04:52:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693434", "2019-12-30 04:51:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693433", "2019-12-30 04:51:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693432", "2019-12-30 04:51:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693431", "2019-12-30 04:50:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693430", "2019-12-30 04:50:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693429", "2019-12-30 04:50:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693428", "2019-12-30 04:49:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693427", "2019-12-30 04:49:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693426", "2019-12-30 04:49:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693425", "2019-12-30 04:48:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693424", "2019-12-30 04:48:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693423", "2019-12-30 04:47:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693422", "2019-12-30 04:47:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693421", "2019-12-30 04:47:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693420", "2019-12-30 04:47:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693419", "2019-12-30 04:46:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693418", "2019-12-30 04:46:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693417", "2019-12-30 04:46:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693416", "2019-12-30 04:45:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693415", "2019-12-30 04:45:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693414", "2019-12-30 04:45:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693413", "2019-12-30 04:44:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693412", "2019-12-30 04:44:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693411", "2019-12-30 04:44:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693410", "2019-12-30 04:43:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693409", "2019-12-30 04:43:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693408", "2019-12-30 04:43:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693407", "2019-12-30 04:42:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693406", "2019-12-30 04:42:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693405", "2019-12-30 04:42:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693404", "2019-12-30 04:41:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693403", "2019-12-30 04:41:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693402", "2019-12-30 04:41:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693401", "2019-12-30 04:40:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693400", "2019-12-30 04:40:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693399", "2019-12-30 04:40:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693398", "2019-12-30 04:39:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693397", "2019-12-30 04:39:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693396", "2019-12-30 04:39:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693395", "2019-12-30 04:38:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693394", "2019-12-30 04:38:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693393", "2019-12-30 04:38:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693392", "2019-12-30 04:37:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693391", "2019-12-30 04:37:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693390", "2019-12-30 04:37:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693389", "2019-12-30 04:36:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693388", "2019-12-30 04:36:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693387", "2019-12-30 04:36:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693386", "2019-12-30 04:35:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693385", "2019-12-30 04:35:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693384", "2019-12-30 04:34:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693383", "2019-12-30 04:34:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693382", "2019-12-30 04:34:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693381", "2019-12-30 04:33:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693380", "2019-12-30 04:33:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693379", "2019-12-30 04:33:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693378", "2019-12-30 04:32:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693377", "2019-12-30 04:32:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693376", "2019-12-30 04:32:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693375", "2019-12-30 04:31:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693374", "2019-12-30 04:31:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693373", "2019-12-30 04:31:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693372", "2019-12-30 04:30:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693371", "2019-12-30 04:30:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693370", "2019-12-30 04:30:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693369", "2019-12-30 04:29:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693368", "2019-12-30 04:29:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693367", "2019-12-30 04:28:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693366", "2019-12-30 04:28:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693365", "2019-12-30 04:27:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693364", "2019-12-30 04:27:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693363", "2019-12-30 04:27:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693362", "2019-12-30 04:26:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693361", "2019-12-30 04:26:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693360", "2019-12-30 04:26:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693359", "2019-12-30 04:25:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693358", "2019-12-30 04:25:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693357", "2019-12-30 04:25:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693356", "2019-12-30 04:24:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693355", "2019-12-30 04:24:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693354", "2019-12-30 04:24:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693353", "2019-12-30 04:23:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693352", "2019-12-30 04:23:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693351", "2019-12-30 04:23:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693350", "2019-12-30 04:22:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693349", "2019-12-30 04:22:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693348", "2019-12-30 04:22:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693347", "2019-12-30 04:21:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693346", "2019-12-30 04:21:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693345", "2019-12-30 04:21:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693344", "2019-12-30 04:20:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693343", "2019-12-30 04:20:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693342", "2019-12-30 04:19:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693341", "2019-12-30 04:19:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693340", "2019-12-30 04:18:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693339", "2019-12-30 04:18:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693338", "2019-12-30 04:18:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693337", "2019-12-30 04:17:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693336", "2019-12-30 04:17:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693335", "2019-12-30 04:17:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693334", "2019-12-30 04:16:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693333", "2019-12-30 04:16:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693332", "2019-12-30 04:16:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693331", "2019-12-30 04:15:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693330", "2019-12-30 04:15:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693329", "2019-12-30 04:15:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693328", "2019-12-30 04:14:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693327", "2019-12-30 04:14:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693326", "2019-12-30 04:14:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693325", "2019-12-30 04:13:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693324", "2019-12-30 04:13:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693323", "2019-12-30 04:13:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693322", "2019-12-30 04:12:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693321", "2019-12-30 04:12:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693320", "2019-12-30 04:12:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693319", "2019-12-30 04:11:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693318", "2019-12-30 04:11:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693317", "2019-12-30 04:11:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693316", "2019-12-30 04:10:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693315", "2019-12-30 04:10:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693314", "2019-12-30 04:10:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693313", "2019-12-30 04:09:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693312", "2019-12-30 04:09:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693311", "2019-12-30 04:09:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693310", "2019-12-30 04:08:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693309", "2019-12-30 04:08:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693308", "2019-12-30 04:08:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693307", "2019-12-30 04:07:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693306", "2019-12-30 04:07:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693305", "2019-12-30 04:06:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693304", "2019-12-30 04:06:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693303", "2019-12-30 04:06:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693302", "2019-12-30 04:05:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693301", "2019-12-30 04:05:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693300", "2019-12-30 04:05:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693299", "2019-12-30 04:04:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693298", "2019-12-30 04:04:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693297", "2019-12-30 04:04:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693296", "2019-12-30 04:03:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693295", "2019-12-30 04:03:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693294", "2019-12-30 04:03:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693293", "2019-12-30 04:02:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693292", "2019-12-30 04:02:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693291", "2019-12-30 04:02:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693290", "2019-12-30 04:01:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693289", "2019-12-30 04:01:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693288", "2019-12-30 04:01:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693287", "2019-12-30 04:00:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693286", "2019-12-30 04:00:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693285", "2019-12-30 03:59:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693284", "2019-12-30 03:59:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693283", "2019-12-30 03:59:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693282", "2019-12-30 03:58:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693281", "2019-12-30 03:58:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693280", "2019-12-30 03:58:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693279", "2019-12-30 03:57:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693278", "2019-12-30 03:56:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693277", "2019-12-30 03:56:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693276", "2019-12-30 03:56:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693275", "2019-12-30 03:55:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693274", "2019-12-30 03:55:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693273", "2019-12-30 03:55:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693272", "2019-12-30 03:54:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693271", "2019-12-30 03:54:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693270", "2019-12-30 03:54:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693269", "2019-12-30 03:53:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693268", "2019-12-30 03:53:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693267", "2019-12-30 03:53:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693266", "2019-12-30 03:52:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693265", "2019-12-30 03:52:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693264", "2019-12-30 03:51:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693263", "2019-12-30 03:51:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693262", "2019-12-30 03:50:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693261", "2019-12-30 03:50:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693260", "2019-12-30 03:50:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693259", "2019-12-30 03:49:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693258", "2019-12-30 03:49:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693257", "2019-12-30 03:49:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693256", "2019-12-30 03:48:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693255", "2019-12-30 03:48:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693254", "2019-12-30 03:48:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693253", "2019-12-30 03:47:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693252", "2019-12-30 03:47:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693251", "2019-12-30 03:47:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693250", "2019-12-30 03:46:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693249", "2019-12-30 03:46:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693248", "2019-12-30 03:46:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693247", "2019-12-30 03:45:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693246", "2019-12-30 03:45:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693245", "2019-12-30 03:45:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693244", "2019-12-30 03:44:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693243", "2019-12-30 03:44:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693242", "2019-12-30 03:44:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693241", "2019-12-30 03:43:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693240", "2019-12-30 03:42:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693239", "2019-12-30 03:42:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693238", "2019-12-30 03:42:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693237", "2019-12-30 03:41:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693236", "2019-12-30 03:41:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693235", "2019-12-30 03:41:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693234", "2019-12-30 03:40:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693233", "2019-12-30 03:40:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693232", "2019-12-30 03:40:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693231", "2019-12-30 03:39:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693230", "2019-12-30 03:39:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693229", "2019-12-30 03:39:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693228", "2019-12-30 03:38:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693227", "2019-12-30 03:38:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693226", "2019-12-30 03:37:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693225", "2019-12-30 03:37:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693224", "2019-12-30 03:37:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693223", "2019-12-30 03:36:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693222", "2019-12-30 03:36:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693221", "2019-12-30 03:36:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693220", "2019-12-30 03:35:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693219", "2019-12-30 03:35:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693218", "2019-12-30 03:35:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693217", "2019-12-30 03:34:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693216", "2019-12-30 03:34:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693215", "2019-12-30 03:34:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693214", "2019-12-30 03:33:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693213", "2019-12-30 03:33:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693212", "2019-12-30 03:33:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693211", "2019-12-30 03:32:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693210", "2019-12-30 03:32:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693209", "2019-12-30 03:32:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693208", "2019-12-30 03:31:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693207", "2019-12-30 03:30:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693206", "2019-12-30 03:30:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693205", "2019-12-30 03:30:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693204", "2019-12-30 03:29:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693203", "2019-12-30 03:29:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693202", "2019-12-30 03:29:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693201", "2019-12-30 03:28:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693200", "2019-12-30 03:28:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693199", "2019-12-30 03:27:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693198", "2019-12-30 03:27:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693197", "2019-12-30 03:27:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693196", "2019-12-30 03:26:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693195", "2019-12-30 03:26:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693194", "2019-12-30 03:26:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693193", "2019-12-30 03:25:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693192", "2019-12-30 03:25:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693191", "2019-12-30 03:25:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693190", "2019-12-30 03:24:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693189", "2019-12-30 03:24:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693188", "2019-12-30 03:24:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693187", "2019-12-30 03:23:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693186", "2019-12-30 03:23:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693185", "2019-12-30 03:23:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693184", "2019-12-30 03:22:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693183", "2019-12-30 03:22:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693182", "2019-12-30 03:22:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693181", "2019-12-30 03:21:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693180", "2019-12-30 03:21:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693179", "2019-12-30 03:20:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693178", "2019-12-30 03:20:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693177", "2019-12-30 03:19:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693176", "2019-12-30 03:19:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693175", "2019-12-30 03:19:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693174", "2019-12-30 03:18:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693173", "2019-12-30 03:18:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693172", "2019-12-30 03:17:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693171", "2019-12-30 03:17:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693170", "2019-12-30 03:17:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693169", "2019-12-30 03:16:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693168", "2019-12-30 03:16:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693167", "2019-12-30 03:16:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693166", "2019-12-30 03:15:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693165", "2019-12-30 03:15:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693164", "2019-12-30 03:15:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693163", "2019-12-30 03:14:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693162", "2019-12-30 03:14:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693161", "2019-12-30 03:13:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693160", "2019-12-30 03:13:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693159", "2019-12-30 03:13:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693158", "2019-12-30 03:12:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693157", "2019-12-30 03:12:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693156", "2019-12-30 03:12:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693155", "2019-12-30 03:11:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693154", "2019-12-30 03:11:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693153", "2019-12-30 03:11:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693151", "2019-12-30 03:10:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693152", "2019-12-30 03:10:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693150", "2019-12-30 03:09:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693149", "2019-12-30 03:08:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693148", "2019-12-30 03:08:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693147", "2019-12-30 03:08:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693146", "2019-12-30 03:07:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693145", "2019-12-30 03:07:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693144", "2019-12-30 03:07:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693143", "2019-12-30 03:06:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693142", "2019-12-30 03:06:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693141", "2019-12-30 03:06:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693140", "2019-12-30 03:05:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693139", "2019-12-30 03:05:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693138", "2019-12-30 03:05:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693137", "2019-12-30 03:04:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693136", "2019-12-30 03:04:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693135", "2019-12-30 03:03:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693134", "2019-12-30 03:03:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693133", "2019-12-30 03:02:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693132", "2019-12-30 03:02:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693131", "2019-12-30 03:02:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693130", "2019-12-30 03:01:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693129", "2019-12-30 03:01:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693128", "2019-12-30 03:01:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693127", "2019-12-30 03:00:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693126", "2019-12-30 03:00:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693125", "2019-12-30 03:00:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693124", "2019-12-30 02:59:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693123", "2019-12-30 02:59:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693122", "2019-12-30 02:59:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693121", "2019-12-30 02:58:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693120", "2019-12-30 02:58:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693119", "2019-12-30 02:57:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693118", "2019-12-30 02:57:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693117", "2019-12-30 02:57:25", "/?author=10", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "11321");
INSERT INTO `wp_redirection_404` VALUES("1693116", "2019-12-30 02:57:23", "/?author=9", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "11321");
INSERT INTO `wp_redirection_404` VALUES("1693115", "2019-12-30 02:57:21", "/?author=8", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "11321");
INSERT INTO `wp_redirection_404` VALUES("1693114", "2019-12-30 02:57:20", "/?author=7", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "11321");
INSERT INTO `wp_redirection_404` VALUES("1693113", "2019-12-30 02:57:18", "/?author=6", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "11321");
INSERT INTO `wp_redirection_404` VALUES("1693112", "2019-12-30 02:57:16", "/?author=5", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "11321");
INSERT INTO `wp_redirection_404` VALUES("1693111", "2019-12-30 02:57:14", "/?author=4", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "11321");
INSERT INTO `wp_redirection_404` VALUES("1693110", "2019-12-30 02:57:13", "/?author=3", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "11321");
INSERT INTO `wp_redirection_404` VALUES("1693109", "2019-12-30 02:57:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693108", "2019-12-30 02:56:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693107", "2019-12-30 02:56:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693106", "2019-12-30 02:56:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693105", "2019-12-30 02:55:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693104", "2019-12-30 02:55:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693103", "2019-12-30 02:55:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693102", "2019-12-30 02:54:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693101", "2019-12-30 02:54:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693100", "2019-12-30 02:54:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693099", "2019-12-30 02:53:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693098", "2019-12-30 02:53:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693097", "2019-12-30 02:53:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693096", "2019-12-30 02:52:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693095", "2019-12-30 02:52:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693094", "2019-12-30 02:51:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693093", "2019-12-30 02:51:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693092", "2019-12-30 02:51:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693091", "2019-12-30 02:50:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693090", "2019-12-30 02:50:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693089", "2019-12-30 02:50:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693088", "2019-12-30 02:49:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693087", "2019-12-30 02:49:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693086", "2019-12-30 02:49:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693085", "2019-12-30 02:48:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693084", "2019-12-30 02:48:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693083", "2019-12-30 02:48:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693082", "2019-12-30 02:47:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693081", "2019-12-30 02:47:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693080", "2019-12-30 02:47:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693079", "2019-12-30 02:46:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693078", "2019-12-30 02:46:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693077", "2019-12-30 02:46:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693076", "2019-12-30 02:45:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693075", "2019-12-30 02:45:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693074", "2019-12-30 02:45:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693073", "2019-12-30 02:44:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693072", "2019-12-30 02:43:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693071", "2019-12-30 02:43:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693070", "2019-12-30 02:42:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693069", "2019-12-30 02:42:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693068", "2019-12-30 02:42:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693067", "2019-12-30 02:41:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693066", "2019-12-30 02:41:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693065", "2019-12-30 02:41:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693064", "2019-12-30 02:40:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693063", "2019-12-30 02:40:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693062", "2019-12-30 02:40:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693061", "2019-12-30 02:39:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693060", "2019-12-30 02:39:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693059", "2019-12-30 02:39:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693058", "2019-12-30 02:38:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693057", "2019-12-30 02:38:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693056", "2019-12-30 02:38:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693055", "2019-12-30 02:37:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693054", "2019-12-30 02:37:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693053", "2019-12-30 02:37:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693052", "2019-12-30 02:36:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693051", "2019-12-30 02:36:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693050", "2019-12-30 02:35:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693049", "2019-12-30 02:35:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693048", "2019-12-30 02:35:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693047", "2019-12-30 02:34:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693046", "2019-12-30 02:34:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693045", "2019-12-30 02:34:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693044", "2019-12-30 02:33:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693043", "2019-12-30 02:33:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693042", "2019-12-30 02:33:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693041", "2019-12-30 02:32:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693040", "2019-12-30 02:32:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693039", "2019-12-30 02:31:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693038", "2019-12-30 02:31:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693037", "2019-12-30 02:31:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693036", "2019-12-30 02:30:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693035", "2019-12-30 02:30:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693034", "2019-12-30 02:30:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693033", "2019-12-30 02:29:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693032", "2019-12-30 02:29:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693031", "2019-12-30 02:28:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693030", "2019-12-30 02:28:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693029", "2019-12-30 02:28:23", "/hazelgreen-al/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1693028", "2019-12-30 02:27:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693027", "2019-12-30 02:27:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693026", "2019-12-30 02:27:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693025", "2019-12-30 02:26:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693024", "2019-12-30 02:26:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693023", "2019-12-30 02:26:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693022", "2019-12-30 02:25:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693021", "2019-12-30 02:25:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693020", "2019-12-30 02:25:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693019", "2019-12-30 02:24:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693018", "2019-12-30 02:24:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693017", "2019-12-30 02:24:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693016", "2019-12-30 02:23:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693015", "2019-12-30 02:23:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693014", "2019-12-30 02:23:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693013", "2019-12-30 02:22:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693012", "2019-12-30 02:21:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693011", "2019-12-30 02:21:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693010", "2019-12-30 02:20:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693009", "2019-12-30 02:20:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693008", "2019-12-30 02:20:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693007", "2019-12-30 02:19:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693006", "2019-12-30 02:19:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693005", "2019-12-30 02:19:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693004", "2019-12-30 02:18:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693003", "2019-12-30 02:18:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693002", "2019-12-30 02:18:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693001", "2019-12-30 02:17:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1693000", "2019-12-30 02:17:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692999", "2019-12-30 02:17:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692998", "2019-12-30 02:16:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692997", "2019-12-30 02:16:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692996", "2019-12-30 02:16:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692995", "2019-12-30 02:15:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692994", "2019-12-30 02:15:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692993", "2019-12-30 02:14:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692992", "2019-12-30 02:14:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692991", "2019-12-30 02:13:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692990", "2019-12-30 02:13:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692989", "2019-12-30 02:13:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692988", "2019-12-30 02:12:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692987", "2019-12-30 02:12:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692986", "2019-12-30 02:11:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692985", "2019-12-30 02:11:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692984", "2019-12-30 02:11:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692983", "2019-12-30 02:10:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692982", "2019-12-30 02:10:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692981", "2019-12-30 02:10:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692980", "2019-12-30 02:09:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692979", "2019-12-30 02:09:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692978", "2019-12-30 02:08:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692977", "2019-12-30 02:08:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692976", "2019-12-30 02:08:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692974", "2019-12-30 02:07:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692975", "2019-12-30 02:07:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692973", "2019-12-30 02:06:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692972", "2019-12-30 02:06:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692971", "2019-12-30 02:05:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692970", "2019-12-30 02:05:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692969", "2019-12-30 02:05:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692968", "2019-12-30 02:04:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692967", "2019-12-30 02:04:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692966", "2019-12-30 02:04:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692965", "2019-12-30 02:03:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692964", "2019-12-30 02:02:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692963", "2019-12-30 02:02:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692962", "2019-12-30 02:02:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692961", "2019-12-30 02:01:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692960", "2019-12-30 02:01:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692959", "2019-12-30 02:01:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692958", "2019-12-30 02:00:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692957", "2019-12-30 02:00:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692956", "2019-12-30 02:00:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692955", "2019-12-30 01:59:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692953", "2019-12-30 01:59:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692954", "2019-12-30 01:59:22", "/.well-known/security.txt", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/67.0.3396.99 Safari/537.36", NULL, "178128");
INSERT INTO `wp_redirection_404` VALUES("1692952", "2019-12-30 01:59:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692951", "2019-12-30 01:58:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692950", "2019-12-30 01:58:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692949", "2019-12-30 01:57:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692948", "2019-12-30 01:57:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692947", "2019-12-30 01:57:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692946", "2019-12-30 01:56:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692945", "2019-12-30 01:56:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692944", "2019-12-30 01:56:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692943", "2019-12-30 01:55:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692942", "2019-12-30 01:55:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692941", "2019-12-30 01:54:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692940", "2019-12-30 01:54:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692939", "2019-12-30 01:53:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692938", "2019-12-30 01:53:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692937", "2019-12-30 01:53:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692936", "2019-12-30 01:52:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692935", "2019-12-30 01:52:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692934", "2019-12-30 01:52:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692933", "2019-12-30 01:51:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692932", "2019-12-30 01:51:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692931", "2019-12-30 01:50:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692930", "2019-12-30 01:50:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692929", "2019-12-30 01:50:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692928", "2019-12-30 01:49:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692927", "2019-12-30 01:49:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692926", "2019-12-30 01:49:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692925", "2019-12-30 01:48:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692924", "2019-12-30 01:48:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692923", "2019-12-30 01:48:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692922", "2019-12-30 01:47:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692921", "2019-12-30 01:47:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692920", "2019-12-30 01:47:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692919", "2019-12-30 01:46:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692918", "2019-12-30 01:46:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692917", "2019-12-30 01:46:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692916", "2019-12-30 01:45:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692915", "2019-12-30 01:45:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692914", "2019-12-30 01:44:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692913", "2019-12-30 01:44:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692912", "2019-12-30 01:44:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692911", "2019-12-30 01:43:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692910", "2019-12-30 01:43:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692909", "2019-12-30 01:43:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692908", "2019-12-30 01:42:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692907", "2019-12-30 01:42:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692906", "2019-12-30 01:42:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692905", "2019-12-30 01:42:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692904", "2019-12-30 01:42:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692903", "2019-12-30 01:41:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692902", "2019-12-30 01:40:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692901", "2019-12-30 01:40:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692900", "2019-12-30 01:40:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692899", "2019-12-30 01:39:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692898", "2019-12-30 01:39:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692897", "2019-12-30 01:38:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692896", "2019-12-30 01:38:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692895", "2019-12-30 01:38:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692894", "2019-12-30 01:37:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692893", "2019-12-30 01:37:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692892", "2019-12-30 01:37:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692890", "2019-12-30 01:36:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692891", "2019-12-30 01:36:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692889", "2019-12-30 01:36:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692888", "2019-12-30 01:35:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692887", "2019-12-30 01:35:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692886", "2019-12-30 01:35:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692885", "2019-12-30 01:34:52", "/public/ui/v1/js/sea.js", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "154223");
INSERT INTO `wp_redirection_404` VALUES("1692884", "2019-12-30 01:34:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692883", "2019-12-30 01:33:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692882", "2019-12-30 01:33:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692881", "2019-12-30 01:33:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692880", "2019-12-30 01:32:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692879", "2019-12-30 01:32:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692878", "2019-12-30 01:32:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692877", "2019-12-30 01:31:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692876", "2019-12-30 01:31:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692875", "2019-12-30 01:31:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692874", "2019-12-30 01:30:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692873", "2019-12-30 01:30:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692872", "2019-12-30 01:29:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692871", "2019-12-30 01:29:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692870", "2019-12-30 01:29:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692869", "2019-12-30 01:28:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692868", "2019-12-30 01:28:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692867", "2019-12-30 01:27:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692866", "2019-12-30 01:27:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692865", "2019-12-30 01:27:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692864", "2019-12-30 01:26:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692863", "2019-12-30 01:26:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692862", "2019-12-30 01:25:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692861", "2019-12-30 01:25:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692860", "2019-12-30 01:25:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692859", "2019-12-30 01:24:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692858", "2019-12-30 01:24:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692857", "2019-12-30 01:24:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692856", "2019-12-30 01:23:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692855", "2019-12-30 01:23:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692854", "2019-12-30 01:22:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692853", "2019-12-30 01:22:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692852", "2019-12-30 01:22:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692851", "2019-12-30 01:21:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692850", "2019-12-30 01:21:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692849", "2019-12-30 01:20:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692848", "2019-12-30 01:20:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692847", "2019-12-30 01:20:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692846", "2019-12-30 01:19:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692845", "2019-12-30 01:19:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692844", "2019-12-30 01:19:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692843", "2019-12-30 01:18:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692842", "2019-12-30 01:18:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692841", "2019-12-30 01:18:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692840", "2019-12-30 01:17:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692839", "2019-12-30 01:17:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692838", "2019-12-30 01:16:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692837", "2019-12-30 01:16:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692836", "2019-12-30 01:15:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692835", "2019-12-30 01:15:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692834", "2019-12-30 01:15:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692833", "2019-12-30 01:14:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692832", "2019-12-30 01:14:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692831", "2019-12-30 01:13:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692830", "2019-12-30 01:13:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692829", "2019-12-30 01:12:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692828", "2019-12-30 01:12:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692827", "2019-12-30 01:12:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692826", "2019-12-30 01:11:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692825", "2019-12-30 01:11:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692824", "2019-12-30 01:11:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692823", "2019-12-30 01:10:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692822", "2019-12-30 01:10:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692821", "2019-12-30 01:10:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692820", "2019-12-30 01:09:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692819", "2019-12-30 01:09:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692818", "2019-12-30 01:09:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692817", "2019-12-30 01:08:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692816", "2019-12-30 01:08:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692815", "2019-12-30 01:07:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692814", "2019-12-30 01:07:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692813", "2019-12-30 01:06:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692812", "2019-12-30 01:06:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692811", "2019-12-30 01:05:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692810", "2019-12-30 01:05:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692809", "2019-12-30 01:05:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692808", "2019-12-30 01:04:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692807", "2019-12-30 01:04:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692806", "2019-12-30 01:04:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692805", "2019-12-30 01:03:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692804", "2019-12-30 01:02:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692803", "2019-12-30 01:02:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692802", "2019-12-30 01:02:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692801", "2019-12-30 01:01:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692800", "2019-12-30 01:01:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692799", "2019-12-30 01:01:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692798", "2019-12-30 01:00:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692797", "2019-12-30 01:00:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692796", "2019-12-30 01:00:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692795", "2019-12-30 00:59:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692794", "2019-12-30 00:59:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692793", "2019-12-30 00:59:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692792", "2019-12-30 00:58:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692791", "2019-12-30 00:57:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692790", "2019-12-30 00:57:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692789", "2019-12-30 00:56:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692788", "2019-12-30 00:56:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692787", "2019-12-30 00:56:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692786", "2019-12-30 00:55:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692785", "2019-12-30 00:55:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692784", "2019-12-30 00:55:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692783", "2019-12-30 00:54:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692782", "2019-12-30 00:54:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692781", "2019-12-30 00:54:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692780", "2019-12-30 00:53:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692779", "2019-12-30 00:53:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692778", "2019-12-30 00:52:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692777", "2019-12-30 00:52:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692776", "2019-12-30 00:51:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692775", "2019-12-30 00:51:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692774", "2019-12-30 00:51:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692773", "2019-12-30 00:50:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692772", "2019-12-30 00:50:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692771", "2019-12-30 00:50:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692770", "2019-12-30 00:49:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692769", "2019-12-30 00:49:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692768", "2019-12-30 00:49:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692767", "2019-12-30 00:48:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692766", "2019-12-30 00:48:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692765", "2019-12-30 00:48:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692764", "2019-12-30 00:47:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692763", "2019-12-30 00:47:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692762", "2019-12-30 00:46:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692761", "2019-12-30 00:46:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692760", "2019-12-30 00:45:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692759", "2019-12-30 00:45:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692758", "2019-12-30 00:45:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692757", "2019-12-30 00:44:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692756", "2019-12-30 00:44:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692755", "2019-12-30 00:44:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692754", "2019-12-30 00:43:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692753", "2019-12-30 00:43:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692752", "2019-12-30 00:42:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692751", "2019-12-30 00:42:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692750", "2019-12-30 00:42:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692749", "2019-12-30 00:41:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692748", "2019-12-30 00:41:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692747", "2019-12-30 00:41:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692746", "2019-12-30 00:40:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692745", "2019-12-30 00:40:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692744", "2019-12-30 00:39:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692743", "2019-12-30 00:39:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692742", "2019-12-30 00:39:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692741", "2019-12-30 00:38:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692740", "2019-12-30 00:38:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692739", "2019-12-30 00:38:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692738", "2019-12-30 00:37:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692737", "2019-12-30 00:37:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692736", "2019-12-30 00:37:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692735", "2019-12-30 00:36:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692734", "2019-12-30 00:36:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692733", "2019-12-30 00:35:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692732", "2019-12-30 00:35:48", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "99123");
INSERT INTO `wp_redirection_404` VALUES("1692731", "2019-12-30 00:35:48", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "99123");
INSERT INTO `wp_redirection_404` VALUES("1692730", "2019-12-30 00:35:48", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "99123");
INSERT INTO `wp_redirection_404` VALUES("1692729", "2019-12-30 00:35:47", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "99123");
INSERT INTO `wp_redirection_404` VALUES("1692728", "2019-12-30 00:35:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692727", "2019-12-30 00:35:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692726", "2019-12-30 00:34:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692725", "2019-12-30 00:34:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692724", "2019-12-30 00:33:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692723", "2019-12-30 00:33:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692722", "2019-12-30 00:32:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692721", "2019-12-30 00:32:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692720", "2019-12-30 00:32:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692719", "2019-12-30 00:31:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692718", "2019-12-30 00:31:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692717", "2019-12-30 00:31:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692716", "2019-12-30 00:30:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692715", "2019-12-30 00:30:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692714", "2019-12-30 00:30:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692713", "2019-12-30 00:30:26", "/ads.txt", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692712", "2019-12-30 00:30:25", "/ads.txt", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692711", "2019-12-30 00:29:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692710", "2019-12-30 00:29:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692709", "2019-12-30 00:29:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692708", "2019-12-30 00:28:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692707", "2019-12-30 00:28:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692706", "2019-12-30 00:28:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692705", "2019-12-30 00:27:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692704", "2019-12-30 00:27:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692703", "2019-12-30 00:27:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692702", "2019-12-30 00:26:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692701", "2019-12-30 00:26:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692700", "2019-12-30 00:26:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692699", "2019-12-30 00:25:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692698", "2019-12-30 00:25:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692697", "2019-12-30 00:24:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692695", "2019-12-30 00:24:02", "/dubois-", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692696", "2019-12-30 00:24:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692694", "2019-12-30 00:23:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692693", "2019-12-30 00:23:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692692", "2019-12-30 00:23:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692691", "2019-12-30 00:22:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692690", "2019-12-30 00:22:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692689", "2019-12-30 00:21:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692688", "2019-12-30 00:21:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692687", "2019-12-30 00:20:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692686", "2019-12-30 00:20:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692685", "2019-12-30 00:20:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692684", "2019-12-30 00:19:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692683", "2019-12-30 00:19:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692682", "2019-12-30 00:19:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692681", "2019-12-30 00:18:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692680", "2019-12-30 00:18:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692679", "2019-12-30 00:18:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692678", "2019-12-30 00:17:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692677", "2019-12-30 00:17:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692676", "2019-12-30 00:16:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692675", "2019-12-30 00:16:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692674", "2019-12-30 00:16:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692673", "2019-12-30 00:15:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692672", "2019-12-30 00:15:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692671", "2019-12-30 00:15:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692670", "2019-12-30 00:14:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692669", "2019-12-30 00:14:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692668", "2019-12-30 00:14:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692667", "2019-12-30 00:13:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692666", "2019-12-30 00:13:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692665", "2019-12-30 00:13:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692664", "2019-12-30 00:12:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692663", "2019-12-30 00:12:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692662", "2019-12-30 00:11:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692661", "2019-12-30 00:11:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692660", "2019-12-30 00:11:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692659", "2019-12-30 00:10:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692658", "2019-12-30 00:10:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692657", "2019-12-30 00:09:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692656", "2019-12-30 00:09:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692655", "2019-12-30 00:09:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692654", "2019-12-30 00:08:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692653", "2019-12-30 00:08:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692652", "2019-12-30 00:08:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692651", "2019-12-30 00:07:52", "/pizza-parties/one-last-summer-bash-kids-school/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1692650", "2019-12-30 00:07:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692649", "2019-12-30 00:07:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692648", "2019-12-30 00:06:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692647", "2019-12-30 00:06:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692646", "2019-12-30 00:06:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692645", "2019-12-30 00:05:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692644", "2019-12-30 00:05:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692643", "2019-12-30 00:05:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692642", "2019-12-30 00:04:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692641", "2019-12-30 00:04:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692640", "2019-12-30 00:04:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692639", "2019-12-30 00:03:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692638", "2019-12-30 00:02:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692637", "2019-12-30 00:02:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692636", "2019-12-30 00:01:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692635", "2019-12-30 00:01:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692634", "2019-12-30 00:01:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692633", "2019-12-30 00:00:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692632", "2019-12-30 00:00:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692631", "2019-12-30 00:00:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692630", "2019-12-29 23:59:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692629", "2019-12-29 23:59:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692628", "2019-12-29 23:59:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692627", "2019-12-29 23:58:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692626", "2019-12-29 23:58:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692625", "2019-12-29 23:58:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692624", "2019-12-29 23:57:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692623", "2019-12-29 23:57:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692622", "2019-12-29 23:56:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692621", "2019-12-29 23:56:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692620", "2019-12-29 23:56:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692619", "2019-12-29 23:55:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692618", "2019-12-29 23:55:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692617", "2019-12-29 23:55:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692616", "2019-12-29 23:54:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692615", "2019-12-29 23:54:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692614", "2019-12-29 23:53:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692613", "2019-12-29 23:53:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692612", "2019-12-29 23:53:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692611", "2019-12-29 23:52:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692610", "2019-12-29 23:52:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692609", "2019-12-29 23:52:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692608", "2019-12-29 23:51:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692607", "2019-12-29 23:51:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692606", "2019-12-29 23:50:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692605", "2019-12-29 23:50:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692604", "2019-12-29 23:50:00", "/static/.gitignore", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "110229");
INSERT INTO `wp_redirection_404` VALUES("1692603", "2019-12-29 23:49:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692602", "2019-12-29 23:49:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692601", "2019-12-29 23:49:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692600", "2019-12-29 23:48:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692599", "2019-12-29 23:48:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692598", "2019-12-29 23:48:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692597", "2019-12-29 23:47:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692596", "2019-12-29 23:47:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692595", "2019-12-29 23:46:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692594", "2019-12-29 23:46:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692593", "2019-12-29 23:45:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692592", "2019-12-29 23:45:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692591", "2019-12-29 23:45:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692590", "2019-12-29 23:44:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692589", "2019-12-29 23:44:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692588", "2019-12-29 23:44:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692587", "2019-12-29 23:43:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692586", "2019-12-29 23:43:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692585", "2019-12-29 23:42:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692584", "2019-12-29 23:42:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692583", "2019-12-29 23:42:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692582", "2019-12-29 23:41:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692581", "2019-12-29 23:41:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692580", "2019-12-29 23:41:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692579", "2019-12-29 23:40:41", "/summerville-sc/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1692578", "2019-12-29 23:40:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692577", "2019-12-29 23:40:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692576", "2019-12-29 23:40:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692575", "2019-12-29 23:39:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692574", "2019-12-29 23:39:10", "/nitro-wv/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1692573", "2019-12-29 23:39:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692572", "2019-12-29 23:38:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692571", "2019-12-29 23:38:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692570", "2019-12-29 23:38:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692569", "2019-12-29 23:37:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692568", "2019-12-29 23:37:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692567", "2019-12-29 23:36:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692566", "2019-12-29 23:36:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692565", "2019-12-29 23:35:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692564", "2019-12-29 23:35:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692563", "2019-12-29 23:35:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692562", "2019-12-29 23:34:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692561", "2019-12-29 23:34:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692560", "2019-12-29 23:34:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692559", "2019-12-29 23:34:07", "/static/.gitignore", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "10315");
INSERT INTO `wp_redirection_404` VALUES("1692558", "2019-12-29 23:33:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692557", "2019-12-29 23:33:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692556", "2019-12-29 23:33:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692555", "2019-12-29 23:31:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692554", "2019-12-29 23:31:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692553", "2019-12-29 23:31:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692552", "2019-12-29 23:30:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692551", "2019-12-29 23:30:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692550", "2019-12-29 23:30:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692549", "2019-12-29 23:29:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692548", "2019-12-29 23:29:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692547", "2019-12-29 23:29:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692546", "2019-12-29 23:28:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692545", "2019-12-29 23:28:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692544", "2019-12-29 23:28:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692543", "2019-12-29 23:27:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692542", "2019-12-29 23:27:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692541", "2019-12-29 23:26:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692540", "2019-12-29 23:26:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692539", "2019-12-29 23:25:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692538", "2019-12-29 23:25:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692537", "2019-12-29 23:25:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692536", "2019-12-29 23:24:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692535", "2019-12-29 23:24:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692534", "2019-12-29 23:24:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692532", "2019-12-29 23:23:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692533", "2019-12-29 23:23:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692531", "2019-12-29 23:23:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692530", "2019-12-29 23:22:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692529", "2019-12-29 23:22:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692528", "2019-12-29 23:21:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692527", "2019-12-29 23:21:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692526", "2019-12-29 23:21:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692525", "2019-12-29 23:20:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692524", "2019-12-29 23:20:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692523", "2019-12-29 23:20:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692522", "2019-12-29 23:19:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692521", "2019-12-29 23:19:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692520", "2019-12-29 23:19:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692519", "2019-12-29 23:18:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692518", "2019-12-29 23:18:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692517", "2019-12-29 23:18:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692516", "2019-12-29 23:17:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692515", "2019-12-29 23:17:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692514", "2019-12-29 23:16:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692513", "2019-12-29 23:16:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692512", "2019-12-29 23:16:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692511", "2019-12-29 23:15:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692510", "2019-12-29 23:15:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692509", "2019-12-29 23:14:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692508", "2019-12-29 23:14:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692507", "2019-12-29 23:13:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692506", "2019-12-29 23:13:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692505", "2019-12-29 23:13:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692504", "2019-12-29 23:12:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692503", "2019-12-29 23:12:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692502", "2019-12-29 23:12:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692501", "2019-12-29 23:11:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692500", "2019-12-29 23:11:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692499", "2019-12-29 23:10:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692498", "2019-12-29 23:10:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692497", "2019-12-29 23:09:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692496", "2019-12-29 23:09:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692495", "2019-12-29 23:09:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692494", "2019-12-29 23:08:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692493", "2019-12-29 23:08:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692492", "2019-12-29 23:08:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692491", "2019-12-29 23:08:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692490", "2019-12-29 23:07:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692489", "2019-12-29 23:07:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692488", "2019-12-29 23:07:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692487", "2019-12-29 23:06:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692486", "2019-12-29 23:06:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692485", "2019-12-29 23:06:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692484", "2019-12-29 23:05:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692483", "2019-12-29 23:05:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692482", "2019-12-29 23:05:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692481", "2019-12-29 23:04:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692480", "2019-12-29 23:04:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692479", "2019-12-29 23:03:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692478", "2019-12-29 23:02:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692477", "2019-12-29 23:02:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692476", "2019-12-29 23:02:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692475", "2019-12-29 23:01:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692474", "2019-12-29 23:01:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692473", "2019-12-29 23:01:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692472", "2019-12-29 23:00:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692471", "2019-12-29 23:00:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692470", "2019-12-29 23:00:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692469", "2019-12-29 22:59:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692468", "2019-12-29 22:59:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692467", "2019-12-29 22:59:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692466", "2019-12-29 22:58:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692465", "2019-12-29 22:58:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692464", "2019-12-29 22:58:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692463", "2019-12-29 22:57:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692462", "2019-12-29 22:57:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692461", "2019-12-29 22:57:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692460", "2019-12-29 22:56:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692459", "2019-12-29 22:56:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692458", "2019-12-29 22:56:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692457", "2019-12-29 22:55:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692456", "2019-12-29 22:55:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692455", "2019-12-29 22:54:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692454", "2019-12-29 22:53:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692453", "2019-12-29 22:53:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692452", "2019-12-29 22:53:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692451", "2019-12-29 22:52:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692450", "2019-12-29 22:52:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692449", "2019-12-29 22:52:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692448", "2019-12-29 22:51:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692447", "2019-12-29 22:51:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692446", "2019-12-29 22:51:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692445", "2019-12-29 22:50:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692444", "2019-12-29 22:50:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692443", "2019-12-29 22:50:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692442", "2019-12-29 22:49:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692441", "2019-12-29 22:49:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692440", "2019-12-29 22:48:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692439", "2019-12-29 22:48:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692438", "2019-12-29 22:48:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692437", "2019-12-29 22:47:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692436", "2019-12-29 22:47:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692435", "2019-12-29 22:47:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692434", "2019-12-29 22:45:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692433", "2019-12-29 22:45:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692432", "2019-12-29 22:45:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692431", "2019-12-29 22:44:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692430", "2019-12-29 22:44:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692429", "2019-12-29 22:44:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692428", "2019-12-29 22:43:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692427", "2019-12-29 22:43:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692426", "2019-12-29 22:43:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692425", "2019-12-29 22:42:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692424", "2019-12-29 22:42:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692423", "2019-12-29 22:42:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692422", "2019-12-29 22:41:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692421", "2019-12-29 22:41:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692420", "2019-12-29 22:41:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692419", "2019-12-29 22:40:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692418", "2019-12-29 22:40:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692417", "2019-12-29 22:40:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692416", "2019-12-29 22:39:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692415", "2019-12-29 22:39:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692414", "2019-12-29 22:38:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692413", "2019-12-29 22:38:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692412", "2019-12-29 22:37:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692411", "2019-12-29 22:37:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692410", "2019-12-29 22:36:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692409", "2019-12-29 22:36:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692408", "2019-12-29 22:36:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692407", "2019-12-29 22:35:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692406", "2019-12-29 22:35:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692405", "2019-12-29 22:34:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692404", "2019-12-29 22:34:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692403", "2019-12-29 22:33:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692402", "2019-12-29 22:33:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692401", "2019-12-29 22:33:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692400", "2019-12-29 22:32:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692399", "2019-12-29 22:32:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692398", "2019-12-29 22:32:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692397", "2019-12-29 22:31:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692396", "2019-12-29 22:30:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692394", "2019-12-29 22:29:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692395", "2019-12-29 22:30:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692393", "2019-12-29 22:29:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692392", "2019-12-29 22:29:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692391", "2019-12-29 22:28:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692390", "2019-12-29 22:28:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692389", "2019-12-29 22:28:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692388", "2019-12-29 22:27:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692387", "2019-12-29 22:27:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692386", "2019-12-29 22:27:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692385", "2019-12-29 22:26:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692384", "2019-12-29 22:26:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692383", "2019-12-29 22:25:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692382", "2019-12-29 22:25:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692381", "2019-12-29 22:25:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692380", "2019-12-29 22:24:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692379", "2019-12-29 22:24:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692378", "2019-12-29 22:24:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692377", "2019-12-29 22:23:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692376", "2019-12-29 22:23:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692375", "2019-12-29 22:23:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692374", "2019-12-29 22:22:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692373", "2019-12-29 22:22:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692372", "2019-12-29 22:22:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692371", "2019-12-29 22:21:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692370", "2019-12-29 22:20:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692369", "2019-12-29 22:20:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692368", "2019-12-29 22:20:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692367", "2019-12-29 22:19:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692366", "2019-12-29 22:19:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692364", "2019-12-29 22:18:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692365", "2019-12-29 22:19:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692363", "2019-12-29 22:18:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692362", "2019-12-29 22:17:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692361", "2019-12-29 22:17:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692360", "2019-12-29 22:17:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692359", "2019-12-29 22:16:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692358", "2019-12-29 22:15:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692357", "2019-12-29 22:15:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692356", "2019-12-29 22:15:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692355", "2019-12-29 22:14:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692354", "2019-12-29 22:13:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692353", "2019-12-29 22:13:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692352", "2019-12-29 22:12:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692351", "2019-12-29 22:12:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692350", "2019-12-29 22:11:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692349", "2019-12-29 22:11:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692348", "2019-12-29 22:11:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692347", "2019-12-29 22:10:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692346", "2019-12-29 22:10:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692345", "2019-12-29 22:10:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692344", "2019-12-29 22:09:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692343", "2019-12-29 22:09:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692342", "2019-12-29 22:08:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692341", "2019-12-29 22:07:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692340", "2019-12-29 22:07:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692339", "2019-12-29 22:07:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692338", "2019-12-29 22:06:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692337", "2019-12-29 22:06:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692336", "2019-12-29 22:05:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692335", "2019-12-29 21:45:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692334", "2019-12-29 21:45:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692333", "2019-12-29 21:45:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692332", "2019-12-29 21:44:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692331", "2019-12-29 21:44:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692330", "2019-12-29 21:44:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692329", "2019-12-29 21:44:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692328", "2019-12-29 21:44:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692327", "2019-12-29 21:44:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692326", "2019-12-29 21:43:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692325", "2019-12-29 21:43:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692324", "2019-12-29 21:43:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692323", "2019-12-29 21:43:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692322", "2019-12-29 21:42:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692321", "2019-12-29 21:42:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692320", "2019-12-29 21:42:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692319", "2019-12-29 21:42:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692317", "2019-12-29 21:41:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692318", "2019-12-29 21:42:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692316", "2019-12-29 21:41:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692315", "2019-12-29 21:41:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692314", "2019-12-29 21:40:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692313", "2019-12-29 21:40:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692312", "2019-12-29 21:40:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692311", "2019-12-29 21:39:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692310", "2019-12-29 21:39:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692309", "2019-12-29 21:39:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692308", "2019-12-29 21:39:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692307", "2019-12-29 21:39:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692306", "2019-12-29 21:39:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692305", "2019-12-29 21:38:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692304", "2019-12-29 21:38:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692303", "2019-12-29 21:38:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692302", "2019-12-29 21:38:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692301", "2019-12-29 21:38:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692300", "2019-12-29 21:38:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692299", "2019-12-29 21:37:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692298", "2019-12-29 21:37:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692297", "2019-12-29 21:37:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692296", "2019-12-29 21:37:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692295", "2019-12-29 21:37:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692294", "2019-12-29 21:36:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692293", "2019-12-29 21:36:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692292", "2019-12-29 21:36:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692291", "2019-12-29 21:36:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692290", "2019-12-29 21:35:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692289", "2019-12-29 21:35:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692288", "2019-12-29 21:35:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692287", "2019-12-29 21:35:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692286", "2019-12-29 21:35:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692285", "2019-12-29 21:35:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692284", "2019-12-29 21:34:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692283", "2019-12-29 21:34:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692282", "2019-12-29 21:34:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692281", "2019-12-29 21:34:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692280", "2019-12-29 21:33:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692279", "2019-12-29 21:33:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692278", "2019-12-29 21:33:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692277", "2019-12-29 21:33:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692276", "2019-12-29 21:32:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692275", "2019-12-29 21:32:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692274", "2019-12-29 21:32:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692273", "2019-12-29 21:32:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692272", "2019-12-29 21:32:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692271", "2019-12-29 21:31:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692270", "2019-12-29 21:31:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692269", "2019-12-29 21:31:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692268", "2019-12-29 21:31:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692267", "2019-12-29 21:31:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692266", "2019-12-29 21:31:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692265", "2019-12-29 21:30:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692264", "2019-12-29 21:30:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692263", "2019-12-29 21:30:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692262", "2019-12-29 21:29:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692261", "2019-12-29 21:29:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692260", "2019-12-29 21:29:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692259", "2019-12-29 21:29:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692258", "2019-12-29 21:29:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692257", "2019-12-29 21:29:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692256", "2019-12-29 21:28:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692255", "2019-12-29 21:28:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692254", "2019-12-29 21:28:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692253", "2019-12-29 21:28:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692252", "2019-12-29 21:28:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692251", "2019-12-29 21:28:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692250", "2019-12-29 21:27:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692249", "2019-12-29 21:27:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692248", "2019-12-29 21:27:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692247", "2019-12-29 21:26:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692246", "2019-12-29 21:26:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692245", "2019-12-29 21:26:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692244", "2019-12-29 21:26:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692243", "2019-12-29 21:26:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692242", "2019-12-29 21:25:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692241", "2019-12-29 21:25:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692240", "2019-12-29 21:25:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692239", "2019-12-29 21:24:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692238", "2019-12-29 21:24:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692237", "2019-12-29 21:24:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692236", "2019-12-29 21:24:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692235", "2019-12-29 21:24:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692234", "2019-12-29 21:24:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692233", "2019-12-29 21:23:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692232", "2019-12-29 21:23:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692231", "2019-12-29 21:23:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692230", "2019-12-29 21:23:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692229", "2019-12-29 21:22:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692228", "2019-12-29 21:22:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692227", "2019-12-29 21:22:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692226", "2019-12-29 21:22:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692225", "2019-12-29 21:21:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692224", "2019-12-29 21:21:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692223", "2019-12-29 21:21:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692222", "2019-12-29 21:21:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692221", "2019-12-29 21:21:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692220", "2019-12-29 21:20:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692219", "2019-12-29 21:20:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692218", "2019-12-29 21:20:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692217", "2019-12-29 21:20:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692216", "2019-12-29 21:19:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692215", "2019-12-29 21:19:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692214", "2019-12-29 21:19:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692213", "2019-12-29 21:19:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692212", "2019-12-29 21:19:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692211", "2019-12-29 21:18:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692210", "2019-12-29 21:18:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692209", "2019-12-29 21:18:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692208", "2019-12-29 21:18:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692207", "2019-12-29 21:17:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692206", "2019-12-29 21:17:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692205", "2019-12-29 21:17:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692204", "2019-12-29 21:17:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692203", "2019-12-29 21:17:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692202", "2019-12-29 21:16:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692201", "2019-12-29 21:16:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692200", "2019-12-29 21:16:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692199", "2019-12-29 21:15:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692198", "2019-12-29 21:15:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692197", "2019-12-29 21:15:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692007", "2019-12-29 20:13:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692006", "2019-12-29 20:12:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692005", "2019-12-29 20:12:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692004", "2019-12-29 20:12:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692003", "2019-12-29 20:11:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692002", "2019-12-29 20:11:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692001", "2019-12-29 20:11:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692000", "2019-12-29 20:10:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691999", "2019-12-29 20:09:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691998", "2019-12-29 20:09:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691997", "2019-12-29 20:09:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691996", "2019-12-29 20:09:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691995", "2019-12-29 20:09:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691994", "2019-12-29 20:08:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691993", "2019-12-29 20:08:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691992", "2019-12-29 20:08:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691991", "2019-12-29 20:07:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691990", "2019-12-29 20:07:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691989", "2019-12-29 20:07:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691988", "2019-12-29 20:06:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691987", "2019-12-29 20:06:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691986", "2019-12-29 20:06:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691985", "2019-12-29 20:05:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691984", "2019-12-29 20:05:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691983", "2019-12-29 20:05:19", "/router.php", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "3999");
INSERT INTO `wp_redirection_404` VALUES("1691982", "2019-12-29 20:05:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691981", "2019-12-29 20:04:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691980", "2019-12-29 20:04:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691979", "2019-12-29 20:04:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1691978", "2019-12-29 20:03:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692196", "2019-12-29 21:15:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692195", "2019-12-29 21:14:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692194", "2019-12-29 21:14:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692193", "2019-12-29 21:13:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692192", "2019-12-29 21:13:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692191", "2019-12-29 21:13:24", "/thank-you-celebration/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "3113");
INSERT INTO `wp_redirection_404` VALUES("1692190", "2019-12-29 21:13:24", "/thank-you-celebration/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "3113");
INSERT INTO `wp_redirection_404` VALUES("1692189", "2019-12-29 21:13:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692188", "2019-12-29 21:13:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692187", "2019-12-29 21:12:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692186", "2019-12-29 21:12:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692185", "2019-12-29 21:11:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692184", "2019-12-29 21:11:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692183", "2019-12-29 21:11:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692182", "2019-12-29 21:10:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692181", "2019-12-29 21:10:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692180", "2019-12-29 21:09:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692179", "2019-12-29 21:09:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692178", "2019-12-29 21:09:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692177", "2019-12-29 21:08:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692176", "2019-12-29 21:08:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692175", "2019-12-29 21:08:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692174", "2019-12-29 21:08:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692173", "2019-12-29 21:07:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692172", "2019-12-29 21:07:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692171", "2019-12-29 21:07:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692170", "2019-12-29 21:06:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692169", "2019-12-29 21:06:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692168", "2019-12-29 21:06:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692167", "2019-12-29 21:06:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692166", "2019-12-29 21:05:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692165", "2019-12-29 21:05:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692164", "2019-12-29 21:05:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692163", "2019-12-29 21:04:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692162", "2019-12-29 21:04:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692161", "2019-12-29 21:04:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692160", "2019-12-29 21:04:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692159", "2019-12-29 21:03:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692158", "2019-12-29 21:03:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692157", "2019-12-29 21:03:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692156", "2019-12-29 21:03:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692155", "2019-12-29 21:02:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692154", "2019-12-29 21:02:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692153", "2019-12-29 21:02:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692152", "2019-12-29 21:01:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692151", "2019-12-29 21:01:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692150", "2019-12-29 21:01:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692149", "2019-12-29 21:01:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692148", "2019-12-29 21:00:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692147", "2019-12-29 21:00:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692146", "2019-12-29 21:00:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692145", "2019-12-29 21:00:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692144", "2019-12-29 21:00:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692143", "2019-12-29 20:59:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692142", "2019-12-29 20:59:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692141", "2019-12-29 20:59:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692140", "2019-12-29 20:58:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692139", "2019-12-29 20:58:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692138", "2019-12-29 20:58:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692137", "2019-12-29 20:58:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692136", "2019-12-29 20:57:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692135", "2019-12-29 20:57:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692134", "2019-12-29 20:57:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692133", "2019-12-29 20:57:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692132", "2019-12-29 20:56:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692131", "2019-12-29 20:56:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692130", "2019-12-29 20:56:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692129", "2019-12-29 20:56:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692128", "2019-12-29 20:55:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692127", "2019-12-29 20:55:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692126", "2019-12-29 20:55:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692125", "2019-12-29 20:55:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692124", "2019-12-29 20:54:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692123", "2019-12-29 20:54:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692122", "2019-12-29 20:54:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692121", "2019-12-29 20:53:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692120", "2019-12-29 20:53:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692119", "2019-12-29 20:53:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692118", "2019-12-29 20:53:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692117", "2019-12-29 20:52:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692116", "2019-12-29 20:52:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692115", "2019-12-29 20:52:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692114", "2019-12-29 20:52:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692113", "2019-12-29 20:51:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692112", "2019-12-29 20:51:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692111", "2019-12-29 20:51:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692110", "2019-12-29 20:50:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692109", "2019-12-29 20:50:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692108", "2019-12-29 20:50:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692107", "2019-12-29 20:49:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692106", "2019-12-29 20:49:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692105", "2019-12-29 20:49:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692104", "2019-12-29 20:48:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692103", "2019-12-29 20:48:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692102", "2019-12-29 20:47:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692101", "2019-12-29 20:47:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692100", "2019-12-29 20:47:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692099", "2019-12-29 20:46:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692098", "2019-12-29 20:46:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692097", "2019-12-29 20:46:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692096", "2019-12-29 20:45:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692095", "2019-12-29 20:45:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692094", "2019-12-29 20:44:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692093", "2019-12-29 20:44:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692092", "2019-12-29 20:43:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692091", "2019-12-29 20:43:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692090", "2019-12-29 20:43:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692089", "2019-12-29 20:42:59", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "174107");
INSERT INTO `wp_redirection_404` VALUES("1692088", "2019-12-29 20:42:58", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "174107");
INSERT INTO `wp_redirection_404` VALUES("1692087", "2019-12-29 20:42:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692086", "2019-12-29 20:41:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692085", "2019-12-29 20:41:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692084", "2019-12-29 20:40:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692083", "2019-12-29 20:40:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692082", "2019-12-29 20:40:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692081", "2019-12-29 20:39:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692080", "2019-12-29 20:39:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692079", "2019-12-29 20:39:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692078", "2019-12-29 20:38:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692077", "2019-12-29 20:38:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692076", "2019-12-29 20:38:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692075", "2019-12-29 20:38:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692074", "2019-12-29 20:37:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692073", "2019-12-29 20:37:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692072", "2019-12-29 20:37:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692071", "2019-12-29 20:37:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692070", "2019-12-29 20:36:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692069", "2019-12-29 20:36:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692068", "2019-12-29 20:35:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692067", "2019-12-29 20:35:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692066", "2019-12-29 20:35:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692065", "2019-12-29 20:34:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692064", "2019-12-29 20:34:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692063", "2019-12-29 20:34:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692062", "2019-12-29 20:33:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692061", "2019-12-29 20:33:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692060", "2019-12-29 20:33:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692059", "2019-12-29 20:32:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692058", "2019-12-29 20:32:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692057", "2019-12-29 20:31:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692056", "2019-12-29 20:31:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692055", "2019-12-29 20:31:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692054", "2019-12-29 20:30:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692053", "2019-12-29 20:30:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692052", "2019-12-29 20:30:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692051", "2019-12-29 20:29:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692050", "2019-12-29 20:29:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692049", "2019-12-29 20:28:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692048", "2019-12-29 20:28:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692047", "2019-12-29 20:28:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692046", "2019-12-29 20:27:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692045", "2019-12-29 20:27:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692044", "2019-12-29 20:27:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692043", "2019-12-29 20:26:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692042", "2019-12-29 20:26:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692041", "2019-12-29 20:25:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692040", "2019-12-29 20:24:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692039", "2019-12-29 20:24:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692038", "2019-12-29 20:24:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692037", "2019-12-29 20:23:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692036", "2019-12-29 20:23:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692035", "2019-12-29 20:23:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692034", "2019-12-29 20:22:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692033", "2019-12-29 20:22:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692032", "2019-12-29 20:22:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692031", "2019-12-29 20:21:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692030", "2019-12-29 20:21:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692029", "2019-12-29 20:21:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692028", "2019-12-29 20:20:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692027", "2019-12-29 20:20:21", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1120 Darwin/19.0.0", NULL, "174247");
INSERT INTO `wp_redirection_404` VALUES("1692026", "2019-12-29 20:20:20", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1120 Darwin/19.0.0", NULL, "174247");
INSERT INTO `wp_redirection_404` VALUES("1692025", "2019-12-29 20:20:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692024", "2019-12-29 20:20:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692023", "2019-12-29 20:19:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692022", "2019-12-29 20:18:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692021", "2019-12-29 20:18:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692020", "2019-12-29 20:18:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692019", "2019-12-29 20:18:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692018", "2019-12-29 20:18:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692017", "2019-12-29 20:17:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692016", "2019-12-29 20:16:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692015", "2019-12-29 20:16:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692013", "2019-12-29 20:15:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692014", "2019-12-29 20:16:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692011", "2019-12-29 20:15:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692012", "2019-12-29 20:15:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692010", "2019-12-29 20:14:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692009", "2019-12-29 20:14:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1692008", "2019-12-29 20:14:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697599", "2019-12-31 10:22:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697600", "2019-12-31 10:23:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697601", "2019-12-31 10:23:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697602", "2019-12-31 10:23:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697603", "2019-12-31 10:24:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697604", "2019-12-31 10:24:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697605", "2019-12-31 10:24:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697606", "2019-12-31 10:25:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697607", "2019-12-31 10:25:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697608", "2019-12-31 10:25:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697609", "2019-12-31 10:26:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697610", "2019-12-31 10:26:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697611", "2019-12-31 10:26:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697612", "2019-12-31 10:27:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697613", "2019-12-31 10:27:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697614", "2019-12-31 10:27:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697615", "2019-12-31 10:28:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697616", "2019-12-31 10:28:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697617", "2019-12-31 10:29:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697618", "2019-12-31 10:29:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697619", "2019-12-31 10:29:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697620", "2019-12-31 10:29:40", "/js/Date.js", "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Win64; x64; Trident/5.0)", "http://www.buckspizza.com/js/Date.js", "39108");
INSERT INTO `wp_redirection_404` VALUES("1697621", "2019-12-31 10:29:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697622", "2019-12-31 10:30:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697623", "2019-12-31 10:30:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697624", "2019-12-31 10:31:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697625", "2019-12-31 10:31:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697626", "2019-12-31 10:31:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697627", "2019-12-31 10:32:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697628", "2019-12-31 10:32:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697629", "2019-12-31 10:32:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697630", "2019-12-31 10:33:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697631", "2019-12-31 10:33:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697632", "2019-12-31 10:33:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697633", "2019-12-31 10:34:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697634", "2019-12-31 10:34:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697635", "2019-12-31 10:35:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697636", "2019-12-31 10:35:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697637", "2019-12-31 10:35:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697638", "2019-12-31 10:36:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697639", "2019-12-31 10:36:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697640", "2019-12-31 10:36:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697641", "2019-12-31 10:37:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697642", "2019-12-31 10:37:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697643", "2019-12-31 10:38:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697644", "2019-12-31 10:38:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697645", "2019-12-31 10:38:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697646", "2019-12-31 10:39:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697647", "2019-12-31 10:39:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697648", "2019-12-31 10:39:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697649", "2019-12-31 10:40:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697650", "2019-12-31 10:40:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697651", "2019-12-31 10:40:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697652", "2019-12-31 10:40:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697653", "2019-12-31 10:41:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697654", "2019-12-31 10:41:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697655", "2019-12-31 10:41:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697656", "2019-12-31 10:42:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697657", "2019-12-31 10:42:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697658", "2019-12-31 10:42:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697659", "2019-12-31 10:43:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697660", "2019-12-31 10:43:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697661", "2019-12-31 10:43:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697662", "2019-12-31 10:44:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697663", "2019-12-31 10:45:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697664", "2019-12-31 10:45:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697665", "2019-12-31 10:45:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697666", "2019-12-31 10:46:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697667", "2019-12-31 10:46:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697668", "2019-12-31 10:46:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697669", "2019-12-31 10:47:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697670", "2019-12-31 10:47:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697671", "2019-12-31 10:47:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697672", "2019-12-31 10:48:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697673", "2019-12-31 10:48:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697674", "2019-12-31 10:48:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697675", "2019-12-31 10:49:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697676", "2019-12-31 10:49:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697677", "2019-12-31 10:50:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697678", "2019-12-31 10:50:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697679", "2019-12-31 10:50:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697680", "2019-12-31 10:51:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697681", "2019-12-31 10:51:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697682", "2019-12-31 10:51:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697683", "2019-12-31 10:52:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697684", "2019-12-31 10:52:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697685", "2019-12-31 10:52:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697686", "2019-12-31 10:53:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697687", "2019-12-31 10:53:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697688", "2019-12-31 10:53:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697689", "2019-12-31 10:54:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697690", "2019-12-31 10:54:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697691", "2019-12-31 10:55:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697692", "2019-12-31 10:55:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697693", "2019-12-31 10:56:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697694", "2019-12-31 10:56:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697695", "2019-12-31 10:56:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697696", "2019-12-31 10:57:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697697", "2019-12-31 10:57:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697698", "2019-12-31 10:57:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697699", "2019-12-31 10:58:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697700", "2019-12-31 10:58:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697701", "2019-12-31 10:59:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697702", "2019-12-31 10:59:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697703", "2019-12-31 10:59:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697704", "2019-12-31 11:00:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697705", "2019-12-31 11:00:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697706", "2019-12-31 11:01:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697707", "2019-12-31 11:01:14", "/wp-content/plugins/simple-ads-manager/js/slider/tmpl.js", "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/49.0.2623.75 Safari/537.36 OPR/36.0.2130.32", NULL, "15965");
INSERT INTO `wp_redirection_404` VALUES("1697708", "2019-12-31 11:01:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697709", "2019-12-31 11:01:31", "/wp-content/plugins/wp-mobile-detector/cache/db.php", "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/49.0.2623.75 Safari/537.36 OPR/36.0.2130.32", NULL, "15965");
INSERT INTO `wp_redirection_404` VALUES("1697710", "2019-12-31 11:01:35", "/wp-content/plugins/formcraft/file-upload/server/php/upload.php", "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/49.0.2623.75 Safari/537.36 OPR/36.0.2130.32", NULL, "15965");
INSERT INTO `wp_redirection_404` VALUES("1697711", "2019-12-31 11:01:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697712", "2019-12-31 11:02:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697713", "2019-12-31 11:02:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697714", "2019-12-31 11:02:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697715", "2019-12-31 11:03:02", "/wp-content/plugins/wp-symposium/server/php/index.php", "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/49.0.2623.75 Safari/537.36 OPR/36.0.2130.32", NULL, "15965");
INSERT INTO `wp_redirection_404` VALUES("1697716", "2019-12-31 11:03:04", "/wp-content/plugins/wp-symposium/server/php/iMUptLnpDnmQYl.php", "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/49.0.2623.75 Safari/537.36 OPR/36.0.2130.32", NULL, "15965");
INSERT INTO `wp_redirection_404` VALUES("1697717", "2019-12-31 11:03:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697718", "2019-12-31 11:03:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697719", "2019-12-31 11:03:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697720", "2019-12-31 11:04:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697721", "2019-12-31 11:04:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697722", "2019-12-31 11:04:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697723", "2019-12-31 11:05:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697724", "2019-12-31 11:05:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697725", "2019-12-31 11:06:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697726", "2019-12-31 11:06:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697727", "2019-12-31 11:06:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697728", "2019-12-31 11:07:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697729", "2019-12-31 11:07:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697730", "2019-12-31 11:07:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697731", "2019-12-31 11:08:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697732", "2019-12-31 11:08:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697733", "2019-12-31 11:09:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697734", "2019-12-31 11:09:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697735", "2019-12-31 11:09:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697736", "2019-12-31 11:10:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697737", "2019-12-31 11:10:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697738", "2019-12-31 11:11:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697739", "2019-12-31 11:12:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697740", "2019-12-31 11:12:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697741", "2019-12-31 11:12:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697742", "2019-12-31 11:13:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697743", "2019-12-31 11:14:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697744", "2019-12-31 11:14:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697745", "2019-12-31 11:14:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697746", "2019-12-31 11:15:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697747", "2019-12-31 11:16:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697748", "2019-12-31 11:16:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697749", "2019-12-31 11:16:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697750", "2019-12-31 11:17:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697751", "2019-12-31 11:17:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697752", "2019-12-31 11:18:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697753", "2019-12-31 11:18:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697754", "2019-12-31 11:19:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697755", "2019-12-31 11:19:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697756", "2019-12-31 11:20:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697757", "2019-12-31 11:21:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697758", "2019-12-31 11:21:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697759", "2019-12-31 11:21:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697760", "2019-12-31 11:22:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697761", "2019-12-31 11:22:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697762", "2019-12-31 11:23:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697763", "2019-12-31 11:23:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697764", "2019-12-31 11:24:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697765", "2019-12-31 11:24:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697766", "2019-12-31 11:24:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697767", "2019-12-31 11:25:24", "/pizza-recipes/pizza-styles/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1697768", "2019-12-31 11:25:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697769", "2019-12-31 11:25:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697770", "2019-12-31 11:26:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697771", "2019-12-31 11:26:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697772", "2019-12-31 11:26:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697773", "2019-12-31 11:27:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697774", "2019-12-31 11:27:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697775", "2019-12-31 11:27:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697776", "2019-12-31 11:28:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697777", "2019-12-31 11:28:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697778", "2019-12-31 11:29:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697779", "2019-12-31 11:29:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697780", "2019-12-31 11:30:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697781", "2019-12-31 11:30:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697782", "2019-12-31 11:30:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697783", "2019-12-31 11:31:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697784", "2019-12-31 11:31:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697785", "2019-12-31 11:32:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697786", "2019-12-31 11:32:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697787", "2019-12-31 11:33:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697788", "2019-12-31 11:33:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697789", "2019-12-31 11:33:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697790", "2019-12-31 11:34:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697791", "2019-12-31 11:34:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697792", "2019-12-31 11:34:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697793", "2019-12-31 11:35:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697794", "2019-12-31 11:35:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697795", "2019-12-31 11:35:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697796", "2019-12-31 11:36:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697797", "2019-12-31 11:36:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697798", "2019-12-31 11:36:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697799", "2019-12-31 11:37:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697800", "2019-12-31 11:37:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697801", "2019-12-31 11:37:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697802", "2019-12-31 11:38:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697803", "2019-12-31 11:38:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697804", "2019-12-31 11:38:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697805", "2019-12-31 11:39:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697806", "2019-12-31 11:39:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697807", "2019-12-31 11:39:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697808", "2019-12-31 11:40:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697809", "2019-12-31 11:40:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697810", "2019-12-31 11:40:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697811", "2019-12-31 11:41:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697812", "2019-12-31 11:41:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697813", "2019-12-31 11:42:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697814", "2019-12-31 11:42:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697815", "2019-12-31 11:43:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697816", "2019-12-31 11:43:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697817", "2019-12-31 11:44:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697818", "2019-12-31 11:44:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697819", "2019-12-31 11:44:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697820", "2019-12-31 11:45:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697821", "2019-12-31 11:45:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697822", "2019-12-31 11:45:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697823", "2019-12-31 11:45:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697824", "2019-12-31 11:46:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697825", "2019-12-31 11:46:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697826", "2019-12-31 11:46:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697827", "2019-12-31 11:47:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697828", "2019-12-31 11:47:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697829", "2019-12-31 11:47:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697830", "2019-12-31 11:48:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697831", "2019-12-31 11:48:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697832", "2019-12-31 11:48:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697833", "2019-12-31 11:48:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697834", "2019-12-31 11:49:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697835", "2019-12-31 11:49:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697836", "2019-12-31 11:49:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697837", "2019-12-31 11:49:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697838", "2019-12-31 11:50:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697839", "2019-12-31 11:50:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697840", "2019-12-31 11:50:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697841", "2019-12-31 11:51:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697842", "2019-12-31 11:51:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697843", "2019-12-31 11:52:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697844", "2019-12-31 11:52:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697845", "2019-12-31 11:52:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697846", "2019-12-31 11:53:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697847", "2019-12-31 11:53:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697848", "2019-12-31 11:53:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697849", "2019-12-31 11:53:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697850", "2019-12-31 11:54:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697851", "2019-12-31 11:54:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697852", "2019-12-31 11:54:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697853", "2019-12-31 11:55:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697854", "2019-12-31 11:55:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697855", "2019-12-31 11:56:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697856", "2019-12-31 11:56:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697857", "2019-12-31 11:56:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697858", "2019-12-31 11:57:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697859", "2019-12-31 11:57:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697860", "2019-12-31 11:57:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697861", "2019-12-31 11:58:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697862", "2019-12-31 11:58:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697863", "2019-12-31 11:58:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697864", "2019-12-31 11:58:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697865", "2019-12-31 11:59:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697866", "2019-12-31 11:59:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697867", "2019-12-31 11:59:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697868", "2019-12-31 12:00:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697869", "2019-12-31 12:00:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697870", "2019-12-31 12:00:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697871", "2019-12-31 12:01:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697872", "2019-12-31 12:01:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697873", "2019-12-31 12:01:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697874", "2019-12-31 12:02:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697875", "2019-12-31 12:02:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697876", "2019-12-31 12:02:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697877", "2019-12-31 12:02:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697878", "2019-12-31 12:03:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697879", "2019-12-31 12:03:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697880", "2019-12-31 12:03:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697881", "2019-12-31 12:04:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697882", "2019-12-31 12:04:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697883", "2019-12-31 12:04:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697884", "2019-12-31 12:05:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697885", "2019-12-31 12:05:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697886", "2019-12-31 12:05:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697887", "2019-12-31 12:06:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697888", "2019-12-31 12:06:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697889", "2019-12-31 12:06:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697890", "2019-12-31 12:06:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697891", "2019-12-31 12:06:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697892", "2019-12-31 12:07:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697893", "2019-12-31 12:07:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697894", "2019-12-31 12:07:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697895", "2019-12-31 12:08:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697896", "2019-12-31 12:08:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697897", "2019-12-31 12:08:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697898", "2019-12-31 12:09:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697899", "2019-12-31 12:09:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697900", "2019-12-31 12:09:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697901", "2019-12-31 12:10:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697902", "2019-12-31 12:10:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697903", "2019-12-31 12:10:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697904", "2019-12-31 12:10:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697905", "2019-12-31 12:11:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697906", "2019-12-31 12:11:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697907", "2019-12-31 12:11:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697908", "2019-12-31 12:12:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697909", "2019-12-31 12:12:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697910", "2019-12-31 12:12:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697911", "2019-12-31 12:13:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697912", "2019-12-31 12:13:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697913", "2019-12-31 12:13:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697914", "2019-12-31 12:14:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697915", "2019-12-31 12:14:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697916", "2019-12-31 12:14:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697917", "2019-12-31 12:14:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697918", "2019-12-31 12:15:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697919", "2019-12-31 12:15:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697920", "2019-12-31 12:15:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697921", "2019-12-31 12:16:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697922", "2019-12-31 12:16:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697923", "2019-12-31 12:16:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697924", "2019-12-31 12:16:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697925", "2019-12-31 12:17:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697926", "2019-12-31 12:17:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697927", "2019-12-31 12:17:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697928", "2019-12-31 12:18:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697929", "2019-12-31 12:18:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697930", "2019-12-31 12:18:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697931", "2019-12-31 12:19:02", "/?author=3", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "11584");
INSERT INTO `wp_redirection_404` VALUES("1697932", "2019-12-31 12:19:03", "/?author=4", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "11584");
INSERT INTO `wp_redirection_404` VALUES("1697933", "2019-12-31 12:19:05", "/?author=5", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "11584");
INSERT INTO `wp_redirection_404` VALUES("1697934", "2019-12-31 12:19:07", "/?author=6", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "11584");
INSERT INTO `wp_redirection_404` VALUES("1697935", "2019-12-31 12:19:08", "/?author=7", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "11584");
INSERT INTO `wp_redirection_404` VALUES("1697936", "2019-12-31 12:19:10", "/?author=8", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "11584");
INSERT INTO `wp_redirection_404` VALUES("1697937", "2019-12-31 12:19:11", "/?author=9", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "11584");
INSERT INTO `wp_redirection_404` VALUES("1697938", "2019-12-31 12:19:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697939", "2019-12-31 12:19:12", "/?author=10", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "11584");
INSERT INTO `wp_redirection_404` VALUES("1697940", "2019-12-31 12:19:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697941", "2019-12-31 12:19:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697942", "2019-12-31 12:20:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697943", "2019-12-31 12:20:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697944", "2019-12-31 12:20:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697945", "2019-12-31 12:21:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697946", "2019-12-31 12:21:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697947", "2019-12-31 12:21:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697948", "2019-12-31 12:21:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697949", "2019-12-31 12:22:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697950", "2019-12-31 12:22:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697951", "2019-12-31 12:22:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697952", "2019-12-31 12:23:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697953", "2019-12-31 12:23:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697954", "2019-12-31 12:23:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697955", "2019-12-31 12:24:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697956", "2019-12-31 12:24:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697957", "2019-12-31 12:24:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697958", "2019-12-31 12:25:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697959", "2019-12-31 12:25:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697960", "2019-12-31 12:25:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697961", "2019-12-31 12:26:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697962", "2019-12-31 12:26:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697963", "2019-12-31 12:26:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697964", "2019-12-31 12:27:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697965", "2019-12-31 12:27:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697966", "2019-12-31 12:27:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697967", "2019-12-31 12:27:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697968", "2019-12-31 12:28:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697969", "2019-12-31 12:28:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697970", "2019-12-31 12:28:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697971", "2019-12-31 12:28:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697972", "2019-12-31 12:29:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697973", "2019-12-31 12:29:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697974", "2019-12-31 12:29:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697975", "2019-12-31 12:30:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697976", "2019-12-31 12:30:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697977", "2019-12-31 12:30:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697978", "2019-12-31 12:31:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697979", "2019-12-31 12:31:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697980", "2019-12-31 12:31:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697981", "2019-12-31 12:32:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697982", "2019-12-31 12:32:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697983", "2019-12-31 12:32:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697984", "2019-12-31 12:33:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697985", "2019-12-31 12:33:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697986", "2019-12-31 12:33:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697987", "2019-12-31 12:34:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697988", "2019-12-31 12:34:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697989", "2019-12-31 12:34:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697990", "2019-12-31 12:35:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697991", "2019-12-31 12:35:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697992", "2019-12-31 12:35:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697993", "2019-12-31 12:36:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697994", "2019-12-31 12:36:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697995", "2019-12-31 12:36:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697996", "2019-12-31 12:37:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697997", "2019-12-31 12:37:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697998", "2019-12-31 12:37:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697999", "2019-12-31 12:37:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698000", "2019-12-31 12:38:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698001", "2019-12-31 12:38:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698002", "2019-12-31 12:38:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698003", "2019-12-31 12:39:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698004", "2019-12-31 12:39:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698005", "2019-12-31 12:39:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698006", "2019-12-31 12:40:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698007", "2019-12-31 12:40:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698008", "2019-12-31 12:41:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698009", "2019-12-31 12:41:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698010", "2019-12-31 12:41:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698011", "2019-12-31 12:42:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698012", "2019-12-31 12:42:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698013", "2019-12-31 12:42:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698014", "2019-12-31 12:43:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698015", "2019-12-31 12:43:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698016", "2019-12-31 12:43:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698017", "2019-12-31 12:44:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698018", "2019-12-31 12:44:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698019", "2019-12-31 12:44:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698020", "2019-12-31 12:45:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698021", "2019-12-31 12:45:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698022", "2019-12-31 12:45:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698023", "2019-12-31 12:46:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698024", "2019-12-31 12:46:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698025", "2019-12-31 12:46:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698026", "2019-12-31 12:47:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698027", "2019-12-31 12:47:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698028", "2019-12-31 12:48:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698029", "2019-12-31 12:48:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698030", "2019-12-31 12:48:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698031", "2019-12-31 12:49:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698032", "2019-12-31 12:49:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698033", "2019-12-31 12:49:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698034", "2019-12-31 12:50:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698035", "2019-12-31 12:50:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698036", "2019-12-31 12:50:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698037", "2019-12-31 12:51:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698038", "2019-12-31 12:51:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698039", "2019-12-31 12:51:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698040", "2019-12-31 12:52:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698041", "2019-12-31 12:52:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698042", "2019-12-31 12:52:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698043", "2019-12-31 12:53:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698044", "2019-12-31 12:53:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698045", "2019-12-31 12:53:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698046", "2019-12-31 12:53:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698047", "2019-12-31 12:54:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698048", "2019-12-31 12:54:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698049", "2019-12-31 12:54:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698050", "2019-12-31 12:55:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698051", "2019-12-31 12:55:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698052", "2019-12-31 12:55:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698053", "2019-12-31 12:56:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698054", "2019-12-31 12:56:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698055", "2019-12-31 12:56:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698056", "2019-12-31 12:57:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698057", "2019-12-31 12:57:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698058", "2019-12-31 12:57:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698059", "2019-12-31 12:58:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698060", "2019-12-31 12:58:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698061", "2019-12-31 12:58:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698062", "2019-12-31 12:59:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698063", "2019-12-31 12:59:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698064", "2019-12-31 12:59:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698065", "2019-12-31 13:00:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698066", "2019-12-31 13:00:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698067", "2019-12-31 13:00:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698068", "2019-12-31 13:01:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698069", "2019-12-31 13:01:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698070", "2019-12-31 13:01:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698071", "2019-12-31 13:01:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698072", "2019-12-31 13:02:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698073", "2019-12-31 13:02:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698074", "2019-12-31 13:02:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698075", "2019-12-31 13:03:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698076", "2019-12-31 13:03:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698077", "2019-12-31 13:04:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698078", "2019-12-31 13:04:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698079", "2019-12-31 13:04:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698080", "2019-12-31 13:05:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698081", "2019-12-31 13:05:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698082", "2019-12-31 13:05:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698083", "2019-12-31 13:06:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698084", "2019-12-31 13:06:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698085", "2019-12-31 13:06:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698086", "2019-12-31 13:07:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698087", "2019-12-31 13:07:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698088", "2019-12-31 13:08:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698089", "2019-12-31 13:08:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698090", "2019-12-31 13:08:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698091", "2019-12-31 13:08:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698092", "2019-12-31 13:09:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698093", "2019-12-31 13:09:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698094", "2019-12-31 13:09:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698095", "2019-12-31 13:10:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698096", "2019-12-31 13:10:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698097", "2019-12-31 13:10:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698098", "2019-12-31 13:11:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698099", "2019-12-31 13:11:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698100", "2019-12-31 13:11:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698101", "2019-12-31 13:12:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698102", "2019-12-31 13:12:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698103", "2019-12-31 13:12:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698104", "2019-12-31 13:13:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698105", "2019-12-31 13:13:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698106", "2019-12-31 13:13:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698107", "2019-12-31 13:14:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698108", "2019-12-31 13:14:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698109", "2019-12-31 13:14:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698110", "2019-12-31 13:14:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698111", "2019-12-31 13:15:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698112", "2019-12-31 13:15:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698113", "2019-12-31 13:15:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698114", "2019-12-31 13:16:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698115", "2019-12-31 13:16:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698116", "2019-12-31 13:17:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698117", "2019-12-31 13:17:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698118", "2019-12-31 13:17:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698119", "2019-12-31 13:18:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698120", "2019-12-31 13:18:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698121", "2019-12-31 13:18:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698122", "2019-12-31 13:19:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698123", "2019-12-31 13:19:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698124", "2019-12-31 13:19:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698125", "2019-12-31 13:20:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698126", "2019-12-31 13:20:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698127", "2019-12-31 13:20:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698128", "2019-12-31 13:21:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698129", "2019-12-31 13:21:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698130", "2019-12-31 13:21:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698131", "2019-12-31 13:22:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698132", "2019-12-31 13:22:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698133", "2019-12-31 13:22:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698134", "2019-12-31 13:23:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698135", "2019-12-31 13:23:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698136", "2019-12-31 13:23:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698137", "2019-12-31 13:23:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698138", "2019-12-31 13:24:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698139", "2019-12-31 13:24:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698140", "2019-12-31 13:24:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698141", "2019-12-31 13:25:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698142", "2019-12-31 13:25:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698143", "2019-12-31 13:25:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698144", "2019-12-31 13:25:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698145", "2019-12-31 13:26:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698146", "2019-12-31 13:26:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698147", "2019-12-31 13:26:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698148", "2019-12-31 13:26:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698149", "2019-12-31 13:27:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698150", "2019-12-31 13:27:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698151", "2019-12-31 13:27:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698152", "2019-12-31 13:28:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698153", "2019-12-31 13:28:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698154", "2019-12-31 13:28:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698155", "2019-12-31 13:29:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698156", "2019-12-31 13:29:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698157", "2019-12-31 13:29:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698158", "2019-12-31 13:29:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698159", "2019-12-31 13:30:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698160", "2019-12-31 13:30:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698161", "2019-12-31 13:30:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698162", "2019-12-31 13:30:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698163", "2019-12-31 13:31:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698164", "2019-12-31 13:31:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698165", "2019-12-31 13:32:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698166", "2019-12-31 13:32:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698167", "2019-12-31 13:32:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698168", "2019-12-31 13:32:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698169", "2019-12-31 13:32:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698170", "2019-12-31 13:33:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698171", "2019-12-31 13:33:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698172", "2019-12-31 13:33:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698173", "2019-12-31 13:34:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698174", "2019-12-31 13:34:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698175", "2019-12-31 13:34:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698176", "2019-12-31 13:35:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698177", "2019-12-31 13:35:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698178", "2019-12-31 13:35:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698179", "2019-12-31 13:35:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698180", "2019-12-31 13:36:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698181", "2019-12-31 13:36:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698182", "2019-12-31 13:36:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698183", "2019-12-31 13:37:02", "/hazelgreen-al/hazel-green-menu/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1698184", "2019-12-31 13:37:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698185", "2019-12-31 13:37:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698186", "2019-12-31 13:37:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698187", "2019-12-31 13:38:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698188", "2019-12-31 13:38:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698189", "2019-12-31 13:38:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698190", "2019-12-31 13:39:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698191", "2019-12-31 13:39:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698192", "2019-12-31 13:39:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698193", "2019-12-31 13:39:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698194", "2019-12-31 13:40:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698195", "2019-12-31 13:40:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698196", "2019-12-31 13:40:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698197", "2019-12-31 13:40:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698198", "2019-12-31 13:41:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698199", "2019-12-31 13:41:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698200", "2019-12-31 13:41:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698201", "2019-12-31 13:42:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698202", "2019-12-31 13:42:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698203", "2019-12-31 13:42:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698204", "2019-12-31 13:43:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698205", "2019-12-31 13:43:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698206", "2019-12-31 13:43:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698207", "2019-12-31 13:44:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698208", "2019-12-31 13:44:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698209", "2019-12-31 13:44:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698210", "2019-12-31 13:44:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698211", "2019-12-31 13:45:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698212", "2019-12-31 13:45:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698213", "2019-12-31 13:45:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698214", "2019-12-31 13:45:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698215", "2019-12-31 13:46:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698216", "2019-12-31 13:46:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698217", "2019-12-31 13:46:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698218", "2019-12-31 13:46:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698219", "2019-12-31 13:47:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698220", "2019-12-31 13:47:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698221", "2019-12-31 13:47:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698222", "2019-12-31 13:48:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698223", "2019-12-31 13:48:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698224", "2019-12-31 13:48:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698225", "2019-12-31 13:48:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698226", "2019-12-31 13:49:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698227", "2019-12-31 13:49:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698228", "2019-12-31 13:49:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698229", "2019-12-31 13:50:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698230", "2019-12-31 13:50:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698231", "2019-12-31 13:50:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698232", "2019-12-31 13:51:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698233", "2019-12-31 13:51:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698234", "2019-12-31 13:51:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698235", "2019-12-31 13:52:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698236", "2019-12-31 13:52:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698237", "2019-12-31 13:52:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698238", "2019-12-31 13:52:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698239", "2019-12-31 13:53:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698240", "2019-12-31 13:53:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698241", "2019-12-31 13:53:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698242", "2019-12-31 13:54:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698243", "2019-12-31 13:54:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698244", "2019-12-31 13:54:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698245", "2019-12-31 13:54:29", "/js/Date.js", "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Win64; x64; Trident/5.0)", "http://buckspizza.com/js/Date.js", "101200");
INSERT INTO `wp_redirection_404` VALUES("1698246", "2019-12-31 13:54:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698247", "2019-12-31 13:55:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698248", "2019-12-31 13:55:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698249", "2019-12-31 13:55:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698250", "2019-12-31 13:55:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698251", "2019-12-31 13:56:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698252", "2019-12-31 13:56:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698253", "2019-12-31 13:56:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698254", "2019-12-31 13:56:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698255", "2019-12-31 13:57:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698256", "2019-12-31 13:57:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698257", "2019-12-31 13:57:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698258", "2019-12-31 13:58:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698259", "2019-12-31 13:58:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698260", "2019-12-31 13:58:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698261", "2019-12-31 13:58:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698262", "2019-12-31 13:58:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698263", "2019-12-31 13:59:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698264", "2019-12-31 13:59:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698265", "2019-12-31 14:00:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698266", "2019-12-31 14:00:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698267", "2019-12-31 14:00:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698268", "2019-12-31 14:00:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698269", "2019-12-31 14:01:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698270", "2019-12-31 14:01:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698271", "2019-12-31 14:01:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698272", "2019-12-31 14:02:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698273", "2019-12-31 14:02:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698274", "2019-12-31 14:02:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698275", "2019-12-31 14:02:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698276", "2019-12-31 14:03:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698277", "2019-12-31 14:03:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698278", "2019-12-31 14:03:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698279", "2019-12-31 14:03:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698280", "2019-12-31 14:04:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698281", "2019-12-31 14:04:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698282", "2019-12-31 14:04:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698283", "2019-12-31 14:04:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698284", "2019-12-31 14:05:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698285", "2019-12-31 14:05:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698286", "2019-12-31 14:05:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698287", "2019-12-31 14:05:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698288", "2019-12-31 14:05:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698289", "2019-12-31 14:06:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698290", "2019-12-31 14:06:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698291", "2019-12-31 14:06:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698292", "2019-12-31 14:07:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698293", "2019-12-31 14:07:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698294", "2019-12-31 14:07:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698295", "2019-12-31 14:08:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698296", "2019-12-31 14:08:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698297", "2019-12-31 14:08:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698298", "2019-12-31 14:08:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698299", "2019-12-31 14:08:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698300", "2019-12-31 14:08:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698301", "2019-12-31 14:09:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698302", "2019-12-31 14:09:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698303", "2019-12-31 14:09:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698304", "2019-12-31 14:10:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698305", "2019-12-31 14:10:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698306", "2019-12-31 14:10:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698307", "2019-12-31 14:11:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698308", "2019-12-31 14:11:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698309", "2019-12-31 14:11:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698310", "2019-12-31 14:11:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698311", "2019-12-31 14:11:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698312", "2019-12-31 14:11:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698313", "2019-12-31 14:12:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698314", "2019-12-31 14:12:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698315", "2019-12-31 14:12:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698316", "2019-12-31 14:12:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698317", "2019-12-31 14:13:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698318", "2019-12-31 14:13:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698319", "2019-12-31 14:13:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698320", "2019-12-31 14:14:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698321", "2019-12-31 14:14:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698322", "2019-12-31 14:14:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698323", "2019-12-31 14:14:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698324", "2019-12-31 14:14:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698325", "2019-12-31 14:14:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698326", "2019-12-31 14:15:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698327", "2019-12-31 14:15:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698328", "2019-12-31 14:15:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698329", "2019-12-31 14:16:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698330", "2019-12-31 14:16:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698331", "2019-12-31 14:16:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698332", "2019-12-31 14:16:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698333", "2019-12-31 14:17:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698334", "2019-12-31 14:17:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698335", "2019-12-31 14:17:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698336", "2019-12-31 14:17:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698337", "2019-12-31 14:17:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698338", "2019-12-31 14:18:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698339", "2019-12-31 14:18:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698340", "2019-12-31 14:18:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698341", "2019-12-31 14:19:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698342", "2019-12-31 14:19:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698343", "2019-12-31 14:19:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698344", "2019-12-31 14:19:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698345", "2019-12-31 14:20:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698346", "2019-12-31 14:20:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698347", "2019-12-31 14:20:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698348", "2019-12-31 14:20:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698349", "2019-12-31 14:21:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698350", "2019-12-31 14:21:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698351", "2019-12-31 14:21:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698352", "2019-12-31 14:21:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698353", "2019-12-31 14:21:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698354", "2019-12-31 14:22:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698355", "2019-12-31 14:22:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698356", "2019-12-31 14:22:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698357", "2019-12-31 14:22:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698358", "2019-12-31 14:23:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698359", "2019-12-31 14:23:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698360", "2019-12-31 14:23:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698361", "2019-12-31 14:23:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698362", "2019-12-31 14:24:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698363", "2019-12-31 14:24:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698364", "2019-12-31 14:24:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698365", "2019-12-31 14:24:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698366", "2019-12-31 14:24:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698367", "2019-12-31 14:25:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698368", "2019-12-31 14:25:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698369", "2019-12-31 14:25:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698370", "2019-12-31 14:26:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698371", "2019-12-31 14:26:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698372", "2019-12-31 14:26:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698373", "2019-12-31 14:26:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698374", "2019-12-31 14:27:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698375", "2019-12-31 14:27:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698376", "2019-12-31 14:27:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698377", "2019-12-31 14:27:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698378", "2019-12-31 14:27:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698379", "2019-12-31 14:28:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698380", "2019-12-31 14:28:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698381", "2019-12-31 14:28:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698382", "2019-12-31 14:28:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698383", "2019-12-31 14:29:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698384", "2019-12-31 14:29:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698385", "2019-12-31 14:29:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698386", "2019-12-31 14:29:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698387", "2019-12-31 14:29:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698388", "2019-12-31 14:30:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698389", "2019-12-31 14:30:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698390", "2019-12-31 14:30:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698391", "2019-12-31 14:30:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698392", "2019-12-31 14:31:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698393", "2019-12-31 14:31:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698394", "2019-12-31 14:31:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698395", "2019-12-31 14:31:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698396", "2019-12-31 14:31:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698397", "2019-12-31 14:32:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698398", "2019-12-31 14:32:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698399", "2019-12-31 14:32:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698400", "2019-12-31 14:32:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698401", "2019-12-31 14:32:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698402", "2019-12-31 14:33:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698403", "2019-12-31 14:33:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698404", "2019-12-31 14:33:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698405", "2019-12-31 14:33:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698406", "2019-12-31 14:34:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698407", "2019-12-31 14:34:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698408", "2019-12-31 14:34:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698409", "2019-12-31 14:34:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698410", "2019-12-31 14:34:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698411", "2019-12-31 14:35:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698412", "2019-12-31 14:35:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698413", "2019-12-31 14:35:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698414", "2019-12-31 14:35:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698415", "2019-12-31 14:36:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698416", "2019-12-31 14:36:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698417", "2019-12-31 14:36:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698418", "2019-12-31 14:36:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698419", "2019-12-31 14:36:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698420", "2019-12-31 14:37:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698421", "2019-12-31 14:37:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698422", "2019-12-31 14:37:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698423", "2019-12-31 14:37:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698424", "2019-12-31 14:37:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698425", "2019-12-31 14:37:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698426", "2019-12-31 14:38:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698427", "2019-12-31 14:38:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698428", "2019-12-31 14:38:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698429", "2019-12-31 14:38:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698430", "2019-12-31 14:39:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698431", "2019-12-31 14:39:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698432", "2019-12-31 14:39:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698433", "2019-12-31 14:39:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698434", "2019-12-31 14:39:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698435", "2019-12-31 14:40:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698436", "2019-12-31 14:40:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698437", "2019-12-31 14:40:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698438", "2019-12-31 14:40:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698439", "2019-12-31 14:40:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698440", "2019-12-31 14:41:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698441", "2019-12-31 14:41:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698442", "2019-12-31 14:41:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698443", "2019-12-31 14:41:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698444", "2019-12-31 14:41:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698445", "2019-12-31 14:42:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698446", "2019-12-31 14:42:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698447", "2019-12-31 14:42:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698448", "2019-12-31 14:42:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698449", "2019-12-31 14:43:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698450", "2019-12-31 14:43:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698451", "2019-12-31 14:43:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698452", "2019-12-31 14:43:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698453", "2019-12-31 14:43:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698454", "2019-12-31 14:44:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698455", "2019-12-31 14:44:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698456", "2019-12-31 14:44:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698457", "2019-12-31 14:44:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698458", "2019-12-31 14:44:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698459", "2019-12-31 14:45:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698460", "2019-12-31 14:45:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698461", "2019-12-31 14:45:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698462", "2019-12-31 14:45:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698463", "2019-12-31 14:45:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698464", "2019-12-31 14:46:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698465", "2019-12-31 14:46:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698466", "2019-12-31 14:46:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698467", "2019-12-31 15:09:54", "/franchise/menus/f8a0cc91735eb2c8dc02a65219d5a472.pdf", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1698468", "2019-12-31 15:23:50", "/wp-admin/js/404.php", "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US) AppleWebKit/533.4 (KHTML, like Gecko) Chrome/5.0.375.99 Safari/533.4", "http://site.ru", "146185");
INSERT INTO `wp_redirection_404` VALUES("1698469", "2019-12-31 15:24:17", "/wp-admin/js/404.php", "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US) AppleWebKit/533.4 (KHTML, like Gecko) Chrome/5.0.375.99 Safari/533.4", "http://site.ru", "146185");
INSERT INTO `wp_redirection_404` VALUES("1698470", "2019-12-31 15:24:42", "/wp-admin/js/404.php", "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US) AppleWebKit/533.4 (KHTML, like Gecko) Chrome/5.0.375.99 Safari/533.4", "http://site.ru", "146185");
INSERT INTO `wp_redirection_404` VALUES("1698471", "2019-12-31 16:10:15", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174240");
INSERT INTO `wp_redirection_404` VALUES("1698472", "2019-12-31 16:10:15", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174240");
INSERT INTO `wp_redirection_404` VALUES("1698473", "2019-12-31 16:10:15", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174240");
INSERT INTO `wp_redirection_404` VALUES("1698474", "2019-12-31 16:10:15", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174240");
INSERT INTO `wp_redirection_404` VALUES("1698475", "2019-12-31 17:09:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698476", "2019-12-31 17:23:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698477", "2019-12-31 17:23:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698478", "2019-12-31 17:23:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698479", "2019-12-31 17:24:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698480", "2019-12-31 17:24:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698481", "2019-12-31 17:24:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698482", "2019-12-31 17:25:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698483", "2019-12-31 17:25:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698484", "2019-12-31 17:26:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698485", "2019-12-31 17:26:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698486", "2019-12-31 17:27:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698487", "2019-12-31 17:27:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698488", "2019-12-31 17:28:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698489", "2019-12-31 17:28:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698490", "2019-12-31 17:28:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698491", "2019-12-31 17:28:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698492", "2019-12-31 17:29:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698493", "2019-12-31 17:29:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698494", "2019-12-31 17:29:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698495", "2019-12-31 17:30:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698496", "2019-12-31 17:30:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698497", "2019-12-31 17:31:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698498", "2019-12-31 17:31:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698499", "2019-12-31 17:31:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698500", "2019-12-31 17:32:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698501", "2019-12-31 17:32:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698502", "2019-12-31 17:32:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698503", "2019-12-31 17:33:14", "/walterboro", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", NULL, "20674");
INSERT INTO `wp_redirection_404` VALUES("1698504", "2019-12-31 17:33:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698505", "2019-12-31 17:33:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698506", "2019-12-31 17:33:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698507", "2019-12-31 17:34:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698508", "2019-12-31 17:34:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698509", "2019-12-31 17:34:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698510", "2019-12-31 17:35:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698511", "2019-12-31 17:35:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698512", "2019-12-31 17:35:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698513", "2019-12-31 17:36:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698514", "2019-12-31 17:36:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698515", "2019-12-31 17:37:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698516", "2019-12-31 17:37:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698517", "2019-12-31 17:37:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698518", "2019-12-31 17:38:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698519", "2019-12-31 17:38:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698520", "2019-12-31 17:38:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698521", "2019-12-31 17:39:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698522", "2019-12-31 17:39:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698523", "2019-12-31 17:40:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698524", "2019-12-31 17:40:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698525", "2019-12-31 17:40:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698526", "2019-12-31 17:41:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698527", "2019-12-31 17:41:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698528", "2019-12-31 17:41:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698529", "2019-12-31 17:42:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698530", "2019-12-31 17:42:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698531", "2019-12-31 17:42:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698532", "2019-12-31 17:44:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698533", "2019-12-31 17:44:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698534", "2019-12-31 17:44:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698535", "2019-12-31 17:45:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698536", "2019-12-31 17:45:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698537", "2019-12-31 17:45:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698538", "2019-12-31 17:46:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698539", "2019-12-31 17:46:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698540", "2019-12-31 17:46:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698541", "2019-12-31 17:47:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698542", "2019-12-31 17:47:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698543", "2019-12-31 17:48:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698544", "2019-12-31 17:48:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698545", "2019-12-31 17:48:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698546", "2019-12-31 17:49:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698547", "2019-12-31 17:49:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698548", "2019-12-31 17:50:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698549", "2019-12-31 17:50:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698550", "2019-12-31 17:50:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698551", "2019-12-31 17:51:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698552", "2019-12-31 17:51:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698553", "2019-12-31 17:51:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698554", "2019-12-31 17:52:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698555", "2019-12-31 17:52:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698556", "2019-12-31 17:52:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698557", "2019-12-31 17:53:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698558", "2019-12-31 17:53:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698559", "2019-12-31 17:53:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698560", "2019-12-31 17:54:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698561", "2019-12-31 17:54:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698562", "2019-12-31 17:55:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698563", "2019-12-31 17:55:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698564", "2019-12-31 17:55:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698565", "2019-12-31 17:56:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698566", "2019-12-31 17:56:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698567", "2019-12-31 17:56:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698568", "2019-12-31 17:57:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698569", "2019-12-31 17:57:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698570", "2019-12-31 17:57:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698571", "2019-12-31 17:58:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698572", "2019-12-31 17:58:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698573", "2019-12-31 17:58:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698574", "2019-12-31 17:59:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698575", "2019-12-31 17:59:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698576", "2019-12-31 17:59:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698577", "2019-12-31 17:59:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698578", "2019-12-31 18:00:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698579", "2019-12-31 18:00:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698580", "2019-12-31 18:00:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698581", "2019-12-31 18:01:03", "/edistobeach-sc/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1698582", "2019-12-31 18:01:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698583", "2019-12-31 18:01:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698584", "2019-12-31 18:01:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698585", "2019-12-31 18:02:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698586", "2019-12-31 18:02:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698587", "2019-12-31 18:03:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698588", "2019-12-31 18:03:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698589", "2019-12-31 18:03:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698590", "2019-12-31 18:03:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698591", "2019-12-31 18:04:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698592", "2019-12-31 18:05:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698593", "2019-12-31 18:05:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698594", "2019-12-31 18:05:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698595", "2019-12-31 18:06:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698596", "2019-12-31 18:06:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698597", "2019-12-31 18:07:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698598", "2019-12-31 18:07:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698599", "2019-12-31 18:08:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698600", "2019-12-31 18:08:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698601", "2019-12-31 18:09:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698602", "2019-12-31 18:09:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698603", "2019-12-31 18:09:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698604", "2019-12-31 18:10:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698605", "2019-12-31 18:10:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698606", "2019-12-31 18:11:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698607", "2019-12-31 18:11:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698608", "2019-12-31 18:11:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698609", "2019-12-31 18:11:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698610", "2019-12-31 18:12:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698611", "2019-12-31 18:12:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698612", "2019-12-31 18:12:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698613", "2019-12-31 18:13:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698614", "2019-12-31 18:13:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698615", "2019-12-31 18:13:28", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "73131");
INSERT INTO `wp_redirection_404` VALUES("1698616", "2019-12-31 18:13:28", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "73131");
INSERT INTO `wp_redirection_404` VALUES("1698617", "2019-12-31 18:13:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698618", "2019-12-31 18:14:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698619", "2019-12-31 18:14:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698620", "2019-12-31 18:14:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698621", "2019-12-31 18:15:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698622", "2019-12-31 18:15:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698623", "2019-12-31 18:15:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698624", "2019-12-31 18:15:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698625", "2019-12-31 18:16:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698626", "2019-12-31 18:16:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698627", "2019-12-31 18:16:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698628", "2019-12-31 18:16:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698629", "2019-12-31 18:17:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698630", "2019-12-31 18:17:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698631", "2019-12-31 18:17:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698632", "2019-12-31 18:18:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698633", "2019-12-31 18:18:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698634", "2019-12-31 18:18:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698635", "2019-12-31 18:19:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698636", "2019-12-31 18:19:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698637", "2019-12-31 18:20:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698638", "2019-12-31 18:20:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698639", "2019-12-31 18:20:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698640", "2019-12-31 18:21:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698641", "2019-12-31 18:21:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698642", "2019-12-31 18:21:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698643", "2019-12-31 18:22:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698644", "2019-12-31 18:22:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698645", "2019-12-31 18:22:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698646", "2019-12-31 18:23:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698647", "2019-12-31 18:23:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698648", "2019-12-31 18:23:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698649", "2019-12-31 18:24:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698650", "2019-12-31 18:24:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698651", "2019-12-31 18:25:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698652", "2019-12-31 18:25:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698653", "2019-12-31 18:25:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698654", "2019-12-31 18:26:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698655", "2019-12-31 18:26:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698656", "2019-12-31 18:26:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698657", "2019-12-31 18:27:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698658", "2019-12-31 18:27:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698659", "2019-12-31 18:27:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698660", "2019-12-31 18:28:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698661", "2019-12-31 18:28:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698662", "2019-12-31 18:28:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698663", "2019-12-31 18:29:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698664", "2019-12-31 18:29:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698665", "2019-12-31 18:29:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698666", "2019-12-31 18:30:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698667", "2019-12-31 18:30:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698668", "2019-12-31 18:30:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698669", "2019-12-31 18:31:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698670", "2019-12-31 18:31:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698671", "2019-12-31 18:31:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698672", "2019-12-31 18:32:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698673", "2019-12-31 18:32:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698674", "2019-12-31 18:33:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698675", "2019-12-31 18:33:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698676", "2019-12-31 18:33:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698677", "2019-12-31 18:34:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698678", "2019-12-31 18:34:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698679", "2019-12-31 18:34:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698680", "2019-12-31 18:35:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698681", "2019-12-31 18:35:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698682", "2019-12-31 18:35:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698683", "2019-12-31 18:36:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698684", "2019-12-31 18:36:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698685", "2019-12-31 18:36:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698686", "2019-12-31 18:37:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698687", "2019-12-31 18:37:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698688", "2019-12-31 18:37:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698689", "2019-12-31 18:38:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698690", "2019-12-31 18:38:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698691", "2019-12-31 18:38:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698692", "2019-12-31 18:39:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698693", "2019-12-31 18:39:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698694", "2019-12-31 18:40:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698695", "2019-12-31 18:40:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698696", "2019-12-31 18:40:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698697", "2019-12-31 18:41:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698698", "2019-12-31 18:41:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698699", "2019-12-31 18:41:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698700", "2019-12-31 18:42:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698701", "2019-12-31 18:42:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698702", "2019-12-31 18:42:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698703", "2019-12-31 18:43:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698704", "2019-12-31 18:43:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698705", "2019-12-31 18:44:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698706", "2019-12-31 18:44:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698707", "2019-12-31 18:44:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698708", "2019-12-31 18:45:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698709", "2019-12-31 18:45:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698710", "2019-12-31 18:45:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698711", "2019-12-31 18:46:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698712", "2019-12-31 18:46:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698713", "2019-12-31 18:46:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698714", "2019-12-31 18:47:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698715", "2019-12-31 18:47:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698716", "2019-12-31 18:47:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698717", "2019-12-31 18:48:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698718", "2019-12-31 18:48:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698719", "2019-12-31 18:48:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698720", "2019-12-31 18:49:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698721", "2019-12-31 18:49:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698722", "2019-12-31 18:49:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698723", "2019-12-31 18:50:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698724", "2019-12-31 18:50:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698725", "2019-12-31 18:50:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698726", "2019-12-31 18:51:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698727", "2019-12-31 18:51:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698728", "2019-12-31 18:51:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698729", "2019-12-31 18:52:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698730", "2019-12-31 18:52:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698731", "2019-12-31 18:52:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698732", "2019-12-31 18:52:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698733", "2019-12-31 18:53:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698734", "2019-12-31 18:53:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698735", "2019-12-31 18:53:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698736", "2019-12-31 18:54:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698737", "2019-12-31 18:54:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698738", "2019-12-31 18:54:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698739", "2019-12-31 18:54:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698740", "2019-12-31 18:55:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698741", "2019-12-31 18:55:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698742", "2019-12-31 18:55:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698743", "2019-12-31 18:56:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698744", "2019-12-31 18:56:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698745", "2019-12-31 18:56:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698746", "2019-12-31 18:57:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698747", "2019-12-31 18:57:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698748", "2019-12-31 18:58:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698749", "2019-12-31 18:58:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698750", "2019-12-31 18:58:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698751", "2019-12-31 18:58:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698752", "2019-12-31 18:59:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698753", "2019-12-31 18:59:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698754", "2019-12-31 18:59:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698755", "2019-12-31 19:00:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698756", "2019-12-31 19:00:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698757", "2019-12-31 19:00:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698758", "2019-12-31 19:01:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698759", "2019-12-31 19:01:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698760", "2019-12-31 19:01:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698761", "2019-12-31 19:02:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698762", "2019-12-31 19:02:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698763", "2019-12-31 19:02:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698764", "2019-12-31 19:03:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698765", "2019-12-31 19:03:31", "/providers/htmleditorproviders/telerik/telerik.web.ui.dialoghandler.aspx", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_9_3) AppleWebKit/537.75.14 (KHTML, like Gecko) Version/7.0.3 Safari/7046A194A", NULL, "145131");
INSERT INTO `wp_redirection_404` VALUES("1698766", "2019-12-31 19:03:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698767", "2019-12-31 19:04:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698768", "2019-12-31 19:04:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698769", "2019-12-31 19:04:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698770", "2019-12-31 19:05:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698771", "2019-12-31 19:05:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698772", "2019-12-31 19:05:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698773", "2019-12-31 19:06:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698774", "2019-12-31 19:06:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698775", "2019-12-31 19:06:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698776", "2019-12-31 19:07:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698777", "2019-12-31 19:07:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698778", "2019-12-31 19:07:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698779", "2019-12-31 19:08:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698780", "2019-12-31 19:08:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698781", "2019-12-31 19:08:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698782", "2019-12-31 19:08:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698783", "2019-12-31 19:09:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698784", "2019-12-31 19:09:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698785", "2019-12-31 19:09:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698786", "2019-12-31 19:10:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698787", "2019-12-31 19:10:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698788", "2019-12-31 19:10:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698789", "2019-12-31 19:11:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698790", "2019-12-31 19:11:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698791", "2019-12-31 19:11:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698792", "2019-12-31 19:12:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698793", "2019-12-31 19:12:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698794", "2019-12-31 19:12:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698795", "2019-12-31 19:13:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698796", "2019-12-31 19:13:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698797", "2019-12-31 19:13:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698798", "2019-12-31 19:14:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698799", "2019-12-31 19:14:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698800", "2019-12-31 19:14:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698801", "2019-12-31 19:15:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698802", "2019-12-31 19:15:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698803", "2019-12-31 19:15:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698804", "2019-12-31 19:16:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698805", "2019-12-31 19:16:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698806", "2019-12-31 19:16:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698807", "2019-12-31 19:17:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698808", "2019-12-31 19:17:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698809", "2019-12-31 19:17:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698810", "2019-12-31 19:18:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698811", "2019-12-31 19:18:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698812", "2019-12-31 19:18:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698813", "2019-12-31 19:19:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698814", "2019-12-31 19:19:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698815", "2019-12-31 19:19:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698816", "2019-12-31 19:19:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698817", "2019-12-31 19:20:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698818", "2019-12-31 19:20:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698819", "2019-12-31 19:20:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698820", "2019-12-31 19:21:07", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174195");
INSERT INTO `wp_redirection_404` VALUES("1698821", "2019-12-31 19:21:07", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174195");
INSERT INTO `wp_redirection_404` VALUES("1698822", "2019-12-31 19:21:08", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174195");
INSERT INTO `wp_redirection_404` VALUES("1698823", "2019-12-31 19:21:08", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174195");
INSERT INTO `wp_redirection_404` VALUES("1698824", "2019-12-31 19:21:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698825", "2019-12-31 19:21:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698826", "2019-12-31 19:21:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698827", "2019-12-31 19:22:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698828", "2019-12-31 19:22:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698829", "2019-12-31 19:22:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698830", "2019-12-31 19:23:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698831", "2019-12-31 19:23:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698832", "2019-12-31 19:23:37", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "174219");
INSERT INTO `wp_redirection_404` VALUES("1698833", "2019-12-31 19:23:38", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "174219");
INSERT INTO `wp_redirection_404` VALUES("1698834", "2019-12-31 19:23:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698835", "2019-12-31 19:24:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698836", "2019-12-31 19:24:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698837", "2019-12-31 19:24:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698838", "2019-12-31 19:25:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698839", "2019-12-31 19:25:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698840", "2019-12-31 19:25:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698841", "2019-12-31 19:26:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698842", "2019-12-31 19:26:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698843", "2019-12-31 19:26:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698844", "2019-12-31 19:27:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698845", "2019-12-31 19:27:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698846", "2019-12-31 19:27:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698847", "2019-12-31 19:28:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698848", "2019-12-31 19:28:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698849", "2019-12-31 19:28:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698850", "2019-12-31 19:29:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698851", "2019-12-31 19:29:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698852", "2019-12-31 19:29:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698853", "2019-12-31 19:30:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698854", "2019-12-31 19:30:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698855", "2019-12-31 19:30:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698856", "2019-12-31 19:31:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698857", "2019-12-31 19:31:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698858", "2019-12-31 19:31:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698859", "2019-12-31 19:32:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698860", "2019-12-31 19:32:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698861", "2019-12-31 19:32:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698862", "2019-12-31 19:33:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698863", "2019-12-31 19:33:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698864", "2019-12-31 19:33:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698865", "2019-12-31 19:33:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698866", "2019-12-31 19:34:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698867", "2019-12-31 19:34:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698868", "2019-12-31 19:34:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698869", "2019-12-31 19:35:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698870", "2019-12-31 19:35:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698871", "2019-12-31 19:35:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698872", "2019-12-31 19:36:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698873", "2019-12-31 19:36:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698874", "2019-12-31 19:36:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698875", "2019-12-31 19:37:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698876", "2019-12-31 19:37:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698877", "2019-12-31 19:37:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698878", "2019-12-31 19:38:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698879", "2019-12-31 19:38:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698880", "2019-12-31 19:38:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698881", "2019-12-31 19:39:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698882", "2019-12-31 19:39:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698883", "2019-12-31 19:39:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698884", "2019-12-31 19:39:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698885", "2019-12-31 19:40:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698886", "2019-12-31 19:40:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698887", "2019-12-31 19:40:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698888", "2019-12-31 19:41:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698889", "2019-12-31 19:41:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698890", "2019-12-31 19:41:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698891", "2019-12-31 19:42:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698892", "2019-12-31 19:42:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698893", "2019-12-31 19:42:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698894", "2019-12-31 19:43:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698895", "2019-12-31 19:43:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698896", "2019-12-31 19:43:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698897", "2019-12-31 19:44:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698898", "2019-12-31 19:44:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698899", "2019-12-31 19:44:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698900", "2019-12-31 19:44:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698901", "2019-12-31 19:45:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698902", "2019-12-31 19:45:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698903", "2019-12-31 19:46:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698904", "2019-12-31 19:46:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698905", "2019-12-31 19:46:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698906", "2019-12-31 19:46:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698907", "2019-12-31 19:47:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698908", "2019-12-31 19:47:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698909", "2019-12-31 19:48:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698910", "2019-12-31 19:48:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698911", "2019-12-31 19:48:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698912", "2019-12-31 19:49:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698913", "2019-12-31 19:49:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698914", "2019-12-31 19:49:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698915", "2019-12-31 19:50:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698916", "2019-12-31 19:50:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698917", "2019-12-31 19:50:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698918", "2019-12-31 19:51:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698919", "2019-12-31 19:52:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698920", "2019-12-31 19:52:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698921", "2019-12-31 19:52:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698922", "2019-12-31 19:53:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698923", "2019-12-31 19:53:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698924", "2019-12-31 19:53:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698925", "2019-12-31 19:54:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698926", "2019-12-31 19:54:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698927", "2019-12-31 19:55:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698928", "2019-12-31 19:55:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698929", "2019-12-31 19:56:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698930", "2019-12-31 19:56:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698931", "2019-12-31 19:56:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698932", "2019-12-31 19:57:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698933", "2019-12-31 19:57:48", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "174235");
INSERT INTO `wp_redirection_404` VALUES("1698934", "2019-12-31 19:57:50", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "174235");
INSERT INTO `wp_redirection_404` VALUES("1698935", "2019-12-31 19:57:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698936", "2019-12-31 19:58:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698937", "2019-12-31 19:59:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698938", "2019-12-31 19:59:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698939", "2019-12-31 19:59:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698940", "2019-12-31 20:00:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698941", "2019-12-31 20:00:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698942", "2019-12-31 20:00:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698943", "2019-12-31 20:01:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698944", "2019-12-31 20:01:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698945", "2019-12-31 20:02:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698946", "2019-12-31 20:02:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698947", "2019-12-31 20:02:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1698948", "2019-12-31 20:03:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702054", "2020-01-01 14:15:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702055", "2020-01-01 14:15:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702056", "2020-01-01 14:16:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702057", "2020-01-01 14:16:37", "/public/router.php", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "39104");
INSERT INTO `wp_redirection_404` VALUES("1702058", "2020-01-01 14:16:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702059", "2020-01-01 14:16:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702060", "2020-01-01 14:17:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702061", "2020-01-01 14:17:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702062", "2020-01-01 14:18:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702063", "2020-01-01 14:18:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702064", "2020-01-01 14:18:46", "/thank-you-celebration/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1702065", "2020-01-01 14:18:46", "/thank-you-celebration/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1702066", "2020-01-01 14:18:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702067", "2020-01-01 14:19:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702068", "2020-01-01 14:19:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702069", "2020-01-01 14:20:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702070", "2020-01-01 14:20:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702071", "2020-01-01 14:20:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702072", "2020-01-01 14:21:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702073", "2020-01-01 14:21:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702074", "2020-01-01 14:21:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702075", "2020-01-01 14:22:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702076", "2020-01-01 14:22:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702077", "2020-01-01 14:22:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702078", "2020-01-01 14:23:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702079", "2020-01-01 14:23:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702080", "2020-01-01 14:23:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702081", "2020-01-01 14:24:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702082", "2020-01-01 14:24:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702083", "2020-01-01 14:24:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702084", "2020-01-01 14:25:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702085", "2020-01-01 14:25:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702086", "2020-01-01 14:25:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702087", "2020-01-01 14:26:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702088", "2020-01-01 14:26:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702089", "2020-01-01 14:26:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702090", "2020-01-01 14:27:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702091", "2020-01-01 14:27:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702092", "2020-01-01 14:28:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702093", "2020-01-01 14:28:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702094", "2020-01-01 14:28:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702095", "2020-01-01 14:29:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702096", "2020-01-01 14:29:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702097", "2020-01-01 14:29:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702098", "2020-01-01 14:30:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702099", "2020-01-01 14:30:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702100", "2020-01-01 14:30:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702101", "2020-01-01 14:31:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702102", "2020-01-01 14:31:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702103", "2020-01-01 14:31:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702104", "2020-01-01 14:32:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702105", "2020-01-01 14:32:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702106", "2020-01-01 14:32:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702107", "2020-01-01 14:33:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702108", "2020-01-01 14:33:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702109", "2020-01-01 14:33:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702110", "2020-01-01 14:34:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702111", "2020-01-01 14:34:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702112", "2020-01-01 14:34:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702113", "2020-01-01 14:35:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702114", "2020-01-01 14:35:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702115", "2020-01-01 14:35:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702116", "2020-01-01 14:36:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702117", "2020-01-01 14:36:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702118", "2020-01-01 14:36:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702119", "2020-01-01 14:37:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702120", "2020-01-01 14:37:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702121", "2020-01-01 14:38:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702122", "2020-01-01 14:38:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702123", "2020-01-01 14:38:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702124", "2020-01-01 14:39:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702125", "2020-01-01 14:39:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702126", "2020-01-01 14:39:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702127", "2020-01-01 14:40:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702128", "2020-01-01 14:40:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702129", "2020-01-01 14:40:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702130", "2020-01-01 14:41:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702131", "2020-01-01 14:41:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702132", "2020-01-01 14:41:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702133", "2020-01-01 14:42:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702134", "2020-01-01 14:42:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702135", "2020-01-01 14:43:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702136", "2020-01-01 14:43:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702137", "2020-01-01 14:43:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702138", "2020-01-01 14:44:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702139", "2020-01-01 14:44:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702140", "2020-01-01 14:44:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702141", "2020-01-01 14:45:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702142", "2020-01-01 14:45:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702143", "2020-01-01 14:45:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702144", "2020-01-01 14:46:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702145", "2020-01-01 14:46:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702146", "2020-01-01 14:46:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702147", "2020-01-01 14:46:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702148", "2020-01-01 14:47:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702149", "2020-01-01 14:47:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702150", "2020-01-01 14:47:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702151", "2020-01-01 14:48:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702152", "2020-01-01 14:48:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702153", "2020-01-01 14:48:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702154", "2020-01-01 14:49:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702155", "2020-01-01 14:49:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702156", "2020-01-01 14:49:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702157", "2020-01-01 14:50:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702158", "2020-01-01 14:50:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702159", "2020-01-01 14:50:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702160", "2020-01-01 14:51:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702161", "2020-01-01 14:51:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702162", "2020-01-01 14:52:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702163", "2020-01-01 14:52:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702164", "2020-01-01 14:52:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702165", "2020-01-01 14:53:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702166", "2020-01-01 14:53:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702167", "2020-01-01 14:53:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702168", "2020-01-01 14:54:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702169", "2020-01-01 14:54:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702170", "2020-01-01 14:54:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702171", "2020-01-01 14:55:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702172", "2020-01-01 14:55:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702173", "2020-01-01 14:55:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702174", "2020-01-01 14:56:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702175", "2020-01-01 14:56:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702176", "2020-01-01 14:56:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702177", "2020-01-01 14:57:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702178", "2020-01-01 14:57:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702179", "2020-01-01 14:57:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702180", "2020-01-01 14:58:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702181", "2020-01-01 14:58:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702182", "2020-01-01 14:58:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702183", "2020-01-01 14:59:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702184", "2020-01-01 14:59:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702185", "2020-01-01 14:59:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702186", "2020-01-01 15:00:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702187", "2020-01-01 15:00:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702188", "2020-01-01 15:01:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702189", "2020-01-01 15:01:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702190", "2020-01-01 15:01:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702191", "2020-01-01 15:02:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702192", "2020-01-01 15:02:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702193", "2020-01-01 15:02:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702194", "2020-01-01 15:03:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702195", "2020-01-01 15:03:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702196", "2020-01-01 15:03:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702197", "2020-01-01 15:04:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702198", "2020-01-01 15:04:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702199", "2020-01-01 15:05:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702200", "2020-01-01 15:05:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702201", "2020-01-01 15:05:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702202", "2020-01-01 15:06:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702203", "2020-01-01 15:06:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702204", "2020-01-01 15:06:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702205", "2020-01-01 15:07:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702206", "2020-01-01 15:07:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702207", "2020-01-01 15:07:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702208", "2020-01-01 15:08:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702209", "2020-01-01 15:08:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702210", "2020-01-01 15:08:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702211", "2020-01-01 15:09:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702212", "2020-01-01 15:09:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702213", "2020-01-01 15:09:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702214", "2020-01-01 15:10:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702215", "2020-01-01 15:10:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702216", "2020-01-01 15:10:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702217", "2020-01-01 15:10:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702218", "2020-01-01 15:11:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702219", "2020-01-01 15:11:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702220", "2020-01-01 15:11:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702221", "2020-01-01 15:12:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702222", "2020-01-01 15:12:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702223", "2020-01-01 15:12:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702224", "2020-01-01 15:13:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702225", "2020-01-01 15:13:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702226", "2020-01-01 15:13:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702227", "2020-01-01 15:14:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702228", "2020-01-01 15:14:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702229", "2020-01-01 15:14:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702230", "2020-01-01 15:15:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702231", "2020-01-01 15:15:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702232", "2020-01-01 15:15:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702233", "2020-01-01 15:16:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702234", "2020-01-01 15:16:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702235", "2020-01-01 15:17:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702236", "2020-01-01 15:17:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702237", "2020-01-01 15:17:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702238", "2020-01-01 15:18:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702239", "2020-01-01 15:18:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702240", "2020-01-01 15:18:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702241", "2020-01-01 15:19:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702242", "2020-01-01 15:19:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702243", "2020-01-01 15:19:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702244", "2020-01-01 15:20:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702245", "2020-01-01 15:20:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702246", "2020-01-01 15:20:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702247", "2020-01-01 15:21:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702248", "2020-01-01 15:21:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702249", "2020-01-01 15:21:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702250", "2020-01-01 15:22:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702251", "2020-01-01 15:22:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702252", "2020-01-01 15:22:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702253", "2020-01-01 15:23:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702254", "2020-01-01 15:23:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702255", "2020-01-01 15:24:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702256", "2020-01-01 15:24:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702257", "2020-01-01 15:24:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702258", "2020-01-01 15:25:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702259", "2020-01-01 15:25:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702260", "2020-01-01 15:25:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702261", "2020-01-01 15:26:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702262", "2020-01-01 15:26:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702263", "2020-01-01 15:26:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702264", "2020-01-01 15:27:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702265", "2020-01-01 15:27:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702266", "2020-01-01 15:27:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702267", "2020-01-01 15:28:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702268", "2020-01-01 15:28:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702269", "2020-01-01 15:28:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702270", "2020-01-01 15:28:59", "/dubois-", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702271", "2020-01-01 15:29:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702272", "2020-01-01 15:29:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702273", "2020-01-01 15:29:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702274", "2020-01-01 15:30:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702275", "2020-01-01 15:30:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702276", "2020-01-01 15:30:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702277", "2020-01-01 15:31:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702278", "2020-01-01 15:31:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702279", "2020-01-01 15:32:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702280", "2020-01-01 15:33:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702281", "2020-01-01 15:33:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702282", "2020-01-01 15:33:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702283", "2020-01-01 15:34:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702284", "2020-01-01 15:34:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702285", "2020-01-01 15:34:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702286", "2020-01-01 15:35:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702287", "2020-01-01 15:35:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702288", "2020-01-01 15:35:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702289", "2020-01-01 15:36:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702290", "2020-01-01 15:36:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702291", "2020-01-01 15:36:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702292", "2020-01-01 15:37:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702293", "2020-01-01 15:37:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702294", "2020-01-01 15:37:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702295", "2020-01-01 15:38:09", "/public/router.php", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "39104");
INSERT INTO `wp_redirection_404` VALUES("1702296", "2020-01-01 15:38:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702297", "2020-01-01 15:38:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702298", "2020-01-01 15:38:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702299", "2020-01-01 15:39:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702300", "2020-01-01 15:39:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702301", "2020-01-01 15:39:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702302", "2020-01-01 15:40:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702303", "2020-01-01 15:40:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702304", "2020-01-01 15:40:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702305", "2020-01-01 15:41:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702306", "2020-01-01 15:41:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702307", "2020-01-01 15:41:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702308", "2020-01-01 15:42:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702309", "2020-01-01 15:42:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702310", "2020-01-01 15:42:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702311", "2020-01-01 15:43:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702312", "2020-01-01 15:43:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702313", "2020-01-01 15:44:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702314", "2020-01-01 15:44:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702315", "2020-01-01 15:45:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702316", "2020-01-01 15:45:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702317", "2020-01-01 15:45:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702318", "2020-01-01 15:46:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702319", "2020-01-01 15:46:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702320", "2020-01-01 15:46:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702321", "2020-01-01 15:47:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702322", "2020-01-01 15:47:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702323", "2020-01-01 15:47:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702324", "2020-01-01 15:48:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702325", "2020-01-01 15:48:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702326", "2020-01-01 15:49:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702327", "2020-01-01 15:49:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702328", "2020-01-01 15:50:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702329", "2020-01-01 15:50:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702330", "2020-01-01 15:51:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702331", "2020-01-01 15:51:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702332", "2020-01-01 15:51:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702333", "2020-01-01 15:52:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702334", "2020-01-01 15:52:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702335", "2020-01-01 15:52:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702336", "2020-01-01 15:53:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702337", "2020-01-01 15:53:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702338", "2020-01-01 15:53:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702339", "2020-01-01 15:54:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702340", "2020-01-01 15:54:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702341", "2020-01-01 15:54:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702342", "2020-01-01 15:55:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702343", "2020-01-01 15:55:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702344", "2020-01-01 15:56:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702345", "2020-01-01 15:56:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702346", "2020-01-01 15:56:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702347", "2020-01-01 15:57:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702348", "2020-01-01 15:57:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702349", "2020-01-01 15:57:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702350", "2020-01-01 15:58:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702351", "2020-01-01 15:58:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702352", "2020-01-01 15:58:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702353", "2020-01-01 15:59:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702354", "2020-01-01 15:59:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702355", "2020-01-01 15:59:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702356", "2020-01-01 16:00:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702357", "2020-01-01 16:00:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702358", "2020-01-01 16:00:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702359", "2020-01-01 16:01:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702360", "2020-01-01 16:01:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702361", "2020-01-01 16:01:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702362", "2020-01-01 16:02:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702363", "2020-01-01 16:02:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702364", "2020-01-01 16:02:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702365", "2020-01-01 16:03:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702366", "2020-01-01 16:03:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702367", "2020-01-01 16:04:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702368", "2020-01-01 16:04:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702369", "2020-01-01 16:05:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702370", "2020-01-01 16:05:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702371", "2020-01-01 16:05:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702372", "2020-01-01 16:06:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702373", "2020-01-01 16:06:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702374", "2020-01-01 16:06:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702375", "2020-01-01 16:07:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702376", "2020-01-01 16:07:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702377", "2020-01-01 16:07:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702378", "2020-01-01 16:08:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702379", "2020-01-01 16:08:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702380", "2020-01-01 16:09:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702381", "2020-01-01 16:09:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702382", "2020-01-01 16:10:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702383", "2020-01-01 16:10:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702384", "2020-01-01 16:10:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702385", "2020-01-01 16:11:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702386", "2020-01-01 16:11:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702387", "2020-01-01 16:11:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702388", "2020-01-01 16:12:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702389", "2020-01-01 16:12:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702390", "2020-01-01 16:12:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702391", "2020-01-01 16:12:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702392", "2020-01-01 16:13:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702393", "2020-01-01 16:13:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702394", "2020-01-01 16:13:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702395", "2020-01-01 16:14:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702396", "2020-01-01 16:14:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702397", "2020-01-01 16:15:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702398", "2020-01-01 16:15:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702399", "2020-01-01 16:15:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702400", "2020-01-01 16:16:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702401", "2020-01-01 16:16:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702402", "2020-01-01 16:16:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702403", "2020-01-01 16:17:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702404", "2020-01-01 16:17:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702405", "2020-01-01 16:17:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702406", "2020-01-01 16:18:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702407", "2020-01-01 16:18:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702408", "2020-01-01 16:18:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702409", "2020-01-01 16:19:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702410", "2020-01-01 16:19:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702411", "2020-01-01 16:19:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702412", "2020-01-01 16:20:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702413", "2020-01-01 16:20:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702414", "2020-01-01 16:20:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702415", "2020-01-01 16:21:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702416", "2020-01-01 16:21:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702417", "2020-01-01 16:21:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702418", "2020-01-01 16:22:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702419", "2020-01-01 16:22:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702420", "2020-01-01 16:23:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702421", "2020-01-01 16:23:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702422", "2020-01-01 16:23:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702423", "2020-01-01 16:24:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702424", "2020-01-01 16:24:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702425", "2020-01-01 16:24:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702426", "2020-01-01 16:25:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702427", "2020-01-01 16:25:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702428", "2020-01-01 16:25:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702429", "2020-01-01 16:26:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702430", "2020-01-01 16:26:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702431", "2020-01-01 16:26:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702432", "2020-01-01 16:27:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702433", "2020-01-01 16:27:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702434", "2020-01-01 16:27:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702435", "2020-01-01 16:28:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702436", "2020-01-01 16:28:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702437", "2020-01-01 16:29:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702438", "2020-01-01 16:29:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702439", "2020-01-01 16:29:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702440", "2020-01-01 16:30:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702441", "2020-01-01 16:30:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702442", "2020-01-01 16:30:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702443", "2020-01-01 16:31:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702444", "2020-01-01 16:31:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702445", "2020-01-01 16:31:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702446", "2020-01-01 16:32:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702447", "2020-01-01 16:32:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702448", "2020-01-01 16:32:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702449", "2020-01-01 16:33:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702450", "2020-01-01 16:33:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702451", "2020-01-01 16:33:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702452", "2020-01-01 16:34:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702453", "2020-01-01 16:34:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702454", "2020-01-01 16:35:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702455", "2020-01-01 16:35:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702456", "2020-01-01 16:35:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702457", "2020-01-01 16:36:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702458", "2020-01-01 16:36:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702459", "2020-01-01 16:37:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702460", "2020-01-01 16:37:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702461", "2020-01-01 16:37:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702462", "2020-01-01 16:38:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702463", "2020-01-01 16:38:50", "/clearfield-pa/wing-day-wednesdays/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1702464", "2020-01-01 16:38:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702465", "2020-01-01 16:38:59", "/torrington-wy/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1702466", "2020-01-01 16:39:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702467", "2020-01-01 16:39:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702468", "2020-01-01 16:40:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702469", "2020-01-01 16:40:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702470", "2020-01-01 16:40:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702471", "2020-01-01 16:41:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702472", "2020-01-01 16:41:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702473", "2020-01-01 16:41:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702474", "2020-01-01 16:42:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702475", "2020-01-01 16:42:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702476", "2020-01-01 16:42:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702477", "2020-01-01 16:43:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702478", "2020-01-01 16:43:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702479", "2020-01-01 16:43:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702480", "2020-01-01 16:44:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702481", "2020-01-01 16:44:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702482", "2020-01-01 16:44:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702483", "2020-01-01 16:45:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702484", "2020-01-01 16:45:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702485", "2020-01-01 16:45:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702486", "2020-01-01 16:46:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702487", "2020-01-01 16:46:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702488", "2020-01-01 16:46:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702489", "2020-01-01 16:47:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702490", "2020-01-01 16:47:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702491", "2020-01-01 16:48:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702492", "2020-01-01 16:48:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702493", "2020-01-01 16:48:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702494", "2020-01-01 16:49:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702495", "2020-01-01 16:49:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702496", "2020-01-01 16:49:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702497", "2020-01-01 16:50:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702498", "2020-01-01 16:50:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702499", "2020-01-01 16:50:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702500", "2020-01-01 16:51:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702501", "2020-01-01 16:51:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702502", "2020-01-01 16:51:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702503", "2020-01-01 16:52:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702504", "2020-01-01 16:52:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702505", "2020-01-01 16:52:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702506", "2020-01-01 16:53:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702507", "2020-01-01 16:54:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702508", "2020-01-01 16:54:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702509", "2020-01-01 16:55:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702510", "2020-01-01 16:55:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702511", "2020-01-01 16:55:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702512", "2020-01-01 16:56:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702513", "2020-01-01 16:56:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702514", "2020-01-01 16:56:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702515", "2020-01-01 16:57:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702516", "2020-01-01 16:57:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702517", "2020-01-01 16:57:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702518", "2020-01-01 16:58:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702519", "2020-01-01 16:58:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702520", "2020-01-01 16:58:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702521", "2020-01-01 16:59:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702522", "2020-01-01 16:59:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702523", "2020-01-01 16:59:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702524", "2020-01-01 17:00:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702525", "2020-01-01 17:00:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702526", "2020-01-01 17:00:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702527", "2020-01-01 17:00:58", "/apple-touch-icon-152x152-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "7222");
INSERT INTO `wp_redirection_404` VALUES("1702528", "2020-01-01 17:00:59", "/apple-touch-icon-152x152.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "7222");
INSERT INTO `wp_redirection_404` VALUES("1702529", "2020-01-01 17:01:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702530", "2020-01-01 17:01:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702531", "2020-01-01 17:01:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702532", "2020-01-01 17:02:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702533", "2020-01-01 17:02:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702534", "2020-01-01 17:03:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702535", "2020-01-01 17:03:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702536", "2020-01-01 17:03:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702537", "2020-01-01 17:04:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702538", "2020-01-01 17:04:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702539", "2020-01-01 17:04:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702540", "2020-01-01 17:06:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702541", "2020-01-01 17:06:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702542", "2020-01-01 17:06:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702543", "2020-01-01 17:07:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702544", "2020-01-01 17:07:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702545", "2020-01-01 17:07:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702546", "2020-01-01 17:08:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702547", "2020-01-01 17:08:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702548", "2020-01-01 17:08:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702549", "2020-01-01 17:09:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702550", "2020-01-01 17:09:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702551", "2020-01-01 17:09:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702552", "2020-01-01 17:10:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702553", "2020-01-01 17:10:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702554", "2020-01-01 17:10:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702555", "2020-01-01 17:11:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702556", "2020-01-01 17:11:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702557", "2020-01-01 17:11:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702558", "2020-01-01 17:12:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702559", "2020-01-01 17:12:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702560", "2020-01-01 17:12:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702561", "2020-01-01 17:13:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702562", "2020-01-01 17:13:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702563", "2020-01-01 17:13:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702564", "2020-01-01 17:14:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702565", "2020-01-01 17:15:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702566", "2020-01-01 17:15:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702567", "2020-01-01 17:16:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702568", "2020-01-01 17:16:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702569", "2020-01-01 17:16:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702570", "2020-01-01 17:17:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702571", "2020-01-01 17:17:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702572", "2020-01-01 17:17:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702573", "2020-01-01 17:18:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702574", "2020-01-01 17:18:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702575", "2020-01-01 17:18:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702576", "2020-01-01 17:19:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702577", "2020-01-01 17:19:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702578", "2020-01-01 17:19:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702579", "2020-01-01 17:20:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702580", "2020-01-01 17:20:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702581", "2020-01-01 17:21:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702582", "2020-01-01 17:22:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702583", "2020-01-01 17:23:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702584", "2020-01-01 17:23:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702585", "2020-01-01 17:24:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702586", "2020-01-01 17:24:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702587", "2020-01-01 17:25:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702588", "2020-01-01 17:26:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702589", "2020-01-01 17:27:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702590", "2020-01-01 17:27:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702591", "2020-01-01 17:28:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702592", "2020-01-01 17:28:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702593", "2020-01-01 17:28:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702594", "2020-01-01 17:28:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702595", "2020-01-01 17:29:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702596", "2020-01-01 17:29:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702597", "2020-01-01 17:29:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702598", "2020-01-01 17:30:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702599", "2020-01-01 17:31:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702600", "2020-01-01 17:31:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702601", "2020-01-01 17:31:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702602", "2020-01-01 17:32:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702603", "2020-01-01 17:32:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702604", "2020-01-01 17:33:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702605", "2020-01-01 17:33:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702606", "2020-01-01 17:33:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702607", "2020-01-01 17:34:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702608", "2020-01-01 17:35:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702609", "2020-01-01 17:35:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702610", "2020-01-01 17:35:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702611", "2020-01-01 17:36:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702612", "2020-01-01 17:36:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702613", "2020-01-01 17:36:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702614", "2020-01-01 17:37:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702615", "2020-01-01 17:37:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702616", "2020-01-01 17:38:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702617", "2020-01-01 17:38:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702618", "2020-01-01 17:39:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702619", "2020-01-01 17:39:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702620", "2020-01-01 17:40:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702621", "2020-01-01 17:40:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702622", "2020-01-01 17:40:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702623", "2020-01-01 17:41:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702624", "2020-01-01 17:42:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702625", "2020-01-01 17:42:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702626", "2020-01-01 17:43:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702627", "2020-01-01 17:43:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702628", "2020-01-01 17:43:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702629", "2020-01-01 17:44:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702630", "2020-01-01 17:44:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702631", "2020-01-01 17:44:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702632", "2020-01-01 17:45:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702633", "2020-01-01 17:46:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702634", "2020-01-01 17:46:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702635", "2020-01-01 17:47:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702636", "2020-01-01 17:47:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702637", "2020-01-01 17:47:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702638", "2020-01-01 17:48:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702639", "2020-01-01 17:49:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702640", "2020-01-01 17:49:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702641", "2020-01-01 17:50:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702642", "2020-01-01 17:50:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702643", "2020-01-01 17:50:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702644", "2020-01-01 17:52:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702645", "2020-01-01 17:52:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702646", "2020-01-01 17:52:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702647", "2020-01-01 17:53:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702648", "2020-01-01 17:53:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702649", "2020-01-01 17:53:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702650", "2020-01-01 17:53:45", "/franchise/menus/db1852e1d49ddc681260b83ac32cdf7d.pdf", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1702651", "2020-01-01 17:55:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702652", "2020-01-01 17:55:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702653", "2020-01-01 17:55:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702654", "2020-01-01 17:56:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702655", "2020-01-01 17:56:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702656", "2020-01-01 17:56:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702657", "2020-01-01 17:57:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702658", "2020-01-01 17:58:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702659", "2020-01-01 17:58:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702660", "2020-01-01 17:59:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702661", "2020-01-01 17:59:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702662", "2020-01-01 17:59:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702663", "2020-01-01 18:00:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702664", "2020-01-01 18:01:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702665", "2020-01-01 18:01:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702666", "2020-01-01 18:02:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702667", "2020-01-01 18:02:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702668", "2020-01-01 18:02:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702669", "2020-01-01 18:03:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702670", "2020-01-01 18:04:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702671", "2020-01-01 18:04:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702672", "2020-01-01 18:05:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702673", "2020-01-01 18:05:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702674", "2020-01-01 18:05:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702675", "2020-01-01 18:06:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702676", "2020-01-01 18:07:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702677", "2020-01-01 18:07:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702678", "2020-01-01 18:08:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702679", "2020-01-01 18:08:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702680", "2020-01-01 18:08:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702681", "2020-01-01 18:09:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702682", "2020-01-01 18:10:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702683", "2020-01-01 18:10:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702684", "2020-01-01 18:11:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702685", "2020-01-01 18:11:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702686", "2020-01-01 18:12:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702687", "2020-01-01 18:12:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702688", "2020-01-01 18:13:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702689", "2020-01-01 18:14:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702690", "2020-01-01 18:14:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702691", "2020-01-01 18:15:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702692", "2020-01-01 18:15:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702693", "2020-01-01 18:15:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702694", "2020-01-01 18:16:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702695", "2020-01-01 18:17:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702696", "2020-01-01 18:19:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702697", "2020-01-01 18:20:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702698", "2020-01-01 18:21:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702699", "2020-01-01 18:22:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702700", "2020-01-01 18:22:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702701", "2020-01-01 18:25:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702702", "2020-01-01 18:27:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702703", "2020-01-01 18:27:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702704", "2020-01-01 18:28:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702705", "2020-01-01 18:28:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702706", "2020-01-01 18:29:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702707", "2020-01-01 18:31:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702708", "2020-01-01 18:34:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702709", "2020-01-01 18:34:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702710", "2020-01-01 18:35:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702711", "2020-01-01 18:36:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702712", "2020-01-01 18:37:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702713", "2020-01-01 18:37:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702714", "2020-01-01 18:38:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702715", "2020-01-01 18:39:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702716", "2020-01-01 18:43:10", "/pizza-parties/throw-pizza-party-kids-remember/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1702717", "2020-01-01 18:45:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702718", "2020-01-01 18:45:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702719", "2020-01-01 18:47:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702720", "2020-01-01 18:47:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702721", "2020-01-01 18:48:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702722", "2020-01-01 18:49:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702723", "2020-01-01 18:51:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702724", "2020-01-01 18:54:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702725", "2020-01-01 18:55:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702726", "2020-01-01 18:56:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702727", "2020-01-01 18:56:35", "/franchise/menus/a6de57d35a8725d6f9d2c972cd381ba4.pdf", "Mozilla/5.0 (Windows NT 6.1) AppleWebKit/536.11 (KHTML, like Gecko) Chrome/20.0.1132.47 Safari/536.11", NULL, "5290");
INSERT INTO `wp_redirection_404` VALUES("1702728", "2020-01-01 18:56:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702729", "2020-01-01 18:56:54", "/js/upimg/dialog.js", "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Win64; x64; Trident/5.0)", "http://buckspizza.com/js/upimg/dialog.js", "101200");
INSERT INTO `wp_redirection_404` VALUES("1702730", "2020-01-01 18:57:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702731", "2020-01-01 18:58:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702732", "2020-01-01 18:59:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702733", "2020-01-01 19:00:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702734", "2020-01-01 19:02:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702735", "2020-01-01 19:03:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702736", "2020-01-01 19:03:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702737", "2020-01-01 19:04:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702738", "2020-01-01 19:05:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702739", "2020-01-01 19:06:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702740", "2020-01-01 19:10:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702741", "2020-01-01 19:11:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702742", "2020-01-01 19:13:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702743", "2020-01-01 19:13:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702744", "2020-01-01 19:14:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702745", "2020-01-01 19:15:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702746", "2020-01-01 19:15:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702747", "2020-01-01 19:16:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702748", "2020-01-01 19:18:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702749", "2020-01-01 19:18:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702750", "2020-01-01 19:19:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702751", "2020-01-01 19:19:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702752", "2020-01-01 19:21:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702753", "2020-01-01 19:22:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702754", "2020-01-01 19:23:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702755", "2020-01-01 19:23:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702756", "2020-01-01 19:24:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702757", "2020-01-01 19:26:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702758", "2020-01-01 19:28:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702759", "2020-01-01 19:28:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702760", "2020-01-01 19:29:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702761", "2020-01-01 19:30:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702762", "2020-01-01 19:31:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702763", "2020-01-01 19:33:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702764", "2020-01-01 19:33:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702765", "2020-01-01 19:34:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702766", "2020-01-01 19:34:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702767", "2020-01-01 19:36:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702768", "2020-01-01 19:37:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702769", "2020-01-01 19:39:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702770", "2020-01-01 19:40:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702771", "2020-01-01 19:42:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702772", "2020-01-01 19:42:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702773", "2020-01-01 19:47:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702774", "2020-01-01 19:48:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702775", "2020-01-01 19:48:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702776", "2020-01-01 19:49:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702777", "2020-01-01 19:50:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702778", "2020-01-01 19:50:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702779", "2020-01-01 19:53:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702780", "2020-01-01 19:54:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702781", "2020-01-01 19:54:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702782", "2020-01-01 19:57:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702783", "2020-01-01 19:57:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702784", "2020-01-01 20:00:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702785", "2020-01-01 20:01:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702786", "2020-01-01 20:02:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697290", "2019-12-31 08:23:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697291", "2019-12-31 08:23:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697292", "2019-12-31 08:24:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697293", "2019-12-31 08:24:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697294", "2019-12-31 08:25:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697295", "2019-12-31 08:25:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697296", "2019-12-31 08:25:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697297", "2019-12-31 08:26:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697298", "2019-12-31 08:26:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697299", "2019-12-31 08:27:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697300", "2019-12-31 08:27:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697301", "2019-12-31 08:27:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697302", "2019-12-31 08:28:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697303", "2019-12-31 08:28:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697304", "2019-12-31 08:28:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697305", "2019-12-31 08:28:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697306", "2019-12-31 08:29:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697307", "2019-12-31 08:29:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697308", "2019-12-31 08:29:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697309", "2019-12-31 08:30:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697310", "2019-12-31 08:30:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697311", "2019-12-31 08:30:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697312", "2019-12-31 08:31:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697313", "2019-12-31 08:31:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697314", "2019-12-31 08:31:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697315", "2019-12-31 08:32:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697316", "2019-12-31 08:32:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697317", "2019-12-31 08:32:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697318", "2019-12-31 08:33:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697319", "2019-12-31 08:33:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697320", "2019-12-31 08:33:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697321", "2019-12-31 08:35:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697322", "2019-12-31 08:35:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697323", "2019-12-31 08:35:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697324", "2019-12-31 08:36:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697325", "2019-12-31 08:36:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697326", "2019-12-31 08:36:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697327", "2019-12-31 08:37:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697328", "2019-12-31 08:37:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697329", "2019-12-31 08:37:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697330", "2019-12-31 08:38:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697331", "2019-12-31 08:38:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697332", "2019-12-31 08:38:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697333", "2019-12-31 08:39:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697334", "2019-12-31 08:39:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697335", "2019-12-31 08:39:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697336", "2019-12-31 08:40:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697337", "2019-12-31 08:40:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697338", "2019-12-31 08:40:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697339", "2019-12-31 08:41:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697340", "2019-12-31 08:41:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697341", "2019-12-31 08:41:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697342", "2019-12-31 08:41:45", "/DesktopModules/Admin/RadEditorProvider/DialogHandler.aspx", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_9_3) AppleWebKit/537.75.14 (KHTML, like Gecko) Version/7.0.3 Safari/7046A194A", NULL, "145131");
INSERT INTO `wp_redirection_404` VALUES("1697343", "2019-12-31 08:42:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697344", "2019-12-31 08:42:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697345", "2019-12-31 08:42:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697346", "2019-12-31 08:44:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697347", "2019-12-31 08:44:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697348", "2019-12-31 08:44:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697349", "2019-12-31 08:45:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697350", "2019-12-31 08:45:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697351", "2019-12-31 08:46:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697352", "2019-12-31 08:47:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697353", "2019-12-31 08:47:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697354", "2019-12-31 08:47:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697355", "2019-12-31 08:48:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697356", "2019-12-31 08:48:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697357", "2019-12-31 08:49:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697358", "2019-12-31 08:50:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697359", "2019-12-31 08:50:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697360", "2019-12-31 08:50:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697361", "2019-12-31 08:51:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697362", "2019-12-31 08:51:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697363", "2019-12-31 08:51:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697364", "2019-12-31 08:52:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697365", "2019-12-31 08:52:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697366", "2019-12-31 08:52:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697367", "2019-12-31 08:54:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697368", "2019-12-31 08:54:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697369", "2019-12-31 08:54:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697370", "2019-12-31 08:55:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697371", "2019-12-31 08:55:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697372", "2019-12-31 08:55:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697373", "2019-12-31 08:56:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697374", "2019-12-31 08:56:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697375", "2019-12-31 08:56:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697376", "2019-12-31 08:56:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697377", "2019-12-31 08:57:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697378", "2019-12-31 08:57:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697379", "2019-12-31 08:57:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697380", "2019-12-31 08:58:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697381", "2019-12-31 08:58:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697382", "2019-12-31 08:59:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697383", "2019-12-31 08:59:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697384", "2019-12-31 08:59:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697385", "2019-12-31 09:00:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697386", "2019-12-31 09:00:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697387", "2019-12-31 09:00:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697388", "2019-12-31 09:01:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697389", "2019-12-31 09:02:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697390", "2019-12-31 09:02:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697391", "2019-12-31 09:02:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697392", "2019-12-31 09:03:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697393", "2019-12-31 09:03:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697394", "2019-12-31 09:03:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697395", "2019-12-31 09:04:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697396", "2019-12-31 09:04:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697397", "2019-12-31 09:04:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697398", "2019-12-31 09:05:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697399", "2019-12-31 09:05:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697400", "2019-12-31 09:05:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697401", "2019-12-31 09:06:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697402", "2019-12-31 09:06:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697403", "2019-12-31 09:07:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697404", "2019-12-31 09:07:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697405", "2019-12-31 09:07:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697406", "2019-12-31 09:08:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697407", "2019-12-31 09:09:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697408", "2019-12-31 09:09:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697409", "2019-12-31 09:10:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697410", "2019-12-31 09:10:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697411", "2019-12-31 09:10:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697412", "2019-12-31 09:11:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697413", "2019-12-31 09:11:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697414", "2019-12-31 09:12:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697415", "2019-12-31 09:12:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697416", "2019-12-31 09:13:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697417", "2019-12-31 09:13:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697418", "2019-12-31 09:14:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697419", "2019-12-31 09:14:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697420", "2019-12-31 09:15:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697421", "2019-12-31 09:15:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697422", "2019-12-31 09:15:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697423", "2019-12-31 09:16:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697424", "2019-12-31 09:16:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697425", "2019-12-31 09:16:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697426", "2019-12-31 09:17:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697427", "2019-12-31 09:17:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697428", "2019-12-31 09:17:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697429", "2019-12-31 09:18:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697430", "2019-12-31 09:18:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697431", "2019-12-31 09:19:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697432", "2019-12-31 09:19:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697433", "2019-12-31 09:19:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697434", "2019-12-31 09:20:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697435", "2019-12-31 09:20:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697436", "2019-12-31 09:20:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697437", "2019-12-31 09:21:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697438", "2019-12-31 09:21:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697439", "2019-12-31 09:21:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697440", "2019-12-31 09:21:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697441", "2019-12-31 09:22:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697442", "2019-12-31 09:22:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697443", "2019-12-31 09:22:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697444", "2019-12-31 09:23:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697445", "2019-12-31 09:23:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697446", "2019-12-31 09:23:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697447", "2019-12-31 09:24:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697448", "2019-12-31 09:24:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697449", "2019-12-31 09:25:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697450", "2019-12-31 09:25:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697451", "2019-12-31 09:26:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697452", "2019-12-31 09:26:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697453", "2019-12-31 09:26:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697454", "2019-12-31 09:27:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697455", "2019-12-31 09:27:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697456", "2019-12-31 09:27:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697457", "2019-12-31 09:28:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697458", "2019-12-31 09:28:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697459", "2019-12-31 09:29:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697460", "2019-12-31 09:29:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697461", "2019-12-31 09:30:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697462", "2019-12-31 09:30:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697463", "2019-12-31 09:30:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697464", "2019-12-31 09:31:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697465", "2019-12-31 09:31:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697466", "2019-12-31 09:31:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697467", "2019-12-31 09:32:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697468", "2019-12-31 09:32:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697469", "2019-12-31 09:32:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697470", "2019-12-31 09:33:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697471", "2019-12-31 09:33:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697472", "2019-12-31 09:34:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697473", "2019-12-31 09:34:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697474", "2019-12-31 09:34:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697475", "2019-12-31 09:35:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697476", "2019-12-31 09:36:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697477", "2019-12-31 09:36:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697478", "2019-12-31 09:36:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697479", "2019-12-31 09:37:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697480", "2019-12-31 09:37:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697481", "2019-12-31 09:38:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697482", "2019-12-31 09:38:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697483", "2019-12-31 09:38:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697484", "2019-12-31 09:39:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697485", "2019-12-31 09:39:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697486", "2019-12-31 09:39:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697487", "2019-12-31 09:40:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697488", "2019-12-31 09:40:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697489", "2019-12-31 09:40:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697490", "2019-12-31 09:41:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697491", "2019-12-31 09:41:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697492", "2019-12-31 09:41:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697493", "2019-12-31 09:42:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697494", "2019-12-31 09:42:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697495", "2019-12-31 09:42:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697496", "2019-12-31 09:43:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697497", "2019-12-31 09:43:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697498", "2019-12-31 09:44:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697499", "2019-12-31 09:44:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697500", "2019-12-31 09:44:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697501", "2019-12-31 09:44:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697502", "2019-12-31 09:45:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697503", "2019-12-31 09:45:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697504", "2019-12-31 09:45:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697505", "2019-12-31 09:46:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697506", "2019-12-31 09:46:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697507", "2019-12-31 09:47:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697508", "2019-12-31 09:47:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697509", "2019-12-31 09:47:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697510", "2019-12-31 09:48:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697511", "2019-12-31 09:48:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697512", "2019-12-31 09:49:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697513", "2019-12-31 09:49:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697514", "2019-12-31 09:49:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697515", "2019-12-31 09:50:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697516", "2019-12-31 09:50:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697517", "2019-12-31 09:50:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697518", "2019-12-31 09:51:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697519", "2019-12-31 09:51:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697520", "2019-12-31 09:52:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697521", "2019-12-31 09:52:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697522", "2019-12-31 09:52:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697523", "2019-12-31 09:53:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697524", "2019-12-31 09:53:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697525", "2019-12-31 09:53:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697526", "2019-12-31 09:54:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697527", "2019-12-31 09:54:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697528", "2019-12-31 09:54:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697529", "2019-12-31 09:55:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697530", "2019-12-31 09:55:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697531", "2019-12-31 09:56:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697532", "2019-12-31 09:56:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697533", "2019-12-31 09:57:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697534", "2019-12-31 09:57:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697535", "2019-12-31 09:58:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697536", "2019-12-31 09:58:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697537", "2019-12-31 09:58:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697538", "2019-12-31 09:59:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697539", "2019-12-31 09:59:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697540", "2019-12-31 09:59:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697541", "2019-12-31 10:00:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697542", "2019-12-31 10:00:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697543", "2019-12-31 10:00:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697544", "2019-12-31 10:01:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697545", "2019-12-31 10:01:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697546", "2019-12-31 10:01:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697547", "2019-12-31 10:02:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697548", "2019-12-31 10:02:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697549", "2019-12-31 10:02:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697550", "2019-12-31 10:03:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697551", "2019-12-31 10:03:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697552", "2019-12-31 10:03:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697553", "2019-12-31 10:04:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697554", "2019-12-31 10:05:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697555", "2019-12-31 10:05:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697556", "2019-12-31 10:06:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697557", "2019-12-31 10:06:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697558", "2019-12-31 10:06:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697559", "2019-12-31 10:07:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697560", "2019-12-31 10:07:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697561", "2019-12-31 10:07:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697562", "2019-12-31 10:08:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697563", "2019-12-31 10:08:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697564", "2019-12-31 10:09:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697565", "2019-12-31 10:10:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697566", "2019-12-31 10:10:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697567", "2019-12-31 10:11:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697568", "2019-12-31 10:11:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697569", "2019-12-31 10:11:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697570", "2019-12-31 10:12:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697571", "2019-12-31 10:12:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697572", "2019-12-31 10:12:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697573", "2019-12-31 10:13:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697574", "2019-12-31 10:13:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697575", "2019-12-31 10:13:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697576", "2019-12-31 10:14:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697577", "2019-12-31 10:14:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697578", "2019-12-31 10:15:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697579", "2019-12-31 10:15:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697580", "2019-12-31 10:16:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697581", "2019-12-31 10:16:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697582", "2019-12-31 10:17:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697583", "2019-12-31 10:17:14", "/mcallen-tx/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1697584", "2019-12-31 10:17:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697585", "2019-12-31 10:17:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697586", "2019-12-31 10:18:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697587", "2019-12-31 10:18:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697588", "2019-12-31 10:18:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697589", "2019-12-31 10:19:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697590", "2019-12-31 10:19:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697591", "2019-12-31 10:19:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697592", "2019-12-31 10:20:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697593", "2019-12-31 10:20:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697594", "2019-12-31 10:20:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697595", "2019-12-31 10:21:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697596", "2019-12-31 10:21:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697597", "2019-12-31 10:22:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697598", "2019-12-31 10:22:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713201", "2020-01-04 16:16:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713202", "2020-01-04 16:16:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713203", "2020-01-04 16:17:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713204", "2020-01-04 16:17:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713205", "2020-01-04 16:18:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713206", "2020-01-04 16:18:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713207", "2020-01-04 16:19:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713208", "2020-01-04 16:19:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713209", "2020-01-04 16:20:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713210", "2020-01-04 16:20:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713211", "2020-01-04 16:21:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713212", "2020-01-04 16:21:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713213", "2020-01-04 16:22:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713214", "2020-01-04 16:22:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713215", "2020-01-04 16:22:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713216", "2020-01-04 16:23:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713217", "2020-01-04 16:23:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713218", "2020-01-04 16:24:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713219", "2020-01-04 16:24:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713220", "2020-01-04 16:25:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713221", "2020-01-04 16:26:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713222", "2020-01-04 16:27:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713223", "2020-01-04 16:27:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713224", "2020-01-04 16:27:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713225", "2020-01-04 16:28:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713226", "2020-01-04 16:28:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713227", "2020-01-04 16:29:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713228", "2020-01-04 16:29:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713229", "2020-01-04 16:29:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713230", "2020-01-04 16:30:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713231", "2020-01-04 16:30:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713232", "2020-01-04 16:31:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713233", "2020-01-04 16:31:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713234", "2020-01-04 16:31:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713235", "2020-01-04 16:32:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713236", "2020-01-04 16:32:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713237", "2020-01-04 16:32:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713238", "2020-01-04 16:33:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713239", "2020-01-04 16:33:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713240", "2020-01-04 16:33:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713241", "2020-01-04 16:34:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713242", "2020-01-04 16:35:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713243", "2020-01-04 16:35:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713244", "2020-01-04 16:36:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713245", "2020-01-04 16:36:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713246", "2020-01-04 16:36:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713247", "2020-01-04 16:37:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713248", "2020-01-04 16:37:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713249", "2020-01-04 16:37:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713250", "2020-01-04 16:38:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713251", "2020-01-04 16:39:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713252", "2020-01-04 16:39:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713253", "2020-01-04 16:40:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713254", "2020-01-04 16:40:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713255", "2020-01-04 16:40:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713256", "2020-01-04 16:41:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713257", "2020-01-04 16:41:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713258", "2020-01-04 16:42:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713259", "2020-01-04 16:42:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713260", "2020-01-04 16:43:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713261", "2020-01-04 16:44:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713262", "2020-01-04 16:44:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713263", "2020-01-04 16:45:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713264", "2020-01-04 16:45:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713265", "2020-01-04 16:46:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713266", "2020-01-04 16:46:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713267", "2020-01-04 16:46:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713268", "2020-01-04 16:46:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713269", "2020-01-04 16:47:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713270", "2020-01-04 16:47:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713271", "2020-01-04 16:48:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713272", "2020-01-04 16:48:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713273", "2020-01-04 16:49:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713274", "2020-01-04 16:50:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713275", "2020-01-04 16:50:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713276", "2020-01-04 16:50:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713277", "2020-01-04 16:51:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713278", "2020-01-04 16:51:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713279", "2020-01-04 16:51:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713280", "2020-01-04 16:52:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713281", "2020-01-04 16:53:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713282", "2020-01-04 16:53:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713283", "2020-01-04 16:53:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713284", "2020-01-04 16:54:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713285", "2020-01-04 16:54:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713286", "2020-01-04 16:54:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713287", "2020-01-04 16:55:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713288", "2020-01-04 16:55:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713289", "2020-01-04 16:56:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713290", "2020-01-04 16:56:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713291", "2020-01-04 16:56:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713292", "2020-01-04 16:57:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713293", "2020-01-04 16:58:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713294", "2020-01-04 16:58:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702787", "2020-01-01 20:04:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702788", "2020-01-01 20:07:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702789", "2020-01-01 20:09:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702790", "2020-01-01 20:09:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702791", "2020-01-01 20:11:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702792", "2020-01-01 20:11:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702793", "2020-01-01 20:12:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702794", "2020-01-01 20:14:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702795", "2020-01-01 20:14:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702796", "2020-01-01 20:16:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702797", "2020-01-01 20:16:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702798", "2020-01-01 20:17:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702799", "2020-01-01 20:18:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702800", "2020-01-01 20:18:10", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "10777");
INSERT INTO `wp_redirection_404` VALUES("1702801", "2020-01-01 20:18:10", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "10777");
INSERT INTO `wp_redirection_404` VALUES("1702802", "2020-01-01 20:18:10", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "10777");
INSERT INTO `wp_redirection_404` VALUES("1702803", "2020-01-01 20:18:11", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "10777");
INSERT INTO `wp_redirection_404` VALUES("1702804", "2020-01-01 20:19:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702805", "2020-01-01 20:19:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702806", "2020-01-01 20:22:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702807", "2020-01-01 20:24:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702808", "2020-01-01 20:25:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702809", "2020-01-01 20:30:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702810", "2020-01-01 20:35:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702811", "2020-01-01 20:36:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702812", "2020-01-01 20:38:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702813", "2020-01-01 20:40:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702814", "2020-01-01 20:41:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702815", "2020-01-01 20:42:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702816", "2020-01-01 20:42:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702817", "2020-01-01 20:43:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702818", "2020-01-01 20:43:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702819", "2020-01-01 20:49:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702820", "2020-01-01 20:50:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702821", "2020-01-01 20:50:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702822", "2020-01-01 20:53:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702823", "2020-01-01 20:54:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702824", "2020-01-01 20:55:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702825", "2020-01-01 20:55:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702826", "2020-01-01 20:56:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702827", "2020-01-01 20:58:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702828", "2020-01-01 20:59:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702829", "2020-01-01 21:01:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702830", "2020-01-01 21:01:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702831", "2020-01-01 21:03:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702832", "2020-01-01 21:04:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702833", "2020-01-01 21:06:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702834", "2020-01-01 21:07:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702835", "2020-01-01 21:08:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702836", "2020-01-01 21:08:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702837", "2020-01-01 21:09:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702838", "2020-01-01 21:09:48", "/apple-touch-icon-152x152-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "7130");
INSERT INTO `wp_redirection_404` VALUES("1702839", "2020-01-01 21:09:49", "/apple-touch-icon-152x152.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "7130");
INSERT INTO `wp_redirection_404` VALUES("1702840", "2020-01-01 21:11:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702841", "2020-01-01 21:11:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702842", "2020-01-01 21:12:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702843", "2020-01-01 21:13:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702844", "2020-01-01 21:13:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702845", "2020-01-01 21:15:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702846", "2020-01-01 21:15:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702847", "2020-01-01 21:15:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702848", "2020-01-01 21:17:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702849", "2020-01-01 21:17:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702850", "2020-01-01 21:19:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702851", "2020-01-01 21:19:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702852", "2020-01-01 21:19:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702853", "2020-01-01 21:21:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702854", "2020-01-01 21:21:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702855", "2020-01-01 21:22:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702856", "2020-01-01 21:23:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702857", "2020-01-01 21:24:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702858", "2020-01-01 21:27:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702859", "2020-01-01 21:29:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702860", "2020-01-01 21:29:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702861", "2020-01-01 21:30:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702862", "2020-01-01 21:31:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702863", "2020-01-01 21:31:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702864", "2020-01-01 21:33:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702865", "2020-01-01 21:35:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702866", "2020-01-01 21:35:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702867", "2020-01-01 21:37:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702868", "2020-01-01 21:39:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702869", "2020-01-01 21:41:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702870", "2020-01-01 21:41:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702871", "2020-01-01 21:42:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702872", "2020-01-01 21:43:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702873", "2020-01-01 21:44:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702874", "2020-01-01 21:45:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702875", "2020-01-01 21:46:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702876", "2020-01-01 21:46:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702877", "2020-01-01 21:47:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702878", "2020-01-01 21:50:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702879", "2020-01-01 21:50:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702880", "2020-01-01 21:52:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702881", "2020-01-01 21:53:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702882", "2020-01-01 21:54:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702883", "2020-01-01 21:55:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702884", "2020-01-01 21:56:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702885", "2020-01-01 21:56:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702886", "2020-01-01 22:01:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702887", "2020-01-01 22:02:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702888", "2020-01-01 22:05:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702889", "2020-01-01 22:05:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702890", "2020-01-01 22:06:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702891", "2020-01-01 22:08:13", "/hazelgreen-al/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1702892", "2020-01-01 22:13:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702893", "2020-01-01 22:19:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702894", "2020-01-01 22:19:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702895", "2020-01-01 22:21:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702896", "2020-01-01 22:21:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702897", "2020-01-01 22:25:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702898", "2020-01-01 22:26:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702899", "2020-01-01 22:27:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702900", "2020-01-01 22:30:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702901", "2020-01-01 22:30:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702902", "2020-01-01 22:34:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702903", "2020-01-01 22:37:43", "/deliciousdeals/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1702904", "2020-01-01 22:37:43", "/deliciousdeals/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1702905", "2020-01-01 22:40:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702906", "2020-01-01 22:40:41", "/?author=3", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "18467");
INSERT INTO `wp_redirection_404` VALUES("1702907", "2020-01-01 22:42:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702908", "2020-01-01 22:43:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702909", "2020-01-01 22:47:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702910", "2020-01-01 22:48:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702911", "2020-01-01 22:48:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702912", "2020-01-01 22:49:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702913", "2020-01-01 22:51:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702914", "2020-01-01 22:53:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702915", "2020-01-01 22:54:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702916", "2020-01-01 22:56:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702917", "2020-01-01 22:58:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702918", "2020-01-01 22:58:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702919", "2020-01-01 22:59:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702920", "2020-01-01 23:00:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702921", "2020-01-01 23:03:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702922", "2020-01-01 23:04:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702923", "2020-01-01 23:06:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702924", "2020-01-01 23:10:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702925", "2020-01-01 23:11:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702926", "2020-01-01 23:13:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702927", "2020-01-01 23:14:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702928", "2020-01-01 23:16:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702929", "2020-01-01 23:17:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702930", "2020-01-01 23:17:30", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "7588");
INSERT INTO `wp_redirection_404` VALUES("1702931", "2020-01-01 23:17:30", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "7588");
INSERT INTO `wp_redirection_404` VALUES("1702932", "2020-01-01 23:17:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702933", "2020-01-01 23:17:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702934", "2020-01-01 23:18:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702935", "2020-01-01 23:18:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702936", "2020-01-01 23:18:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702937", "2020-01-01 23:19:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702938", "2020-01-01 23:19:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702939", "2020-01-01 23:20:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702940", "2020-01-01 23:21:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702941", "2020-01-01 23:21:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702942", "2020-01-01 23:21:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702943", "2020-01-01 23:22:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702944", "2020-01-01 23:22:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702945", "2020-01-01 23:23:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702946", "2020-01-01 23:24:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702947", "2020-01-01 23:24:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702948", "2020-01-01 23:25:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702949", "2020-01-01 23:25:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702950", "2020-01-01 23:25:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702951", "2020-01-01 23:26:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702952", "2020-01-01 23:26:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702953", "2020-01-01 23:26:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702954", "2020-01-01 23:29:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702955", "2020-01-01 23:29:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702956", "2020-01-01 23:29:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702957", "2020-01-01 23:30:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702958", "2020-01-01 23:30:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702959", "2020-01-01 23:30:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702960", "2020-01-01 23:31:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702961", "2020-01-01 23:31:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702962", "2020-01-01 23:31:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702963", "2020-01-01 23:33:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702964", "2020-01-01 23:33:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702965", "2020-01-01 23:33:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702966", "2020-01-01 23:34:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702967", "2020-01-01 23:34:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702968", "2020-01-01 23:34:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702969", "2020-01-01 23:35:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702970", "2020-01-01 23:35:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702971", "2020-01-01 23:35:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702972", "2020-01-01 23:36:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702973", "2020-01-01 23:36:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702974", "2020-01-01 23:37:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702975", "2020-01-01 23:38:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702976", "2020-01-01 23:38:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702977", "2020-01-01 23:38:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702978", "2020-01-01 23:39:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702979", "2020-01-01 23:39:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702980", "2020-01-01 23:39:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702981", "2020-01-01 23:40:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702982", "2020-01-01 23:40:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702983", "2020-01-01 23:41:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702984", "2020-01-01 23:41:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702985", "2020-01-01 23:42:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702986", "2020-01-01 23:42:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702987", "2020-01-01 23:43:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702988", "2020-01-01 23:43:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702989", "2020-01-01 23:43:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702990", "2020-01-01 23:44:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702991", "2020-01-01 23:44:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702992", "2020-01-01 23:45:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702993", "2020-01-01 23:45:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702994", "2020-01-01 23:45:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702995", "2020-01-01 23:46:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702996", "2020-01-01 23:47:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702997", "2020-01-01 23:47:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702998", "2020-01-01 23:47:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702999", "2020-01-01 23:47:55", "/images/loc.gif", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", "https://www.bing.com/", "7517");
INSERT INTO `wp_redirection_404` VALUES("1703000", "2020-01-01 23:48:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703001", "2020-01-01 23:48:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703002", "2020-01-01 23:48:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703003", "2020-01-01 23:49:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703004", "2020-01-01 23:49:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703005", "2020-01-01 23:50:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703006", "2020-01-01 23:50:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703007", "2020-01-01 23:51:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703008", "2020-01-01 23:51:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703009", "2020-01-01 23:52:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703010", "2020-01-01 23:52:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703011", "2020-01-01 23:52:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703012", "2020-01-01 23:53:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703013", "2020-01-01 23:53:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703014", "2020-01-01 23:53:47", "/apple-touch-icon-precomposed.png", "okhttp/3.11.0", NULL, "73232");
INSERT INTO `wp_redirection_404` VALUES("1703015", "2020-01-01 23:53:48", "/apple-touch-icon.png", "okhttp/3.11.0", NULL, "73232");
INSERT INTO `wp_redirection_404` VALUES("1703016", "2020-01-01 23:54:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703017", "2020-01-01 23:54:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703018", "2020-01-01 23:54:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703019", "2020-01-01 23:55:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703020", "2020-01-01 23:56:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703021", "2020-01-01 23:56:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703022", "2020-01-01 23:56:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703023", "2020-01-01 23:57:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703024", "2020-01-01 23:57:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703025", "2020-01-01 23:57:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703026", "2020-01-01 23:58:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703027", "2020-01-01 23:58:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703028", "2020-01-01 23:59:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703029", "2020-01-01 23:59:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703030", "2020-01-02 00:00:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703031", "2020-01-02 00:00:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703032", "2020-01-02 00:01:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703033", "2020-01-02 00:01:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703034", "2020-01-02 00:01:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703035", "2020-01-02 00:02:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703036", "2020-01-02 00:02:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703037", "2020-01-02 00:02:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703038", "2020-01-02 00:03:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703039", "2020-01-02 00:03:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703040", "2020-01-02 00:04:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703041", "2020-01-02 00:05:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703042", "2020-01-02 00:05:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703043", "2020-01-02 00:05:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703044", "2020-01-02 00:05:51", "/ads.txt", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703045", "2020-01-02 00:05:52", "/ads.txt", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703046", "2020-01-02 00:06:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703047", "2020-01-02 00:06:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703048", "2020-01-02 00:06:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703049", "2020-01-02 00:07:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703050", "2020-01-02 00:07:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703051", "2020-01-02 00:08:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703052", "2020-01-02 00:08:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703053", "2020-01-02 00:09:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703054", "2020-01-02 00:09:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703055", "2020-01-02 00:10:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703056", "2020-01-02 00:10:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703057", "2020-01-02 00:10:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703058", "2020-01-02 00:11:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703059", "2020-01-02 00:11:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703060", "2020-01-02 00:11:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703061", "2020-01-02 00:12:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703062", "2020-01-02 00:12:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703063", "2020-01-02 00:13:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703064", "2020-01-02 00:14:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703065", "2020-01-02 00:14:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1703066", "2020-01-02 00:14:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694253", "2019-12-30 09:19:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694254", "2019-12-30 09:19:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694255", "2019-12-30 09:19:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694256", "2019-12-30 09:19:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694257", "2019-12-30 09:20:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694258", "2019-12-30 09:20:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694259", "2019-12-30 09:20:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694260", "2019-12-30 09:20:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694261", "2019-12-30 09:20:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694262", "2019-12-30 09:21:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694263", "2019-12-30 09:21:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694264", "2019-12-30 09:21:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694265", "2019-12-30 09:21:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694266", "2019-12-30 09:21:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694267", "2019-12-30 09:21:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694268", "2019-12-30 09:21:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694269", "2019-12-30 09:22:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694270", "2019-12-30 09:22:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694271", "2019-12-30 09:22:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694272", "2019-12-30 09:22:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694273", "2019-12-30 09:22:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694274", "2019-12-30 09:22:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694275", "2019-12-30 09:23:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694276", "2019-12-30 09:23:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694277", "2019-12-30 09:23:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694278", "2019-12-30 09:23:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694279", "2019-12-30 09:23:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694280", "2019-12-30 09:24:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694281", "2019-12-30 09:24:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694282", "2019-12-30 09:24:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694283", "2019-12-30 09:24:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694284", "2019-12-30 09:24:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694285", "2019-12-30 09:24:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694286", "2019-12-30 09:25:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694287", "2019-12-30 09:25:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694288", "2019-12-30 09:25:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694289", "2019-12-30 09:25:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694290", "2019-12-30 09:25:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694291", "2019-12-30 09:26:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694292", "2019-12-30 09:26:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694293", "2019-12-30 09:26:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694294", "2019-12-30 09:26:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694295", "2019-12-30 09:26:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694296", "2019-12-30 09:26:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694297", "2019-12-30 09:27:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694298", "2019-12-30 09:27:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694299", "2019-12-30 09:27:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694300", "2019-12-30 09:27:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694301", "2019-12-30 09:28:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694302", "2019-12-30 09:37:15", "/Public/static/ueditor/dialogs/internal.js", "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Win64; x64; Trident/5.0)", "http://www.buckspizza.com/Public/static/ueditor/dialogs/internal.js", "39108");
INSERT INTO `wp_redirection_404` VALUES("1694303", "2019-12-30 09:44:25", "/info.php", "Mozilla/5.0(Linux;U;Android 5.1.1;zh-CN;OPPO A33 Build/LMY47V) AppleWebKit/537.36(KHTML,like Gecko) Version/4.0 Chrome/40.0.2214.89 UCBrowser/11.7.0.953 Mobile Safari/537.36", NULL, "159138");
INSERT INTO `wp_redirection_404` VALUES("1694304", "2019-12-30 09:44:28", "/info.php", "Mozilla/5.0 (Linux; Android 7.0; FRD-AL00 Build/HUAWEIFRD-AL00; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/53.0.2785.49 Mobile MQQBrowser/6.2 TBS/043602 Safari/537.36 MicroMessenger/6.5.16.1120 NetType/WIFI Language/zh_CN", NULL, "159138");
INSERT INTO `wp_redirection_404` VALUES("1694305", "2019-12-30 09:51:10", "/2016/05/06/plan-stress-free-pool-party/", "Mozilla/5.0(Linux;Android 5.1.1;OPPO A33 Build/LMY47V;wv) AppleWebKit/537.36(KHTML,link Gecko) Version/4.0 Chrome/43.0.2357.121 Mobile Safari/537.36 LieBaoFast/4.51.3", NULL, "159138");
INSERT INTO `wp_redirection_404` VALUES("1694306", "2019-12-30 10:00:19", "/franchise/menus/2623", "Mozilla/5.0(Linux;U;Android 5.1.1;zh-CN;OPPO A33 Build/LMY47V) AppleWebKit/537.36(KHTML,like Gecko) Version/4.0 Chrome/40.0.2214.89 UCBrowser/11.7.0.953 Mobile Safari/537.36", NULL, "159138");
INSERT INTO `wp_redirection_404` VALUES("1694307", "2019-12-30 10:05:16", "/pizza-parties/wine-pairing-pizza-toppings", "Mozilla/5.0 (Linux; Android 7.0; FRD-AL00 Build/HUAWEIFRD-AL00; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/53.0.2785.49 Mobile MQQBrowser/6.2 TBS/043602 Safari/537.36 MicroMessenger/6.5.16.1120 NetType/WIFI Language/zh_CN", NULL, "159138");
INSERT INTO `wp_redirection_404` VALUES("1694308", "2019-12-30 10:23:32", "/locatestore.php?st=PA", "Mozilla/5.0(Linux;U;Android 5.1.1;zh-CN;OPPO A33 Build/LMY47V) AppleWebKit/537.36(KHTML,like Gecko) Version/4.0 Chrome/40.0.2214.89 UCBrowser/11.7.0.953 Mobile Safari/537.36", NULL, "159138");
INSERT INTO `wp_redirection_404` VALUES("1694309", "2019-12-30 10:23:33", "/2015/12/04/miamis-10-best-pizza-places-2015", "Mozilla/5.0(Linux;Android 5.1.1;OPPO A33 Build/LMY47V;wv) AppleWebKit/537.36(KHTML,link Gecko) Version/4.0 Chrome/42.0.2311.138 Mobile Safari/537.36 Mb2345Browser/9.0", NULL, "159138");
INSERT INTO `wp_redirection_404` VALUES("1694310", "2019-12-30 10:23:36", "/2016/05/06/plan-stress-free-pool-party", "Mozilla/5.0(Linux;Android 5.1.1;OPPO A33 Build/LMY47V;wv) AppleWebKit/537.36(KHTML,link Gecko) Version/4.0 Chrome/42.0.2311.138 Mobile Safari/537.36 Mb2345Browser/9.0", NULL, "159138");
INSERT INTO `wp_redirection_404` VALUES("1694311", "2019-12-30 10:53:01", "/menu.htm", "Mozilla/5.0(Linux;Android 5.1.1;OPPO A33 Build/LMY47V;wv) AppleWebKit/537.36(KHTML,link Gecko) Version/4.0 Chrome/43.0.2357.121 Mobile Safari/537.36 LieBaoFast/4.51.3", NULL, "159138");
INSERT INTO `wp_redirection_404` VALUES("1694312", "2019-12-30 10:53:11", "/franchising.htm", "Mozilla/5.0(Linux;Android 5.1.1;OPPO A33 Build/LMY47V;wv) AppleWebKit/537.36(KHTML,link Gecko) Version/4.0 Chrome/43.0.2357.121 Mobile Safari/537.36 LieBaoFast/4.51.3", NULL, "159138");
INSERT INTO `wp_redirection_404` VALUES("1694313", "2019-12-30 12:35:13", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "174193");
INSERT INTO `wp_redirection_404` VALUES("1694314", "2019-12-30 12:35:14", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "174193");
INSERT INTO `wp_redirection_404` VALUES("1694315", "2019-12-30 13:25:42", "/router.php", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "3999");
INSERT INTO `wp_redirection_404` VALUES("1694316", "2019-12-30 13:41:42", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "98239");
INSERT INTO `wp_redirection_404` VALUES("1694317", "2019-12-30 13:41:42", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "98239");
INSERT INTO `wp_redirection_404` VALUES("1694318", "2019-12-30 13:41:42", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "98239");
INSERT INTO `wp_redirection_404` VALUES("1694319", "2019-12-30 13:41:42", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "98239");
INSERT INTO `wp_redirection_404` VALUES("1694320", "2019-12-30 13:46:19", "/summerville-sc/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1694321", "2019-12-30 14:09:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694322", "2019-12-30 14:09:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694323", "2019-12-30 14:09:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694324", "2019-12-30 14:11:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694325", "2019-12-30 14:11:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694326", "2019-12-30 14:11:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694327", "2019-12-30 14:12:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694328", "2019-12-30 14:12:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694329", "2019-12-30 14:12:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694330", "2019-12-30 14:13:16", "/Public/static/ueditor/dialogs/internal.js", "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Win64; x64; Trident/5.0)", "http://buckspizza.com/Public/static/ueditor/dialogs/internal.js", "101200");
INSERT INTO `wp_redirection_404` VALUES("1694331", "2019-12-30 14:13:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694332", "2019-12-30 14:13:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694333", "2019-12-30 14:14:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694334", "2019-12-30 14:14:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694335", "2019-12-30 14:14:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694336", "2019-12-30 14:15:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694337", "2019-12-30 14:15:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694338", "2019-12-30 14:16:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694339", "2019-12-30 14:16:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694340", "2019-12-30 14:16:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694341", "2019-12-30 14:17:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694342", "2019-12-30 14:17:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694343", "2019-12-30 14:17:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694344", "2019-12-30 14:18:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694345", "2019-12-30 14:18:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694346", "2019-12-30 14:19:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694347", "2019-12-30 14:19:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694348", "2019-12-30 14:19:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694349", "2019-12-30 14:20:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694350", "2019-12-30 14:20:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694351", "2019-12-30 14:20:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694352", "2019-12-30 14:21:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694353", "2019-12-30 14:21:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694354", "2019-12-30 14:21:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694355", "2019-12-30 14:22:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694356", "2019-12-30 14:22:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694357", "2019-12-30 14:23:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694358", "2019-12-30 14:23:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694359", "2019-12-30 14:23:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694360", "2019-12-30 14:24:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694361", "2019-12-30 14:24:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694362", "2019-12-30 14:24:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694363", "2019-12-30 14:25:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694364", "2019-12-30 14:25:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694365", "2019-12-30 14:25:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694366", "2019-12-30 14:26:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694367", "2019-12-30 14:26:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694368", "2019-12-30 14:26:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694369", "2019-12-30 14:27:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694370", "2019-12-30 14:27:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694371", "2019-12-30 14:28:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694372", "2019-12-30 14:28:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694373", "2019-12-30 14:28:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694374", "2019-12-30 14:29:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694375", "2019-12-30 14:29:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694376", "2019-12-30 14:29:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694377", "2019-12-30 14:30:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694378", "2019-12-30 14:30:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694379", "2019-12-30 14:31:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694380", "2019-12-30 14:31:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694381", "2019-12-30 14:31:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694382", "2019-12-30 14:32:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694383", "2019-12-30 14:32:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694384", "2019-12-30 14:32:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694385", "2019-12-30 14:33:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694386", "2019-12-30 14:33:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694387", "2019-12-30 14:34:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694388", "2019-12-30 14:34:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694389", "2019-12-30 14:34:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694390", "2019-12-30 14:35:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694391", "2019-12-30 14:35:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694392", "2019-12-30 14:35:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694393", "2019-12-30 14:36:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694394", "2019-12-30 14:36:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694395", "2019-12-30 14:36:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694396", "2019-12-30 14:37:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694397", "2019-12-30 14:37:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694398", "2019-12-30 14:37:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694399", "2019-12-30 14:38:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694400", "2019-12-30 14:38:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694401", "2019-12-30 14:39:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694402", "2019-12-30 14:39:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694403", "2019-12-30 14:39:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694404", "2019-12-30 14:40:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694405", "2019-12-30 14:40:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694406", "2019-12-30 14:40:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694407", "2019-12-30 14:41:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694408", "2019-12-30 14:41:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694409", "2019-12-30 14:41:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694410", "2019-12-30 14:42:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694411", "2019-12-30 14:42:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694412", "2019-12-30 14:42:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694413", "2019-12-30 14:43:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694414", "2019-12-30 14:43:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694415", "2019-12-30 14:44:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694416", "2019-12-30 14:44:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694417", "2019-12-30 14:44:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694418", "2019-12-30 14:45:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694419", "2019-12-30 14:45:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694420", "2019-12-30 14:46:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694421", "2019-12-30 14:46:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694422", "2019-12-30 14:46:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694423", "2019-12-30 14:47:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694424", "2019-12-30 14:47:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694425", "2019-12-30 14:47:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694426", "2019-12-30 14:48:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694427", "2019-12-30 14:48:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694428", "2019-12-30 14:48:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694429", "2019-12-30 14:49:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694430", "2019-12-30 14:49:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694431", "2019-12-30 14:49:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694432", "2019-12-30 14:50:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694433", "2019-12-30 14:50:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694434", "2019-12-30 14:51:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694435", "2019-12-30 14:51:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694436", "2019-12-30 14:51:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694437", "2019-12-30 14:52:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694438", "2019-12-30 14:52:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694439", "2019-12-30 14:52:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694440", "2019-12-30 14:53:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694441", "2019-12-30 14:53:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694442", "2019-12-30 14:53:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694443", "2019-12-30 14:54:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694444", "2019-12-30 14:54:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694445", "2019-12-30 14:55:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694446", "2019-12-30 14:55:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694447", "2019-12-30 14:56:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694448", "2019-12-30 14:56:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694449", "2019-12-30 14:56:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694450", "2019-12-30 14:57:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694451", "2019-12-30 14:57:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694452", "2019-12-30 14:57:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694453", "2019-12-30 14:58:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694454", "2019-12-30 14:58:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694455", "2019-12-30 14:58:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694456", "2019-12-30 14:59:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694457", "2019-12-30 14:59:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694458", "2019-12-30 14:59:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694459", "2019-12-30 15:00:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694460", "2019-12-30 15:00:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694461", "2019-12-30 15:01:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694462", "2019-12-30 15:01:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694463", "2019-12-30 15:01:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694464", "2019-12-30 15:02:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694465", "2019-12-30 15:02:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694466", "2019-12-30 15:02:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694467", "2019-12-30 15:03:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694468", "2019-12-30 15:03:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694469", "2019-12-30 15:04:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694470", "2019-12-30 15:04:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694471", "2019-12-30 15:04:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694472", "2019-12-30 15:05:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694473", "2019-12-30 15:05:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694474", "2019-12-30 15:05:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694475", "2019-12-30 15:06:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694476", "2019-12-30 15:06:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694477", "2019-12-30 15:06:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694478", "2019-12-30 15:07:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694479", "2019-12-30 15:08:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694480", "2019-12-30 15:08:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694481", "2019-12-30 15:08:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694482", "2019-12-30 15:09:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694483", "2019-12-30 15:09:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694484", "2019-12-30 15:09:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694485", "2019-12-30 15:10:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694486", "2019-12-30 15:10:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694487", "2019-12-30 15:10:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694488", "2019-12-30 15:11:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694489", "2019-12-30 15:11:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694490", "2019-12-30 15:11:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694491", "2019-12-30 15:12:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694492", "2019-12-30 15:12:43", "/torrington-wy/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1694493", "2019-12-30 15:12:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694494", "2019-12-30 15:12:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694495", "2019-12-30 15:13:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694496", "2019-12-30 15:13:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694497", "2019-12-30 15:13:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694498", "2019-12-30 15:14:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694499", "2019-12-30 15:14:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694500", "2019-12-30 15:14:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694501", "2019-12-30 15:15:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694502", "2019-12-30 15:16:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694503", "2019-12-30 15:16:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694504", "2019-12-30 15:16:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694505", "2019-12-30 15:17:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694506", "2019-12-30 15:17:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694507", "2019-12-30 15:17:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694508", "2019-12-30 15:18:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694509", "2019-12-30 15:18:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694510", "2019-12-30 15:18:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694511", "2019-12-30 15:19:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694512", "2019-12-30 15:19:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694513", "2019-12-30 15:20:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694514", "2019-12-30 15:20:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694515", "2019-12-30 15:20:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694516", "2019-12-30 15:21:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694517", "2019-12-30 15:21:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694518", "2019-12-30 15:21:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694519", "2019-12-30 15:22:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694520", "2019-12-30 15:22:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694521", "2019-12-30 15:22:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694522", "2019-12-30 15:23:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694523", "2019-12-30 15:23:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694524", "2019-12-30 15:23:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694525", "2019-12-30 15:24:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694526", "2019-12-30 15:24:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694527", "2019-12-30 15:24:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694528", "2019-12-30 15:25:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694529", "2019-12-30 15:25:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694530", "2019-12-30 15:25:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694531", "2019-12-30 15:26:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694532", "2019-12-30 15:26:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694533", "2019-12-30 15:26:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694534", "2019-12-30 15:27:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694535", "2019-12-30 15:27:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694536", "2019-12-30 15:27:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694537", "2019-12-30 15:28:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694538", "2019-12-30 15:29:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694539", "2019-12-30 15:29:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694540", "2019-12-30 15:30:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694541", "2019-12-30 15:30:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694542", "2019-12-30 15:30:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694543", "2019-12-30 15:31:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694544", "2019-12-30 15:31:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694545", "2019-12-30 15:31:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694546", "2019-12-30 15:32:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694547", "2019-12-30 15:32:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694548", "2019-12-30 15:32:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694549", "2019-12-30 15:33:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694550", "2019-12-30 15:33:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694551", "2019-12-30 15:33:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694552", "2019-12-30 15:34:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694553", "2019-12-30 15:34:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694554", "2019-12-30 15:34:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694555", "2019-12-30 15:35:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694556", "2019-12-30 15:35:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694557", "2019-12-30 15:35:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694558", "2019-12-30 15:36:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694559", "2019-12-30 15:36:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694560", "2019-12-30 15:37:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694561", "2019-12-30 15:37:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694562", "2019-12-30 15:37:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694563", "2019-12-30 15:38:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694564", "2019-12-30 15:38:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694565", "2019-12-30 15:38:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694566", "2019-12-30 15:39:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694567", "2019-12-30 15:39:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694568", "2019-12-30 15:39:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694569", "2019-12-30 15:40:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694570", "2019-12-30 15:41:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694571", "2019-12-30 15:41:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694572", "2019-12-30 15:41:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694573", "2019-12-30 15:42:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694574", "2019-12-30 15:42:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694575", "2019-12-30 15:42:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694576", "2019-12-30 15:43:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694577", "2019-12-30 15:43:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694578", "2019-12-30 15:43:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694579", "2019-12-30 15:44:01", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "99203");
INSERT INTO `wp_redirection_404` VALUES("1694580", "2019-12-30 15:44:01", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "99203");
INSERT INTO `wp_redirection_404` VALUES("1694581", "2019-12-30 15:44:01", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "99203");
INSERT INTO `wp_redirection_404` VALUES("1694582", "2019-12-30 15:44:01", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "99203");
INSERT INTO `wp_redirection_404` VALUES("1694583", "2019-12-30 15:44:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694584", "2019-12-30 15:44:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694585", "2019-12-30 15:44:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694586", "2019-12-30 15:45:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694587", "2019-12-30 15:45:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694588", "2019-12-30 15:45:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694589", "2019-12-30 15:46:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694590", "2019-12-30 15:46:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694591", "2019-12-30 15:46:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694592", "2019-12-30 15:47:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694593", "2019-12-30 15:47:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694594", "2019-12-30 15:48:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694595", "2019-12-30 15:48:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694596", "2019-12-30 15:48:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694597", "2019-12-30 15:49:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694598", "2019-12-30 15:49:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694599", "2019-12-30 15:49:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694600", "2019-12-30 15:50:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694601", "2019-12-30 15:50:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694602", "2019-12-30 15:50:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694603", "2019-12-30 15:51:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694604", "2019-12-30 15:51:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694605", "2019-12-30 15:51:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694606", "2019-12-30 15:52:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694607", "2019-12-30 15:52:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694608", "2019-12-30 15:52:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694609", "2019-12-30 15:53:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694610", "2019-12-30 15:54:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694611", "2019-12-30 15:54:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694612", "2019-12-30 15:54:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694613", "2019-12-30 15:55:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694614", "2019-12-30 15:55:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694615", "2019-12-30 15:55:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694616", "2019-12-30 15:56:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694617", "2019-12-30 15:56:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694618", "2019-12-30 15:56:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694619", "2019-12-30 15:57:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694620", "2019-12-30 15:57:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694621", "2019-12-30 15:57:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694622", "2019-12-30 15:58:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694623", "2019-12-30 15:58:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694624", "2019-12-30 15:58:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694625", "2019-12-30 15:59:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694626", "2019-12-30 15:59:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694627", "2019-12-30 15:59:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694628", "2019-12-30 16:00:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694629", "2019-12-30 16:00:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694630", "2019-12-30 16:00:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694631", "2019-12-30 16:01:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694632", "2019-12-30 16:01:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694633", "2019-12-30 16:02:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694634", "2019-12-30 16:02:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694635", "2019-12-30 16:02:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694636", "2019-12-30 16:03:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694637", "2019-12-30 16:03:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694638", "2019-12-30 16:03:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694639", "2019-12-30 16:04:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694640", "2019-12-30 16:04:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694641", "2019-12-30 16:05:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694642", "2019-12-30 16:05:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694643", "2019-12-30 16:05:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694644", "2019-12-30 16:06:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694645", "2019-12-30 16:06:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694646", "2019-12-30 16:06:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694647", "2019-12-30 16:07:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694648", "2019-12-30 16:07:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694649", "2019-12-30 16:07:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694650", "2019-12-30 16:08:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694651", "2019-12-30 16:08:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694652", "2019-12-30 16:08:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694653", "2019-12-30 16:09:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694654", "2019-12-30 16:09:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694655", "2019-12-30 16:09:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694656", "2019-12-30 16:10:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694657", "2019-12-30 16:11:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694658", "2019-12-30 16:11:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694659", "2019-12-30 16:11:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694660", "2019-12-30 16:12:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694661", "2019-12-30 16:12:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694662", "2019-12-30 16:12:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694663", "2019-12-30 16:13:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694664", "2019-12-30 16:13:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694665", "2019-12-30 16:13:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694666", "2019-12-30 16:14:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694667", "2019-12-30 16:14:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694668", "2019-12-30 16:15:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694669", "2019-12-30 16:15:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694670", "2019-12-30 16:15:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694671", "2019-12-30 16:15:51", "/public/router.php", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "39104");
INSERT INTO `wp_redirection_404` VALUES("1694672", "2019-12-30 16:16:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694673", "2019-12-30 16:16:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694674", "2019-12-30 16:16:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694675", "2019-12-30 16:17:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694676", "2019-12-30 16:17:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694677", "2019-12-30 16:17:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694678", "2019-12-30 16:18:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694679", "2019-12-30 16:18:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694680", "2019-12-30 16:18:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694681", "2019-12-30 16:19:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694682", "2019-12-30 16:19:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694683", "2019-12-30 16:19:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694684", "2019-12-30 16:20:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694685", "2019-12-30 16:20:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694686", "2019-12-30 16:20:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694687", "2019-12-30 16:21:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694688", "2019-12-30 16:21:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694689", "2019-12-30 16:21:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694690", "2019-12-30 16:22:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694691", "2019-12-30 16:22:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694692", "2019-12-30 16:23:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694693", "2019-12-30 16:23:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694694", "2019-12-30 16:24:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694695", "2019-12-30 16:24:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694696", "2019-12-30 16:24:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694697", "2019-12-30 16:25:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694698", "2019-12-30 16:25:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694699", "2019-12-30 16:25:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694700", "2019-12-30 16:26:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694701", "2019-12-30 16:26:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694702", "2019-12-30 16:26:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694703", "2019-12-30 16:27:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694704", "2019-12-30 16:27:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694705", "2019-12-30 16:27:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694706", "2019-12-30 16:28:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694707", "2019-12-30 16:28:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694708", "2019-12-30 16:28:33", "/public/router.php", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "39104");
INSERT INTO `wp_redirection_404` VALUES("1694709", "2019-12-30 16:28:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694710", "2019-12-30 16:29:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694711", "2019-12-30 16:29:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694712", "2019-12-30 16:29:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694713", "2019-12-30 16:30:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694714", "2019-12-30 16:30:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694715", "2019-12-30 16:30:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694716", "2019-12-30 16:31:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694717", "2019-12-30 16:31:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694718", "2019-12-30 16:32:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694719", "2019-12-30 16:32:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694720", "2019-12-30 16:32:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694721", "2019-12-30 16:33:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694722", "2019-12-30 16:33:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694723", "2019-12-30 16:33:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694724", "2019-12-30 16:34:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694725", "2019-12-30 16:34:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694726", "2019-12-30 16:34:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694727", "2019-12-30 16:35:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694728", "2019-12-30 16:35:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694729", "2019-12-30 16:36:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694730", "2019-12-30 16:36:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694731", "2019-12-30 16:36:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694732", "2019-12-30 16:37:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694733", "2019-12-30 16:37:10", "/pizza-tech/7-genius-pizza-hacks-2015/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1694734", "2019-12-30 16:37:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694735", "2019-12-30 16:38:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694736", "2019-12-30 16:38:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694737", "2019-12-30 16:38:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694738", "2019-12-30 16:39:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694739", "2019-12-30 16:39:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694740", "2019-12-30 16:39:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694741", "2019-12-30 16:40:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694742", "2019-12-30 16:40:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694743", "2019-12-30 16:40:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694744", "2019-12-30 16:40:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694745", "2019-12-30 16:41:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694746", "2019-12-30 16:41:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694747", "2019-12-30 16:42:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694748", "2019-12-30 16:42:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694749", "2019-12-30 16:42:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694750", "2019-12-30 16:43:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694751", "2019-12-30 16:43:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694752", "2019-12-30 16:43:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694753", "2019-12-30 16:44:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694754", "2019-12-30 16:44:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694755", "2019-12-30 16:44:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694756", "2019-12-30 16:45:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694757", "2019-12-30 16:45:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694758", "2019-12-30 16:45:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694759", "2019-12-30 16:46:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694760", "2019-12-30 16:46:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694761", "2019-12-30 16:46:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694762", "2019-12-30 16:47:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694763", "2019-12-30 16:47:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694764", "2019-12-30 16:48:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694765", "2019-12-30 16:48:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694766", "2019-12-30 16:49:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694767", "2019-12-30 16:49:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694768", "2019-12-30 16:49:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694769", "2019-12-30 16:50:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694770", "2019-12-30 16:50:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694771", "2019-12-30 16:50:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694772", "2019-12-30 16:51:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694773", "2019-12-30 16:51:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694774", "2019-12-30 16:51:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694775", "2019-12-30 16:52:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694776", "2019-12-30 16:52:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694777", "2019-12-30 16:53:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694778", "2019-12-30 16:53:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694779", "2019-12-30 16:54:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694780", "2019-12-30 16:54:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694781", "2019-12-30 16:54:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694782", "2019-12-30 16:55:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694783", "2019-12-30 16:55:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694784", "2019-12-30 16:55:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694785", "2019-12-30 16:56:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694786", "2019-12-30 16:56:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694787", "2019-12-30 16:56:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694788", "2019-12-30 16:57:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694789", "2019-12-30 16:57:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694790", "2019-12-30 16:57:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694791", "2019-12-30 16:58:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694792", "2019-12-30 16:58:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694793", "2019-12-30 16:58:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694794", "2019-12-30 16:59:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694795", "2019-12-30 16:59:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694796", "2019-12-30 16:59:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694797", "2019-12-30 17:00:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694798", "2019-12-30 17:00:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694799", "2019-12-30 17:00:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694800", "2019-12-30 17:01:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694801", "2019-12-30 17:01:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694802", "2019-12-30 17:01:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694803", "2019-12-30 17:02:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694804", "2019-12-30 17:02:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694805", "2019-12-30 17:02:41", "/pizza-recipes/bring-pizza-without-losing-taste-texture/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1694806", "2019-12-30 17:02:41", "/pizza-recipes/low-carb-pizza-toppings/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1694807", "2019-12-30 17:02:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694808", "2019-12-30 17:03:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694809", "2019-12-30 17:03:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694810", "2019-12-30 17:03:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694811", "2019-12-30 17:04:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694812", "2019-12-30 17:04:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694813", "2019-12-30 17:04:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694814", "2019-12-30 17:05:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694815", "2019-12-30 17:05:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694816", "2019-12-30 17:05:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694817", "2019-12-30 17:06:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694818", "2019-12-30 17:06:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694819", "2019-12-30 17:06:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694820", "2019-12-30 17:07:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694821", "2019-12-30 17:07:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694822", "2019-12-30 17:08:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694823", "2019-12-30 17:08:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694824", "2019-12-30 17:08:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694825", "2019-12-30 17:09:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694826", "2019-12-30 17:09:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694827", "2019-12-30 17:10:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694828", "2019-12-30 17:10:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694829", "2019-12-30 17:10:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694830", "2019-12-30 17:11:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694831", "2019-12-30 17:11:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694832", "2019-12-30 17:11:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694833", "2019-12-30 17:12:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694834", "2019-12-30 17:12:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694835", "2019-12-30 17:13:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694836", "2019-12-30 17:13:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694837", "2019-12-30 17:13:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694838", "2019-12-30 17:14:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694839", "2019-12-30 17:14:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694840", "2019-12-30 17:14:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694841", "2019-12-30 17:15:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694842", "2019-12-30 17:15:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694843", "2019-12-30 17:15:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694844", "2019-12-30 17:16:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694845", "2019-12-30 17:16:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694846", "2019-12-30 17:16:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694847", "2019-12-30 17:17:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694848", "2019-12-30 17:17:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694849", "2019-12-30 17:17:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694850", "2019-12-30 17:18:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694851", "2019-12-30 17:18:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694852", "2019-12-30 17:18:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694853", "2019-12-30 17:19:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694854", "2019-12-30 17:19:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694855", "2019-12-30 17:19:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694856", "2019-12-30 17:20:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694857", "2019-12-30 17:20:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694858", "2019-12-30 17:20:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694859", "2019-12-30 17:21:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694860", "2019-12-30 17:21:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694861", "2019-12-30 17:21:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694862", "2019-12-30 17:22:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694863", "2019-12-30 17:22:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694864", "2019-12-30 17:22:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694865", "2019-12-30 17:23:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694866", "2019-12-30 17:23:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694867", "2019-12-30 17:23:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694868", "2019-12-30 17:24:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694869", "2019-12-30 17:24:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694870", "2019-12-30 17:24:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694871", "2019-12-30 17:25:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694872", "2019-12-30 17:25:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694873", "2019-12-30 17:26:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694874", "2019-12-30 17:26:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694875", "2019-12-30 17:26:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694876", "2019-12-30 17:27:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694877", "2019-12-30 17:27:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694878", "2019-12-30 17:28:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694879", "2019-12-30 17:28:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694880", "2019-12-30 17:28:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694881", "2019-12-30 17:29:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694882", "2019-12-30 17:29:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694883", "2019-12-30 17:29:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694884", "2019-12-30 17:30:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694885", "2019-12-30 17:31:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694886", "2019-12-30 17:31:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694887", "2019-12-30 17:31:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694888", "2019-12-30 17:32:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694889", "2019-12-30 17:32:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694890", "2019-12-30 17:32:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694891", "2019-12-30 17:33:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694892", "2019-12-30 17:33:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694893", "2019-12-30 17:33:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694894", "2019-12-30 17:34:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694895", "2019-12-30 17:34:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694896", "2019-12-30 17:35:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694897", "2019-12-30 17:35:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694898", "2019-12-30 17:35:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694899", "2019-12-30 17:36:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694900", "2019-12-30 17:36:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694901", "2019-12-30 17:36:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694902", "2019-12-30 17:37:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694903", "2019-12-30 17:37:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694904", "2019-12-30 17:37:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694905", "2019-12-30 17:38:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694906", "2019-12-30 17:38:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694907", "2019-12-30 17:38:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694908", "2019-12-30 17:39:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694909", "2019-12-30 17:39:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694910", "2019-12-30 17:39:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694911", "2019-12-30 17:40:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694912", "2019-12-30 17:40:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694913", "2019-12-30 17:40:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694914", "2019-12-30 17:41:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694915", "2019-12-30 17:42:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694916", "2019-12-30 17:42:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694917", "2019-12-30 17:43:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694918", "2019-12-30 17:43:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694919", "2019-12-30 17:43:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694920", "2019-12-30 17:44:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694921", "2019-12-30 17:44:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694922", "2019-12-30 17:44:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694923", "2019-12-30 17:45:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694924", "2019-12-30 17:45:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694925", "2019-12-30 17:45:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694926", "2019-12-30 17:46:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694927", "2019-12-30 17:46:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694928", "2019-12-30 17:46:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694929", "2019-12-30 17:47:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694930", "2019-12-30 17:47:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694931", "2019-12-30 17:47:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694932", "2019-12-30 17:48:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694933", "2019-12-30 17:48:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694934", "2019-12-30 17:48:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694935", "2019-12-30 17:50:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694936", "2019-12-30 17:50:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694937", "2019-12-30 17:50:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694938", "2019-12-30 17:51:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694939", "2019-12-30 17:51:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694940", "2019-12-30 17:51:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694941", "2019-12-30 17:52:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694942", "2019-12-30 17:52:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694943", "2019-12-30 17:52:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694944", "2019-12-30 17:53:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694945", "2019-12-30 17:53:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694946", "2019-12-30 17:53:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694947", "2019-12-30 17:54:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694948", "2019-12-30 17:54:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694949", "2019-12-30 17:54:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694950", "2019-12-30 17:55:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694951", "2019-12-30 17:55:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694952", "2019-12-30 17:55:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694953", "2019-12-30 17:56:36", "/clearfield-pa/wing-day-wednesdays/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1694954", "2019-12-30 17:56:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694955", "2019-12-30 17:56:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694956", "2019-12-30 17:56:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694957", "2019-12-30 17:57:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694958", "2019-12-30 17:57:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694959", "2019-12-30 17:57:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694960", "2019-12-30 17:58:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694961", "2019-12-30 17:58:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694962", "2019-12-30 17:59:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694963", "2019-12-30 17:59:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694964", "2019-12-30 17:59:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694965", "2019-12-30 18:00:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694966", "2019-12-30 18:00:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694967", "2019-12-30 18:01:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694968", "2019-12-30 18:01:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694969", "2019-12-30 18:02:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694970", "2019-12-30 18:02:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694971", "2019-12-30 18:02:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694972", "2019-12-30 18:03:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694973", "2019-12-30 18:03:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694974", "2019-12-30 18:03:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694975", "2019-12-30 18:04:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694976", "2019-12-30 18:04:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694977", "2019-12-30 18:04:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694978", "2019-12-30 18:05:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694979", "2019-12-30 18:05:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694980", "2019-12-30 18:06:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694981", "2019-12-30 18:06:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694982", "2019-12-30 18:06:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694983", "2019-12-30 18:07:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694984", "2019-12-30 18:07:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694985", "2019-12-30 18:07:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694986", "2019-12-30 18:08:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694987", "2019-12-30 18:08:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694988", "2019-12-30 18:08:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694989", "2019-12-30 18:09:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694990", "2019-12-30 18:09:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694991", "2019-12-30 18:09:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694992", "2019-12-30 18:10:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694993", "2019-12-30 18:10:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694994", "2019-12-30 18:10:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694995", "2019-12-30 18:11:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694996", "2019-12-30 18:12:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694997", "2019-12-30 18:12:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694998", "2019-12-30 18:12:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1694999", "2019-12-30 18:13:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695000", "2019-12-30 18:13:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695001", "2019-12-30 18:13:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695002", "2019-12-30 18:14:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695003", "2019-12-30 18:14:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695004", "2019-12-30 18:14:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695005", "2019-12-30 18:15:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695006", "2019-12-30 18:15:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695007", "2019-12-30 18:15:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695008", "2019-12-30 18:16:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695009", "2019-12-30 18:16:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695010", "2019-12-30 18:16:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695011", "2019-12-30 18:17:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695012", "2019-12-30 18:17:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695013", "2019-12-30 18:17:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695014", "2019-12-30 18:18:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695015", "2019-12-30 18:18:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695016", "2019-12-30 18:18:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695017", "2019-12-30 18:19:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695018", "2019-12-30 18:19:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695019", "2019-12-30 18:20:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695020", "2019-12-30 18:20:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695021", "2019-12-30 18:21:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695022", "2019-12-30 18:21:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695023", "2019-12-30 18:21:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695024", "2019-12-30 18:22:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695025", "2019-12-30 18:22:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695026", "2019-12-30 18:22:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695027", "2019-12-30 18:23:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695028", "2019-12-30 18:23:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695029", "2019-12-30 18:23:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695030", "2019-12-30 18:24:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695031", "2019-12-30 18:24:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695032", "2019-12-30 18:24:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695033", "2019-12-30 18:25:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695034", "2019-12-30 18:25:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695035", "2019-12-30 18:25:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695036", "2019-12-30 18:26:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695037", "2019-12-30 18:26:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695038", "2019-12-30 18:27:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695039", "2019-12-30 18:28:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695040", "2019-12-30 18:28:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695041", "2019-12-30 18:28:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695042", "2019-12-30 18:29:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695043", "2019-12-30 18:29:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695044", "2019-12-30 18:30:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695045", "2019-12-30 18:30:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695046", "2019-12-30 18:30:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695047", "2019-12-30 18:31:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695048", "2019-12-30 18:31:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695049", "2019-12-30 18:32:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695050", "2019-12-30 18:32:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695051", "2019-12-30 18:33:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695052", "2019-12-30 18:33:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695053", "2019-12-30 18:34:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695054", "2019-12-30 18:34:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695055", "2019-12-30 18:35:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695056", "2019-12-30 18:35:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695057", "2019-12-30 18:35:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695058", "2019-12-30 18:36:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695059", "2019-12-30 18:36:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695060", "2019-12-30 18:36:49", "/vendor/phpunit/phpunit/LICENSE", "Python-urllib/2.7", NULL, "209141");
INSERT INTO `wp_redirection_404` VALUES("1695061", "2019-12-30 18:36:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695062", "2019-12-30 18:37:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695063", "2019-12-30 18:37:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695064", "2019-12-30 18:38:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695065", "2019-12-30 18:38:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695066", "2019-12-30 18:38:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695067", "2019-12-30 18:39:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695068", "2019-12-30 18:39:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695069", "2019-12-30 18:39:42", "/pizza-recipes/pizza-crust-alternatives/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1695070", "2019-12-30 18:39:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695071", "2019-12-30 18:40:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695072", "2019-12-30 18:40:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695073", "2019-12-30 18:40:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695074", "2019-12-30 18:41:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695075", "2019-12-30 18:41:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695076", "2019-12-30 18:42:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695077", "2019-12-30 18:42:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695078", "2019-12-30 18:42:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695079", "2019-12-30 18:43:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695080", "2019-12-30 18:43:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695081", "2019-12-30 18:43:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695082", "2019-12-30 18:44:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695083", "2019-12-30 18:44:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695084", "2019-12-30 18:45:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695085", "2019-12-30 18:45:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695086", "2019-12-30 18:45:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695087", "2019-12-30 18:46:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695088", "2019-12-30 18:46:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695089", "2019-12-30 18:46:35", "/public/router.php", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "39104");
INSERT INTO `wp_redirection_404` VALUES("1695090", "2019-12-30 18:46:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695091", "2019-12-30 18:47:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695092", "2019-12-30 18:48:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695093", "2019-12-30 18:48:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695094", "2019-12-30 18:49:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695095", "2019-12-30 18:49:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695096", "2019-12-30 18:50:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695097", "2019-12-30 18:50:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695098", "2019-12-30 18:50:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695099", "2019-12-30 18:51:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695100", "2019-12-30 18:51:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695101", "2019-12-30 18:51:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695102", "2019-12-30 18:52:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695103", "2019-12-30 18:52:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695104", "2019-12-30 18:53:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695105", "2019-12-30 18:53:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695106", "2019-12-30 18:53:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695107", "2019-12-30 18:54:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695108", "2019-12-30 18:54:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695109", "2019-12-30 18:54:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695110", "2019-12-30 18:54:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695111", "2019-12-30 18:55:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695112", "2019-12-30 18:55:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695113", "2019-12-30 18:55:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695114", "2019-12-30 18:56:00", "/wp-content/plugins/radykal-fancy-gallery/admin/generate-code.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2896.3 Safari/537.36", "http://www.google.com/", "10382");
INSERT INTO `wp_redirection_404` VALUES("1695115", "2019-12-30 18:56:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695116", "2019-12-30 18:56:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695117", "2019-12-30 18:56:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695118", "2019-12-30 18:57:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695119", "2019-12-30 18:57:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695120", "2019-12-30 18:57:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695121", "2019-12-30 18:58:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695122", "2019-12-30 18:58:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695123", "2019-12-30 18:58:48", "/wp-content/plugins/radykal-fancy-gallery/admin/generate-code.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2896.3 Safari/537.36", "http://www.google.com/", "10382");
INSERT INTO `wp_redirection_404` VALUES("1695124", "2019-12-30 18:58:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695125", "2019-12-30 18:59:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695126", "2019-12-30 18:59:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695127", "2019-12-30 19:00:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695128", "2019-12-30 19:00:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695129", "2019-12-30 19:00:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695130", "2019-12-30 19:01:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695131", "2019-12-30 19:01:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695132", "2019-12-30 19:01:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695133", "2019-12-30 19:02:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695134", "2019-12-30 19:02:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695135", "2019-12-30 19:02:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695136", "2019-12-30 19:03:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695137", "2019-12-30 19:03:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695138", "2019-12-30 19:04:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695139", "2019-12-30 19:04:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695140", "2019-12-30 19:04:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695141", "2019-12-30 19:05:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695142", "2019-12-30 19:05:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695143", "2019-12-30 19:05:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695144", "2019-12-30 19:06:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695145", "2019-12-30 19:06:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695146", "2019-12-30 19:07:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695147", "2019-12-30 19:07:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695148", "2019-12-30 19:07:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695149", "2019-12-30 19:08:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695150", "2019-12-30 19:08:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695151", "2019-12-30 19:09:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695152", "2019-12-30 19:09:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695153", "2019-12-30 19:09:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695154", "2019-12-30 19:10:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695155", "2019-12-30 19:11:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695156", "2019-12-30 19:11:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695157", "2019-12-30 19:11:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695158", "2019-12-30 19:12:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695159", "2019-12-30 19:12:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695160", "2019-12-30 19:12:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695161", "2019-12-30 19:14:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695162", "2019-12-30 19:14:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695163", "2019-12-30 19:14:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695164", "2019-12-30 19:15:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695165", "2019-12-30 19:15:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695166", "2019-12-30 19:15:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695167", "2019-12-30 19:16:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695168", "2019-12-30 19:16:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695169", "2019-12-30 19:16:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695170", "2019-12-30 19:17:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695171", "2019-12-30 19:17:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695172", "2019-12-30 19:17:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695173", "2019-12-30 19:17:53", "/2016/06/03/greens-pizza/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1695174", "2019-12-30 19:17:54", "/2016/06/03/greens-pizza/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1695175", "2019-12-30 19:18:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695176", "2019-12-30 19:18:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695177", "2019-12-30 19:18:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695178", "2019-12-30 19:19:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695179", "2019-12-30 19:20:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695180", "2019-12-30 19:20:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695181", "2019-12-30 19:21:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695182", "2019-12-30 19:21:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695183", "2019-12-30 19:21:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695184", "2019-12-30 19:22:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695185", "2019-12-30 19:22:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695186", "2019-12-30 19:22:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695187", "2019-12-30 19:23:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695188", "2019-12-30 19:23:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695189", "2019-12-30 19:24:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695190", "2019-12-30 19:24:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695191", "2019-12-30 19:24:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695192", "2019-12-30 19:25:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695193", "2019-12-30 19:25:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695194", "2019-12-30 19:25:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695195", "2019-12-30 19:26:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695196", "2019-12-30 19:26:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695197", "2019-12-30 19:26:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695198", "2019-12-30 19:27:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695199", "2019-12-30 19:28:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695200", "2019-12-30 19:28:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695201", "2019-12-30 19:28:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695202", "2019-12-30 19:29:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695203", "2019-12-30 19:29:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695204", "2019-12-30 19:29:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695205", "2019-12-30 19:30:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695206", "2019-12-30 19:30:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695207", "2019-12-30 19:30:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695208", "2019-12-30 19:31:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695209", "2019-12-30 19:31:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695210", "2019-12-30 19:31:41", "/?author=3", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "45224");
INSERT INTO `wp_redirection_404` VALUES("1695211", "2019-12-30 19:31:43", "/?author=4", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "45224");
INSERT INTO `wp_redirection_404` VALUES("1695212", "2019-12-30 19:31:44", "/?author=5", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "45224");
INSERT INTO `wp_redirection_404` VALUES("1695213", "2019-12-30 19:31:46", "/?author=6", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "45224");
INSERT INTO `wp_redirection_404` VALUES("1695214", "2019-12-30 19:31:47", "/?author=7", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "45224");
INSERT INTO `wp_redirection_404` VALUES("1695215", "2019-12-30 19:31:49", "/?author=8", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "45224");
INSERT INTO `wp_redirection_404` VALUES("1695216", "2019-12-30 19:31:53", "/?author=9", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "45224");
INSERT INTO `wp_redirection_404` VALUES("1695217", "2019-12-30 19:31:55", "/?author=10", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "45224");
INSERT INTO `wp_redirection_404` VALUES("1695218", "2019-12-30 19:31:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695219", "2019-12-30 19:32:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695220", "2019-12-30 19:32:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695221", "2019-12-30 19:33:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695222", "2019-12-30 19:33:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695223", "2019-12-30 19:33:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695224", "2019-12-30 19:34:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695225", "2019-12-30 19:34:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695226", "2019-12-30 19:34:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695227", "2019-12-30 19:35:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695228", "2019-12-30 19:35:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695229", "2019-12-30 19:35:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695230", "2019-12-30 19:36:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695231", "2019-12-30 19:36:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695232", "2019-12-30 19:36:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695233", "2019-12-30 19:37:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695234", "2019-12-30 19:37:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695235", "2019-12-30 19:37:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695236", "2019-12-30 19:38:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695237", "2019-12-30 19:38:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695238", "2019-12-30 19:39:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695239", "2019-12-30 19:39:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695240", "2019-12-30 19:39:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695241", "2019-12-30 19:40:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695242", "2019-12-30 19:40:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695243", "2019-12-30 19:40:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695244", "2019-12-30 19:41:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695245", "2019-12-30 19:41:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695246", "2019-12-30 19:42:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695247", "2019-12-30 19:42:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695248", "2019-12-30 19:42:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695699", "2019-12-30 22:24:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695698", "2019-12-30 22:23:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695697", "2019-12-30 22:23:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695696", "2019-12-30 22:23:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695695", "2019-12-30 22:22:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695694", "2019-12-30 22:22:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695693", "2019-12-30 22:22:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695692", "2019-12-30 22:21:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695691", "2019-12-30 22:21:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695690", "2019-12-30 22:21:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695689", "2019-12-30 22:20:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695688", "2019-12-30 22:20:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695687", "2019-12-30 22:20:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695686", "2019-12-30 22:19:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695685", "2019-12-30 22:19:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695684", "2019-12-30 22:19:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695683", "2019-12-30 22:18:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695682", "2019-12-30 22:18:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695681", "2019-12-30 22:18:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695680", "2019-12-30 22:17:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695679", "2019-12-30 22:17:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695678", "2019-12-30 22:17:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695677", "2019-12-30 22:16:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695676", "2019-12-30 22:16:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695675", "2019-12-30 22:15:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695674", "2019-12-30 22:15:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695673", "2019-12-30 22:14:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695672", "2019-12-30 22:14:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695671", "2019-12-30 22:14:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695670", "2019-12-30 22:13:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695669", "2019-12-30 22:13:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695668", "2019-12-30 22:13:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695667", "2019-12-30 22:12:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695666", "2019-12-30 22:12:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695665", "2019-12-30 22:12:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695664", "2019-12-30 22:11:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695663", "2019-12-30 22:11:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695662", "2019-12-30 22:11:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695661", "2019-12-30 22:10:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695660", "2019-12-30 22:09:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695659", "2019-12-30 22:09:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695658", "2019-12-30 22:09:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695657", "2019-12-30 22:08:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695655", "2019-12-30 22:08:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695656", "2019-12-30 22:08:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695654", "2019-12-30 22:07:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695653", "2019-12-30 22:07:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695652", "2019-12-30 22:07:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695651", "2019-12-30 22:06:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695650", "2019-12-30 22:06:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695649", "2019-12-30 22:06:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695648", "2019-12-30 22:05:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695647", "2019-12-30 22:05:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695646", "2019-12-30 22:05:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695645", "2019-12-30 22:04:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695644", "2019-12-30 22:04:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695643", "2019-12-30 22:04:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695642", "2019-12-30 22:03:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695641", "2019-12-30 22:03:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695640", "2019-12-30 22:03:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695639", "2019-12-30 22:02:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695638", "2019-12-30 22:02:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695637", "2019-12-30 22:02:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695636", "2019-12-30 22:01:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695634", "2019-12-30 22:01:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695635", "2019-12-30 22:01:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695633", "2019-12-30 22:00:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695632", "2019-12-30 22:00:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695631", "2019-12-30 22:00:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695630", "2019-12-30 21:59:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695629", "2019-12-30 21:59:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695628", "2019-12-30 21:59:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695627", "2019-12-30 21:58:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695626", "2019-12-30 21:58:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695625", "2019-12-30 21:58:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695624", "2019-12-30 21:57:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695623", "2019-12-30 21:57:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695622", "2019-12-30 21:57:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695621", "2019-12-30 21:56:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695620", "2019-12-30 21:56:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695618", "2019-12-30 21:55:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695619", "2019-12-30 21:55:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695617", "2019-12-30 21:55:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695616", "2019-12-30 21:54:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695615", "2019-12-30 21:54:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695614", "2019-12-30 21:54:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695613", "2019-12-30 21:53:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695612", "2019-12-30 21:53:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695611", "2019-12-30 21:53:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695610", "2019-12-30 21:52:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695609", "2019-12-30 21:52:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695608", "2019-12-30 21:52:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695607", "2019-12-30 21:51:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695606", "2019-12-30 21:51:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695605", "2019-12-30 21:51:29", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174130");
INSERT INTO `wp_redirection_404` VALUES("1695604", "2019-12-30 21:51:29", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174130");
INSERT INTO `wp_redirection_404` VALUES("1695603", "2019-12-30 21:51:29", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174130");
INSERT INTO `wp_redirection_404` VALUES("1695602", "2019-12-30 21:51:29", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174130");
INSERT INTO `wp_redirection_404` VALUES("1695601", "2019-12-30 21:51:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695600", "2019-12-30 21:50:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695599", "2019-12-30 21:50:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695598", "2019-12-30 21:50:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695597", "2019-12-30 21:49:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695596", "2019-12-30 21:49:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695595", "2019-12-30 21:49:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695594", "2019-12-30 21:48:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695593", "2019-12-30 21:48:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695592", "2019-12-30 21:47:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695591", "2019-12-30 21:47:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695590", "2019-12-30 21:47:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695589", "2019-12-30 21:46:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695588", "2019-12-30 21:46:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695587", "2019-12-30 21:46:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695586", "2019-12-30 21:46:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695585", "2019-12-30 21:45:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695584", "2019-12-30 21:45:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695583", "2019-12-30 21:44:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695582", "2019-12-30 21:44:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695581", "2019-12-30 21:44:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695580", "2019-12-30 21:43:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695579", "2019-12-30 21:43:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695578", "2019-12-30 21:43:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695577", "2019-12-30 21:42:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695576", "2019-12-30 21:42:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695575", "2019-12-30 21:42:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695574", "2019-12-30 21:41:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695573", "2019-12-30 21:41:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695572", "2019-12-30 21:41:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695571", "2019-12-30 21:40:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695570", "2019-12-30 21:40:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695569", "2019-12-30 21:40:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695568", "2019-12-30 21:39:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695567", "2019-12-30 21:39:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695566", "2019-12-30 21:39:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695565", "2019-12-30 21:38:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695564", "2019-12-30 21:38:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695563", "2019-12-30 21:38:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695562", "2019-12-30 21:37:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695561", "2019-12-30 21:37:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695560", "2019-12-30 21:37:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695559", "2019-12-30 21:36:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695558", "2019-12-30 21:36:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695557", "2019-12-30 21:36:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695556", "2019-12-30 21:35:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695555", "2019-12-30 21:35:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695554", "2019-12-30 21:35:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695553", "2019-12-30 21:34:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695552", "2019-12-30 21:34:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695551", "2019-12-30 21:34:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695550", "2019-12-30 21:33:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695549", "2019-12-30 21:33:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695548", "2019-12-30 21:33:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695547", "2019-12-30 21:32:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695546", "2019-12-30 21:32:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695545", "2019-12-30 21:32:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695544", "2019-12-30 21:31:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695543", "2019-12-30 21:31:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695542", "2019-12-30 21:31:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695541", "2019-12-30 21:30:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695540", "2019-12-30 21:30:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695539", "2019-12-30 21:29:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695538", "2019-12-30 21:29:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695537", "2019-12-30 21:28:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695536", "2019-12-30 21:28:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695535", "2019-12-30 21:28:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695534", "2019-12-30 21:27:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695533", "2019-12-30 21:27:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695532", "2019-12-30 21:27:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695531", "2019-12-30 21:27:20", "/pizza-parties/throw-pizza-party-kids-remember/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1695530", "2019-12-30 21:26:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695529", "2019-12-30 21:26:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695528", "2019-12-30 21:26:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695527", "2019-12-30 21:25:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695526", "2019-12-30 21:25:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695525", "2019-12-30 21:25:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695524", "2019-12-30 21:24:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695523", "2019-12-30 21:24:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695522", "2019-12-30 21:24:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695521", "2019-12-30 21:23:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695520", "2019-12-30 21:23:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695519", "2019-12-30 21:23:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695518", "2019-12-30 21:22:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695517", "2019-12-30 21:22:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695516", "2019-12-30 21:22:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695515", "2019-12-30 21:21:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695514", "2019-12-30 21:21:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695512", "2019-12-30 21:20:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695513", "2019-12-30 21:21:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695511", "2019-12-30 21:20:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695510", "2019-12-30 21:20:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695509", "2019-12-30 21:19:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695508", "2019-12-30 21:18:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695507", "2019-12-30 21:18:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695506", "2019-12-30 21:17:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695505", "2019-12-30 21:17:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695504", "2019-12-30 21:17:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695503", "2019-12-30 21:16:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695502", "2019-12-30 21:16:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695501", "2019-12-30 21:16:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695500", "2019-12-30 21:15:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695499", "2019-12-30 21:15:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695498", "2019-12-30 21:15:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695497", "2019-12-30 21:14:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695496", "2019-12-30 21:14:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695495", "2019-12-30 21:14:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695494", "2019-12-30 21:13:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695493", "2019-12-30 21:13:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695492", "2019-12-30 21:13:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695491", "2019-12-30 21:12:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695490", "2019-12-30 21:12:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695489", "2019-12-30 21:12:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695488", "2019-12-30 21:11:20", "/info.php", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1695487", "2019-12-30 21:11:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695486", "2019-12-30 21:10:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695485", "2019-12-30 21:10:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695484", "2019-12-30 21:09:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695483", "2019-12-30 21:09:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695482", "2019-12-30 21:09:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695481", "2019-12-30 21:08:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695480", "2019-12-30 21:08:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695479", "2019-12-30 21:08:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695478", "2019-12-30 21:07:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695477", "2019-12-30 21:07:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695476", "2019-12-30 21:07:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695475", "2019-12-30 21:06:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695474", "2019-12-30 21:06:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695473", "2019-12-30 21:06:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695472", "2019-12-30 21:05:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695471", "2019-12-30 21:05:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695470", "2019-12-30 21:04:55", "/dir/wp-system.php", "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/50.0.2661.75 Safari/537.36", NULL, "13959");
INSERT INTO `wp_redirection_404` VALUES("1695469", "2019-12-30 21:04:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695468", "2019-12-30 21:04:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695467", "2019-12-30 21:04:23", "/wp-includes/wp-guide.php", "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/50.0.2661.75 Safari/537.36", NULL, "13959");
INSERT INTO `wp_redirection_404` VALUES("1695466", "2019-12-30 21:04:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695465", "2019-12-30 21:03:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695464", "2019-12-30 21:03:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695463", "2019-12-30 21:03:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695462", "2019-12-30 21:02:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695461", "2019-12-30 21:02:38", "/wp-content/wp-system.php", "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/50.0.2661.75 Safari/537.36", NULL, "188166");
INSERT INTO `wp_redirection_404` VALUES("1695460", "2019-12-30 21:02:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695459", "2019-12-30 21:02:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695458", "2019-12-30 21:01:52", "/wp-admin/wp-system.php", "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/50.0.2661.75 Safari/537.36", NULL, "13959");
INSERT INTO `wp_redirection_404` VALUES("1695457", "2019-12-30 21:01:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695456", "2019-12-30 21:01:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695455", "2019-12-30 21:01:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695454", "2019-12-30 21:00:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695453", "2019-12-30 21:00:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695452", "2019-12-30 20:59:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695451", "2019-12-30 20:59:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695450", "2019-12-30 20:59:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695449", "2019-12-30 20:58:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695448", "2019-12-30 20:58:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695447", "2019-12-30 20:58:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695446", "2019-12-30 20:57:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695445", "2019-12-30 20:57:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695444", "2019-12-30 20:57:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695443", "2019-12-30 20:56:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695442", "2019-12-30 20:55:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695441", "2019-12-30 20:55:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695440", "2019-12-30 20:55:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695439", "2019-12-30 20:54:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695438", "2019-12-30 20:53:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695437", "2019-12-30 20:53:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695436", "2019-12-30 20:52:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695435", "2019-12-30 20:52:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695434", "2019-12-30 20:51:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695433", "2019-12-30 20:51:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695432", "2019-12-30 20:50:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695431", "2019-12-30 20:49:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695430", "2019-12-30 20:49:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695429", "2019-12-30 20:49:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695428", "2019-12-30 20:48:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695427", "2019-12-30 20:46:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695426", "2019-12-30 20:46:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695425", "2019-12-30 20:46:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695424", "2019-12-30 20:45:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695423", "2019-12-30 20:45:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695422", "2019-12-30 20:45:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695421", "2019-12-30 20:44:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695420", "2019-12-30 20:44:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695419", "2019-12-30 20:44:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695418", "2019-12-30 20:43:44", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "174197");
INSERT INTO `wp_redirection_404` VALUES("1695417", "2019-12-30 20:43:43", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "174197");
INSERT INTO `wp_redirection_404` VALUES("1695416", "2019-12-30 20:43:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695415", "2019-12-30 20:42:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695414", "2019-12-30 20:42:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695413", "2019-12-30 20:42:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695412", "2019-12-30 20:41:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695411", "2019-12-30 20:40:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695410", "2019-12-30 20:40:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695409", "2019-12-30 20:40:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695408", "2019-12-30 20:39:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695407", "2019-12-30 20:38:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695406", "2019-12-30 20:38:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695405", "2019-12-30 20:37:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695404", "2019-12-30 20:37:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695403", "2019-12-30 20:36:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695402", "2019-12-30 20:35:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695401", "2019-12-30 20:35:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695400", "2019-12-30 20:35:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695399", "2019-12-30 20:34:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695398", "2019-12-30 20:34:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695397", "2019-12-30 20:33:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695396", "2019-12-30 20:33:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695395", "2019-12-30 20:33:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695394", "2019-12-30 20:32:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695393", "2019-12-30 20:32:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695392", "2019-12-30 20:32:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695391", "2019-12-30 20:31:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695390", "2019-12-30 20:31:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695389", "2019-12-30 20:31:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695388", "2019-12-30 20:30:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695387", "2019-12-30 20:30:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695386", "2019-12-30 20:29:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695385", "2019-12-30 20:29:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695384", "2019-12-30 20:29:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695383", "2019-12-30 20:28:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695382", "2019-12-30 20:28:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695381", "2019-12-30 20:27:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695380", "2019-12-30 20:27:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695379", "2019-12-30 20:27:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695378", "2019-12-30 20:26:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695377", "2019-12-30 20:26:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695376", "2019-12-30 20:26:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695375", "2019-12-30 20:25:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695374", "2019-12-30 20:25:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695373", "2019-12-30 20:25:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695372", "2019-12-30 20:24:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695371", "2019-12-30 20:24:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695370", "2019-12-30 20:24:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695369", "2019-12-30 20:23:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695368", "2019-12-30 20:23:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695367", "2019-12-30 20:23:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695366", "2019-12-30 20:22:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695365", "2019-12-30 20:22:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695364", "2019-12-30 20:22:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695363", "2019-12-30 20:21:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695362", "2019-12-30 20:21:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695361", "2019-12-30 20:21:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695360", "2019-12-30 20:20:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695359", "2019-12-30 20:20:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695358", "2019-12-30 20:19:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695357", "2019-12-30 20:19:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695356", "2019-12-30 20:19:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695355", "2019-12-30 20:18:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695354", "2019-12-30 20:18:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695353", "2019-12-30 20:18:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695352", "2019-12-30 20:17:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695351", "2019-12-30 20:17:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695350", "2019-12-30 20:17:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695349", "2019-12-30 20:16:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695348", "2019-12-30 20:16:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695347", "2019-12-30 20:15:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695346", "2019-12-30 20:15:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695345", "2019-12-30 20:15:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695344", "2019-12-30 20:14:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695343", "2019-12-30 20:14:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695342", "2019-12-30 20:14:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695341", "2019-12-30 20:13:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695340", "2019-12-30 20:13:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695339", "2019-12-30 20:13:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695338", "2019-12-30 20:12:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695337", "2019-12-30 20:12:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695336", "2019-12-30 20:12:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695335", "2019-12-30 20:11:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695334", "2019-12-30 20:11:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695333", "2019-12-30 20:11:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695332", "2019-12-30 20:10:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695331", "2019-12-30 20:10:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695330", "2019-12-30 20:10:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695329", "2019-12-30 20:09:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695328", "2019-12-30 20:09:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695327", "2019-12-30 20:09:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695326", "2019-12-30 20:08:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695325", "2019-12-30 20:08:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695324", "2019-12-30 20:08:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695323", "2019-12-30 20:07:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695322", "2019-12-30 20:07:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695321", "2019-12-30 20:07:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695320", "2019-12-30 20:06:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695319", "2019-12-30 20:06:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695318", "2019-12-30 20:06:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695317", "2019-12-30 20:05:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695316", "2019-12-30 20:05:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695315", "2019-12-30 20:05:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695314", "2019-12-30 20:04:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695312", "2019-12-30 20:04:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695313", "2019-12-30 20:04:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695311", "2019-12-30 20:03:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695310", "2019-12-30 20:03:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695309", "2019-12-30 20:03:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695307", "2019-12-30 20:02:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695308", "2019-12-30 20:02:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695306", "2019-12-30 20:02:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695305", "2019-12-30 20:01:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695303", "2019-12-30 20:01:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695304", "2019-12-30 20:01:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702053", "2020-01-01 14:14:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702052", "2020-01-01 14:14:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702051", "2020-01-01 14:14:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702050", "2020-01-01 14:13:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702048", "2020-01-01 14:13:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702049", "2020-01-01 14:13:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702047", "2020-01-01 14:12:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702046", "2020-01-01 14:12:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702045", "2020-01-01 14:12:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702044", "2020-01-01 14:11:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702043", "2020-01-01 14:11:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702042", "2020-01-01 14:11:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702041", "2020-01-01 14:10:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702040", "2020-01-01 14:10:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702039", "2020-01-01 14:10:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702038", "2020-01-01 14:09:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702037", "2020-01-01 14:09:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702036", "2020-01-01 14:09:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702034", "2020-01-01 14:08:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702035", "2020-01-01 14:08:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702032", "2020-01-01 14:07:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702033", "2020-01-01 14:08:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702030", "2020-01-01 14:07:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702031", "2020-01-01 14:07:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702028", "2020-01-01 14:06:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702029", "2020-01-01 14:06:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702027", "2020-01-01 14:06:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702026", "2020-01-01 14:05:50", "/wp-content/plugins/myshe.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/73.0.3683.103 Safari/537.36", NULL, "193106");
INSERT INTO `wp_redirection_404` VALUES("1702025", "2020-01-01 14:05:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702024", "2020-01-01 14:05:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702023", "2020-01-01 14:05:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702022", "2020-01-01 14:04:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702021", "2020-01-01 14:04:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702020", "2020-01-01 14:04:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702019", "2020-01-01 14:03:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702018", "2020-01-01 14:03:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702017", "2020-01-01 14:03:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702016", "2020-01-01 14:02:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702015", "2020-01-01 14:02:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702014", "2020-01-01 14:01:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702013", "2020-01-01 14:01:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702012", "2020-01-01 14:01:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702011", "2020-01-01 14:00:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702010", "2020-01-01 14:00:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702009", "2020-01-01 13:59:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702008", "2020-01-01 13:59:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702007", "2020-01-01 13:59:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702006", "2020-01-01 13:58:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702005", "2020-01-01 13:58:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702004", "2020-01-01 13:58:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702003", "2020-01-01 13:57:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702002", "2020-01-01 13:57:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702001", "2020-01-01 13:57:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1702000", "2020-01-01 13:56:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701999", "2020-01-01 13:56:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701998", "2020-01-01 13:56:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701997", "2020-01-01 13:55:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701996", "2020-01-01 13:55:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701995", "2020-01-01 13:55:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701994", "2020-01-01 13:54:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701993", "2020-01-01 13:54:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701992", "2020-01-01 13:54:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701991", "2020-01-01 13:53:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701990", "2020-01-01 13:53:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701989", "2020-01-01 13:53:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701988", "2020-01-01 13:52:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701987", "2020-01-01 13:52:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701986", "2020-01-01 13:52:07", "/admin", "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/51.0.2704.84 Safari/537.36", NULL, "38111");
INSERT INTO `wp_redirection_404` VALUES("1701985", "2020-01-01 13:52:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701984", "2020-01-01 13:51:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701983", "2020-01-01 13:51:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701982", "2020-01-01 13:50:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701981", "2020-01-01 13:50:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701980", "2020-01-01 13:50:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701979", "2020-01-01 13:49:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701978", "2020-01-01 13:49:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701977", "2020-01-01 13:49:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701976", "2020-01-01 13:48:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701975", "2020-01-01 13:48:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701974", "2020-01-01 13:48:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701973", "2020-01-01 13:47:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701972", "2020-01-01 13:47:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701971", "2020-01-01 13:47:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701970", "2020-01-01 13:46:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701969", "2020-01-01 13:46:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701968", "2020-01-01 13:46:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701967", "2020-01-01 13:45:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701966", "2020-01-01 13:45:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701965", "2020-01-01 13:45:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701964", "2020-01-01 13:44:34", "/?author=10", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "98162");
INSERT INTO `wp_redirection_404` VALUES("1701963", "2020-01-01 13:44:32", "/?author=9", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "98162");
INSERT INTO `wp_redirection_404` VALUES("1701962", "2020-01-01 13:44:30", "/?author=8", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "98162");
INSERT INTO `wp_redirection_404` VALUES("1701961", "2020-01-01 13:44:28", "/?author=7", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "98162");
INSERT INTO `wp_redirection_404` VALUES("1701960", "2020-01-01 13:44:25", "/?author=6", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "98162");
INSERT INTO `wp_redirection_404` VALUES("1701959", "2020-01-01 13:44:23", "/?author=5", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "98162");
INSERT INTO `wp_redirection_404` VALUES("1701958", "2020-01-01 13:44:21", "/?author=4", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "98162");
INSERT INTO `wp_redirection_404` VALUES("1701957", "2020-01-01 13:44:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701956", "2020-01-01 13:44:18", "/?author=3", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "98162");
INSERT INTO `wp_redirection_404` VALUES("1701955", "2020-01-01 13:44:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701954", "2020-01-01 13:44:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701953", "2020-01-01 13:43:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701952", "2020-01-01 13:43:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701951", "2020-01-01 13:43:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701950", "2020-01-01 13:42:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701949", "2020-01-01 13:42:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701948", "2020-01-01 13:42:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701947", "2020-01-01 13:41:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701946", "2020-01-01 13:40:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701945", "2020-01-01 13:40:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701944", "2020-01-01 13:39:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701943", "2020-01-01 13:39:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701942", "2020-01-01 13:39:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701941", "2020-01-01 13:38:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701940", "2020-01-01 13:38:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701939", "2020-01-01 13:38:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701938", "2020-01-01 13:37:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701937", "2020-01-01 13:37:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701936", "2020-01-01 13:37:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701935", "2020-01-01 13:36:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701934", "2020-01-01 13:36:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701933", "2020-01-01 13:36:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701932", "2020-01-01 13:35:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701931", "2020-01-01 13:35:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701930", "2020-01-01 13:34:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701929", "2020-01-01 13:34:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701928", "2020-01-01 13:34:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701927", "2020-01-01 13:33:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701926", "2020-01-01 13:33:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701925", "2020-01-01 13:33:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701924", "2020-01-01 13:32:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701923", "2020-01-01 13:32:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701922", "2020-01-01 13:32:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701921", "2020-01-01 13:31:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701920", "2020-01-01 13:30:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701919", "2020-01-01 13:30:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701918", "2020-01-01 13:30:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701917", "2020-01-01 13:29:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701916", "2020-01-01 13:29:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701915", "2020-01-01 13:29:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701914", "2020-01-01 13:28:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701913", "2020-01-01 13:28:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701912", "2020-01-01 13:28:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701911", "2020-01-01 13:27:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701910", "2020-01-01 13:27:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701909", "2020-01-01 13:27:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701908", "2020-01-01 13:26:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701907", "2020-01-01 13:26:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701906", "2020-01-01 13:25:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701905", "2020-01-01 13:25:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701904", "2020-01-01 13:25:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701903", "2020-01-01 13:24:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701902", "2020-01-01 13:24:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701901", "2020-01-01 13:24:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701900", "2020-01-01 13:23:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701899", "2020-01-01 13:23:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701898", "2020-01-01 13:22:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701897", "2020-01-01 13:22:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701896", "2020-01-01 13:21:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701895", "2020-01-01 13:21:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701894", "2020-01-01 13:21:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701893", "2020-01-01 13:20:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701892", "2020-01-01 13:20:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701891", "2020-01-01 13:20:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701890", "2020-01-01 13:19:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701889", "2020-01-01 13:19:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701888", "2020-01-01 13:19:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701887", "2020-01-01 13:18:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701886", "2020-01-01 13:18:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701885", "2020-01-01 13:18:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701884", "2020-01-01 13:17:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701883", "2020-01-01 13:17:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701882", "2020-01-01 13:17:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701881", "2020-01-01 13:16:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701880", "2020-01-01 13:16:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701879", "2020-01-01 13:16:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701878", "2020-01-01 13:15:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701877", "2020-01-01 13:15:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701876", "2020-01-01 13:14:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701875", "2020-01-01 13:14:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701874", "2020-01-01 13:14:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701873", "2020-01-01 13:13:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701872", "2020-01-01 13:13:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701871", "2020-01-01 13:13:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701870", "2020-01-01 13:12:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701869", "2020-01-01 13:12:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701868", "2020-01-01 13:12:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701867", "2020-01-01 13:11:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701866", "2020-01-01 13:11:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701865", "2020-01-01 13:11:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701864", "2020-01-01 13:10:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701863", "2020-01-01 13:09:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701862", "2020-01-01 13:09:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701861", "2020-01-01 13:09:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701860", "2020-01-01 13:08:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701859", "2020-01-01 13:08:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701858", "2020-01-01 13:08:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701857", "2020-01-01 13:07:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701856", "2020-01-01 13:07:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701855", "2020-01-01 13:07:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701854", "2020-01-01 13:06:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701853", "2020-01-01 13:06:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701852", "2020-01-01 13:06:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701851", "2020-01-01 13:05:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701850", "2020-01-01 13:05:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701849", "2020-01-01 13:05:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701848", "2020-01-01 13:04:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701847", "2020-01-01 13:04:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701846", "2020-01-01 13:03:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701845", "2020-01-01 13:03:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701844", "2020-01-01 13:03:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701843", "2020-01-01 13:02:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701842", "2020-01-01 13:02:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701841", "2020-01-01 13:02:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701840", "2020-01-01 13:01:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701839", "2020-01-01 13:01:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701838", "2020-01-01 13:01:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701837", "2020-01-01 13:00:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701836", "2020-01-01 13:00:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701835", "2020-01-01 13:00:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701834", "2020-01-01 12:59:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701833", "2020-01-01 12:59:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701832", "2020-01-01 12:59:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701831", "2020-01-01 12:58:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701830", "2020-01-01 12:58:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701829", "2020-01-01 12:58:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701828", "2020-01-01 12:57:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701827", "2020-01-01 12:57:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701826", "2020-01-01 12:56:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701825", "2020-01-01 12:56:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701824", "2020-01-01 12:55:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701823", "2020-01-01 12:55:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701822", "2020-01-01 12:55:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701821", "2020-01-01 12:54:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701820", "2020-01-01 12:54:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701819", "2020-01-01 12:54:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701818", "2020-01-01 12:53:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701817", "2020-01-01 12:53:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701816", "2020-01-01 12:53:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701815", "2020-01-01 12:52:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701814", "2020-01-01 12:52:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701813", "2020-01-01 12:51:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701812", "2020-01-01 12:51:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701811", "2020-01-01 12:51:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701810", "2020-01-01 12:50:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701809", "2020-01-01 12:50:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701808", "2020-01-01 12:50:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701807", "2020-01-01 12:49:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701806", "2020-01-01 12:49:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701805", "2020-01-01 12:49:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701804", "2020-01-01 12:48:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701803", "2020-01-01 12:48:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701802", "2020-01-01 12:48:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701801", "2020-01-01 12:47:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701800", "2020-01-01 12:47:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701799", "2020-01-01 12:47:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701798", "2020-01-01 12:46:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701797", "2020-01-01 12:46:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701796", "2020-01-01 12:45:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701795", "2020-01-01 12:45:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701794", "2020-01-01 12:44:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701793", "2020-01-01 12:44:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701792", "2020-01-01 12:44:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701791", "2020-01-01 12:43:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701790", "2020-01-01 12:43:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701789", "2020-01-01 12:43:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701788", "2020-01-01 12:42:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701787", "2020-01-01 12:42:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701786", "2020-01-01 12:42:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701785", "2020-01-01 12:41:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701784", "2020-01-01 12:41:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701783", "2020-01-01 12:40:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701782", "2020-01-01 12:40:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701781", "2020-01-01 12:40:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701780", "2020-01-01 12:39:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701779", "2020-01-01 12:39:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701778", "2020-01-01 12:39:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701777", "2020-01-01 12:38:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701776", "2020-01-01 12:38:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701775", "2020-01-01 12:38:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701774", "2020-01-01 12:37:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701773", "2020-01-01 12:37:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701772", "2020-01-01 12:37:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701771", "2020-01-01 12:36:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701770", "2020-01-01 12:36:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701769", "2020-01-01 12:36:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701768", "2020-01-01 12:35:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701767", "2020-01-01 12:35:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701766", "2020-01-01 12:34:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701765", "2020-01-01 12:34:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701764", "2020-01-01 12:34:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701763", "2020-01-01 12:33:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701762", "2020-01-01 12:33:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701761", "2020-01-01 12:33:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701760", "2020-01-01 12:32:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701759", "2020-01-01 12:32:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701758", "2020-01-01 12:32:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701757", "2020-01-01 12:31:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701756", "2020-01-01 12:31:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701755", "2020-01-01 12:30:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701754", "2020-01-01 12:30:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701753", "2020-01-01 12:30:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701752", "2020-01-01 12:30:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701751", "2020-01-01 12:29:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701750", "2020-01-01 12:29:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701749", "2020-01-01 12:29:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701748", "2020-01-01 12:28:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701747", "2020-01-01 12:28:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701746", "2020-01-01 12:28:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701745", "2020-01-01 12:27:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701744", "2020-01-01 12:27:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701743", "2020-01-01 12:26:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701742", "2020-01-01 12:26:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701741", "2020-01-01 12:25:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701740", "2020-01-01 12:25:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701739", "2020-01-01 12:25:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701738", "2020-01-01 12:25:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701737", "2020-01-01 12:24:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701736", "2020-01-01 12:24:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701735", "2020-01-01 12:24:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701734", "2020-01-01 12:23:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701733", "2020-01-01 12:23:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701732", "2020-01-01 12:23:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701731", "2020-01-01 12:22:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701730", "2020-01-01 12:22:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701729", "2020-01-01 12:22:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701728", "2020-01-01 12:21:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701727", "2020-01-01 12:21:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701726", "2020-01-01 12:21:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701725", "2020-01-01 12:20:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701724", "2020-01-01 12:20:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701723", "2020-01-01 12:20:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701722", "2020-01-01 12:19:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701721", "2020-01-01 12:19:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701720", "2020-01-01 12:19:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701719", "2020-01-01 12:18:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701718", "2020-01-01 12:18:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701717", "2020-01-01 12:18:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701716", "2020-01-01 12:17:40", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "40142");
INSERT INTO `wp_redirection_404` VALUES("1701715", "2020-01-01 12:17:40", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "40142");
INSERT INTO `wp_redirection_404` VALUES("1701714", "2020-01-01 12:17:40", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "40142");
INSERT INTO `wp_redirection_404` VALUES("1701713", "2020-01-01 12:17:40", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "40142");
INSERT INTO `wp_redirection_404` VALUES("1701712", "2020-01-01 12:17:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701711", "2020-01-01 12:17:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701710", "2020-01-01 12:17:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701709", "2020-01-01 12:16:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701708", "2020-01-01 12:16:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701707", "2020-01-01 12:16:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701706", "2020-01-01 12:15:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701705", "2020-01-01 12:15:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701704", "2020-01-01 12:15:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701703", "2020-01-01 12:14:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701702", "2020-01-01 12:14:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701701", "2020-01-01 12:14:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701700", "2020-01-01 12:13:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701699", "2020-01-01 12:13:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701698", "2020-01-01 12:13:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701697", "2020-01-01 12:12:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701696", "2020-01-01 12:12:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701695", "2020-01-01 12:12:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701694", "2020-01-01 12:11:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701693", "2020-01-01 12:11:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701692", "2020-01-01 12:11:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701691", "2020-01-01 12:10:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701690", "2020-01-01 12:10:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701689", "2020-01-01 12:10:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701688", "2020-01-01 12:10:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701687", "2020-01-01 12:09:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701686", "2020-01-01 12:09:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701685", "2020-01-01 12:09:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701684", "2020-01-01 12:08:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701683", "2020-01-01 12:08:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701682", "2020-01-01 12:08:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701681", "2020-01-01 12:07:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701680", "2020-01-01 12:07:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701679", "2020-01-01 12:07:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701678", "2020-01-01 12:07:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701677", "2020-01-01 12:07:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701676", "2020-01-01 12:06:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701675", "2020-01-01 12:06:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701674", "2020-01-01 12:06:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701673", "2020-01-01 12:05:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701672", "2020-01-01 12:05:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701671", "2020-01-01 12:05:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701670", "2020-01-01 12:04:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701669", "2020-01-01 12:04:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701668", "2020-01-01 12:04:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701667", "2020-01-01 12:03:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701666", "2020-01-01 12:03:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701665", "2020-01-01 12:03:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701664", "2020-01-01 12:02:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701663", "2020-01-01 12:02:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701662", "2020-01-01 12:02:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701661", "2020-01-01 12:01:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701660", "2020-01-01 12:01:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701659", "2020-01-01 12:01:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701658", "2020-01-01 12:01:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701657", "2020-01-01 12:00:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701656", "2020-01-01 12:00:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701655", "2020-01-01 12:00:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701654", "2020-01-01 11:59:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701653", "2020-01-01 11:59:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701652", "2020-01-01 11:59:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701651", "2020-01-01 11:58:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701650", "2020-01-01 11:58:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701649", "2020-01-01 11:58:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701648", "2020-01-01 11:57:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701647", "2020-01-01 11:57:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701646", "2020-01-01 11:57:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701645", "2020-01-01 11:57:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701644", "2020-01-01 11:56:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701643", "2020-01-01 11:56:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701642", "2020-01-01 11:56:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701641", "2020-01-01 11:55:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701640", "2020-01-01 11:55:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701639", "2020-01-01 11:55:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701638", "2020-01-01 11:54:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701637", "2020-01-01 11:54:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701636", "2020-01-01 11:54:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701635", "2020-01-01 11:53:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701634", "2020-01-01 11:53:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701633", "2020-01-01 11:53:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701632", "2020-01-01 11:52:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701631", "2020-01-01 11:52:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701630", "2020-01-01 11:52:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701629", "2020-01-01 11:51:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701628", "2020-01-01 11:51:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701627", "2020-01-01 11:51:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701626", "2020-01-01 11:50:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701625", "2020-01-01 11:50:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701624", "2020-01-01 11:50:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701623", "2020-01-01 11:49:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701622", "2020-01-01 11:49:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701621", "2020-01-01 11:49:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701620", "2020-01-01 11:48:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701619", "2020-01-01 11:48:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701618", "2020-01-01 11:48:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701617", "2020-01-01 11:47:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701616", "2020-01-01 11:47:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701615", "2020-01-01 11:47:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701614", "2020-01-01 11:46:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701613", "2020-01-01 11:46:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701612", "2020-01-01 11:46:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701611", "2020-01-01 11:45:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701610", "2020-01-01 11:45:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701609", "2020-01-01 11:44:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701608", "2020-01-01 11:44:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701607", "2020-01-01 11:44:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701606", "2020-01-01 11:43:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701605", "2020-01-01 11:43:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701604", "2020-01-01 11:43:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701603", "2020-01-01 11:42:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701602", "2020-01-01 11:42:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701601", "2020-01-01 11:42:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701600", "2020-01-01 11:40:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701599", "2020-01-01 11:40:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701598", "2020-01-01 11:40:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701597", "2020-01-01 11:39:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701596", "2020-01-01 11:39:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701595", "2020-01-01 11:39:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701594", "2020-01-01 11:38:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701593", "2020-01-01 11:38:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701592", "2020-01-01 11:38:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701591", "2020-01-01 11:38:28", "/pizza-recipes/low-carb-pizza-toppings/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1701590", "2020-01-01 11:37:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701589", "2020-01-01 11:37:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701588", "2020-01-01 11:37:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701587", "2020-01-01 11:36:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701586", "2020-01-01 11:36:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701585", "2020-01-01 11:36:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701584", "2020-01-01 11:35:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701583", "2020-01-01 11:35:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1701582", "2020-01-01 11:35:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713200", "2020-01-04 16:16:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713199", "2020-01-04 16:15:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713198", "2020-01-04 16:15:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713197", "2020-01-04 16:14:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713196", "2020-01-04 16:13:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713195", "2020-01-04 16:13:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713194", "2020-01-04 16:13:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713193", "2020-01-04 16:12:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713192", "2020-01-04 16:12:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713191", "2020-01-04 16:12:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713190", "2020-01-04 16:11:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713189", "2020-01-04 16:11:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713188", "2020-01-04 16:10:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713187", "2020-01-04 16:10:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713186", "2020-01-04 16:09:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713185", "2020-01-04 16:09:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713184", "2020-01-04 16:08:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713183", "2020-01-04 16:08:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713182", "2020-01-04 16:08:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713181", "2020-01-04 16:07:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713180", "2020-01-04 16:07:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713179", "2020-01-04 16:07:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713178", "2020-01-04 16:06:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713177", "2020-01-04 16:06:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713176", "2020-01-04 16:06:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713175", "2020-01-04 16:06:11", "/modx.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/73.0.3683.103 Safari/537.36", NULL, "193106");
INSERT INTO `wp_redirection_404` VALUES("1713174", "2020-01-04 16:05:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713173", "2020-01-04 16:05:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713172", "2020-01-04 16:04:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713171", "2020-01-04 16:04:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713170", "2020-01-04 16:03:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713169", "2020-01-04 16:03:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713168", "2020-01-04 16:03:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713167", "2020-01-04 16:02:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713166", "2020-01-04 16:02:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713165", "2020-01-04 16:02:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713164", "2020-01-04 16:01:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713163", "2020-01-04 16:01:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713162", "2020-01-04 16:00:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713161", "2020-01-04 16:00:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713160", "2020-01-04 16:00:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713159", "2020-01-04 15:59:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713158", "2020-01-04 15:59:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713156", "2020-01-04 15:58:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713157", "2020-01-04 15:58:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713155", "2020-01-04 15:58:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713154", "2020-01-04 15:57:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713153", "2020-01-04 15:56:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713152", "2020-01-04 15:56:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713151", "2020-01-04 15:56:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713150", "2020-01-04 15:55:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713149", "2020-01-04 15:55:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713148", "2020-01-04 15:54:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713146", "2020-01-04 15:53:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713147", "2020-01-04 15:54:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713145", "2020-01-04 15:53:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713144", "2020-01-04 15:52:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713143", "2020-01-04 15:52:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713142", "2020-01-04 15:51:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713141", "2020-01-04 15:51:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713140", "2020-01-04 15:50:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713139", "2020-01-04 15:50:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713138", "2020-01-04 15:50:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713137", "2020-01-04 15:49:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713136", "2020-01-04 15:49:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713135", "2020-01-04 15:49:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713134", "2020-01-04 15:48:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713133", "2020-01-04 15:48:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713132", "2020-01-04 15:47:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713131", "2020-01-04 15:47:33", "/?author=10", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "84249");
INSERT INTO `wp_redirection_404` VALUES("1713130", "2020-01-04 15:47:29", "/?author=9", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "84249");
INSERT INTO `wp_redirection_404` VALUES("1713129", "2020-01-04 15:47:24", "/?author=8", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "84249");
INSERT INTO `wp_redirection_404` VALUES("1713128", "2020-01-04 15:47:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713127", "2020-01-04 15:47:19", "/?author=7", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "84249");
INSERT INTO `wp_redirection_404` VALUES("1713126", "2020-01-04 15:46:54", "/?author=6", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "118163");
INSERT INTO `wp_redirection_404` VALUES("1713125", "2020-01-04 15:46:52", "/?author=5", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "118163");
INSERT INTO `wp_redirection_404` VALUES("1713124", "2020-01-04 15:46:50", "/?author=4", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "118163");
INSERT INTO `wp_redirection_404` VALUES("1713123", "2020-01-04 15:46:48", "/?author=3", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "118163");
INSERT INTO `wp_redirection_404` VALUES("1713122", "2020-01-04 15:46:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713121", "2020-01-04 15:46:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713120", "2020-01-04 15:45:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713119", "2020-01-04 15:45:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713118", "2020-01-04 15:45:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713117", "2020-01-04 15:44:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713116", "2020-01-04 15:44:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713115", "2020-01-04 15:43:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713114", "2020-01-04 15:43:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713113", "2020-01-04 15:42:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713112", "2020-01-04 15:41:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713111", "2020-01-04 15:41:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713110", "2020-01-04 15:41:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713109", "2020-01-04 15:40:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713108", "2020-01-04 15:40:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713107", "2020-01-04 15:40:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713106", "2020-01-04 15:40:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713105", "2020-01-04 15:39:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713104", "2020-01-04 15:38:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713103", "2020-01-04 15:38:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713102", "2020-01-04 15:38:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713101", "2020-01-04 15:37:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713100", "2020-01-04 15:37:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713099", "2020-01-04 15:37:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713098", "2020-01-04 15:36:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713097", "2020-01-04 15:36:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713096", "2020-01-04 15:36:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713095", "2020-01-04 15:35:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713094", "2020-01-04 15:35:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713093", "2020-01-04 15:34:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713092", "2020-01-04 15:34:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713091", "2020-01-04 15:34:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713090", "2020-01-04 15:33:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713089", "2020-01-04 15:33:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713088", "2020-01-04 15:33:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713087", "2020-01-04 15:32:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713085", "2020-01-04 15:32:22", "/old/wp-admin/", NULL, NULL, "91216");
INSERT INTO `wp_redirection_404` VALUES("1713086", "2020-01-04 15:32:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713084", "2020-01-04 15:32:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713083", "2020-01-04 15:31:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713082", "2020-01-04 15:31:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713081", "2020-01-04 15:30:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713080", "2020-01-04 15:30:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713079", "2020-01-04 15:30:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713078", "2020-01-04 15:29:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713077", "2020-01-04 15:29:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713076", "2020-01-04 15:29:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713075", "2020-01-04 15:28:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713074", "2020-01-04 15:28:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713073", "2020-01-04 15:28:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713072", "2020-01-04 15:27:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713071", "2020-01-04 15:27:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713070", "2020-01-04 15:27:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713069", "2020-01-04 15:26:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713068", "2020-01-04 15:26:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713067", "2020-01-04 15:25:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713066", "2020-01-04 15:24:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713064", "2020-01-04 15:24:19", "/wp/wp-admin/", NULL, NULL, "162208");
INSERT INTO `wp_redirection_404` VALUES("1713065", "2020-01-04 15:24:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713063", "2020-01-04 15:24:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713062", "2020-01-04 15:23:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713061", "2020-01-04 15:23:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713060", "2020-01-04 15:23:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713059", "2020-01-04 15:22:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713058", "2020-01-04 15:22:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713057", "2020-01-04 15:22:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713056", "2020-01-04 15:21:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713055", "2020-01-04 15:21:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713054", "2020-01-04 15:20:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713053", "2020-01-04 15:20:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713052", "2020-01-04 15:19:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713051", "2020-01-04 15:18:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713050", "2020-01-04 15:18:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713049", "2020-01-04 15:18:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713048", "2020-01-04 15:17:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713047", "2020-01-04 15:17:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713046", "2020-01-04 15:17:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713045", "2020-01-04 15:16:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713044", "2020-01-04 15:16:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713043", "2020-01-04 15:15:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713041", "2020-01-04 15:15:13", "/blog/wp-admin/", NULL, NULL, "149255");
INSERT INTO `wp_redirection_404` VALUES("1713042", "2020-01-04 15:15:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713040", "2020-01-04 15:15:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713039", "2020-01-04 15:14:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713038", "2020-01-04 15:13:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713037", "2020-01-04 15:13:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713036", "2020-01-04 15:13:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713035", "2020-01-04 15:12:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713034", "2020-01-04 15:12:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713033", "2020-01-04 15:12:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713032", "2020-01-04 15:11:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713031", "2020-01-04 15:11:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713030", "2020-01-04 15:11:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713029", "2020-01-04 15:10:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713028", "2020-01-04 15:10:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713027", "2020-01-04 15:10:06", "/wp-content/themes/bucks-child/includes/uploadify/upload_settings_image.php", "Mozilla/5.0 (Windows NT 6.1.7600; WOW64; rv:26.0) Gecko/20100101 Firefox/26.0", NULL, "163172");
INSERT INTO `wp_redirection_404` VALUES("1713026", "2020-01-04 15:09:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713025", "2020-01-04 15:09:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713024", "2020-01-04 15:09:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713023", "2020-01-04 15:08:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713022", "2020-01-04 15:08:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713021", "2020-01-04 15:08:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713020", "2020-01-04 15:07:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713019", "2020-01-04 15:07:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713017", "2020-01-04 15:06:42", "/wordpress/wp-admin/", NULL, NULL, "65182");
INSERT INTO `wp_redirection_404` VALUES("1713018", "2020-01-04 15:07:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713016", "2020-01-04 15:06:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713015", "2020-01-04 15:06:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713014", "2020-01-04 15:06:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713013", "2020-01-04 15:05:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713012", "2020-01-04 15:05:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713011", "2020-01-04 15:04:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713010", "2020-01-04 15:03:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713009", "2020-01-04 15:03:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713008", "2020-01-04 15:03:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713007", "2020-01-04 15:02:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713006", "2020-01-04 15:02:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713005", "2020-01-04 15:02:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713004", "2020-01-04 15:01:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713003", "2020-01-04 15:01:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713002", "2020-01-04 15:00:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713001", "2020-01-04 15:00:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1713000", "2020-01-04 15:00:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712999", "2020-01-04 14:59:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712998", "2020-01-04 14:59:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712996", "2020-01-04 14:58:24", "/test/wp-admin/", NULL, NULL, "18517");
INSERT INTO `wp_redirection_404` VALUES("1712997", "2020-01-04 14:58:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712995", "2020-01-04 14:58:19", "/editor/kindeditor/themes/default/default.css", "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Win64; x64; Trident/5.0)", "http://buckspizza.com/editor/kindeditor/themes/default/default.css", "101200");
INSERT INTO `wp_redirection_404` VALUES("1712994", "2020-01-04 14:58:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712993", "2020-01-04 14:57:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712992", "2020-01-04 14:57:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712991", "2020-01-04 14:57:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712990", "2020-01-04 14:56:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712989", "2020-01-04 14:56:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712988", "2020-01-04 14:55:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712987", "2020-01-04 14:55:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712986", "2020-01-04 14:55:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712985", "2020-01-04 14:54:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712984", "2020-01-04 14:54:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712983", "2020-01-04 14:53:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712982", "2020-01-04 14:53:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712981", "2020-01-04 14:53:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712980", "2020-01-04 14:53:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712979", "2020-01-04 14:52:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712978", "2020-01-04 14:52:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712977", "2020-01-04 14:52:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712976", "2020-01-04 14:51:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712975", "2020-01-04 14:51:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712974", "2020-01-04 14:51:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712973", "2020-01-04 14:50:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712972", "2020-01-04 14:50:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712971", "2020-01-04 14:50:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712970", "2020-01-04 14:49:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712969", "2020-01-04 14:49:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712968", "2020-01-04 14:49:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712967", "2020-01-04 14:48:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712966", "2020-01-04 14:48:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712965", "2020-01-04 14:48:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712964", "2020-01-04 14:47:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712963", "2020-01-04 14:47:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712962", "2020-01-04 14:47:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712961", "2020-01-04 14:46:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712960", "2020-01-04 14:46:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712959", "2020-01-04 14:46:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709872", "2020-01-03 20:03:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709871", "2020-01-03 20:03:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709870", "2020-01-03 20:02:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709869", "2020-01-03 20:02:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709868", "2020-01-03 20:01:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709867", "2020-01-03 20:01:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709866", "2020-01-03 20:01:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709865", "2020-01-03 20:00:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709864", "2020-01-03 20:00:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709863", "2020-01-03 20:00:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709862", "2020-01-03 19:59:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709861", "2020-01-03 19:59:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709860", "2020-01-03 19:58:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709859", "2020-01-03 19:58:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709858", "2020-01-03 19:58:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709857", "2020-01-03 19:57:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709856", "2020-01-03 19:57:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709855", "2020-01-03 19:56:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709854", "2020-01-03 19:56:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709853", "2020-01-03 19:55:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709852", "2020-01-03 19:55:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709851", "2020-01-03 19:54:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709850", "2020-01-03 19:54:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706187", "2020-01-02 22:53:36", "/adminer-3.4.0-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706188", "2020-01-02 22:53:37", "/wp-content/plugins/yellow-pencil-visual-theme-customizer/js/yellow-pencil.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706185", "2020-01-02 22:53:36", "/adminer-3.4.0-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706186", "2020-01-02 22:53:36", "/wp-content/plugins/wpshopify/dist/public.min.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706183", "2020-01-02 22:53:35", "/adminer-3.4.0-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706184", "2020-01-02 22:53:35", "/wp-content/plugins/insert-php/admin/assets/js/tag-it.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706182", "2020-01-02 22:53:34", "/wp-content/plugins/wp-inventory-manager/themes/css/default-theme.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706180", "2020-01-02 22:53:34", "/adminer-3.0.1.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706181", "2020-01-02 22:53:34", "/adminer-3.4.0-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706179", "2020-01-02 22:53:33", "/adminer-3.3.4.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706177", "2020-01-02 22:53:29", "/adminer-3.0.1-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706178", "2020-01-02 22:53:32", "/adminer-3.3.4-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706176", "2020-01-02 22:53:26", "/adminer-3.3.4-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706174", "2020-01-02 22:53:25", "/adminer-3.3.4-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706175", "2020-01-02 22:53:25", "/adminer-3.3.4-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706173", "2020-01-02 22:53:24", "/adminer-3.3.4-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706172", "2020-01-02 22:53:23", "/wp-content/plugins/visualizer/js/media.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706171", "2020-01-02 22:53:23", "/adminer-3.3.3.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706170", "2020-01-02 22:53:22", "/adminer-3.3.3-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706169", "2020-01-02 22:53:21", "/wp-content/plugins/smart-google-code-inserter/screenshot1.jpg", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706168", "2020-01-02 22:53:20", "/adminer-3.0.1-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706167", "2020-01-02 22:53:20", "/wp-content/plugins/simple-fields/js/chosen/chosen.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706166", "2020-01-02 22:53:19", "/wp-content/plugins/rich-reviews/css/rich-reviews.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706165", "2020-01-02 22:53:18", "/wp-content/plugins/responsive-coming-soon/templates/template1/assets/css/style.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706164", "2020-01-02 22:53:16", "/adminer-3.3.3-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706162", "2020-01-02 22:53:15", "/adminer-3.3.3-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706163", "2020-01-02 22:53:16", "/wp-content/plugins/wp-live-chat-software-for-wordpress/plugin_files/js/livechat.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706161", "2020-01-02 22:53:15", "/adminer-3.3.3-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706159", "2020-01-02 22:53:14", "/adminer-3.3.3-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706160", "2020-01-02 22:53:14", "/adminer-3.0.1-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706157", "2020-01-02 22:53:13", "/adminer-3.3.2.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706158", "2020-01-02 22:53:14", "/wp-content/plugins/ithemes-sync/js/settings-page.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706156", "2020-01-02 22:53:13", "/wp-content/plugins/hybrid-composer/style.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706154", "2020-01-02 22:53:10", "/adminer-3.3.2-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706155", "2020-01-02 22:53:12", "/adminer-3.3.2-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706153", "2020-01-02 22:53:09", "/adminer-3.3.2-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706152", "2020-01-02 22:53:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706151", "2020-01-02 22:53:08", "/adminer-3.3.2-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706150", "2020-01-02 22:53:06", "/dup-installer/main.installer.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706149", "2020-01-02 22:53:05", "/installer-backup.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706147", "2020-01-02 22:52:57", "/adminer-3.3.2-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706148", "2020-01-02 22:53:05", "/adminer-3.0.1-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706146", "2020-01-02 22:52:54", "/adminer-3.0.1-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706144", "2020-01-02 22:52:53", "/adminer-4.7.2-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706145", "2020-01-02 22:52:54", "/adminer-4.7.2-mysql.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706143", "2020-01-02 22:52:52", "/adminer-4.7.2-mysql-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706141", "2020-01-02 22:52:51", "/adminer-3.3.1.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706142", "2020-01-02 22:52:51", "/adminer-4.7.2-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706140", "2020-01-02 22:52:51", "/adminer-3.3.1-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706138", "2020-01-02 22:52:50", "/adminer-3.3.1-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706139", "2020-01-02 22:52:50", "/adminer-4.7.2-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706137", "2020-01-02 22:52:49", "/adminer-4.7.1-mysql.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706135", "2020-01-02 22:52:49", "/adminer-4.7.1-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706136", "2020-01-02 22:52:49", "/adminer-3.3.1-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706134", "2020-01-02 22:52:48", "/adminer-3.3.1-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706132", "2020-01-02 22:52:47", "/adminer-3.3.1-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706133", "2020-01-02 22:52:48", "/adminer-4.7.1-mysql-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706131", "2020-01-02 22:52:47", "/adminer-3.0.0.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706129", "2020-01-02 22:52:46", "/adminer-3.3.0.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706130", "2020-01-02 22:52:47", "/adminer-4.7.1-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706128", "2020-01-02 22:52:46", "/adminer-4.7.1-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706127", "2020-01-02 22:52:45", "/adminer-4.7.0.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706125", "2020-01-02 22:52:43", "/adminer-4.7.0-mysql-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706126", "2020-01-02 22:52:44", "/adminer-4.7.0-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706123", "2020-01-02 22:52:42", "/adminer-4.7.0-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706124", "2020-01-02 22:52:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706122", "2020-01-02 22:52:41", "/adminer-4.7.0-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706120", "2020-01-02 22:52:39", "/adminer-4.5.0-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706121", "2020-01-02 22:52:40", "/adminer-4.6.3.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706119", "2020-01-02 22:52:38", "/adminer-4.4.0.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706117", "2020-01-02 22:52:37", "/adminer-3.0.0-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706118", "2020-01-02 22:52:37", "/adminer-4.4.0-mysql.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706116", "2020-01-02 22:52:36", "/adminer-4.4.0-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706114", "2020-01-02 22:52:34", "/adminer-4.4.0-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706115", "2020-01-02 22:52:35", "/adminer-4.4.0-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706113", "2020-01-02 22:52:33", "/adminer-4.3.1-mysql.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706111", "2020-01-02 22:52:32", "/adminer-4.3.1-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706112", "2020-01-02 22:52:33", "/adminer-3.0.0-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706110", "2020-01-02 22:52:31", "/adminer-4.3.1-mysql-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706108", "2020-01-02 22:52:30", "/adminer-4.3.1-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706109", "2020-01-02 22:52:31", "/adminer-4.3.1-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706107", "2020-01-02 22:52:29", "/adminer-4.3.0-mysql.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706105", "2020-01-02 22:52:27", "/adminer-3.0.0-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706106", "2020-01-02 22:52:28", "/adminer-4.3.0-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706104", "2020-01-02 22:52:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706103", "2020-01-02 22:52:27", "/adminer-4.3.0-mysql-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706101", "2020-01-02 22:52:25", "/adminer-4.3.0-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706102", "2020-01-02 22:52:26", "/adminer-4.3.0-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706100", "2020-01-02 22:52:24", "/adminer-4.2.5.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706098", "2020-01-02 22:52:22", "/adminer-4.2.5-mysql-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706099", "2020-01-02 22:52:23", "/adminer-4.2.5-mysql.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706097", "2020-01-02 22:52:21", "/adminer-3.0.0-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706095", "2020-01-02 22:52:20", "/adminer-3.3.0-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706096", "2020-01-02 22:52:21", "/adminer-4.2.5-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706094", "2020-01-02 22:52:20", "/adminer-4.2.5-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706092", "2020-01-02 22:52:19", "/adminer-4.2.4-mysql-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706093", "2020-01-02 22:52:20", "/adminer-3.3.0-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706091", "2020-01-02 22:52:19", "/adminer-3.3.0-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706089", "2020-01-02 22:52:18", "/adminer-4.2.3-mysql.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706090", "2020-01-02 22:52:18", "/adminer-3.3.0-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706088", "2020-01-02 22:52:17", "/adminer-3.2.2.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706086", "2020-01-02 22:52:16", "/adminer-3.2.2-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706087", "2020-01-02 22:52:17", "/adminer-4.2.3-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706085", "2020-01-02 22:52:16", "/adminer-4.2.1-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706083", "2020-01-02 22:52:15", "/adminer-4.2.1-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706084", "2020-01-02 22:52:15", "/adminer-3.2.2-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706082", "2020-01-02 22:52:14", "/adminer-3.2.2-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706080", "2020-01-02 22:52:14", "/adminer-3.0.0-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706081", "2020-01-02 22:52:14", "/adminer-4.2.1-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706079", "2020-01-02 22:52:14", "/adminer-3.2.2-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706077", "2020-01-02 22:52:13", "/adminer-3.2.2-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706078", "2020-01-02 22:52:13", "/adminer-4.2.0.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706076", "2020-01-02 22:52:12", "/adminer-3.2.1.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706074", "2020-01-02 22:52:11", "/adminer-4.2.0-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706075", "2020-01-02 22:52:12", "/adminer-4.2.0-mysql.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706073", "2020-01-02 22:52:10", "/adminer-4.2.0-mysql-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706071", "2020-01-02 22:52:08", "/adminer-3.6.3-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706072", "2020-01-02 22:52:09", "/adminer-3.6.3-mysql.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706070", "2020-01-02 22:52:07", "/adminer-3.6.3-mysql-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706068", "2020-01-02 22:52:05", "/adminer-3.6.3-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706069", "2020-01-02 22:52:06", "/adminer-3.6.3-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706066", "2020-01-02 22:52:04", "/adminer-3.6.2.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706067", "2020-01-02 22:52:05", "/adm.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706065", "2020-01-02 22:52:03", "/adminer-3.6.2-mysql.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706063", "2020-01-02 22:52:01", "/adminer-3.6.2-mysql-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706064", "2020-01-02 22:52:02", "/adminer-3.6.2-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706062", "2020-01-02 22:52:01", "/adminer-3.2.1-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706060", "2020-01-02 22:52:00", "/adminer-3.2.1-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706061", "2020-01-02 22:52:01", "/a.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706059", "2020-01-02 22:52:00", "/adminer-3.6.2-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706057", "2020-01-02 22:51:58", "/adminer-3.6.1.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706058", "2020-01-02 22:51:59", "/adminer-3.6.2-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706056", "2020-01-02 22:51:57", "/adminer-3.6.1-mysql.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706055", "2020-01-02 22:51:56", "/ad.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706053", "2020-01-02 22:51:56", "/adminer-3.6.1-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706054", "2020-01-02 22:51:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706052", "2020-01-02 22:51:54", "/adminer-3.6.1-mysql-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706050", "2020-01-02 22:51:53", "/adminer-3.6.1-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706051", "2020-01-02 22:51:54", "/adminer-3.2.1-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706049", "2020-01-02 22:51:53", "/adminer-3.2.1-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706047", "2020-01-02 22:51:52", "/adminer-3.6.1-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706048", "2020-01-02 22:51:53", "/adminer-3.2.1-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706046", "2020-01-02 22:51:52", "/adminer-3.2.0.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706044", "2020-01-02 22:51:50", "/adminer-3.6.0-mysql.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706045", "2020-01-02 22:51:51", "/adminer-3.6.0.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706043", "2020-01-02 22:51:49", "/adminer-3.6.0-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706041", "2020-01-02 22:51:47", "/adminer-3.6.0-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706042", "2020-01-02 22:51:48", "/adminer-3.6.0-mysql-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706039", "2020-01-02 22:51:46", "/adminer-3.6.0-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706040", "2020-01-02 22:51:47", "/_adminer", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706038", "2020-01-02 22:51:46", "/adminer-3.2.0-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706036", "2020-01-02 22:51:45", "/adminer-3.2.0-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706037", "2020-01-02 22:51:46", "/adminer-3.5.1.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706035", "2020-01-02 22:51:45", "/adminer-3.5.0.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706033", "2020-01-02 22:51:44", "/adminer-3.5.0-mysql.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706034", "2020-01-02 22:51:44", "/adminer-3.2.0-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706032", "2020-01-02 22:51:43", "/adminer-3.2.0-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706030", "2020-01-02 22:51:43", "/adminer-3.2.0-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706031", "2020-01-02 22:51:43", "/adminer-3.5.0-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706029", "2020-01-02 22:51:42", "/adminer-3.5.0-mysql-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706027", "2020-01-02 22:51:41", "/adminer-3.5.0-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706028", "2020-01-02 22:51:42", "/adminer-3.1.0.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706026", "2020-01-02 22:51:41", "/adminer-3.1.0-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706024", "2020-01-02 22:51:40", "/adminer-3.1.0-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706025", "2020-01-02 22:51:40", "/_adminer.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706023", "2020-01-02 22:51:40", "/adminer-3.5.0-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706021", "2020-01-02 22:51:39", "/adminer-3.4.0.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706022", "2020-01-02 22:51:39", "/adminer-3.1.0-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706020", "2020-01-02 22:51:38", "/adminer-3.1.0-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706018", "2020-01-02 22:51:38", "/adminer-3.1.0-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706019", "2020-01-02 22:51:38", "/adminer-3.4.0-mysql.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706017", "2020-01-02 22:51:37", "/adminer-3.4.0-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706015", "2020-01-02 22:51:36", "/adminer-3.4.0-mysql-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706016", "2020-01-02 22:51:37", "/adminer-3.0.1.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706014", "2020-01-02 22:51:36", "/adminer-3.0.1-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706012", "2020-01-02 22:51:35", "/adminer-3.3.4-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706013", "2020-01-02 22:51:35", "/adminer-3.0.1-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706011", "2020-01-02 22:51:34", "/adminer-3.0.1-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706009", "2020-01-02 22:51:33", "/adminer-3.0.1-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706010", "2020-01-02 22:51:34", "/adminer-3.3.4-mysql-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706008", "2020-01-02 22:51:33", "/adminer-3.3.4-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706006", "2020-01-02 22:51:32", "/adminer-3.0.0.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706007", "2020-01-02 22:51:33", "/adminer-3.0.1-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1706005", "2020-01-02 22:51:32", "/adminer-3.3.4-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706003", "2020-01-02 22:51:30", "/adminer-3.3.3-mysql.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706004", "2020-01-02 22:51:31", "/adminer-3.3.3.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706002", "2020-01-02 22:51:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706001", "2020-01-02 22:51:29", "/adminer-3.3.3-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705999", "2020-01-02 22:51:27", "/adminer-3.3.2.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1706000", "2020-01-02 22:51:28", "/adminer-3.3.3-mysql-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705998", "2020-01-02 22:51:26", "/adminer-3.0.0-mysql.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1705996", "2020-01-02 22:51:25", "/adminer-3.3.2-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705997", "2020-01-02 22:51:26", "/adminer-3.3.2-mysql.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705995", "2020-01-02 22:51:24", "/adminer-3.3.2-mysql-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705993", "2020-01-02 22:51:22", "/adminer-3.3.2-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705994", "2020-01-02 22:51:23", "/adminer-3.3.2-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705992", "2020-01-02 22:51:21", "/adminer-3.3.1.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705990", "2020-01-02 22:51:20", "/adminer-3.3.1-mysql.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705991", "2020-01-02 22:51:20", "/adminer-3.0.0-mysql-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1705989", "2020-01-02 22:51:19", "/adminer-3.0.0-mysql-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1705987", "2020-01-02 22:51:18", "/adminer-3.3.1-mysql-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705988", "2020-01-02 22:51:19", "/adminer-3.3.1-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705986", "2020-01-02 22:51:17", "/adminer-3.3.1-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705984", "2020-01-02 22:51:15", "/adminer-3.3.0.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705985", "2020-01-02 22:51:16", "/adminer-3.3.1-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705983", "2020-01-02 22:51:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705982", "2020-01-02 22:51:14", "/adminer-3.2.1-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705980", "2020-01-02 22:51:13", "/adminer-3.2.1-mysql-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705981", "2020-01-02 22:51:13", "/adminer-3.0.0-en.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1705979", "2020-01-02 22:51:12", "/adminer-3.2.1-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705977", "2020-01-02 22:51:12", "/adminer-3.2.1-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705978", "2020-01-02 22:51:12", "/adminer-3.0.0-cs.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1705976", "2020-01-02 22:51:10", "/adminer-3.2.0.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705974", "2020-01-02 22:51:08", "/adminer-3.2.0-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705975", "2020-01-02 22:51:09", "/adminer-3.2.0-mysql.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705973", "2020-01-02 22:51:07", "/adminer-3.0.0-mysql-en.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705971", "2020-01-02 22:51:06", "/adminer-3.0.0-mysql-cs.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705972", "2020-01-02 22:51:06", "/adm.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1705969", "2020-01-02 22:51:05", "/a.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705970", "2020-01-02 22:51:06", "/a.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1705967", "2020-01-02 22:51:04", "/ad.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705968", "2020-01-02 22:51:05", "/ad.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1705965", "2020-01-02 22:51:03", "/_adminer", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705966", "2020-01-02 22:51:04", "/_adminer", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1705963", "2020-01-02 22:51:02", "/_adminer.php", "Go-http-client/1.1", NULL, "37187");
INSERT INTO `wp_redirection_404` VALUES("1705964", "2020-01-02 22:51:03", "/_adminer.php", "Go-http-client/1.1", NULL, "5062");
INSERT INTO `wp_redirection_404` VALUES("1705962", "2020-01-02 22:50:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705961", "2020-01-02 22:50:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705960", "2020-01-02 22:50:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705959", "2020-01-02 22:49:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705958", "2020-01-02 22:49:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705957", "2020-01-02 22:48:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705956", "2020-01-02 22:48:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705955", "2020-01-02 22:47:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705954", "2020-01-02 22:47:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705953", "2020-01-02 22:47:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705952", "2020-01-02 22:46:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705951", "2020-01-02 22:45:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705950", "2020-01-02 22:45:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705949", "2020-01-02 22:45:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705948", "2020-01-02 22:44:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705947", "2020-01-02 22:44:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705946", "2020-01-02 22:44:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705945", "2020-01-02 22:43:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705944", "2020-01-02 22:43:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705943", "2020-01-02 22:42:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705942", "2020-01-02 22:41:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705941", "2020-01-02 22:41:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705940", "2020-01-02 22:41:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705939", "2020-01-02 22:40:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705938", "2020-01-02 22:40:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705937", "2020-01-02 22:40:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705936", "2020-01-02 22:38:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705935", "2020-01-02 22:38:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705934", "2020-01-02 22:38:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705933", "2020-01-02 22:36:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705932", "2020-01-02 22:36:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705931", "2020-01-02 22:36:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705930", "2020-01-02 22:35:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705929", "2020-01-02 22:35:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705928", "2020-01-02 22:35:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705927", "2020-01-02 22:34:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705926", "2020-01-02 22:34:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705925", "2020-01-02 22:33:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705923", "2020-01-02 22:32:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705924", "2020-01-02 22:32:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705921", "2020-01-02 22:31:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705922", "2020-01-02 22:32:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705920", "2020-01-02 22:30:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705919", "2020-01-02 22:30:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705918", "2020-01-02 22:30:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705917", "2020-01-02 22:29:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705916", "2020-01-02 22:29:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705915", "2020-01-02 22:28:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705914", "2020-01-02 22:28:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705913", "2020-01-02 22:27:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705912", "2020-01-02 22:26:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705911", "2020-01-02 22:26:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705910", "2020-01-02 22:26:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705909", "2020-01-02 22:25:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705908", "2020-01-02 22:24:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705907", "2020-01-02 22:24:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705906", "2020-01-02 22:23:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705905", "2020-01-02 22:23:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705904", "2020-01-02 22:23:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705903", "2020-01-02 22:22:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705902", "2020-01-02 22:22:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705901", "2020-01-02 22:22:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705900", "2020-01-02 22:21:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705899", "2020-01-02 22:21:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705898", "2020-01-02 22:21:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705897", "2020-01-02 22:20:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705896", "2020-01-02 22:19:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705895", "2020-01-02 22:19:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705894", "2020-01-02 22:18:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705893", "2020-01-02 22:18:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705892", "2020-01-02 22:18:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705891", "2020-01-02 22:17:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705890", "2020-01-02 22:17:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705889", "2020-01-02 22:16:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705888", "2020-01-02 22:16:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705887", "2020-01-02 22:16:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705886", "2020-01-02 22:15:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705885", "2020-01-02 22:14:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705884", "2020-01-02 22:14:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705883", "2020-01-02 22:13:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705882", "2020-01-02 22:13:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705881", "2020-01-02 22:13:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705880", "2020-01-02 22:12:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705879", "2020-01-02 22:12:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705878", "2020-01-02 22:12:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705877", "2020-01-02 22:11:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705876", "2020-01-02 22:11:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705875", "2020-01-02 22:11:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705874", "2020-01-02 22:10:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705873", "2020-01-02 22:10:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705872", "2020-01-02 22:09:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705871", "2020-01-02 22:08:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705870", "2020-01-02 22:08:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705869", "2020-01-02 22:08:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705868", "2020-01-02 22:07:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705867", "2020-01-02 22:07:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705866", "2020-01-02 22:07:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705865", "2020-01-02 22:06:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705864", "2020-01-02 22:06:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705863", "2020-01-02 22:05:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705862", "2020-01-02 22:04:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705861", "2020-01-02 22:04:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705860", "2020-01-02 22:04:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705859", "2020-01-02 22:03:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705858", "2020-01-02 22:03:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705857", "2020-01-02 22:03:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705856", "2020-01-02 22:02:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705855", "2020-01-02 22:02:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705854", "2020-01-02 22:01:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705853", "2020-01-02 22:01:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705852", "2020-01-02 22:01:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705851", "2020-01-02 22:00:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705850", "2020-01-02 21:59:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705849", "2020-01-02 21:59:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705848", "2020-01-02 21:59:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705847", "2020-01-02 21:58:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705846", "2020-01-02 21:58:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705845", "2020-01-02 21:58:38", "/beck/cron.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/73.0.3683.103 Safari/537.36", NULL, "193106");
INSERT INTO `wp_redirection_404` VALUES("1705844", "2020-01-02 21:58:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705843", "2020-01-02 21:57:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705842", "2020-01-02 21:57:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705841", "2020-01-02 21:57:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705840", "2020-01-02 21:56:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705839", "2020-01-02 21:56:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705838", "2020-01-02 21:55:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705837", "2020-01-02 21:54:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705836", "2020-01-02 21:54:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705835", "2020-01-02 21:54:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705834", "2020-01-02 21:53:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705833", "2020-01-02 21:53:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705832", "2020-01-02 21:53:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705831", "2020-01-02 21:52:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705830", "2020-01-02 21:52:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705829", "2020-01-02 21:51:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705828", "2020-01-02 21:50:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705827", "2020-01-02 21:50:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705826", "2020-01-02 21:50:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705825", "2020-01-02 21:49:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705824", "2020-01-02 21:49:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705823", "2020-01-02 21:48:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705822", "2020-01-02 21:47:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705821", "2020-01-02 21:47:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705820", "2020-01-02 21:47:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705819", "2020-01-02 21:46:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705818", "2020-01-02 21:46:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705817", "2020-01-02 21:45:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705816", "2020-01-02 21:45:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705815", "2020-01-02 21:45:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705628", "2020-01-02 20:13:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705627", "2020-01-02 20:12:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705626", "2020-01-02 20:12:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705625", "2020-01-02 20:12:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705624", "2020-01-02 20:11:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705623", "2020-01-02 20:11:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705622", "2020-01-02 20:11:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705621", "2020-01-02 20:10:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705620", "2020-01-02 20:10:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705619", "2020-01-02 20:09:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705618", "2020-01-02 20:09:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705617", "2020-01-02 20:09:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705616", "2020-01-02 20:08:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705615", "2020-01-02 20:08:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705614", "2020-01-02 20:08:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705613", "2020-01-02 20:07:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705612", "2020-01-02 20:07:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705611", "2020-01-02 20:07:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705610", "2020-01-02 20:06:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705609", "2020-01-02 20:06:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705608", "2020-01-02 20:05:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705607", "2020-01-02 20:05:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705606", "2020-01-02 20:04:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705605", "2020-01-02 20:04:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705814", "2020-01-02 21:44:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705813", "2020-01-02 21:44:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705812", "2020-01-02 21:43:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705811", "2020-01-02 21:43:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705810", "2020-01-02 21:42:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705809", "2020-01-02 21:42:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705808", "2020-01-02 21:42:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705807", "2020-01-02 21:41:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705806", "2020-01-02 21:41:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705805", "2020-01-02 21:40:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705804", "2020-01-02 21:40:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705803", "2020-01-02 21:40:40", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "207255");
INSERT INTO `wp_redirection_404` VALUES("1705802", "2020-01-02 21:40:39", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "207255");
INSERT INTO `wp_redirection_404` VALUES("1705801", "2020-01-02 21:40:38", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "207255");
INSERT INTO `wp_redirection_404` VALUES("1705800", "2020-01-02 21:40:37", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "207255");
INSERT INTO `wp_redirection_404` VALUES("1705799", "2020-01-02 21:40:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705798", "2020-01-02 21:39:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705797", "2020-01-02 21:39:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705796", "2020-01-02 21:38:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705795", "2020-01-02 21:37:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705794", "2020-01-02 21:37:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705793", "2020-01-02 21:37:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705792", "2020-01-02 21:36:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705791", "2020-01-02 21:36:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705790", "2020-01-02 21:36:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705789", "2020-01-02 21:35:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705788", "2020-01-02 21:35:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705787", "2020-01-02 21:34:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705786", "2020-01-02 21:33:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705785", "2020-01-02 21:33:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705784", "2020-01-02 21:32:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705783", "2020-01-02 21:32:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705782", "2020-01-02 21:31:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705781", "2020-01-02 21:31:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705780", "2020-01-02 21:30:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705779", "2020-01-02 21:30:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705778", "2020-01-02 21:29:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705777", "2020-01-02 21:29:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705776", "2020-01-02 21:28:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705775", "2020-01-02 21:28:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705774", "2020-01-02 21:27:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705773", "2020-01-02 21:27:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705772", "2020-01-02 21:27:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705771", "2020-01-02 21:26:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705770", "2020-01-02 21:25:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705767", "2020-01-02 21:24:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705768", "2020-01-02 21:24:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705769", "2020-01-02 21:25:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705766", "2020-01-02 21:23:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705765", "2020-01-02 21:23:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705764", "2020-01-02 21:22:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705763", "2020-01-02 21:21:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705762", "2020-01-02 21:21:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705761", "2020-01-02 21:20:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705760", "2020-01-02 21:19:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705759", "2020-01-02 21:19:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705758", "2020-01-02 21:18:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705757", "2020-01-02 21:18:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705756", "2020-01-02 21:17:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705755", "2020-01-02 21:16:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705754", "2020-01-02 21:16:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705753", "2020-01-02 21:15:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705752", "2020-01-02 21:14:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705751", "2020-01-02 21:14:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705750", "2020-01-02 21:14:18", "/Login.aspx", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "14956");
INSERT INTO `wp_redirection_404` VALUES("1705749", "2020-01-02 21:14:18", "/Login.aspx", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "14956");
INSERT INTO `wp_redirection_404` VALUES("1705748", "2020-01-02 21:14:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705747", "2020-01-02 21:13:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705746", "2020-01-02 21:12:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705745", "2020-01-02 21:11:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705744", "2020-01-02 21:11:38", "/thank-you-celebration/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1705743", "2020-01-02 21:11:38", "/thank-you-celebration", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1705742", "2020-01-02 21:11:37", "/thank-you-celebration/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1705741", "2020-01-02 21:11:37", "/thank-you-celebration/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1705740", "2020-01-02 21:10:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705739", "2020-01-02 21:10:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705738", "2020-01-02 21:09:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705737", "2020-01-02 21:09:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705736", "2020-01-02 21:09:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705735", "2020-01-02 21:08:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705734", "2020-01-02 21:07:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705733", "2020-01-02 21:07:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705732", "2020-01-02 21:07:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705731", "2020-01-02 21:06:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705730", "2020-01-02 21:05:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705729", "2020-01-02 21:05:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705728", "2020-01-02 21:04:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705727", "2020-01-02 21:04:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705726", "2020-01-02 21:04:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705725", "2020-01-02 21:03:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705724", "2020-01-02 21:02:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705723", "2020-01-02 21:02:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705722", "2020-01-02 21:01:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705721", "2020-01-02 21:00:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705720", "2020-01-02 21:00:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705719", "2020-01-02 20:59:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705718", "2020-01-02 20:59:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705717", "2020-01-02 20:58:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705716", "2020-01-02 20:57:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705715", "2020-01-02 20:57:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705714", "2020-01-02 20:56:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705713", "2020-01-02 20:56:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705712", "2020-01-02 20:55:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705711", "2020-01-02 20:55:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705710", "2020-01-02 20:54:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705709", "2020-01-02 20:54:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705708", "2020-01-02 20:53:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705707", "2020-01-02 20:53:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705706", "2020-01-02 20:53:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705705", "2020-01-02 20:51:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705704", "2020-01-02 20:51:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705703", "2020-01-02 20:51:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705702", "2020-01-02 20:50:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705701", "2020-01-02 20:50:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705700", "2020-01-02 20:50:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705699", "2020-01-02 20:48:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705698", "2020-01-02 20:48:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705697", "2020-01-02 20:48:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705696", "2020-01-02 20:47:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705695", "2020-01-02 20:46:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705694", "2020-01-02 20:46:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705693", "2020-01-02 20:45:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705692", "2020-01-02 20:44:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705691", "2020-01-02 20:44:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705690", "2020-01-02 20:43:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705689", "2020-01-02 20:43:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705688", "2020-01-02 20:43:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705687", "2020-01-02 20:41:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705686", "2020-01-02 20:41:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705685", "2020-01-02 20:41:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705684", "2020-01-02 20:40:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705683", "2020-01-02 20:40:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705682", "2020-01-02 20:40:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705681", "2020-01-02 20:39:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705680", "2020-01-02 20:39:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705679", "2020-01-02 20:38:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705678", "2020-01-02 20:38:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705677", "2020-01-02 20:37:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705676", "2020-01-02 20:37:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705675", "2020-01-02 20:37:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705674", "2020-01-02 20:36:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705673", "2020-01-02 20:36:08", "/Login.aspx", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "14956");
INSERT INTO `wp_redirection_404` VALUES("1705672", "2020-01-02 20:36:07", "/Login.aspx", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "14956");
INSERT INTO `wp_redirection_404` VALUES("1705671", "2020-01-02 20:35:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705670", "2020-01-02 20:34:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705669", "2020-01-02 20:34:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705668", "2020-01-02 20:33:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705667", "2020-01-02 20:33:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705666", "2020-01-02 20:32:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705665", "2020-01-02 20:31:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705664", "2020-01-02 20:31:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705663", "2020-01-02 20:30:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705662", "2020-01-02 20:29:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705661", "2020-01-02 20:29:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705660", "2020-01-02 20:29:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705659", "2020-01-02 20:28:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705658", "2020-01-02 20:28:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705657", "2020-01-02 20:28:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705656", "2020-01-02 20:27:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705655", "2020-01-02 20:27:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705654", "2020-01-02 20:26:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705653", "2020-01-02 20:25:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705652", "2020-01-02 20:25:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705651", "2020-01-02 20:25:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705650", "2020-01-02 20:24:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705649", "2020-01-02 20:24:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705648", "2020-01-02 20:23:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705647", "2020-01-02 20:22:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705646", "2020-01-02 20:22:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705645", "2020-01-02 20:22:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705644", "2020-01-02 20:20:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705643", "2020-01-02 20:20:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705642", "2020-01-02 20:20:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705641", "2020-01-02 20:18:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705640", "2020-01-02 20:18:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705639", "2020-01-02 20:18:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705638", "2020-01-02 20:17:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705637", "2020-01-02 20:17:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705636", "2020-01-02 20:17:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705635", "2020-01-02 20:16:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705634", "2020-01-02 20:16:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705633", "2020-01-02 20:15:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705632", "2020-01-02 20:15:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705631", "2020-01-02 20:14:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705630", "2020-01-02 20:14:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1705629", "2020-01-02 20:14:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712958", "2020-01-04 14:45:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712957", "2020-01-04 14:45:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712956", "2020-01-04 14:45:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712955", "2020-01-04 14:44:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712954", "2020-01-04 14:44:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712953", "2020-01-04 14:43:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712952", "2020-01-04 14:43:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712951", "2020-01-04 14:43:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712950", "2020-01-04 14:42:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712949", "2020-01-04 14:42:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712948", "2020-01-04 14:42:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712947", "2020-01-04 14:41:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712946", "2020-01-04 14:41:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712945", "2020-01-04 14:40:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712944", "2020-01-04 14:40:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712943", "2020-01-04 14:40:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712942", "2020-01-04 14:39:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712941", "2020-01-04 14:39:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712940", "2020-01-04 14:39:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712939", "2020-01-04 14:38:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712938", "2020-01-04 14:38:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712937", "2020-01-04 14:38:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712936", "2020-01-04 14:37:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712935", "2020-01-04 14:37:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712934", "2020-01-04 14:37:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712933", "2020-01-04 14:36:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712932", "2020-01-04 14:36:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712931", "2020-01-04 14:36:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712930", "2020-01-04 14:35:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712929", "2020-01-04 14:35:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712928", "2020-01-04 14:34:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712927", "2020-01-04 14:34:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712926", "2020-01-04 14:34:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712925", "2020-01-04 14:33:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712924", "2020-01-04 14:33:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712923", "2020-01-04 14:33:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712922", "2020-01-04 14:32:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712921", "2020-01-04 14:32:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712920", "2020-01-04 14:32:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712919", "2020-01-04 14:31:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712918", "2020-01-04 14:31:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712917", "2020-01-04 14:30:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712916", "2020-01-04 14:30:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712915", "2020-01-04 14:29:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712914", "2020-01-04 14:29:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712913", "2020-01-04 14:29:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712912", "2020-01-04 14:28:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712911", "2020-01-04 14:28:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712910", "2020-01-04 14:28:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712909", "2020-01-04 14:27:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712908", "2020-01-04 14:27:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712907", "2020-01-04 14:27:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712906", "2020-01-04 14:26:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712905", "2020-01-04 14:26:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712904", "2020-01-04 14:26:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712903", "2020-01-04 14:25:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712902", "2020-01-04 14:25:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712901", "2020-01-04 14:25:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712900", "2020-01-04 14:24:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712899", "2020-01-04 14:24:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712898", "2020-01-04 14:24:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712897", "2020-01-04 14:23:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712896", "2020-01-04 14:16:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712895", "2020-01-04 14:16:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712894", "2020-01-04 14:15:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712893", "2020-01-04 14:15:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712892", "2020-01-04 14:15:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712891", "2020-01-04 14:15:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712890", "2020-01-04 14:14:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712889", "2020-01-04 14:14:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712888", "2020-01-04 14:14:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712887", "2020-01-04 14:13:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712886", "2020-01-04 14:13:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712885", "2020-01-04 14:13:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712884", "2020-01-04 14:12:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712883", "2020-01-04 14:12:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712882", "2020-01-04 14:12:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712881", "2020-01-04 14:12:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712880", "2020-01-04 14:12:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712879", "2020-01-04 14:12:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712878", "2020-01-04 14:11:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712877", "2020-01-04 14:11:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712876", "2020-01-04 14:11:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712875", "2020-01-04 14:10:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712874", "2020-01-04 14:10:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712873", "2020-01-04 14:10:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712872", "2020-01-04 14:09:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712871", "2020-01-04 14:09:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712870", "2020-01-04 14:09:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712869", "2020-01-04 14:08:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712868", "2020-01-04 14:08:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712867", "2020-01-04 14:08:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712866", "2020-01-04 14:08:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712865", "2020-01-04 14:07:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712864", "2020-01-04 14:07:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712863", "2020-01-04 14:07:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712862", "2020-01-04 14:07:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712861", "2020-01-04 14:07:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712860", "2020-01-04 14:06:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712859", "2020-01-04 14:06:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712858", "2020-01-04 14:06:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712857", "2020-01-04 14:05:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712856", "2020-01-04 14:05:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712855", "2020-01-04 14:05:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712854", "2020-01-04 14:04:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712853", "2020-01-04 14:04:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712852", "2020-01-04 14:04:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712851", "2020-01-04 14:03:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712850", "2020-01-04 14:03:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712849", "2020-01-04 14:03:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712848", "2020-01-04 14:02:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712847", "2020-01-04 14:02:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712846", "2020-01-04 14:02:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712845", "2020-01-04 14:01:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712844", "2020-01-04 14:01:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712843", "2020-01-04 14:01:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712842", "2020-01-04 14:01:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712841", "2020-01-04 14:01:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712840", "2020-01-04 14:01:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712839", "2020-01-04 14:00:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712838", "2020-01-04 14:00:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712837", "2020-01-04 14:00:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712836", "2020-01-04 13:59:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712835", "2020-01-04 13:59:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712834", "2020-01-04 13:58:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712833", "2020-01-04 13:58:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712832", "2020-01-04 13:57:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712831", "2020-01-04 13:57:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712830", "2020-01-04 13:56:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712829", "2020-01-04 13:56:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712828", "2020-01-04 13:56:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712827", "2020-01-04 13:55:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712826", "2020-01-04 13:55:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712825", "2020-01-04 13:55:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712824", "2020-01-04 13:54:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712823", "2020-01-04 13:54:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712822", "2020-01-04 13:54:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712821", "2020-01-04 13:53:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712820", "2020-01-04 13:53:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712819", "2020-01-04 13:53:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712818", "2020-01-04 13:52:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712817", "2020-01-04 13:52:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712816", "2020-01-04 13:52:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712815", "2020-01-04 13:51:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712814", "2020-01-04 13:51:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712813", "2020-01-04 13:51:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712812", "2020-01-04 13:50:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712811", "2020-01-04 13:50:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712810", "2020-01-04 13:50:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712809", "2020-01-04 13:49:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712808", "2020-01-04 13:49:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712807", "2020-01-04 13:49:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712806", "2020-01-04 13:49:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712805", "2020-01-04 13:48:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712804", "2020-01-04 13:48:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712803", "2020-01-04 13:48:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712802", "2020-01-04 13:47:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712801", "2020-01-04 13:47:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712800", "2020-01-04 13:47:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712799", "2020-01-04 13:46:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712798", "2020-01-04 13:46:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712797", "2020-01-04 13:46:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712796", "2020-01-04 13:45:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712795", "2020-01-04 13:45:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712794", "2020-01-04 13:45:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712793", "2020-01-04 13:44:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712792", "2020-01-04 13:44:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712791", "2020-01-04 13:44:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712790", "2020-01-04 13:44:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712789", "2020-01-04 13:43:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712788", "2020-01-04 13:43:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712787", "2020-01-04 13:43:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712786", "2020-01-04 13:42:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712785", "2020-01-04 13:42:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712784", "2020-01-04 13:42:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712783", "2020-01-04 13:41:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712782", "2020-01-04 13:41:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712781", "2020-01-04 13:41:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712780", "2020-01-04 13:41:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712779", "2020-01-04 13:40:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712778", "2020-01-04 13:40:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712777", "2020-01-04 13:39:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712776", "2020-01-04 13:39:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712775", "2020-01-04 13:39:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712774", "2020-01-04 13:38:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712773", "2020-01-04 13:38:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712772", "2020-01-04 13:38:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712771", "2020-01-04 13:38:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712770", "2020-01-04 13:37:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712769", "2020-01-04 13:37:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712768", "2020-01-04 13:37:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712767", "2020-01-04 13:36:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712766", "2020-01-04 13:36:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712765", "2020-01-04 13:36:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712764", "2020-01-04 13:35:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712763", "2020-01-04 13:35:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712762", "2020-01-04 13:35:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712761", "2020-01-04 13:34:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712760", "2020-01-04 13:34:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712759", "2020-01-04 13:33:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712758", "2020-01-04 13:33:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712757", "2020-01-04 13:33:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712756", "2020-01-04 13:32:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712755", "2020-01-04 13:32:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712754", "2020-01-04 13:32:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712753", "2020-01-04 13:31:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712752", "2020-01-04 13:31:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712751", "2020-01-04 13:31:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712750", "2020-01-04 13:30:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712749", "2020-01-04 13:30:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712748", "2020-01-04 13:29:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712747", "2020-01-04 13:29:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712746", "2020-01-04 13:29:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712745", "2020-01-04 13:28:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712744", "2020-01-04 13:28:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712743", "2020-01-04 13:28:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712742", "2020-01-04 13:27:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712741", "2020-01-04 13:27:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712740", "2020-01-04 13:27:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712739", "2020-01-04 13:26:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712738", "2020-01-04 13:26:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712737", "2020-01-04 13:26:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712736", "2020-01-04 13:25:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712735", "2020-01-04 13:25:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712734", "2020-01-04 13:25:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712733", "2020-01-04 13:24:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712732", "2020-01-04 13:23:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712731", "2020-01-04 13:23:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712730", "2020-01-04 13:23:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712729", "2020-01-04 13:22:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712728", "2020-01-04 13:22:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712727", "2020-01-04 13:22:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712726", "2020-01-04 13:21:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712725", "2020-01-04 13:21:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712724", "2020-01-04 13:21:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712723", "2020-01-04 13:20:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712722", "2020-01-04 13:20:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712721", "2020-01-04 13:20:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712720", "2020-01-04 13:19:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712719", "2020-01-04 13:19:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712718", "2020-01-04 13:19:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712717", "2020-01-04 13:18:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712716", "2020-01-04 13:18:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712715", "2020-01-04 13:18:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712714", "2020-01-04 13:17:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712713", "2020-01-04 13:17:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712712", "2020-01-04 13:17:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712711", "2020-01-04 13:16:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712710", "2020-01-04 13:16:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712709", "2020-01-04 13:16:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712708", "2020-01-04 13:16:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712707", "2020-01-04 13:15:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712706", "2020-01-04 13:15:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712705", "2020-01-04 13:15:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712704", "2020-01-04 13:14:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712703", "2020-01-04 13:14:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712702", "2020-01-04 13:14:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712701", "2020-01-04 13:13:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712700", "2020-01-04 13:13:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712699", "2020-01-04 13:13:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712698", "2020-01-04 13:13:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712697", "2020-01-04 13:12:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712696", "2020-01-04 13:12:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712695", "2020-01-04 13:12:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712694", "2020-01-04 13:12:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712693", "2020-01-04 13:11:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712692", "2020-01-04 13:11:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712691", "2020-01-04 13:11:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712690", "2020-01-04 13:10:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712689", "2020-01-04 13:10:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712688", "2020-01-04 13:10:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712687", "2020-01-04 13:09:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712686", "2020-01-04 13:09:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712685", "2020-01-04 13:09:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712684", "2020-01-04 13:08:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712683", "2020-01-04 13:08:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712682", "2020-01-04 13:08:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712681", "2020-01-04 13:07:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712680", "2020-01-04 13:07:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712679", "2020-01-04 13:07:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712678", "2020-01-04 13:07:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712677", "2020-01-04 13:06:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712676", "2020-01-04 13:06:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712675", "2020-01-04 13:06:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712674", "2020-01-04 13:06:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712673", "2020-01-04 13:05:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712672", "2020-01-04 13:05:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712671", "2020-01-04 13:05:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712670", "2020-01-04 13:05:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712669", "2020-01-04 13:04:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712668", "2020-01-04 13:03:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712667", "2020-01-04 13:03:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712666", "2020-01-04 13:03:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712665", "2020-01-04 13:03:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712664", "2020-01-04 13:02:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712663", "2020-01-04 13:02:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712662", "2020-01-04 13:01:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712661", "2020-01-04 13:01:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712660", "2020-01-04 13:01:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712659", "2020-01-04 13:00:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712658", "2020-01-04 13:00:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712657", "2020-01-04 13:00:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712656", "2020-01-04 13:00:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712655", "2020-01-04 13:00:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712654", "2020-01-04 12:59:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712653", "2020-01-04 12:59:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712652", "2020-01-04 12:59:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712651", "2020-01-04 12:58:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712650", "2020-01-04 12:58:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712649", "2020-01-04 12:58:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712648", "2020-01-04 12:57:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712647", "2020-01-04 12:57:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712646", "2020-01-04 12:57:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712645", "2020-01-04 12:56:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712644", "2020-01-04 12:56:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712643", "2020-01-04 12:56:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712642", "2020-01-04 12:55:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712641", "2020-01-04 12:55:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712640", "2020-01-04 12:54:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712639", "2020-01-04 12:54:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712638", "2020-01-04 12:54:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712637", "2020-01-04 12:53:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712636", "2020-01-04 12:53:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712635", "2020-01-04 12:53:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712634", "2020-01-04 12:52:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712633", "2020-01-04 12:52:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712632", "2020-01-04 12:52:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712631", "2020-01-04 12:52:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712630", "2020-01-04 12:51:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712629", "2020-01-04 12:51:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712628", "2020-01-04 12:51:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712627", "2020-01-04 12:50:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712626", "2020-01-04 12:50:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712625", "2020-01-04 12:50:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712624", "2020-01-04 12:49:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712623", "2020-01-04 12:49:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712622", "2020-01-04 12:49:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712621", "2020-01-04 12:48:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712620", "2020-01-04 12:48:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712619", "2020-01-04 12:48:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712618", "2020-01-04 12:47:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712617", "2020-01-04 12:47:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712616", "2020-01-04 12:47:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712615", "2020-01-04 12:46:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712614", "2020-01-04 12:46:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712613", "2020-01-04 12:46:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712612", "2020-01-04 12:46:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712611", "2020-01-04 12:46:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712610", "2020-01-04 12:45:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712609", "2020-01-04 12:45:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712608", "2020-01-04 12:45:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712607", "2020-01-04 12:44:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712606", "2020-01-04 12:44:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712605", "2020-01-04 12:43:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712604", "2020-01-04 12:43:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712603", "2020-01-04 12:42:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712602", "2020-01-04 12:42:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712601", "2020-01-04 12:42:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712600", "2020-01-04 12:41:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712599", "2020-01-04 12:41:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712598", "2020-01-04 12:41:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712597", "2020-01-04 12:40:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712596", "2020-01-04 12:40:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712595", "2020-01-04 12:40:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712594", "2020-01-04 12:39:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712593", "2020-01-04 12:39:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712592", "2020-01-04 12:38:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712591", "2020-01-04 12:38:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712590", "2020-01-04 12:38:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712589", "2020-01-04 12:37:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712588", "2020-01-04 12:37:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712587", "2020-01-04 12:37:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712586", "2020-01-04 12:36:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712585", "2020-01-04 12:36:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712584", "2020-01-04 12:36:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712583", "2020-01-04 12:35:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712582", "2020-01-04 12:34:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712581", "2020-01-04 12:34:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712580", "2020-01-04 12:33:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712579", "2020-01-04 12:33:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712578", "2020-01-04 12:32:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712577", "2020-01-04 12:32:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712576", "2020-01-04 12:32:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712575", "2020-01-04 12:31:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712574", "2020-01-04 12:31:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712573", "2020-01-04 12:30:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712572", "2020-01-04 12:30:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712571", "2020-01-04 12:29:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712570", "2020-01-04 12:29:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712569", "2020-01-04 12:28:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712568", "2020-01-04 12:28:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712567", "2020-01-04 12:28:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712566", "2020-01-04 12:27:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712565", "2020-01-04 12:27:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712564", "2020-01-04 12:26:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712563", "2020-01-04 12:26:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712562", "2020-01-04 12:26:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712561", "2020-01-04 12:25:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712560", "2020-01-04 12:24:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712559", "2020-01-04 12:24:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712558", "2020-01-04 12:24:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712557", "2020-01-04 12:23:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712556", "2020-01-04 12:23:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712555", "2020-01-04 12:23:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712554", "2020-01-04 12:23:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712553", "2020-01-04 12:22:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712552", "2020-01-04 12:22:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712551", "2020-01-04 12:22:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712550", "2020-01-04 12:21:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712549", "2020-01-04 12:21:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712548", "2020-01-04 12:20:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712547", "2020-01-04 12:20:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712546", "2020-01-04 12:19:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712545", "2020-01-04 12:19:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712544", "2020-01-04 12:19:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712543", "2020-01-04 12:18:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712541", "2020-01-04 12:18:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712542", "2020-01-04 12:18:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712540", "2020-01-04 12:17:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712539", "2020-01-04 12:17:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712538", "2020-01-04 12:16:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712537", "2020-01-04 12:16:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712536", "2020-01-04 12:15:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712535", "2020-01-04 12:15:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712534", "2020-01-04 12:15:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712533", "2020-01-04 12:15:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712532", "2020-01-04 12:14:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712531", "2020-01-04 12:14:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712530", "2020-01-04 12:14:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712529", "2020-01-04 12:13:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712528", "2020-01-04 12:13:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712527", "2020-01-04 12:13:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712526", "2020-01-04 12:12:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712525", "2020-01-04 12:12:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712524", "2020-01-04 12:12:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712523", "2020-01-04 12:10:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712522", "2020-01-04 12:10:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712521", "2020-01-04 12:10:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712520", "2020-01-04 12:09:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712519", "2020-01-04 12:09:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712518", "2020-01-04 12:08:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712517", "2020-01-04 12:08:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712516", "2020-01-04 12:07:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712515", "2020-01-04 12:07:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712514", "2020-01-04 12:07:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712513", "2020-01-04 12:06:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712512", "2020-01-04 12:06:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712511", "2020-01-04 12:06:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712510", "2020-01-04 12:05:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712509", "2020-01-04 12:05:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712508", "2020-01-04 12:05:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712507", "2020-01-04 12:04:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712506", "2020-01-04 12:03:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712505", "2020-01-04 12:03:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712504", "2020-01-04 12:03:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712503", "2020-01-04 12:03:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712502", "2020-01-04 12:02:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712501", "2020-01-04 12:02:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712500", "2020-01-04 12:02:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712499", "2020-01-04 12:01:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712498", "2020-01-04 12:01:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712497", "2020-01-04 12:01:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712496", "2020-01-04 12:00:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712495", "2020-01-04 12:00:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712494", "2020-01-04 11:59:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712493", "2020-01-04 11:59:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712492", "2020-01-04 11:59:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712491", "2020-01-04 11:58:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712490", "2020-01-04 11:58:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712489", "2020-01-04 11:58:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712488", "2020-01-04 11:57:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712487", "2020-01-04 11:57:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712486", "2020-01-04 11:57:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712485", "2020-01-04 11:56:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712484", "2020-01-04 11:56:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712483", "2020-01-04 11:56:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712482", "2020-01-04 11:55:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712481", "2020-01-04 11:55:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688341", "2019-12-28 14:31:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688342", "2019-12-28 14:31:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688343", "2019-12-28 14:31:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688344", "2019-12-28 14:31:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688345", "2019-12-28 14:32:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688346", "2019-12-28 14:32:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688347", "2019-12-28 14:32:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688348", "2019-12-28 14:32:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688349", "2019-12-28 14:32:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688350", "2019-12-28 14:33:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688351", "2019-12-28 14:33:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688352", "2019-12-28 14:33:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688353", "2019-12-28 14:33:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688354", "2019-12-28 14:34:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688355", "2019-12-28 14:34:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688356", "2019-12-28 14:34:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688357", "2019-12-28 14:34:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688358", "2019-12-28 14:35:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688359", "2019-12-28 14:35:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688360", "2019-12-28 14:35:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688361", "2019-12-28 14:35:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688362", "2019-12-28 14:35:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688363", "2019-12-28 14:35:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688364", "2019-12-28 14:36:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688365", "2019-12-28 14:36:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688366", "2019-12-28 14:36:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688367", "2019-12-28 14:36:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688368", "2019-12-28 14:36:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688369", "2019-12-28 14:36:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688370", "2019-12-28 14:37:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688371", "2019-12-28 14:37:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688372", "2019-12-28 14:37:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688373", "2019-12-28 14:37:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688374", "2019-12-28 14:37:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688375", "2019-12-28 14:37:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688376", "2019-12-28 14:38:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688377", "2019-12-28 14:38:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688378", "2019-12-28 14:38:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688379", "2019-12-28 14:38:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688380", "2019-12-28 14:39:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688381", "2019-12-28 14:39:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688382", "2019-12-28 14:39:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688383", "2019-12-28 14:39:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688384", "2019-12-28 14:39:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688385", "2019-12-28 14:39:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688386", "2019-12-28 14:40:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688387", "2019-12-28 14:40:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688388", "2019-12-28 14:40:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688389", "2019-12-28 14:40:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688390", "2019-12-28 14:40:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688391", "2019-12-28 14:41:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688392", "2019-12-28 14:41:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688393", "2019-12-28 14:41:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688394", "2019-12-28 14:41:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688395", "2019-12-28 14:41:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688396", "2019-12-28 14:41:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688397", "2019-12-28 14:42:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688398", "2019-12-28 14:42:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688399", "2019-12-28 14:42:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688400", "2019-12-28 14:42:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688401", "2019-12-28 14:42:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688402", "2019-12-28 14:42:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688403", "2019-12-28 14:43:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688404", "2019-12-28 14:43:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688405", "2019-12-28 14:43:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688406", "2019-12-28 14:43:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688407", "2019-12-28 14:43:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688408", "2019-12-28 14:43:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688409", "2019-12-28 14:44:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688410", "2019-12-28 14:44:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688411", "2019-12-28 14:44:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688412", "2019-12-28 14:44:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688413", "2019-12-28 14:44:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688414", "2019-12-28 14:44:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688415", "2019-12-28 14:45:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688416", "2019-12-28 14:45:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688417", "2019-12-28 14:45:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688418", "2019-12-28 14:45:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688419", "2019-12-28 14:45:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688420", "2019-12-28 14:45:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688421", "2019-12-28 14:46:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688422", "2019-12-28 14:46:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688423", "2019-12-28 14:46:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688424", "2019-12-28 14:46:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688425", "2019-12-28 14:46:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688426", "2019-12-28 14:46:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688427", "2019-12-28 14:47:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688428", "2019-12-28 15:01:24", "/installer-backup.php", "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.6) Gecko/20091201 Firefox/3.5.6 (.NET CLR 2.0.50727; .NET CLR 3.0.4506.2152; .NET CLR 3.5.30729)", NULL, "7885");
INSERT INTO `wp_redirection_404` VALUES("1688429", "2019-12-28 15:01:26", "/installer.php", "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.6) Gecko/20091201 Firefox/3.5.6 (.NET CLR 2.0.50727; .NET CLR 3.0.4506.2152; .NET CLR 3.5.30729)", NULL, "7885");
INSERT INTO `wp_redirection_404` VALUES("1688430", "2019-12-28 15:26:53", "/?author=3", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "103192");
INSERT INTO `wp_redirection_404` VALUES("1688431", "2019-12-28 15:26:58", "/?author=4", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "103192");
INSERT INTO `wp_redirection_404` VALUES("1688432", "2019-12-28 15:27:02", "/?author=5", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "103192");
INSERT INTO `wp_redirection_404` VALUES("1688433", "2019-12-28 15:27:05", "/?author=6", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "103192");
INSERT INTO `wp_redirection_404` VALUES("1688434", "2019-12-28 15:27:07", "/?author=7", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "103192");
INSERT INTO `wp_redirection_404` VALUES("1688435", "2019-12-28 15:27:09", "/?author=8", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "103192");
INSERT INTO `wp_redirection_404` VALUES("1688436", "2019-12-28 15:27:11", "/?author=9", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "103192");
INSERT INTO `wp_redirection_404` VALUES("1688437", "2019-12-28 15:27:12", "/?author=10", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "103192");
INSERT INTO `wp_redirection_404` VALUES("1688438", "2019-12-28 15:59:16", "/pizza-recipes/bring-pizza-without-losing-taste-texture/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1688439", "2019-12-28 16:10:03", "/thank-you-celebration/", "Mozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/13.0.4 Mobile/15E148 Safari/604.1", NULL, "73236");
INSERT INTO `wp_redirection_404` VALUES("1688440", "2019-12-28 16:10:51", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1107.1 Darwin/19.0.0", NULL, "174194");
INSERT INTO `wp_redirection_404` VALUES("1688441", "2019-12-28 16:10:51", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1107.1 Darwin/19.0.0", NULL, "174194");
INSERT INTO `wp_redirection_404` VALUES("1688442", "2019-12-28 16:16:23", "/pizza-places/best-pizza-places-new-york-city-2016/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1688443", "2019-12-28 16:16:23", "/pizza-places/best-pizza-places-new-york-city-2016/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1688444", "2019-12-28 16:28:22", "/thank-you-celebration/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "3113");
INSERT INTO `wp_redirection_404` VALUES("1688445", "2019-12-28 16:28:23", "/thank-you-celebration/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "3113");
INSERT INTO `wp_redirection_404` VALUES("1688446", "2019-12-28 17:17:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688447", "2019-12-28 17:26:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688448", "2019-12-28 17:26:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688449", "2019-12-28 17:26:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688450", "2019-12-28 17:27:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688451", "2019-12-28 17:27:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688452", "2019-12-28 17:27:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688453", "2019-12-28 17:29:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688454", "2019-12-28 17:29:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688455", "2019-12-28 17:29:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688456", "2019-12-28 17:30:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688457", "2019-12-28 17:30:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688458", "2019-12-28 17:30:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688459", "2019-12-28 17:32:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688460", "2019-12-28 17:32:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688461", "2019-12-28 17:32:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688462", "2019-12-28 17:33:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688463", "2019-12-28 17:34:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688464", "2019-12-28 17:34:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688465", "2019-12-28 17:35:22", "/public/js/ueditor/dialogs/internal.js", "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Win64; x64; Trident/5.0)", "http://www.buckspizza.com/public/js/ueditor/dialogs/internal.js", "39108");
INSERT INTO `wp_redirection_404` VALUES("1688466", "2019-12-28 17:35:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688467", "2019-12-28 17:35:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688468", "2019-12-28 17:35:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688469", "2019-12-28 17:36:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688470", "2019-12-28 17:37:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688471", "2019-12-28 17:37:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688472", "2019-12-28 17:38:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688473", "2019-12-28 17:38:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688474", "2019-12-28 17:38:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688475", "2019-12-28 17:40:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688476", "2019-12-28 17:40:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688477", "2019-12-28 17:40:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688478", "2019-12-28 17:41:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688479", "2019-12-28 17:41:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688480", "2019-12-28 17:41:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688481", "2019-12-28 17:43:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688482", "2019-12-28 17:43:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688483", "2019-12-28 17:43:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688484", "2019-12-28 17:44:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688485", "2019-12-28 17:45:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688486", "2019-12-28 17:45:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688487", "2019-12-28 17:46:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688488", "2019-12-28 17:46:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688489", "2019-12-28 17:46:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688490", "2019-12-28 17:47:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688491", "2019-12-28 17:47:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688492", "2019-12-28 17:48:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688493", "2019-12-28 17:49:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688494", "2019-12-28 17:49:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688495", "2019-12-28 17:49:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688496", "2019-12-28 17:50:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688497", "2019-12-28 17:50:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688498", "2019-12-28 17:50:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688499", "2019-12-28 17:51:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688500", "2019-12-28 17:51:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688501", "2019-12-28 17:52:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688502", "2019-12-28 17:52:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688503", "2019-12-28 17:52:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688504", "2019-12-28 17:52:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688505", "2019-12-28 17:53:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688506", "2019-12-28 17:53:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688507", "2019-12-28 17:53:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688508", "2019-12-28 17:55:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688509", "2019-12-28 17:55:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688510", "2019-12-28 17:55:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688511", "2019-12-28 17:56:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688512", "2019-12-28 17:56:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688513", "2019-12-28 17:56:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688514", "2019-12-28 17:57:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688515", "2019-12-28 17:57:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688516", "2019-12-28 17:58:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688517", "2019-12-28 17:58:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688518", "2019-12-28 17:59:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688519", "2019-12-28 17:59:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688520", "2019-12-28 18:00:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688521", "2019-12-28 18:00:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688522", "2019-12-28 18:01:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688523", "2019-12-28 18:01:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688524", "2019-12-28 18:02:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688525", "2019-12-28 18:02:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688526", "2019-12-28 18:03:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688527", "2019-12-28 18:03:14", "/router.php", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "110229");
INSERT INTO `wp_redirection_404` VALUES("1688528", "2019-12-28 18:03:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688529", "2019-12-28 18:04:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688530", "2019-12-28 18:05:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688531", "2019-12-28 18:05:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688532", "2019-12-28 18:05:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688533", "2019-12-28 18:06:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688534", "2019-12-28 18:06:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688535", "2019-12-28 18:06:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688536", "2019-12-28 18:07:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688537", "2019-12-28 18:08:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688538", "2019-12-28 18:08:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688539", "2019-12-28 18:09:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688540", "2019-12-28 18:09:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688541", "2019-12-28 18:09:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688542", "2019-12-28 18:10:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688543", "2019-12-28 18:11:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688544", "2019-12-28 18:11:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688545", "2019-12-28 18:11:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688546", "2019-12-28 18:12:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688547", "2019-12-28 18:12:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688548", "2019-12-28 18:13:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688549", "2019-12-28 18:14:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688550", "2019-12-28 18:14:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688551", "2019-12-28 18:14:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688552", "2019-12-28 18:15:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688553", "2019-12-28 18:15:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688554", "2019-12-28 18:16:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688555", "2019-12-28 18:16:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688556", "2019-12-28 18:17:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688557", "2019-12-28 18:17:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688558", "2019-12-28 18:18:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688559", "2019-12-28 18:18:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688560", "2019-12-28 18:19:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688561", "2019-12-28 18:19:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688562", "2019-12-28 18:19:33", "/static/.gitignore", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "110229");
INSERT INTO `wp_redirection_404` VALUES("1688563", "2019-12-28 18:19:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688564", "2019-12-28 18:20:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688565", "2019-12-28 18:20:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688566", "2019-12-28 18:21:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688567", "2019-12-28 18:21:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688568", "2019-12-28 18:21:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688569", "2019-12-28 18:22:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688570", "2019-12-28 18:22:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688571", "2019-12-28 18:23:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688572", "2019-12-28 18:23:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688573", "2019-12-28 18:24:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688574", "2019-12-28 18:24:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688575", "2019-12-28 18:25:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688576", "2019-12-28 18:25:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688577", "2019-12-28 18:25:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688578", "2019-12-28 18:25:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688579", "2019-12-28 18:26:21", "/torrington-wy/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1688580", "2019-12-28 18:26:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688581", "2019-12-28 18:26:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688582", "2019-12-28 18:26:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688583", "2019-12-28 18:27:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688584", "2019-12-28 18:27:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688585", "2019-12-28 18:28:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688586", "2019-12-28 18:28:21", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "67222");
INSERT INTO `wp_redirection_404` VALUES("1688587", "2019-12-28 18:28:22", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "67222");
INSERT INTO `wp_redirection_404` VALUES("1688588", "2019-12-28 18:28:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688589", "2019-12-28 18:29:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688590", "2019-12-28 18:29:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688591", "2019-12-28 18:29:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688592", "2019-12-28 18:30:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688593", "2019-12-28 18:30:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688594", "2019-12-28 18:30:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688595", "2019-12-28 18:31:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688596", "2019-12-28 18:32:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688597", "2019-12-28 18:32:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688598", "2019-12-28 18:33:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688599", "2019-12-28 18:33:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688600", "2019-12-28 18:33:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688601", "2019-12-28 18:34:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688602", "2019-12-28 18:35:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688603", "2019-12-28 18:35:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688604", "2019-12-28 18:35:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688605", "2019-12-28 18:36:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688606", "2019-12-28 18:36:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688607", "2019-12-28 18:36:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688608", "2019-12-28 18:37:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688609", "2019-12-28 18:38:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688610", "2019-12-28 18:38:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688611", "2019-12-28 18:38:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688612", "2019-12-28 18:38:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688613", "2019-12-28 18:39:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688614", "2019-12-28 18:39:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688615", "2019-12-28 18:39:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688616", "2019-12-28 18:40:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688617", "2019-12-28 18:40:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688618", "2019-12-28 18:40:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688619", "2019-12-28 18:41:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688620", "2019-12-28 18:41:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688621", "2019-12-28 18:41:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688622", "2019-12-28 18:42:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688623", "2019-12-28 18:43:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688624", "2019-12-28 18:43:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688625", "2019-12-28 18:44:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688626", "2019-12-28 18:44:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688627", "2019-12-28 18:44:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688628", "2019-12-28 18:45:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688629", "2019-12-28 18:45:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688630", "2019-12-28 18:46:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688631", "2019-12-28 18:46:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688632", "2019-12-28 18:46:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688633", "2019-12-28 18:47:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688634", "2019-12-28 18:47:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688635", "2019-12-28 18:47:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688636", "2019-12-28 18:47:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688637", "2019-12-28 18:48:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688638", "2019-12-28 18:48:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688639", "2019-12-28 18:48:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688640", "2019-12-28 18:49:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688641", "2019-12-28 18:49:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688642", "2019-12-28 18:49:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688643", "2019-12-28 18:50:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688644", "2019-12-28 18:50:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688645", "2019-12-28 18:51:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688646", "2019-12-28 18:51:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688647", "2019-12-28 18:52:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688648", "2019-12-28 18:52:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688649", "2019-12-28 18:53:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688650", "2019-12-28 18:53:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688651", "2019-12-28 18:53:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688652", "2019-12-28 18:54:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688653", "2019-12-28 18:54:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688654", "2019-12-28 18:54:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688655", "2019-12-28 18:55:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688656", "2019-12-28 18:55:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688657", "2019-12-28 18:55:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688658", "2019-12-28 18:56:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688659", "2019-12-28 18:56:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688660", "2019-12-28 18:56:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688661", "2019-12-28 18:57:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688662", "2019-12-28 18:57:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688663", "2019-12-28 18:58:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688664", "2019-12-28 18:58:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688665", "2019-12-28 18:58:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688666", "2019-12-28 18:58:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688667", "2019-12-28 18:59:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688668", "2019-12-28 18:59:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688669", "2019-12-28 18:59:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688670", "2019-12-28 18:59:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688671", "2019-12-28 19:00:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688672", "2019-12-28 19:00:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688673", "2019-12-28 19:00:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688674", "2019-12-28 19:01:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688675", "2019-12-28 19:01:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688676", "2019-12-28 19:01:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688677", "2019-12-28 19:01:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688678", "2019-12-28 19:02:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688679", "2019-12-28 19:02:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688680", "2019-12-28 19:02:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688681", "2019-12-28 19:02:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688682", "2019-12-28 19:03:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688683", "2019-12-28 19:03:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688684", "2019-12-28 19:04:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688685", "2019-12-28 19:04:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688686", "2019-12-28 19:04:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688687", "2019-12-28 19:05:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688688", "2019-12-28 19:05:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688689", "2019-12-28 19:06:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688690", "2019-12-28 19:06:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688691", "2019-12-28 19:06:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688692", "2019-12-28 19:06:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688693", "2019-12-28 19:07:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688694", "2019-12-28 19:07:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688695", "2019-12-28 19:07:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688696", "2019-12-28 19:08:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688697", "2019-12-28 19:08:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688698", "2019-12-28 19:08:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688699", "2019-12-28 19:09:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688700", "2019-12-28 19:10:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688701", "2019-12-28 19:10:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688702", "2019-12-28 19:10:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688703", "2019-12-28 19:11:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688704", "2019-12-28 19:11:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688705", "2019-12-28 19:11:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688706", "2019-12-28 19:12:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688707", "2019-12-28 19:12:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688708", "2019-12-28 19:13:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688709", "2019-12-28 19:14:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688710", "2019-12-28 19:14:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688711", "2019-12-28 19:14:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688712", "2019-12-28 19:15:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688713", "2019-12-28 19:15:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688714", "2019-12-28 19:15:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688715", "2019-12-28 19:16:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688716", "2019-12-28 19:16:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688717", "2019-12-28 19:16:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688718", "2019-12-28 19:17:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688719", "2019-12-28 19:17:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688720", "2019-12-28 19:17:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688721", "2019-12-28 19:18:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688722", "2019-12-28 19:18:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688723", "2019-12-28 19:18:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688724", "2019-12-28 19:19:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688725", "2019-12-28 19:19:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688726", "2019-12-28 19:19:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688727", "2019-12-28 19:20:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688728", "2019-12-28 19:20:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688729", "2019-12-28 19:20:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688730", "2019-12-28 19:20:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688731", "2019-12-28 19:21:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688732", "2019-12-28 19:21:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688733", "2019-12-28 19:21:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688734", "2019-12-28 19:22:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688735", "2019-12-28 19:22:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688736", "2019-12-28 19:23:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688737", "2019-12-28 19:23:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688738", "2019-12-28 19:23:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688739", "2019-12-28 19:23:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688740", "2019-12-28 19:24:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688741", "2019-12-28 19:24:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688742", "2019-12-28 19:24:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688743", "2019-12-28 19:25:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688744", "2019-12-28 19:25:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688745", "2019-12-28 19:25:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688746", "2019-12-28 19:25:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688747", "2019-12-28 19:25:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688748", "2019-12-28 19:26:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688749", "2019-12-28 19:26:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688750", "2019-12-28 19:26:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688751", "2019-12-28 19:27:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688752", "2019-12-28 19:27:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688753", "2019-12-28 19:28:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688754", "2019-12-28 19:28:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688755", "2019-12-28 19:28:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688756", "2019-12-28 19:28:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688757", "2019-12-28 19:29:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688758", "2019-12-28 19:29:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688759", "2019-12-28 19:29:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688760", "2019-12-28 19:29:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688761", "2019-12-28 19:29:58", "/public/static/.gitignore", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "112124");
INSERT INTO `wp_redirection_404` VALUES("1688762", "2019-12-28 19:30:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688763", "2019-12-28 19:30:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688764", "2019-12-28 19:30:55", "/pizza-recipes/unique-pizza-toppings-never-tried/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1688765", "2019-12-28 19:30:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688766", "2019-12-28 19:31:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688767", "2019-12-28 19:31:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688768", "2019-12-28 19:31:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688769", "2019-12-28 19:32:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688770", "2019-12-28 19:32:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688771", "2019-12-28 19:32:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688772", "2019-12-28 19:33:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688773", "2019-12-28 19:33:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688774", "2019-12-28 19:33:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688775", "2019-12-28 19:34:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688776", "2019-12-28 19:34:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688777", "2019-12-28 19:35:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688778", "2019-12-28 19:35:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688779", "2019-12-28 19:35:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688780", "2019-12-28 19:36:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688781", "2019-12-28 19:36:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688782", "2019-12-28 19:36:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688783", "2019-12-28 19:36:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688784", "2019-12-28 19:36:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688785", "2019-12-28 19:37:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688786", "2019-12-28 19:37:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688787", "2019-12-28 19:37:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688788", "2019-12-28 19:38:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688789", "2019-12-28 19:38:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688790", "2019-12-28 19:38:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688791", "2019-12-28 19:39:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688792", "2019-12-28 19:39:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688793", "2019-12-28 19:39:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688794", "2019-12-28 19:39:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688795", "2019-12-28 19:40:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688796", "2019-12-28 19:41:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688797", "2019-12-28 19:41:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688798", "2019-12-28 19:41:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688799", "2019-12-28 19:41:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688800", "2019-12-28 19:41:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688801", "2019-12-28 19:42:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688802", "2019-12-28 19:42:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688803", "2019-12-28 19:42:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688804", "2019-12-28 19:43:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688805", "2019-12-28 19:43:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688806", "2019-12-28 19:43:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688807", "2019-12-28 19:44:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688808", "2019-12-28 19:44:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688809", "2019-12-28 19:44:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688810", "2019-12-28 19:45:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688811", "2019-12-28 19:45:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688812", "2019-12-28 19:45:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688813", "2019-12-28 19:46:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688814", "2019-12-28 19:46:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688815", "2019-12-28 19:46:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688816", "2019-12-28 19:46:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688817", "2019-12-28 19:47:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688818", "2019-12-28 19:47:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688819", "2019-12-28 19:47:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688820", "2019-12-28 19:47:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688821", "2019-12-28 19:48:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688822", "2019-12-28 19:48:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688823", "2019-12-28 19:49:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688824", "2019-12-28 19:49:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688825", "2019-12-28 19:49:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688826", "2019-12-28 19:50:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688827", "2019-12-28 19:50:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688828", "2019-12-28 19:50:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688829", "2019-12-28 19:51:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688830", "2019-12-28 19:51:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688831", "2019-12-28 19:51:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688832", "2019-12-28 19:52:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688833", "2019-12-28 19:52:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688834", "2019-12-28 19:52:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688835", "2019-12-28 19:52:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688836", "2019-12-28 19:53:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688837", "2019-12-28 19:53:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688838", "2019-12-28 19:54:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688839", "2019-12-28 19:54:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688840", "2019-12-28 19:54:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688841", "2019-12-28 19:54:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688842", "2019-12-28 19:54:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688843", "2019-12-28 19:55:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688844", "2019-12-28 19:55:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688845", "2019-12-28 19:56:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688846", "2019-12-28 19:56:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688847", "2019-12-28 19:56:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688848", "2019-12-28 19:56:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688849", "2019-12-28 19:57:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688850", "2019-12-28 19:57:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688851", "2019-12-28 19:57:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688852", "2019-12-28 19:58:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688853", "2019-12-28 19:58:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688854", "2019-12-28 19:58:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688855", "2019-12-28 19:58:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688856", "2019-12-28 19:59:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688857", "2019-12-28 19:59:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688858", "2019-12-28 19:59:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688859", "2019-12-28 20:00:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688860", "2019-12-28 20:00:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688861", "2019-12-28 20:00:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688862", "2019-12-28 20:00:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688863", "2019-12-28 20:01:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688864", "2019-12-28 20:01:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688865", "2019-12-28 20:01:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688866", "2019-12-28 20:02:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688867", "2019-12-28 20:02:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688868", "2019-12-28 20:03:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688869", "2019-12-28 20:03:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688870", "2019-12-28 20:03:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712095", "2020-01-04 09:30:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712096", "2020-01-04 09:30:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712097", "2020-01-04 09:30:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712098", "2020-01-04 09:31:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712099", "2020-01-04 09:31:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712100", "2020-01-04 09:32:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712101", "2020-01-04 09:32:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712102", "2020-01-04 09:33:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712103", "2020-01-04 09:33:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712104", "2020-01-04 09:34:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712105", "2020-01-04 09:34:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712106", "2020-01-04 09:34:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712107", "2020-01-04 09:35:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712108", "2020-01-04 09:35:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712109", "2020-01-04 09:36:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712110", "2020-01-04 09:36:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712111", "2020-01-04 09:36:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712112", "2020-01-04 09:37:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712113", "2020-01-04 09:37:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712114", "2020-01-04 09:38:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712115", "2020-01-04 09:38:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712116", "2020-01-04 09:38:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712117", "2020-01-04 09:39:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712118", "2020-01-04 09:39:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712119", "2020-01-04 09:39:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712120", "2020-01-04 09:40:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712121", "2020-01-04 09:40:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712122", "2020-01-04 09:41:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712123", "2020-01-04 09:41:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712124", "2020-01-04 09:41:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712125", "2020-01-04 09:42:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712126", "2020-01-04 09:42:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712127", "2020-01-04 09:43:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712128", "2020-01-04 09:43:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712129", "2020-01-04 09:43:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712130", "2020-01-04 09:44:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712131", "2020-01-04 09:44:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712132", "2020-01-04 09:44:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712133", "2020-01-04 09:45:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712134", "2020-01-04 09:45:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712135", "2020-01-04 09:45:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712136", "2020-01-04 09:46:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712137", "2020-01-04 09:46:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712138", "2020-01-04 09:47:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712139", "2020-01-04 09:47:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712140", "2020-01-04 09:48:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712141", "2020-01-04 09:48:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712142", "2020-01-04 09:48:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712143", "2020-01-04 09:49:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712144", "2020-01-04 09:49:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712145", "2020-01-04 09:49:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712146", "2020-01-04 09:50:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712147", "2020-01-04 09:50:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712148", "2020-01-04 09:50:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712149", "2020-01-04 09:52:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712150", "2020-01-04 09:52:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712151", "2020-01-04 09:52:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712152", "2020-01-04 09:53:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712153", "2020-01-04 09:53:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712154", "2020-01-04 09:53:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712155", "2020-01-04 09:54:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712156", "2020-01-04 09:54:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712157", "2020-01-04 09:54:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712158", "2020-01-04 09:55:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712159", "2020-01-04 09:55:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712160", "2020-01-04 09:56:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712161", "2020-01-04 09:56:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712162", "2020-01-04 09:56:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712163", "2020-01-04 09:57:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712164", "2020-01-04 09:57:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712165", "2020-01-04 09:58:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712166", "2020-01-04 09:58:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712167", "2020-01-04 09:58:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712168", "2020-01-04 09:59:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712169", "2020-01-04 09:59:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712170", "2020-01-04 09:59:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712171", "2020-01-04 10:00:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712172", "2020-01-04 10:00:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712173", "2020-01-04 10:01:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712174", "2020-01-04 10:01:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712175", "2020-01-04 10:01:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712176", "2020-01-04 10:02:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712177", "2020-01-04 10:02:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712178", "2020-01-04 10:03:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712179", "2020-01-04 10:03:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712180", "2020-01-04 10:04:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712181", "2020-01-04 10:04:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712182", "2020-01-04 10:04:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712183", "2020-01-04 10:05:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712184", "2020-01-04 10:05:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712185", "2020-01-04 10:05:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712186", "2020-01-04 10:06:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712187", "2020-01-04 10:06:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712188", "2020-01-04 10:06:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712189", "2020-01-04 10:07:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712190", "2020-01-04 10:07:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712191", "2020-01-04 10:07:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712192", "2020-01-04 10:08:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712193", "2020-01-04 10:09:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712194", "2020-01-04 10:09:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712195", "2020-01-04 10:09:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712196", "2020-01-04 10:10:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712197", "2020-01-04 10:10:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712198", "2020-01-04 10:10:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712199", "2020-01-04 10:11:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712200", "2020-01-04 10:11:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712201", "2020-01-04 10:11:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712202", "2020-01-04 10:12:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712203", "2020-01-04 10:12:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712204", "2020-01-04 10:12:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712205", "2020-01-04 10:13:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712206", "2020-01-04 10:13:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712207", "2020-01-04 10:13:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712208", "2020-01-04 10:14:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712209", "2020-01-04 10:14:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712210", "2020-01-04 10:15:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712211", "2020-01-04 10:15:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712212", "2020-01-04 10:16:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712213", "2020-01-04 10:16:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712214", "2020-01-04 10:17:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712215", "2020-01-04 10:17:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712216", "2020-01-04 10:17:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712217", "2020-01-04 10:18:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712218", "2020-01-04 10:18:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712219", "2020-01-04 10:19:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712220", "2020-01-04 10:19:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712221", "2020-01-04 10:19:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712222", "2020-01-04 10:20:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712223", "2020-01-04 10:21:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712224", "2020-01-04 10:21:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712225", "2020-01-04 10:21:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712226", "2020-01-04 10:22:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712227", "2020-01-04 10:22:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712228", "2020-01-04 10:22:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712229", "2020-01-04 10:23:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712230", "2020-01-04 10:23:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712231", "2020-01-04 10:23:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712232", "2020-01-04 10:24:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712233", "2020-01-04 10:24:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712234", "2020-01-04 10:25:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712235", "2020-01-04 10:25:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712236", "2020-01-04 10:25:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712237", "2020-01-04 10:26:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712238", "2020-01-04 10:26:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712239", "2020-01-04 10:26:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712240", "2020-01-04 10:27:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712241", "2020-01-04 10:27:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712242", "2020-01-04 10:27:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712243", "2020-01-04 10:28:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712244", "2020-01-04 10:29:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712245", "2020-01-04 10:29:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712246", "2020-01-04 10:29:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712247", "2020-01-04 10:30:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712248", "2020-01-04 10:30:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712249", "2020-01-04 10:30:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712250", "2020-01-04 10:31:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712251", "2020-01-04 10:31:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712252", "2020-01-04 10:32:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712253", "2020-01-04 10:32:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712254", "2020-01-04 10:32:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712255", "2020-01-04 10:33:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712256", "2020-01-04 10:33:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712257", "2020-01-04 10:34:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712258", "2020-01-04 10:34:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712259", "2020-01-04 10:34:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712260", "2020-01-04 10:35:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712261", "2020-01-04 10:35:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712262", "2020-01-04 10:35:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712263", "2020-01-04 10:36:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712264", "2020-01-04 10:36:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712265", "2020-01-04 10:36:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712266", "2020-01-04 10:37:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712267", "2020-01-04 10:37:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712268", "2020-01-04 10:37:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712269", "2020-01-04 10:38:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712270", "2020-01-04 10:38:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712271", "2020-01-04 10:38:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712272", "2020-01-04 10:39:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712273", "2020-01-04 10:39:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712274", "2020-01-04 10:40:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712275", "2020-01-04 10:40:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712276", "2020-01-04 10:40:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712277", "2020-01-04 10:41:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712278", "2020-01-04 10:42:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712279", "2020-01-04 10:42:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712280", "2020-01-04 10:42:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712281", "2020-01-04 10:43:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712282", "2020-01-04 10:43:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712283", "2020-01-04 10:43:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712284", "2020-01-04 10:44:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712285", "2020-01-04 10:44:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712286", "2020-01-04 10:44:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712287", "2020-01-04 10:45:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712288", "2020-01-04 10:45:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712289", "2020-01-04 10:45:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712290", "2020-01-04 10:46:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712291", "2020-01-04 10:46:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712292", "2020-01-04 10:46:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712293", "2020-01-04 10:47:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712294", "2020-01-04 10:47:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712295", "2020-01-04 10:47:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712296", "2020-01-04 10:48:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712297", "2020-01-04 10:48:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712298", "2020-01-04 10:48:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712299", "2020-01-04 10:49:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712300", "2020-01-04 10:49:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712301", "2020-01-04 10:49:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712302", "2020-01-04 10:50:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712303", "2020-01-04 10:51:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712304", "2020-01-04 10:51:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712305", "2020-01-04 10:51:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712306", "2020-01-04 10:52:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712307", "2020-01-04 10:52:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712308", "2020-01-04 10:53:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712309", "2020-01-04 10:53:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712310", "2020-01-04 10:53:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712311", "2020-01-04 10:54:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712312", "2020-01-04 10:54:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712313", "2020-01-04 10:54:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712314", "2020-01-04 10:55:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712315", "2020-01-04 10:55:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712316", "2020-01-04 10:56:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712317", "2020-01-04 10:56:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712318", "2020-01-04 10:56:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712319", "2020-01-04 10:57:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712320", "2020-01-04 10:57:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712321", "2020-01-04 10:58:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712322", "2020-01-04 10:58:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712323", "2020-01-04 10:58:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712324", "2020-01-04 10:59:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712325", "2020-01-04 10:59:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712326", "2020-01-04 10:59:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712327", "2020-01-04 11:00:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712328", "2020-01-04 11:00:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712329", "2020-01-04 11:00:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712330", "2020-01-04 11:01:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712331", "2020-01-04 11:01:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712332", "2020-01-04 11:01:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712333", "2020-01-04 11:02:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712334", "2020-01-04 11:03:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712335", "2020-01-04 11:03:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712336", "2020-01-04 11:03:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712337", "2020-01-04 11:04:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712338", "2020-01-04 11:04:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712339", "2020-01-04 11:04:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712340", "2020-01-04 11:05:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712341", "2020-01-04 11:05:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712342", "2020-01-04 11:06:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712343", "2020-01-04 11:06:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712344", "2020-01-04 11:06:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712345", "2020-01-04 11:07:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712346", "2020-01-04 11:07:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712347", "2020-01-04 11:07:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712348", "2020-01-04 11:08:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712349", "2020-01-04 11:08:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712350", "2020-01-04 11:08:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712351", "2020-01-04 11:09:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712352", "2020-01-04 11:09:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712353", "2020-01-04 11:09:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712354", "2020-01-04 11:10:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712355", "2020-01-04 11:10:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712356", "2020-01-04 11:10:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712357", "2020-01-04 11:11:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712358", "2020-01-04 11:11:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712359", "2020-01-04 11:11:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712360", "2020-01-04 11:12:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712361", "2020-01-04 11:12:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712362", "2020-01-04 11:13:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712363", "2020-01-04 11:13:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712364", "2020-01-04 11:13:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712365", "2020-01-04 11:14:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712366", "2020-01-04 11:14:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712367", "2020-01-04 11:14:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712368", "2020-01-04 11:15:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712369", "2020-01-04 11:15:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712370", "2020-01-04 11:16:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712371", "2020-01-04 11:16:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712372", "2020-01-04 11:16:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712373", "2020-01-04 11:17:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712374", "2020-01-04 11:17:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712375", "2020-01-04 11:18:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712376", "2020-01-04 11:18:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712377", "2020-01-04 11:18:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712378", "2020-01-04 11:19:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712379", "2020-01-04 11:19:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712380", "2020-01-04 11:20:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712381", "2020-01-04 11:20:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712382", "2020-01-04 11:20:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712383", "2020-01-04 11:20:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712384", "2020-01-04 11:21:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712385", "2020-01-04 11:21:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712386", "2020-01-04 11:21:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712387", "2020-01-04 11:22:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712388", "2020-01-04 11:22:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712389", "2020-01-04 11:22:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712390", "2020-01-04 11:23:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712391", "2020-01-04 11:23:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712392", "2020-01-04 11:23:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712393", "2020-01-04 11:24:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712394", "2020-01-04 11:24:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712395", "2020-01-04 11:25:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712396", "2020-01-04 11:25:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712397", "2020-01-04 11:25:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712398", "2020-01-04 11:26:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712399", "2020-01-04 11:26:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712400", "2020-01-04 11:27:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712401", "2020-01-04 11:27:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712402", "2020-01-04 11:27:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712403", "2020-01-04 11:28:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712404", "2020-01-04 11:28:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712405", "2020-01-04 11:29:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712406", "2020-01-04 11:29:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712407", "2020-01-04 11:29:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712408", "2020-01-04 11:30:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712409", "2020-01-04 11:30:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712410", "2020-01-04 11:31:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712411", "2020-01-04 11:31:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712412", "2020-01-04 11:31:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712413", "2020-01-04 11:32:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712414", "2020-01-04 11:32:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712415", "2020-01-04 11:32:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712416", "2020-01-04 11:33:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706660", "2020-01-02 23:13:37", "/adminer-4.4.0.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1712417", "2020-01-04 11:33:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709405", "2020-01-03 16:55:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709404", "2020-01-03 16:55:01", "/pizza-places/10-best-pizza-places-houston/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1709403", "2020-01-03 16:54:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709402", "2020-01-03 16:54:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709401", "2020-01-03 16:53:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709400", "2020-01-03 16:53:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709399", "2020-01-03 16:53:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709398", "2020-01-03 16:53:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709397", "2020-01-03 16:52:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709396", "2020-01-03 16:51:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709395", "2020-01-03 16:51:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709394", "2020-01-03 16:51:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709393", "2020-01-03 16:51:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709392", "2020-01-03 16:50:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709391", "2020-01-03 16:49:56", "/11.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/73.0.3683.103 Safari/537.36", NULL, "193106");
INSERT INTO `wp_redirection_404` VALUES("1709390", "2020-01-03 16:49:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709389", "2020-01-03 16:49:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709388", "2020-01-03 16:48:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709387", "2020-01-03 16:48:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709386", "2020-01-03 16:48:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709385", "2020-01-03 16:48:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709384", "2020-01-03 16:48:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709383", "2020-01-03 16:47:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709382", "2020-01-03 16:46:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709381", "2020-01-03 16:46:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709380", "2020-01-03 16:46:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709379", "2020-01-03 16:45:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709378", "2020-01-03 16:45:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709377", "2020-01-03 16:45:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706661", "2020-01-02 23:13:45", "/adminer-4.5.0-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706662", "2020-01-02 23:13:52", "/adminer-4.5.0-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706663", "2020-01-02 23:13:57", "/adminer-4.5.0-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706664", "2020-01-02 23:14:04", "/adminer-4.5.0-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706665", "2020-01-02 23:14:09", "/adminer-4.5.0-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706666", "2020-01-02 23:14:15", "/adminer-4.5.0.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706667", "2020-01-02 23:14:21", "/adminer-4.6.0-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706668", "2020-01-02 23:14:24", "/adminer-4.6.0-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706669", "2020-01-02 23:14:31", "/adminer-4.6.0-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706670", "2020-01-02 23:14:33", "/adminer-4.6.0-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706671", "2020-01-02 23:14:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706672", "2020-01-02 23:14:41", "/adminer-4.6.0-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706673", "2020-01-02 23:14:45", "/adminer-4.6.0.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706674", "2020-01-02 23:14:47", "/adminer-4.6.1-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706675", "2020-01-02 23:14:52", "/adminer-4.6.1-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706676", "2020-01-02 23:14:55", "/adminer-4.6.1-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706677", "2020-01-02 23:15:01", "/adminer-4.6.1-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706678", "2020-01-02 23:15:04", "/adminer-4.6.1-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706679", "2020-01-02 23:15:08", "/adminer-4.6.1.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706680", "2020-01-02 23:15:16", "/adminer-4.6.2-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706681", "2020-01-02 23:15:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706682", "2020-01-02 23:15:23", "/adminer-4.6.2-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706683", "2020-01-02 23:15:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706684", "2020-01-02 23:15:30", "/adminer-4.6.2-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706685", "2020-01-02 23:15:39", "/adminer-4.6.2-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706686", "2020-01-02 23:15:44", "/adminer-4.6.2-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706687", "2020-01-02 23:15:50", "/adminer-4.6.2.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706688", "2020-01-02 23:15:55", "/adminer-4.6.3-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706689", "2020-01-02 23:16:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706690", "2020-01-02 23:16:01", "/adminer-4.6.3-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706691", "2020-01-02 23:16:09", "/adminer-4.6.3-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706692", "2020-01-02 23:16:18", "/adminer-4.6.3-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706693", "2020-01-02 23:16:25", "/adminer-4.6.3-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706694", "2020-01-02 23:16:32", "/adminer-4.6.3.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706695", "2020-01-02 23:16:35", "/adminer-4.7.0-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706696", "2020-01-02 23:16:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706697", "2020-01-02 23:16:40", "/adminer-4.7.0-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706698", "2020-01-02 23:16:47", "/adminer-4.7.0-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706699", "2020-01-02 23:16:55", "/adminer-4.7.0-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706700", "2020-01-02 23:17:04", "/adminer-4.7.0-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706701", "2020-01-02 23:17:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706702", "2020-01-02 23:17:07", "/adminer-4.7.0.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706703", "2020-01-02 23:17:10", "/?author=3", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21983");
INSERT INTO `wp_redirection_404` VALUES("1706704", "2020-01-02 23:17:12", "/?author=4", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21983");
INSERT INTO `wp_redirection_404` VALUES("1706705", "2020-01-02 23:17:13", "/?author=5", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21983");
INSERT INTO `wp_redirection_404` VALUES("1706706", "2020-01-02 23:17:15", "/?author=6", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21983");
INSERT INTO `wp_redirection_404` VALUES("1706707", "2020-01-02 23:17:15", "/adminer-4.7.1-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706708", "2020-01-02 23:17:17", "/?author=7", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21983");
INSERT INTO `wp_redirection_404` VALUES("1706709", "2020-01-02 23:17:18", "/?author=8", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21983");
INSERT INTO `wp_redirection_404` VALUES("1706710", "2020-01-02 23:17:19", "/adminer-4.7.1-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706711", "2020-01-02 23:17:20", "/?author=9", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21983");
INSERT INTO `wp_redirection_404` VALUES("1706712", "2020-01-02 23:17:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706713", "2020-01-02 23:17:22", "/?author=10", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "21983");
INSERT INTO `wp_redirection_404` VALUES("1706714", "2020-01-02 23:17:23", "/adminer-4.7.1-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706715", "2020-01-02 23:17:28", "/adminer-4.7.1-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706716", "2020-01-02 23:17:35", "/adminer-4.7.1-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706717", "2020-01-02 23:17:41", "/adminer-4.7.1.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706718", "2020-01-02 23:17:44", "/adminer-4.7.2-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706719", "2020-01-02 23:17:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706720", "2020-01-02 23:17:52", "/adminer-4.7.2-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706721", "2020-01-02 23:17:59", "/adminer-4.7.2-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706722", "2020-01-02 23:18:04", "/adminer-4.7.2-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706723", "2020-01-02 23:18:08", "/adminer-4.7.2-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706724", "2020-01-02 23:18:12", "/adminer-4.7.2.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706725", "2020-01-02 23:18:17", "/adminer-4.7.3-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706726", "2020-01-02 23:18:23", "/adminer-4.7.3-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706727", "2020-01-02 23:18:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706728", "2020-01-02 23:18:29", "/adminer-4.7.3-mysql-cs.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706729", "2020-01-02 23:18:36", "/adminer-4.7.3-mysql-en.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706730", "2020-01-02 23:18:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706731", "2020-01-02 23:18:45", "/adminer-4.7.3-mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706732", "2020-01-02 23:18:51", "/adminer-4.7.3.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706733", "2020-01-02 23:19:00", "/adminer.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706734", "2020-01-02 23:19:03", "/adminer", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706735", "2020-01-02 23:19:08", "/connect.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706736", "2020-01-02 23:19:15", "/db.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706737", "2020-01-02 23:19:21", "/mysql.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706738", "2020-01-02 23:19:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706739", "2020-01-02 23:19:27", "/pma.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706740", "2020-01-02 23:19:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706741", "2020-01-02 23:19:33", "/wp-content/adminer.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706742", "2020-01-02 23:19:42", "/wp-content/plugins/adminer/inc/editor/", "Go-http-client/1.1", "http://buckspizza.com/wp-content/plugins/adminer/inc/editor/index.php", "217182");
INSERT INTO `wp_redirection_404` VALUES("1706743", "2020-01-02 23:19:54", "/wp-content/uploads/adminer.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706744", "2020-01-02 23:19:58", "/wp.php", "Go-http-client/1.1", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706745", "2020-01-02 23:20:03", "/searchreplacedb2.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706746", "2020-01-02 23:20:09", "/replace.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706747", "2020-01-02 23:20:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706748", "2020-01-02 23:20:22", "/installer.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706749", "2020-01-02 23:20:29", "/installer-backup.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706750", "2020-01-02 23:20:36", "/dup-installer/main.installer.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706751", "2020-01-02 23:21:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706752", "2020-01-02 23:21:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706753", "2020-01-02 23:21:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706754", "2020-01-02 23:21:55", "/wp-content/plugins/delucks-seo/modules/professional/breadcrumbs/assets/css/frontend.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706755", "2020-01-02 23:22:03", "/wp-content/plugins/easy2map/scripts/jquery.xml2json.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706756", "2020-01-02 23:22:09", "/wp-content/plugins/easy-wp-smtp/js/script.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706757", "2020-01-02 23:22:17", "/wp-content/plugins/fb-messenger-live-chat/assets/js/main.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706758", "2020-01-02 23:22:28", "/wp-content/plugins/fv-wordpress-flowplayer/css/flowplayer.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706759", "2020-01-02 23:22:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706760", "2020-01-02 23:22:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706761", "2020-01-02 23:22:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706762", "2020-01-02 23:22:55", "/wp-content/plugins/hybrid-composer/style.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706763", "2020-01-02 23:23:09", "/wp-content/plugins/ithemes-sync/js/settings-page.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706764", "2020-01-02 23:23:28", "/wp-content/plugins/wp-live-chat-software-for-wordpress/plugin_files/js/livechat.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706765", "2020-01-02 23:23:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706766", "2020-01-02 23:23:42", "/wp-content/plugins/responsive-coming-soon/templates/template1/assets/css/style.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706767", "2020-01-02 23:23:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706768", "2020-01-02 23:23:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706769", "2020-01-02 23:23:58", "/wp-content/plugins/rich-reviews/css/rich-reviews.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706770", "2020-01-02 23:24:03", "/wp-content/plugins/simple-fields/js/chosen/chosen.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706771", "2020-01-02 23:24:07", "/wp-content/plugins/smart-google-code-inserter/screenshot1.jpg", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706772", "2020-01-02 23:24:22", "/wp-content/plugins/visualizer/js/media.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706773", "2020-01-02 23:24:32", "/wp-content/plugins/wp-inventory-manager/themes/css/default-theme.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706774", "2020-01-02 23:24:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706775", "2020-01-02 23:24:50", "/wp-content/plugins/insert-php/admin/assets/js/tag-it.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706776", "2020-01-02 23:24:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706777", "2020-01-02 23:25:08", "/wp-content/plugins/wpematico/app/js/wpe_hooks.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706778", "2020-01-02 23:25:21", "/wp-content/plugins/wp-private-content-plus/css/wppcp-front.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706779", "2020-01-02 23:25:26", "/wp-content/plugins/wpshopify/dist/public.min.css", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706780", "2020-01-02 23:25:33", "/wp-content/plugins/yellow-pencil-visual-theme-customizer/js/yellow-pencil.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706781", "2020-01-02 23:25:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706782", "2020-01-02 23:25:43", "/wp-content/plugins/yuzo-related-post/assets/js/admin.js", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706783", "2020-01-02 23:25:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706784", "2020-01-02 23:26:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706785", "2020-01-02 23:26:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706786", "2020-01-02 23:27:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706787", "2020-01-02 23:27:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706788", "2020-01-02 23:28:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706789", "2020-01-02 23:28:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706790", "2020-01-02 23:28:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706791", "2020-01-02 23:30:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706792", "2020-01-02 23:30:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706793", "2020-01-02 23:30:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706794", "2020-01-02 23:31:18", "/static/.gitignore", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "59188");
INSERT INTO `wp_redirection_404` VALUES("1706795", "2020-01-02 23:31:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706796", "2020-01-02 23:31:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706797", "2020-01-02 23:31:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706798", "2020-01-02 23:32:02", "/wp-content/uploads/file-manager/log.txt", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "217182");
INSERT INTO `wp_redirection_404` VALUES("1706799", "2020-01-02 23:32:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706800", "2020-01-02 23:32:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706801", "2020-01-02 23:33:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706802", "2020-01-02 23:34:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706803", "2020-01-02 23:34:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706804", "2020-01-02 23:34:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706805", "2020-01-02 23:35:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706806", "2020-01-02 23:35:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706807", "2020-01-02 23:35:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706808", "2020-01-02 23:36:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706809", "2020-01-02 23:36:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706810", "2020-01-02 23:36:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706811", "2020-01-02 23:38:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706812", "2020-01-02 23:38:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706813", "2020-01-02 23:38:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706814", "2020-01-02 23:39:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706815", "2020-01-02 23:39:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706816", "2020-01-02 23:39:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706817", "2020-01-02 23:40:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706818", "2020-01-02 23:40:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706819", "2020-01-02 23:40:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706820", "2020-01-02 23:41:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706821", "2020-01-02 23:42:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706822", "2020-01-02 23:42:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706823", "2020-01-02 23:43:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706824", "2020-01-02 23:43:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706825", "2020-01-02 23:44:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706826", "2020-01-02 23:44:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706827", "2020-01-02 23:44:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706828", "2020-01-02 23:45:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706829", "2020-01-02 23:45:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706830", "2020-01-02 23:45:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706831", "2020-01-02 23:46:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706832", "2020-01-02 23:47:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706833", "2020-01-02 23:47:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706834", "2020-01-02 23:48:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706835", "2020-01-02 23:48:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706836", "2020-01-02 23:48:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706837", "2020-01-02 23:49:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706838", "2020-01-02 23:49:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706839", "2020-01-02 23:49:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706840", "2020-01-02 23:50:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706841", "2020-01-02 23:50:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706842", "2020-01-02 23:50:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706843", "2020-01-02 23:52:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706844", "2020-01-02 23:52:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706845", "2020-01-02 23:52:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706846", "2020-01-02 23:53:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706847", "2020-01-02 23:53:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706848", "2020-01-02 23:53:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706849", "2020-01-02 23:54:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706850", "2020-01-02 23:55:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706851", "2020-01-02 23:55:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706852", "2020-01-02 23:55:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706853", "2020-01-02 23:56:20", "/ads.txt", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706854", "2020-01-02 23:56:21", "/ads.txt", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706855", "2020-01-02 23:56:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706856", "2020-01-02 23:56:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706857", "2020-01-02 23:57:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706858", "2020-01-02 23:57:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706859", "2020-01-02 23:57:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706860", "2020-01-02 23:59:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706861", "2020-01-02 23:59:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706862", "2020-01-02 23:59:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706863", "2020-01-03 00:00:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706864", "2020-01-03 00:00:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706865", "2020-01-03 00:00:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706866", "2020-01-03 00:01:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706867", "2020-01-03 00:02:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706868", "2020-01-03 00:02:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706869", "2020-01-03 00:03:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706870", "2020-01-03 00:03:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706871", "2020-01-03 00:03:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706872", "2020-01-03 00:04:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706873", "2020-01-03 00:04:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706874", "2020-01-03 00:04:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706875", "2020-01-03 00:05:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706876", "2020-01-03 00:05:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706877", "2020-01-03 00:05:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706878", "2020-01-03 00:06:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706879", "2020-01-03 00:06:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706880", "2020-01-03 00:06:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706881", "2020-01-03 00:07:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706882", "2020-01-03 00:07:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706883", "2020-01-03 00:08:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706884", "2020-01-03 00:09:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706885", "2020-01-03 00:09:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706886", "2020-01-03 00:09:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706887", "2020-01-03 00:10:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706888", "2020-01-03 00:10:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706889", "2020-01-03 00:11:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706890", "2020-01-03 00:11:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706891", "2020-01-03 00:11:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706892", "2020-01-03 00:12:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706893", "2020-01-03 00:12:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706894", "2020-01-03 00:12:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706895", "2020-01-03 00:13:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706896", "2020-01-03 00:14:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706897", "2020-01-03 00:14:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706898", "2020-01-03 00:15:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706899", "2020-01-03 00:15:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706900", "2020-01-03 00:15:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706901", "2020-01-03 00:16:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706902", "2020-01-03 00:16:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706903", "2020-01-03 00:16:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706904", "2020-01-03 00:17:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706905", "2020-01-03 00:17:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706906", "2020-01-03 00:18:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706907", "2020-01-03 00:18:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706908", "2020-01-03 00:19:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706909", "2020-01-03 00:19:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706910", "2020-01-03 00:20:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706911", "2020-01-03 00:20:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706912", "2020-01-03 00:20:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706913", "2020-01-03 00:21:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706914", "2020-01-03 00:21:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706915", "2020-01-03 00:22:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706916", "2020-01-03 00:22:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706917", "2020-01-03 00:22:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706918", "2020-01-03 00:23:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706919", "2020-01-03 00:23:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706920", "2020-01-03 00:24:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706921", "2020-01-03 00:24:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706922", "2020-01-03 00:25:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706923", "2020-01-03 00:25:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706924", "2020-01-03 00:26:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706925", "2020-01-03 00:26:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706926", "2020-01-03 00:26:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706927", "2020-01-03 00:27:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706928", "2020-01-03 00:27:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706929", "2020-01-03 00:27:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706930", "2020-01-03 00:28:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706931", "2020-01-03 00:28:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706932", "2020-01-03 00:28:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706933", "2020-01-03 00:29:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706934", "2020-01-03 00:30:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706935", "2020-01-03 00:30:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706936", "2020-01-03 00:31:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706937", "2020-01-03 00:31:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706938", "2020-01-03 00:31:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706939", "2020-01-03 00:32:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706940", "2020-01-03 00:32:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706941", "2020-01-03 00:32:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706942", "2020-01-03 00:33:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706943", "2020-01-03 00:33:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706944", "2020-01-03 00:34:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706945", "2020-01-03 00:34:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706946", "2020-01-03 00:34:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706947", "2020-01-03 00:35:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706948", "2020-01-03 00:35:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706949", "2020-01-03 00:36:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706950", "2020-01-03 00:36:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706951", "2020-01-03 00:37:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706952", "2020-01-03 00:37:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706953", "2020-01-03 00:37:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706954", "2020-01-03 00:38:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706955", "2020-01-03 00:38:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706956", "2020-01-03 00:38:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706957", "2020-01-03 00:39:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706958", "2020-01-03 00:40:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706959", "2020-01-03 00:40:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706960", "2020-01-03 00:41:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706961", "2020-01-03 00:41:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706962", "2020-01-03 00:41:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706963", "2020-01-03 00:42:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706964", "2020-01-03 00:42:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706965", "2020-01-03 00:42:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706966", "2020-01-03 00:43:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706967", "2020-01-03 00:43:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706968", "2020-01-03 00:44:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706969", "2020-01-03 00:44:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706970", "2020-01-03 00:44:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706971", "2020-01-03 00:45:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706972", "2020-01-03 00:45:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706973", "2020-01-03 00:46:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706974", "2020-01-03 00:46:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706975", "2020-01-03 00:46:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706976", "2020-01-03 00:47:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706977", "2020-01-03 00:47:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706978", "2020-01-03 00:48:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706979", "2020-01-03 00:48:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706980", "2020-01-03 00:49:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706981", "2020-01-03 00:49:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706982", "2020-01-03 00:49:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706983", "2020-01-03 00:50:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706984", "2020-01-03 00:50:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706985", "2020-01-03 00:50:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706986", "2020-01-03 00:51:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706987", "2020-01-03 00:51:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706988", "2020-01-03 00:52:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706989", "2020-01-03 00:53:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706990", "2020-01-03 00:53:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706991", "2020-01-03 00:53:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706992", "2020-01-03 00:54:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706993", "2020-01-03 00:54:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706994", "2020-01-03 00:54:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706995", "2020-01-03 00:55:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706996", "2020-01-03 00:55:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706997", "2020-01-03 00:55:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706998", "2020-01-03 00:57:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1706999", "2020-01-03 00:57:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707000", "2020-01-03 00:57:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707001", "2020-01-03 00:58:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707002", "2020-01-03 00:58:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707003", "2020-01-03 00:59:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707004", "2020-01-03 00:59:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707005", "2020-01-03 01:00:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707006", "2020-01-03 01:00:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707007", "2020-01-03 01:00:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707008", "2020-01-03 01:01:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707009", "2020-01-03 01:01:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707010", "2020-01-03 01:01:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707011", "2020-01-03 01:02:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707012", "2020-01-03 01:02:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707013", "2020-01-03 01:03:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707014", "2020-01-03 01:03:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707015", "2020-01-03 01:04:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707016", "2020-01-03 01:04:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707017", "2020-01-03 01:04:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707018", "2020-01-03 01:05:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707019", "2020-01-03 01:05:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707020", "2020-01-03 01:06:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707021", "2020-01-03 01:06:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707022", "2020-01-03 01:06:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707023", "2020-01-03 01:07:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707024", "2020-01-03 01:07:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707025", "2020-01-03 01:08:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707026", "2020-01-03 01:08:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707027", "2020-01-03 01:09:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707028", "2020-01-03 01:09:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707029", "2020-01-03 01:10:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707030", "2020-01-03 01:10:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707031", "2020-01-03 01:10:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707032", "2020-01-03 01:11:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707033", "2020-01-03 01:11:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707034", "2020-01-03 01:12:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707035", "2020-01-03 01:12:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707036", "2020-01-03 01:12:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707037", "2020-01-03 01:13:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707038", "2020-01-03 01:13:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707039", "2020-01-03 01:13:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707040", "2020-01-03 01:14:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707041", "2020-01-03 01:14:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707042", "2020-01-03 01:14:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707043", "2020-01-03 01:16:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707044", "2020-01-03 01:16:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707045", "2020-01-03 01:16:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707046", "2020-01-03 01:17:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707047", "2020-01-03 01:17:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707048", "2020-01-03 01:17:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707049", "2020-01-03 01:18:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707050", "2020-01-03 01:18:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707051", "2020-01-03 01:18:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707052", "2020-01-03 01:19:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707053", "2020-01-03 01:19:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707054", "2020-01-03 01:19:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707055", "2020-01-03 01:20:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707056", "2020-01-03 01:20:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707057", "2020-01-03 01:20:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707058", "2020-01-03 01:21:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707059", "2020-01-03 01:22:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707060", "2020-01-03 01:22:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707061", "2020-01-03 01:23:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707062", "2020-01-03 01:23:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707063", "2020-01-03 01:23:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707064", "2020-01-03 01:24:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707065", "2020-01-03 01:24:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707066", "2020-01-03 01:24:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707067", "2020-01-03 01:26:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707068", "2020-01-03 01:26:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707069", "2020-01-03 01:26:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707070", "2020-01-03 01:27:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707071", "2020-01-03 01:27:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707072", "2020-01-03 01:27:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707073", "2020-01-03 01:28:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707074", "2020-01-03 01:28:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707075", "2020-01-03 01:28:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707076", "2020-01-03 01:29:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707077", "2020-01-03 01:29:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707078", "2020-01-03 01:30:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707079", "2020-01-03 01:30:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707080", "2020-01-03 01:30:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707081", "2020-01-03 01:31:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707082", "2020-01-03 01:32:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707083", "2020-01-03 01:32:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707084", "2020-01-03 01:33:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707085", "2020-01-03 01:33:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707086", "2020-01-03 01:34:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707087", "2020-01-03 01:34:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707088", "2020-01-03 01:35:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707089", "2020-01-03 01:35:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707090", "2020-01-03 01:36:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707091", "2020-01-03 01:36:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707092", "2020-01-03 01:37:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707093", "2020-01-03 01:37:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707094", "2020-01-03 01:37:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707095", "2020-01-03 01:38:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707096", "2020-01-03 01:38:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707097", "2020-01-03 01:38:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707098", "2020-01-03 01:39:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707099", "2020-01-03 01:39:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707100", "2020-01-03 01:40:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707101", "2020-01-03 01:40:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707102", "2020-01-03 01:40:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707103", "2020-01-03 01:41:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707104", "2020-01-03 01:41:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707105", "2020-01-03 01:42:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707106", "2020-01-03 01:42:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707107", "2020-01-03 01:43:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707108", "2020-01-03 01:43:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707109", "2020-01-03 01:43:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707110", "2020-01-03 01:44:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707111", "2020-01-03 01:44:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707112", "2020-01-03 01:44:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707113", "2020-01-03 01:45:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707114", "2020-01-03 01:45:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707115", "2020-01-03 01:45:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707116", "2020-01-03 01:46:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707117", "2020-01-03 01:46:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707118", "2020-01-03 01:47:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707119", "2020-01-03 01:48:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707120", "2020-01-03 01:48:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707121", "2020-01-03 01:48:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707122", "2020-01-03 01:49:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707123", "2020-01-03 01:49:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707124", "2020-01-03 01:49:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707125", "2020-01-03 01:50:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707126", "2020-01-03 01:50:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707127", "2020-01-03 01:50:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707128", "2020-01-03 01:51:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707129", "2020-01-03 01:51:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707130", "2020-01-03 01:51:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707131", "2020-01-03 01:52:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707132", "2020-01-03 01:52:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707133", "2020-01-03 01:52:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707134", "2020-01-03 01:53:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707135", "2020-01-03 01:53:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707136", "2020-01-03 01:54:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707137", "2020-01-03 01:55:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707138", "2020-01-03 01:55:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707139", "2020-01-03 01:55:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707140", "2020-01-03 01:56:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707141", "2020-01-03 01:56:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707142", "2020-01-03 01:56:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707143", "2020-01-03 01:57:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707144", "2020-01-03 01:57:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707145", "2020-01-03 01:57:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707146", "2020-01-03 01:58:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707147", "2020-01-03 01:58:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707148", "2020-01-03 01:58:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707149", "2020-01-03 01:59:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707150", "2020-01-03 01:59:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707151", "2020-01-03 02:00:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707152", "2020-01-03 02:01:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707153", "2020-01-03 02:01:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707154", "2020-01-03 02:01:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707155", "2020-01-03 02:02:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707156", "2020-01-03 02:02:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707157", "2020-01-03 02:03:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707158", "2020-01-03 02:03:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707159", "2020-01-03 02:03:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707160", "2020-01-03 02:04:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707161", "2020-01-03 02:05:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707162", "2020-01-03 02:05:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707163", "2020-01-03 02:05:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707164", "2020-01-03 02:06:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707165", "2020-01-03 02:06:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707166", "2020-01-03 02:06:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707167", "2020-01-03 02:07:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707168", "2020-01-03 02:07:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707169", "2020-01-03 02:08:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707170", "2020-01-03 02:08:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707171", "2020-01-03 02:08:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707172", "2020-01-03 02:09:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707173", "2020-01-03 02:09:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707174", "2020-01-03 02:10:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707175", "2020-01-03 02:10:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707176", "2020-01-03 02:10:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707177", "2020-01-03 02:11:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707178", "2020-01-03 02:11:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707179", "2020-01-03 02:12:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707180", "2020-01-03 02:12:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707181", "2020-01-03 02:13:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707182", "2020-01-03 02:13:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707183", "2020-01-03 02:13:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707184", "2020-01-03 02:14:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707185", "2020-01-03 02:14:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707186", "2020-01-03 02:15:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707187", "2020-01-03 02:15:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707188", "2020-01-03 02:15:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707189", "2020-01-03 02:16:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707190", "2020-01-03 02:16:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707191", "2020-01-03 02:16:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707192", "2020-01-03 02:17:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707193", "2020-01-03 02:18:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707194", "2020-01-03 02:18:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707195", "2020-01-03 02:19:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707196", "2020-01-03 02:19:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707197", "2020-01-03 02:19:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707198", "2020-01-03 02:20:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707199", "2020-01-03 02:20:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707200", "2020-01-03 02:20:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707201", "2020-01-03 02:21:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707202", "2020-01-03 02:21:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707203", "2020-01-03 02:22:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707204", "2020-01-03 02:22:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707205", "2020-01-03 02:23:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707206", "2020-01-03 02:23:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707207", "2020-01-03 02:23:42", "/ads.txt", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; en) Opera 8.50", "http://buckspizza.com", "104144");
INSERT INTO `wp_redirection_404` VALUES("1707208", "2020-01-03 02:23:43", "/ads.txt", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; en) Opera 8.50", "http://buckspizza.com", "104144");
INSERT INTO `wp_redirection_404` VALUES("1707209", "2020-01-03 02:23:44", "/ads.txt", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; en) Opera 8.50", "http://buckspizza.com", "104144");
INSERT INTO `wp_redirection_404` VALUES("1707210", "2020-01-03 02:23:45", "/ads.txt", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; en) Opera 8.50", "http://buckspizza.com", "104144");
INSERT INTO `wp_redirection_404` VALUES("1707211", "2020-01-03 02:23:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707212", "2020-01-03 02:24:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707213", "2020-01-03 02:24:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707214", "2020-01-03 02:25:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707215", "2020-01-03 02:26:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707216", "2020-01-03 02:26:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707217", "2020-01-03 02:27:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707218", "2020-01-03 02:27:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707219", "2020-01-03 02:27:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707220", "2020-01-03 02:28:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707221", "2020-01-03 02:28:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707222", "2020-01-03 02:29:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707223", "2020-01-03 02:29:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707224", "2020-01-03 02:29:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707225", "2020-01-03 02:30:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707226", "2020-01-03 02:30:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707227", "2020-01-03 02:30:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707228", "2020-01-03 02:31:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707229", "2020-01-03 02:32:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707230", "2020-01-03 02:32:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707231", "2020-01-03 02:32:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707232", "2020-01-03 02:33:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707233", "2020-01-03 02:33:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707234", "2020-01-03 02:33:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707235", "2020-01-03 02:34:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707236", "2020-01-03 02:35:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707237", "2020-01-03 02:35:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707238", "2020-01-03 02:35:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707239", "2020-01-03 02:36:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707240", "2020-01-03 02:36:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707241", "2020-01-03 02:36:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707242", "2020-01-03 02:37:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707243", "2020-01-03 02:37:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707244", "2020-01-03 02:38:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707245", "2020-01-03 02:38:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707246", "2020-01-03 02:38:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707247", "2020-01-03 02:39:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707248", "2020-01-03 02:39:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707249", "2020-01-03 02:39:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707250", "2020-01-03 02:40:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707251", "2020-01-03 02:41:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707252", "2020-01-03 02:41:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707253", "2020-01-03 02:41:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707254", "2020-01-03 02:42:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707255", "2020-01-03 02:42:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707256", "2020-01-03 02:43:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707257", "2020-01-03 02:43:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707258", "2020-01-03 02:44:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707259", "2020-01-03 02:44:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707260", "2020-01-03 02:45:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707261", "2020-01-03 02:45:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707262", "2020-01-03 02:45:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707263", "2020-01-03 02:46:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707264", "2020-01-03 02:47:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707265", "2020-01-03 02:47:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707266", "2020-01-03 02:48:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707267", "2020-01-03 02:49:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707268", "2020-01-03 02:49:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707269", "2020-01-03 02:50:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707270", "2020-01-03 02:50:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707271", "2020-01-03 02:50:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707272", "2020-01-03 02:51:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707273", "2020-01-03 02:51:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707274", "2020-01-03 02:52:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707275", "2020-01-03 02:52:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707276", "2020-01-03 02:53:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707277", "2020-01-03 02:53:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707278", "2020-01-03 02:54:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707279", "2020-01-03 02:54:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707280", "2020-01-03 02:55:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707281", "2020-01-03 02:55:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707282", "2020-01-03 02:55:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707283", "2020-01-03 02:56:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707284", "2020-01-03 02:57:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707285", "2020-01-03 02:57:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707286", "2020-01-03 02:57:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707287", "2020-01-03 02:58:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707288", "2020-01-03 02:59:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707289", "2020-01-03 02:59:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707290", "2020-01-03 02:59:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707291", "2020-01-03 03:00:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707292", "2020-01-03 03:00:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707293", "2020-01-03 03:01:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707294", "2020-01-03 03:01:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707295", "2020-01-03 03:01:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707296", "2020-01-03 03:02:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707297", "2020-01-03 03:03:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707298", "2020-01-03 03:03:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707299", "2020-01-03 03:03:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707300", "2020-01-03 03:04:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707301", "2020-01-03 03:04:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707302", "2020-01-03 03:05:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707303", "2020-01-03 03:06:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707304", "2020-01-03 03:06:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707305", "2020-01-03 03:07:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707306", "2020-01-03 03:07:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707307", "2020-01-03 03:07:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707308", "2020-01-03 03:08:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707309", "2020-01-03 03:08:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707310", "2020-01-03 03:08:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707311", "2020-01-03 03:09:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707312", "2020-01-03 03:10:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707313", "2020-01-03 03:10:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707314", "2020-01-03 03:11:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707315", "2020-01-03 03:11:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707316", "2020-01-03 03:12:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707317", "2020-01-03 03:12:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707318", "2020-01-03 03:12:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707319", "2020-01-03 03:13:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707320", "2020-01-03 03:14:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707321", "2020-01-03 03:14:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707322", "2020-01-03 03:14:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707323", "2020-01-03 03:15:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707324", "2020-01-03 03:15:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707325", "2020-01-03 03:15:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707326", "2020-01-03 03:16:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707327", "2020-01-03 03:16:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707328", "2020-01-03 03:16:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707329", "2020-01-03 03:17:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707330", "2020-01-03 03:17:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707331", "2020-01-03 03:18:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707332", "2020-01-03 03:18:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707333", "2020-01-03 03:18:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707334", "2020-01-03 03:19:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707335", "2020-01-03 03:19:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707336", "2020-01-03 03:20:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707337", "2020-01-03 03:20:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707338", "2020-01-03 03:21:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707339", "2020-01-03 03:21:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707340", "2020-01-03 03:21:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707341", "2020-01-03 03:22:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707342", "2020-01-03 03:22:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707343", "2020-01-03 03:22:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707344", "2020-01-03 03:23:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707345", "2020-01-03 03:23:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707346", "2020-01-03 03:24:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707347", "2020-01-03 03:24:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707348", "2020-01-03 03:24:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707349", "2020-01-03 03:25:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707350", "2020-01-03 03:25:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707351", "2020-01-03 03:26:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707352", "2020-01-03 03:26:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707353", "2020-01-03 03:27:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707354", "2020-01-03 03:27:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707355", "2020-01-03 03:28:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707356", "2020-01-03 03:28:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707357", "2020-01-03 03:28:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707358", "2020-01-03 03:29:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707359", "2020-01-03 03:29:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707360", "2020-01-03 03:30:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707361", "2020-01-03 03:30:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707362", "2020-01-03 03:30:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707363", "2020-01-03 03:31:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707364", "2020-01-03 03:31:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707365", "2020-01-03 03:31:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707366", "2020-01-03 03:32:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707367", "2020-01-03 03:32:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707368", "2020-01-03 03:33:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707369", "2020-01-03 03:33:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707370", "2020-01-03 03:34:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707371", "2020-01-03 03:34:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707372", "2020-01-03 03:34:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707373", "2020-01-03 03:35:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707374", "2020-01-03 03:35:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707375", "2020-01-03 03:36:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707376", "2020-01-03 03:36:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707377", "2020-01-03 03:36:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707378", "2020-01-03 03:37:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707379", "2020-01-03 03:38:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707380", "2020-01-03 03:38:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707381", "2020-01-03 03:38:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707382", "2020-01-03 03:39:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707383", "2020-01-03 03:39:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707384", "2020-01-03 03:39:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707385", "2020-01-03 03:40:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707386", "2020-01-03 03:40:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707387", "2020-01-03 03:41:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707388", "2020-01-03 03:41:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707389", "2020-01-03 03:41:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707390", "2020-01-03 03:42:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707391", "2020-01-03 03:43:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707392", "2020-01-03 03:44:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707393", "2020-01-03 03:44:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707394", "2020-01-03 03:44:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707395", "2020-01-03 03:45:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707396", "2020-01-03 03:45:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707397", "2020-01-03 03:46:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707398", "2020-01-03 03:46:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707399", "2020-01-03 03:47:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707400", "2020-01-03 03:47:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707401", "2020-01-03 03:47:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707402", "2020-01-03 03:48:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707403", "2020-01-03 03:48:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707404", "2020-01-03 03:49:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707405", "2020-01-03 03:49:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707406", "2020-01-03 03:49:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707407", "2020-01-03 03:50:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707408", "2020-01-03 03:50:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707409", "2020-01-03 03:51:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707410", "2020-01-03 03:51:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707411", "2020-01-03 03:51:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707412", "2020-01-03 03:52:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707413", "2020-01-03 03:52:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707414", "2020-01-03 03:53:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707415", "2020-01-03 03:53:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707416", "2020-01-03 03:53:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707417", "2020-01-03 03:54:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707418", "2020-01-03 03:54:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707419", "2020-01-03 03:55:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707420", "2020-01-03 03:55:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707421", "2020-01-03 03:55:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707422", "2020-01-03 03:56:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707423", "2020-01-03 03:56:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707424", "2020-01-03 03:57:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707425", "2020-01-03 03:57:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707426", "2020-01-03 03:57:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707427", "2020-01-03 03:58:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707428", "2020-01-03 03:58:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707429", "2020-01-03 03:59:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707430", "2020-01-03 03:59:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707431", "2020-01-03 04:00:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707432", "2020-01-03 04:00:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707433", "2020-01-03 04:01:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707434", "2020-01-03 04:01:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707435", "2020-01-03 04:01:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707436", "2020-01-03 04:02:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707437", "2020-01-03 04:02:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707438", "2020-01-03 04:02:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707439", "2020-01-03 04:03:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707440", "2020-01-03 04:03:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707441", "2020-01-03 04:03:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707442", "2020-01-03 04:04:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707443", "2020-01-03 04:05:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707444", "2020-01-03 04:05:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707445", "2020-01-03 04:06:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707446", "2020-01-03 04:06:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707447", "2020-01-03 04:06:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707448", "2020-01-03 04:07:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707449", "2020-01-03 04:07:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707450", "2020-01-03 04:07:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707451", "2020-01-03 04:08:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707452", "2020-01-03 04:08:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707453", "2020-01-03 04:08:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707454", "2020-01-03 04:09:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707455", "2020-01-03 04:09:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707456", "2020-01-03 04:09:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707457", "2020-01-03 04:10:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707458", "2020-01-03 04:11:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707459", "2020-01-03 04:11:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707460", "2020-01-03 04:12:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707461", "2020-01-03 04:12:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707462", "2020-01-03 04:12:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707463", "2020-01-03 04:13:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707464", "2020-01-03 04:13:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707465", "2020-01-03 04:13:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707466", "2020-01-03 04:14:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707467", "2020-01-03 04:14:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707468", "2020-01-03 04:14:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707469", "2020-01-03 04:15:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707470", "2020-01-03 04:15:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707471", "2020-01-03 04:15:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707472", "2020-01-03 04:16:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707473", "2020-01-03 04:16:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707474", "2020-01-03 04:16:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707475", "2020-01-03 04:25:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707476", "2020-01-03 04:26:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707477", "2020-01-03 04:26:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707478", "2020-01-03 04:26:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707479", "2020-01-03 04:27:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707480", "2020-01-03 04:27:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707481", "2020-01-03 04:28:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707482", "2020-01-03 04:28:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707483", "2020-01-03 04:28:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707484", "2020-01-03 04:29:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707485", "2020-01-03 04:29:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707486", "2020-01-03 04:29:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707487", "2020-01-03 04:30:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707488", "2020-01-03 04:30:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707489", "2020-01-03 04:30:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707490", "2020-01-03 04:31:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707491", "2020-01-03 04:32:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707492", "2020-01-03 04:32:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707493", "2020-01-03 04:33:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707494", "2020-01-03 04:33:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707495", "2020-01-03 04:33:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707496", "2020-01-03 04:34:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707497", "2020-01-03 04:34:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707498", "2020-01-03 04:34:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707499", "2020-01-03 04:35:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707500", "2020-01-03 04:35:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707501", "2020-01-03 04:35:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707502", "2020-01-03 04:36:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707503", "2020-01-03 04:36:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707504", "2020-01-03 04:37:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707505", "2020-01-03 04:37:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707506", "2020-01-03 04:38:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707507", "2020-01-03 04:38:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707508", "2020-01-03 04:39:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707509", "2020-01-03 04:39:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707510", "2020-01-03 04:39:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707511", "2020-01-03 04:40:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707512", "2020-01-03 04:40:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707513", "2020-01-03 04:40:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707514", "2020-01-03 04:41:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707515", "2020-01-03 04:41:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707516", "2020-01-03 04:41:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707517", "2020-01-03 04:42:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707518", "2020-01-03 04:43:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707519", "2020-01-03 04:43:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707520", "2020-01-03 04:44:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707521", "2020-01-03 04:44:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707522", "2020-01-03 04:44:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707523", "2020-01-03 04:45:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707524", "2020-01-03 04:45:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707525", "2020-01-03 04:45:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707526", "2020-01-03 04:46:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707527", "2020-01-03 04:46:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707528", "2020-01-03 04:46:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707529", "2020-01-03 04:47:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707530", "2020-01-03 04:47:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707531", "2020-01-03 04:47:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707532", "2020-01-03 04:48:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707533", "2020-01-03 04:49:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707534", "2020-01-03 04:49:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707535", "2020-01-03 04:50:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707536", "2020-01-03 04:50:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707537", "2020-01-03 04:50:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707538", "2020-01-03 04:51:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707539", "2020-01-03 04:51:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707540", "2020-01-03 04:51:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707541", "2020-01-03 04:52:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707542", "2020-01-03 04:52:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707543", "2020-01-03 04:52:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707544", "2020-01-03 04:53:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707545", "2020-01-03 04:53:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707546", "2020-01-03 04:53:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707547", "2020-01-03 04:54:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707548", "2020-01-03 04:54:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707549", "2020-01-03 04:54:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707550", "2020-01-03 04:55:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707551", "2020-01-03 04:55:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707552", "2020-01-03 04:55:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707553", "2020-01-03 04:56:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707554", "2020-01-03 04:56:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707555", "2020-01-03 04:56:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707556", "2020-01-03 04:57:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707557", "2020-01-03 04:57:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707558", "2020-01-03 04:58:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707559", "2020-01-03 04:58:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707560", "2020-01-03 04:59:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707561", "2020-01-03 04:59:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707562", "2020-01-03 05:00:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707563", "2020-01-03 05:00:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707564", "2020-01-03 05:00:17", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "7222");
INSERT INTO `wp_redirection_404` VALUES("1707565", "2020-01-03 05:00:18", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "7222");
INSERT INTO `wp_redirection_404` VALUES("1707566", "2020-01-03 05:00:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707567", "2020-01-03 05:01:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707568", "2020-01-03 05:01:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707569", "2020-01-03 05:01:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707570", "2020-01-03 05:02:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707571", "2020-01-03 05:02:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707572", "2020-01-03 05:02:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707573", "2020-01-03 05:03:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707574", "2020-01-03 05:03:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707575", "2020-01-03 05:03:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707576", "2020-01-03 05:04:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707577", "2020-01-03 05:04:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707578", "2020-01-03 05:05:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707579", "2020-01-03 05:06:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707580", "2020-01-03 05:06:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707581", "2020-01-03 05:06:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707582", "2020-01-03 05:07:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707583", "2020-01-03 05:07:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707584", "2020-01-03 05:07:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707585", "2020-01-03 05:08:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707586", "2020-01-03 05:08:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707587", "2020-01-03 05:08:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707588", "2020-01-03 05:09:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707589", "2020-01-03 05:09:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707590", "2020-01-03 05:10:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707591", "2020-01-03 05:11:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707592", "2020-01-03 05:11:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707593", "2020-01-03 05:11:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707594", "2020-01-03 05:12:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707595", "2020-01-03 05:12:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707596", "2020-01-03 05:12:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707597", "2020-01-03 05:14:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707598", "2020-01-03 05:14:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707599", "2020-01-03 05:14:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707600", "2020-01-03 05:15:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707601", "2020-01-03 05:15:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707602", "2020-01-03 05:15:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707603", "2020-01-03 05:16:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707604", "2020-01-03 05:16:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707605", "2020-01-03 05:17:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707606", "2020-01-03 05:17:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707607", "2020-01-03 05:17:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707608", "2020-01-03 05:18:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707609", "2020-01-03 05:18:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707610", "2020-01-03 05:19:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707611", "2020-01-03 05:19:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707612", "2020-01-03 05:20:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707613", "2020-01-03 05:20:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707614", "2020-01-03 05:20:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707615", "2020-01-03 05:21:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707616", "2020-01-03 05:21:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707617", "2020-01-03 05:22:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707618", "2020-01-03 05:22:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707619", "2020-01-03 05:22:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707620", "2020-01-03 05:23:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707621", "2020-01-03 05:24:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707622", "2020-01-03 05:24:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707623", "2020-01-03 05:24:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707624", "2020-01-03 05:25:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707625", "2020-01-03 05:25:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707626", "2020-01-03 05:25:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707627", "2020-01-03 05:26:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707628", "2020-01-03 05:26:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707629", "2020-01-03 05:27:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707630", "2020-01-03 05:27:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707631", "2020-01-03 05:27:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707632", "2020-01-03 05:28:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707633", "2020-01-03 05:28:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707634", "2020-01-03 05:28:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707635", "2020-01-03 05:29:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707636", "2020-01-03 05:30:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707637", "2020-01-03 05:30:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707638", "2020-01-03 05:30:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707639", "2020-01-03 05:31:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707640", "2020-01-03 05:31:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707641", "2020-01-03 05:31:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707642", "2020-01-03 05:32:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707643", "2020-01-03 05:32:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707644", "2020-01-03 05:33:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707645", "2020-01-03 05:33:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707646", "2020-01-03 05:33:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707647", "2020-01-03 05:34:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707648", "2020-01-03 05:35:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707649", "2020-01-03 05:35:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707650", "2020-01-03 05:35:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707651", "2020-01-03 05:36:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707652", "2020-01-03 05:36:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707653", "2020-01-03 05:36:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707654", "2020-01-03 05:37:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707655", "2020-01-03 05:37:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707656", "2020-01-03 05:38:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707657", "2020-01-03 05:38:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707658", "2020-01-03 05:38:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707659", "2020-01-03 05:39:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707660", "2020-01-03 05:40:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707661", "2020-01-03 05:40:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707662", "2020-01-03 05:40:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707663", "2020-01-03 05:41:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707664", "2020-01-03 05:41:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707665", "2020-01-03 05:41:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707666", "2020-01-03 05:42:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707667", "2020-01-03 05:42:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707668", "2020-01-03 05:43:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707669", "2020-01-03 05:44:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707670", "2020-01-03 05:44:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707671", "2020-01-03 05:44:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707672", "2020-01-03 05:45:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707673", "2020-01-03 05:45:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707674", "2020-01-03 05:45:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707675", "2020-01-03 05:46:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707676", "2020-01-03 05:46:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707677", "2020-01-03 05:47:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707678", "2020-01-03 05:48:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707679", "2020-01-03 05:48:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707680", "2020-01-03 05:48:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707681", "2020-01-03 05:49:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707682", "2020-01-03 05:49:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707683", "2020-01-03 05:49:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707684", "2020-01-03 05:50:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707685", "2020-01-03 05:50:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707686", "2020-01-03 05:50:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707687", "2020-01-03 05:51:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707688", "2020-01-03 05:51:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707689", "2020-01-03 05:51:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707690", "2020-01-03 05:52:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707691", "2020-01-03 05:52:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707692", "2020-01-03 05:53:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707693", "2020-01-03 05:54:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707694", "2020-01-03 05:54:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707695", "2020-01-03 05:54:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707696", "2020-01-03 05:55:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707697", "2020-01-03 05:55:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707698", "2020-01-03 05:55:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707699", "2020-01-03 05:56:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707700", "2020-01-03 05:56:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707701", "2020-01-03 05:56:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707702", "2020-01-03 05:57:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707703", "2020-01-03 05:57:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707704", "2020-01-03 05:58:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707705", "2020-01-03 05:58:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707706", "2020-01-03 05:58:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707707", "2020-01-03 05:59:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707708", "2020-01-03 06:00:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707709", "2020-01-03 06:00:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707710", "2020-01-03 06:00:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707711", "2020-01-03 06:01:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707712", "2020-01-03 06:01:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707713", "2020-01-03 06:01:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707714", "2020-01-03 06:02:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707715", "2020-01-03 06:02:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707716", "2020-01-03 06:02:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707717", "2020-01-03 06:03:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707718", "2020-01-03 06:03:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707719", "2020-01-03 06:04:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707720", "2020-01-03 06:05:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707721", "2020-01-03 06:05:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707722", "2020-01-03 06:05:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707723", "2020-01-03 06:06:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707724", "2020-01-03 06:06:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707725", "2020-01-03 06:06:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707726", "2020-01-03 06:07:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707727", "2020-01-03 06:07:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707728", "2020-01-03 06:07:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707729", "2020-01-03 06:08:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707730", "2020-01-03 06:08:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707731", "2020-01-03 06:08:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707732", "2020-01-03 06:09:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707733", "2020-01-03 06:09:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707734", "2020-01-03 06:10:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707735", "2020-01-03 06:11:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707736", "2020-01-03 06:11:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707737", "2020-01-03 06:11:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707738", "2020-01-03 06:12:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707739", "2020-01-03 06:12:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707740", "2020-01-03 06:12:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707741", "2020-01-03 06:13:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707742", "2020-01-03 06:13:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707743", "2020-01-03 06:13:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707744", "2020-01-03 06:14:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707745", "2020-01-03 06:14:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707746", "2020-01-03 06:15:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707747", "2020-01-03 06:15:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707748", "2020-01-03 06:15:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707749", "2020-01-03 06:16:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707750", "2020-01-03 06:17:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707751", "2020-01-03 06:17:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707752", "2020-01-03 06:17:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707753", "2020-01-03 06:18:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707754", "2020-01-03 06:18:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707755", "2020-01-03 06:18:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707756", "2020-01-03 06:19:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707757", "2020-01-03 06:19:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707758", "2020-01-03 06:19:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707759", "2020-01-03 06:20:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707760", "2020-01-03 06:20:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707761", "2020-01-03 06:21:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707762", "2020-01-03 06:21:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707763", "2020-01-03 06:21:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707764", "2020-01-03 06:22:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707765", "2020-01-03 06:23:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707766", "2020-01-03 06:23:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707767", "2020-01-03 06:23:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707768", "2020-01-03 06:24:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707769", "2020-01-03 06:24:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707770", "2020-01-03 06:24:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707771", "2020-01-03 06:25:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707772", "2020-01-03 06:25:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707773", "2020-01-03 06:26:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707774", "2020-01-03 06:26:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707775", "2020-01-03 06:26:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707776", "2020-01-03 06:27:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707777", "2020-01-03 06:28:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707778", "2020-01-03 06:28:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707779", "2020-01-03 06:28:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707780", "2020-01-03 06:29:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707781", "2020-01-03 06:29:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707782", "2020-01-03 06:30:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707783", "2020-01-03 06:30:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707784", "2020-01-03 06:30:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707785", "2020-01-03 06:31:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707786", "2020-01-03 06:31:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707787", "2020-01-03 06:31:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707788", "2020-01-03 06:32:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707789", "2020-01-03 06:32:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707790", "2020-01-03 06:33:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707791", "2020-01-03 06:33:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707792", "2020-01-03 06:34:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707793", "2020-01-03 06:34:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707794", "2020-01-03 06:34:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707795", "2020-01-03 06:35:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707796", "2020-01-03 06:35:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707797", "2020-01-03 06:36:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707798", "2020-01-03 06:36:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707799", "2020-01-03 06:36:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707800", "2020-01-03 06:37:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707801", "2020-01-03 06:37:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707802", "2020-01-03 06:37:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707803", "2020-01-03 06:38:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707804", "2020-01-03 06:38:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707805", "2020-01-03 06:39:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707806", "2020-01-03 06:39:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707807", "2020-01-03 06:40:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707808", "2020-01-03 06:40:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707809", "2020-01-03 06:41:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707810", "2020-01-03 06:41:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707811", "2020-01-03 06:41:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707812", "2020-01-03 06:42:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707813", "2020-01-03 06:42:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707814", "2020-01-03 06:42:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707815", "2020-01-03 06:43:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707816", "2020-01-03 06:43:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707817", "2020-01-03 06:43:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707818", "2020-01-03 06:44:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707819", "2020-01-03 06:44:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707820", "2020-01-03 06:45:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707821", "2020-01-03 06:45:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707822", "2020-01-03 06:46:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707823", "2020-01-03 06:46:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707824", "2020-01-03 06:47:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707825", "2020-01-03 06:47:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707826", "2020-01-03 06:47:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707827", "2020-01-03 06:48:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707828", "2020-01-03 06:48:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707829", "2020-01-03 06:49:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707830", "2020-01-03 06:49:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707831", "2020-01-03 06:49:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707832", "2020-01-03 06:50:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707833", "2020-01-03 06:50:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707834", "2020-01-03 06:51:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707835", "2020-01-03 06:51:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707836", "2020-01-03 06:51:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707837", "2020-01-03 06:52:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707838", "2020-01-03 06:52:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707839", "2020-01-03 06:52:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707840", "2020-01-03 06:53:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707841", "2020-01-03 06:53:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707842", "2020-01-03 06:54:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707843", "2020-01-03 06:54:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707844", "2020-01-03 06:54:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707845", "2020-01-03 06:55:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707846", "2020-01-03 06:55:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707847", "2020-01-03 06:56:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707848", "2020-01-03 06:56:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707849", "2020-01-03 06:56:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707850", "2020-01-03 06:57:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707851", "2020-01-03 06:57:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707852", "2020-01-03 06:58:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707853", "2020-01-03 06:58:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707854", "2020-01-03 06:58:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707855", "2020-01-03 06:59:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707856", "2020-01-03 06:59:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707857", "2020-01-03 06:59:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707858", "2020-01-03 07:00:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707859", "2020-01-03 07:00:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707860", "2020-01-03 07:01:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707861", "2020-01-03 07:01:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707862", "2020-01-03 07:02:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707863", "2020-01-03 07:02:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707864", "2020-01-03 07:02:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707865", "2020-01-03 07:03:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707866", "2020-01-03 07:03:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707867", "2020-01-03 07:04:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707868", "2020-01-03 07:04:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707869", "2020-01-03 07:05:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707870", "2020-01-03 07:05:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707871", "2020-01-03 07:05:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707872", "2020-01-03 07:06:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707873", "2020-01-03 07:06:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707874", "2020-01-03 07:06:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707875", "2020-01-03 07:07:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707876", "2020-01-03 07:08:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707877", "2020-01-03 07:08:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707878", "2020-01-03 07:08:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707879", "2020-01-03 07:09:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707880", "2020-01-03 07:09:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707881", "2020-01-03 07:09:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707882", "2020-01-03 07:10:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707883", "2020-01-03 07:10:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707884", "2020-01-03 07:11:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707885", "2020-01-03 07:11:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707886", "2020-01-03 07:11:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707887", "2020-01-03 07:12:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707888", "2020-01-03 07:12:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707889", "2020-01-03 07:12:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707890", "2020-01-03 07:13:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707891", "2020-01-03 07:13:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707892", "2020-01-03 07:14:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707893", "2020-01-03 07:14:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707894", "2020-01-03 07:15:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707895", "2020-01-03 07:15:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707896", "2020-01-03 07:15:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707897", "2020-01-03 07:16:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707898", "2020-01-03 07:16:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707899", "2020-01-03 07:16:28", "/.well-known/security.txt", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/67.0.3396.99 Safari/537.36", NULL, "178128");
INSERT INTO `wp_redirection_404` VALUES("1707900", "2020-01-03 07:16:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707901", "2020-01-03 07:17:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707902", "2020-01-03 07:17:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707903", "2020-01-03 07:18:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707904", "2020-01-03 07:18:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707905", "2020-01-03 07:18:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707906", "2020-01-03 07:19:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707907", "2020-01-03 07:19:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707908", "2020-01-03 07:19:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707909", "2020-01-03 07:20:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707910", "2020-01-03 07:21:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707911", "2020-01-03 07:21:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707912", "2020-01-03 07:21:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707913", "2020-01-03 07:22:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707914", "2020-01-03 07:22:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707915", "2020-01-03 07:22:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707916", "2020-01-03 07:23:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707917", "2020-01-03 07:23:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707918", "2020-01-03 07:23:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707919", "2020-01-03 07:24:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707920", "2020-01-03 07:25:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707921", "2020-01-03 07:25:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707922", "2020-01-03 07:25:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707923", "2020-01-03 07:26:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707924", "2020-01-03 07:26:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707925", "2020-01-03 07:26:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707926", "2020-01-03 07:27:18", "/?author=3", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "178124");
INSERT INTO `wp_redirection_404` VALUES("1707927", "2020-01-03 07:27:23", "/?author=4", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "178124");
INSERT INTO `wp_redirection_404` VALUES("1707928", "2020-01-03 07:27:25", "/?author=5", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "178124");
INSERT INTO `wp_redirection_404` VALUES("1707929", "2020-01-03 07:27:27", "/?author=6", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "178124");
INSERT INTO `wp_redirection_404` VALUES("1707930", "2020-01-03 07:27:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707931", "2020-01-03 07:27:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707932", "2020-01-03 07:27:43", "/?author=7", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "190182");
INSERT INTO `wp_redirection_404` VALUES("1707933", "2020-01-03 07:27:46", "/?author=8", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "190182");
INSERT INTO `wp_redirection_404` VALUES("1707934", "2020-01-03 07:27:48", "/?author=9", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "190182");
INSERT INTO `wp_redirection_404` VALUES("1707935", "2020-01-03 07:27:50", "/?author=10", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "190182");
INSERT INTO `wp_redirection_404` VALUES("1707936", "2020-01-03 07:28:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707937", "2020-01-03 07:29:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707938", "2020-01-03 07:29:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707939", "2020-01-03 07:29:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707940", "2020-01-03 07:30:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707941", "2020-01-03 07:30:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707942", "2020-01-03 07:30:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707943", "2020-01-03 07:31:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707944", "2020-01-03 07:31:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707945", "2020-01-03 07:31:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707946", "2020-01-03 07:32:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707947", "2020-01-03 07:32:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707948", "2020-01-03 07:33:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707949", "2020-01-03 07:34:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707950", "2020-01-03 07:34:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707951", "2020-01-03 07:34:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707952", "2020-01-03 07:35:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707953", "2020-01-03 07:35:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707954", "2020-01-03 07:35:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707955", "2020-01-03 07:36:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707956", "2020-01-03 07:36:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707957", "2020-01-03 07:36:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707958", "2020-01-03 07:37:30", "/th1s_1s_a_4o4.html", "SiteLockSpider [en] (WinNT; I ;Nav)", NULL, "184154");
INSERT INTO `wp_redirection_404` VALUES("1707959", "2020-01-03 07:37:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707960", "2020-01-03 07:37:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707961", "2020-01-03 07:37:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707962", "2020-01-03 07:38:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707963", "2020-01-03 07:38:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707964", "2020-01-03 07:38:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707965", "2020-01-03 07:39:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707966", "2020-01-03 07:39:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707967", "2020-01-03 07:39:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707968", "2020-01-03 07:40:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707969", "2020-01-03 07:40:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707970", "2020-01-03 07:40:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707971", "2020-01-03 07:41:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707972", "2020-01-03 07:41:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707973", "2020-01-03 07:42:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707974", "2020-01-03 07:42:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707975", "2020-01-03 07:42:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707976", "2020-01-03 07:43:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707977", "2020-01-03 07:43:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707978", "2020-01-03 07:43:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707979", "2020-01-03 07:44:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707980", "2020-01-03 07:44:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707981", "2020-01-03 07:44:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707982", "2020-01-03 07:45:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707983", "2020-01-03 07:45:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707984", "2020-01-03 07:46:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707985", "2020-01-03 07:46:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707986", "2020-01-03 07:47:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707987", "2020-01-03 07:47:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707988", "2020-01-03 07:47:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707989", "2020-01-03 07:48:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707990", "2020-01-03 07:48:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707991", "2020-01-03 07:48:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707992", "2020-01-03 07:49:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707993", "2020-01-03 07:49:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707994", "2020-01-03 07:50:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707995", "2020-01-03 07:50:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707996", "2020-01-03 07:50:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707997", "2020-01-03 07:51:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707998", "2020-01-03 07:51:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1707999", "2020-01-03 07:51:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708000", "2020-01-03 07:52:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708001", "2020-01-03 07:52:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708002", "2020-01-03 07:53:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708003", "2020-01-03 07:53:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708004", "2020-01-03 07:54:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708005", "2020-01-03 07:54:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708006", "2020-01-03 07:54:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708007", "2020-01-03 07:55:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708008", "2020-01-03 07:55:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708009", "2020-01-03 07:55:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708010", "2020-01-03 07:56:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708011", "2020-01-03 07:57:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708012", "2020-01-03 07:57:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708013", "2020-01-03 07:57:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708014", "2020-01-03 07:58:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708015", "2020-01-03 07:58:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708016", "2020-01-03 07:58:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708017", "2020-01-03 07:59:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708018", "2020-01-03 07:59:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708019", "2020-01-03 07:59:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708020", "2020-01-03 08:00:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708021", "2020-01-03 08:00:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708022", "2020-01-03 08:01:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708023", "2020-01-03 08:01:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708024", "2020-01-03 08:01:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708025", "2020-01-03 08:02:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708026", "2020-01-03 08:02:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708027", "2020-01-03 08:02:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708028", "2020-01-03 08:03:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708029", "2020-01-03 08:03:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708030", "2020-01-03 08:03:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708031", "2020-01-03 08:04:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708032", "2020-01-03 08:05:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708033", "2020-01-03 08:05:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708034", "2020-01-03 08:05:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708035", "2020-01-03 08:06:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708036", "2020-01-03 08:06:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708037", "2020-01-03 08:07:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708038", "2020-01-03 08:07:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708039", "2020-01-03 08:07:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708040", "2020-01-03 08:08:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708041", "2020-01-03 08:08:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708042", "2020-01-03 08:08:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708043", "2020-01-03 08:09:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708044", "2020-01-03 08:09:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708045", "2020-01-03 08:09:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708046", "2020-01-03 08:10:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708047", "2020-01-03 08:11:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708048", "2020-01-03 08:11:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708049", "2020-01-03 08:11:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708050", "2020-01-03 08:12:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708051", "2020-01-03 08:12:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708052", "2020-01-03 08:12:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708053", "2020-01-03 08:13:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708054", "2020-01-03 08:13:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708055", "2020-01-03 08:14:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708056", "2020-01-03 08:14:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708057", "2020-01-03 08:14:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708058", "2020-01-03 08:15:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708059", "2020-01-03 08:15:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708060", "2020-01-03 08:16:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708061", "2020-01-03 08:16:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708062", "2020-01-03 08:17:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708063", "2020-01-03 08:17:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708064", "2020-01-03 08:17:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708065", "2020-01-03 08:18:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708066", "2020-01-03 08:18:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708067", "2020-01-03 08:19:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708068", "2020-01-03 08:19:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708069", "2020-01-03 08:19:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708070", "2020-01-03 08:20:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708071", "2020-01-03 08:20:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708072", "2020-01-03 08:20:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708073", "2020-01-03 08:21:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708074", "2020-01-03 08:22:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708075", "2020-01-03 08:22:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708076", "2020-01-03 08:22:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708077", "2020-01-03 08:23:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708078", "2020-01-03 08:23:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708079", "2020-01-03 08:23:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708080", "2020-01-03 08:24:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708081", "2020-01-03 08:24:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708082", "2020-01-03 08:25:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708083", "2020-01-03 08:25:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708084", "2020-01-03 08:25:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708085", "2020-01-03 08:26:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708086", "2020-01-03 08:26:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708087", "2020-01-03 08:27:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708088", "2020-01-03 08:27:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708089", "2020-01-03 08:27:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708090", "2020-01-03 08:28:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708091", "2020-01-03 08:28:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708092", "2020-01-03 08:29:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708093", "2020-01-03 08:29:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708094", "2020-01-03 08:29:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708095", "2020-01-03 08:30:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708096", "2020-01-03 08:30:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708097", "2020-01-03 08:31:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708098", "2020-01-03 08:31:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708099", "2020-01-03 08:31:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708100", "2020-01-03 08:32:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708101", "2020-01-03 08:32:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708102", "2020-01-03 08:32:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708103", "2020-01-03 08:33:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708104", "2020-01-03 08:33:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708105", "2020-01-03 08:34:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708106", "2020-01-03 08:34:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708107", "2020-01-03 08:34:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708108", "2020-01-03 08:35:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708109", "2020-01-03 08:35:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708110", "2020-01-03 08:36:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708111", "2020-01-03 08:36:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708112", "2020-01-03 08:37:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708113", "2020-01-03 08:37:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708114", "2020-01-03 08:37:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708115", "2020-01-03 08:38:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708116", "2020-01-03 08:38:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708117", "2020-01-03 08:38:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708118", "2020-01-03 08:39:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708119", "2020-01-03 08:39:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708120", "2020-01-03 08:39:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708121", "2020-01-03 08:40:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708122", "2020-01-03 08:41:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708123", "2020-01-03 08:41:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708124", "2020-01-03 08:41:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708125", "2020-01-03 08:42:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708126", "2020-01-03 08:42:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708127", "2020-01-03 08:42:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708128", "2020-01-03 08:43:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708129", "2020-01-03 08:43:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708130", "2020-01-03 08:44:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708131", "2020-01-03 08:44:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708132", "2020-01-03 08:44:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708133", "2020-01-03 08:45:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708134", "2020-01-03 08:45:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708135", "2020-01-03 08:45:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708136", "2020-01-03 08:46:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708137", "2020-01-03 08:46:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708138", "2020-01-03 08:47:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708139", "2020-01-03 08:47:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708140", "2020-01-03 08:48:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708141", "2020-01-03 08:48:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708142", "2020-01-03 08:48:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708143", "2020-01-03 08:49:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708144", "2020-01-03 08:49:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708145", "2020-01-03 08:49:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708146", "2020-01-03 08:50:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708147", "2020-01-03 08:50:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708148", "2020-01-03 08:51:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708149", "2020-01-03 08:51:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708150", "2020-01-03 08:51:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708151", "2020-01-03 08:52:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708152", "2020-01-03 08:52:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708153", "2020-01-03 08:52:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708154", "2020-01-03 08:53:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708155", "2020-01-03 08:53:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708156", "2020-01-03 08:54:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708157", "2020-01-03 08:54:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708158", "2020-01-03 08:55:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708159", "2020-01-03 08:55:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708160", "2020-01-03 08:55:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708161", "2020-01-03 08:56:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708162", "2020-01-03 08:56:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708163", "2020-01-03 08:57:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708164", "2020-01-03 08:57:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708165", "2020-01-03 08:57:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708166", "2020-01-03 08:58:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708167", "2020-01-03 08:58:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708168", "2020-01-03 08:58:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708169", "2020-01-03 08:59:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708170", "2020-01-03 08:59:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708171", "2020-01-03 08:59:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708172", "2020-01-03 09:00:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708173", "2020-01-03 09:01:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708174", "2020-01-03 09:01:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708175", "2020-01-03 09:01:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708176", "2020-01-03 09:02:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708177", "2020-01-03 09:02:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708178", "2020-01-03 09:02:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708179", "2020-01-03 09:03:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708180", "2020-01-03 09:03:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708181", "2020-01-03 09:04:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708182", "2020-01-03 09:04:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708183", "2020-01-03 09:04:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708184", "2020-01-03 09:05:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708185", "2020-01-03 09:05:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708186", "2020-01-03 09:06:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708187", "2020-01-03 09:06:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708188", "2020-01-03 09:07:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708189", "2020-01-03 09:07:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708190", "2020-01-03 09:07:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708191", "2020-01-03 09:08:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708192", "2020-01-03 09:08:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708193", "2020-01-03 09:08:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708194", "2020-01-03 09:09:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708195", "2020-01-03 09:09:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708196", "2020-01-03 09:09:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708197", "2020-01-03 09:10:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708198", "2020-01-03 09:10:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708199", "2020-01-03 09:10:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708200", "2020-01-03 09:11:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708201", "2020-01-03 09:11:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708202", "2020-01-03 09:12:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708203", "2020-01-03 09:12:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708204", "2020-01-03 09:13:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708205", "2020-01-03 09:13:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708206", "2020-01-03 09:14:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708207", "2020-01-03 09:14:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708208", "2020-01-03 09:14:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708209", "2020-01-03 09:15:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708210", "2020-01-03 09:15:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708211", "2020-01-03 09:15:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708212", "2020-01-03 09:16:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708213", "2020-01-03 09:16:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708214", "2020-01-03 09:16:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708215", "2020-01-03 09:17:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708216", "2020-01-03 09:17:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708217", "2020-01-03 09:17:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708218", "2020-01-03 09:18:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708219", "2020-01-03 09:18:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708220", "2020-01-03 09:19:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708221", "2020-01-03 09:19:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708222", "2020-01-03 09:20:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708223", "2020-01-03 09:20:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708224", "2020-01-03 09:21:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708225", "2020-01-03 09:21:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708226", "2020-01-03 09:21:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708227", "2020-01-03 09:22:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708228", "2020-01-03 09:22:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708229", "2020-01-03 09:22:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708230", "2020-01-03 09:23:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708231", "2020-01-03 09:23:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708232", "2020-01-03 09:24:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708233", "2020-01-03 09:24:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708234", "2020-01-03 09:24:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708235", "2020-01-03 09:25:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708236", "2020-01-03 09:25:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708237", "2020-01-03 09:25:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708238", "2020-01-03 09:26:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708239", "2020-01-03 09:27:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708240", "2020-01-03 09:27:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708241", "2020-01-03 09:27:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708242", "2020-01-03 09:28:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708243", "2020-01-03 09:28:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708244", "2020-01-03 09:28:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708245", "2020-01-03 09:29:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708246", "2020-01-03 09:29:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708247", "2020-01-03 09:30:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708248", "2020-01-03 09:31:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708249", "2020-01-03 09:31:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708250", "2020-01-03 09:31:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708251", "2020-01-03 09:32:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708252", "2020-01-03 09:32:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708253", "2020-01-03 09:32:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708254", "2020-01-03 09:33:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708255", "2020-01-03 09:33:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708256", "2020-01-03 09:34:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708257", "2020-01-03 09:34:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708258", "2020-01-03 09:34:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708259", "2020-01-03 09:35:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708260", "2020-01-03 09:35:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708261", "2020-01-03 09:35:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708262", "2020-01-03 09:36:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708263", "2020-01-03 09:36:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708264", "2020-01-03 09:36:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708265", "2020-01-03 09:37:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708266", "2020-01-03 09:38:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708267", "2020-01-03 09:38:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708268", "2020-01-03 09:38:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708269", "2020-01-03 09:39:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708270", "2020-01-03 09:39:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708271", "2020-01-03 09:39:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708272", "2020-01-03 09:40:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708273", "2020-01-03 09:40:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708274", "2020-01-03 09:41:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708275", "2020-01-03 09:41:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708276", "2020-01-03 09:41:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708277", "2020-01-03 09:42:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708278", "2020-01-03 09:42:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708279", "2020-01-03 09:42:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708280", "2020-01-03 09:43:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708281", "2020-01-03 09:43:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708282", "2020-01-03 09:44:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708283", "2020-01-03 09:44:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708284", "2020-01-03 09:45:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708285", "2020-01-03 09:45:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708286", "2020-01-03 09:46:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708287", "2020-01-03 09:46:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708288", "2020-01-03 09:46:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708289", "2020-01-03 09:47:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708290", "2020-01-03 09:47:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708291", "2020-01-03 09:47:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708292", "2020-01-03 09:48:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708293", "2020-01-03 09:49:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708294", "2020-01-03 09:49:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708295", "2020-01-03 09:49:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708296", "2020-01-03 09:50:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708297", "2020-01-03 09:50:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708298", "2020-01-03 09:50:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708299", "2020-01-03 09:51:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708300", "2020-01-03 09:51:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708301", "2020-01-03 09:51:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708302", "2020-01-03 09:52:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708303", "2020-01-03 09:52:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708304", "2020-01-03 09:53:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708305", "2020-01-03 09:53:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708306", "2020-01-03 09:53:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708307", "2020-01-03 09:54:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708308", "2020-01-03 09:54:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708309", "2020-01-03 09:54:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708310", "2020-01-03 09:55:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708311", "2020-01-03 09:55:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708312", "2020-01-03 09:55:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708313", "2020-01-03 09:56:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708314", "2020-01-03 09:57:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708315", "2020-01-03 09:57:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708316", "2020-01-03 09:57:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708317", "2020-01-03 09:58:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708318", "2020-01-03 09:58:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708319", "2020-01-03 09:58:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708320", "2020-01-03 09:59:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708321", "2020-01-03 09:59:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708322", "2020-01-03 09:59:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708323", "2020-01-03 10:00:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708324", "2020-01-03 10:00:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708325", "2020-01-03 10:00:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708326", "2020-01-03 10:01:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708327", "2020-01-03 10:01:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708328", "2020-01-03 10:01:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708329", "2020-01-03 10:02:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708330", "2020-01-03 10:02:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708331", "2020-01-03 10:02:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708332", "2020-01-03 10:03:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708333", "2020-01-03 10:03:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708334", "2020-01-03 10:03:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708335", "2020-01-03 10:04:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708336", "2020-01-03 10:04:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708337", "2020-01-03 10:05:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708338", "2020-01-03 10:05:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708339", "2020-01-03 10:05:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708340", "2020-01-03 10:06:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708341", "2020-01-03 10:06:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708342", "2020-01-03 10:06:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708343", "2020-01-03 10:07:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708344", "2020-01-03 10:07:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708345", "2020-01-03 10:08:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708346", "2020-01-03 10:08:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708347", "2020-01-03 10:09:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708348", "2020-01-03 10:09:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708349", "2020-01-03 10:09:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708350", "2020-01-03 10:10:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708351", "2020-01-03 10:11:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708352", "2020-01-03 10:11:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708353", "2020-01-03 10:11:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708354", "2020-01-03 10:12:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708355", "2020-01-03 10:12:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708356", "2020-01-03 10:13:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708357", "2020-01-03 10:13:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708358", "2020-01-03 10:13:59", "/pizza-recipes/unique-pizza-toppings-never-tried/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1708359", "2020-01-03 10:14:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708360", "2020-01-03 10:14:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708361", "2020-01-03 10:15:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708362", "2020-01-03 10:15:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708363", "2020-01-03 10:15:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708364", "2020-01-03 10:16:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708365", "2020-01-03 10:17:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708366", "2020-01-03 10:17:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708367", "2020-01-03 10:18:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708368", "2020-01-03 10:20:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708369", "2020-01-03 10:20:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708370", "2020-01-03 10:20:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708371", "2020-01-03 10:21:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708372", "2020-01-03 10:21:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708373", "2020-01-03 10:21:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708374", "2020-01-03 10:22:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708375", "2020-01-03 10:22:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708376", "2020-01-03 10:23:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708377", "2020-01-03 10:23:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708378", "2020-01-03 10:23:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708379", "2020-01-03 10:24:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708380", "2020-01-03 10:24:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708381", "2020-01-03 10:24:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708382", "2020-01-03 10:25:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708383", "2020-01-03 10:26:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708384", "2020-01-03 10:26:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708385", "2020-01-03 10:26:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708386", "2020-01-03 10:27:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708387", "2020-01-03 10:27:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708388", "2020-01-03 10:27:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708389", "2020-01-03 10:28:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708390", "2020-01-03 10:28:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708391", "2020-01-03 10:28:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708392", "2020-01-03 10:29:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708393", "2020-01-03 10:29:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708394", "2020-01-03 10:30:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708395", "2020-01-03 10:30:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708396", "2020-01-03 10:30:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708397", "2020-01-03 10:31:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708398", "2020-01-03 10:31:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708399", "2020-01-03 10:31:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708400", "2020-01-03 10:32:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708401", "2020-01-03 10:32:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708402", "2020-01-03 10:33:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708403", "2020-01-03 10:33:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708404", "2020-01-03 10:34:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708405", "2020-01-03 10:34:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708406", "2020-01-03 10:34:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708407", "2020-01-03 10:35:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708408", "2020-01-03 10:35:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708409", "2020-01-03 10:35:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708410", "2020-01-03 10:36:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708411", "2020-01-03 10:36:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708412", "2020-01-03 10:36:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708413", "2020-01-03 10:37:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708414", "2020-01-03 10:37:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708415", "2020-01-03 10:38:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708416", "2020-01-03 10:38:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708417", "2020-01-03 10:38:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708418", "2020-01-03 10:39:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708419", "2020-01-03 10:39:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708420", "2020-01-03 10:39:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708421", "2020-01-03 10:40:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708422", "2020-01-03 10:40:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708423", "2020-01-03 10:40:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708424", "2020-01-03 10:40:58", "/dubois-", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708425", "2020-01-03 10:41:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708426", "2020-01-03 10:41:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708427", "2020-01-03 10:41:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708428", "2020-01-03 10:42:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708429", "2020-01-03 10:42:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708430", "2020-01-03 10:42:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708431", "2020-01-03 10:43:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708432", "2020-01-03 10:43:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708433", "2020-01-03 10:44:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708434", "2020-01-03 10:44:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708435", "2020-01-03 10:45:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708436", "2020-01-03 10:45:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708437", "2020-01-03 10:45:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708438", "2020-01-03 10:46:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708439", "2020-01-03 10:46:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708440", "2020-01-03 10:46:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708441", "2020-01-03 10:47:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708442", "2020-01-03 10:47:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708443", "2020-01-03 10:47:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708444", "2020-01-03 10:48:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708445", "2020-01-03 10:48:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708446", "2020-01-03 10:48:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708447", "2020-01-03 10:49:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708448", "2020-01-03 10:49:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708449", "2020-01-03 10:49:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708450", "2020-01-03 10:50:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708451", "2020-01-03 10:50:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708452", "2020-01-03 10:50:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708453", "2020-01-03 10:51:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708454", "2020-01-03 10:51:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708455", "2020-01-03 10:52:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708456", "2020-01-03 10:52:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708457", "2020-01-03 10:52:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708458", "2020-01-03 10:53:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708459", "2020-01-03 10:53:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708460", "2020-01-03 10:54:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708461", "2020-01-03 10:54:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708462", "2020-01-03 10:54:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708463", "2020-01-03 10:55:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708464", "2020-01-03 10:55:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708465", "2020-01-03 10:55:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708466", "2020-01-03 10:56:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708467", "2020-01-03 10:56:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708468", "2020-01-03 10:56:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708469", "2020-01-03 10:57:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708470", "2020-01-03 10:57:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708471", "2020-01-03 10:57:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708472", "2020-01-03 10:58:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708473", "2020-01-03 10:58:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708474", "2020-01-03 10:58:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708475", "2020-01-03 10:59:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708476", "2020-01-03 10:59:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708477", "2020-01-03 10:59:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708478", "2020-01-03 11:00:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708479", "2020-01-03 11:00:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708480", "2020-01-03 11:01:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708481", "2020-01-03 11:01:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708482", "2020-01-03 11:02:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708483", "2020-01-03 11:02:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708484", "2020-01-03 11:03:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708485", "2020-01-03 11:03:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708486", "2020-01-03 11:03:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708487", "2020-01-03 11:04:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708488", "2020-01-03 11:04:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708489", "2020-01-03 11:04:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708490", "2020-01-03 11:05:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708491", "2020-01-03 11:05:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708492", "2020-01-03 11:06:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708493", "2020-01-03 11:06:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708494", "2020-01-03 11:06:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708495", "2020-01-03 11:07:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708496", "2020-01-03 11:07:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708497", "2020-01-03 11:08:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708498", "2020-01-03 11:08:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708499", "2020-01-03 11:09:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708500", "2020-01-03 11:09:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708501", "2020-01-03 11:09:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708502", "2020-01-03 11:10:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708503", "2020-01-03 11:10:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708504", "2020-01-03 11:10:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708505", "2020-01-03 11:11:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708506", "2020-01-03 11:11:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708507", "2020-01-03 11:11:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708508", "2020-01-03 11:12:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708509", "2020-01-03 11:12:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708510", "2020-01-03 11:12:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708511", "2020-01-03 11:13:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708512", "2020-01-03 11:13:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708513", "2020-01-03 11:13:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708514", "2020-01-03 11:14:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708515", "2020-01-03 11:14:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708516", "2020-01-03 11:14:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708517", "2020-01-03 11:15:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708518", "2020-01-03 11:15:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708519", "2020-01-03 11:15:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708520", "2020-01-03 11:16:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708521", "2020-01-03 11:16:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708522", "2020-01-03 11:17:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708523", "2020-01-03 11:17:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708524", "2020-01-03 11:18:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708525", "2020-01-03 11:18:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708526", "2020-01-03 11:18:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708527", "2020-01-03 11:19:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708528", "2020-01-03 11:19:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708529", "2020-01-03 11:20:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708530", "2020-01-03 11:20:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708531", "2020-01-03 11:20:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708532", "2020-01-03 11:20:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708533", "2020-01-03 11:21:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708534", "2020-01-03 11:21:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708535", "2020-01-03 11:21:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708536", "2020-01-03 11:22:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708537", "2020-01-03 11:22:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708538", "2020-01-03 11:23:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708539", "2020-01-03 11:23:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708540", "2020-01-03 11:23:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708541", "2020-01-03 11:24:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708542", "2020-01-03 11:24:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708543", "2020-01-03 11:24:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708544", "2020-01-03 11:25:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708545", "2020-01-03 11:25:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708546", "2020-01-03 11:25:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708547", "2020-01-03 11:26:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708548", "2020-01-03 11:26:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708549", "2020-01-03 11:26:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708550", "2020-01-03 11:27:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708551", "2020-01-03 11:27:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708552", "2020-01-03 11:28:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708553", "2020-01-03 11:28:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708554", "2020-01-03 11:28:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708555", "2020-01-03 11:29:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708556", "2020-01-03 11:30:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708557", "2020-01-03 11:30:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708558", "2020-01-03 11:30:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708559", "2020-01-03 11:31:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708560", "2020-01-03 11:31:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708561", "2020-01-03 11:31:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708562", "2020-01-03 11:32:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708563", "2020-01-03 11:32:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708564", "2020-01-03 11:32:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708565", "2020-01-03 11:33:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708566", "2020-01-03 11:33:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708567", "2020-01-03 11:33:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708568", "2020-01-03 11:34:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708569", "2020-01-03 11:34:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708570", "2020-01-03 11:34:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708571", "2020-01-03 11:35:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708572", "2020-01-03 11:35:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708573", "2020-01-03 11:35:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708574", "2020-01-03 11:36:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708575", "2020-01-03 11:36:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708576", "2020-01-03 11:37:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708577", "2020-01-03 11:37:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708578", "2020-01-03 11:38:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708579", "2020-01-03 11:38:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708580", "2020-01-03 11:39:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708581", "2020-01-03 11:39:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708582", "2020-01-03 11:39:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708583", "2020-01-03 11:40:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708584", "2020-01-03 11:40:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708585", "2020-01-03 11:40:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708586", "2020-01-03 11:41:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708587", "2020-01-03 11:41:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708588", "2020-01-03 11:41:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708589", "2020-01-03 11:42:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708590", "2020-01-03 11:42:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708591", "2020-01-03 11:42:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708592", "2020-01-03 11:43:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708593", "2020-01-03 11:43:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708594", "2020-01-03 11:43:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708595", "2020-01-03 11:44:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708596", "2020-01-03 11:44:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708597", "2020-01-03 11:44:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708598", "2020-01-03 11:45:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708599", "2020-01-03 11:45:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708600", "2020-01-03 11:45:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708601", "2020-01-03 11:46:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708602", "2020-01-03 11:46:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708603", "2020-01-03 11:47:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708604", "2020-01-03 11:47:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708605", "2020-01-03 11:47:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708606", "2020-01-03 11:48:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708607", "2020-01-03 11:48:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708608", "2020-01-03 11:49:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708609", "2020-01-03 11:49:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708610", "2020-01-03 11:49:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708611", "2020-01-03 11:50:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708612", "2020-01-03 11:50:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708613", "2020-01-03 11:50:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708614", "2020-01-03 11:51:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708615", "2020-01-03 11:51:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708616", "2020-01-03 11:52:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708617", "2020-01-03 11:52:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708618", "2020-01-03 11:52:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708619", "2020-01-03 11:53:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708620", "2020-01-03 11:53:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708621", "2020-01-03 11:53:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708622", "2020-01-03 11:54:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708623", "2020-01-03 11:54:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708624", "2020-01-03 11:54:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708625", "2020-01-03 11:55:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708626", "2020-01-03 11:55:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708627", "2020-01-03 11:55:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708628", "2020-01-03 11:56:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708629", "2020-01-03 11:56:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708630", "2020-01-03 11:56:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708631", "2020-01-03 11:57:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708632", "2020-01-03 11:57:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708633", "2020-01-03 11:57:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708634", "2020-01-03 11:58:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708635", "2020-01-03 11:58:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708636", "2020-01-03 11:58:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708637", "2020-01-03 11:59:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708638", "2020-01-03 11:59:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708639", "2020-01-03 11:59:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708640", "2020-01-03 12:00:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708641", "2020-01-03 12:00:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708642", "2020-01-03 12:00:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708643", "2020-01-03 12:00:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708644", "2020-01-03 12:01:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708645", "2020-01-03 12:01:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708646", "2020-01-03 12:01:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708647", "2020-01-03 12:02:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708648", "2020-01-03 12:02:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708649", "2020-01-03 12:02:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708650", "2020-01-03 12:03:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708651", "2020-01-03 12:03:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708652", "2020-01-03 12:04:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708653", "2020-01-03 12:04:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708654", "2020-01-03 12:04:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708655", "2020-01-03 12:05:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708656", "2020-01-03 12:05:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708657", "2020-01-03 12:05:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708658", "2020-01-03 12:06:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708659", "2020-01-03 12:06:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708660", "2020-01-03 12:06:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708661", "2020-01-03 12:07:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708662", "2020-01-03 12:07:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708663", "2020-01-03 12:07:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708664", "2020-01-03 12:08:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708665", "2020-01-03 12:08:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708666", "2020-01-03 12:08:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708667", "2020-01-03 12:09:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708668", "2020-01-03 12:09:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708669", "2020-01-03 12:09:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708670", "2020-01-03 12:10:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708671", "2020-01-03 12:10:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708672", "2020-01-03 12:10:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708673", "2020-01-03 12:11:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708674", "2020-01-03 12:11:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708675", "2020-01-03 12:11:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708676", "2020-01-03 12:12:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708677", "2020-01-03 12:12:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708678", "2020-01-03 12:12:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708679", "2020-01-03 12:13:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708680", "2020-01-03 12:13:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708681", "2020-01-03 12:14:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708682", "2020-01-03 12:14:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708683", "2020-01-03 12:14:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708684", "2020-01-03 12:15:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708685", "2020-01-03 12:15:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708686", "2020-01-03 12:15:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708687", "2020-01-03 12:16:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708688", "2020-01-03 12:16:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708689", "2020-01-03 12:16:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708690", "2020-01-03 12:17:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708691", "2020-01-03 12:17:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708692", "2020-01-03 12:17:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708693", "2020-01-03 12:18:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708694", "2020-01-03 12:18:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708695", "2020-01-03 12:18:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708696", "2020-01-03 12:18:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708697", "2020-01-03 12:19:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708698", "2020-01-03 12:19:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708699", "2020-01-03 12:19:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708700", "2020-01-03 12:20:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708701", "2020-01-03 12:20:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708702", "2020-01-03 12:20:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708703", "2020-01-03 12:21:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708704", "2020-01-03 12:21:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708705", "2020-01-03 12:22:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708706", "2020-01-03 12:22:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708707", "2020-01-03 12:23:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708708", "2020-01-03 12:23:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708709", "2020-01-03 12:23:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708710", "2020-01-03 12:24:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708711", "2020-01-03 12:24:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708712", "2020-01-03 12:24:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708713", "2020-01-03 12:25:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708714", "2020-01-03 12:25:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708715", "2020-01-03 12:25:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708716", "2020-01-03 12:26:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708717", "2020-01-03 12:26:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708718", "2020-01-03 12:26:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708719", "2020-01-03 12:27:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708720", "2020-01-03 12:27:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708721", "2020-01-03 12:27:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708722", "2020-01-03 12:28:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708723", "2020-01-03 12:28:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708724", "2020-01-03 12:29:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708725", "2020-01-03 12:29:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708726", "2020-01-03 12:29:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708727", "2020-01-03 12:30:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708728", "2020-01-03 12:30:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708729", "2020-01-03 12:30:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708730", "2020-01-03 12:31:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708731", "2020-01-03 12:31:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708732", "2020-01-03 12:31:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708733", "2020-01-03 12:32:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708734", "2020-01-03 12:32:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708735", "2020-01-03 12:33:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708736", "2020-01-03 12:33:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708737", "2020-01-03 12:33:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708738", "2020-01-03 12:33:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708739", "2020-01-03 12:34:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708740", "2020-01-03 12:34:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708741", "2020-01-03 12:34:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708742", "2020-01-03 12:35:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708743", "2020-01-03 12:35:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708744", "2020-01-03 12:35:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708745", "2020-01-03 12:36:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708746", "2020-01-03 12:36:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708747", "2020-01-03 12:36:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708748", "2020-01-03 12:37:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708749", "2020-01-03 12:37:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708750", "2020-01-03 12:37:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708751", "2020-01-03 12:38:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708752", "2020-01-03 12:38:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708753", "2020-01-03 12:38:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708754", "2020-01-03 12:39:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708755", "2020-01-03 12:39:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708756", "2020-01-03 12:39:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708757", "2020-01-03 12:40:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708758", "2020-01-03 12:40:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708759", "2020-01-03 12:40:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708760", "2020-01-03 12:41:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708761", "2020-01-03 12:41:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708762", "2020-01-03 12:41:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708763", "2020-01-03 12:42:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708764", "2020-01-03 12:42:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708765", "2020-01-03 12:42:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708766", "2020-01-03 12:43:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708767", "2020-01-03 12:43:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708768", "2020-01-03 12:44:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708769", "2020-01-03 12:44:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708770", "2020-01-03 12:44:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708771", "2020-01-03 12:45:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708772", "2020-01-03 12:45:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708773", "2020-01-03 12:46:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708774", "2020-01-03 12:46:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708775", "2020-01-03 12:46:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708776", "2020-01-03 12:47:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708777", "2020-01-03 12:47:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708778", "2020-01-03 12:47:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708779", "2020-01-03 12:48:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708780", "2020-01-03 12:48:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708781", "2020-01-03 12:48:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708782", "2020-01-03 12:49:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708783", "2020-01-03 12:49:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708784", "2020-01-03 12:49:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708785", "2020-01-03 12:50:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708786", "2020-01-03 12:50:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708787", "2020-01-03 12:50:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708788", "2020-01-03 12:51:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708789", "2020-01-03 12:51:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708790", "2020-01-03 12:51:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708791", "2020-01-03 12:52:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708792", "2020-01-03 12:52:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708793", "2020-01-03 12:52:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708794", "2020-01-03 12:53:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708795", "2020-01-03 12:53:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708796", "2020-01-03 12:53:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708797", "2020-01-03 12:54:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708798", "2020-01-03 12:54:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708799", "2020-01-03 12:54:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708800", "2020-01-03 12:55:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708801", "2020-01-03 12:55:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708802", "2020-01-03 12:55:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708803", "2020-01-03 12:56:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708804", "2020-01-03 12:56:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708805", "2020-01-03 12:56:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708806", "2020-01-03 12:57:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708807", "2020-01-03 12:57:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708808", "2020-01-03 12:57:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708809", "2020-01-03 12:58:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708810", "2020-01-03 12:58:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708811", "2020-01-03 12:58:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708812", "2020-01-03 12:59:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708813", "2020-01-03 12:59:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708814", "2020-01-03 12:59:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708815", "2020-01-03 13:00:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708816", "2020-01-03 13:00:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708817", "2020-01-03 13:00:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708818", "2020-01-03 13:01:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708819", "2020-01-03 13:01:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708820", "2020-01-03 13:01:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708821", "2020-01-03 13:02:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708822", "2020-01-03 13:02:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708823", "2020-01-03 13:02:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708824", "2020-01-03 13:03:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708825", "2020-01-03 13:03:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708826", "2020-01-03 13:03:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708827", "2020-01-03 13:04:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708828", "2020-01-03 13:04:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708829", "2020-01-03 13:04:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708830", "2020-01-03 13:04:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708831", "2020-01-03 13:05:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708832", "2020-01-03 13:05:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708833", "2020-01-03 13:05:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708834", "2020-01-03 13:06:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708835", "2020-01-03 13:06:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708836", "2020-01-03 13:07:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708837", "2020-01-03 13:07:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708838", "2020-01-03 13:07:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708839", "2020-01-03 13:08:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708840", "2020-01-03 13:08:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708841", "2020-01-03 13:08:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708842", "2020-01-03 13:08:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708843", "2020-01-03 13:09:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708844", "2020-01-03 13:17:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708845", "2020-01-03 13:17:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708846", "2020-01-03 13:17:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708847", "2020-01-03 13:18:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708848", "2020-01-03 13:18:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708849", "2020-01-03 13:18:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708850", "2020-01-03 13:19:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708851", "2020-01-03 13:19:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708852", "2020-01-03 13:19:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708853", "2020-01-03 13:20:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708854", "2020-01-03 13:20:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708855", "2020-01-03 13:20:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708856", "2020-01-03 13:21:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708857", "2020-01-03 13:21:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708858", "2020-01-03 13:21:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708859", "2020-01-03 13:22:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708860", "2020-01-03 13:22:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708861", "2020-01-03 13:23:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708862", "2020-01-03 13:23:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708863", "2020-01-03 13:23:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708864", "2020-01-03 13:24:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708865", "2020-01-03 13:25:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708866", "2020-01-03 13:25:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708867", "2020-01-03 13:25:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708868", "2020-01-03 13:26:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708869", "2020-01-03 13:26:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708870", "2020-01-03 13:26:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708871", "2020-01-03 13:27:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708872", "2020-01-03 13:27:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708873", "2020-01-03 13:27:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708874", "2020-01-03 13:28:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708875", "2020-01-03 13:28:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708876", "2020-01-03 13:28:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708877", "2020-01-03 13:29:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708878", "2020-01-03 13:29:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708879", "2020-01-03 13:29:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708880", "2020-01-03 13:30:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708881", "2020-01-03 13:30:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708882", "2020-01-03 13:31:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708883", "2020-01-03 13:31:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708884", "2020-01-03 13:31:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708885", "2020-01-03 13:32:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708886", "2020-01-03 13:33:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708887", "2020-01-03 13:33:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708888", "2020-01-03 13:33:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708889", "2020-01-03 13:34:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708890", "2020-01-03 13:34:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708891", "2020-01-03 13:34:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708892", "2020-01-03 13:35:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708893", "2020-01-03 13:35:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708894", "2020-01-03 13:35:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708895", "2020-01-03 13:36:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708896", "2020-01-03 13:36:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708897", "2020-01-03 13:36:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708898", "2020-01-03 13:37:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708899", "2020-01-03 13:37:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708900", "2020-01-03 13:37:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708901", "2020-01-03 13:38:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708902", "2020-01-03 13:38:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708903", "2020-01-03 13:39:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708904", "2020-01-03 13:40:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708905", "2020-01-03 13:40:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708906", "2020-01-03 13:40:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708907", "2020-01-03 13:41:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708908", "2020-01-03 13:41:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708909", "2020-01-03 13:41:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708910", "2020-01-03 13:42:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708911", "2020-01-03 13:42:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708912", "2020-01-03 13:42:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708913", "2020-01-03 13:43:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708914", "2020-01-03 13:43:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708915", "2020-01-03 13:43:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708916", "2020-01-03 13:44:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708917", "2020-01-03 13:44:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708918", "2020-01-03 13:45:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708919", "2020-01-03 13:45:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708920", "2020-01-03 13:45:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708921", "2020-01-03 13:46:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708922", "2020-01-03 13:46:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708923", "2020-01-03 13:46:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708924", "2020-01-03 13:47:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708925", "2020-01-03 13:47:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708926", "2020-01-03 13:47:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708927", "2020-01-03 13:48:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708928", "2020-01-03 13:48:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708929", "2020-01-03 13:49:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708930", "2020-01-03 13:49:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708931", "2020-01-03 13:50:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708932", "2020-01-03 13:50:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708933", "2020-01-03 13:50:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708934", "2020-01-03 13:51:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708935", "2020-01-03 13:51:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708936", "2020-01-03 13:51:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708937", "2020-01-03 13:52:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708938", "2020-01-03 13:52:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708939", "2020-01-03 13:52:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708940", "2020-01-03 13:53:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708941", "2020-01-03 13:53:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708942", "2020-01-03 13:54:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708943", "2020-01-03 13:54:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708944", "2020-01-03 13:55:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708945", "2020-01-03 13:55:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708946", "2020-01-03 13:55:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708947", "2020-01-03 13:56:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708948", "2020-01-03 13:56:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708949", "2020-01-03 13:56:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708950", "2020-01-03 13:57:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708951", "2020-01-03 13:57:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708952", "2020-01-03 13:57:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708953", "2020-01-03 13:58:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708954", "2020-01-03 13:58:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708955", "2020-01-03 13:58:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708956", "2020-01-03 13:59:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708957", "2020-01-03 13:59:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708958", "2020-01-03 13:59:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708959", "2020-01-03 14:00:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708960", "2020-01-03 14:00:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708961", "2020-01-03 14:01:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708962", "2020-01-03 14:01:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708963", "2020-01-03 14:01:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708964", "2020-01-03 14:02:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708965", "2020-01-03 14:02:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708966", "2020-01-03 14:03:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708967", "2020-01-03 14:04:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708968", "2020-01-03 14:04:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708969", "2020-01-03 14:05:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708970", "2020-01-03 14:05:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708971", "2020-01-03 14:05:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708972", "2020-01-03 14:06:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708973", "2020-01-03 14:07:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708974", "2020-01-03 14:07:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708975", "2020-01-03 14:08:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708976", "2020-01-03 14:08:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708977", "2020-01-03 14:09:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708978", "2020-01-03 14:09:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708979", "2020-01-03 14:10:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708980", "2020-01-03 14:10:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708981", "2020-01-03 14:10:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708982", "2020-01-03 14:11:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708983", "2020-01-03 14:11:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708984", "2020-01-03 14:12:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708985", "2020-01-03 14:12:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708986", "2020-01-03 14:13:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708987", "2020-01-03 14:13:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708988", "2020-01-03 14:13:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708989", "2020-01-03 14:14:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708990", "2020-01-03 14:14:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708991", "2020-01-03 14:14:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708992", "2020-01-03 14:15:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708993", "2020-01-03 14:15:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708994", "2020-01-03 14:15:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708995", "2020-01-03 14:16:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708996", "2020-01-03 14:16:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708997", "2020-01-03 14:16:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708998", "2020-01-03 14:17:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1708999", "2020-01-03 14:17:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709000", "2020-01-03 14:18:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709001", "2020-01-03 14:18:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709002", "2020-01-03 14:18:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709003", "2020-01-03 14:19:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709004", "2020-01-03 14:19:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709005", "2020-01-03 14:19:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709006", "2020-01-03 14:20:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709007", "2020-01-03 14:21:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709008", "2020-01-03 14:21:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709009", "2020-01-03 14:21:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709010", "2020-01-03 14:22:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709011", "2020-01-03 14:22:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709012", "2020-01-03 14:22:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709013", "2020-01-03 14:23:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709014", "2020-01-03 14:23:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709015", "2020-01-03 14:24:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709016", "2020-01-03 14:24:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709017", "2020-01-03 14:24:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709018", "2020-01-03 14:25:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709019", "2020-01-03 14:25:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709020", "2020-01-03 14:25:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709021", "2020-01-03 14:26:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709022", "2020-01-03 14:26:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709023", "2020-01-03 14:27:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709024", "2020-01-03 14:27:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709025", "2020-01-03 14:28:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709026", "2020-01-03 14:28:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709027", "2020-01-03 14:28:52", "/thank-you-celebration/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1709028", "2020-01-03 14:28:52", "/thank-you-celebration/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "173252");
INSERT INTO `wp_redirection_404` VALUES("1709029", "2020-01-03 14:29:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709030", "2020-01-03 14:29:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709031", "2020-01-03 14:29:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709032", "2020-01-03 14:30:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709033", "2020-01-03 14:30:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709034", "2020-01-03 14:30:30", "/nitro-wv/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1709035", "2020-01-03 14:30:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709036", "2020-01-03 14:31:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709037", "2020-01-03 14:31:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709038", "2020-01-03 14:31:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709039", "2020-01-03 14:32:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709040", "2020-01-03 14:32:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709041", "2020-01-03 14:32:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709042", "2020-01-03 14:33:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709043", "2020-01-03 14:33:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709044", "2020-01-03 14:33:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709045", "2020-01-03 14:34:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709046", "2020-01-03 14:35:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709047", "2020-01-03 14:35:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709048", "2020-01-03 14:36:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709049", "2020-01-03 14:36:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709050", "2020-01-03 14:36:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709051", "2020-01-03 14:37:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709052", "2020-01-03 14:37:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709053", "2020-01-03 14:37:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709054", "2020-01-03 14:38:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709055", "2020-01-03 14:38:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709056", "2020-01-03 14:38:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709057", "2020-01-03 14:39:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709058", "2020-01-03 14:39:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709059", "2020-01-03 14:39:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709060", "2020-01-03 14:40:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709061", "2020-01-03 14:40:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709062", "2020-01-03 14:41:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709063", "2020-01-03 14:42:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709064", "2020-01-03 14:42:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709065", "2020-01-03 14:42:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709066", "2020-01-03 14:43:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709067", "2020-01-03 14:43:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709068", "2020-01-03 14:43:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709069", "2020-01-03 14:44:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709070", "2020-01-03 14:44:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709071", "2020-01-03 14:44:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709072", "2020-01-03 14:45:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709073", "2020-01-03 14:45:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709074", "2020-01-03 14:45:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709075", "2020-01-03 14:46:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709076", "2020-01-03 14:46:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709077", "2020-01-03 14:46:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709078", "2020-01-03 14:47:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709079", "2020-01-03 14:48:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709080", "2020-01-03 14:48:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709081", "2020-01-03 14:49:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709082", "2020-01-03 14:49:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709083", "2020-01-03 14:49:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709084", "2020-01-03 14:50:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709085", "2020-01-03 14:50:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709086", "2020-01-03 14:50:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709087", "2020-01-03 14:50:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709088", "2020-01-03 14:51:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709089", "2020-01-03 14:51:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709090", "2020-01-03 14:51:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709091", "2020-01-03 14:52:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709092", "2020-01-03 14:52:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709093", "2020-01-03 14:52:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709094", "2020-01-03 14:53:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709095", "2020-01-03 14:53:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709096", "2020-01-03 14:53:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709097", "2020-01-03 14:55:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709098", "2020-01-03 14:55:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709099", "2020-01-03 14:55:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709100", "2020-01-03 14:56:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709101", "2020-01-03 14:56:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709102", "2020-01-03 14:56:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709103", "2020-01-03 14:57:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709104", "2020-01-03 14:57:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709105", "2020-01-03 14:57:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709106", "2020-01-03 14:58:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709107", "2020-01-03 14:58:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709108", "2020-01-03 14:58:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709109", "2020-01-03 14:59:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709110", "2020-01-03 14:59:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709111", "2020-01-03 15:00:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709112", "2020-01-03 15:01:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709113", "2020-01-03 15:01:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709114", "2020-01-03 15:01:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709115", "2020-01-03 15:02:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709116", "2020-01-03 15:02:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709117", "2020-01-03 15:02:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709118", "2020-01-03 15:03:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709119", "2020-01-03 15:03:34", "/images/menu.pdf", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1709120", "2020-01-03 15:03:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709121", "2020-01-03 15:04:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709122", "2020-01-03 15:04:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709123", "2020-01-03 15:04:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709124", "2020-01-03 15:05:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709125", "2020-01-03 15:05:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709126", "2020-01-03 15:06:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709127", "2020-01-03 15:06:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709128", "2020-01-03 15:07:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709129", "2020-01-03 15:07:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709130", "2020-01-03 15:07:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709131", "2020-01-03 15:08:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709132", "2020-01-03 15:08:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709133", "2020-01-03 15:08:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709134", "2020-01-03 15:09:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709135", "2020-01-03 15:09:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709136", "2020-01-03 15:10:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709137", "2020-01-03 15:10:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709138", "2020-01-03 15:11:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709139", "2020-01-03 15:11:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709140", "2020-01-03 15:11:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709141", "2020-01-03 15:12:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709142", "2020-01-03 15:12:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709143", "2020-01-03 15:13:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709144", "2020-01-03 15:13:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709145", "2020-01-03 15:14:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709146", "2020-01-03 15:14:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709147", "2020-01-03 15:14:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709148", "2020-01-03 15:15:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709149", "2020-01-03 15:15:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709150", "2020-01-03 15:16:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709151", "2020-01-03 15:16:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709152", "2020-01-03 15:16:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709153", "2020-01-03 15:17:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709154", "2020-01-03 15:17:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709155", "2020-01-03 15:18:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709156", "2020-01-03 15:18:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709157", "2020-01-03 15:18:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709158", "2020-01-03 15:19:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709159", "2020-01-03 15:19:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709160", "2020-01-03 15:20:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709161", "2020-01-03 15:20:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709162", "2020-01-03 15:20:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709163", "2020-01-03 15:21:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709164", "2020-01-03 15:21:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709165", "2020-01-03 15:21:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709166", "2020-01-03 15:22:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709167", "2020-01-03 15:22:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709168", "2020-01-03 15:23:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709169", "2020-01-03 15:23:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709170", "2020-01-03 15:23:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709171", "2020-01-03 15:24:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709172", "2020-01-03 15:24:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709173", "2020-01-03 15:24:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709174", "2020-01-03 15:25:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709175", "2020-01-03 15:25:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709176", "2020-01-03 15:25:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709177", "2020-01-03 15:26:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709178", "2020-01-03 15:26:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709179", "2020-01-03 15:27:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709180", "2020-01-03 15:27:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709181", "2020-01-03 15:28:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709182", "2020-01-03 15:28:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709183", "2020-01-03 15:28:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709184", "2020-01-03 15:29:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709185", "2020-01-03 15:29:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709186", "2020-01-03 15:29:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709187", "2020-01-03 15:30:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709188", "2020-01-03 15:30:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709189", "2020-01-03 15:30:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709190", "2020-01-03 15:31:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709191", "2020-01-03 15:31:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709192", "2020-01-03 15:32:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709193", "2020-01-03 15:33:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709194", "2020-01-03 15:33:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709195", "2020-01-03 15:33:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709196", "2020-01-03 15:34:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709197", "2020-01-03 15:34:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709198", "2020-01-03 15:34:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709199", "2020-01-03 15:35:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709200", "2020-01-03 15:35:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709201", "2020-01-03 15:36:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709202", "2020-01-03 15:37:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709203", "2020-01-03 15:37:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709204", "2020-01-03 15:37:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709205", "2020-01-03 15:38:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709206", "2020-01-03 15:38:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709207", "2020-01-03 15:39:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709208", "2020-01-03 15:39:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709209", "2020-01-03 15:39:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709210", "2020-01-03 15:41:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709211", "2020-01-03 15:41:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709212", "2020-01-03 15:41:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709213", "2020-01-03 15:42:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709214", "2020-01-03 15:42:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709215", "2020-01-03 15:42:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709216", "2020-01-03 15:43:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709217", "2020-01-03 15:43:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709218", "2020-01-03 15:43:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709219", "2020-01-03 15:44:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709220", "2020-01-03 15:44:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709221", "2020-01-03 15:44:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709222", "2020-01-03 15:45:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709223", "2020-01-03 15:45:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709224", "2020-01-03 15:45:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709225", "2020-01-03 15:46:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709226", "2020-01-03 15:46:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709227", "2020-01-03 15:46:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709228", "2020-01-03 15:47:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709229", "2020-01-03 15:47:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709230", "2020-01-03 15:47:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709231", "2020-01-03 15:48:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709232", "2020-01-03 15:48:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709233", "2020-01-03 15:49:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709234", "2020-01-03 15:49:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709235", "2020-01-03 15:49:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709236", "2020-01-03 15:50:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709237", "2020-01-03 15:50:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709238", "2020-01-03 15:50:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709239", "2020-01-03 15:51:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709240", "2020-01-03 15:52:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709241", "2020-01-03 15:52:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709242", "2020-01-03 15:52:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709243", "2020-01-03 15:53:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709244", "2020-01-03 15:53:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709245", "2020-01-03 15:53:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709246", "2020-01-03 15:54:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709247", "2020-01-03 15:54:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709248", "2020-01-03 15:54:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709249", "2020-01-03 15:55:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709250", "2020-01-03 15:55:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709251", "2020-01-03 15:56:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709252", "2020-01-03 15:56:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709253", "2020-01-03 15:57:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709254", "2020-01-03 15:57:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709255", "2020-01-03 15:58:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709256", "2020-01-03 15:58:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709257", "2020-01-03 15:58:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709258", "2020-01-03 15:59:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709259", "2020-01-03 15:59:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709260", "2020-01-03 15:59:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709261", "2020-01-03 16:00:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709262", "2020-01-03 16:00:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709263", "2020-01-03 16:00:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709264", "2020-01-03 16:01:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709265", "2020-01-03 16:01:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709266", "2020-01-03 16:01:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709267", "2020-01-03 16:02:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709268", "2020-01-03 16:02:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709269", "2020-01-03 16:03:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709270", "2020-01-03 16:03:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709271", "2020-01-03 16:03:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709272", "2020-01-03 16:04:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709273", "2020-01-03 16:04:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709274", "2020-01-03 16:04:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709275", "2020-01-03 16:05:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709276", "2020-01-03 16:05:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709277", "2020-01-03 16:05:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709278", "2020-01-03 16:06:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709279", "2020-01-03 16:06:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709280", "2020-01-03 16:07:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709281", "2020-01-03 16:07:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709282", "2020-01-03 16:08:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709283", "2020-01-03 16:08:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709284", "2020-01-03 16:09:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709285", "2020-01-03 16:09:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709286", "2020-01-03 16:09:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709287", "2020-01-03 16:10:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709288", "2020-01-03 16:10:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709289", "2020-01-03 16:10:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709290", "2020-01-03 16:11:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709291", "2020-01-03 16:11:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709292", "2020-01-03 16:11:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709293", "2020-01-03 16:12:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709294", "2020-01-03 16:12:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709295", "2020-01-03 16:12:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709296", "2020-01-03 16:13:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709297", "2020-01-03 16:13:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709298", "2020-01-03 16:14:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709299", "2020-01-03 16:14:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709300", "2020-01-03 16:14:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709301", "2020-01-03 16:15:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709302", "2020-01-03 16:16:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709303", "2020-01-03 16:16:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709304", "2020-01-03 16:16:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709305", "2020-01-03 16:16:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709306", "2020-01-03 16:17:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709307", "2020-01-03 16:17:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709308", "2020-01-03 16:18:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709309", "2020-01-03 16:18:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709310", "2020-01-03 16:18:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709311", "2020-01-03 16:18:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709312", "2020-01-03 16:19:12", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174229");
INSERT INTO `wp_redirection_404` VALUES("1709313", "2020-01-03 16:19:13", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174229");
INSERT INTO `wp_redirection_404` VALUES("1709314", "2020-01-03 16:19:13", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174229");
INSERT INTO `wp_redirection_404` VALUES("1709315", "2020-01-03 16:19:13", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174229");
INSERT INTO `wp_redirection_404` VALUES("1709316", "2020-01-03 16:19:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709317", "2020-01-03 16:20:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709318", "2020-01-03 16:20:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709319", "2020-01-03 16:20:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709320", "2020-01-03 16:21:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709321", "2020-01-03 16:21:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709322", "2020-01-03 16:21:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709323", "2020-01-03 16:22:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709324", "2020-01-03 16:22:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709325", "2020-01-03 16:22:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709326", "2020-01-03 16:23:25", "/Login.aspx", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "19299");
INSERT INTO `wp_redirection_404` VALUES("1709327", "2020-01-03 16:23:26", "/Login.aspx", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "19299");
INSERT INTO `wp_redirection_404` VALUES("1709328", "2020-01-03 16:23:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709329", "2020-01-03 16:24:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709330", "2020-01-03 16:24:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709331", "2020-01-03 16:25:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709332", "2020-01-03 16:25:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709333", "2020-01-03 16:25:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709334", "2020-01-03 16:26:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709335", "2020-01-03 16:26:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709336", "2020-01-03 16:27:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709337", "2020-01-03 16:28:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709338", "2020-01-03 16:28:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709339", "2020-01-03 16:28:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709340", "2020-01-03 16:29:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709341", "2020-01-03 16:30:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709342", "2020-01-03 16:30:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709343", "2020-01-03 16:30:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709344", "2020-01-03 16:31:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709345", "2020-01-03 16:31:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709346", "2020-01-03 16:32:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709347", "2020-01-03 16:32:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709348", "2020-01-03 16:32:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709349", "2020-01-03 16:33:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709350", "2020-01-03 16:33:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709351", "2020-01-03 16:33:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709352", "2020-01-03 16:34:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709353", "2020-01-03 16:35:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709354", "2020-01-03 16:35:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709355", "2020-01-03 16:36:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709356", "2020-01-03 16:36:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709357", "2020-01-03 16:36:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709358", "2020-01-03 16:37:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709359", "2020-01-03 16:37:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709360", "2020-01-03 16:37:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709361", "2020-01-03 16:38:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709362", "2020-01-03 16:38:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709363", "2020-01-03 16:38:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709364", "2020-01-03 16:40:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709365", "2020-01-03 16:40:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709366", "2020-01-03 16:40:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709367", "2020-01-03 16:40:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709368", "2020-01-03 16:41:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709369", "2020-01-03 16:42:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709370", "2020-01-03 16:42:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709371", "2020-01-03 16:42:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709372", "2020-01-03 16:43:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709373", "2020-01-03 16:43:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709374", "2020-01-03 16:43:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709375", "2020-01-03 16:44:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709376", "2020-01-03 16:44:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711252", "2020-01-04 05:54:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711251", "2020-01-04 05:53:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711250", "2020-01-04 05:53:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711249", "2020-01-04 05:53:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711248", "2020-01-04 05:52:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711247", "2020-01-04 05:51:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711246", "2020-01-04 05:51:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711245", "2020-01-04 05:51:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711244", "2020-01-04 05:50:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711243", "2020-01-04 05:50:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711242", "2020-01-04 05:49:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711241", "2020-01-04 05:48:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711240", "2020-01-04 05:48:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711239", "2020-01-04 05:48:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711238", "2020-01-04 05:47:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711237", "2020-01-04 05:47:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711236", "2020-01-04 05:46:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711235", "2020-01-04 05:46:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711234", "2020-01-04 05:46:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711233", "2020-01-04 05:45:58", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "108212");
INSERT INTO `wp_redirection_404` VALUES("1711232", "2020-01-04 05:45:58", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "108212");
INSERT INTO `wp_redirection_404` VALUES("1711231", "2020-01-04 05:45:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711230", "2020-01-04 05:45:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711229", "2020-01-04 05:44:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711228", "2020-01-04 05:44:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711227", "2020-01-04 05:44:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711226", "2020-01-04 05:43:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711225", "2020-01-04 05:43:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711224", "2020-01-04 05:42:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711223", "2020-01-04 05:42:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711222", "2020-01-04 05:41:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711221", "2020-01-04 05:41:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711220", "2020-01-04 05:41:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711219", "2020-01-04 05:33:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711218", "2020-01-04 05:33:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711217", "2020-01-04 05:33:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711216", "2020-01-04 05:32:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711215", "2020-01-04 05:32:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711214", "2020-01-04 05:32:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711213", "2020-01-04 05:30:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711212", "2020-01-04 05:30:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711211", "2020-01-04 05:30:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711210", "2020-01-04 05:29:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711209", "2020-01-04 05:29:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711208", "2020-01-04 05:29:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711207", "2020-01-04 05:27:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711206", "2020-01-04 05:27:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711205", "2020-01-04 05:27:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711204", "2020-01-04 05:26:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711203", "2020-01-04 05:26:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711202", "2020-01-04 05:26:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711201", "2020-01-04 05:25:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711200", "2020-01-04 05:25:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711199", "2020-01-04 05:25:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711198", "2020-01-04 05:24:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711197", "2020-01-04 05:24:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711196", "2020-01-04 05:24:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711195", "2020-01-04 05:23:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711194", "2020-01-04 05:23:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711193", "2020-01-04 05:23:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711192", "2020-01-04 05:22:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711191", "2020-01-04 05:22:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711190", "2020-01-04 05:22:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711189", "2020-01-04 05:21:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711188", "2020-01-04 05:21:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711187", "2020-01-04 05:21:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711186", "2020-01-04 05:19:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711185", "2020-01-04 05:19:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711183", "2020-01-04 05:18:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711184", "2020-01-04 05:19:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711182", "2020-01-04 05:18:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711181", "2020-01-04 05:18:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711180", "2020-01-04 05:17:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711179", "2020-01-04 05:17:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711178", "2020-01-04 05:17:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711177", "2020-01-04 05:16:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711176", "2020-01-04 05:16:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711175", "2020-01-04 05:16:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711174", "2020-01-04 05:14:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711173", "2020-01-04 05:14:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711172", "2020-01-04 05:14:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711171", "2020-01-04 05:13:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711170", "2020-01-04 05:13:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711169", "2020-01-04 05:13:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711168", "2020-01-04 05:13:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711167", "2020-01-04 05:12:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711166", "2020-01-04 05:12:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711165", "2020-01-04 05:12:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711164", "2020-01-04 05:11:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711163", "2020-01-04 05:11:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711162", "2020-01-04 05:10:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711161", "2020-01-04 05:10:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711160", "2020-01-04 05:10:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711159", "2020-01-04 05:08:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711158", "2020-01-04 05:08:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711157", "2020-01-04 05:08:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711156", "2020-01-04 05:07:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711155", "2020-01-04 05:07:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711154", "2020-01-04 05:07:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711153", "2020-01-04 05:06:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711152", "2020-01-04 05:05:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711151", "2020-01-04 05:05:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711150", "2020-01-04 05:05:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711149", "2020-01-04 05:04:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711148", "2020-01-04 05:04:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711147", "2020-01-04 05:04:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711146", "2020-01-04 05:03:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711145", "2020-01-04 05:03:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711144", "2020-01-04 05:03:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711143", "2020-01-04 05:02:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711142", "2020-01-04 05:02:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711141", "2020-01-04 05:02:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711140", "2020-01-04 05:01:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711139", "2020-01-04 05:01:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711138", "2020-01-04 05:01:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711137", "2020-01-04 05:00:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711136", "2020-01-04 05:00:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711135", "2020-01-04 05:00:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711134", "2020-01-04 04:59:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711133", "2020-01-04 04:59:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711132", "2020-01-04 04:58:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711131", "2020-01-04 04:58:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711130", "2020-01-04 04:58:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711129", "2020-01-04 04:57:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711128", "2020-01-04 04:57:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711127", "2020-01-04 04:56:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711126", "2020-01-04 04:56:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711125", "2020-01-04 04:55:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711124", "2020-01-04 04:55:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711123", "2020-01-04 04:54:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711122", "2020-01-04 04:54:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711121", "2020-01-04 04:53:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711120", "2020-01-04 04:53:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711119", "2020-01-04 04:52:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711118", "2020-01-04 04:52:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711117", "2020-01-04 04:51:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711116", "2020-01-04 04:51:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711115", "2020-01-04 04:50:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711114", "2020-01-04 04:50:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711113", "2020-01-04 04:49:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711112", "2020-01-04 04:49:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711111", "2020-01-04 04:49:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711110", "2020-01-04 04:48:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711109", "2020-01-04 04:48:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711108", "2020-01-04 04:47:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711107", "2020-01-04 04:47:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711106", "2020-01-04 04:47:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711105", "2020-01-04 04:46:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711104", "2020-01-04 04:46:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711103", "2020-01-04 04:46:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711102", "2020-01-04 04:45:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711101", "2020-01-04 04:45:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711100", "2020-01-04 04:45:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711099", "2020-01-04 04:44:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711098", "2020-01-04 04:44:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711097", "2020-01-04 04:43:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711096", "2020-01-04 04:42:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711095", "2020-01-04 04:42:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711094", "2020-01-04 04:42:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711093", "2020-01-04 04:41:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711092", "2020-01-04 04:41:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711091", "2020-01-04 04:40:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711090", "2020-01-04 04:40:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711089", "2020-01-04 04:39:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711088", "2020-01-04 04:39:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711087", "2020-01-04 04:38:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711086", "2020-01-04 04:37:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711085", "2020-01-04 04:37:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711084", "2020-01-04 04:36:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711083", "2020-01-04 04:35:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711082", "2020-01-04 04:35:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711081", "2020-01-04 04:35:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711080", "2020-01-04 04:34:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711079", "2020-01-04 04:34:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711078", "2020-01-04 04:34:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711077", "2020-01-04 04:33:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711076", "2020-01-04 04:33:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711075", "2020-01-04 04:33:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711074", "2020-01-04 04:32:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711073", "2020-01-04 04:32:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711072", "2020-01-04 04:32:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711071", "2020-01-04 04:31:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711070", "2020-01-04 04:31:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711069", "2020-01-04 04:31:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711068", "2020-01-04 04:30:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711067", "2020-01-04 04:30:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711066", "2020-01-04 04:30:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711065", "2020-01-04 04:29:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711064", "2020-01-04 04:29:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711063", "2020-01-04 04:29:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711062", "2020-01-04 04:28:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711061", "2020-01-04 04:28:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711060", "2020-01-04 04:27:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711059", "2020-01-04 04:27:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711058", "2020-01-04 04:27:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711057", "2020-01-04 04:26:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711056", "2020-01-04 04:25:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711055", "2020-01-04 04:25:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711054", "2020-01-04 04:25:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711053", "2020-01-04 04:24:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711052", "2020-01-04 04:24:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711051", "2020-01-04 04:24:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711050", "2020-01-04 04:23:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711049", "2020-01-04 04:23:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711048", "2020-01-04 04:22:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711047", "2020-01-04 04:22:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711046", "2020-01-04 04:22:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711045", "2020-01-04 04:21:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711044", "2020-01-04 04:20:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711043", "2020-01-04 04:20:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711042", "2020-01-04 04:19:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711041", "2020-01-04 04:18:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711040", "2020-01-04 04:18:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711039", "2020-01-04 04:17:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711038", "2020-01-04 04:17:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711037", "2020-01-04 04:17:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711036", "2020-01-04 04:16:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711035", "2020-01-04 04:16:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711034", "2020-01-04 04:15:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711033", "2020-01-04 04:14:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711032", "2020-01-04 04:14:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711031", "2020-01-04 04:14:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711030", "2020-01-04 04:13:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711029", "2020-01-04 04:13:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711028", "2020-01-04 04:13:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711027", "2020-01-04 04:12:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711026", "2020-01-04 04:12:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711025", "2020-01-04 04:12:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711024", "2020-01-04 04:11:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711023", "2020-01-04 04:11:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711022", "2020-01-04 04:11:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711021", "2020-01-04 04:10:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711020", "2020-01-04 04:10:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711019", "2020-01-04 04:10:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711018", "2020-01-04 04:09:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711017", "2020-01-04 04:09:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711016", "2020-01-04 04:09:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711015", "2020-01-04 04:08:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711014", "2020-01-04 04:08:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711013", "2020-01-04 04:08:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711012", "2020-01-04 04:07:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711011", "2020-01-04 04:06:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711010", "2020-01-04 04:06:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711009", "2020-01-04 04:05:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711008", "2020-01-04 04:05:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711007", "2020-01-04 04:04:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711006", "2020-01-04 04:03:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711005", "2020-01-04 04:03:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711004", "2020-01-04 04:03:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711003", "2020-01-04 04:02:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711002", "2020-01-04 04:01:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711001", "2020-01-04 04:01:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711000", "2020-01-04 04:01:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710999", "2020-01-04 04:00:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710998", "2020-01-04 04:00:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710997", "2020-01-04 04:00:15", "/wp-content/plugins/wp-symposium/server/php/IDmlhvpidGgsDA.php", "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/49.0.2623.75 Safari/537.36 OPR/36.0.2130.32", NULL, "34220");
INSERT INTO `wp_redirection_404` VALUES("1710996", "2020-01-04 04:00:14", "/wp-content/plugins/wp-symposium/server/php/index.php", "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/49.0.2623.75 Safari/537.36 OPR/36.0.2130.32", NULL, "34220");
INSERT INTO `wp_redirection_404` VALUES("1710995", "2020-01-04 04:00:12", "/wp-content/plugins/formcraft/file-upload/server/php/upload.php", "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/49.0.2623.75 Safari/537.36 OPR/36.0.2130.32", NULL, "34220");
INSERT INTO `wp_redirection_404` VALUES("1710994", "2020-01-04 04:00:11", "/wp-content/plugins/wp-mobile-detector/cache/db.php", "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/49.0.2623.75 Safari/537.36 OPR/36.0.2130.32", NULL, "34220");
INSERT INTO `wp_redirection_404` VALUES("1710993", "2020-01-04 04:00:10", "/wp-content/plugins/simple-ads-manager/js/slider/tmpl.js", "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/49.0.2623.75 Safari/537.36 OPR/36.0.2130.32", NULL, "34220");
INSERT INTO `wp_redirection_404` VALUES("1710992", "2020-01-04 03:59:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710991", "2020-01-04 03:58:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710990", "2020-01-04 03:58:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710989", "2020-01-04 03:58:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710988", "2020-01-04 03:57:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710987", "2020-01-04 03:56:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710986", "2020-01-04 03:56:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710985", "2020-01-04 03:55:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710984", "2020-01-04 03:55:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710983", "2020-01-04 03:54:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710982", "2020-01-04 03:54:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710981", "2020-01-04 03:54:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710980", "2020-01-04 03:53:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710979", "2020-01-04 03:53:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710978", "2020-01-04 03:52:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710977", "2020-01-04 03:52:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710976", "2020-01-04 03:52:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710975", "2020-01-04 03:51:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710974", "2020-01-04 03:51:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710973", "2020-01-04 03:51:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710972", "2020-01-04 03:50:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710971", "2020-01-04 03:50:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710970", "2020-01-04 03:49:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710969", "2020-01-04 03:49:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710968", "2020-01-04 03:49:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710967", "2020-01-04 03:48:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710966", "2020-01-04 03:48:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710965", "2020-01-04 03:48:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710964", "2020-01-04 03:47:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710963", "2020-01-04 03:47:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710962", "2020-01-04 03:46:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710961", "2020-01-04 03:46:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710960", "2020-01-04 03:46:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710959", "2020-01-04 03:45:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710958", "2020-01-04 03:45:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710957", "2020-01-04 03:45:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710956", "2020-01-04 03:44:33", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "718");
INSERT INTO `wp_redirection_404` VALUES("1710955", "2020-01-04 03:44:33", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "718");
INSERT INTO `wp_redirection_404` VALUES("1710954", "2020-01-04 03:44:33", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "718");
INSERT INTO `wp_redirection_404` VALUES("1710953", "2020-01-04 03:44:33", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "718");
INSERT INTO `wp_redirection_404` VALUES("1710952", "2020-01-04 03:44:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710951", "2020-01-04 03:44:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710950", "2020-01-04 03:43:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710949", "2020-01-04 03:42:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710948", "2020-01-04 03:42:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710947", "2020-01-04 03:41:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710946", "2020-01-04 03:41:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710945", "2020-01-04 03:41:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710944", "2020-01-04 03:39:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710943", "2020-01-04 03:39:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710942", "2020-01-04 03:39:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710941", "2020-01-04 03:38:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710940", "2020-01-04 03:37:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710939", "2020-01-04 03:37:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710938", "2020-01-04 03:36:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710937", "2020-01-04 03:36:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710936", "2020-01-04 03:35:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710935", "2020-01-04 03:35:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710934", "2020-01-04 03:34:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710933", "2020-01-04 03:34:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710932", "2020-01-04 03:34:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710931", "2020-01-04 03:33:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710930", "2020-01-04 03:33:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710929", "2020-01-04 03:32:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710928", "2020-01-04 03:32:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710927", "2020-01-04 03:32:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710926", "2020-01-04 03:31:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710925", "2020-01-04 03:31:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710924", "2020-01-04 03:31:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710923", "2020-01-04 03:30:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710922", "2020-01-04 03:30:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710921", "2020-01-04 03:30:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710920", "2020-01-04 03:29:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710919", "2020-01-04 03:29:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710918", "2020-01-04 03:29:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710917", "2020-01-04 03:28:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710916", "2020-01-04 03:28:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710915", "2020-01-04 03:27:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710914", "2020-01-04 03:27:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710913", "2020-01-04 03:27:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710912", "2020-01-04 03:26:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710911", "2020-01-04 03:26:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710910", "2020-01-04 03:25:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710909", "2020-01-04 03:25:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710908", "2020-01-04 03:25:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710907", "2020-01-04 03:24:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710906", "2020-01-04 03:24:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710905", "2020-01-04 03:23:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710904", "2020-01-04 03:23:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710903", "2020-01-04 03:22:57", "/pizza-places/10-best-pizza-places-houston/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1710902", "2020-01-04 03:22:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710901", "2020-01-04 03:22:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710900", "2020-01-04 03:21:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710899", "2020-01-04 03:21:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710898", "2020-01-04 03:20:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710897", "2020-01-04 03:20:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710896", "2020-01-04 03:19:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710895", "2020-01-04 03:19:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710894", "2020-01-04 03:18:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710893", "2020-01-04 03:18:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710892", "2020-01-04 03:18:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710891", "2020-01-04 03:17:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710890", "2020-01-04 03:16:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710889", "2020-01-04 03:16:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710888", "2020-01-04 03:15:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710887", "2020-01-04 03:15:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710886", "2020-01-04 03:15:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710885", "2020-01-04 03:13:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710884", "2020-01-04 03:13:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710883", "2020-01-04 03:13:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710882", "2020-01-04 03:12:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710881", "2020-01-04 03:12:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710880", "2020-01-04 03:12:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710879", "2020-01-04 03:11:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710878", "2020-01-04 03:11:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710877", "2020-01-04 03:11:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710876", "2020-01-04 03:10:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710875", "2020-01-04 03:10:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710874", "2020-01-04 03:10:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710873", "2020-01-04 03:09:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710872", "2020-01-04 03:09:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710871", "2020-01-04 03:09:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710870", "2020-01-04 03:08:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710869", "2020-01-04 03:08:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710868", "2020-01-04 03:08:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710867", "2020-01-04 03:07:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710866", "2020-01-04 03:07:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710865", "2020-01-04 03:07:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710864", "2020-01-04 03:06:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710863", "2020-01-04 03:06:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710862", "2020-01-04 03:05:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710861", "2020-01-04 03:04:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710860", "2020-01-04 03:04:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710859", "2020-01-04 03:04:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710858", "2020-01-04 03:03:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710857", "2020-01-04 03:03:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710856", "2020-01-04 03:03:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710855", "2020-01-04 03:02:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710854", "2020-01-04 03:02:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710853", "2020-01-04 03:02:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710852", "2020-01-04 03:01:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710851", "2020-01-04 03:00:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710850", "2020-01-04 03:00:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710849", "2020-01-04 02:59:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710848", "2020-01-04 02:58:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710847", "2020-01-04 02:58:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710846", "2020-01-04 02:58:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710845", "2020-01-04 02:57:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710844", "2020-01-04 02:57:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710843", "2020-01-04 02:56:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710842", "2020-01-04 02:56:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710841", "2020-01-04 02:55:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710840", "2020-01-04 02:54:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710839", "2020-01-04 02:54:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710838", "2020-01-04 02:54:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710837", "2020-01-04 02:53:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710836", "2020-01-04 02:53:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710835", "2020-01-04 02:52:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710834", "2020-01-04 02:52:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710833", "2020-01-04 02:51:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710832", "2020-01-04 02:51:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710831", "2020-01-04 02:50:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710830", "2020-01-04 02:50:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710829", "2020-01-04 02:49:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710828", "2020-01-04 02:49:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710827", "2020-01-04 02:48:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710826", "2020-01-04 02:48:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710825", "2020-01-04 02:47:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710824", "2020-01-04 02:47:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710823", "2020-01-04 02:47:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710822", "2020-01-04 02:46:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710821", "2020-01-04 02:46:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710820", "2020-01-04 02:46:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710819", "2020-01-04 02:45:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710818", "2020-01-04 02:44:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710817", "2020-01-04 02:44:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710816", "2020-01-04 02:44:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710815", "2020-01-04 02:43:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710814", "2020-01-04 02:42:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710813", "2020-01-04 02:42:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710812", "2020-01-04 02:41:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710811", "2020-01-04 02:41:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710810", "2020-01-04 02:41:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710809", "2020-01-04 02:40:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710808", "2020-01-04 02:40:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710807", "2020-01-04 02:39:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710806", "2020-01-04 02:38:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710805", "2020-01-04 02:38:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710804", "2020-01-04 02:38:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710803", "2020-01-04 02:37:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710802", "2020-01-04 02:36:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710801", "2020-01-04 02:36:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710800", "2020-01-04 02:35:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710799", "2020-01-04 02:35:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710798", "2020-01-04 02:35:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710797", "2020-01-04 02:34:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710796", "2020-01-04 02:33:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710795", "2020-01-04 02:33:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710794", "2020-01-04 02:32:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710793", "2020-01-04 02:31:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710792", "2020-01-04 02:31:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710791", "2020-01-04 02:31:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710790", "2020-01-04 02:30:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710789", "2020-01-04 02:30:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710788", "2020-01-04 02:29:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710787", "2020-01-04 02:29:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710786", "2020-01-04 02:29:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710785", "2020-01-04 02:28:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710784", "2020-01-04 02:28:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710783", "2020-01-04 02:27:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710782", "2020-01-04 02:27:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710781", "2020-01-04 02:26:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710780", "2020-01-04 02:26:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710779", "2020-01-04 02:25:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710778", "2020-01-04 02:25:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710777", "2020-01-04 02:24:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710776", "2020-01-04 02:23:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710774", "2020-01-04 02:23:32", "/?author=19", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "14870");
INSERT INTO `wp_redirection_404` VALUES("1710775", "2020-01-04 02:23:33", "/?author=20", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "14870");
INSERT INTO `wp_redirection_404` VALUES("1710773", "2020-01-04 02:23:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710772", "2020-01-04 02:23:30", "/?author=18", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "14870");
INSERT INTO `wp_redirection_404` VALUES("1710771", "2020-01-04 02:23:29", "/?author=17", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "14870");
INSERT INTO `wp_redirection_404` VALUES("1710769", "2020-01-04 02:23:25", "/?author=15", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "14870");
INSERT INTO `wp_redirection_404` VALUES("1710770", "2020-01-04 02:23:26", "/?author=16", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "14870");
INSERT INTO `wp_redirection_404` VALUES("1710768", "2020-01-04 02:23:24", "/?author=14", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "14870");
INSERT INTO `wp_redirection_404` VALUES("1710767", "2020-01-04 02:23:23", "/?author=13", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "14870");
INSERT INTO `wp_redirection_404` VALUES("1710765", "2020-01-04 02:23:21", "/?author=11", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "14870");
INSERT INTO `wp_redirection_404` VALUES("1710766", "2020-01-04 02:23:22", "/?author=12", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "14870");
INSERT INTO `wp_redirection_404` VALUES("1710764", "2020-01-04 02:23:20", "/?author=10", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "14870");
INSERT INTO `wp_redirection_404` VALUES("1710763", "2020-01-04 02:23:19", "/?author=9", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "14870");
INSERT INTO `wp_redirection_404` VALUES("1710761", "2020-01-04 02:23:16", "/?author=7", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "14870");
INSERT INTO `wp_redirection_404` VALUES("1710762", "2020-01-04 02:23:17", "/?author=8", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "14870");
INSERT INTO `wp_redirection_404` VALUES("1710760", "2020-01-04 02:23:15", "/?author=6", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "14870");
INSERT INTO `wp_redirection_404` VALUES("1710759", "2020-01-04 02:23:14", "/?author=5", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "14870");
INSERT INTO `wp_redirection_404` VALUES("1710757", "2020-01-04 02:23:12", "/?author=3", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "14870");
INSERT INTO `wp_redirection_404` VALUES("1710758", "2020-01-04 02:23:13", "/?author=4", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "14870");
INSERT INTO `wp_redirection_404` VALUES("1710756", "2020-01-04 02:22:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710755", "2020-01-04 02:21:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710754", "2020-01-04 02:21:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710753", "2020-01-04 02:21:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710752", "2020-01-04 02:19:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710751", "2020-01-04 02:19:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710750", "2020-01-04 02:19:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710749", "2020-01-04 02:18:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710748", "2020-01-04 02:18:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710747", "2020-01-04 02:17:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710746", "2020-01-04 02:16:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710745", "2020-01-04 02:16:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710744", "2020-01-04 02:16:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710743", "2020-01-04 02:15:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710742", "2020-01-04 02:15:16", "/Login.aspx", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "19299");
INSERT INTO `wp_redirection_404` VALUES("1710741", "2020-01-04 02:15:16", "/Login.aspx", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "19299");
INSERT INTO `wp_redirection_404` VALUES("1710740", "2020-01-04 02:15:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710739", "2020-01-04 02:14:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710738", "2020-01-04 02:14:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710737", "2020-01-04 02:14:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710736", "2020-01-04 02:13:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710735", "2020-01-04 02:12:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710734", "2020-01-04 02:12:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710733", "2020-01-04 02:12:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710732", "2020-01-04 02:11:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710731", "2020-01-04 02:10:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710730", "2020-01-04 02:10:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710729", "2020-01-04 02:10:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710728", "2020-01-04 02:09:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710727", "2020-01-04 02:08:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710726", "2020-01-04 02:08:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710725", "2020-01-04 02:07:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710724", "2020-01-04 02:07:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710723", "2020-01-04 02:07:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710722", "2020-01-04 02:06:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710721", "2020-01-04 02:05:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710720", "2020-01-04 02:05:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710719", "2020-01-04 02:05:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710718", "2020-01-04 02:04:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710717", "2020-01-04 02:04:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710716", "2020-01-04 02:03:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710715", "2020-01-04 02:03:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710714", "2020-01-04 02:03:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710713", "2020-01-04 02:02:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710712", "2020-01-04 02:01:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710711", "2020-01-04 02:01:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710710", "2020-01-04 02:01:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710709", "2020-01-04 02:00:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710708", "2020-01-04 02:00:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710707", "2020-01-04 02:00:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710706", "2020-01-04 01:59:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710705", "2020-01-04 01:59:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710704", "2020-01-04 01:58:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710703", "2020-01-04 01:58:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710702", "2020-01-04 01:58:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710701", "2020-01-04 01:57:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710700", "2020-01-04 01:56:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710699", "2020-01-04 01:56:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710698", "2020-01-04 01:56:28", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "10777");
INSERT INTO `wp_redirection_404` VALUES("1710697", "2020-01-04 01:56:28", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "10777");
INSERT INTO `wp_redirection_404` VALUES("1710696", "2020-01-04 01:56:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710695", "2020-01-04 01:55:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710694", "2020-01-04 01:55:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710693", "2020-01-04 01:54:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710692", "2020-01-04 01:54:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710691", "2020-01-04 01:53:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710690", "2020-01-04 01:53:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710689", "2020-01-04 01:52:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710688", "2020-01-04 01:52:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710687", "2020-01-04 01:51:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710686", "2020-01-04 01:51:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710685", "2020-01-04 01:50:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710684", "2020-01-04 01:49:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710683", "2020-01-04 01:49:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710682", "2020-01-04 01:49:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710681", "2020-01-04 01:47:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710680", "2020-01-04 01:47:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710679", "2020-01-04 01:47:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710678", "2020-01-04 01:46:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710677", "2020-01-04 01:46:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710676", "2020-01-04 01:46:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710675", "2020-01-04 01:45:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710674", "2020-01-04 01:45:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710673", "2020-01-04 01:45:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710672", "2020-01-04 01:44:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710671", "2020-01-04 01:44:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710670", "2020-01-04 01:44:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710669", "2020-01-04 01:43:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710668", "2020-01-04 01:43:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710667", "2020-01-04 01:43:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710666", "2020-01-04 01:42:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710665", "2020-01-04 01:42:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710664", "2020-01-04 01:42:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710663", "2020-01-04 01:41:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710662", "2020-01-04 01:40:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710661", "2020-01-04 01:40:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710660", "2020-01-04 01:39:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710659", "2020-01-04 01:39:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710658", "2020-01-04 01:39:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710657", "2020-01-04 01:38:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710656", "2020-01-04 01:38:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710655", "2020-01-04 01:37:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710654", "2020-01-04 01:36:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710653", "2020-01-04 01:36:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710652", "2020-01-04 01:35:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710651", "2020-01-04 01:34:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710650", "2020-01-04 01:34:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710649", "2020-01-04 01:34:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710648", "2020-01-04 01:33:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710646", "2020-01-04 01:32:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710647", "2020-01-04 01:32:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710645", "2020-01-04 01:31:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710644", "2020-01-04 01:31:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710643", "2020-01-04 01:31:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710642", "2020-01-04 01:30:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710641", "2020-01-04 01:30:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710640", "2020-01-04 01:30:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710639", "2020-01-04 01:29:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710638", "2020-01-04 01:29:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710637", "2020-01-04 01:29:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710636", "2020-01-04 01:28:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710635", "2020-01-04 01:28:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710634", "2020-01-04 01:28:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710633", "2020-01-04 01:27:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710632", "2020-01-04 01:27:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710631", "2020-01-04 01:26:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710630", "2020-01-04 01:26:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710629", "2020-01-04 01:26:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710628", "2020-01-04 01:25:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710627", "2020-01-04 01:25:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710626", "2020-01-04 01:24:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710625", "2020-01-04 01:24:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710624", "2020-01-04 01:23:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710623", "2020-01-04 01:23:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710622", "2020-01-04 01:23:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710621", "2020-01-04 01:22:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710620", "2020-01-04 01:22:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710619", "2020-01-04 01:22:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710618", "2020-01-04 01:21:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710617", "2020-01-04 01:20:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710616", "2020-01-04 01:20:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710615", "2020-01-04 01:19:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710614", "2020-01-04 01:19:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710613", "2020-01-04 01:18:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710612", "2020-01-04 01:18:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710611", "2020-01-04 01:18:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710610", "2020-01-04 01:17:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710609", "2020-01-04 01:16:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710608", "2020-01-04 01:16:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710607", "2020-01-04 01:16:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710606", "2020-01-04 01:15:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710605", "2020-01-04 01:14:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710604", "2020-01-04 01:14:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710603", "2020-01-04 01:14:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710602", "2020-01-04 01:14:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710601", "2020-01-04 01:13:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710600", "2020-01-04 01:12:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710599", "2020-01-04 01:12:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710598", "2020-01-04 01:12:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710597", "2020-01-04 01:11:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710596", "2020-01-04 01:11:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710595", "2020-01-04 01:11:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710594", "2020-01-04 01:10:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710593", "2020-01-04 01:10:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710592", "2020-01-04 01:09:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710591", "2020-01-04 01:09:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710590", "2020-01-04 01:08:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710589", "2020-01-04 01:08:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710588", "2020-01-04 01:08:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710587", "2020-01-04 01:07:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710586", "2020-01-04 01:07:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710585", "2020-01-04 01:06:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710583", "2020-01-04 01:06:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710584", "2020-01-04 01:06:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710582", "2020-01-04 01:05:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710581", "2020-01-04 01:05:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710580", "2020-01-04 01:05:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710579", "2020-01-04 01:04:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710578", "2020-01-04 01:04:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710577", "2020-01-04 01:03:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710576", "2020-01-04 01:03:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710575", "2020-01-04 01:03:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710574", "2020-01-04 01:02:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710573", "2020-01-04 01:02:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710572", "2020-01-04 01:01:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710571", "2020-01-04 01:01:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710570", "2020-01-04 01:00:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710569", "2020-01-04 01:00:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710568", "2020-01-04 00:59:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710567", "2020-01-04 00:58:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710566", "2020-01-04 00:58:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710565", "2020-01-04 00:57:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710564", "2020-01-04 00:57:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710563", "2020-01-04 00:56:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710562", "2020-01-04 00:56:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710561", "2020-01-04 00:55:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710560", "2020-01-04 00:55:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710559", "2020-01-04 00:55:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710558", "2020-01-04 00:53:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710557", "2020-01-04 00:53:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710556", "2020-01-04 00:53:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710555", "2020-01-04 00:52:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710554", "2020-01-04 00:52:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710553", "2020-01-04 00:52:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710552", "2020-01-04 00:51:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710551", "2020-01-04 00:51:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710550", "2020-01-04 00:51:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710549", "2020-01-04 00:50:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710548", "2020-01-04 00:50:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710547", "2020-01-04 00:49:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710546", "2020-01-04 00:49:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710545", "2020-01-04 00:48:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710544", "2020-01-04 00:48:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710543", "2020-01-04 00:47:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710542", "2020-01-04 00:47:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710541", "2020-01-04 00:47:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710540", "2020-01-04 00:46:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710539", "2020-01-04 00:46:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710538", "2020-01-04 00:45:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710537", "2020-01-04 00:44:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710536", "2020-01-04 00:44:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710535", "2020-01-04 00:44:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710534", "2020-01-04 00:43:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710533", "2020-01-04 00:42:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710532", "2020-01-04 00:42:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710531", "2020-01-04 00:41:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710530", "2020-01-04 00:40:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710529", "2020-01-04 00:40:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710528", "2020-01-04 00:40:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710527", "2020-01-04 00:39:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710526", "2020-01-04 00:39:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710525", "2020-01-04 00:38:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710524", "2020-01-04 00:37:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710523", "2020-01-04 00:37:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710521", "2020-01-04 00:36:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710522", "2020-01-04 00:37:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710520", "2020-01-04 00:36:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710519", "2020-01-04 00:35:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710518", "2020-01-04 00:34:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710517", "2020-01-04 00:34:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710516", "2020-01-04 00:34:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710515", "2020-01-04 00:33:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710514", "2020-01-04 00:32:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710513", "2020-01-04 00:32:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710512", "2020-01-04 00:31:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710511", "2020-01-04 00:31:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710510", "2020-01-04 00:31:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710509", "2020-01-04 00:30:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710508", "2020-01-04 00:30:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710507", "2020-01-04 00:29:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710506", "2020-01-04 00:28:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710505", "2020-01-04 00:28:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710504", "2020-01-04 00:28:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710503", "2020-01-04 00:27:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710502", "2020-01-04 00:27:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710501", "2020-01-04 00:26:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710500", "2020-01-04 00:26:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710499", "2020-01-04 00:25:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710498", "2020-01-04 00:25:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710497", "2020-01-04 00:24:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710496", "2020-01-04 00:24:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710495", "2020-01-04 00:24:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710494", "2020-01-04 00:23:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710493", "2020-01-04 00:22:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710492", "2020-01-04 00:22:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710491", "2020-01-04 00:21:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710490", "2020-01-04 00:21:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710489", "2020-01-04 00:20:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710488", "2020-01-04 00:19:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710487", "2020-01-04 00:19:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710486", "2020-01-04 00:18:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710485", "2020-01-04 00:17:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710484", "2020-01-04 00:17:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710483", "2020-01-04 00:17:29", "/pizza-places/10-best-pizza-places-los-angeles-2015/", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/65.0.3325.181 Safari/537.36/1.0 (built with StormCrawler Archetype 1.8; http://someorganization.com/; someone@someorganization.com)", NULL, "54190");
INSERT INTO `wp_redirection_404` VALUES("1710482", "2020-01-04 00:17:06", "/pizza-parties/wine-pairing-pizza-toppings/", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/65.0.3325.181 Safari/537.36/1.0 (built with StormCrawler Archetype 1.8; http://someorganization.com/; someone@someorganization.com)", NULL, "54190");
INSERT INTO `wp_redirection_404` VALUES("1710481", "2020-01-04 00:17:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710480", "2020-01-04 00:16:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710479", "2020-01-04 00:15:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710478", "2020-01-04 00:15:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710477", "2020-01-04 00:14:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710476", "2020-01-04 00:14:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710475", "2020-01-04 00:13:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710474", "2020-01-04 00:13:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710473", "2020-01-04 00:12:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710472", "2020-01-04 00:12:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710471", "2020-01-04 00:11:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710470", "2020-01-04 00:11:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710469", "2020-01-04 00:11:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710468", "2020-01-04 00:10:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710467", "2020-01-04 00:10:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710466", "2020-01-04 00:09:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710465", "2020-01-04 00:09:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710464", "2020-01-04 00:09:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710463", "2020-01-04 00:08:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710462", "2020-01-04 00:08:17", "/static/.gitignore", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "39104");
INSERT INTO `wp_redirection_404` VALUES("1710461", "2020-01-04 00:08:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710460", "2020-01-04 00:08:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710459", "2020-01-04 00:07:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710458", "2020-01-04 00:06:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710457", "2020-01-04 00:06:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710456", "2020-01-04 00:06:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710455", "2020-01-04 00:05:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710454", "2020-01-04 00:05:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710453", "2020-01-04 00:04:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710452", "2020-01-04 00:04:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710451", "2020-01-04 00:04:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710450", "2020-01-04 00:03:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710449", "2020-01-04 00:02:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710448", "2020-01-04 00:02:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710447", "2020-01-04 00:01:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710446", "2020-01-04 00:00:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710445", "2020-01-04 00:00:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710444", "2020-01-04 00:00:40", "/?author=10", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "7211");
INSERT INTO `wp_redirection_404` VALUES("1710443", "2020-01-04 00:00:38", "/?author=9", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "7211");
INSERT INTO `wp_redirection_404` VALUES("1710442", "2020-01-04 00:00:36", "/?author=8", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "7211");
INSERT INTO `wp_redirection_404` VALUES("1710441", "2020-01-04 00:00:35", "/?author=7", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "7211");
INSERT INTO `wp_redirection_404` VALUES("1710440", "2020-01-04 00:00:33", "/?author=6", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "7211");
INSERT INTO `wp_redirection_404` VALUES("1710439", "2020-01-04 00:00:31", "/?author=5", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "7211");
INSERT INTO `wp_redirection_404` VALUES("1710437", "2020-01-04 00:00:27", "/?author=3", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "7211");
INSERT INTO `wp_redirection_404` VALUES("1710438", "2020-01-04 00:00:29", "/?author=4", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "7211");
INSERT INTO `wp_redirection_404` VALUES("1710436", "2020-01-04 00:00:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710435", "2020-01-03 23:59:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710434", "2020-01-03 23:59:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710433", "2020-01-03 23:58:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710432", "2020-01-03 23:58:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710431", "2020-01-03 23:57:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710430", "2020-01-03 23:57:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710429", "2020-01-03 23:56:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710428", "2020-01-03 23:56:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710427", "2020-01-03 23:56:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710426", "2020-01-03 23:55:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710425", "2020-01-03 23:55:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710424", "2020-01-03 23:55:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710423", "2020-01-03 23:54:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710422", "2020-01-03 23:53:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710421", "2020-01-03 23:53:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710420", "2020-01-03 23:53:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710419", "2020-01-03 23:52:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710418", "2020-01-03 23:52:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710417", "2020-01-03 23:52:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710416", "2020-01-03 23:50:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710415", "2020-01-03 23:50:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710414", "2020-01-03 23:50:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710413", "2020-01-03 23:49:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710412", "2020-01-03 23:49:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710411", "2020-01-03 23:49:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710410", "2020-01-03 23:48:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710409", "2020-01-03 23:48:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710408", "2020-01-03 23:47:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710407", "2020-01-03 23:47:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710406", "2020-01-03 23:47:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710405", "2020-01-03 23:46:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710404", "2020-01-03 23:46:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710403", "2020-01-03 23:46:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710402", "2020-01-03 23:44:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710401", "2020-01-03 23:44:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710400", "2020-01-03 23:44:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710399", "2020-01-03 23:43:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710398", "2020-01-03 23:43:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710397", "2020-01-03 23:43:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710396", "2020-01-03 23:42:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710395", "2020-01-03 23:42:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710394", "2020-01-03 23:42:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710392", "2020-01-03 23:40:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710393", "2020-01-03 23:41:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710391", "2020-01-03 23:40:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710390", "2020-01-03 23:40:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710389", "2020-01-03 23:39:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710388", "2020-01-03 23:39:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710387", "2020-01-03 23:39:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710386", "2020-01-03 23:38:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710385", "2020-01-03 23:38:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710384", "2020-01-03 23:37:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710383", "2020-01-03 23:37:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710382", "2020-01-03 23:36:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710381", "2020-01-03 23:36:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710380", "2020-01-03 23:36:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710379", "2020-01-03 23:35:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710378", "2020-01-03 23:35:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710377", "2020-01-03 23:34:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710376", "2020-01-03 23:34:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710375", "2020-01-03 23:33:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710374", "2020-01-03 23:33:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710373", "2020-01-03 23:33:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710372", "2020-01-03 23:32:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710371", "2020-01-03 23:32:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710370", "2020-01-03 23:32:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710369", "2020-01-03 23:30:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710368", "2020-01-03 23:30:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710367", "2020-01-03 23:30:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710366", "2020-01-03 23:29:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710365", "2020-01-03 23:29:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710364", "2020-01-03 23:29:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710363", "2020-01-03 23:28:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710362", "2020-01-03 23:28:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710361", "2020-01-03 23:27:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710360", "2020-01-03 23:27:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710359", "2020-01-03 23:26:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710358", "2020-01-03 23:26:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710357", "2020-01-03 23:26:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710356", "2020-01-03 23:25:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710355", "2020-01-03 23:25:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710354", "2020-01-03 23:24:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710353", "2020-01-03 23:24:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710352", "2020-01-03 23:24:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710351", "2020-01-03 23:23:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710350", "2020-01-03 23:23:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710349", "2020-01-03 23:22:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710348", "2020-01-03 23:22:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710347", "2020-01-03 23:22:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710346", "2020-01-03 23:21:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710345", "2020-01-03 23:21:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710344", "2020-01-03 23:20:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710343", "2020-01-03 23:20:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710342", "2020-01-03 23:20:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710341", "2020-01-03 23:19:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710340", "2020-01-03 23:19:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710339", "2020-01-03 23:19:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710338", "2020-01-03 23:18:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710337", "2020-01-03 23:18:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710336", "2020-01-03 23:17:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710335", "2020-01-03 23:17:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710334", "2020-01-03 23:16:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710333", "2020-01-03 23:16:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710332", "2020-01-03 23:16:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710331", "2020-01-03 23:15:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710330", "2020-01-03 23:15:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710329", "2020-01-03 23:15:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710328", "2020-01-03 23:13:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710327", "2020-01-03 23:13:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710326", "2020-01-03 23:13:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710325", "2020-01-03 23:12:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710324", "2020-01-03 23:11:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710323", "2020-01-03 23:11:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710322", "2020-01-03 23:11:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710321", "2020-01-03 23:10:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710320", "2020-01-03 23:10:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710319", "2020-01-03 23:09:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710318", "2020-01-03 23:09:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710317", "2020-01-03 23:09:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710316", "2020-01-03 23:08:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710315", "2020-01-03 23:08:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710314", "2020-01-03 23:08:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710313", "2020-01-03 23:07:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710312", "2020-01-03 23:06:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710310", "2020-01-03 23:06:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710311", "2020-01-03 23:06:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710309", "2020-01-03 23:05:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710308", "2020-01-03 23:05:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710307", "2020-01-03 23:05:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710306", "2020-01-03 23:04:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710305", "2020-01-03 23:04:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710304", "2020-01-03 23:03:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710303", "2020-01-03 23:03:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710302", "2020-01-03 23:03:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710301", "2020-01-03 23:02:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710300", "2020-01-03 23:02:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710299", "2020-01-03 23:01:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710298", "2020-01-03 23:01:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710297", "2020-01-03 23:01:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710296", "2020-01-03 22:59:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710295", "2020-01-03 22:59:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710294", "2020-01-03 22:59:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710293", "2020-01-03 22:58:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710292", "2020-01-03 22:58:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710291", "2020-01-03 22:58:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710290", "2020-01-03 22:57:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710289", "2020-01-03 22:57:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710288", "2020-01-03 22:56:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710287", "2020-01-03 22:56:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710286", "2020-01-03 22:56:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710285", "2020-01-03 22:55:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710284", "2020-01-03 22:55:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710283", "2020-01-03 22:54:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710282", "2020-01-03 22:54:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710281", "2020-01-03 22:54:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710280", "2020-01-03 22:53:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710279", "2020-01-03 22:53:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710278", "2020-01-03 22:53:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710277", "2020-01-03 22:52:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710276", "2020-01-03 22:52:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710275", "2020-01-03 22:52:13", "/contact.php", "Mozilla/5.0 (Linux; Android 7.0; LGMP260) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.93 Mobile Safari/537.36", NULL, "189218");
INSERT INTO `wp_redirection_404` VALUES("1710274", "2020-01-03 22:51:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710273", "2020-01-03 22:51:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710272", "2020-01-03 22:51:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710271", "2020-01-03 22:50:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710270", "2020-01-03 22:49:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710269", "2020-01-03 22:49:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710268", "2020-01-03 22:49:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710267", "2020-01-03 22:49:24", "/contact.php", "Mozilla/5.0 (Linux; Android 7.0; LGMP260) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.93 Mobile Safari/537.36", "http://buckspizza.com/contact.php", "189218");
INSERT INTO `wp_redirection_404` VALUES("1710266", "2020-01-03 22:48:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710265", "2020-01-03 22:48:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710264", "2020-01-03 22:48:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710263", "2020-01-03 22:47:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710262", "2020-01-03 22:47:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710261", "2020-01-03 22:47:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710260", "2020-01-03 22:46:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710259", "2020-01-03 22:46:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710258", "2020-01-03 22:45:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710257", "2020-01-03 22:45:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710256", "2020-01-03 22:44:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710255", "2020-01-03 22:44:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710254", "2020-01-03 22:43:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710253", "2020-01-03 22:43:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710252", "2020-01-03 22:43:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710251", "2020-01-03 22:42:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710250", "2020-01-03 22:42:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710249", "2020-01-03 22:42:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710248", "2020-01-03 22:41:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710247", "2020-01-03 22:41:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710246", "2020-01-03 22:40:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710245", "2020-01-03 22:40:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710244", "2020-01-03 22:39:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710243", "2020-01-03 22:39:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710242", "2020-01-03 22:38:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710241", "2020-01-03 22:38:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710240", "2020-01-03 22:37:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710239", "2020-01-03 22:37:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710238", "2020-01-03 22:37:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710237", "2020-01-03 22:36:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710236", "2020-01-03 22:36:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710235", "2020-01-03 22:36:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710234", "2020-01-03 22:35:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710233", "2020-01-03 22:35:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710232", "2020-01-03 22:34:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710231", "2020-01-03 22:34:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710230", "2020-01-03 22:33:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710229", "2020-01-03 22:33:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710228", "2020-01-03 22:33:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710227", "2020-01-03 22:32:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710226", "2020-01-03 22:31:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710225", "2020-01-03 22:31:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710224", "2020-01-03 22:31:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710223", "2020-01-03 22:31:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710222", "2020-01-03 22:30:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710221", "2020-01-03 22:30:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710220", "2020-01-03 22:30:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710219", "2020-01-03 22:30:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710218", "2020-01-03 22:29:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710217", "2020-01-03 22:28:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710216", "2020-01-03 22:28:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710215", "2020-01-03 22:28:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710214", "2020-01-03 22:27:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710213", "2020-01-03 22:27:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710212", "2020-01-03 22:26:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710211", "2020-01-03 22:26:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710210", "2020-01-03 22:25:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710209", "2020-01-03 22:25:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710208", "2020-01-03 22:25:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710207", "2020-01-03 22:24:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710206", "2020-01-03 22:24:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710205", "2020-01-03 22:23:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710204", "2020-01-03 22:23:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710203", "2020-01-03 22:23:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710202", "2020-01-03 22:22:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710201", "2020-01-03 22:22:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710200", "2020-01-03 22:22:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710199", "2020-01-03 22:21:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710198", "2020-01-03 22:20:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710197", "2020-01-03 22:20:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710196", "2020-01-03 22:20:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710195", "2020-01-03 22:19:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710194", "2020-01-03 22:19:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710193", "2020-01-03 22:19:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710192", "2020-01-03 22:18:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710191", "2020-01-03 22:18:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710190", "2020-01-03 22:18:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710189", "2020-01-03 22:17:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710188", "2020-01-03 22:17:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710187", "2020-01-03 22:16:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710186", "2020-01-03 22:16:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710185", "2020-01-03 22:15:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710184", "2020-01-03 22:15:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710183", "2020-01-03 22:14:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710182", "2020-01-03 22:14:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710181", "2020-01-03 22:14:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710180", "2020-01-03 22:13:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710179", "2020-01-03 22:13:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710178", "2020-01-03 22:12:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710177", "2020-01-03 22:12:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710176", "2020-01-03 22:12:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710175", "2020-01-03 22:11:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710174", "2020-01-03 22:10:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710173", "2020-01-03 22:10:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710172", "2020-01-03 22:10:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710171", "2020-01-03 22:09:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710170", "2020-01-03 22:09:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710169", "2020-01-03 22:09:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710168", "2020-01-03 22:08:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710166", "2020-01-03 22:07:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710167", "2020-01-03 22:07:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710165", "2020-01-03 22:06:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710164", "2020-01-03 22:06:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710163", "2020-01-03 22:06:27", "/dubois-", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710162", "2020-01-03 22:06:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710161", "2020-01-03 22:05:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710160", "2020-01-03 22:05:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710159", "2020-01-03 22:05:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710158", "2020-01-03 22:03:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710157", "2020-01-03 22:03:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710156", "2020-01-03 22:03:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1710155", "2020-01-03 22:02:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686953", "2019-12-28 06:36:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686952", "2019-12-28 06:36:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686951", "2019-12-28 06:35:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686950", "2019-12-28 06:35:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686948", "2019-12-28 06:34:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686949", "2019-12-28 06:34:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686947", "2019-12-28 06:34:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686946", "2019-12-28 06:33:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686945", "2019-12-28 06:33:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686944", "2019-12-28 06:33:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686943", "2019-12-28 06:32:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686942", "2019-12-28 06:32:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686941", "2019-12-28 06:31:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686940", "2019-12-28 06:31:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686915", "2019-12-28 06:20:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686916", "2019-12-28 06:20:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686917", "2019-12-28 06:21:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686918", "2019-12-28 06:21:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686919", "2019-12-28 06:21:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686920", "2019-12-28 06:22:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686921", "2019-12-28 06:22:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686922", "2019-12-28 06:23:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686923", "2019-12-28 06:23:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686924", "2019-12-28 06:24:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686925", "2019-12-28 06:24:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686926", "2019-12-28 06:25:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686927", "2019-12-28 06:25:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686928", "2019-12-28 06:26:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686929", "2019-12-28 06:26:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686930", "2019-12-28 06:27:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686931", "2019-12-28 06:27:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686932", "2019-12-28 06:28:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686933", "2019-12-28 06:28:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686934", "2019-12-28 06:29:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686935", "2019-12-28 06:29:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686936", "2019-12-28 06:29:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686937", "2019-12-28 06:30:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686938", "2019-12-28 06:30:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686939", "2019-12-28 06:30:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686914", "2019-12-28 06:19:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686913", "2019-12-28 06:19:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686912", "2019-12-28 06:19:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686911", "2019-12-28 06:18:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686910", "2019-12-28 06:17:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686909", "2019-12-28 06:17:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686908", "2019-12-28 06:17:38", "/pizza-places/10-best-pizza-places-los-angeles-2015/", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/65.0.3325.181 Safari/537.36/1.0 (built with StormCrawler Archetype 1.8; http://someorganization.com/; someone@someorganization.com)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1686907", "2019-12-28 06:17:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686906", "2019-12-28 06:16:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686905", "2019-12-28 06:16:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686904", "2019-12-28 06:16:33", "/2015/11/11/how-host-perfect-family-movie-night-home/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1686903", "2019-12-28 06:15:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686902", "2019-12-28 06:14:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686901", "2019-12-28 06:14:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686900", "2019-12-28 06:14:38", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1120 Darwin/19.0.0", NULL, "174250");
INSERT INTO `wp_redirection_404` VALUES("1686899", "2019-12-28 06:14:37", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1120 Darwin/19.0.0", NULL, "174250");
INSERT INTO `wp_redirection_404` VALUES("1686898", "2019-12-28 06:14:25", "/pizza-parties/wine-pairing-pizza-toppings/", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/65.0.3325.181 Safari/537.36/1.0 (built with StormCrawler Archetype 1.8; http://someorganization.com/; someone@someorganization.com)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1686897", "2019-12-28 06:14:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686896", "2019-12-28 06:13:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686895", "2019-12-28 06:13:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686894", "2019-12-28 06:12:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686893", "2019-12-28 06:12:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686892", "2019-12-28 06:11:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686891", "2019-12-28 06:11:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686890", "2019-12-28 06:11:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686889", "2019-12-28 06:10:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686888", "2019-12-28 06:10:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686887", "2019-12-28 06:09:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686886", "2019-12-28 06:09:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686885", "2019-12-28 06:09:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686884", "2019-12-28 06:08:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686883", "2019-12-28 06:08:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686882", "2019-12-28 06:07:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686881", "2019-12-28 06:06:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686880", "2019-12-28 06:06:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686879", "2019-12-28 06:05:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686878", "2019-12-28 06:05:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686877", "2019-12-28 06:04:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686876", "2019-12-28 06:04:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686875", "2019-12-28 06:03:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686874", "2019-12-28 06:03:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686873", "2019-12-28 06:02:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686872", "2019-12-28 06:02:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686871", "2019-12-28 06:01:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686870", "2019-12-28 06:01:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686869", "2019-12-28 06:00:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686868", "2019-12-28 06:00:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686867", "2019-12-28 06:00:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686866", "2019-12-28 05:59:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686865", "2019-12-28 05:59:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686864", "2019-12-28 05:59:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686863", "2019-12-28 05:58:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686862", "2019-12-28 05:58:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686861", "2019-12-28 05:58:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686860", "2019-12-28 05:57:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686859", "2019-12-28 05:57:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686858", "2019-12-28 05:56:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686857", "2019-12-28 05:56:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686856", "2019-12-28 05:56:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686855", "2019-12-28 05:55:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686854", "2019-12-28 05:55:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686853", "2019-12-28 05:55:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686852", "2019-12-28 05:54:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686851", "2019-12-28 05:54:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686850", "2019-12-28 05:54:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686849", "2019-12-28 05:53:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686848", "2019-12-28 05:53:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686847", "2019-12-28 05:52:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686846", "2019-12-28 05:52:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686845", "2019-12-28 05:52:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686844", "2019-12-28 05:51:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686843", "2019-12-28 05:51:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686842", "2019-12-28 05:51:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686841", "2019-12-28 05:50:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686840", "2019-12-28 05:49:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686839", "2019-12-28 05:49:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686838", "2019-12-28 05:49:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686837", "2019-12-28 05:48:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686836", "2019-12-28 05:48:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686835", "2019-12-28 05:47:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686834", "2019-12-28 05:47:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686833", "2019-12-28 05:47:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686832", "2019-12-28 05:46:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686831", "2019-12-28 05:46:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686830", "2019-12-28 05:46:12", "/Login.aspx", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "14956");
INSERT INTO `wp_redirection_404` VALUES("1686829", "2019-12-28 05:46:11", "/Login.aspx", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "14956");
INSERT INTO `wp_redirection_404` VALUES("1686828", "2019-12-28 05:46:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686827", "2019-12-28 05:45:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686826", "2019-12-28 05:45:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686825", "2019-12-28 05:44:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686824", "2019-12-28 05:44:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686823", "2019-12-28 05:44:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686822", "2019-12-28 05:44:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686821", "2019-12-28 05:43:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686820", "2019-12-28 05:43:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686819", "2019-12-28 05:43:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686818", "2019-12-28 05:42:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686817", "2019-12-28 05:42:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686816", "2019-12-28 05:42:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686815", "2019-12-28 05:41:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686814", "2019-12-28 05:40:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686813", "2019-12-28 05:40:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686812", "2019-12-28 05:40:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686811", "2019-12-28 05:39:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686810", "2019-12-28 05:39:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686809", "2019-12-28 05:39:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686808", "2019-12-28 05:38:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686807", "2019-12-28 05:38:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686806", "2019-12-28 05:37:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686805", "2019-12-28 05:37:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686804", "2019-12-28 05:37:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686803", "2019-12-28 05:36:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686802", "2019-12-28 05:36:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686801", "2019-12-28 05:36:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686800", "2019-12-28 05:35:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686799", "2019-12-28 05:35:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686798", "2019-12-28 05:35:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686797", "2019-12-28 05:33:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686796", "2019-12-28 05:33:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686795", "2019-12-28 05:33:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686794", "2019-12-28 05:32:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686793", "2019-12-28 05:32:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686792", "2019-12-28 05:32:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686791", "2019-12-28 05:30:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686790", "2019-12-28 05:30:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686789", "2019-12-28 05:30:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686788", "2019-12-28 05:29:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686787", "2019-12-28 05:29:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686786", "2019-12-28 05:29:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686785", "2019-12-28 05:28:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686784", "2019-12-28 05:28:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686783", "2019-12-28 05:28:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686782", "2019-12-28 05:27:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686781", "2019-12-28 05:27:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686780", "2019-12-28 05:27:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686779", "2019-12-28 05:26:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686778", "2019-12-28 05:26:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686777", "2019-12-28 05:26:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686776", "2019-12-28 05:24:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686775", "2019-12-28 05:24:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686774", "2019-12-28 05:24:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686773", "2019-12-28 05:23:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686772", "2019-12-28 05:23:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686771", "2019-12-28 05:23:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686770", "2019-12-28 05:22:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686769", "2019-12-28 05:22:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686768", "2019-12-28 05:22:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686767", "2019-12-28 05:21:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686766", "2019-12-28 05:21:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686765", "2019-12-28 05:21:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686764", "2019-12-28 05:20:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686763", "2019-12-28 05:20:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686762", "2019-12-28 05:20:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686761", "2019-12-28 05:19:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686760", "2019-12-28 05:19:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686759", "2019-12-28 05:18:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686758", "2019-12-28 05:18:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686757", "2019-12-28 05:18:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686756", "2019-12-28 05:17:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686755", "2019-12-28 05:16:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686754", "2019-12-28 05:16:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686753", "2019-12-28 05:16:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686752", "2019-12-28 05:15:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686751", "2019-12-28 05:15:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686750", "2019-12-28 05:15:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686749", "2019-12-28 05:14:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686748", "2019-12-28 05:14:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686747", "2019-12-28 05:14:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686746", "2019-12-28 05:13:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686745", "2019-12-28 05:13:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686744", "2019-12-28 05:13:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686743", "2019-12-28 05:12:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686742", "2019-12-28 05:11:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686741", "2019-12-28 05:11:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686740", "2019-12-28 05:11:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686739", "2019-12-28 05:10:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686738", "2019-12-28 05:10:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686737", "2019-12-28 05:09:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686736", "2019-12-28 05:09:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686735", "2019-12-28 05:09:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686734", "2019-12-28 05:08:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686733", "2019-12-28 05:07:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686732", "2019-12-28 05:07:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686731", "2019-12-28 05:07:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686730", "2019-12-28 05:06:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686729", "2019-12-28 05:06:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686728", "2019-12-28 05:05:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686727", "2019-12-28 05:05:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686726", "2019-12-28 05:05:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686725", "2019-12-28 05:04:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686724", "2019-12-28 05:04:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686723", "2019-12-28 05:04:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686722", "2019-12-28 05:03:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686721", "2019-12-28 05:02:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686720", "2019-12-28 05:02:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686719", "2019-12-28 05:02:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686718", "2019-12-28 05:01:45", "/owa/auth/logon.aspx?replaceCurrent=1&url=", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "149255");
INSERT INTO `wp_redirection_404` VALUES("1686717", "2019-12-28 05:01:44", "/owa/auth/logon.aspx?replaceCurrent=1&url=", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "149255");
INSERT INTO `wp_redirection_404` VALUES("1686716", "2019-12-28 05:01:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686715", "2019-12-28 05:01:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686714", "2019-12-28 05:00:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686713", "2019-12-28 05:00:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686712", "2019-12-28 05:00:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686711", "2019-12-28 04:59:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686710", "2019-12-28 04:59:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686709", "2019-12-28 04:59:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686708", "2019-12-28 04:58:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686707", "2019-12-28 04:58:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686706", "2019-12-28 04:58:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686705", "2019-12-28 04:57:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686704", "2019-12-28 04:57:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686703", "2019-12-28 04:57:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686702", "2019-12-28 04:56:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686701", "2019-12-28 04:56:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686700", "2019-12-28 04:56:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686699", "2019-12-28 04:55:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686698", "2019-12-28 04:55:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686697", "2019-12-28 04:55:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686696", "2019-12-28 04:54:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686695", "2019-12-28 04:54:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686694", "2019-12-28 04:53:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686693", "2019-12-28 04:53:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686692", "2019-12-28 04:52:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686691", "2019-12-28 04:52:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686690", "2019-12-28 04:52:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686689", "2019-12-28 04:50:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686688", "2019-12-28 04:50:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686687", "2019-12-28 04:50:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686686", "2019-12-28 04:49:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686685", "2019-12-28 04:49:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686684", "2019-12-28 04:49:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686683", "2019-12-28 04:48:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686682", "2019-12-28 04:48:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686681", "2019-12-28 04:48:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686680", "2019-12-28 04:47:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686679", "2019-12-28 04:47:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686678", "2019-12-28 04:47:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686677", "2019-12-28 04:46:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686676", "2019-12-28 04:46:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686675", "2019-12-28 04:46:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686674", "2019-12-28 04:45:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686673", "2019-12-28 04:45:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686672", "2019-12-28 04:45:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686671", "2019-12-28 04:44:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686670", "2019-12-28 04:44:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686669", "2019-12-28 04:43:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686668", "2019-12-28 04:42:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686667", "2019-12-28 04:42:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686666", "2019-12-28 04:42:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686665", "2019-12-28 04:41:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686664", "2019-12-28 04:41:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686663", "2019-12-28 04:41:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686662", "2019-12-28 04:39:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686661", "2019-12-28 04:39:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686660", "2019-12-28 04:39:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686659", "2019-12-28 04:38:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686658", "2019-12-28 04:38:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686657", "2019-12-28 04:37:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686656", "2019-12-28 04:37:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686655", "2019-12-28 04:36:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686654", "2019-12-28 04:36:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686653", "2019-12-28 04:35:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686652", "2019-12-28 04:35:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686651", "2019-12-28 04:35:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686650", "2019-12-28 04:34:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686649", "2019-12-28 04:34:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686648", "2019-12-28 04:34:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686647", "2019-12-28 04:33:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686646", "2019-12-28 04:33:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686645", "2019-12-28 04:33:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686644", "2019-12-28 04:32:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686643", "2019-12-28 04:32:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686642", "2019-12-28 04:32:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686641", "2019-12-28 04:31:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686640", "2019-12-28 04:31:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686639", "2019-12-28 04:31:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686638", "2019-12-28 04:30:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686637", "2019-12-28 04:30:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686636", "2019-12-28 04:30:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686635", "2019-12-28 04:29:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686633", "2019-12-28 04:29:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686634", "2019-12-28 04:29:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686632", "2019-12-28 04:28:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686631", "2019-12-28 04:28:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686630", "2019-12-28 04:28:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686629", "2019-12-28 04:27:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686628", "2019-12-28 04:26:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686627", "2019-12-28 04:26:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686626", "2019-12-28 04:25:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686625", "2019-12-28 04:25:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686624", "2019-12-28 04:25:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686623", "2019-12-28 04:24:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686622", "2019-12-28 04:24:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686621", "2019-12-28 04:24:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686620", "2019-12-28 04:23:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686619", "2019-12-28 04:23:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686618", "2019-12-28 04:23:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686617", "2019-12-28 04:22:57", "/.well-known/security.txt", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/67.0.3396.99 Safari/537.36", NULL, "178128");
INSERT INTO `wp_redirection_404` VALUES("1686616", "2019-12-28 04:22:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686615", "2019-12-28 04:22:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686614", "2019-12-28 04:22:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686613", "2019-12-28 04:21:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686612", "2019-12-28 04:21:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686611", "2019-12-28 04:20:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686610", "2019-12-28 04:20:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686609", "2019-12-28 04:19:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686608", "2019-12-28 04:19:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686607", "2019-12-28 04:19:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686606", "2019-12-28 04:18:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686605", "2019-12-28 04:18:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686604", "2019-12-28 04:17:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686603", "2019-12-28 04:17:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686602", "2019-12-28 04:16:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686601", "2019-12-28 04:16:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686600", "2019-12-28 04:16:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686599", "2019-12-28 04:15:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686598", "2019-12-28 04:15:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686597", "2019-12-28 04:15:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686596", "2019-12-28 04:14:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686595", "2019-12-28 04:14:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686594", "2019-12-28 04:13:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686593", "2019-12-28 04:13:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686592", "2019-12-28 04:13:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686591", "2019-12-28 04:12:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686590", "2019-12-28 04:12:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686589", "2019-12-28 04:11:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686588", "2019-12-28 04:11:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686587", "2019-12-28 04:10:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686586", "2019-12-28 04:10:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686585", "2019-12-28 04:09:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686584", "2019-12-28 04:09:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686583", "2019-12-28 04:09:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686582", "2019-12-28 04:08:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686581", "2019-12-28 04:08:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686580", "2019-12-28 04:08:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686579", "2019-12-28 04:07:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686578", "2019-12-28 04:07:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686577", "2019-12-28 04:07:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686576", "2019-12-28 04:06:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686575", "2019-12-28 04:06:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686574", "2019-12-28 04:05:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686573", "2019-12-28 04:04:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686572", "2019-12-28 04:04:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686571", "2019-12-28 04:04:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686570", "2019-12-28 04:03:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686569", "2019-12-28 04:03:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686568", "2019-12-28 04:03:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686567", "2019-12-28 04:02:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686566", "2019-12-28 04:02:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686565", "2019-12-28 04:02:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686564", "2019-12-28 04:01:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686563", "2019-12-28 04:01:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686562", "2019-12-28 04:01:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686561", "2019-12-28 04:00:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686560", "2019-12-28 04:00:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686559", "2019-12-28 03:59:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686558", "2019-12-28 03:59:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686557", "2019-12-28 03:59:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686556", "2019-12-28 03:58:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686555", "2019-12-28 03:57:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686554", "2019-12-28 03:56:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686553", "2019-12-28 03:56:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686552", "2019-12-28 03:56:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686551", "2019-12-28 03:55:47", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "7214");
INSERT INTO `wp_redirection_404` VALUES("1686550", "2019-12-28 03:55:46", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "7214");
INSERT INTO `wp_redirection_404` VALUES("1686549", "2019-12-28 03:55:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686548", "2019-12-28 03:55:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686546", "2019-12-28 03:53:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686547", "2019-12-28 03:54:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686545", "2019-12-28 03:53:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686543", "2019-12-28 03:52:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686544", "2019-12-28 03:53:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686542", "2019-12-28 03:52:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686541", "2019-12-28 03:51:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686540", "2019-12-28 03:51:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686539", "2019-12-28 03:50:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686538", "2019-12-28 03:50:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686537", "2019-12-28 03:49:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686536", "2019-12-28 03:49:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686535", "2019-12-28 03:48:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686534", "2019-12-28 03:48:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686533", "2019-12-28 03:48:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686532", "2019-12-28 03:47:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686531", "2019-12-28 03:47:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686530", "2019-12-28 03:47:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686529", "2019-12-28 03:46:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686528", "2019-12-28 03:46:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686527", "2019-12-28 03:46:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686526", "2019-12-28 03:45:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686525", "2019-12-28 03:45:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686524", "2019-12-28 03:45:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686523", "2019-12-28 03:44:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686522", "2019-12-28 03:44:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686521", "2019-12-28 03:43:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686520", "2019-12-28 03:42:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686519", "2019-12-28 03:42:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686518", "2019-12-28 03:42:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686517", "2019-12-28 03:41:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686516", "2019-12-28 03:41:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686515", "2019-12-28 03:41:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686514", "2019-12-28 03:40:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686513", "2019-12-28 03:40:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686512", "2019-12-28 03:40:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686511", "2019-12-28 03:39:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686510", "2019-12-28 03:39:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686509", "2019-12-28 03:39:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686508", "2019-12-28 03:38:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686507", "2019-12-28 03:38:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686506", "2019-12-28 03:38:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686505", "2019-12-28 03:37:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686504", "2019-12-28 03:36:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686503", "2019-12-28 03:36:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686502", "2019-12-28 03:35:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686501", "2019-12-28 03:35:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686500", "2019-12-28 03:35:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686499", "2019-12-28 03:33:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686498", "2019-12-28 03:33:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686497", "2019-12-28 03:33:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686496", "2019-12-28 03:32:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686495", "2019-12-28 03:32:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686494", "2019-12-28 03:32:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686493", "2019-12-28 03:31:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686492", "2019-12-28 03:31:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686491", "2019-12-28 03:30:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686490", "2019-12-28 03:29:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686489", "2019-12-28 03:29:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686488", "2019-12-28 03:29:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686487", "2019-12-28 03:28:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686486", "2019-12-28 03:28:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686485", "2019-12-28 03:28:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686484", "2019-12-28 03:27:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686483", "2019-12-28 03:27:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686482", "2019-12-28 03:27:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686481", "2019-12-28 03:26:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686480", "2019-12-28 03:26:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686479", "2019-12-28 03:26:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686478", "2019-12-28 03:24:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686477", "2019-12-28 03:24:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686476", "2019-12-28 03:24:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686475", "2019-12-28 03:23:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686474", "2019-12-28 03:23:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686473", "2019-12-28 03:22:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686472", "2019-12-28 03:22:06", "/plugins/kindeditor/themes/default/default.css", "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Win64; x64; Trident/5.0)", "http://buckspizza.com/plugins/kindeditor/themes/default/default.css", "139129");
INSERT INTO `wp_redirection_404` VALUES("1686471", "2019-12-28 03:21:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686470", "2019-12-28 03:21:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686469", "2019-12-28 03:21:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686468", "2019-12-28 03:19:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686467", "2019-12-28 03:19:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686466", "2019-12-28 03:19:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686465", "2019-12-28 03:18:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686464", "2019-12-28 03:18:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686463", "2019-12-28 03:17:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686462", "2019-12-28 03:16:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686461", "2019-12-28 03:16:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686460", "2019-12-28 03:16:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686459", "2019-12-28 03:15:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686458", "2019-12-28 03:14:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686457", "2019-12-28 03:14:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686456", "2019-12-28 03:13:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686455", "2019-12-28 03:13:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686454", "2019-12-28 03:12:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686453", "2019-12-28 03:12:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686452", "2019-12-28 03:12:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686451", "2019-12-28 03:11:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686450", "2019-12-28 03:11:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686449", "2019-12-28 03:11:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686448", "2019-12-28 03:10:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686447", "2019-12-28 03:10:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686446", "2019-12-28 03:10:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686445", "2019-12-28 03:08:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686444", "2019-12-28 03:08:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686443", "2019-12-28 03:08:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686442", "2019-12-28 03:07:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686441", "2019-12-28 03:07:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686440", "2019-12-28 03:07:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686439", "2019-12-28 03:06:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686438", "2019-12-28 03:06:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686437", "2019-12-28 03:05:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686436", "2019-12-28 03:04:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686435", "2019-12-28 03:04:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686434", "2019-12-28 03:04:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686433", "2019-12-28 03:03:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686432", "2019-12-28 03:03:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686431", "2019-12-28 03:02:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686430", "2019-12-28 03:02:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686429", "2019-12-28 03:01:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686428", "2019-12-28 03:01:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686427", "2019-12-28 03:00:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686426", "2019-12-28 03:00:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686425", "2019-12-28 03:00:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686424", "2019-12-28 02:59:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686423", "2019-12-28 02:58:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686422", "2019-12-28 02:58:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686421", "2019-12-28 02:57:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686420", "2019-12-28 02:57:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686419", "2019-12-28 02:57:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686418", "2019-12-28 02:56:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686416", "2019-12-28 02:55:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686417", "2019-12-28 02:55:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686415", "2019-12-28 02:54:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686414", "2019-12-28 02:53:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686413", "2019-12-28 02:53:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686412", "2019-12-28 02:53:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686411", "2019-12-28 02:52:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686410", "2019-12-28 02:52:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686409", "2019-12-28 02:52:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686408", "2019-12-28 02:51:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686407", "2019-12-28 02:51:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686406", "2019-12-28 02:51:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686405", "2019-12-28 02:50:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686404", "2019-12-28 02:50:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686403", "2019-12-28 02:49:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686402", "2019-12-28 02:49:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686401", "2019-12-28 02:49:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686400", "2019-12-28 02:48:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686399", "2019-12-28 02:47:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686398", "2019-12-28 02:47:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686397", "2019-12-28 02:47:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686396", "2019-12-28 02:46:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686395", "2019-12-28 02:46:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686394", "2019-12-28 02:46:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686393", "2019-12-28 02:45:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686392", "2019-12-28 02:45:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686391", "2019-12-28 02:45:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686390", "2019-12-28 02:44:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686389", "2019-12-28 02:44:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686388", "2019-12-28 02:44:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686387", "2019-12-28 02:43:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686386", "2019-12-28 02:43:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686385", "2019-12-28 02:42:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686384", "2019-12-28 02:42:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686383", "2019-12-28 02:42:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686382", "2019-12-28 02:41:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686381", "2019-12-28 02:40:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686380", "2019-12-28 02:40:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686379", "2019-12-28 02:40:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686378", "2019-12-28 02:39:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686377", "2019-12-28 02:39:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686376", "2019-12-28 02:38:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686375", "2019-12-28 02:38:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686374", "2019-12-28 02:38:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686373", "2019-12-28 02:37:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686372", "2019-12-28 02:36:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686371", "2019-12-28 02:36:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686370", "2019-12-28 02:35:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686369", "2019-12-28 02:35:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686368", "2019-12-28 02:34:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686367", "2019-12-28 02:34:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686366", "2019-12-28 02:33:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686365", "2019-12-28 02:33:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686364", "2019-12-28 02:32:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686363", "2019-12-28 02:32:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686362", "2019-12-28 02:32:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686361", "2019-12-28 02:31:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686360", "2019-12-28 02:31:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686359", "2019-12-28 02:30:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686358", "2019-12-28 02:30:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686357", "2019-12-28 02:29:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686356", "2019-12-28 02:29:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686355", "2019-12-28 02:29:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686354", "2019-12-28 02:29:01", "/router.php", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "3998");
INSERT INTO `wp_redirection_404` VALUES("1686353", "2019-12-28 02:28:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686352", "2019-12-28 02:28:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686351", "2019-12-28 02:27:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686350", "2019-12-28 02:27:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686349", "2019-12-28 02:26:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686348", "2019-12-28 02:26:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686347", "2019-12-28 02:25:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686346", "2019-12-28 02:25:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686345", "2019-12-28 02:24:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686344", "2019-12-28 02:24:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686343", "2019-12-28 02:23:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686342", "2019-12-28 02:23:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686341", "2019-12-28 02:22:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686340", "2019-12-28 02:22:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686339", "2019-12-28 02:22:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686338", "2019-12-28 02:21:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686337", "2019-12-28 02:20:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686336", "2019-12-28 02:20:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686335", "2019-12-28 02:20:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686334", "2019-12-28 02:19:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686332", "2019-12-28 02:19:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686333", "2019-12-28 02:19:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686331", "2019-12-28 02:18:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686330", "2019-12-28 02:18:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686329", "2019-12-28 02:17:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686328", "2019-12-28 02:17:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686327", "2019-12-28 02:17:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686326", "2019-12-28 02:16:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686325", "2019-12-28 02:16:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686324", "2019-12-28 02:16:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686323", "2019-12-28 02:15:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686322", "2019-12-28 02:14:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686321", "2019-12-28 02:14:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686320", "2019-12-28 02:13:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686319", "2019-12-28 02:13:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686318", "2019-12-28 02:13:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686317", "2019-12-28 02:12:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686316", "2019-12-28 02:12:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686315", "2019-12-28 02:12:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686314", "2019-12-28 02:11:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686313", "2019-12-28 02:11:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686312", "2019-12-28 02:11:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686311", "2019-12-28 02:10:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686310", "2019-12-28 02:10:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686309", "2019-12-28 02:10:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686308", "2019-12-28 02:09:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686307", "2019-12-28 02:08:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686306", "2019-12-28 02:08:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686305", "2019-12-28 02:08:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686304", "2019-12-28 02:07:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686303", "2019-12-28 02:07:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686302", "2019-12-28 02:06:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686301", "2019-12-28 02:06:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686300", "2019-12-28 02:05:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686299", "2019-12-28 02:05:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686298", "2019-12-28 02:04:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686297", "2019-12-28 02:04:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686296", "2019-12-28 02:03:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686295", "2019-12-28 02:03:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686294", "2019-12-28 02:03:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686293", "2019-12-28 02:02:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686292", "2019-12-28 02:02:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686291", "2019-12-28 02:01:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686290", "2019-12-28 02:01:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686289", "2019-12-28 02:00:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686288", "2019-12-28 02:00:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686287", "2019-12-28 02:00:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686286", "2019-12-28 01:59:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686285", "2019-12-28 01:58:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686284", "2019-12-28 01:58:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686283", "2019-12-28 01:57:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686282", "2019-12-28 01:57:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686281", "2019-12-28 01:56:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686280", "2019-12-28 01:55:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686279", "2019-12-28 01:55:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686278", "2019-12-28 01:55:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686277", "2019-12-28 01:54:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686276", "2019-12-28 01:54:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686275", "2019-12-28 01:53:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686274", "2019-12-28 01:52:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686273", "2019-12-28 01:52:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686272", "2019-12-28 01:52:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686271", "2019-12-28 01:51:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686270", "2019-12-28 01:51:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686269", "2019-12-28 01:51:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686268", "2019-12-28 01:50:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686267", "2019-12-28 01:50:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686266", "2019-12-28 01:49:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686265", "2019-12-28 01:48:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686264", "2019-12-28 01:48:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686263", "2019-12-28 01:48:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686262", "2019-12-28 01:47:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686261", "2019-12-28 01:47:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686260", "2019-12-28 01:47:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686259", "2019-12-28 01:46:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686258", "2019-12-28 01:45:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686257", "2019-12-28 01:45:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686256", "2019-12-28 01:44:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686255", "2019-12-28 01:44:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686254", "2019-12-28 01:44:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686253", "2019-12-28 01:43:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686252", "2019-12-28 01:43:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686251", "2019-12-28 01:42:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686250", "2019-12-28 01:42:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686249", "2019-12-28 01:41:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686248", "2019-12-28 01:41:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686247", "2019-12-28 01:40:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686246", "2019-12-28 01:40:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686245", "2019-12-28 01:40:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686244", "2019-12-28 01:39:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686243", "2019-12-28 01:39:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686242", "2019-12-28 01:38:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686241", "2019-12-28 01:38:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686240", "2019-12-28 01:37:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686239", "2019-12-28 01:37:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686238", "2019-12-28 01:36:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686237", "2019-12-28 01:35:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686236", "2019-12-28 01:35:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686235", "2019-12-28 01:34:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686234", "2019-12-28 01:34:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686233", "2019-12-28 01:34:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686232", "2019-12-28 01:33:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686231", "2019-12-28 01:32:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686230", "2019-12-28 01:32:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686229", "2019-12-28 01:31:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686228", "2019-12-28 01:31:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686227", "2019-12-28 01:30:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686226", "2019-12-28 01:30:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686225", "2019-12-28 01:29:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686224", "2019-12-28 01:29:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686223", "2019-12-28 01:28:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686222", "2019-12-28 01:28:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686221", "2019-12-28 01:27:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686220", "2019-12-28 01:26:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686219", "2019-12-28 01:26:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686218", "2019-12-28 01:26:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686217", "2019-12-28 01:25:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686216", "2019-12-28 01:25:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686215", "2019-12-28 01:24:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686214", "2019-12-28 01:23:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686213", "2019-12-28 01:23:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686212", "2019-12-28 01:23:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686211", "2019-12-28 01:22:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686210", "2019-12-28 01:22:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686209", "2019-12-28 01:21:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686208", "2019-12-28 01:20:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686207", "2019-12-28 01:20:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686206", "2019-12-28 01:19:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686205", "2019-12-28 01:19:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686204", "2019-12-28 01:18:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686203", "2019-12-28 01:18:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686202", "2019-12-28 01:17:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686201", "2019-12-28 01:16:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686200", "2019-12-28 01:16:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686199", "2019-12-28 01:15:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686198", "2019-12-28 01:14:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686197", "2019-12-28 01:14:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686196", "2019-12-28 01:14:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686195", "2019-12-28 01:13:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686194", "2019-12-28 01:13:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686193", "2019-12-28 01:12:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686192", "2019-12-28 01:11:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686191", "2019-12-28 01:11:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686190", "2019-12-28 01:10:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686189", "2019-12-28 01:10:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686188", "2019-12-28 01:10:30", "/story.php", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1686187", "2019-12-28 01:10:20", "/phpinfo.php", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "4985");
INSERT INTO `wp_redirection_404` VALUES("1686186", "2019-12-28 01:10:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686185", "2019-12-28 01:09:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686184", "2019-12-28 01:08:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686183", "2019-12-28 01:08:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686182", "2019-12-28 01:07:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686181", "2019-12-28 01:07:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686180", "2019-12-28 01:06:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686179", "2019-12-28 01:06:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686178", "2019-12-28 01:05:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686177", "2019-12-28 01:05:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686176", "2019-12-28 01:05:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686175", "2019-12-28 01:03:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686174", "2019-12-28 01:03:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686173", "2019-12-28 01:03:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686172", "2019-12-28 01:01:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686171", "2019-12-28 01:01:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686170", "2019-12-28 01:01:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686169", "2019-12-28 01:00:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686168", "2019-12-28 01:00:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686167", "2019-12-28 01:00:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686166", "2019-12-28 00:58:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686165", "2019-12-28 00:58:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686164", "2019-12-28 00:58:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686163", "2019-12-28 00:57:53", "/about.php", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1686162", "2019-12-28 00:57:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686161", "2019-12-28 00:57:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686160", "2019-12-28 00:56:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686159", "2019-12-28 00:55:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686158", "2019-12-28 00:55:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686157", "2019-12-28 00:55:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686156", "2019-12-28 00:53:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686155", "2019-12-28 00:53:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686154", "2019-12-28 00:53:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686153", "2019-12-28 00:52:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686152", "2019-12-28 00:51:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686151", "2019-12-28 00:51:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686150", "2019-12-28 00:50:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686149", "2019-12-28 00:50:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686148", "2019-12-28 00:50:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686147", "2019-12-28 00:48:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686146", "2019-12-28 00:48:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686145", "2019-12-28 00:48:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686144", "2019-12-28 00:47:26", "/info.php", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1686143", "2019-12-28 00:47:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686142", "2019-12-28 00:47:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686141", "2019-12-28 00:46:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686140", "2019-12-28 00:45:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686139", "2019-12-28 00:45:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686138", "2019-12-28 00:45:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686137", "2019-12-28 00:44:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686136", "2019-12-28 00:44:19", "/ads.txt", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686135", "2019-12-28 00:44:17", "/ads.txt", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686134", "2019-12-28 00:44:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686133", "2019-12-28 00:43:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686132", "2019-12-28 00:43:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686131", "2019-12-28 00:42:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686130", "2019-12-28 00:42:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686129", "2019-12-28 00:41:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686128", "2019-12-28 00:41:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686127", "2019-12-28 00:40:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686126", "2019-12-28 00:39:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686125", "2019-12-28 00:39:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686124", "2019-12-28 00:39:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686123", "2019-12-28 00:38:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686122", "2019-12-28 00:38:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686120", "2019-12-28 00:37:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686121", "2019-12-28 00:38:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686119", "2019-12-28 00:37:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686117", "2019-12-28 00:36:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686118", "2019-12-28 00:36:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686116", "2019-12-28 00:35:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686115", "2019-12-28 00:35:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686114", "2019-12-28 00:34:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686113", "2019-12-28 00:33:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686112", "2019-12-28 00:33:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686111", "2019-12-28 00:32:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686110", "2019-12-28 00:32:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686109", "2019-12-28 00:32:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686108", "2019-12-28 00:32:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686107", "2019-12-28 00:32:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686106", "2019-12-28 00:30:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686105", "2019-12-28 00:30:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686104", "2019-12-28 00:30:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686103", "2019-12-28 00:29:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686102", "2019-12-28 00:28:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686101", "2019-12-28 00:28:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686100", "2019-12-28 00:28:00", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "9639");
INSERT INTO `wp_redirection_404` VALUES("1686099", "2019-12-28 00:28:00", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "9639");
INSERT INTO `wp_redirection_404` VALUES("1686098", "2019-12-28 00:27:59", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "9639");
INSERT INTO `wp_redirection_404` VALUES("1686097", "2019-12-28 00:27:59", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "9639");
INSERT INTO `wp_redirection_404` VALUES("1686096", "2019-12-28 00:27:58", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "9639");
INSERT INTO `wp_redirection_404` VALUES("1686095", "2019-12-28 00:27:58", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "9639");
INSERT INTO `wp_redirection_404` VALUES("1686094", "2019-12-28 00:27:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686093", "2019-12-28 00:27:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686092", "2019-12-28 00:27:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686090", "2019-12-28 00:24:41", "/?author=19", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "118126");
INSERT INTO `wp_redirection_404` VALUES("1686091", "2019-12-28 00:24:42", "/?author=20", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "118126");
INSERT INTO `wp_redirection_404` VALUES("1686089", "2019-12-28 00:24:40", "/?author=18", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "118126");
INSERT INTO `wp_redirection_404` VALUES("1686088", "2019-12-28 00:24:39", "/?author=17", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "118126");
INSERT INTO `wp_redirection_404` VALUES("1686086", "2019-12-28 00:24:37", "/?author=15", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "118126");
INSERT INTO `wp_redirection_404` VALUES("1686087", "2019-12-28 00:24:38", "/?author=16", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "118126");
INSERT INTO `wp_redirection_404` VALUES("1686085", "2019-12-28 00:24:36", "/?author=14", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "118126");
INSERT INTO `wp_redirection_404` VALUES("1686084", "2019-12-28 00:24:35", "/?author=13", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "118126");
INSERT INTO `wp_redirection_404` VALUES("1686082", "2019-12-28 00:24:34", "/?author=11", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "118126");
INSERT INTO `wp_redirection_404` VALUES("1686083", "2019-12-28 00:24:35", "/?author=12", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "118126");
INSERT INTO `wp_redirection_404` VALUES("1686081", "2019-12-28 00:24:33", "/?author=10", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "118126");
INSERT INTO `wp_redirection_404` VALUES("1686080", "2019-12-28 00:24:32", "/?author=9", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "118126");
INSERT INTO `wp_redirection_404` VALUES("1686078", "2019-12-28 00:24:30", "/?author=7", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "118126");
INSERT INTO `wp_redirection_404` VALUES("1686079", "2019-12-28 00:24:31", "/?author=8", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "118126");
INSERT INTO `wp_redirection_404` VALUES("1686077", "2019-12-28 00:24:29", "/?author=6", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "118126");
INSERT INTO `wp_redirection_404` VALUES("1686076", "2019-12-28 00:24:28", "/?author=5", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "118126");
INSERT INTO `wp_redirection_404` VALUES("1686074", "2019-12-28 00:24:26", "/?author=3", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "118126");
INSERT INTO `wp_redirection_404` VALUES("1686075", "2019-12-28 00:24:27", "/?author=4", "Apache-HttpClient/4.5.2 (Java/1.8.0_151)", NULL, "118126");
INSERT INTO `wp_redirection_404` VALUES("1686073", "2019-12-28 00:20:17", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "736");
INSERT INTO `wp_redirection_404` VALUES("1686072", "2019-12-28 00:20:16", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "736");
INSERT INTO `wp_redirection_404` VALUES("1686071", "2019-12-28 00:19:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686070", "2019-12-28 00:19:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686069", "2019-12-28 00:19:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686068", "2019-12-28 00:17:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686067", "2019-12-28 00:17:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686066", "2019-12-28 00:17:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686065", "2019-12-28 00:16:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686064", "2019-12-28 00:16:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686063", "2019-12-28 00:16:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686062", "2019-12-28 00:15:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686061", "2019-12-28 00:15:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686060", "2019-12-28 00:14:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686059", "2019-12-28 00:14:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686058", "2019-12-28 00:13:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686057", "2019-12-28 00:13:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686056", "2019-12-28 00:12:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686055", "2019-12-28 00:12:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686054", "2019-12-28 00:11:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686053", "2019-12-28 00:10:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686052", "2019-12-28 00:10:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686051", "2019-12-28 00:10:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686050", "2019-12-28 00:09:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686049", "2019-12-28 00:09:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686048", "2019-12-28 00:08:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686047", "2019-12-28 00:08:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686046", "2019-12-28 00:07:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686045", "2019-12-28 00:07:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686044", "2019-12-28 00:06:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686043", "2019-12-28 00:06:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686042", "2019-12-28 00:05:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686041", "2019-12-28 00:05:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686040", "2019-12-28 00:04:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686039", "2019-12-28 00:04:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686038", "2019-12-28 00:03:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686037", "2019-12-28 00:03:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686036", "2019-12-28 00:02:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686035", "2019-12-28 00:02:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686034", "2019-12-28 00:02:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686033", "2019-12-28 00:01:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686032", "2019-12-28 00:01:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686031", "2019-12-28 00:00:36", "/alabaster-al/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1686030", "2019-12-28 00:00:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686029", "2019-12-28 00:00:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686028", "2019-12-27 23:59:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686027", "2019-12-27 23:59:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686026", "2019-12-27 23:58:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686025", "2019-12-27 23:57:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686024", "2019-12-27 23:57:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686023", "2019-12-27 23:57:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686022", "2019-12-27 23:56:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686021", "2019-12-27 23:56:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686020", "2019-12-27 23:55:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686019", "2019-12-27 23:55:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686018", "2019-12-27 23:55:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686017", "2019-12-27 23:55:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686016", "2019-12-27 23:54:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686015", "2019-12-27 23:54:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686014", "2019-12-27 23:54:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686013", "2019-12-27 23:53:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686012", "2019-12-27 23:52:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686011", "2019-12-27 23:52:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686010", "2019-12-27 23:52:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686009", "2019-12-27 23:51:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686008", "2019-12-27 23:51:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686007", "2019-12-27 23:50:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686006", "2019-12-27 23:50:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686005", "2019-12-27 23:50:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686004", "2019-12-27 23:49:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686003", "2019-12-27 23:49:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686002", "2019-12-27 23:49:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686001", "2019-12-27 23:48:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1686000", "2019-12-27 23:47:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685999", "2019-12-27 23:47:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685998", "2019-12-27 23:47:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685997", "2019-12-27 23:46:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685996", "2019-12-27 23:46:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685995", "2019-12-27 23:46:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685994", "2019-12-27 23:44:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685993", "2019-12-27 23:44:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685992", "2019-12-27 23:44:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685991", "2019-12-27 23:43:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685990", "2019-12-27 23:43:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685989", "2019-12-27 23:42:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685988", "2019-12-27 23:42:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685987", "2019-12-27 23:41:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685986", "2019-12-27 23:41:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685985", "2019-12-27 23:40:56", "/owa/auth/logon.aspx?replaceCurrent=1&url=", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "149255");
INSERT INTO `wp_redirection_404` VALUES("1685984", "2019-12-27 23:40:55", "/owa/auth/logon.aspx?replaceCurrent=1&url=", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "149255");
INSERT INTO `wp_redirection_404` VALUES("1685983", "2019-12-27 23:40:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685982", "2019-12-27 23:40:40", "/install.php", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:52.0) Gecko/20100101 Firefox/52.0", NULL, "104155");
INSERT INTO `wp_redirection_404` VALUES("1685981", "2019-12-27 23:40:40", "/magento_version", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:52.0) Gecko/20100101 Firefox/52.0", NULL, "104155");
INSERT INTO `wp_redirection_404` VALUES("1685980", "2019-12-27 23:40:40", "/util/login.aspx", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:52.0) Gecko/20100101 Firefox/52.0", NULL, "104155");
INSERT INTO `wp_redirection_404` VALUES("1685979", "2019-12-27 23:40:35", "/a", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:52.0) Gecko/20100101 Firefox/52.0", NULL, "104155");
INSERT INTO `wp_redirection_404` VALUES("1685978", "2019-12-27 23:40:33", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "65184");
INSERT INTO `wp_redirection_404` VALUES("1685977", "2019-12-27 23:40:32", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "65184");
INSERT INTO `wp_redirection_404` VALUES("1685976", "2019-12-27 23:40:22", "/pizza-parties/wine-pairing-pizza-toppings/", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:52.0) Gecko/20100101 Firefox/52.0", NULL, "104155");
INSERT INTO `wp_redirection_404` VALUES("1685975", "2019-12-27 23:40:22", "/pizza-places/10-best-pizza-places-los-angeles-2015/", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:52.0) Gecko/20100101 Firefox/52.0", NULL, "104155");
INSERT INTO `wp_redirection_404` VALUES("1685974", "2019-12-27 23:40:16", "/a", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:52.0) Gecko/20100101 Firefox/52.0", NULL, "104155");
INSERT INTO `wp_redirection_404` VALUES("1685973", "2019-12-27 23:39:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685972", "2019-12-27 23:39:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685971", "2019-12-27 23:39:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685970", "2019-12-27 23:38:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685969", "2019-12-27 23:38:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685968", "2019-12-27 23:38:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685967", "2019-12-27 23:37:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685966", "2019-12-27 23:36:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685965", "2019-12-27 23:36:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685964", "2019-12-27 23:35:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685963", "2019-12-27 23:35:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685962", "2019-12-27 23:35:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685961", "2019-12-27 23:34:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685960", "2019-12-27 23:34:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685959", "2019-12-27 23:33:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685958", "2019-12-27 23:32:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685957", "2019-12-27 23:32:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685956", "2019-12-27 23:32:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685955", "2019-12-27 23:31:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685954", "2019-12-27 23:31:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685953", "2019-12-27 23:31:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685952", "2019-12-27 23:30:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685951", "2019-12-27 23:29:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685950", "2019-12-27 23:29:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685949", "2019-12-27 23:28:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685948", "2019-12-27 23:27:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685947", "2019-12-27 23:27:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685946", "2019-12-27 23:27:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685945", "2019-12-27 23:26:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685944", "2019-12-27 23:26:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685943", "2019-12-27 23:25:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685942", "2019-12-27 23:25:40", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174223");
INSERT INTO `wp_redirection_404` VALUES("1685941", "2019-12-27 23:25:40", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174223");
INSERT INTO `wp_redirection_404` VALUES("1685940", "2019-12-27 23:25:40", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174223");
INSERT INTO `wp_redirection_404` VALUES("1685939", "2019-12-27 23:25:40", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174223");
INSERT INTO `wp_redirection_404` VALUES("1685938", "2019-12-27 23:25:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685937", "2019-12-27 23:25:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685936", "2019-12-27 23:24:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685935", "2019-12-27 23:24:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685934", "2019-12-27 23:23:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685933", "2019-12-27 23:22:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685932", "2019-12-27 23:22:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685931", "2019-12-27 23:22:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685930", "2019-12-27 23:21:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685929", "2019-12-27 23:20:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685928", "2019-12-27 23:20:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685927", "2019-12-27 23:19:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685926", "2019-12-27 23:18:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685925", "2019-12-27 23:18:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685924", "2019-12-27 23:18:34", "/owa/auth/logon.aspx?replaceCurrent=1&url=", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "149255");
INSERT INTO `wp_redirection_404` VALUES("1685923", "2019-12-27 23:18:33", "/owa/auth/logon.aspx?replaceCurrent=1&url=", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "149255");
INSERT INTO `wp_redirection_404` VALUES("1685922", "2019-12-27 23:17:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685921", "2019-12-27 23:17:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685920", "2019-12-27 23:17:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685919", "2019-12-27 23:16:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685918", "2019-12-27 23:16:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685917", "2019-12-27 23:15:10", "/Login.aspx", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "15869");
INSERT INTO `wp_redirection_404` VALUES("1685916", "2019-12-27 23:15:10", "/Login.aspx", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "15869");
INSERT INTO `wp_redirection_404` VALUES("1685915", "2019-12-27 23:15:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685914", "2019-12-27 23:14:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685913", "2019-12-27 23:14:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685912", "2019-12-27 23:13:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685911", "2019-12-27 23:13:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685910", "2019-12-27 23:13:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685909", "2019-12-27 23:12:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685908", "2019-12-27 23:11:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685907", "2019-12-27 23:11:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685906", "2019-12-27 23:10:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685905", "2019-12-27 23:09:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685904", "2019-12-27 23:09:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685903", "2019-12-27 23:09:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685902", "2019-12-27 23:08:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685901", "2019-12-27 23:08:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685900", "2019-12-27 23:08:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685899", "2019-12-27 23:06:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685898", "2019-12-27 23:06:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685897", "2019-12-27 23:06:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685896", "2019-12-27 23:05:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685895", "2019-12-27 23:05:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685894", "2019-12-27 23:04:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685893", "2019-12-27 23:03:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685892", "2019-12-27 23:03:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685891", "2019-12-27 23:03:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685890", "2019-12-27 23:02:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685889", "2019-12-27 23:02:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685888", "2019-12-27 23:01:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685887", "2019-12-27 23:01:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685886", "2019-12-27 23:01:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685885", "2019-12-27 23:00:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685884", "2019-12-27 22:59:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685883", "2019-12-27 22:59:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685882", "2019-12-27 22:58:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685881", "2019-12-27 22:58:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685880", "2019-12-27 22:58:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685879", "2019-12-27 22:57:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685878", "2019-12-27 22:56:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685877", "2019-12-27 22:56:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685876", "2019-12-27 22:55:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685875", "2019-12-27 22:55:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685874", "2019-12-27 22:54:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685873", "2019-12-27 22:54:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685872", "2019-12-27 22:53:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685871", "2019-12-27 22:53:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685870", "2019-12-27 22:52:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685869", "2019-12-27 22:52:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685868", "2019-12-27 22:51:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685867", "2019-12-27 22:51:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685866", "2019-12-27 22:50:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685865", "2019-12-27 22:50:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685864", "2019-12-27 22:49:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685863", "2019-12-27 22:49:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685862", "2019-12-27 22:48:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685861", "2019-12-27 22:48:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685860", "2019-12-27 22:47:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685859", "2019-12-27 22:47:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685858", "2019-12-27 22:47:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685857", "2019-12-27 22:46:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685856", "2019-12-27 22:46:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685855", "2019-12-27 22:45:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685854", "2019-12-27 22:45:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685853", "2019-12-27 22:44:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685852", "2019-12-27 22:44:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685851", "2019-12-27 22:43:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685850", "2019-12-27 22:43:24", "/dubois-", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685849", "2019-12-27 22:43:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685848", "2019-12-27 22:42:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685847", "2019-12-27 22:41:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685846", "2019-12-27 22:41:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685845", "2019-12-27 22:40:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685844", "2019-12-27 22:40:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685843", "2019-12-27 22:40:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685842", "2019-12-27 22:38:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685841", "2019-12-27 22:38:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685840", "2019-12-27 22:38:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685839", "2019-12-27 22:37:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685838", "2019-12-27 22:36:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685837", "2019-12-27 22:36:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685836", "2019-12-27 22:36:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685835", "2019-12-27 22:36:22", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174194");
INSERT INTO `wp_redirection_404` VALUES("1685834", "2019-12-27 22:36:22", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174194");
INSERT INTO `wp_redirection_404` VALUES("1685833", "2019-12-27 22:35:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685832", "2019-12-27 22:35:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685831", "2019-12-27 22:35:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685830", "2019-12-27 22:34:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685829", "2019-12-27 22:34:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685828", "2019-12-27 22:33:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685827", "2019-12-27 22:33:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685826", "2019-12-27 22:32:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685825", "2019-12-27 22:32:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685824", "2019-12-27 22:31:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685823", "2019-12-27 22:31:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685822", "2019-12-27 22:31:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685821", "2019-12-27 22:30:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685820", "2019-12-27 22:29:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685819", "2019-12-27 22:29:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685818", "2019-12-27 22:28:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685817", "2019-12-27 22:28:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685816", "2019-12-27 22:27:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685815", "2019-12-27 22:27:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685814", "2019-12-27 22:26:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685813", "2019-12-27 22:26:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685812", "2019-12-27 22:26:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685811", "2019-12-27 22:25:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690374", "2019-12-29 06:14:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690373", "2019-12-29 06:13:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690372", "2019-12-29 06:13:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690371", "2019-12-29 06:13:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690370", "2019-12-29 06:12:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690369", "2019-12-29 06:12:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690368", "2019-12-29 06:12:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690367", "2019-12-29 06:11:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690366", "2019-12-29 06:11:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690365", "2019-12-29 06:10:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690364", "2019-12-29 06:10:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690363", "2019-12-29 06:10:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690362", "2019-12-29 06:09:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690361", "2019-12-29 06:09:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690360", "2019-12-29 06:08:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690359", "2019-12-29 06:08:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690358", "2019-12-29 06:08:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690357", "2019-12-29 06:07:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690356", "2019-12-29 06:07:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690355", "2019-12-29 06:06:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690354", "2019-12-29 06:06:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690353", "2019-12-29 06:05:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690352", "2019-12-29 06:05:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690351", "2019-12-29 06:05:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690350", "2019-12-29 06:04:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690349", "2019-12-29 06:04:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690348", "2019-12-29 06:04:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690347", "2019-12-29 06:03:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690346", "2019-12-29 06:03:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690345", "2019-12-29 06:03:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690344", "2019-12-29 06:02:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690343", "2019-12-29 06:02:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690342", "2019-12-29 06:02:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690341", "2019-12-29 06:01:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690340", "2019-12-29 06:00:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690339", "2019-12-29 06:00:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690338", "2019-12-29 05:59:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690337", "2019-12-29 05:59:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690336", "2019-12-29 05:59:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690335", "2019-12-29 05:58:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690334", "2019-12-29 05:58:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690333", "2019-12-29 05:58:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690332", "2019-12-29 05:57:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690331", "2019-12-29 05:57:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690330", "2019-12-29 05:57:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690329", "2019-12-29 05:56:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690328", "2019-12-29 05:56:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690327", "2019-12-29 05:55:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690326", "2019-12-29 05:55:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690325", "2019-12-29 05:55:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690324", "2019-12-29 05:54:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690323", "2019-12-29 05:54:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690322", "2019-12-29 05:53:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690321", "2019-12-29 05:53:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690320", "2019-12-29 05:52:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690319", "2019-12-29 05:52:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690318", "2019-12-29 05:51:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690317", "2019-12-29 05:51:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690316", "2019-12-29 05:51:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690315", "2019-12-29 05:50:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690314", "2019-12-29 05:50:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690313", "2019-12-29 05:50:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690312", "2019-12-29 05:49:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690311", "2019-12-29 05:49:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690310", "2019-12-29 05:48:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690309", "2019-12-29 05:48:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690308", "2019-12-29 05:48:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690307", "2019-12-29 05:47:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690306", "2019-12-29 05:46:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690305", "2019-12-29 05:46:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690304", "2019-12-29 05:46:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690303", "2019-12-29 05:45:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690301", "2019-12-29 05:45:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690302", "2019-12-29 05:45:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690300", "2019-12-29 05:44:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690299", "2019-12-29 05:44:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690298", "2019-12-29 05:43:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690297", "2019-12-29 05:43:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690296", "2019-12-29 05:43:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690295", "2019-12-29 05:43:24", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174193");
INSERT INTO `wp_redirection_404` VALUES("1690294", "2019-12-29 05:43:24", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174193");
INSERT INTO `wp_redirection_404` VALUES("1690293", "2019-12-29 05:43:24", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174193");
INSERT INTO `wp_redirection_404` VALUES("1690292", "2019-12-29 05:43:24", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174193");
INSERT INTO `wp_redirection_404` VALUES("1690291", "2019-12-29 05:42:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690290", "2019-12-29 05:42:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690289", "2019-12-29 05:42:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690288", "2019-12-29 05:41:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690287", "2019-12-29 05:41:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690286", "2019-12-29 05:41:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690285", "2019-12-29 05:40:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690284", "2019-12-29 05:40:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690283", "2019-12-29 05:39:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690282", "2019-12-29 05:39:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690281", "2019-12-29 05:38:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690280", "2019-12-29 05:38:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690279", "2019-12-29 05:38:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690278", "2019-12-29 05:37:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690277", "2019-12-29 05:37:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690276", "2019-12-29 05:37:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690275", "2019-12-29 05:36:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690274", "2019-12-29 05:36:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690273", "2019-12-29 05:36:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690272", "2019-12-29 05:35:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690271", "2019-12-29 05:35:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690270", "2019-12-29 05:34:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690269", "2019-12-29 05:34:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690268", "2019-12-29 05:34:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690267", "2019-12-29 05:33:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690266", "2019-12-29 05:33:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690265", "2019-12-29 05:33:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690264", "2019-12-29 05:32:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690263", "2019-12-29 05:32:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690262", "2019-12-29 05:31:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690261", "2019-12-29 05:31:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690260", "2019-12-29 05:30:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690259", "2019-12-29 05:30:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690258", "2019-12-29 05:30:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690257", "2019-12-29 05:29:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690256", "2019-12-29 05:29:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690255", "2019-12-29 05:28:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690254", "2019-12-29 05:28:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690253", "2019-12-29 05:28:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690252", "2019-12-29 05:27:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690251", "2019-12-29 05:27:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690250", "2019-12-29 05:27:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690249", "2019-12-29 05:26:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690247", "2019-12-29 05:26:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690248", "2019-12-29 05:26:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690246", "2019-12-29 05:25:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690245", "2019-12-29 05:25:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690244", "2019-12-29 05:24:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690243", "2019-12-29 05:24:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690242", "2019-12-29 05:24:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690241", "2019-12-29 05:23:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690240", "2019-12-29 05:22:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690239", "2019-12-29 05:22:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690238", "2019-12-29 05:22:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690237", "2019-12-29 05:21:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690236", "2019-12-29 05:21:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690235", "2019-12-29 05:20:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690234", "2019-12-29 05:20:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690233", "2019-12-29 05:20:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690232", "2019-12-29 05:19:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690231", "2019-12-29 05:19:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690230", "2019-12-29 05:19:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690229", "2019-12-29 05:18:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690228", "2019-12-29 05:18:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690227", "2019-12-29 05:18:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690226", "2019-12-29 05:17:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690225", "2019-12-29 05:17:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690224", "2019-12-29 05:16:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690223", "2019-12-29 05:15:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690222", "2019-12-29 05:15:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690221", "2019-12-29 05:15:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690220", "2019-12-29 05:14:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690219", "2019-12-29 05:14:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690218", "2019-12-29 05:14:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690217", "2019-12-29 05:13:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690216", "2019-12-29 05:13:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690215", "2019-12-29 05:13:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690214", "2019-12-29 05:12:38", "/replace.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690213", "2019-12-29 05:12:32", "/searchreplacedb2.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690212", "2019-12-29 05:12:32", "/unzip.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690211", "2019-12-29 05:12:31", "/unzipper.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690210", "2019-12-29 05:12:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690209", "2019-12-29 05:12:25", "/adminer-4.1.0-mysql.php", "Go-http-client/1.1", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690207", "2019-12-29 05:12:18", "/adminer-4.3.1-mysql.php", "Go-http-client/1.1", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690208", "2019-12-29 05:12:19", "/adminer-4.2.4-mysql.php", "Go-http-client/1.1", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690206", "2019-12-29 05:12:17", "/adminer-4.6.2-mysql.php", "Go-http-client/1.1", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690204", "2019-12-29 05:12:15", "/adminer-4.1.0.php", "Go-http-client/1.1", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690205", "2019-12-29 05:12:16", "/adminer-4.2.5-mysql.php", "Go-http-client/1.1", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690203", "2019-12-29 05:12:15", "/adminer-4.2.4.php", "Go-http-client/1.1", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690202", "2019-12-29 05:12:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690200", "2019-12-29 05:12:08", "/adminer-4.6.2.php", "Go-http-client/1.1", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690201", "2019-12-29 05:12:09", "/adminer-4.3.1.php", "Go-http-client/1.1", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690198", "2019-12-29 05:12:06", "/mysql.php", "Go-http-client/1.1", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690199", "2019-12-29 05:12:07", "/adminer-4.2.5.php", "Go-http-client/1.1", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690197", "2019-12-29 05:12:05", "/adminer", "Go-http-client/1.1", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690196", "2019-12-29 05:12:04", "/_adminer.php", "Go-http-client/1.1", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690194", "2019-12-29 05:12:03", "/_adminer", "Go-http-client/1.1", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690195", "2019-12-29 05:12:04", "/replace.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690193", "2019-12-29 05:12:03", "/searchreplacedb2.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690192", "2019-12-29 05:12:02", "/db.php", "Go-http-client/1.1", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690190", "2019-12-29 05:12:01", "/pma.php", "Go-http-client/1.1", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690191", "2019-12-29 05:12:02", "/unzip.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690189", "2019-12-29 05:12:01", "/unzipper.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690188", "2019-12-29 05:12:01", "/_adminer.php", "Go-http-client/1.1", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690186", "2019-12-29 05:12:00", "/adminer-4.2.4-mysql.php", "Go-http-client/1.1", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690187", "2019-12-29 05:12:00", "/adminer-4.1.0-mysql.php", "Go-http-client/1.1", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690185", "2019-12-29 05:12:00", "/connect.php", "Go-http-client/1.1", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690183", "2019-12-29 05:11:59", "/adm.php", "Go-http-client/1.1", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690184", "2019-12-29 05:11:59", "/adminer-4.3.1-mysql.php", "Go-http-client/1.1", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690182", "2019-12-29 05:11:58", "/adminer-4.6.2-mysql.php", "Go-http-client/1.1", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690180", "2019-12-29 05:11:57", "/adminer-4.2.5-mysql.php", "Go-http-client/1.1", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690181", "2019-12-29 05:11:58", "/ad.php", "Go-http-client/1.1", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690178", "2019-12-29 05:11:57", "/adminer-4.1.0.php", "Go-http-client/1.1", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690179", "2019-12-29 05:11:57", "/adminer.php", "Go-http-client/1.1", NULL, "136243");
INSERT INTO `wp_redirection_404` VALUES("1690177", "2019-12-29 05:11:56", "/adminer-4.2.4.php", "Go-http-client/1.1", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690175", "2019-12-29 05:11:54", "/adminer-4.6.2.php", "Go-http-client/1.1", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690176", "2019-12-29 05:11:55", "/adminer-4.3.1.php", "Go-http-client/1.1", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690173", "2019-12-29 05:11:53", "/mysql.php", "Go-http-client/1.1", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690174", "2019-12-29 05:11:54", "/adminer-4.2.5.php", "Go-http-client/1.1", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690171", "2019-12-29 05:11:51", "/_adminer.php", "Go-http-client/1.1", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690172", "2019-12-29 05:11:52", "/adminer", "Go-http-client/1.1", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690169", "2019-12-29 05:11:50", "/db.php", "Go-http-client/1.1", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690170", "2019-12-29 05:11:51", "/_adminer", "Go-http-client/1.1", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690167", "2019-12-29 05:11:49", "/_adminer.php", "Go-http-client/1.1", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690168", "2019-12-29 05:11:49", "/pma.php", "Go-http-client/1.1", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690166", "2019-12-29 05:11:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690164", "2019-12-29 05:11:47", "/adm.php", "Go-http-client/1.1", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690165", "2019-12-29 05:11:48", "/connect.php", "Go-http-client/1.1", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690162", "2019-12-29 05:11:46", "/adminer.php", "Go-http-client/1.1", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690163", "2019-12-29 05:11:47", "/ad.php", "Go-http-client/1.1", NULL, "172105");
INSERT INTO `wp_redirection_404` VALUES("1690161", "2019-12-29 05:11:43", "/replace.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690160", "2019-12-29 05:11:42", "/searchreplacedb2.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690159", "2019-12-29 05:11:41", "/unzip.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690158", "2019-12-29 05:11:41", "/unzipper.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:64.0) Gecko/20100101 Firefox/64.0", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690157", "2019-12-29 05:11:40", "/adminer-4.1.0-mysql.php", "Go-http-client/1.1", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690155", "2019-12-29 05:11:38", "/adminer-4.3.1-mysql.php", "Go-http-client/1.1", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690156", "2019-12-29 05:11:39", "/adminer-4.2.4-mysql.php", "Go-http-client/1.1", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690154", "2019-12-29 05:11:38", "/adminer-4.6.2-mysql.php", "Go-http-client/1.1", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690152", "2019-12-29 05:11:36", "/adminer-4.1.0.php", "Go-http-client/1.1", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690153", "2019-12-29 05:11:37", "/adminer-4.2.5-mysql.php", "Go-http-client/1.1", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690151", "2019-12-29 05:11:35", "/adminer-4.2.4.php", "Go-http-client/1.1", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690149", "2019-12-29 05:11:34", "/adminer-4.6.2.php", "Go-http-client/1.1", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690150", "2019-12-29 05:11:35", "/adminer-4.3.1.php", "Go-http-client/1.1", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690147", "2019-12-29 05:11:33", "/mysql.php", "Go-http-client/1.1", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690148", "2019-12-29 05:11:33", "/adminer-4.2.5.php", "Go-http-client/1.1", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690145", "2019-12-29 05:11:31", "/_adminer.php", "Go-http-client/1.1", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690146", "2019-12-29 05:11:32", "/adminer", "Go-http-client/1.1", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690143", "2019-12-29 05:11:29", "/db.php", "Go-http-client/1.1", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690144", "2019-12-29 05:11:30", "/_adminer", "Go-http-client/1.1", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690141", "2019-12-29 05:11:28", "/_adminer.php", "Go-http-client/1.1", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690142", "2019-12-29 05:11:29", "/pma.php", "Go-http-client/1.1", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690139", "2019-12-29 05:11:26", "/adm.php", "Go-http-client/1.1", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690140", "2019-12-29 05:11:27", "/connect.php", "Go-http-client/1.1", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690137", "2019-12-29 05:11:25", "/adminer.php", "Go-http-client/1.1", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690138", "2019-12-29 05:11:26", "/ad.php", "Go-http-client/1.1", NULL, "52201");
INSERT INTO `wp_redirection_404` VALUES("1690136", "2019-12-29 05:11:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690135", "2019-12-29 05:11:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690134", "2019-12-29 05:10:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690133", "2019-12-29 05:09:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690132", "2019-12-29 05:09:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690131", "2019-12-29 05:09:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690130", "2019-12-29 05:08:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690129", "2019-12-29 05:08:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690128", "2019-12-29 05:08:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690127", "2019-12-29 05:07:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690126", "2019-12-29 05:07:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690125", "2019-12-29 05:07:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690124", "2019-12-29 05:06:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690123", "2019-12-29 05:06:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690122", "2019-12-29 05:05:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690121", "2019-12-29 05:05:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690120", "2019-12-29 05:05:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690119", "2019-12-29 05:04:51", "/static/ueditor/dialogs/internal.js", "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Win64; x64; Trident/5.0)", "http://www.buckspizza.com/static/ueditor/dialogs/internal.js", "39108");
INSERT INTO `wp_redirection_404` VALUES("1690118", "2019-12-29 05:04:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690117", "2019-12-29 05:04:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690116", "2019-12-29 05:03:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690115", "2019-12-29 05:03:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690114", "2019-12-29 05:03:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690113", "2019-12-29 05:02:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690112", "2019-12-29 05:02:01", "/dubois-", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690111", "2019-12-29 05:01:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690110", "2019-12-29 05:01:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690109", "2019-12-29 05:01:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690108", "2019-12-29 05:00:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690107", "2019-12-29 05:00:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690106", "2019-12-29 05:00:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690105", "2019-12-29 04:59:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690104", "2019-12-29 04:59:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690103", "2019-12-29 04:59:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690102", "2019-12-29 04:58:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690101", "2019-12-29 04:58:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690100", "2019-12-29 04:58:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690099", "2019-12-29 04:57:56", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1120 Darwin/19.0.0", NULL, "10777");
INSERT INTO `wp_redirection_404` VALUES("1690098", "2019-12-29 04:57:55", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1120 Darwin/19.0.0", NULL, "10777");
INSERT INTO `wp_redirection_404` VALUES("1690097", "2019-12-29 04:57:54", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1120 Darwin/19.0.0", NULL, "10777");
INSERT INTO `wp_redirection_404` VALUES("1690096", "2019-12-29 04:57:53", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1120 Darwin/19.0.0", NULL, "10777");
INSERT INTO `wp_redirection_404` VALUES("1690095", "2019-12-29 04:57:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690094", "2019-12-29 04:57:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690093", "2019-12-29 04:56:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690092", "2019-12-29 04:56:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690091", "2019-12-29 04:55:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690090", "2019-12-29 04:55:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690089", "2019-12-29 04:55:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690088", "2019-12-29 04:54:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690087", "2019-12-29 04:54:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690086", "2019-12-29 04:53:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690085", "2019-12-29 04:53:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690084", "2019-12-29 04:53:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690083", "2019-12-29 04:52:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690082", "2019-12-29 04:52:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690081", "2019-12-29 04:52:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690080", "2019-12-29 04:51:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690079", "2019-12-29 04:51:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690078", "2019-12-29 04:51:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690077", "2019-12-29 04:50:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690076", "2019-12-29 04:50:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690075", "2019-12-29 04:49:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690074", "2019-12-29 04:49:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690073", "2019-12-29 04:49:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690072", "2019-12-29 04:48:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690071", "2019-12-29 04:48:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690070", "2019-12-29 04:48:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690069", "2019-12-29 04:47:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690068", "2019-12-29 04:47:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690067", "2019-12-29 04:47:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690066", "2019-12-29 04:46:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690065", "2019-12-29 04:46:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690064", "2019-12-29 04:45:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690063", "2019-12-29 04:45:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690062", "2019-12-29 04:44:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690061", "2019-12-29 04:44:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690060", "2019-12-29 04:44:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690059", "2019-12-29 04:43:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690058", "2019-12-29 04:43:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690057", "2019-12-29 04:43:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690056", "2019-12-29 04:42:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690055", "2019-12-29 04:42:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690054", "2019-12-29 04:41:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690053", "2019-12-29 04:41:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690052", "2019-12-29 04:41:30", "/pizza-places/10-best-pizza-places-los-angeles-2015/", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/65.0.3325.181 Safari/537.36/1.0 (built with StormCrawler Archetype 1.8; http://someorganization.com/; someone@someorganization.com)", NULL, "5212");
INSERT INTO `wp_redirection_404` VALUES("1690051", "2019-12-29 04:41:27", "/pizza-parties/wine-pairing-pizza-toppings/", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/65.0.3325.181 Safari/537.36/1.0 (built with StormCrawler Archetype 1.8; http://someorganization.com/; someone@someorganization.com)", NULL, "5212");
INSERT INTO `wp_redirection_404` VALUES("1690050", "2019-12-29 04:41:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690049", "2019-12-29 04:40:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690048", "2019-12-29 04:40:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690047", "2019-12-29 04:40:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690046", "2019-12-29 04:39:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690045", "2019-12-29 04:39:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690044", "2019-12-29 04:38:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690043", "2019-12-29 04:38:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690042", "2019-12-29 04:38:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690041", "2019-12-29 04:37:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690040", "2019-12-29 04:37:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690039", "2019-12-29 04:36:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690037", "2019-12-29 04:36:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690038", "2019-12-29 04:36:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690036", "2019-12-29 04:35:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690035", "2019-12-29 04:35:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690034", "2019-12-29 04:35:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690033", "2019-12-29 04:34:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690032", "2019-12-29 04:34:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690031", "2019-12-29 04:34:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690030", "2019-12-29 04:33:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690029", "2019-12-29 04:33:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690028", "2019-12-29 04:33:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690027", "2019-12-29 04:32:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690026", "2019-12-29 04:32:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690025", "2019-12-29 04:32:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690024", "2019-12-29 04:31:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690023", "2019-12-29 04:31:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690022", "2019-12-29 04:31:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690021", "2019-12-29 04:30:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690020", "2019-12-29 04:30:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690019", "2019-12-29 04:29:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690018", "2019-12-29 04:28:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690017", "2019-12-29 04:28:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690016", "2019-12-29 04:28:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690015", "2019-12-29 04:27:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690014", "2019-12-29 04:27:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690013", "2019-12-29 04:27:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690012", "2019-12-29 04:26:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690011", "2019-12-29 04:26:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690010", "2019-12-29 04:25:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690009", "2019-12-29 04:24:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690008", "2019-12-29 04:24:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690007", "2019-12-29 04:24:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690006", "2019-12-29 04:23:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690005", "2019-12-29 04:23:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690004", "2019-12-29 04:23:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690003", "2019-12-29 04:21:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690002", "2019-12-29 04:21:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690001", "2019-12-29 04:21:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1690000", "2019-12-29 04:20:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689998", "2019-12-29 04:20:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689999", "2019-12-29 04:20:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689997", "2019-12-29 04:19:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689996", "2019-12-29 04:19:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689995", "2019-12-29 04:19:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689994", "2019-12-29 04:18:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689993", "2019-12-29 04:18:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689992", "2019-12-29 04:18:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689991", "2019-12-29 04:17:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689990", "2019-12-29 04:17:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689989", "2019-12-29 04:17:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689988", "2019-12-29 04:16:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689987", "2019-12-29 04:16:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689986", "2019-12-29 04:15:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689985", "2019-12-29 04:15:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689984", "2019-12-29 04:14:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689983", "2019-12-29 04:14:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689982", "2019-12-29 04:14:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689981", "2019-12-29 04:13:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689980", "2019-12-29 04:13:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689979", "2019-12-29 04:13:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689978", "2019-12-29 04:12:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689977", "2019-12-29 04:12:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689976", "2019-12-29 04:11:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689975", "2019-12-29 04:11:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689974", "2019-12-29 04:11:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689973", "2019-12-29 04:10:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689972", "2019-12-29 04:10:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689971", "2019-12-29 04:10:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689970", "2019-12-29 04:09:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689969", "2019-12-29 04:09:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689968", "2019-12-29 04:08:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689967", "2019-12-29 04:08:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689966", "2019-12-29 04:08:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689965", "2019-12-29 04:07:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689964", "2019-12-29 04:07:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689963", "2019-12-29 04:07:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689962", "2019-12-29 04:06:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689961", "2019-12-29 04:06:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689960", "2019-12-29 04:06:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689959", "2019-12-29 04:05:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689958", "2019-12-29 04:05:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689957", "2019-12-29 04:04:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689956", "2019-12-29 04:04:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689955", "2019-12-29 04:03:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689954", "2019-12-29 04:03:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689953", "2019-12-29 04:03:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689952", "2019-12-29 04:02:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689951", "2019-12-29 04:02:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689950", "2019-12-29 04:02:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689949", "2019-12-29 04:01:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689948", "2019-12-29 04:01:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689947", "2019-12-29 04:01:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689946", "2019-12-29 04:00:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689945", "2019-12-29 04:00:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689944", "2019-12-29 03:59:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689943", "2019-12-29 03:59:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689942", "2019-12-29 03:59:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689941", "2019-12-29 03:58:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689940", "2019-12-29 03:58:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689939", "2019-12-29 03:57:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689938", "2019-12-29 03:57:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689937", "2019-12-29 03:57:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689936", "2019-12-29 03:56:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689935", "2019-12-29 03:56:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689934", "2019-12-29 03:56:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689933", "2019-12-29 03:55:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689932", "2019-12-29 03:55:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689931", "2019-12-29 03:54:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689930", "2019-12-29 03:54:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689929", "2019-12-29 03:54:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689928", "2019-12-29 03:53:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689927", "2019-12-29 03:53:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689926", "2019-12-29 03:52:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689925", "2019-12-29 03:52:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689924", "2019-12-29 03:51:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689923", "2019-12-29 03:51:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689922", "2019-12-29 03:51:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689921", "2019-12-29 03:50:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689920", "2019-12-29 03:50:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689919", "2019-12-29 03:50:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689918", "2019-12-29 03:49:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689917", "2019-12-29 03:49:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689916", "2019-12-29 03:49:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689915", "2019-12-29 03:48:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689914", "2019-12-29 03:48:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689913", "2019-12-29 03:47:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689912", "2019-12-29 03:47:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689911", "2019-12-29 03:47:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689910", "2019-12-29 03:46:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689909", "2019-12-29 03:45:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689908", "2019-12-29 03:45:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689907", "2019-12-29 03:45:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689906", "2019-12-29 03:44:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689905", "2019-12-29 03:44:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689904", "2019-12-29 03:44:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689903", "2019-12-29 03:43:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689902", "2019-12-29 03:43:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689901", "2019-12-29 03:42:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689900", "2019-12-29 03:42:33", "/check.php", "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US) AppleWebKit/533.4 (KHTML, like Gecko) Chrome/5.0.375.99 Safari/533.4", "http://site.ru", "69167");
INSERT INTO `wp_redirection_404` VALUES("1689899", "2019-12-29 03:42:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689898", "2019-12-29 03:42:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689897", "2019-12-29 03:41:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689896", "2019-12-29 03:41:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689895", "2019-12-29 03:41:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689894", "2019-12-29 03:40:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689893", "2019-12-29 03:40:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689892", "2019-12-29 03:39:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689891", "2019-12-29 03:39:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689890", "2019-12-29 03:38:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689889", "2019-12-29 03:38:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689888", "2019-12-29 03:38:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689887", "2019-12-29 03:37:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689886", "2019-12-29 03:37:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689885", "2019-12-29 03:37:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689884", "2019-12-29 03:36:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689883", "2019-12-29 03:36:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689882", "2019-12-29 03:35:57", "/.well-known/security.txt", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/67.0.3396.99 Safari/537.36", NULL, "178128");
INSERT INTO `wp_redirection_404` VALUES("1689881", "2019-12-29 03:35:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689880", "2019-12-29 03:35:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689879", "2019-12-29 03:34:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689878", "2019-12-29 03:34:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689876", "2019-12-29 03:33:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689877", "2019-12-29 03:34:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689874", "2019-12-29 03:33:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689875", "2019-12-29 03:33:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689873", "2019-12-29 03:32:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689872", "2019-12-29 03:31:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689871", "2019-12-29 03:31:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689870", "2019-12-29 03:31:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689869", "2019-12-29 03:30:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689868", "2019-12-29 03:30:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689867", "2019-12-29 03:30:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689866", "2019-12-29 03:29:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689865", "2019-12-29 03:29:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689864", "2019-12-29 03:28:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689863", "2019-12-29 03:28:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689862", "2019-12-29 03:28:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689861", "2019-12-29 03:27:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689860", "2019-12-29 03:27:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689859", "2019-12-29 03:27:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689858", "2019-12-29 03:26:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689857", "2019-12-29 03:26:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689855", "2019-12-29 03:25:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689856", "2019-12-29 03:26:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689854", "2019-12-29 03:25:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689853", "2019-12-29 03:24:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689852", "2019-12-29 03:24:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689851", "2019-12-29 03:23:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689850", "2019-12-29 03:23:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689849", "2019-12-29 03:23:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689848", "2019-12-29 03:22:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689847", "2019-12-29 03:22:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689846", "2019-12-29 03:22:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689845", "2019-12-29 03:21:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689844", "2019-12-29 03:21:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689843", "2019-12-29 03:21:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689842", "2019-12-29 03:20:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689841", "2019-12-29 03:20:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689840", "2019-12-29 03:20:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689839", "2019-12-29 02:06:41", "/Login.aspx", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "19299");
INSERT INTO `wp_redirection_404` VALUES("1689838", "2019-12-29 02:06:40", "/Login.aspx", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "19299");
INSERT INTO `wp_redirection_404` VALUES("1689837", "2019-12-29 01:40:22", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "17258");
INSERT INTO `wp_redirection_404` VALUES("1689836", "2019-12-29 01:40:22", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "17258");
INSERT INTO `wp_redirection_404` VALUES("1689835", "2019-12-29 01:40:22", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "17258");
INSERT INTO `wp_redirection_404` VALUES("1689834", "2019-12-29 01:40:22", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "17258");
INSERT INTO `wp_redirection_404` VALUES("1689833", "2019-12-29 00:41:24", "/test/", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/78.0.3904.97 Safari/537.36", "https://www.google.com/", "6696");
INSERT INTO `wp_redirection_404` VALUES("1689832", "2019-12-29 00:38:49", "/ads.txt", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689831", "2019-12-29 00:38:49", "/ads.txt", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689830", "2019-12-29 00:27:27", "/?author=10", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "203147");
INSERT INTO `wp_redirection_404` VALUES("1689829", "2019-12-29 00:27:24", "/?author=9", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "203147");
INSERT INTO `wp_redirection_404` VALUES("1689828", "2019-12-29 00:27:20", "/?author=8", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "203147");
INSERT INTO `wp_redirection_404` VALUES("1689827", "2019-12-29 00:27:16", "/?author=7", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "203147");
INSERT INTO `wp_redirection_404` VALUES("1689826", "2019-12-29 00:27:11", "/?author=6", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "203147");
INSERT INTO `wp_redirection_404` VALUES("1689825", "2019-12-29 00:27:07", "/?author=5", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "203147");
INSERT INTO `wp_redirection_404` VALUES("1689824", "2019-12-29 00:27:03", "/?author=4", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "203147");
INSERT INTO `wp_redirection_404` VALUES("1689823", "2019-12-29 00:26:58", "/?author=3", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "203147");
INSERT INTO `wp_redirection_404` VALUES("1689822", "2019-12-29 00:20:34", "/story.php", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1689821", "2019-12-29 00:20:16", "/wp-admin/css/colors/newsleter.php", "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US) AppleWebKit/533.4 (KHTML, like Gecko) Chrome/5.0.375.99 Safari/533.4", "http://site.ru", "50116");
INSERT INTO `wp_redirection_404` VALUES("1689820", "2019-12-29 00:19:56", "/wp-admin/css/colors/newsleter.php", "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US) AppleWebKit/533.4 (KHTML, like Gecko) Chrome/5.0.375.99 Safari/533.4", "http://site.ru", "50116");
INSERT INTO `wp_redirection_404` VALUES("1689819", "2019-12-29 00:01:32", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174194");
INSERT INTO `wp_redirection_404` VALUES("1689818", "2019-12-29 00:01:32", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174194");
INSERT INTO `wp_redirection_404` VALUES("1689817", "2019-12-29 00:01:32", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174194");
INSERT INTO `wp_redirection_404` VALUES("1689816", "2019-12-29 00:01:32", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174194");
INSERT INTO `wp_redirection_404` VALUES("1689815", "2019-12-28 23:48:56", "/old/", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/78.0.3904.97 Safari/537.36", "https://www.google.com/", "192185");
INSERT INTO `wp_redirection_404` VALUES("1689814", "2019-12-28 23:32:58", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "66191");
INSERT INTO `wp_redirection_404` VALUES("1689813", "2019-12-28 23:32:57", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "66191");
INSERT INTO `wp_redirection_404` VALUES("1689812", "2019-12-28 23:26:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689811", "2019-12-28 23:26:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689810", "2019-12-28 23:26:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689809", "2019-12-28 23:26:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689808", "2019-12-28 23:26:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689807", "2019-12-28 23:26:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689806", "2019-12-28 23:26:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689805", "2019-12-28 23:25:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689804", "2019-12-28 23:25:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689803", "2019-12-28 23:25:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689802", "2019-12-28 23:25:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689801", "2019-12-28 23:25:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689800", "2019-12-28 23:25:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689799", "2019-12-28 23:25:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689798", "2019-12-28 23:25:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689797", "2019-12-28 23:25:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689796", "2019-12-28 23:24:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689795", "2019-12-28 23:24:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689794", "2019-12-28 23:24:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689793", "2019-12-28 23:24:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689792", "2019-12-28 23:24:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689791", "2019-12-28 23:24:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689790", "2019-12-28 23:24:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689789", "2019-12-28 23:24:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689788", "2019-12-28 23:24:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689787", "2019-12-28 23:23:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689786", "2019-12-28 23:23:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689785", "2019-12-28 23:23:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689784", "2019-12-28 23:23:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689783", "2019-12-28 23:23:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689782", "2019-12-28 23:23:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689781", "2019-12-28 23:23:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689780", "2019-12-28 23:23:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689779", "2019-12-28 23:23:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689778", "2019-12-28 23:23:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689777", "2019-12-28 23:22:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689776", "2019-12-28 23:22:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689775", "2019-12-28 23:22:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689774", "2019-12-28 23:22:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689773", "2019-12-28 23:22:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689772", "2019-12-28 23:22:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689771", "2019-12-28 23:22:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689770", "2019-12-28 23:22:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689769", "2019-12-28 23:22:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689768", "2019-12-28 23:22:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689767", "2019-12-28 23:21:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689766", "2019-12-28 23:21:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689765", "2019-12-28 23:21:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689764", "2019-12-28 23:21:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689763", "2019-12-28 23:21:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689762", "2019-12-28 23:21:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689761", "2019-12-28 23:21:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689760", "2019-12-28 23:21:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689759", "2019-12-28 23:20:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689758", "2019-12-28 23:20:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689757", "2019-12-28 23:20:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689756", "2019-12-28 23:20:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689755", "2019-12-28 23:20:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689754", "2019-12-28 23:20:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689753", "2019-12-28 23:20:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689752", "2019-12-28 23:20:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689751", "2019-12-28 23:20:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689750", "2019-12-28 23:20:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689749", "2019-12-28 23:19:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689748", "2019-12-28 23:19:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689747", "2019-12-28 23:19:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689746", "2019-12-28 23:19:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689745", "2019-12-28 23:19:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689744", "2019-12-28 23:19:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689743", "2019-12-28 23:18:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689742", "2019-12-28 23:18:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689741", "2019-12-28 23:18:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689740", "2019-12-28 23:18:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689739", "2019-12-28 23:18:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689738", "2019-12-28 23:18:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689737", "2019-12-28 23:18:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689736", "2019-12-28 23:18:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689735", "2019-12-28 23:18:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689734", "2019-12-28 23:17:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689733", "2019-12-28 23:17:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689732", "2019-12-28 23:17:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689731", "2019-12-28 23:17:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689730", "2019-12-28 23:17:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689729", "2019-12-28 23:17:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689728", "2019-12-28 23:17:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689727", "2019-12-28 23:16:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689726", "2019-12-28 23:16:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689725", "2019-12-28 23:16:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689724", "2019-12-28 23:16:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689723", "2019-12-28 23:16:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689722", "2019-12-28 23:16:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689721", "2019-12-28 23:15:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689720", "2019-12-28 23:15:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689719", "2019-12-28 23:15:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689718", "2019-12-28 23:15:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689717", "2019-12-28 23:15:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689716", "2019-12-28 23:15:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689715", "2019-12-28 23:15:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689714", "2019-12-28 23:14:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689713", "2019-12-28 23:14:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689712", "2019-12-28 23:14:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689711", "2019-12-28 23:14:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689710", "2019-12-28 23:14:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689709", "2019-12-28 23:14:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689708", "2019-12-28 23:14:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689707", "2019-12-28 23:14:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689706", "2019-12-28 23:13:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689705", "2019-12-28 23:13:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689704", "2019-12-28 23:13:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689703", "2019-12-28 23:13:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689702", "2019-12-28 23:13:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689701", "2019-12-28 23:13:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689700", "2019-12-28 23:13:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689699", "2019-12-28 23:13:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689698", "2019-12-28 23:13:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689697", "2019-12-28 23:13:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689696", "2019-12-28 23:12:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689695", "2019-12-28 23:12:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689694", "2019-12-28 23:12:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689693", "2019-12-28 23:12:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689692", "2019-12-28 23:12:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689691", "2019-12-28 23:12:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689690", "2019-12-28 23:12:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689689", "2019-12-28 23:12:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689688", "2019-12-28 23:12:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689687", "2019-12-28 23:12:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689686", "2019-12-28 23:12:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689685", "2019-12-28 23:11:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689684", "2019-12-28 23:11:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689683", "2019-12-28 23:11:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689682", "2019-12-28 23:11:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689681", "2019-12-28 23:11:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689680", "2019-12-28 23:11:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689679", "2019-12-28 23:11:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689678", "2019-12-28 23:11:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689677", "2019-12-28 23:11:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689676", "2019-12-28 23:11:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689675", "2019-12-28 23:10:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689674", "2019-12-28 23:10:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689673", "2019-12-28 23:10:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689672", "2019-12-28 23:10:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689671", "2019-12-28 23:10:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689670", "2019-12-28 23:10:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689669", "2019-12-28 23:10:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689668", "2019-12-28 23:09:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689667", "2019-12-28 23:09:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689666", "2019-12-28 23:09:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689665", "2019-12-28 23:09:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689664", "2019-12-28 23:09:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689663", "2019-12-28 23:09:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689662", "2019-12-28 23:09:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689661", "2019-12-28 23:09:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689660", "2019-12-28 23:08:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689659", "2019-12-28 23:08:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689658", "2019-12-28 23:08:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689657", "2019-12-28 23:08:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689656", "2019-12-28 23:08:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689655", "2019-12-28 23:08:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689654", "2019-12-28 23:08:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689653", "2019-12-28 23:07:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689652", "2019-12-28 23:07:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689651", "2019-12-28 23:07:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689650", "2019-12-28 23:07:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689649", "2019-12-28 23:07:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689648", "2019-12-28 23:07:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689647", "2019-12-28 23:07:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689646", "2019-12-28 23:07:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689645", "2019-12-28 23:06:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689644", "2019-12-28 23:06:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689643", "2019-12-28 23:06:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689642", "2019-12-28 23:06:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689641", "2019-12-28 23:06:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689640", "2019-12-28 23:06:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689639", "2019-12-28 23:05:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689638", "2019-12-28 23:05:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689637", "2019-12-28 23:05:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689636", "2019-12-28 23:05:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689635", "2019-12-28 23:05:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689634", "2019-12-28 23:05:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689633", "2019-12-28 23:05:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689632", "2019-12-28 23:05:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689631", "2019-12-28 23:04:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689630", "2019-12-28 23:04:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689629", "2019-12-28 23:04:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689628", "2019-12-28 23:04:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689627", "2019-12-28 23:04:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689626", "2019-12-28 23:04:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689625", "2019-12-28 23:04:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689624", "2019-12-28 23:04:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689623", "2019-12-28 23:03:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689622", "2019-12-28 23:03:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689621", "2019-12-28 23:03:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689620", "2019-12-28 23:03:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689619", "2019-12-28 23:02:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689618", "2019-12-28 23:02:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689617", "2019-12-28 23:02:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689616", "2019-12-28 23:02:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689615", "2019-12-28 23:02:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689614", "2019-12-28 23:02:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689613", "2019-12-28 23:01:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689612", "2019-12-28 23:01:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689611", "2019-12-28 23:01:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689610", "2019-12-28 23:01:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689609", "2019-12-28 23:01:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689608", "2019-12-28 23:01:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689607", "2019-12-28 23:01:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689606", "2019-12-28 23:01:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689605", "2019-12-28 23:01:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689604", "2019-12-28 23:00:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689603", "2019-12-28 23:00:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689602", "2019-12-28 23:00:33", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "10777");
INSERT INTO `wp_redirection_404` VALUES("1689601", "2019-12-28 23:00:33", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "10777");
INSERT INTO `wp_redirection_404` VALUES("1689600", "2019-12-28 23:00:33", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "10777");
INSERT INTO `wp_redirection_404` VALUES("1689599", "2019-12-28 23:00:33", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "10777");
INSERT INTO `wp_redirection_404` VALUES("1689598", "2019-12-28 23:00:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689597", "2019-12-28 23:00:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689596", "2019-12-28 23:00:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689595", "2019-12-28 23:00:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689594", "2019-12-28 23:00:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689593", "2019-12-28 23:00:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689592", "2019-12-28 22:59:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689591", "2019-12-28 22:59:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689590", "2019-12-28 22:59:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689589", "2019-12-28 22:59:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689588", "2019-12-28 22:59:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689587", "2019-12-28 22:59:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689586", "2019-12-28 22:59:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689585", "2019-12-28 22:58:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689584", "2019-12-28 22:58:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689583", "2019-12-28 22:58:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689582", "2019-12-28 22:58:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689581", "2019-12-28 22:58:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689580", "2019-12-28 22:58:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689579", "2019-12-28 22:57:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689578", "2019-12-28 22:57:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689577", "2019-12-28 22:57:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689576", "2019-12-28 22:57:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689575", "2019-12-28 22:57:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689574", "2019-12-28 22:57:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689573", "2019-12-28 22:57:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689572", "2019-12-28 22:57:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689571", "2019-12-28 22:57:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689570", "2019-12-28 22:56:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689569", "2019-12-28 22:56:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689568", "2019-12-28 22:56:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689567", "2019-12-28 22:56:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689566", "2019-12-28 22:56:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689565", "2019-12-28 22:56:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689564", "2019-12-28 22:56:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689563", "2019-12-28 22:56:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689562", "2019-12-28 22:55:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689561", "2019-12-28 22:55:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689560", "2019-12-28 22:55:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689559", "2019-12-28 22:55:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689558", "2019-12-28 22:55:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689557", "2019-12-28 22:55:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689556", "2019-12-28 22:54:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689555", "2019-12-28 22:54:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689554", "2019-12-28 22:54:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689553", "2019-12-28 22:54:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689552", "2019-12-28 22:54:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689551", "2019-12-28 22:54:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689550", "2019-12-28 22:54:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689549", "2019-12-28 22:53:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689548", "2019-12-28 22:53:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689547", "2019-12-28 22:53:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689546", "2019-12-28 22:53:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689545", "2019-12-28 22:53:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689544", "2019-12-28 22:52:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689543", "2019-12-28 22:52:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689542", "2019-12-28 22:52:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689541", "2019-12-28 22:52:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689540", "2019-12-28 22:52:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689539", "2019-12-28 22:52:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689538", "2019-12-28 22:52:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689537", "2019-12-28 22:51:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689536", "2019-12-28 22:51:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689535", "2019-12-28 22:51:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689534", "2019-12-28 22:51:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689533", "2019-12-28 22:51:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689532", "2019-12-28 22:50:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689531", "2019-12-28 22:50:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689530", "2019-12-28 22:50:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689529", "2019-12-28 22:50:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689528", "2019-12-28 22:50:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689527", "2019-12-28 22:49:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689526", "2019-12-28 22:49:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689525", "2019-12-28 22:49:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689524", "2019-12-28 22:49:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689523", "2019-12-28 22:49:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689522", "2019-12-28 22:49:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689521", "2019-12-28 22:48:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689520", "2019-12-28 22:48:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689519", "2019-12-28 22:48:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689518", "2019-12-28 22:48:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689517", "2019-12-28 22:47:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689516", "2019-12-28 22:47:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689515", "2019-12-28 22:47:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689514", "2019-12-28 22:47:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689513", "2019-12-28 22:47:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689512", "2019-12-28 22:47:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689511", "2019-12-28 22:46:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689510", "2019-12-28 22:46:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689509", "2019-12-28 22:46:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689508", "2019-12-28 22:46:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689507", "2019-12-28 22:46:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689506", "2019-12-28 22:46:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689505", "2019-12-28 22:45:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689504", "2019-12-28 22:45:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689503", "2019-12-28 22:45:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689502", "2019-12-28 22:45:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689501", "2019-12-28 22:45:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689500", "2019-12-28 22:44:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689499", "2019-12-28 22:44:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689498", "2019-12-28 22:44:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689497", "2019-12-28 22:44:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689496", "2019-12-28 22:44:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689495", "2019-12-28 22:43:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689494", "2019-12-28 22:43:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689493", "2019-12-28 22:43:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689492", "2019-12-28 22:43:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689491", "2019-12-28 22:43:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689490", "2019-12-28 22:42:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689489", "2019-12-28 22:42:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689488", "2019-12-28 22:42:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689487", "2019-12-28 22:42:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689486", "2019-12-28 22:42:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689485", "2019-12-28 22:41:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689484", "2019-12-28 22:41:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689483", "2019-12-28 22:41:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689482", "2019-12-28 22:41:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689481", "2019-12-28 22:40:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689480", "2019-12-28 22:40:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689479", "2019-12-28 22:40:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689478", "2019-12-28 22:40:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689477", "2019-12-28 22:40:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689476", "2019-12-28 22:39:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689475", "2019-12-28 22:39:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689474", "2019-12-28 22:39:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689473", "2019-12-28 22:39:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689472", "2019-12-28 22:38:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689471", "2019-12-28 22:38:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689470", "2019-12-28 22:38:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689469", "2019-12-28 22:38:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689468", "2019-12-28 22:38:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689467", "2019-12-28 22:38:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689466", "2019-12-28 22:37:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689465", "2019-12-28 22:37:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689464", "2019-12-28 22:37:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689463", "2019-12-28 22:37:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689462", "2019-12-28 22:36:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689461", "2019-12-28 22:36:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689460", "2019-12-28 22:36:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689459", "2019-12-28 22:36:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689458", "2019-12-28 22:36:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689457", "2019-12-28 22:35:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689456", "2019-12-28 22:35:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689455", "2019-12-28 22:35:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689454", "2019-12-28 22:35:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689453", "2019-12-28 22:35:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689452", "2019-12-28 22:34:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689451", "2019-12-28 22:34:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689450", "2019-12-28 22:34:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689449", "2019-12-28 22:34:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689448", "2019-12-28 22:33:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689447", "2019-12-28 22:33:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689446", "2019-12-28 22:33:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689445", "2019-12-28 22:33:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689444", "2019-12-28 22:33:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689443", "2019-12-28 22:32:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689442", "2019-12-28 22:32:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689441", "2019-12-28 22:32:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689440", "2019-12-28 22:32:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689439", "2019-12-28 22:32:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689438", "2019-12-28 22:31:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689437", "2019-12-28 22:31:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689436", "2019-12-28 22:31:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689435", "2019-12-28 22:31:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689434", "2019-12-28 22:30:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689433", "2019-12-28 22:30:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689432", "2019-12-28 22:30:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689431", "2019-12-28 22:30:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689430", "2019-12-28 22:30:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689429", "2019-12-28 22:29:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689428", "2019-12-28 22:29:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689427", "2019-12-28 22:29:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689426", "2019-12-28 22:29:30", "/edistobeach-sc/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1689425", "2019-12-28 22:29:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689423", "2019-12-28 22:29:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689424", "2019-12-28 22:29:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689422", "2019-12-28 22:28:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689421", "2019-12-28 22:28:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689420", "2019-12-28 22:28:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689419", "2019-12-28 22:27:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689418", "2019-12-28 22:27:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689417", "2019-12-28 22:27:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689416", "2019-12-28 22:27:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689415", "2019-12-28 22:26:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689414", "2019-12-28 22:26:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689413", "2019-12-28 22:26:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689412", "2019-12-28 22:26:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689411", "2019-12-28 22:25:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689410", "2019-12-28 22:25:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689409", "2019-12-28 22:25:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689408", "2019-12-28 22:25:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689407", "2019-12-28 22:24:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689406", "2019-12-28 22:24:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689405", "2019-12-28 22:24:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689404", "2019-12-28 22:24:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689403", "2019-12-28 22:23:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689402", "2019-12-28 22:23:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689401", "2019-12-28 22:23:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689400", "2019-12-28 22:23:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689399", "2019-12-28 22:22:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689398", "2019-12-28 22:22:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689397", "2019-12-28 22:22:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689396", "2019-12-28 22:22:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689395", "2019-12-28 22:22:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689394", "2019-12-28 22:22:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689393", "2019-12-28 22:21:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689392", "2019-12-28 22:21:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689391", "2019-12-28 22:21:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689390", "2019-12-28 22:20:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689389", "2019-12-28 22:20:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689388", "2019-12-28 22:20:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689387", "2019-12-28 22:20:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689386", "2019-12-28 22:19:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689385", "2019-12-28 22:19:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689384", "2019-12-28 22:19:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689383", "2019-12-28 22:18:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689382", "2019-12-28 22:18:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689381", "2019-12-28 22:18:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689380", "2019-12-28 22:17:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689379", "2019-12-28 22:17:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689378", "2019-12-28 22:17:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689377", "2019-12-28 22:17:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689376", "2019-12-28 22:17:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689375", "2019-12-28 22:17:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689374", "2019-12-28 22:16:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689373", "2019-12-28 22:16:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689372", "2019-12-28 22:16:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689371", "2019-12-28 22:15:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689370", "2019-12-28 22:15:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689369", "2019-12-28 22:15:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689368", "2019-12-28 22:15:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689367", "2019-12-28 22:14:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689366", "2019-12-28 22:14:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689365", "2019-12-28 22:14:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689364", "2019-12-28 22:14:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689363", "2019-12-28 22:14:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689362", "2019-12-28 22:13:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689361", "2019-12-28 22:13:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689360", "2019-12-28 22:13:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689359", "2019-12-28 22:13:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689358", "2019-12-28 22:12:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689357", "2019-12-28 22:12:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689356", "2019-12-28 22:12:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689355", "2019-12-28 22:12:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689354", "2019-12-28 22:12:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689353", "2019-12-28 22:11:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689352", "2019-12-28 22:11:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689351", "2019-12-28 22:11:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689350", "2019-12-28 22:11:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689349", "2019-12-28 22:10:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689348", "2019-12-28 22:10:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689347", "2019-12-28 22:10:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689346", "2019-12-28 22:10:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689345", "2019-12-28 22:09:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689344", "2019-12-28 22:09:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689343", "2019-12-28 22:09:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689342", "2019-12-28 22:09:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689341", "2019-12-28 22:08:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689340", "2019-12-28 22:08:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689339", "2019-12-28 22:08:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689338", "2019-12-28 22:08:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689337", "2019-12-28 22:07:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689336", "2019-12-28 22:07:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689335", "2019-12-28 22:07:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689334", "2019-12-28 22:07:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689333", "2019-12-28 22:07:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689332", "2019-12-28 22:06:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689331", "2019-12-28 22:06:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689330", "2019-12-28 22:06:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689329", "2019-12-28 22:06:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689328", "2019-12-28 22:05:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689327", "2019-12-28 22:05:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689326", "2019-12-28 22:05:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689325", "2019-12-28 22:05:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689324", "2019-12-28 22:04:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689323", "2019-12-28 22:04:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689322", "2019-12-28 22:04:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689321", "2019-12-28 22:04:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689320", "2019-12-28 22:04:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689319", "2019-12-28 22:03:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689318", "2019-12-28 22:03:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689317", "2019-12-28 22:03:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689316", "2019-12-28 22:02:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689315", "2019-12-28 22:02:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689314", "2019-12-28 22:02:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689313", "2019-12-28 22:02:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689312", "2019-12-28 22:01:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689311", "2019-12-28 22:01:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689310", "2019-12-28 22:01:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689309", "2019-12-28 22:01:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689308", "2019-12-28 22:00:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689307", "2019-12-28 22:00:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689306", "2019-12-28 22:00:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689305", "2019-12-28 22:00:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689304", "2019-12-28 22:00:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689303", "2019-12-28 21:59:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689302", "2019-12-28 21:59:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689301", "2019-12-28 21:59:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689300", "2019-12-28 21:59:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689299", "2019-12-28 21:58:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689298", "2019-12-28 21:58:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689297", "2019-12-28 21:58:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689295", "2019-12-28 21:58:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689296", "2019-12-28 21:58:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689294", "2019-12-28 21:57:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689293", "2019-12-28 21:57:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689292", "2019-12-28 21:57:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689291", "2019-12-28 21:56:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689290", "2019-12-28 21:56:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689289", "2019-12-28 21:56:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689288", "2019-12-28 21:56:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689287", "2019-12-28 21:56:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689286", "2019-12-28 21:55:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689285", "2019-12-28 21:55:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689283", "2019-12-28 21:54:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689284", "2019-12-28 21:54:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689282", "2019-12-28 21:54:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689281", "2019-12-28 21:54:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689280", "2019-12-28 21:54:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689279", "2019-12-28 21:53:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689278", "2019-12-28 21:53:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689277", "2019-12-28 21:53:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689276", "2019-12-28 21:53:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689275", "2019-12-28 21:52:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689274", "2019-12-28 21:52:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689273", "2019-12-28 21:52:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689272", "2019-12-28 21:51:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689270", "2019-12-28 21:51:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689271", "2019-12-28 21:51:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689268", "2019-12-28 21:51:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689269", "2019-12-28 21:51:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689267", "2019-12-28 21:50:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689266", "2019-12-28 21:50:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689265", "2019-12-28 21:50:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689264", "2019-12-28 21:50:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689263", "2019-12-28 21:49:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689262", "2019-12-28 21:49:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689261", "2019-12-28 21:49:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689260", "2019-12-28 21:49:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689259", "2019-12-28 21:48:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689258", "2019-12-28 21:48:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689257", "2019-12-28 21:48:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689256", "2019-12-28 21:48:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689255", "2019-12-28 21:47:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689254", "2019-12-28 21:47:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689253", "2019-12-28 21:47:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689252", "2019-12-28 21:47:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689251", "2019-12-28 21:46:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689250", "2019-12-28 21:46:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689249", "2019-12-28 21:46:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689248", "2019-12-28 21:46:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689247", "2019-12-28 21:45:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689246", "2019-12-28 21:45:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689245", "2019-12-28 21:45:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689244", "2019-12-28 21:45:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689243", "2019-12-28 21:45:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689242", "2019-12-28 21:44:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689241", "2019-12-28 21:44:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689240", "2019-12-28 21:44:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689239", "2019-12-28 21:44:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689238", "2019-12-28 21:43:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689237", "2019-12-28 21:43:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689236", "2019-12-28 21:43:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689235", "2019-12-28 21:43:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689234", "2019-12-28 21:43:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689233", "2019-12-28 21:42:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689232", "2019-12-28 21:42:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689231", "2019-12-28 21:42:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689230", "2019-12-28 21:42:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689229", "2019-12-28 21:41:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689228", "2019-12-28 21:41:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689227", "2019-12-28 21:41:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689226", "2019-12-28 21:40:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689225", "2019-12-28 21:40:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689224", "2019-12-28 21:40:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689223", "2019-12-28 21:40:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689222", "2019-12-28 21:39:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689221", "2019-12-28 21:39:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689220", "2019-12-28 21:39:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689219", "2019-12-28 21:39:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689218", "2019-12-28 21:38:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689217", "2019-12-28 21:38:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689216", "2019-12-28 21:38:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689215", "2019-12-28 21:38:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689214", "2019-12-28 21:37:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689213", "2019-12-28 21:37:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689212", "2019-12-28 21:37:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689211", "2019-12-28 21:37:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689210", "2019-12-28 21:37:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689209", "2019-12-28 21:36:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689208", "2019-12-28 21:36:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689207", "2019-12-28 21:36:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689206", "2019-12-28 21:36:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689205", "2019-12-28 21:35:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689204", "2019-12-28 21:35:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689203", "2019-12-28 21:35:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689202", "2019-12-28 21:35:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689201", "2019-12-28 21:35:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689200", "2019-12-28 21:34:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689199", "2019-12-28 21:34:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689198", "2019-12-28 21:34:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689197", "2019-12-28 21:33:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689196", "2019-12-28 21:33:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689195", "2019-12-28 21:33:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689194", "2019-12-28 21:32:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689193", "2019-12-28 21:32:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689192", "2019-12-28 21:32:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689191", "2019-12-28 21:32:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689190", "2019-12-28 21:31:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689189", "2019-12-28 21:31:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689188", "2019-12-28 21:31:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689187", "2019-12-28 21:31:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689186", "2019-12-28 21:31:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689185", "2019-12-28 21:30:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689184", "2019-12-28 21:30:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689183", "2019-12-28 21:30:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689182", "2019-12-28 21:29:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689181", "2019-12-28 21:29:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689180", "2019-12-28 21:29:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689179", "2019-12-28 21:29:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689178", "2019-12-28 21:29:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689177", "2019-12-28 21:28:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689176", "2019-12-28 21:28:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689175", "2019-12-28 21:28:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689174", "2019-12-28 21:28:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689173", "2019-12-28 21:27:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689172", "2019-12-28 21:27:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689171", "2019-12-28 21:27:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689170", "2019-12-28 21:27:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689169", "2019-12-28 21:26:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689168", "2019-12-28 21:26:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689167", "2019-12-28 21:26:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689166", "2019-12-28 21:25:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689165", "2019-12-28 21:25:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689164", "2019-12-28 21:25:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689163", "2019-12-28 21:25:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689162", "2019-12-28 21:24:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689161", "2019-12-28 21:24:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689160", "2019-12-28 21:24:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689159", "2019-12-28 21:24:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689158", "2019-12-28 21:24:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689157", "2019-12-28 21:23:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689156", "2019-12-28 21:23:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689155", "2019-12-28 21:23:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689154", "2019-12-28 21:22:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689153", "2019-12-28 21:22:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689152", "2019-12-28 21:22:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689151", "2019-12-28 21:21:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689150", "2019-12-28 21:21:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689149", "2019-12-28 21:21:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689148", "2019-12-28 21:21:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689147", "2019-12-28 21:20:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689146", "2019-12-28 21:20:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689145", "2019-12-28 21:20:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689144", "2019-12-28 21:19:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689143", "2019-12-28 21:19:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689142", "2019-12-28 21:19:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689141", "2019-12-28 21:19:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689140", "2019-12-28 21:19:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689139", "2019-12-28 21:18:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689138", "2019-12-28 21:18:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689137", "2019-12-28 21:18:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689136", "2019-12-28 21:17:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689135", "2019-12-28 21:17:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689134", "2019-12-28 21:17:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689133", "2019-12-28 21:17:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689132", "2019-12-28 21:16:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689131", "2019-12-28 21:16:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689130", "2019-12-28 21:16:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689129", "2019-12-28 21:15:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689128", "2019-12-28 21:15:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689127", "2019-12-28 21:15:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689126", "2019-12-28 21:14:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689125", "2019-12-28 21:14:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689124", "2019-12-28 21:14:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689123", "2019-12-28 21:14:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689122", "2019-12-28 21:13:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689121", "2019-12-28 21:13:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689120", "2019-12-28 21:13:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689119", "2019-12-28 21:13:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689118", "2019-12-28 21:12:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689117", "2019-12-28 21:12:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689116", "2019-12-28 21:12:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689115", "2019-12-28 21:11:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689114", "2019-12-28 21:11:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689113", "2019-12-28 21:11:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689112", "2019-12-28 21:11:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689111", "2019-12-28 21:10:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689110", "2019-12-28 21:10:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689109", "2019-12-28 21:10:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689108", "2019-12-28 21:09:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689107", "2019-12-28 21:09:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689106", "2019-12-28 21:09:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689105", "2019-12-28 21:09:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689104", "2019-12-28 21:08:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689103", "2019-12-28 21:08:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689102", "2019-12-28 21:08:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689101", "2019-12-28 21:08:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689100", "2019-12-28 21:07:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689099", "2019-12-28 21:07:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689098", "2019-12-28 21:07:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689097", "2019-12-28 21:07:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689096", "2019-12-28 21:06:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689095", "2019-12-28 21:06:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689094", "2019-12-28 21:06:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689093", "2019-12-28 21:06:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689092", "2019-12-28 21:05:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689091", "2019-12-28 21:05:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689090", "2019-12-28 21:05:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689089", "2019-12-28 21:04:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689088", "2019-12-28 21:04:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689087", "2019-12-28 21:04:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689086", "2019-12-28 21:03:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689085", "2019-12-28 21:03:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689084", "2019-12-28 21:03:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689083", "2019-12-28 21:03:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689082", "2019-12-28 21:03:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689081", "2019-12-28 21:02:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689080", "2019-12-28 21:02:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689079", "2019-12-28 21:02:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689078", "2019-12-28 21:01:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689077", "2019-12-28 21:01:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689076", "2019-12-28 21:01:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689075", "2019-12-28 21:01:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689074", "2019-12-28 21:00:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689073", "2019-12-28 21:00:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689072", "2019-12-28 21:00:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689071", "2019-12-28 20:59:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689070", "2019-12-28 20:59:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689069", "2019-12-28 20:59:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689068", "2019-12-28 20:59:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689067", "2019-12-28 20:58:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689066", "2019-12-28 20:58:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689065", "2019-12-28 20:58:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689064", "2019-12-28 20:57:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689063", "2019-12-28 20:57:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689062", "2019-12-28 20:57:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689061", "2019-12-28 20:57:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689060", "2019-12-28 20:57:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689059", "2019-12-28 20:56:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689058", "2019-12-28 20:56:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689057", "2019-12-28 20:56:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689056", "2019-12-28 20:56:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689055", "2019-12-28 20:55:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689054", "2019-12-28 20:55:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689053", "2019-12-28 20:55:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689052", "2019-12-28 20:54:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689051", "2019-12-28 20:54:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689050", "2019-12-28 20:54:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689049", "2019-12-28 20:53:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689048", "2019-12-28 20:53:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689047", "2019-12-28 20:53:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689046", "2019-12-28 20:52:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689045", "2019-12-28 20:52:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689044", "2019-12-28 20:52:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689043", "2019-12-28 20:52:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689042", "2019-12-28 20:52:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689041", "2019-12-28 20:51:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689040", "2019-12-28 20:51:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689039", "2019-12-28 20:51:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689038", "2019-12-28 20:51:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689037", "2019-12-28 20:50:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689036", "2019-12-28 20:50:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689035", "2019-12-28 20:50:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689034", "2019-12-28 20:49:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689033", "2019-12-28 20:49:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689032", "2019-12-28 20:49:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689031", "2019-12-28 20:48:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689030", "2019-12-28 20:48:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689029", "2019-12-28 20:48:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689028", "2019-12-28 20:48:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689027", "2019-12-28 20:47:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689026", "2019-12-28 20:47:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689025", "2019-12-28 20:47:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689024", "2019-12-28 20:46:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689023", "2019-12-28 20:46:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689022", "2019-12-28 20:46:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689021", "2019-12-28 20:45:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689020", "2019-12-28 20:45:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689019", "2019-12-28 20:45:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689018", "2019-12-28 20:44:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689017", "2019-12-28 20:44:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689016", "2019-12-28 20:44:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689015", "2019-12-28 20:43:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689014", "2019-12-28 20:43:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689013", "2019-12-28 20:43:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689012", "2019-12-28 20:43:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689011", "2019-12-28 20:42:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689010", "2019-12-28 20:42:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689009", "2019-12-28 20:42:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689008", "2019-12-28 20:41:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689007", "2019-12-28 20:41:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689006", "2019-12-28 20:41:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689005", "2019-12-28 20:40:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689004", "2019-12-28 20:40:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689003", "2019-12-28 20:40:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689002", "2019-12-28 20:39:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689001", "2019-12-28 20:39:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1689000", "2019-12-28 20:39:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688999", "2019-12-28 20:38:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688998", "2019-12-28 20:38:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688997", "2019-12-28 20:38:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688996", "2019-12-28 20:38:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688995", "2019-12-28 20:37:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688994", "2019-12-28 20:37:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688993", "2019-12-28 20:37:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688992", "2019-12-28 20:37:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688991", "2019-12-28 20:37:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688990", "2019-12-28 20:36:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688989", "2019-12-28 20:36:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688988", "2019-12-28 20:36:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688987", "2019-12-28 20:36:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688986", "2019-12-28 20:35:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688985", "2019-12-28 20:35:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688984", "2019-12-28 20:35:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688983", "2019-12-28 20:35:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688982", "2019-12-28 20:34:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688981", "2019-12-28 20:34:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688980", "2019-12-28 20:34:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688979", "2019-12-28 20:33:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688978", "2019-12-28 20:33:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688977", "2019-12-28 20:33:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688976", "2019-12-28 20:33:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688975", "2019-12-28 20:33:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688974", "2019-12-28 20:32:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688973", "2019-12-28 20:32:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688972", "2019-12-28 20:31:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688971", "2019-12-28 20:31:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688970", "2019-12-28 20:31:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688969", "2019-12-28 20:31:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688968", "2019-12-28 20:31:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688967", "2019-12-28 20:31:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688966", "2019-12-28 20:30:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688965", "2019-12-28 20:30:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688964", "2019-12-28 20:30:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688963", "2019-12-28 20:29:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688962", "2019-12-28 20:29:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688961", "2019-12-28 20:29:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688960", "2019-12-28 20:28:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688959", "2019-12-28 20:28:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688958", "2019-12-28 20:28:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688957", "2019-12-28 20:28:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688956", "2019-12-28 20:28:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688955", "2019-12-28 20:27:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688954", "2019-12-28 20:27:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688953", "2019-12-28 20:27:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688952", "2019-12-28 20:26:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688951", "2019-12-28 20:26:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688950", "2019-12-28 20:26:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688949", "2019-12-28 20:25:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688948", "2019-12-28 20:25:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688947", "2019-12-28 20:25:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688946", "2019-12-28 20:24:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688945", "2019-12-28 20:24:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688944", "2019-12-28 20:24:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688943", "2019-12-28 20:24:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688942", "2019-12-28 20:24:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688941", "2019-12-28 20:23:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688940", "2019-12-28 20:23:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688939", "2019-12-28 20:22:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688938", "2019-12-28 20:22:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688937", "2019-12-28 20:22:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688936", "2019-12-28 20:21:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688935", "2019-12-28 20:21:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688934", "2019-12-28 20:21:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688933", "2019-12-28 20:20:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688932", "2019-12-28 20:20:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688931", "2019-12-28 20:20:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688930", "2019-12-28 20:19:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688929", "2019-12-28 20:19:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688928", "2019-12-28 20:19:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688927", "2019-12-28 20:18:56", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174196");
INSERT INTO `wp_redirection_404` VALUES("1688926", "2019-12-28 20:18:56", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174196");
INSERT INTO `wp_redirection_404` VALUES("1688925", "2019-12-28 20:18:56", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174196");
INSERT INTO `wp_redirection_404` VALUES("1688924", "2019-12-28 20:18:56", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "174196");
INSERT INTO `wp_redirection_404` VALUES("1688923", "2019-12-28 20:18:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688922", "2019-12-28 20:18:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688921", "2019-12-28 20:18:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688920", "2019-12-28 20:17:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688918", "2019-12-28 20:17:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688919", "2019-12-28 20:17:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688917", "2019-12-28 20:17:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688916", "2019-12-28 20:16:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688915", "2019-12-28 20:16:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688914", "2019-12-28 20:16:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688912", "2019-12-28 20:15:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688913", "2019-12-28 20:15:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688911", "2019-12-28 20:15:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688910", "2019-12-28 20:15:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688909", "2019-12-28 20:14:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688908", "2019-12-28 20:14:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688907", "2019-12-28 20:14:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688906", "2019-12-28 20:13:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688905", "2019-12-28 20:13:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688904", "2019-12-28 20:13:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688902", "2019-12-28 20:12:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688903", "2019-12-28 20:12:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688901", "2019-12-28 20:12:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688899", "2019-12-28 20:11:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688900", "2019-12-28 20:11:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688898", "2019-12-28 20:11:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688897", "2019-12-28 20:10:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688895", "2019-12-28 20:10:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688896", "2019-12-28 20:10:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688894", "2019-12-28 20:09:58", "/wp-blog-config.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/73.0.3683.103 Safari/537.36", NULL, "193106");
INSERT INTO `wp_redirection_404` VALUES("1688893", "2019-12-28 20:09:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688892", "2019-12-28 20:09:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688891", "2019-12-28 20:09:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688889", "2019-12-28 20:08:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688890", "2019-12-28 20:08:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688888", "2019-12-28 20:08:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688887", "2019-12-28 20:08:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688886", "2019-12-28 20:07:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688885", "2019-12-28 20:07:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688884", "2019-12-28 20:07:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688883", "2019-12-28 20:06:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688882", "2019-12-28 20:06:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688881", "2019-12-28 20:06:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688880", "2019-12-28 20:06:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688879", "2019-12-28 20:05:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688878", "2019-12-28 20:05:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688877", "2019-12-28 20:05:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688876", "2019-12-28 20:05:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688875", "2019-12-28 20:04:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688874", "2019-12-28 20:04:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688873", "2019-12-28 20:04:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688872", "2019-12-28 20:03:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688871", "2019-12-28 20:03:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695249", "2019-12-30 19:43:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695250", "2019-12-30 19:43:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695251", "2019-12-30 19:43:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695252", "2019-12-30 19:44:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695253", "2019-12-30 19:44:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695254", "2019-12-30 19:44:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695255", "2019-12-30 19:44:59", "/script.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/73.0.3683.103 Safari/537.36", NULL, "193106");
INSERT INTO `wp_redirection_404` VALUES("1695256", "2019-12-30 19:45:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695257", "2019-12-30 19:45:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695258", "2019-12-30 19:46:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695259", "2019-12-30 19:46:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695260", "2019-12-30 19:46:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695261", "2019-12-30 19:47:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695262", "2019-12-30 19:47:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695263", "2019-12-30 19:47:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695264", "2019-12-30 19:48:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695265", "2019-12-30 19:48:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695266", "2019-12-30 19:48:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695267", "2019-12-30 19:49:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695268", "2019-12-30 19:49:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695269", "2019-12-30 19:49:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695270", "2019-12-30 19:50:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695271", "2019-12-30 19:50:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695272", "2019-12-30 19:50:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695273", "2019-12-30 19:51:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695274", "2019-12-30 19:51:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695275", "2019-12-30 19:51:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695276", "2019-12-30 19:52:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695277", "2019-12-30 19:52:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695278", "2019-12-30 19:52:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695279", "2019-12-30 19:53:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695280", "2019-12-30 19:53:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695281", "2019-12-30 19:53:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695282", "2019-12-30 19:54:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695283", "2019-12-30 19:54:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695284", "2019-12-30 19:54:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695285", "2019-12-30 19:55:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695286", "2019-12-30 19:55:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695287", "2019-12-30 19:55:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695288", "2019-12-30 19:56:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695289", "2019-12-30 19:56:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695290", "2019-12-30 19:56:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695291", "2019-12-30 19:57:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695292", "2019-12-30 19:57:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695293", "2019-12-30 19:57:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695294", "2019-12-30 19:58:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695295", "2019-12-30 19:58:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695296", "2019-12-30 19:58:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695297", "2019-12-30 19:59:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695298", "2019-12-30 19:59:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695299", "2019-12-30 19:59:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695300", "2019-12-30 20:00:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695301", "2019-12-30 20:00:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695302", "2019-12-30 20:00:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697289", "2019-12-31 08:22:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697288", "2019-12-31 08:22:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697287", "2019-12-31 08:22:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697286", "2019-12-31 08:21:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697285", "2019-12-31 08:21:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697284", "2019-12-31 08:21:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697283", "2019-12-31 08:20:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697282", "2019-12-31 08:20:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697281", "2019-12-31 08:19:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697280", "2019-12-31 08:19:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697279", "2019-12-31 08:19:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697278", "2019-12-31 08:18:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697277", "2019-12-31 08:18:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697276", "2019-12-31 08:18:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697275", "2019-12-31 08:17:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697274", "2019-12-31 08:17:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697273", "2019-12-31 08:17:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697272", "2019-12-31 08:16:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697271", "2019-12-31 08:16:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697270", "2019-12-31 08:16:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697269", "2019-12-31 08:15:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697268", "2019-12-31 08:15:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697267", "2019-12-31 08:15:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697266", "2019-12-31 08:14:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697265", "2019-12-31 08:14:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697264", "2019-12-31 08:13:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697263", "2019-12-31 08:13:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697262", "2019-12-31 08:12:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697261", "2019-12-31 08:12:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697260", "2019-12-31 08:12:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697259", "2019-12-31 08:11:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697258", "2019-12-31 08:11:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697257", "2019-12-31 08:11:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697256", "2019-12-31 08:10:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697255", "2019-12-31 08:10:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697254", "2019-12-31 08:09:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697253", "2019-12-31 08:09:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697252", "2019-12-31 08:09:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697251", "2019-12-31 08:08:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697250", "2019-12-31 08:08:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697249", "2019-12-31 08:07:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697248", "2019-12-31 08:07:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697247", "2019-12-31 08:07:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697246", "2019-12-31 08:06:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697245", "2019-12-31 08:06:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697244", "2019-12-31 08:06:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697243", "2019-12-31 08:05:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697242", "2019-12-31 08:05:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697241", "2019-12-31 08:05:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697240", "2019-12-31 08:04:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697239", "2019-12-31 08:04:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697238", "2019-12-31 08:04:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697237", "2019-12-31 08:03:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697236", "2019-12-31 08:03:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697235", "2019-12-31 08:03:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697234", "2019-12-31 08:02:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697233", "2019-12-31 08:02:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697232", "2019-12-31 08:02:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697231", "2019-12-31 08:01:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697230", "2019-12-31 08:01:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697229", "2019-12-31 08:01:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697228", "2019-12-31 08:00:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697227", "2019-12-31 08:00:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697226", "2019-12-31 08:00:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697225", "2019-12-31 07:59:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697224", "2019-12-31 07:59:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697223", "2019-12-31 07:58:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697222", "2019-12-31 07:58:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697221", "2019-12-31 07:57:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697220", "2019-12-31 07:57:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697219", "2019-12-31 07:56:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697218", "2019-12-31 07:56:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697217", "2019-12-31 07:56:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697216", "2019-12-31 07:55:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697215", "2019-12-31 07:55:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697214", "2019-12-31 07:55:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697213", "2019-12-31 07:54:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697212", "2019-12-31 07:54:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697211", "2019-12-31 07:54:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697210", "2019-12-31 07:53:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697209", "2019-12-31 07:53:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697208", "2019-12-31 07:53:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697207", "2019-12-31 07:52:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697206", "2019-12-31 07:52:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697205", "2019-12-31 07:52:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697204", "2019-12-31 07:51:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697203", "2019-12-31 07:51:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697202", "2019-12-31 07:51:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697201", "2019-12-31 07:50:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697200", "2019-12-31 07:50:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697199", "2019-12-31 07:49:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697198", "2019-12-31 07:49:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697197", "2019-12-31 07:48:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697196", "2019-12-31 07:48:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697195", "2019-12-31 07:48:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697194", "2019-12-31 07:47:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697193", "2019-12-31 07:47:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697192", "2019-12-31 07:47:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697191", "2019-12-31 07:46:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697190", "2019-12-31 07:46:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697189", "2019-12-31 07:45:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697188", "2019-12-31 07:45:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697187", "2019-12-31 07:45:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697186", "2019-12-31 07:44:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697185", "2019-12-31 07:44:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697184", "2019-12-31 07:44:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697183", "2019-12-31 07:43:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697182", "2019-12-31 07:43:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697181", "2019-12-31 07:43:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697180", "2019-12-31 07:42:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697179", "2019-12-31 07:42:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697178", "2019-12-31 07:42:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697177", "2019-12-31 07:41:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697176", "2019-12-31 07:41:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697175", "2019-12-31 07:41:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697174", "2019-12-31 07:40:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697172", "2019-12-31 07:40:17", "/th1s_1s_a_4o4.html", "SiteLockSpider [en] (WinNT; I ;Nav)", NULL, "184154");
INSERT INTO `wp_redirection_404` VALUES("1697173", "2019-12-31 07:40:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697171", "2019-12-31 07:40:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697170", "2019-12-31 07:39:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697169", "2019-12-31 07:39:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697168", "2019-12-31 07:38:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697167", "2019-12-31 07:38:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697166", "2019-12-31 07:38:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697165", "2019-12-31 07:37:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697164", "2019-12-31 07:37:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697163", "2019-12-31 07:37:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697162", "2019-12-31 07:36:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697161", "2019-12-31 07:36:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697160", "2019-12-31 07:36:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697159", "2019-12-31 07:35:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697158", "2019-12-31 07:35:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697157", "2019-12-31 07:35:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697156", "2019-12-31 07:34:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697155", "2019-12-31 07:34:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697154", "2019-12-31 07:34:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697153", "2019-12-31 07:33:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697152", "2019-12-31 07:33:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697151", "2019-12-31 07:32:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697150", "2019-12-31 07:32:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697149", "2019-12-31 07:32:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697148", "2019-12-31 07:31:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697147", "2019-12-31 07:31:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697146", "2019-12-31 07:31:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697145", "2019-12-31 07:30:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697144", "2019-12-31 07:30:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697143", "2019-12-31 07:29:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697142", "2019-12-31 07:29:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697141", "2019-12-31 07:29:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697140", "2019-12-31 07:28:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697139", "2019-12-31 07:28:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697138", "2019-12-31 07:28:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697137", "2019-12-31 07:28:26", "/locatestore.php?st=SC&PHPSESSID=7c433f02855129266a3adcb5cdfcbbbc", "Mozilla/5.0 (Linux; Android 6.0.1; Nexus 5X Build/MMB29P) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.96 Mobile Safari/537.36 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697136", "2019-12-31 07:27:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697135", "2019-12-31 07:27:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697134", "2019-12-31 07:27:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697133", "2019-12-31 07:26:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697132", "2019-12-31 07:26:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697131", "2019-12-31 07:26:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697130", "2019-12-31 07:25:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697129", "2019-12-31 07:25:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697128", "2019-12-31 07:25:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697127", "2019-12-31 07:24:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697126", "2019-12-31 07:24:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697125", "2019-12-31 07:24:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697124", "2019-12-31 07:24:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697123", "2019-12-31 07:23:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697122", "2019-12-31 07:23:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697121", "2019-12-31 07:22:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697120", "2019-12-31 07:22:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697119", "2019-12-31 07:22:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697118", "2019-12-31 07:21:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697117", "2019-12-31 07:21:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697116", "2019-12-31 07:21:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697115", "2019-12-31 07:20:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697114", "2019-12-31 07:20:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697113", "2019-12-31 07:20:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697112", "2019-12-31 07:19:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697111", "2019-12-31 07:19:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697110", "2019-12-31 07:18:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697109", "2019-12-31 07:18:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697108", "2019-12-31 07:17:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697107", "2019-12-31 07:17:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697106", "2019-12-31 07:17:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697105", "2019-12-31 07:16:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697104", "2019-12-31 07:16:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697103", "2019-12-31 07:16:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697102", "2019-12-31 07:15:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697101", "2019-12-31 07:15:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697100", "2019-12-31 07:15:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697099", "2019-12-31 07:14:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697098", "2019-12-31 07:14:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697097", "2019-12-31 07:14:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697096", "2019-12-31 07:13:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697095", "2019-12-31 07:13:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697094", "2019-12-31 07:13:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697093", "2019-12-31 07:12:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697092", "2019-12-31 07:12:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697091", "2019-12-31 07:12:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697090", "2019-12-31 07:12:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697089", "2019-12-31 07:11:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697088", "2019-12-31 07:11:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697087", "2019-12-31 07:11:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697086", "2019-12-31 07:10:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697085", "2019-12-31 07:10:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697084", "2019-12-31 07:10:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697083", "2019-12-31 07:09:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697082", "2019-12-31 07:09:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697081", "2019-12-31 07:09:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697080", "2019-12-31 07:08:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697079", "2019-12-31 07:08:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697078", "2019-12-31 07:08:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697077", "2019-12-31 07:07:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697076", "2019-12-31 07:07:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697075", "2019-12-31 07:06:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697074", "2019-12-31 07:06:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697073", "2019-12-31 07:06:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697072", "2019-12-31 07:05:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697071", "2019-12-31 07:05:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697070", "2019-12-31 07:04:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697069", "2019-12-31 07:04:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697068", "2019-12-31 07:04:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697067", "2019-12-31 07:03:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697066", "2019-12-31 07:03:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697065", "2019-12-31 07:03:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697064", "2019-12-31 07:02:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697063", "2019-12-31 07:02:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697062", "2019-12-31 07:02:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697061", "2019-12-31 07:01:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697060", "2019-12-31 07:01:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697059", "2019-12-31 07:01:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697058", "2019-12-31 07:00:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697057", "2019-12-31 07:00:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697056", "2019-12-31 06:59:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697055", "2019-12-31 06:59:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697054", "2019-12-31 06:59:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697053", "2019-12-31 06:58:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697052", "2019-12-31 06:58:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697051", "2019-12-31 06:58:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697050", "2019-12-31 06:57:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697049", "2019-12-31 06:57:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697048", "2019-12-31 06:57:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697047", "2019-12-31 06:56:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697046", "2019-12-31 06:56:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697045", "2019-12-31 06:56:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697044", "2019-12-31 06:56:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697043", "2019-12-31 06:55:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697042", "2019-12-31 06:54:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697041", "2019-12-31 06:54:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697040", "2019-12-31 06:54:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697039", "2019-12-31 06:53:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697038", "2019-12-31 06:53:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697037", "2019-12-31 06:53:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697036", "2019-12-31 06:53:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697035", "2019-12-31 06:52:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697034", "2019-12-31 06:52:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697033", "2019-12-31 06:52:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697032", "2019-12-31 06:51:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697031", "2019-12-31 06:51:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697030", "2019-12-31 06:51:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697029", "2019-12-31 06:50:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697028", "2019-12-31 06:50:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697027", "2019-12-31 06:50:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697026", "2019-12-31 06:49:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697025", "2019-12-31 06:49:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697024", "2019-12-31 06:49:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697023", "2019-12-31 06:48:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697022", "2019-12-31 06:48:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697021", "2019-12-31 06:47:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697020", "2019-12-31 06:47:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697019", "2019-12-31 06:46:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697018", "2019-12-31 06:46:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697017", "2019-12-31 06:45:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697016", "2019-12-31 06:45:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697015", "2019-12-31 06:45:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697014", "2019-12-31 06:44:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697013", "2019-12-31 06:44:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697012", "2019-12-31 06:43:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697011", "2019-12-31 06:43:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697010", "2019-12-31 06:43:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697009", "2019-12-31 06:42:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697008", "2019-12-31 06:42:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697007", "2019-12-31 06:42:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697006", "2019-12-31 06:41:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697005", "2019-12-31 06:41:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697004", "2019-12-31 06:41:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697003", "2019-12-31 06:40:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697002", "2019-12-31 06:40:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697001", "2019-12-31 06:40:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1697000", "2019-12-31 06:39:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696999", "2019-12-31 06:39:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696998", "2019-12-31 06:39:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696997", "2019-12-31 06:38:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696996", "2019-12-31 06:38:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696995", "2019-12-31 06:37:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696994", "2019-12-31 06:37:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696993", "2019-12-31 06:36:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696992", "2019-12-31 06:36:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696991", "2019-12-31 06:36:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696990", "2019-12-31 06:35:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696989", "2019-12-31 06:35:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696988", "2019-12-31 06:34:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696987", "2019-12-31 06:34:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696986", "2019-12-31 06:34:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696985", "2019-12-31 06:33:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696984", "2019-12-31 06:33:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696983", "2019-12-31 06:33:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696982", "2019-12-31 06:32:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696981", "2019-12-31 06:32:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696980", "2019-12-31 06:32:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696979", "2019-12-31 06:31:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696978", "2019-12-31 06:30:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696977", "2019-12-31 06:30:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696976", "2019-12-31 06:30:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696975", "2019-12-31 06:29:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696974", "2019-12-31 06:29:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696973", "2019-12-31 06:29:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696972", "2019-12-31 06:28:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696971", "2019-12-31 06:28:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696970", "2019-12-31 06:28:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696969", "2019-12-31 06:27:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696968", "2019-12-31 06:27:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696967", "2019-12-31 06:27:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696966", "2019-12-31 06:26:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696965", "2019-12-31 06:26:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696964", "2019-12-31 06:26:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696963", "2019-12-31 06:25:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696962", "2019-12-31 06:25:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696961", "2019-12-31 06:25:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696960", "2019-12-31 06:24:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696959", "2019-12-31 06:24:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696958", "2019-12-31 06:23:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696957", "2019-12-31 06:23:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696956", "2019-12-31 06:23:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696955", "2019-12-31 06:22:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696954", "2019-12-31 06:22:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696953", "2019-12-31 06:21:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696952", "2019-12-31 06:21:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696951", "2019-12-31 06:21:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696950", "2019-12-31 06:20:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696949", "2019-12-31 06:20:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696948", "2019-12-31 06:19:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696947", "2019-12-31 06:19:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696946", "2019-12-31 06:19:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696945", "2019-12-31 06:18:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696944", "2019-12-31 06:18:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696943", "2019-12-31 06:17:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696942", "2019-12-31 06:17:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696941", "2019-12-31 06:17:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696940", "2019-12-31 06:16:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696939", "2019-12-31 06:16:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696938", "2019-12-31 06:16:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696937", "2019-12-31 06:15:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696936", "2019-12-31 06:15:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696935", "2019-12-31 06:15:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696934", "2019-12-31 06:14:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696933", "2019-12-31 06:14:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696932", "2019-12-31 06:13:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696931", "2019-12-31 06:13:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696930", "2019-12-31 06:13:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696929", "2019-12-31 06:12:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696928", "2019-12-31 06:12:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696927", "2019-12-31 06:12:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696926", "2019-12-31 06:11:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696925", "2019-12-31 06:11:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696924", "2019-12-31 06:10:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696923", "2019-12-31 06:10:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696922", "2019-12-31 06:10:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696921", "2019-12-31 06:09:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696920", "2019-12-31 06:09:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696919", "2019-12-31 06:09:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696918", "2019-12-31 06:08:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696917", "2019-12-31 06:07:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696916", "2019-12-31 06:07:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696915", "2019-12-31 06:07:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696914", "2019-12-31 06:07:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696913", "2019-12-31 06:06:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696912", "2019-12-31 06:06:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696911", "2019-12-31 06:06:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696910", "2019-12-31 06:05:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696909", "2019-12-31 06:05:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696908", "2019-12-31 06:05:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696907", "2019-12-31 06:04:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696906", "2019-12-31 06:04:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696905", "2019-12-31 06:03:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696904", "2019-12-31 06:03:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696903", "2019-12-31 06:03:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696902", "2019-12-31 06:02:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696901", "2019-12-31 06:02:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696900", "2019-12-31 06:02:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696899", "2019-12-31 06:01:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696898", "2019-12-31 06:01:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696897", "2019-12-31 06:01:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696896", "2019-12-31 06:00:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696895", "2019-12-31 06:00:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696894", "2019-12-31 06:00:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696893", "2019-12-31 05:59:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696892", "2019-12-31 05:59:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696891", "2019-12-31 05:59:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696890", "2019-12-31 05:58:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696889", "2019-12-31 05:58:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696888", "2019-12-31 05:57:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696887", "2019-12-31 05:57:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696886", "2019-12-31 05:57:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696885", "2019-12-31 05:56:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696884", "2019-12-31 05:56:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696883", "2019-12-31 05:55:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696882", "2019-12-31 05:55:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696881", "2019-12-31 04:39:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696880", "2019-12-31 04:39:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696879", "2019-12-31 04:38:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696878", "2019-12-31 04:38:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696877", "2019-12-31 04:38:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696876", "2019-12-31 04:38:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696875", "2019-12-31 04:38:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696874", "2019-12-31 04:37:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696873", "2019-12-31 04:37:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696872", "2019-12-31 04:37:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696871", "2019-12-31 04:37:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696870", "2019-12-31 04:37:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696869", "2019-12-31 04:36:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696868", "2019-12-31 04:36:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696867", "2019-12-31 04:36:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696866", "2019-12-31 04:36:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696865", "2019-12-31 04:36:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696864", "2019-12-31 04:36:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696863", "2019-12-31 04:36:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696862", "2019-12-31 04:35:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696861", "2019-12-31 04:35:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696860", "2019-12-31 04:35:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696859", "2019-12-31 04:35:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696858", "2019-12-31 04:35:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696857", "2019-12-31 04:34:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696856", "2019-12-31 04:34:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696855", "2019-12-31 04:34:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696854", "2019-12-31 04:34:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696853", "2019-12-31 04:34:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696852", "2019-12-31 04:33:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696851", "2019-12-31 04:33:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696850", "2019-12-31 04:33:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696849", "2019-12-31 04:33:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696848", "2019-12-31 04:33:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696847", "2019-12-31 04:32:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696846", "2019-12-31 04:32:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696845", "2019-12-31 04:32:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696844", "2019-12-31 04:32:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696843", "2019-12-31 04:32:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696842", "2019-12-31 04:31:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696841", "2019-12-31 04:31:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696840", "2019-12-31 04:31:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696839", "2019-12-31 04:31:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696838", "2019-12-31 04:30:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696837", "2019-12-31 04:30:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696836", "2019-12-31 04:30:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696835", "2019-12-31 04:30:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696834", "2019-12-31 04:30:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696833", "2019-12-31 04:30:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696832", "2019-12-31 04:29:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696831", "2019-12-31 04:29:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696830", "2019-12-31 04:29:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696829", "2019-12-31 04:28:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696828", "2019-12-31 04:28:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696827", "2019-12-31 04:28:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696826", "2019-12-31 04:28:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696825", "2019-12-31 04:28:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696824", "2019-12-31 04:27:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696823", "2019-12-31 04:27:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696822", "2019-12-31 04:27:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696821", "2019-12-31 04:27:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696820", "2019-12-31 04:27:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696819", "2019-12-31 04:27:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696818", "2019-12-31 04:26:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696817", "2019-12-31 04:26:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696816", "2019-12-31 04:26:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696815", "2019-12-31 04:26:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696813", "2019-12-31 04:25:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696814", "2019-12-31 04:25:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696812", "2019-12-31 04:25:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696811", "2019-12-31 04:24:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696810", "2019-12-31 04:24:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696809", "2019-12-31 04:24:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696808", "2019-12-31 04:24:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696807", "2019-12-31 04:24:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696806", "2019-12-31 04:23:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696805", "2019-12-31 04:23:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696804", "2019-12-31 04:23:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696803", "2019-12-31 04:23:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696802", "2019-12-31 04:23:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696801", "2019-12-31 04:22:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696800", "2019-12-31 04:22:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696799", "2019-12-31 04:22:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696798", "2019-12-31 04:22:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696797", "2019-12-31 04:22:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696796", "2019-12-31 04:21:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696795", "2019-12-31 04:21:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696794", "2019-12-31 04:21:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696793", "2019-12-31 04:20:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696792", "2019-12-31 04:20:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696791", "2019-12-31 04:20:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696790", "2019-12-31 04:20:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696789", "2019-12-31 04:19:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696788", "2019-12-31 04:19:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696787", "2019-12-31 04:19:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696786", "2019-12-31 04:19:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696785", "2019-12-31 04:19:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696784", "2019-12-31 04:18:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696783", "2019-12-31 04:18:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696782", "2019-12-31 04:18:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696781", "2019-12-31 04:17:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696780", "2019-12-31 04:17:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696779", "2019-12-31 04:17:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696778", "2019-12-31 04:17:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696777", "2019-12-31 04:17:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696776", "2019-12-31 04:16:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696775", "2019-12-31 04:16:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696774", "2019-12-31 04:16:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696773", "2019-12-31 04:16:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696772", "2019-12-31 04:15:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696771", "2019-12-31 04:15:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696770", "2019-12-31 04:15:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696769", "2019-12-31 04:14:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696768", "2019-12-31 04:14:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696767", "2019-12-31 04:14:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696766", "2019-12-31 04:14:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696765", "2019-12-31 04:13:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696764", "2019-12-31 04:13:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696763", "2019-12-31 04:13:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696762", "2019-12-31 04:13:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696761", "2019-12-31 04:12:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696760", "2019-12-31 04:12:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696759", "2019-12-31 04:12:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696758", "2019-12-31 04:12:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696757", "2019-12-31 04:12:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696756", "2019-12-31 04:11:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696755", "2019-12-31 04:11:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696754", "2019-12-31 04:11:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696753", "2019-12-31 04:10:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696752", "2019-12-31 04:10:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696751", "2019-12-31 04:10:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696750", "2019-12-31 04:10:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696749", "2019-12-31 04:09:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696748", "2019-12-31 04:09:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696747", "2019-12-31 04:09:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696746", "2019-12-31 04:09:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696745", "2019-12-31 04:08:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696744", "2019-12-31 04:08:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696743", "2019-12-31 04:08:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696742", "2019-12-31 04:08:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696741", "2019-12-31 04:07:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696740", "2019-12-31 04:07:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696739", "2019-12-31 04:07:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696738", "2019-12-31 04:06:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696737", "2019-12-31 04:06:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696736", "2019-12-31 04:06:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696735", "2019-12-31 04:06:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696734", "2019-12-31 04:06:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696733", "2019-12-31 04:05:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696732", "2019-12-31 04:05:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696731", "2019-12-31 04:05:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696730", "2019-12-31 04:04:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696729", "2019-12-31 04:04:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696728", "2019-12-31 04:04:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696727", "2019-12-31 04:04:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696726", "2019-12-31 04:03:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696725", "2019-12-31 04:03:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696724", "2019-12-31 04:03:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696723", "2019-12-31 04:03:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696722", "2019-12-31 04:03:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696721", "2019-12-31 04:02:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696720", "2019-12-31 04:02:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696719", "2019-12-31 04:02:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696718", "2019-12-31 04:01:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696717", "2019-12-31 04:01:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696716", "2019-12-31 04:01:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696715", "2019-12-31 04:01:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696714", "2019-12-31 04:01:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696713", "2019-12-31 04:00:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696712", "2019-12-31 04:00:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696711", "2019-12-31 04:00:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696710", "2019-12-31 04:00:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696709", "2019-12-31 03:59:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696708", "2019-12-31 03:59:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696707", "2019-12-31 03:59:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696706", "2019-12-31 03:58:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696705", "2019-12-31 03:58:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696704", "2019-12-31 03:58:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696703", "2019-12-31 03:57:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696702", "2019-12-31 03:57:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696701", "2019-12-31 03:57:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696700", "2019-12-31 03:57:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696699", "2019-12-31 03:57:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696698", "2019-12-31 03:57:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696697", "2019-12-31 03:56:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696696", "2019-12-31 03:56:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696695", "2019-12-31 03:56:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696694", "2019-12-31 03:55:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696693", "2019-12-31 03:55:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696692", "2019-12-31 03:55:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696691", "2019-12-31 03:54:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696690", "2019-12-31 03:54:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696689", "2019-12-31 03:54:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696688", "2019-12-31 03:54:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696687", "2019-12-31 03:54:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696686", "2019-12-31 03:53:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696685", "2019-12-31 03:53:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696684", "2019-12-31 03:52:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696683", "2019-12-31 03:52:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696682", "2019-12-31 03:52:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696681", "2019-12-31 03:51:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696680", "2019-12-31 03:51:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696679", "2019-12-31 03:51:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696678", "2019-12-31 03:50:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696677", "2019-12-31 03:50:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696676", "2019-12-31 03:50:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696675", "2019-12-31 03:50:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696674", "2019-12-31 03:49:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696673", "2019-12-31 03:49:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696672", "2019-12-31 03:49:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696671", "2019-12-31 03:48:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696670", "2019-12-31 03:48:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696669", "2019-12-31 03:48:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696668", "2019-12-31 03:47:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696667", "2019-12-31 03:47:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696666", "2019-12-31 03:47:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696665", "2019-12-31 03:47:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696664", "2019-12-31 03:46:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696663", "2019-12-31 03:46:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696662", "2019-12-31 03:46:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696661", "2019-12-31 03:46:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696660", "2019-12-31 03:45:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696659", "2019-12-31 03:45:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696658", "2019-12-31 03:44:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696657", "2019-12-31 03:44:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696656", "2019-12-31 03:44:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696655", "2019-12-31 03:44:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696654", "2019-12-31 03:43:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696653", "2019-12-31 03:43:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696652", "2019-12-31 03:43:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696651", "2019-12-31 03:43:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696650", "2019-12-31 03:42:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696649", "2019-12-31 03:42:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696648", "2019-12-31 03:42:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696647", "2019-12-31 03:41:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696646", "2019-12-31 03:41:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696645", "2019-12-31 03:41:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696644", "2019-12-31 03:40:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696643", "2019-12-31 03:40:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696642", "2019-12-31 03:40:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696641", "2019-12-31 03:39:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696640", "2019-12-31 03:39:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696639", "2019-12-31 03:39:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696638", "2019-12-31 03:39:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696637", "2019-12-31 03:39:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696636", "2019-12-31 03:39:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696635", "2019-12-31 03:38:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696634", "2019-12-31 03:38:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696633", "2019-12-31 03:38:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696632", "2019-12-31 03:37:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696631", "2019-12-31 03:37:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696630", "2019-12-31 03:37:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696629", "2019-12-31 03:36:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696628", "2019-12-31 03:36:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696627", "2019-12-31 03:36:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696626", "2019-12-31 03:35:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696625", "2019-12-31 03:35:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696624", "2019-12-31 03:35:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696623", "2019-12-31 03:34:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696622", "2019-12-31 03:34:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696621", "2019-12-31 03:34:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696620", "2019-12-31 03:33:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696619", "2019-12-31 03:33:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696618", "2019-12-31 03:33:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696617", "2019-12-31 03:33:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696616", "2019-12-31 03:32:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696615", "2019-12-31 03:32:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696614", "2019-12-31 03:32:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696613", "2019-12-31 03:31:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696612", "2019-12-31 03:31:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696610", "2019-12-31 03:31:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696611", "2019-12-31 03:31:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696609", "2019-12-31 03:30:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696608", "2019-12-31 03:30:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696607", "2019-12-31 03:30:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696606", "2019-12-31 03:29:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696605", "2019-12-31 03:29:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696604", "2019-12-31 03:29:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696603", "2019-12-31 03:28:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696602", "2019-12-31 03:28:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696601", "2019-12-31 03:28:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696600", "2019-12-31 03:28:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696599", "2019-12-31 03:27:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696598", "2019-12-31 03:27:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696597", "2019-12-31 03:27:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696596", "2019-12-31 03:26:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696595", "2019-12-31 03:26:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696594", "2019-12-31 03:25:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696593", "2019-12-31 03:25:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696592", "2019-12-31 03:25:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696591", "2019-12-31 03:25:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696590", "2019-12-31 03:24:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696589", "2019-12-31 03:24:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696588", "2019-12-31 03:24:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696587", "2019-12-31 03:23:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696586", "2019-12-31 03:23:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696585", "2019-12-31 03:23:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696584", "2019-12-31 03:22:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696583", "2019-12-31 03:22:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696582", "2019-12-31 03:22:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696581", "2019-12-31 03:21:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696580", "2019-12-31 03:21:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696579", "2019-12-31 03:21:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696578", "2019-12-31 03:20:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696577", "2019-12-31 03:20:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696576", "2019-12-31 03:20:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696575", "2019-12-31 03:20:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696574", "2019-12-31 03:19:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696573", "2019-12-31 03:19:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696572", "2019-12-31 03:19:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696571", "2019-12-31 03:18:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696570", "2019-12-31 03:18:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696569", "2019-12-31 03:18:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696568", "2019-12-31 03:18:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696567", "2019-12-31 03:17:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696566", "2019-12-31 03:17:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696565", "2019-12-31 03:17:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696564", "2019-12-31 03:16:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696563", "2019-12-31 03:16:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696562", "2019-12-31 03:16:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696561", "2019-12-31 03:15:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696560", "2019-12-31 03:15:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696559", "2019-12-31 03:15:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696558", "2019-12-31 03:15:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696557", "2019-12-31 03:14:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696556", "2019-12-31 03:14:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696555", "2019-12-31 03:14:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696554", "2019-12-31 03:13:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696553", "2019-12-31 03:13:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696552", "2019-12-31 03:13:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696551", "2019-12-31 03:12:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696550", "2019-12-31 03:12:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696549", "2019-12-31 03:11:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696548", "2019-12-31 03:11:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696547", "2019-12-31 03:11:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696546", "2019-12-31 03:10:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696545", "2019-12-31 03:10:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696544", "2019-12-31 03:10:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696543", "2019-12-31 03:09:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696542", "2019-12-31 03:09:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696541", "2019-12-31 03:09:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696540", "2019-12-31 03:08:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696539", "2019-12-31 03:08:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696538", "2019-12-31 03:08:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696537", "2019-12-31 03:07:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696536", "2019-12-31 03:07:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696535", "2019-12-31 03:07:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696534", "2019-12-31 03:06:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696533", "2019-12-31 03:06:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696532", "2019-12-31 03:06:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696531", "2019-12-31 03:06:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696530", "2019-12-31 03:05:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696529", "2019-12-31 03:05:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696528", "2019-12-31 03:05:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696527", "2019-12-31 03:04:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696526", "2019-12-31 03:04:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696525", "2019-12-31 03:04:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696524", "2019-12-31 03:03:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696523", "2019-12-31 03:03:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696522", "2019-12-31 03:03:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696521", "2019-12-31 03:03:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696520", "2019-12-31 03:03:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696519", "2019-12-31 03:02:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696518", "2019-12-31 03:02:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696517", "2019-12-31 03:02:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696516", "2019-12-31 03:01:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696515", "2019-12-31 03:01:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696514", "2019-12-31 03:01:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696513", "2019-12-31 03:00:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696512", "2019-12-31 03:00:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696511", "2019-12-31 03:00:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696510", "2019-12-31 02:59:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696509", "2019-12-31 02:59:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696508", "2019-12-31 02:59:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696507", "2019-12-31 02:58:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696506", "2019-12-31 02:58:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696505", "2019-12-31 02:58:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696504", "2019-12-31 02:57:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696503", "2019-12-31 02:57:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696502", "2019-12-31 02:57:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696501", "2019-12-31 02:56:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696500", "2019-12-31 02:56:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696499", "2019-12-31 02:56:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696498", "2019-12-31 02:55:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696497", "2019-12-31 02:55:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696496", "2019-12-31 02:55:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696495", "2019-12-31 02:54:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696494", "2019-12-31 02:54:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696493", "2019-12-31 02:54:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696492", "2019-12-31 02:53:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696491", "2019-12-31 02:53:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696490", "2019-12-31 02:53:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696489", "2019-12-31 02:52:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696488", "2019-12-31 02:52:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696487", "2019-12-31 02:52:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696486", "2019-12-31 02:51:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696485", "2019-12-31 02:51:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696484", "2019-12-31 02:51:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696483", "2019-12-31 02:50:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696482", "2019-12-31 02:50:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696481", "2019-12-31 02:50:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696480", "2019-12-31 02:49:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696479", "2019-12-31 02:49:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696478", "2019-12-31 02:49:17", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "2450");
INSERT INTO `wp_redirection_404` VALUES("1696477", "2019-12-31 02:49:17", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "2450");
INSERT INTO `wp_redirection_404` VALUES("1696476", "2019-12-31 02:49:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696475", "2019-12-31 02:49:14", "/dubois-", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696474", "2019-12-31 02:48:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696473", "2019-12-31 02:48:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696472", "2019-12-31 02:48:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696471", "2019-12-31 02:47:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696470", "2019-12-31 02:47:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696469", "2019-12-31 02:47:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696468", "2019-12-31 02:46:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696467", "2019-12-31 02:46:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696466", "2019-12-31 02:46:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696465", "2019-12-31 02:45:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696464", "2019-12-31 02:45:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696463", "2019-12-31 02:45:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696462", "2019-12-31 02:44:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696461", "2019-12-31 02:44:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696460", "2019-12-31 02:44:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696459", "2019-12-31 02:43:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696458", "2019-12-31 02:43:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696457", "2019-12-31 02:43:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696456", "2019-12-31 02:42:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696455", "2019-12-31 02:42:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696454", "2019-12-31 02:42:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696453", "2019-12-31 02:41:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696452", "2019-12-31 02:41:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696451", "2019-12-31 02:40:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696450", "2019-12-31 02:40:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696449", "2019-12-31 02:40:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696448", "2019-12-31 02:39:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696447", "2019-12-31 02:39:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696446", "2019-12-31 02:39:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696445", "2019-12-31 02:38:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696444", "2019-12-31 02:38:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696443", "2019-12-31 02:37:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696442", "2019-12-31 02:37:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696441", "2019-12-31 02:37:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696440", "2019-12-31 02:36:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696439", "2019-12-31 02:36:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696438", "2019-12-31 02:36:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696437", "2019-12-31 02:35:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696436", "2019-12-31 02:35:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696435", "2019-12-31 02:35:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696434", "2019-12-31 02:34:52", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "73131");
INSERT INTO `wp_redirection_404` VALUES("1696433", "2019-12-31 02:34:51", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "73131");
INSERT INTO `wp_redirection_404` VALUES("1696432", "2019-12-31 02:34:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696431", "2019-12-31 02:34:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696430", "2019-12-31 02:34:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696429", "2019-12-31 02:33:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696428", "2019-12-31 02:32:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696427", "2019-12-31 02:32:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696426", "2019-12-31 02:32:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696425", "2019-12-31 02:31:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696424", "2019-12-31 02:31:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696423", "2019-12-31 02:31:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696422", "2019-12-31 02:30:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696421", "2019-12-31 02:30:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696420", "2019-12-31 02:30:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696419", "2019-12-31 02:29:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696418", "2019-12-31 02:29:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696417", "2019-12-31 02:29:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696416", "2019-12-31 02:28:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696415", "2019-12-31 02:28:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696414", "2019-12-31 02:28:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696413", "2019-12-31 02:27:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696412", "2019-12-31 02:27:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696411", "2019-12-31 02:26:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696410", "2019-12-31 02:26:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696409", "2019-12-31 02:26:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696408", "2019-12-31 02:25:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696406", "2019-12-31 02:25:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696407", "2019-12-31 02:25:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696405", "2019-12-31 02:24:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696404", "2019-12-31 02:24:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696403", "2019-12-31 02:24:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696402", "2019-12-31 02:23:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696401", "2019-12-31 02:23:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696400", "2019-12-31 02:22:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696398", "2019-12-31 02:22:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696399", "2019-12-31 02:22:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696397", "2019-12-31 02:21:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696396", "2019-12-31 02:21:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696395", "2019-12-31 02:21:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696394", "2019-12-31 02:20:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696393", "2019-12-31 02:20:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696392", "2019-12-31 02:20:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696390", "2019-12-31 02:19:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696391", "2019-12-31 02:19:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696389", "2019-12-31 02:19:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696388", "2019-12-31 02:18:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696387", "2019-12-31 02:18:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696386", "2019-12-31 02:18:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696385", "2019-12-31 02:17:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696384", "2019-12-31 02:17:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696383", "2019-12-31 02:16:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696382", "2019-12-31 02:16:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696381", "2019-12-31 02:15:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696380", "2019-12-31 02:15:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696379", "2019-12-31 02:15:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696378", "2019-12-31 02:15:03", "/.well-known/security.txt", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/67.0.3396.99 Safari/537.36", NULL, "178128");
INSERT INTO `wp_redirection_404` VALUES("1696376", "2019-12-31 02:14:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696377", "2019-12-31 02:14:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696375", "2019-12-31 02:14:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696374", "2019-12-31 02:13:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696373", "2019-12-31 02:13:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696372", "2019-12-31 02:13:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696371", "2019-12-31 02:12:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696370", "2019-12-31 02:12:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696369", "2019-12-31 02:12:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696368", "2019-12-31 02:11:57", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "10412");
INSERT INTO `wp_redirection_404` VALUES("1696367", "2019-12-31 02:11:55", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "10412");
INSERT INTO `wp_redirection_404` VALUES("1696366", "2019-12-31 02:11:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696365", "2019-12-31 02:11:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696364", "2019-12-31 02:11:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696363", "2019-12-31 02:10:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696362", "2019-12-31 02:10:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696361", "2019-12-31 02:10:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696360", "2019-12-31 02:09:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696359", "2019-12-31 02:09:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696358", "2019-12-31 02:09:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696357", "2019-12-31 02:08:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696356", "2019-12-31 02:08:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696355", "2019-12-31 02:08:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696354", "2019-12-31 02:07:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696353", "2019-12-31 02:07:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696352", "2019-12-31 02:07:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696351", "2019-12-31 02:07:34", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "40142");
INSERT INTO `wp_redirection_404` VALUES("1696350", "2019-12-31 02:07:34", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "40142");
INSERT INTO `wp_redirection_404` VALUES("1696349", "2019-12-31 02:06:58", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "40142");
INSERT INTO `wp_redirection_404` VALUES("1696348", "2019-12-31 02:06:57", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "40142");
INSERT INTO `wp_redirection_404` VALUES("1696347", "2019-12-31 02:06:57", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "40142");
INSERT INTO `wp_redirection_404` VALUES("1696346", "2019-12-31 02:06:57", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "40142");
INSERT INTO `wp_redirection_404` VALUES("1696345", "2019-12-31 02:06:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696344", "2019-12-31 02:06:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696343", "2019-12-31 02:06:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696342", "2019-12-31 02:05:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696341", "2019-12-31 02:05:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696340", "2019-12-31 02:05:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696339", "2019-12-31 02:04:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696338", "2019-12-31 02:04:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696337", "2019-12-31 02:04:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696336", "2019-12-31 02:03:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696335", "2019-12-31 02:03:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696334", "2019-12-31 02:03:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696333", "2019-12-31 02:02:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696332", "2019-12-31 02:02:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696331", "2019-12-31 02:02:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696330", "2019-12-31 02:02:02", "/wp-content/plugins/radykal-fancy-gallery/admin/generate-code.php", "Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2896.3 Safari/537.36", "http://www.google.com/", "10382");
INSERT INTO `wp_redirection_404` VALUES("1696329", "2019-12-31 02:01:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696328", "2019-12-31 02:01:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696327", "2019-12-31 02:00:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696326", "2019-12-31 02:00:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696325", "2019-12-31 02:00:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696324", "2019-12-31 01:59:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696323", "2019-12-31 01:59:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696322", "2019-12-31 01:59:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696321", "2019-12-31 01:58:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696320", "2019-12-31 01:58:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696319", "2019-12-31 01:57:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696318", "2019-12-31 01:57:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696317", "2019-12-31 01:57:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696316", "2019-12-31 01:56:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696315", "2019-12-31 01:56:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696314", "2019-12-31 01:56:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696313", "2019-12-31 01:55:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696312", "2019-12-31 01:55:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696311", "2019-12-31 01:55:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696310", "2019-12-31 01:55:12", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "40142");
INSERT INTO `wp_redirection_404` VALUES("1696309", "2019-12-31 01:55:12", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "40142");
INSERT INTO `wp_redirection_404` VALUES("1696308", "2019-12-31 01:55:11", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "40142");
INSERT INTO `wp_redirection_404` VALUES("1696307", "2019-12-31 01:55:11", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "40142");
INSERT INTO `wp_redirection_404` VALUES("1696306", "2019-12-31 01:54:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696305", "2019-12-31 01:54:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696304", "2019-12-31 01:54:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696303", "2019-12-31 01:53:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696302", "2019-12-31 01:53:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696301", "2019-12-31 01:53:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696300", "2019-12-31 01:52:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696299", "2019-12-31 01:52:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696298", "2019-12-31 01:52:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696297", "2019-12-31 01:51:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696296", "2019-12-31 01:51:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696295", "2019-12-31 01:51:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696294", "2019-12-31 01:50:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696293", "2019-12-31 01:50:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696292", "2019-12-31 01:50:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696291", "2019-12-31 01:49:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696290", "2019-12-31 01:49:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696289", "2019-12-31 01:49:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696288", "2019-12-31 01:48:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696287", "2019-12-31 01:48:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696286", "2019-12-31 01:48:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696285", "2019-12-31 01:47:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696284", "2019-12-31 01:47:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696283", "2019-12-31 01:46:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696282", "2019-12-31 01:46:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696281", "2019-12-31 01:46:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696280", "2019-12-31 01:45:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696279", "2019-12-31 01:45:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696278", "2019-12-31 01:45:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696277", "2019-12-31 01:44:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696276", "2019-12-31 01:44:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696275", "2019-12-31 01:44:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696274", "2019-12-31 01:43:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696273", "2019-12-31 01:43:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696272", "2019-12-31 01:43:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696271", "2019-12-31 01:42:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696270", "2019-12-31 01:42:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696269", "2019-12-31 01:41:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696268", "2019-12-31 01:41:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696267", "2019-12-31 01:41:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696266", "2019-12-31 01:40:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696265", "2019-12-31 01:40:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696264", "2019-12-31 01:39:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696263", "2019-12-31 01:39:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696262", "2019-12-31 01:39:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696261", "2019-12-31 01:38:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696260", "2019-12-31 01:38:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696259", "2019-12-31 01:38:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696258", "2019-12-31 01:37:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696257", "2019-12-31 01:37:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696256", "2019-12-31 01:37:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696255", "2019-12-31 01:36:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696254", "2019-12-31 01:36:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696253", "2019-12-31 01:36:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696252", "2019-12-31 01:35:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696251", "2019-12-31 01:35:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696250", "2019-12-31 01:35:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696249", "2019-12-31 01:34:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696248", "2019-12-31 01:34:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696247", "2019-12-31 01:34:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696246", "2019-12-31 01:33:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696245", "2019-12-31 01:33:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696244", "2019-12-31 01:33:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696243", "2019-12-31 01:32:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696242", "2019-12-31 01:32:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696241", "2019-12-31 01:32:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696240", "2019-12-31 01:31:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696239", "2019-12-31 01:31:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696238", "2019-12-31 01:30:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696237", "2019-12-31 01:30:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696236", "2019-12-31 01:30:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696235", "2019-12-31 01:29:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696234", "2019-12-31 01:29:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696233", "2019-12-31 01:29:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696232", "2019-12-31 01:28:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696231", "2019-12-31 01:28:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696230", "2019-12-31 01:27:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696229", "2019-12-31 01:27:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696228", "2019-12-31 01:27:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696227", "2019-12-31 01:26:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696226", "2019-12-31 01:26:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696225", "2019-12-31 01:26:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696224", "2019-12-31 01:25:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696223", "2019-12-31 01:25:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696222", "2019-12-31 01:25:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696221", "2019-12-31 01:24:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696220", "2019-12-31 01:24:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696219", "2019-12-31 01:24:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696218", "2019-12-31 01:23:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696217", "2019-12-31 01:23:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696216", "2019-12-31 01:23:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696215", "2019-12-31 01:22:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696214", "2019-12-31 01:22:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696213", "2019-12-31 01:22:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696212", "2019-12-31 01:21:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696211", "2019-12-31 01:21:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696210", "2019-12-31 01:21:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696209", "2019-12-31 01:20:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696208", "2019-12-31 01:20:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696207", "2019-12-31 01:20:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696206", "2019-12-31 01:19:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696205", "2019-12-31 01:19:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696204", "2019-12-31 01:19:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696203", "2019-12-31 01:18:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696202", "2019-12-31 01:18:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696201", "2019-12-31 01:17:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696200", "2019-12-31 01:17:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696199", "2019-12-31 01:16:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696198", "2019-12-31 01:16:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696197", "2019-12-31 01:16:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696196", "2019-12-31 01:15:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696195", "2019-12-31 01:15:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696194", "2019-12-31 01:15:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696193", "2019-12-31 01:14:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696192", "2019-12-31 01:14:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696191", "2019-12-31 01:14:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696190", "2019-12-31 01:13:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696189", "2019-12-31 01:13:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696188", "2019-12-31 01:12:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696187", "2019-12-31 01:12:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696186", "2019-12-31 01:12:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696185", "2019-12-31 01:11:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696184", "2019-12-31 01:11:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696183", "2019-12-31 01:11:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696182", "2019-12-31 01:10:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696181", "2019-12-31 01:10:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696180", "2019-12-31 01:10:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696179", "2019-12-31 01:09:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696178", "2019-12-31 01:09:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696177", "2019-12-31 01:09:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696176", "2019-12-31 01:08:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696175", "2019-12-31 01:08:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696174", "2019-12-31 01:08:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696173", "2019-12-31 01:07:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696172", "2019-12-31 01:07:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696171", "2019-12-31 01:06:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696170", "2019-12-31 01:06:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696169", "2019-12-31 01:06:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696168", "2019-12-31 01:05:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696167", "2019-12-31 01:05:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696166", "2019-12-31 01:05:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696165", "2019-12-31 01:04:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696164", "2019-12-31 01:04:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696163", "2019-12-31 01:03:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696162", "2019-12-31 01:03:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696161", "2019-12-31 01:03:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696160", "2019-12-31 01:02:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696159", "2019-12-31 01:02:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696158", "2019-12-31 01:02:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696157", "2019-12-31 01:01:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696156", "2019-12-31 01:01:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696155", "2019-12-31 01:01:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696154", "2019-12-31 01:00:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696153", "2019-12-31 01:00:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696152", "2019-12-31 01:00:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696151", "2019-12-31 00:59:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696150", "2019-12-31 00:59:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696149", "2019-12-31 00:59:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696148", "2019-12-31 00:58:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696147", "2019-12-31 00:58:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696146", "2019-12-31 00:58:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696145", "2019-12-31 00:57:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696144", "2019-12-31 00:57:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696143", "2019-12-31 00:57:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696142", "2019-12-31 00:56:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696141", "2019-12-31 00:56:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696140", "2019-12-31 00:56:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696139", "2019-12-31 00:55:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696138", "2019-12-31 00:55:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696137", "2019-12-31 00:55:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696136", "2019-12-31 00:54:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696135", "2019-12-31 00:54:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696134", "2019-12-31 00:54:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696133", "2019-12-31 00:53:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696132", "2019-12-31 00:52:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696131", "2019-12-31 00:52:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696130", "2019-12-31 00:52:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696129", "2019-12-31 00:51:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696128", "2019-12-31 00:51:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696127", "2019-12-31 00:50:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696126", "2019-12-31 00:50:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696124", "2019-12-31 00:49:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696125", "2019-12-31 00:50:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696123", "2019-12-31 00:49:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696122", "2019-12-31 00:49:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696121", "2019-12-31 00:48:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696120", "2019-12-31 00:48:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696119", "2019-12-31 00:48:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696118", "2019-12-31 00:47:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696117", "2019-12-31 00:47:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696116", "2019-12-31 00:47:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696115", "2019-12-31 00:46:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696114", "2019-12-31 00:46:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696113", "2019-12-31 00:46:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696111", "2019-12-31 00:45:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696112", "2019-12-31 00:45:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696110", "2019-12-31 00:45:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696109", "2019-12-31 00:44:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696108", "2019-12-31 00:44:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696107", "2019-12-31 00:44:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696106", "2019-12-31 00:43:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696105", "2019-12-31 00:43:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696104", "2019-12-31 00:42:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696103", "2019-12-31 00:42:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696102", "2019-12-31 00:42:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696101", "2019-12-31 00:41:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696100", "2019-12-31 00:41:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696099", "2019-12-31 00:40:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696098", "2019-12-31 00:40:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696097", "2019-12-31 00:40:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696096", "2019-12-31 00:39:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696095", "2019-12-31 00:39:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696094", "2019-12-31 00:39:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696093", "2019-12-31 00:38:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696092", "2019-12-31 00:38:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696091", "2019-12-31 00:37:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696090", "2019-12-31 00:37:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696089", "2019-12-31 00:37:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696088", "2019-12-31 00:36:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696087", "2019-12-31 00:36:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696086", "2019-12-31 00:36:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696085", "2019-12-31 00:35:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696084", "2019-12-31 00:35:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696083", "2019-12-31 00:35:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696082", "2019-12-31 00:34:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696081", "2019-12-31 00:34:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696080", "2019-12-31 00:34:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696079", "2019-12-31 00:33:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696078", "2019-12-31 00:33:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696077", "2019-12-31 00:33:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696076", "2019-12-31 00:32:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696075", "2019-12-31 00:32:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696074", "2019-12-31 00:32:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696073", "2019-12-31 00:31:44", "/2016/03/10/pizza-crust-alternatives/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1696072", "2019-12-31 00:31:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696071", "2019-12-31 00:30:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696070", "2019-12-31 00:30:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696069", "2019-12-31 00:30:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696068", "2019-12-31 00:29:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696067", "2019-12-31 00:29:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696066", "2019-12-31 00:29:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696065", "2019-12-31 00:28:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696064", "2019-12-31 00:28:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696063", "2019-12-31 00:27:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696062", "2019-12-31 00:27:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696061", "2019-12-31 00:27:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696060", "2019-12-31 00:26:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696059", "2019-12-31 00:26:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696058", "2019-12-31 00:26:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696057", "2019-12-31 00:25:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696056", "2019-12-31 00:25:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696055", "2019-12-31 00:25:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696054", "2019-12-31 00:24:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696053", "2019-12-31 00:24:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696052", "2019-12-31 00:24:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696051", "2019-12-31 00:24:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696050", "2019-12-31 00:23:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696049", "2019-12-31 00:23:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696048", "2019-12-31 00:22:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696047", "2019-12-31 00:22:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696046", "2019-12-31 00:22:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696045", "2019-12-31 00:21:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696044", "2019-12-31 00:21:32", "/ads.txt", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696043", "2019-12-31 00:21:30", "/ads.txt", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696042", "2019-12-31 00:21:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696041", "2019-12-31 00:21:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696040", "2019-12-31 00:20:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696039", "2019-12-31 00:20:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696038", "2019-12-31 00:20:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696037", "2019-12-31 00:19:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696036", "2019-12-31 00:19:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696035", "2019-12-31 00:19:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696034", "2019-12-31 00:18:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696033", "2019-12-31 00:18:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696032", "2019-12-31 00:18:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696031", "2019-12-31 00:17:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696030", "2019-12-31 00:17:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696029", "2019-12-31 00:17:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696028", "2019-12-31 00:16:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696027", "2019-12-31 00:15:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696026", "2019-12-31 00:15:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696025", "2019-12-31 00:15:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696024", "2019-12-31 00:14:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696023", "2019-12-31 00:14:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696022", "2019-12-31 00:13:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696021", "2019-12-31 00:13:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696020", "2019-12-31 00:13:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696019", "2019-12-31 00:12:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696018", "2019-12-31 00:12:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696017", "2019-12-31 00:12:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696016", "2019-12-31 00:11:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696015", "2019-12-31 00:11:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696014", "2019-12-31 00:11:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696013", "2019-12-31 00:10:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696012", "2019-12-31 00:10:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696011", "2019-12-31 00:10:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696010", "2019-12-31 00:09:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696009", "2019-12-31 00:09:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696008", "2019-12-31 00:09:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696007", "2019-12-31 00:08:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696006", "2019-12-31 00:08:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696005", "2019-12-31 00:08:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696004", "2019-12-31 00:07:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696003", "2019-12-31 00:07:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696002", "2019-12-31 00:07:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696001", "2019-12-31 00:06:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1696000", "2019-12-31 00:05:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695999", "2019-12-31 00:05:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695998", "2019-12-31 00:05:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695997", "2019-12-31 00:04:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695996", "2019-12-31 00:04:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695995", "2019-12-31 00:03:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695994", "2019-12-31 00:03:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695993", "2019-12-31 00:03:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695992", "2019-12-31 00:02:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695991", "2019-12-31 00:02:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695990", "2019-12-31 00:02:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695989", "2019-12-31 00:01:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695988", "2019-12-31 00:01:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695987", "2019-12-31 00:01:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695986", "2019-12-31 00:00:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695985", "2019-12-31 00:00:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695984", "2019-12-31 00:00:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695983", "2019-12-30 23:59:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695982", "2019-12-30 23:59:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695981", "2019-12-30 23:59:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695980", "2019-12-30 23:58:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695979", "2019-12-30 23:58:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695978", "2019-12-30 23:58:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695977", "2019-12-30 23:57:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695976", "2019-12-30 23:57:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695975", "2019-12-30 23:57:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695974", "2019-12-30 23:56:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695973", "2019-12-30 23:56:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695972", "2019-12-30 23:56:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695971", "2019-12-30 23:55:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695970", "2019-12-30 23:55:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695969", "2019-12-30 23:55:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695968", "2019-12-30 23:54:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695967", "2019-12-30 23:54:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695966", "2019-12-30 23:53:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695965", "2019-12-30 23:53:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695964", "2019-12-30 23:52:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695963", "2019-12-30 23:52:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695962", "2019-12-30 23:52:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695961", "2019-12-30 23:51:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695960", "2019-12-30 23:51:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695959", "2019-12-30 23:51:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695958", "2019-12-30 23:50:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695957", "2019-12-30 23:50:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695956", "2019-12-30 23:50:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695955", "2019-12-30 23:49:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695954", "2019-12-30 23:49:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695953", "2019-12-30 23:48:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695952", "2019-12-30 23:48:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695951", "2019-12-30 23:48:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695950", "2019-12-30 23:47:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695949", "2019-12-30 23:47:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695948", "2019-12-30 23:46:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695947", "2019-12-30 23:46:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695946", "2019-12-30 23:46:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695945", "2019-12-30 23:45:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695944", "2019-12-30 23:45:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695943", "2019-12-30 23:45:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695942", "2019-12-30 23:44:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695941", "2019-12-30 23:44:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695940", "2019-12-30 23:44:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695939", "2019-12-30 23:43:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695938", "2019-12-30 23:43:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695937", "2019-12-30 23:43:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695936", "2019-12-30 23:42:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695935", "2019-12-30 23:42:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695934", "2019-12-30 23:42:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695933", "2019-12-30 23:41:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695932", "2019-12-30 23:41:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695931", "2019-12-30 23:41:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695930", "2019-12-30 23:40:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695929", "2019-12-30 23:40:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695928", "2019-12-30 23:40:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695927", "2019-12-30 23:39:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695926", "2019-12-30 23:39:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695925", "2019-12-30 23:39:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695924", "2019-12-30 23:38:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695923", "2019-12-30 23:38:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695922", "2019-12-30 23:38:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695921", "2019-12-30 23:37:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695920", "2019-12-30 23:37:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695919", "2019-12-30 23:36:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695918", "2019-12-30 23:36:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695917", "2019-12-30 23:35:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695916", "2019-12-30 23:35:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695915", "2019-12-30 23:35:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695914", "2019-12-30 23:34:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695913", "2019-12-30 23:34:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695912", "2019-12-30 23:34:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695911", "2019-12-30 23:33:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695910", "2019-12-30 23:33:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695909", "2019-12-30 23:33:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695908", "2019-12-30 23:32:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695907", "2019-12-30 23:32:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695906", "2019-12-30 23:32:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695905", "2019-12-30 23:31:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695904", "2019-12-30 23:31:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695903", "2019-12-30 23:31:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695902", "2019-12-30 23:30:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695901", "2019-12-30 23:30:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695900", "2019-12-30 23:29:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695899", "2019-12-30 23:29:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695898", "2019-12-30 23:29:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695897", "2019-12-30 23:28:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695896", "2019-12-30 23:28:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695895", "2019-12-30 23:28:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695894", "2019-12-30 23:27:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695893", "2019-12-30 23:27:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695892", "2019-12-30 23:27:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695891", "2019-12-30 23:26:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695890", "2019-12-30 23:26:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695889", "2019-12-30 23:26:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695888", "2019-12-30 23:25:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695887", "2019-12-30 23:25:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695886", "2019-12-30 23:25:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695885", "2019-12-30 23:24:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695884", "2019-12-30 23:24:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695883", "2019-12-30 23:23:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695882", "2019-12-30 23:23:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695881", "2019-12-30 23:23:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695880", "2019-12-30 23:22:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695879", "2019-12-30 23:22:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695878", "2019-12-30 23:22:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695877", "2019-12-30 23:21:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695876", "2019-12-30 23:21:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695875", "2019-12-30 23:21:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695874", "2019-12-30 23:20:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695873", "2019-12-30 23:20:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695872", "2019-12-30 23:19:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695871", "2019-12-30 23:19:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695870", "2019-12-30 23:19:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695869", "2019-12-30 23:18:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695868", "2019-12-30 23:18:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695867", "2019-12-30 23:18:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695866", "2019-12-30 23:17:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695865", "2019-12-30 23:17:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695864", "2019-12-30 23:17:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695863", "2019-12-30 23:16:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695862", "2019-12-30 23:16:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695861", "2019-12-30 23:16:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695860", "2019-12-30 23:15:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695859", "2019-12-30 23:15:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695858", "2019-12-30 23:15:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695857", "2019-12-30 23:14:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695856", "2019-12-30 23:14:30", "/browserconfig.xml", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; Trident/7.0; rv:11.0) like Gecko", NULL, "67182");
INSERT INTO `wp_redirection_404` VALUES("1695855", "2019-12-30 23:14:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695854", "2019-12-30 23:14:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695853", "2019-12-30 23:14:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695852", "2019-12-30 23:13:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695851", "2019-12-30 23:13:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695850", "2019-12-30 23:13:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695849", "2019-12-30 23:12:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695848", "2019-12-30 23:12:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695847", "2019-12-30 23:12:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695846", "2019-12-30 23:11:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695845", "2019-12-30 23:11:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695844", "2019-12-30 23:11:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695843", "2019-12-30 23:10:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695842", "2019-12-30 23:10:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695841", "2019-12-30 23:09:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695840", "2019-12-30 23:09:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695839", "2019-12-30 23:09:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695838", "2019-12-30 23:09:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695837", "2019-12-30 23:08:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695836", "2019-12-30 23:08:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695835", "2019-12-30 23:08:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695834", "2019-12-30 23:07:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695833", "2019-12-30 23:07:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695832", "2019-12-30 23:07:28", "/Login.aspx", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "19299");
INSERT INTO `wp_redirection_404` VALUES("1695831", "2019-12-30 23:07:27", "/Login.aspx", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "19299");
INSERT INTO `wp_redirection_404` VALUES("1695830", "2019-12-30 23:07:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695829", "2019-12-30 23:06:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695828", "2019-12-30 23:06:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695827", "2019-12-30 23:06:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695826", "2019-12-30 23:05:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695825", "2019-12-30 23:05:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695824", "2019-12-30 23:05:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695823", "2019-12-30 23:04:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695822", "2019-12-30 23:04:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695821", "2019-12-30 23:04:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695820", "2019-12-30 23:03:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695819", "2019-12-30 23:03:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695818", "2019-12-30 23:03:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695817", "2019-12-30 23:02:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695816", "2019-12-30 23:02:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695815", "2019-12-30 23:02:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695814", "2019-12-30 23:01:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695813", "2019-12-30 23:01:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695812", "2019-12-30 23:01:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695811", "2019-12-30 23:00:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695810", "2019-12-30 23:00:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695809", "2019-12-30 23:00:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695808", "2019-12-30 22:59:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695807", "2019-12-30 22:59:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695806", "2019-12-30 22:59:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695805", "2019-12-30 22:58:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695804", "2019-12-30 22:58:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695803", "2019-12-30 22:58:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695802", "2019-12-30 22:57:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695801", "2019-12-30 22:57:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695800", "2019-12-30 22:57:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695799", "2019-12-30 22:56:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695797", "2019-12-30 22:55:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695798", "2019-12-30 22:56:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695796", "2019-12-30 22:55:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695795", "2019-12-30 22:55:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695792", "2019-12-30 22:54:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695793", "2019-12-30 22:54:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695794", "2019-12-30 22:54:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695791", "2019-12-30 22:53:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695789", "2019-12-30 22:53:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695790", "2019-12-30 22:53:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695788", "2019-12-30 22:53:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695787", "2019-12-30 22:53:00", "/?key=sdfadsgh4513sdGG435341FDGWWDFGDFHDFGDSFGDFSGDFG&e=1&abc11=1", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)", NULL, "77137");
INSERT INTO `wp_redirection_404` VALUES("1695786", "2019-12-30 22:52:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695785", "2019-12-30 22:52:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695784", "2019-12-30 22:51:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695783", "2019-12-30 22:51:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695782", "2019-12-30 22:50:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695781", "2019-12-30 22:50:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695780", "2019-12-30 22:50:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695779", "2019-12-30 22:49:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695778", "2019-12-30 22:49:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695777", "2019-12-30 22:49:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695776", "2019-12-30 22:48:54", "/nitro-wv/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1695775", "2019-12-30 22:48:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695774", "2019-12-30 22:48:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695773", "2019-12-30 22:48:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695771", "2019-12-30 22:47:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695772", "2019-12-30 22:47:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695770", "2019-12-30 22:47:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695769", "2019-12-30 22:46:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695768", "2019-12-30 22:46:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695767", "2019-12-30 22:46:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695766", "2019-12-30 22:45:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695765", "2019-12-30 22:45:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695764", "2019-12-30 22:45:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695763", "2019-12-30 22:44:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695762", "2019-12-30 22:44:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695761", "2019-12-30 22:44:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695760", "2019-12-30 22:43:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695759", "2019-12-30 22:43:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695758", "2019-12-30 22:43:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695757", "2019-12-30 22:42:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695756", "2019-12-30 22:42:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695755", "2019-12-30 22:42:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695754", "2019-12-30 22:41:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695753", "2019-12-30 22:41:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695752", "2019-12-30 22:41:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695751", "2019-12-30 22:40:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695750", "2019-12-30 22:40:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695749", "2019-12-30 22:40:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695748", "2019-12-30 22:39:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695747", "2019-12-30 22:39:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695746", "2019-12-30 22:39:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695745", "2019-12-30 22:38:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695744", "2019-12-30 22:38:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695743", "2019-12-30 22:38:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695742", "2019-12-30 22:37:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695741", "2019-12-30 22:37:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695740", "2019-12-30 22:37:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695739", "2019-12-30 22:36:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695737", "2019-12-30 22:36:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695738", "2019-12-30 22:36:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695736", "2019-12-30 22:35:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695735", "2019-12-30 22:35:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695734", "2019-12-30 22:35:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695733", "2019-12-30 22:34:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695732", "2019-12-30 22:34:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695731", "2019-12-30 22:34:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695729", "2019-12-30 22:33:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695730", "2019-12-30 22:33:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695728", "2019-12-30 22:33:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695727", "2019-12-30 22:32:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695726", "2019-12-30 22:32:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695725", "2019-12-30 22:32:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695724", "2019-12-30 22:31:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695723", "2019-12-30 22:31:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695722", "2019-12-30 22:31:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695721", "2019-12-30 22:30:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695720", "2019-12-30 22:30:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695719", "2019-12-30 22:30:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695718", "2019-12-30 22:29:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695717", "2019-12-30 22:29:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695716", "2019-12-30 22:29:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695715", "2019-12-30 22:28:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695714", "2019-12-30 22:28:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695713", "2019-12-30 22:27:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695712", "2019-12-30 22:27:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695711", "2019-12-30 22:27:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695710", "2019-12-30 22:26:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695709", "2019-12-30 22:26:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695708", "2019-12-30 22:26:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695707", "2019-12-30 22:25:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695706", "2019-12-30 22:25:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695705", "2019-12-30 22:25:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1695704", "2019-12-30 22:24:55", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "73131");
INSERT INTO `wp_redirection_404` VALUES("1695703", "2019-12-30 22:24:55", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "73131");
INSERT INTO `wp_redirection_404` VALUES("1695702", "2019-12-30 22:24:55", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "73131");
INSERT INTO `wp_redirection_404` VALUES("1695701", "2019-12-30 22:24:55", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "73131");
INSERT INTO `wp_redirection_404` VALUES("1695700", "2019-12-30 22:24:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711253", "2020-01-04 05:54:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711254", "2020-01-04 05:54:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711255", "2020-01-04 05:55:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711256", "2020-01-04 05:55:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711257", "2020-01-04 05:56:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711258", "2020-01-04 05:56:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711259", "2020-01-04 05:56:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711260", "2020-01-04 05:57:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711261", "2020-01-04 05:57:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711262", "2020-01-04 05:58:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711263", "2020-01-04 05:58:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711264", "2020-01-04 05:59:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711265", "2020-01-04 05:59:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711266", "2020-01-04 05:59:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711267", "2020-01-04 06:01:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711268", "2020-01-04 06:01:06", "/CLEARFIELD-PA/mejs.german", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711269", "2020-01-04 06:01:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711270", "2020-01-04 06:01:10", "/CLEARFIELD-PA/mejs.finnish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711271", "2020-01-04 06:01:11", "/dubois-pa/mejs.german", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711272", "2020-01-04 06:01:16", "/dubois-pa/mejs.captions-subtitles", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711273", "2020-01-04 06:01:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711274", "2020-01-04 06:01:47", "/CLEARFIELD-PA/mejs.polish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711275", "2020-01-04 06:01:48", "/CLEARFIELD-PA/mejs.hindi", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711276", "2020-01-04 06:01:48", "/dubois-pa/mejs.swedish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711277", "2020-01-04 06:01:51", "/dubois-pa/mejs.persian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711278", "2020-01-04 06:01:51", "/dubois-pa/mejs.indonesian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711279", "2020-01-04 06:01:52", "/CLEARFIELD-PA/mejs.dutch", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711280", "2020-01-04 06:01:54", "/dubois-pa/mejs.portuguese", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711281", "2020-01-04 06:01:57", "/wp-content/plugins/store-locator/js/href", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54186");
INSERT INTO `wp_redirection_404` VALUES("1711282", "2020-01-04 06:01:57", "/CLEARFIELD-PA/mejs.japanese", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711283", "2020-01-04 06:02:00", "/CLEARFIELD-PA/mejs.mute", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711284", "2020-01-04 06:02:03", "/dubois-pa/mejs.video-player", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711285", "2020-01-04 06:02:11", "/CLEARFIELD-PA/mejs.captions-chapters", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711286", "2020-01-04 06:02:20", "/CLEARFIELD-PA/mejs.slovak", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711287", "2020-01-04 06:02:23", "/CLEARFIELD-PA/mejs.fullscreen-on", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711288", "2020-01-04 06:02:27", "/CLEARFIELD-PA/mejs.lithuanian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711289", "2020-01-04 06:02:27", "/dubois-pa/mejs.welsh", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711290", "2020-01-04 06:02:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711291", "2020-01-04 06:02:33", "/dubois-pa/mejs.fullscreen-off", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711292", "2020-01-04 06:02:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711293", "2020-01-04 06:02:38", "/dubois-pa/mejs.play", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711294", "2020-01-04 06:02:40", "/dubois-pa/mejs.italian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711295", "2020-01-04 06:02:42", "/dubois-pa/mejs.slovak", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711296", "2020-01-04 06:02:42", "/CLEARFIELD-PA/mejs.haitian-creole", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711297", "2020-01-04 06:02:43", "/dubois-pa/mejs.ad-skip", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711298", "2020-01-04 06:02:44", "/CLEARFIELD-PA/mejs.spanish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711299", "2020-01-04 06:02:46", "/CLEARFIELD-PA/mejs.galician", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711300", "2020-01-04 06:02:54", "/dubois-pa/mejs.none", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711301", "2020-01-04 06:03:00", "/dubois-pa/Captions/Subtitles", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711302", "2020-01-04 06:03:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711303", "2020-01-04 06:03:31", "/CLEARFIELD-PA/mejs.irish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711304", "2020-01-04 06:03:37", "/CLEARFIELD-PA/mejs.slovenian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711305", "2020-01-04 06:03:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711306", "2020-01-04 06:03:45", "/CLEARFIELD-PA/mejs.bulgarian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711307", "2020-01-04 06:03:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711308", "2020-01-04 06:03:50", "/CLEARFIELD-PA/mejs.captions-subtitles", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711309", "2020-01-04 06:03:53", "/CLEARFIELD-PA/mejs.filipino", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711310", "2020-01-04 06:04:02", "/dubois-pa/mejs.norwegian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711311", "2020-01-04 06:04:05", "/CLEARFIELD-PA/mejs.greek", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711312", "2020-01-04 06:04:06", "/CLEARFIELD-PA/mejs.english", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711313", "2020-01-04 06:04:09", "/dubois-pa/mejs.czech", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711314", "2020-01-04 06:04:12", "/dubois-pa/mejs.swahili", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711315", "2020-01-04 06:04:12", "/dubois-pa/mejs.afrikaans", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711316", "2020-01-04 06:04:15", "/CLEARFIELD-PA/mejs.serbian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711317", "2020-01-04 06:04:18", "/dubois-pa/mejs.hindi", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711318", "2020-01-04 06:04:19", "/dubois-pa/mejs.icelandic", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711319", "2020-01-04 06:04:21", "/CLEARFIELD-PA/mejs.time-skip-back", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711320", "2020-01-04 06:04:30", "/dubois-pa/mejs.belarusian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711321", "2020-01-04 06:04:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711322", "2020-01-04 06:04:38", "/CLEARFIELD-PA/mejs.tagalog", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711323", "2020-01-04 06:04:41", "/dubois-pa/mejs.install-flash", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711324", "2020-01-04 06:04:44", "/dubois-pa/mejs.haitian-creole", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711325", "2020-01-04 06:04:45", "/CLEARFIELD-PA/mejs.download-video", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711326", "2020-01-04 06:04:50", "/dubois-pa/mejs.captions-chapters", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711327", "2020-01-04 06:04:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711328", "2020-01-04 06:05:00", "/CLEARFIELD-PA/mejs.estonian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711329", "2020-01-04 06:05:03", "/dubois-pa/mejs.finnish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711330", "2020-01-04 06:05:05", "/CLEARFIELD-PA/mejs.indonesian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711331", "2020-01-04 06:05:08", "/dubois-pa/mejs.estonian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711332", "2020-01-04 06:05:08", "/CLEARFIELD-PA/mejs.source-chooser", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711333", "2020-01-04 06:05:11", "/CLEARFIELD-PA/mejs.afrikaans", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711334", "2020-01-04 06:05:12", "/dubois-pa/mejs.english", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711335", "2020-01-04 06:05:14", "/CLEARFIELD-PA/Captions/Subtitles", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711336", "2020-01-04 06:05:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711337", "2020-01-04 06:05:19", "/CLEARFIELD-PA/mejs.volume-slider", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711338", "2020-01-04 06:05:19", "/dubois-pa/mejs.korean", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711339", "2020-01-04 06:05:22", "/dubois-pa/contact-form-7/v1", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711340", "2020-01-04 06:05:25", "/dubois-pa/mejs.galician", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711341", "2020-01-04 06:05:29", "/CLEARFIELD-PA/mejs.croatian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711342", "2020-01-04 06:05:32", "/CLEARFIELD-PA/mejs.chinese-simplified", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711343", "2020-01-04 06:05:35", "/CLEARFIELD-PA/contact-form-7/v1", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711344", "2020-01-04 06:05:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711345", "2020-01-04 06:05:55", "/CLEARFIELD-PA/mejs.belarusian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711346", "2020-01-04 06:05:59", "/CLEARFIELD-PA/mejs.time-help-text", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711347", "2020-01-04 06:06:02", "/CLEARFIELD-PA/mejs.albanian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711348", "2020-01-04 06:06:04", "/CLEARFIELD-PA/mejs.pause", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711349", "2020-01-04 06:06:08", "/dubois-pa/mejs.live-broadcast", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711350", "2020-01-04 06:06:16", "/CLEARFIELD-PA/mejs.malay", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711351", "2020-01-04 06:06:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711352", "2020-01-04 06:06:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711353", "2020-01-04 06:06:36", "/CLEARFIELD-PA/mejs.install-flash", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711354", "2020-01-04 06:06:38", "/CLEARFIELD-PA/mejs.fullscreen-off", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711355", "2020-01-04 06:06:38", "/CLEARFIELD-PA/mejs.korean", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711356", "2020-01-04 06:06:48", "/CLEARFIELD-PA/mejs.portuguese", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711357", "2020-01-04 06:06:51", "/dubois-pa/mejs.yiddish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711358", "2020-01-04 06:06:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711359", "2020-01-04 06:07:05", "/CLEARFIELD-PA/mejs.live-broadcast", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711360", "2020-01-04 06:07:07", "/dubois-pa/mejs.tagalog", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711361", "2020-01-04 06:07:11", "/dubois-pa/mejs.greek", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711362", "2020-01-04 06:07:12", "/dubois-pa/mejs.chinese", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711363", "2020-01-04 06:07:15", "/CLEARFIELD-PA/mejs.ad-skip-info", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711364", "2020-01-04 06:07:22", "/dubois-pa/mejs.mute-toggle", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711365", "2020-01-04 06:07:23", "/CLEARFIELD-PA/mejs.time-jump-forward", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711366", "2020-01-04 06:07:27", "/CLEARFIELD-PA/mejs.french", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711367", "2020-01-04 06:07:27", "/dubois-pa/mejs.turkish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711368", "2020-01-04 06:07:30", "/dubois-pa/mejs.filipino", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711369", "2020-01-04 06:07:33", "/CLEARFIELD-PA/mejs.romanian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711370", "2020-01-04 06:07:33", "/dubois-pa/mejs.pause", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711371", "2020-01-04 06:07:36", "/dubois-pa/mejs.loop", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711372", "2020-01-04 06:07:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711373", "2020-01-04 06:07:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711374", "2020-01-04 06:07:43", "/dubois-pa/mejs.danish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711375", "2020-01-04 06:07:44", "/dubois-pa/mejs.thai", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711376", "2020-01-04 06:07:49", "/dubois-pa/mejs.download-video", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711377", "2020-01-04 06:08:03", "/CLEARFIELD-PA/mejs.russian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711378", "2020-01-04 06:08:08", "/dubois-pa/mejs.speed-rate", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711379", "2020-01-04 06:08:10", "/CLEARFIELD-PA/mejs.arabic", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711380", "2020-01-04 06:08:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711381", "2020-01-04 06:08:28", "/dubois-pa/mejs.chinese-simplified", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711382", "2020-01-04 06:08:33", "/CLEARFIELD-PA/mejs.video-player", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711383", "2020-01-04 06:08:33", "/CLEARFIELD-PA/mejs.maltese", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711384", "2020-01-04 06:08:34", "/dubois-pa/mejs.hebrew", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711385", "2020-01-04 06:08:43", "/dubois-pa/mejs.volume-slider", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711386", "2020-01-04 06:08:46", "/CLEARFIELD-PA/mejs.close", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711387", "2020-01-04 06:08:46", "/dubois-pa/mejs.lithuanian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711388", "2020-01-04 06:08:46", "/dubois-pa/mejs.fullscreen-on", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711389", "2020-01-04 06:08:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711390", "2020-01-04 06:08:53", "/dubois-pa/mejs.albanian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711391", "2020-01-04 06:08:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711392", "2020-01-04 06:08:57", "/dubois-pa/mejs.malay", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711393", "2020-01-04 06:09:07", "/CLEARFIELD-PA/mejs.time-slider", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711394", "2020-01-04 06:09:10", "/dubois-pa/mejs.source-chooser", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711395", "2020-01-04 06:09:16", "/CLEARFIELD-PA/mejs.swahili", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711396", "2020-01-04 06:09:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711397", "2020-01-04 06:09:23", "/CLEARFIELD-PA/mejs.swedish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711398", "2020-01-04 06:09:27", "/dubois-pa/mejs.russian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711399", "2020-01-04 06:09:30", "/CLEARFIELD-PA/mejs.latvian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711400", "2020-01-04 06:09:30", "/dubois-pa/mejs.stop", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711401", "2020-01-04 06:09:33", "/CLEARFIELD-PA/mejs.stop", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711402", "2020-01-04 06:09:41", "/dubois-pa/mejs.ukrainian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711403", "2020-01-04 06:09:44", "/CLEARFIELD-PA/mejs.welsh", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711404", "2020-01-04 06:09:46", "/CLEARFIELD-PA/mejs.loop", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711405", "2020-01-04 06:10:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711406", "2020-01-04 06:10:01", "/dubois-pa/mejs.dutch", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711407", "2020-01-04 06:10:04", "/dubois-pa/mejs.macedonian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711408", "2020-01-04 06:10:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711409", "2020-01-04 06:10:14", "/dubois-pa/mejs.fullscreen", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711410", "2020-01-04 06:10:24", "/dubois-pa/mejs.mute", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711411", "2020-01-04 06:10:26", "/CLEARFIELD-PA/mejs.italian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711412", "2020-01-04 06:10:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711413", "2020-01-04 06:10:34", "/dubois-pa/mejs.hungarian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711414", "2020-01-04 06:10:35", "/dubois-pa/mejs.polish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711415", "2020-01-04 06:10:39", "/dubois-pa/mejs.time-skip-back", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711416", "2020-01-04 06:10:47", "/CLEARFIELD-PA/mejs.hebrew", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711417", "2020-01-04 06:10:52", "/CLEARFIELD-PA/mejs.audio-player", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34209");
INSERT INTO `wp_redirection_404` VALUES("1711418", "2020-01-04 06:11:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711419", "2020-01-04 06:11:18", "/dubois-pa/mejs.croatian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711420", "2020-01-04 06:11:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711421", "2020-01-04 06:11:42", "/CLEARFIELD-PA/mejs.ukrainian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711422", "2020-01-04 06:11:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711423", "2020-01-04 06:12:07", "/dubois-pa/mejs.unmute", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711424", "2020-01-04 06:12:22", "/CLEARFIELD-PA/mejs.chinese-traditional", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711425", "2020-01-04 06:12:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711426", "2020-01-04 06:12:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711427", "2020-01-04 06:12:31", "/CLEARFIELD-PA/mejs.chinese", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711428", "2020-01-04 06:12:47", "/CLEARFIELD-PA/mejs.fullscreen", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711429", "2020-01-04 06:12:50", "/dubois-pa/mejs.french", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711430", "2020-01-04 06:12:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711431", "2020-01-04 06:13:05", "/dubois-pa/mejs.latvian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711432", "2020-01-04 06:13:17", "/dubois-pa/mejs.catalan", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711433", "2020-01-04 06:13:21", "/CLEARFIELD-PA/mejs.none", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711434", "2020-01-04 06:13:31", "/dubois-pa/mejs.audio-player", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711435", "2020-01-04 06:13:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711436", "2020-01-04 06:13:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711437", "2020-01-04 06:13:50", "/dubois-pa/mejs.slovenian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711438", "2020-01-04 06:14:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711439", "2020-01-04 06:14:26", "/CLEARFIELD-PA/mejs.macedonian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711440", "2020-01-04 06:14:27", "/CLEARFIELD-PA/mejs.unmute", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711441", "2020-01-04 06:14:28", "/dubois-pa/mejs.arabic", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711442", "2020-01-04 06:14:37", "/dubois-pa/mejs.time-jump-forward", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711443", "2020-01-04 06:14:47", "/CLEARFIELD-PA/mejs.thai", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711444", "2020-01-04 06:15:10", "/dubois-pa/mejs.irish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711445", "2020-01-04 06:15:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711446", "2020-01-04 06:15:25", "/dubois-pa/mejs.chinese-traditional", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711447", "2020-01-04 06:15:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711448", "2020-01-04 06:15:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711449", "2020-01-04 06:16:19", "/CLEARFIELD-PA/mejs.norwegian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711450", "2020-01-04 06:16:21", "/dubois-pa/mejs.time-slider", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711451", "2020-01-04 06:16:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711452", "2020-01-04 06:16:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711453", "2020-01-04 06:17:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711454", "2020-01-04 06:18:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711455", "2020-01-04 06:18:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711456", "2020-01-04 06:18:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711457", "2020-01-04 06:19:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711458", "2020-01-04 06:19:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711459", "2020-01-04 06:19:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711460", "2020-01-04 06:20:24", "/st-marys-pa/contact-form-7/v1", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54218");
INSERT INTO `wp_redirection_404` VALUES("1711461", "2020-01-04 06:20:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711462", "2020-01-04 06:21:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711463", "2020-01-04 06:21:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711464", "2020-01-04 06:22:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711465", "2020-01-04 06:22:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711466", "2020-01-04 06:23:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711467", "2020-01-04 06:23:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711468", "2020-01-04 06:24:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711469", "2020-01-04 06:24:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711470", "2020-01-04 06:24:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711471", "2020-01-04 06:24:58", "/thank-you-celebration/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "3113");
INSERT INTO `wp_redirection_404` VALUES("1711472", "2020-01-04 06:24:58", "/thank-you-celebration/", "facebookexternalhit/1.1 (+http://www.facebook.com/externalhit_uatext.php)", NULL, "3113");
INSERT INTO `wp_redirection_404` VALUES("1711473", "2020-01-04 06:25:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711474", "2020-01-04 06:25:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711475", "2020-01-04 06:25:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711476", "2020-01-04 06:26:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711477", "2020-01-04 06:26:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711478", "2020-01-04 06:27:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711479", "2020-01-04 06:27:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711480", "2020-01-04 06:27:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711481", "2020-01-04 06:28:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711482", "2020-01-04 06:28:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711483", "2020-01-04 06:29:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711484", "2020-01-04 06:29:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711485", "2020-01-04 06:29:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711486", "2020-01-04 06:30:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711487", "2020-01-04 06:30:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711488", "2020-01-04 06:31:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711489", "2020-01-04 06:31:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711490", "2020-01-04 06:31:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711491", "2020-01-04 06:32:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711492", "2020-01-04 06:32:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711493", "2020-01-04 06:32:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711494", "2020-01-04 06:33:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711495", "2020-01-04 06:34:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711496", "2020-01-04 06:34:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711497", "2020-01-04 06:35:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711498", "2020-01-04 06:35:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711499", "2020-01-04 06:35:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711500", "2020-01-04 06:36:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711501", "2020-01-04 06:36:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711502", "2020-01-04 06:37:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711503", "2020-01-04 06:37:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711504", "2020-01-04 06:37:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711505", "2020-01-04 06:38:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711506", "2020-01-04 06:39:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711507", "2020-01-04 06:39:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711508", "2020-01-04 06:40:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711509", "2020-01-04 06:40:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711510", "2020-01-04 06:40:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711511", "2020-01-04 06:41:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711512", "2020-01-04 06:41:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711513", "2020-01-04 06:41:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711514", "2020-01-04 06:42:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711515", "2020-01-04 06:42:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711516", "2020-01-04 06:43:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711517", "2020-01-04 06:43:17", "/employment-pa/contact-form-7/v1", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "18236");
INSERT INTO `wp_redirection_404` VALUES("1711518", "2020-01-04 06:44:05", "/nitro-wv/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1711519", "2020-01-04 06:44:12", "/2016/01/08/unique-pizza-toppings-never-tried/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1711520", "2020-01-04 06:44:15", "/info.php", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1711521", "2020-01-04 06:44:17", "/franchise/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1711522", "2020-01-04 06:44:18", "/mcallen-tx/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1711523", "2020-01-04 06:44:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711524", "2020-01-04 06:44:26", "/menu.htm", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1711525", "2020-01-04 06:44:27", "/soon.php", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1711526", "2020-01-04 06:44:28", "/legalnotice.htm", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1711527", "2020-01-04 06:44:30", "/torrington-wy/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1711528", "2020-01-04 06:44:31", "/deliciousdeals/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1711529", "2020-01-04 06:44:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711530", "2020-01-04 06:44:33", "/contact.htm", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1711531", "2020-01-04 06:44:34", "/about.php", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1711532", "2020-01-04 06:44:36", "/hazelgreen-al/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1711533", "2020-01-04 06:44:37", "/story.php", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1711534", "2020-01-04 06:44:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711535", "2020-01-04 06:45:03", "/2016/03/10/pizza-crust-alternatives/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1711536", "2020-01-04 06:45:05", "/contact.php", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1711537", "2020-01-04 06:45:05", "/alabaster-al/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1711538", "2020-01-04 06:45:06", "/edistobeach-sc/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1711539", "2020-01-04 06:45:08", "/clearfield-pa/wing-day-wednesdays/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1711540", "2020-01-04 06:45:09", "/summerville-sc/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1711541", "2020-01-04 06:45:10", "/i80/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1711542", "2020-01-04 06:45:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711543", "2020-01-04 06:45:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711544", "2020-01-04 06:46:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711545", "2020-01-04 06:46:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711546", "2020-01-04 06:46:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711547", "2020-01-04 06:47:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711548", "2020-01-04 06:47:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711549", "2020-01-04 06:47:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711550", "2020-01-04 06:48:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711551", "2020-01-04 06:48:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711552", "2020-01-04 06:49:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711553", "2020-01-04 06:49:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711554", "2020-01-04 06:50:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711555", "2020-01-04 06:50:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711556", "2020-01-04 06:50:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711557", "2020-01-04 06:51:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711558", "2020-01-04 06:52:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711559", "2020-01-04 06:52:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711560", "2020-01-04 06:52:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711561", "2020-01-04 06:53:14", "/clearfield-pa/mejs.portuguese", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711562", "2020-01-04 06:53:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711563", "2020-01-04 06:53:49", "/clearfield-pa/mejs.russian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711564", "2020-01-04 06:54:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711565", "2020-01-04 06:54:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711566", "2020-01-04 06:54:29", "/clearfield-pa/mejs.arabic", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711567", "2020-01-04 06:54:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711568", "2020-01-04 06:55:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711569", "2020-01-04 06:55:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711570", "2020-01-04 06:55:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711571", "2020-01-04 06:56:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711572", "2020-01-04 06:56:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711573", "2020-01-04 06:56:56", "/clearfield-pa/mejs.video-player", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711574", "2020-01-04 06:57:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711575", "2020-01-04 06:57:22", "/clearfield-pa/mejs.maltese", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711576", "2020-01-04 06:57:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711577", "2020-01-04 06:57:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711578", "2020-01-04 06:57:58", "/family-specials/contact-form-7/v1", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "18236");
INSERT INTO `wp_redirection_404` VALUES("1711579", "2020-01-04 06:58:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711580", "2020-01-04 06:58:30", "/clearfield-pa/mejs.romanian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711581", "2020-01-04 06:58:34", "/clearfield-pa/mejs.time-jump-forward", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711582", "2020-01-04 06:58:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711583", "2020-01-04 06:59:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711584", "2020-01-04 06:59:23", "/clearfield-pa/mejs.close", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711585", "2020-01-04 07:00:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711586", "2020-01-04 07:00:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711587", "2020-01-04 07:00:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711588", "2020-01-04 07:01:21", "/clearfield-pa/mejs.time-slider", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711589", "2020-01-04 07:01:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711590", "2020-01-04 07:01:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711591", "2020-01-04 07:01:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711592", "2020-01-04 07:02:05", "/employment-pa/contact-form-7/v1", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711593", "2020-01-04 07:02:31", "/clearfield-pa/mejs.swahili", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711594", "2020-01-04 07:02:35", "/contact/contact-form-7/v1", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34220");
INSERT INTO `wp_redirection_404` VALUES("1711595", "2020-01-04 07:03:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711596", "2020-01-04 07:03:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711597", "2020-01-04 07:03:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711598", "2020-01-04 07:03:50", "/clearfield-pa/mejs.loop", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711599", "2020-01-04 07:04:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711600", "2020-01-04 07:04:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711601", "2020-01-04 07:04:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711602", "2020-01-04 07:05:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711603", "2020-01-04 07:05:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711604", "2020-01-04 07:05:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711605", "2020-01-04 07:06:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711606", "2020-01-04 07:06:56", "/clearfield-pa/mejs.swedish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711607", "2020-01-04 07:07:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711608", "2020-01-04 07:07:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711609", "2020-01-04 07:07:35", "/clearfield-pa/mejs.stop", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711610", "2020-01-04 07:08:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711611", "2020-01-04 07:08:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711612", "2020-01-04 07:08:19", "/clearfield-pa/mejs.welsh", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711613", "2020-01-04 07:08:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711614", "2020-01-04 07:09:14", "/clearfield-pa/mejs.chinese-traditional", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711615", "2020-01-04 07:09:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711616", "2020-01-04 07:09:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711617", "2020-01-04 07:09:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711618", "2020-01-04 07:09:42", "/clearfield-pa/mejs.chinese", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711619", "2020-01-04 07:09:44", "/clearfield-pa/mejs.latvian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711620", "2020-01-04 07:10:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711621", "2020-01-04 07:10:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711622", "2020-01-04 07:10:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711623", "2020-01-04 07:10:48", "/clearfield-pa/mejs.ukrainian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711624", "2020-01-04 07:10:50", "/clearfield-pa/mejs.fullscreen", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711625", "2020-01-04 07:11:25", "/clearfield-pa/mejs.ad-skip", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711626", "2020-01-04 07:11:28", "/clearfield-pa/mejs.audio-player", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711627", "2020-01-04 07:11:44", "/clearfield-pa/mejs.yiddish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711628", "2020-01-04 07:11:44", "/clearfield-pa/mejs.catalan", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711629", "2020-01-04 07:11:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711630", "2020-01-04 07:11:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711631", "2020-01-04 07:11:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711632", "2020-01-04 07:12:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711633", "2020-01-04 07:12:51", "/clearfield-pa/mejs.italian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711634", "2020-01-04 07:12:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711635", "2020-01-04 07:13:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711636", "2020-01-04 07:13:15", "/clearfield-pa/mejs.speed-rate", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711637", "2020-01-04 07:13:18", "/clearfield-pa/mejs.none", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711638", "2020-01-04 07:13:36", "/clearfield-pa/mejs.hebrew", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711639", "2020-01-04 07:13:50", "/clearfield-pa/mejs.hungarian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711640", "2020-01-04 07:13:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711641", "2020-01-04 07:13:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711642", "2020-01-04 07:13:59", "/family-specials/contact-form-7/v1", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711643", "2020-01-04 07:14:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711644", "2020-01-04 07:14:44", "/st-marys-pa/menu/contact-form-7/v1", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34220");
INSERT INTO `wp_redirection_404` VALUES("1711645", "2020-01-04 07:14:51", "/clearfield-pa/mejs.mute-toggle", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711646", "2020-01-04 07:14:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711647", "2020-01-04 07:15:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711648", "2020-01-04 07:15:07", "/clearfield-pa/mejs.macedonian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711649", "2020-01-04 07:15:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711650", "2020-01-04 07:15:42", "/clearfield-pa/mejs.vietnamese", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711651", "2020-01-04 07:16:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711652", "2020-01-04 07:16:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711653", "2020-01-04 07:16:18", "/clearfield-pa/mejs.thai", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711654", "2020-01-04 07:16:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711655", "2020-01-04 07:16:23", "/wordpress/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1711656", "2020-01-04 07:16:24", "/wp/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1711657", "2020-01-04 07:16:26", "/new/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1711658", "2020-01-04 07:16:26", "/old/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1711659", "2020-01-04 07:16:27", "/test/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1711660", "2020-01-04 07:16:28", "/main/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1711661", "2020-01-04 07:16:29", "/site/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1711662", "2020-01-04 07:16:30", "/backup/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1711663", "2020-01-04 07:16:31", "/demo/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1711664", "2020-01-04 07:16:32", "/home/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1711665", "2020-01-04 07:16:33", "/wp-includes/js/mediaelement/$1", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711666", "2020-01-04 07:16:33", "/tmp/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1711667", "2020-01-04 07:16:34", "/cms/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1711668", "2020-01-04 07:16:35", "/dev/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1711669", "2020-01-04 07:16:35", "/portal/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1711670", "2020-01-04 07:16:36", "/web/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1711671", "2020-01-04 07:16:37", "/temp/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1711672", "2020-01-04 07:16:50", "/clearfield-pa/mejs.persian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711673", "2020-01-04 07:17:09", "/clearfield-pa/mejs.volume-help-text", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711674", "2020-01-04 07:17:11", "/clearfield-pa/mejs.danish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711675", "2020-01-04 07:17:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711676", "2020-01-04 07:17:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711677", "2020-01-04 07:17:38", "/party-paks/contact-form-7/v1", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "18236");
INSERT INTO `wp_redirection_404` VALUES("1711678", "2020-01-04 07:17:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711679", "2020-01-04 07:17:49", "/clearfield-pa/mejs.czech", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711680", "2020-01-04 07:18:11", "/about/contact-form-7/v1", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "18236");
INSERT INTO `wp_redirection_404` VALUES("1711681", "2020-01-04 07:18:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711682", "2020-01-04 07:18:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711683", "2020-01-04 07:18:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711684", "2020-01-04 07:18:56", "/clearfield-pa/mejs.unmute", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711685", "2020-01-04 07:19:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711686", "2020-01-04 07:19:43", "/wp-content/plugins/store-locator/js/href", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711687", "2020-01-04 07:19:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711688", "2020-01-04 07:20:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711689", "2020-01-04 07:20:18", "/clearfield-pa/mejs.german", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711690", "2020-01-04 07:20:20", "/clearfield-pa/mejs.icelandic", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711691", "2020-01-04 07:20:44", "/clearfield-pa/mejs.finnish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711692", "2020-01-04 07:20:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711693", "2020-01-04 07:20:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711694", "2020-01-04 07:21:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711695", "2020-01-04 07:21:49", "/clearfield-pa/mejs.turkish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711696", "2020-01-04 07:21:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711697", "2020-01-04 07:22:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711698", "2020-01-04 07:22:10", "/clearfield-pa/mejs.hindi", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711699", "2020-01-04 07:22:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711700", "2020-01-04 07:22:40", "/clearfield-pa/mejs.norwegian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711701", "2020-01-04 07:23:09", "/clearfield-pa/mejs.captions-chapters", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711702", "2020-01-04 07:23:09", "/clearfield-pa/mejs.slovak", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711703", "2020-01-04 07:23:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711704", "2020-01-04 07:23:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711705", "2020-01-04 07:23:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711706", "2020-01-04 07:24:00", "/clearfield-pa/mejs.haitian-creole", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711707", "2020-01-04 07:24:13", "/franchise-information/contact-form-7/v1", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711708", "2020-01-04 07:24:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711709", "2020-01-04 07:24:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711710", "2020-01-04 07:24:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711711", "2020-01-04 07:25:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711712", "2020-01-04 07:25:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711713", "2020-01-04 07:26:05", "/CLEARFIELD-PA/mejs.ad-skip", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711714", "2020-01-04 07:26:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711715", "2020-01-04 07:26:12", "/clearfield-pa/mejs.bulgarian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711716", "2020-01-04 07:26:18", "/CLEARFIELD-PA/mejs.yiddish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711717", "2020-01-04 07:26:18", "/CLEARFIELD-PA/mejs.catalan", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711718", "2020-01-04 07:26:21", "/clearfield-pa/mejs.lithuanian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711719", "2020-01-04 07:26:37", "/clearfield-pa/mejs.filipino", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711720", "2020-01-04 07:26:39", "/dubois-pa/mejs.close", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711721", "2020-01-04 07:26:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711722", "2020-01-04 07:26:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711723", "2020-01-04 07:27:03", "/dubois-pa/mejs.spanish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711724", "2020-01-04 07:27:06", "/clearfield-pa/mejs.english", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711725", "2020-01-04 07:27:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711726", "2020-01-04 07:27:22", "/dubois-pa/mejs.time-help-text", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711727", "2020-01-04 07:27:33", "/clearfield-pa/mejs.time-skip-back", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711728", "2020-01-04 07:27:37", "/clearfield-pa/mejs.galician", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711729", "2020-01-04 07:27:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711730", "2020-01-04 07:28:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711731", "2020-01-04 07:28:07", "/clearfield-pa/mejs.tagalog", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711732", "2020-01-04 07:28:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711733", "2020-01-04 07:28:42", "/clearfield-pa/contact-form-7/v1", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711734", "2020-01-04 07:28:50", "/clearfield-pa/mejs.slovenian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711735", "2020-01-04 07:28:54", "/clearfield-pa/mejs.irish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711736", "2020-01-04 07:28:55", "/clearfield-pa/mejs.croatian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711737", "2020-01-04 07:28:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711738", "2020-01-04 07:28:58", "/clearfield-pa/mejs.chinese-simplified", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711739", "2020-01-04 07:29:01", "/CLEARFIELD-PA/mejs.danish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711740", "2020-01-04 07:29:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711741", "2020-01-04 07:29:13", "/clearfield-pa/mejs.belarusian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711742", "2020-01-04 07:29:20", "/party-paks/contact-form-7/v1", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711743", "2020-01-04 07:29:23", "/clearfield-pa/mejs.volume-slider", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711744", "2020-01-04 07:29:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711745", "2020-01-04 07:30:05", "/dubois-pa/mejs.bulgarian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711746", "2020-01-04 07:30:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711747", "2020-01-04 07:30:15", "/clearfield-pa/mejs.serbian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711748", "2020-01-04 07:30:16", "/dubois-pa/mejs.maltese", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711749", "2020-01-04 07:30:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711750", "2020-01-04 07:30:26", "/CLEARFIELD-PA/mejs.speed-rate", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711751", "2020-01-04 07:30:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711752", "2020-01-04 07:30:44", "/clearfield-pa/mejs.time-help-text", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711753", "2020-01-04 07:30:52", "/CLEARFIELD-PA/mejs.hungarian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711754", "2020-01-04 07:30:55", "/dubois-pa/mejs.vietnamese", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711755", "2020-01-04 07:30:58", "/CLEARFIELD-PA/mejs.play", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711756", "2020-01-04 07:30:59", "/CLEARFIELD-PA/mejs.icelandic", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711757", "2020-01-04 07:31:02", "/CLEARFIELD-PA/mejs.turkish", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "5234");
INSERT INTO `wp_redirection_404` VALUES("1711758", "2020-01-04 07:31:03", "/clearfield-pa/mejs.estonian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711759", "2020-01-04 07:31:18", "/community-fundraiser-clearfield-pa/contact-form-7/v1", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711760", "2020-01-04 07:31:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711761", "2020-01-04 07:31:23", "/blog/contact-form-7/v1", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711762", "2020-01-04 07:31:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711763", "2020-01-04 07:31:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711764", "2020-01-04 07:31:55", "/clearfield-pa/Captions/Subtitles", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711765", "2020-01-04 07:31:58", "/clearfield-pa/mejs.indonesian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711766", "2020-01-04 07:31:58", "/CLEARFIELD-PA/mejs.mute-toggle", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711767", "2020-01-04 07:32:02", "/dubois-pa/mejs.volume-help-text", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711768", "2020-01-04 07:32:07", "/dubois-pa/mejs.japanese", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711769", "2020-01-04 07:32:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711770", "2020-01-04 07:32:37", "/clearfield-pa/mejs.source-chooser", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711771", "2020-01-04 07:32:40", "/CLEARFIELD-PA/mejs.vietnamese", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711772", "2020-01-04 07:32:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711773", "2020-01-04 07:33:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711774", "2020-01-04 07:33:27", "/CLEARFIELD-PA/mejs.persian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711775", "2020-01-04 07:33:27", "/clearfield-pa/mejs.albanian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711776", "2020-01-04 07:33:30", "/clearfield-pa/menu/contact-form-7/v1", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711777", "2020-01-04 07:33:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711778", "2020-01-04 07:33:38", "/CLEARFIELD-PA/mejs.volume-help-text", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711779", "2020-01-04 07:33:42", "/dubois-pa/mejs.ad-skip-info", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711780", "2020-01-04 07:33:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711781", "2020-01-04 07:34:03", "/CLEARFIELD-PA/mejs.czech", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711782", "2020-01-04 07:34:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711783", "2020-01-04 07:34:15", "/dubois-pa/mejs.romanian", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711784", "2020-01-04 07:34:17", "/clearfield-pa/mejs.pause", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711785", "2020-01-04 07:34:21", "/clearfield-pa/mejs.live-broadcast", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711786", "2020-01-04 07:34:31", "/clearfield-pa/mejs.ad-skip-info", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "34217");
INSERT INTO `wp_redirection_404` VALUES("1711787", "2020-01-04 07:34:33", "/clearfield-pa/mejs.malay", "Mozilla/5.0 ((Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36)", NULL, "54213");
INSERT INTO `wp_redirection_404` VALUES("1711788", "2020-01-04 07:34:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711789", "2020-01-04 07:35:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711790", "2020-01-04 07:35:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711791", "2020-01-04 07:35:34", "/th1s_1s_a_4o4.html", "SiteLockSpider [en] (WinNT; I ;Nav)", NULL, "184154");
INSERT INTO `wp_redirection_404` VALUES("1711792", "2020-01-04 07:36:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711793", "2020-01-04 07:36:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711794", "2020-01-04 07:36:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711795", "2020-01-04 07:37:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711796", "2020-01-04 07:37:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711797", "2020-01-04 07:37:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711798", "2020-01-04 07:38:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711799", "2020-01-04 07:38:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711800", "2020-01-04 07:39:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711801", "2020-01-04 07:39:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711802", "2020-01-04 07:39:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711803", "2020-01-04 07:40:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711804", "2020-01-04 07:40:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711805", "2020-01-04 07:40:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711806", "2020-01-04 07:41:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711807", "2020-01-04 07:41:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711808", "2020-01-04 07:41:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711809", "2020-01-04 07:42:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711810", "2020-01-04 07:42:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711811", "2020-01-04 07:42:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711812", "2020-01-04 07:43:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711813", "2020-01-04 07:43:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711814", "2020-01-04 07:44:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711815", "2020-01-04 07:44:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711816", "2020-01-04 07:44:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711817", "2020-01-04 07:45:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711818", "2020-01-04 07:45:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711819", "2020-01-04 07:46:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711820", "2020-01-04 07:46:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711821", "2020-01-04 07:46:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711822", "2020-01-04 07:47:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711823", "2020-01-04 07:47:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711824", "2020-01-04 07:47:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711825", "2020-01-04 07:48:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711826", "2020-01-04 07:48:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711827", "2020-01-04 07:48:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711828", "2020-01-04 07:49:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711829", "2020-01-04 07:49:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711830", "2020-01-04 07:50:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711831", "2020-01-04 07:50:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711832", "2020-01-04 07:50:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711833", "2020-01-04 07:51:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711834", "2020-01-04 07:51:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711835", "2020-01-04 07:52:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711836", "2020-01-04 07:52:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711837", "2020-01-04 07:52:34", "/.well-known/security.txt", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/67.0.3396.99 Safari/537.36", NULL, "178128");
INSERT INTO `wp_redirection_404` VALUES("1711838", "2020-01-04 07:52:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711839", "2020-01-04 07:53:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711840", "2020-01-04 07:53:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711841", "2020-01-04 07:53:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711842", "2020-01-04 07:54:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711843", "2020-01-04 07:54:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711844", "2020-01-04 07:55:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711845", "2020-01-04 07:55:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711846", "2020-01-04 07:55:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711847", "2020-01-04 07:56:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711848", "2020-01-04 07:56:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711849", "2020-01-04 07:56:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711850", "2020-01-04 07:57:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711851", "2020-01-04 07:57:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711852", "2020-01-04 07:58:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711853", "2020-01-04 07:58:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711854", "2020-01-04 07:58:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711855", "2020-01-04 07:59:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711856", "2020-01-04 07:59:34", "/ads.txt", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711857", "2020-01-04 07:59:37", "/ads.txt", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711858", "2020-01-04 07:59:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711859", "2020-01-04 08:00:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711860", "2020-01-04 08:00:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711861", "2020-01-04 08:01:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711862", "2020-01-04 08:01:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711863", "2020-01-04 08:01:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711864", "2020-01-04 08:02:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711865", "2020-01-04 08:02:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711866", "2020-01-04 08:02:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711867", "2020-01-04 08:03:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711868", "2020-01-04 08:03:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711869", "2020-01-04 08:03:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711870", "2020-01-04 08:04:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711871", "2020-01-04 08:04:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711872", "2020-01-04 08:04:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711873", "2020-01-04 08:05:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711874", "2020-01-04 08:05:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711875", "2020-01-04 08:05:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711876", "2020-01-04 08:06:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711877", "2020-01-04 08:06:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711878", "2020-01-04 08:07:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711879", "2020-01-04 08:07:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711880", "2020-01-04 08:07:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711881", "2020-01-04 08:08:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711882", "2020-01-04 08:08:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711883", "2020-01-04 08:09:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711884", "2020-01-04 08:09:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711885", "2020-01-04 08:10:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711886", "2020-01-04 08:10:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711887", "2020-01-04 08:10:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711888", "2020-01-04 08:11:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711889", "2020-01-04 08:11:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711890", "2020-01-04 08:11:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711891", "2020-01-04 08:12:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711892", "2020-01-04 08:12:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711893", "2020-01-04 08:12:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711894", "2020-01-04 08:13:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711895", "2020-01-04 08:13:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711896", "2020-01-04 08:13:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711897", "2020-01-04 08:14:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711898", "2020-01-04 08:15:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711899", "2020-01-04 08:15:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711900", "2020-01-04 08:15:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711901", "2020-01-04 08:16:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711902", "2020-01-04 08:16:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711903", "2020-01-04 08:16:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711904", "2020-01-04 08:17:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711905", "2020-01-04 08:17:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711906", "2020-01-04 08:17:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711907", "2020-01-04 08:18:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711908", "2020-01-04 08:18:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711909", "2020-01-04 08:18:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711910", "2020-01-04 08:19:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711911", "2020-01-04 08:19:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711912", "2020-01-04 08:19:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711913", "2020-01-04 08:20:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711914", "2020-01-04 08:20:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711915", "2020-01-04 08:20:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711916", "2020-01-04 08:21:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711917", "2020-01-04 08:21:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711918", "2020-01-04 08:22:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711919", "2020-01-04 08:22:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711920", "2020-01-04 08:23:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711921", "2020-01-04 08:23:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711922", "2020-01-04 08:24:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711923", "2020-01-04 08:24:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711924", "2020-01-04 08:24:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711925", "2020-01-04 08:25:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711926", "2020-01-04 08:25:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711927", "2020-01-04 08:25:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711928", "2020-01-04 08:26:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711929", "2020-01-04 08:26:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711930", "2020-01-04 08:27:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711931", "2020-01-04 08:27:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711932", "2020-01-04 08:27:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711933", "2020-01-04 08:28:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711934", "2020-01-04 08:28:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711935", "2020-01-04 08:28:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711936", "2020-01-04 08:29:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711937", "2020-01-04 08:29:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711938", "2020-01-04 08:30:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711939", "2020-01-04 08:30:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711940", "2020-01-04 08:30:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711941", "2020-01-04 08:31:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711942", "2020-01-04 08:31:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711943", "2020-01-04 08:32:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711944", "2020-01-04 08:32:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711945", "2020-01-04 08:32:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711946", "2020-01-04 08:33:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711947", "2020-01-04 08:33:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711948", "2020-01-04 08:33:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711949", "2020-01-04 08:34:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711950", "2020-01-04 08:34:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711951", "2020-01-04 08:35:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711952", "2020-01-04 08:35:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711953", "2020-01-04 08:35:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711954", "2020-01-04 08:36:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711955", "2020-01-04 08:36:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711956", "2020-01-04 08:36:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711957", "2020-01-04 08:37:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711958", "2020-01-04 08:37:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711959", "2020-01-04 08:38:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711960", "2020-01-04 08:38:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711961", "2020-01-04 08:38:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711962", "2020-01-04 08:39:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711963", "2020-01-04 08:39:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711964", "2020-01-04 08:40:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711965", "2020-01-04 08:40:36", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "2411");
INSERT INTO `wp_redirection_404` VALUES("1711966", "2020-01-04 08:40:37", "/apple-touch-icon-precomposed.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "2411");
INSERT INTO `wp_redirection_404` VALUES("1711967", "2020-01-04 08:40:37", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "2411");
INSERT INTO `wp_redirection_404` VALUES("1711968", "2020-01-04 08:40:37", "/apple-touch-icon.png", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_1) AppleWebKit/601.2.4 (KHTML, like Gecko) Version/9.0.1 Safari/601.2.4 facebookexternalhit/1.1 Facebot Twitterbot/1.0", NULL, "2411");
INSERT INTO `wp_redirection_404` VALUES("1711969", "2020-01-04 08:40:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711970", "2020-01-04 08:41:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711971", "2020-01-04 08:41:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711972", "2020-01-04 08:42:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711973", "2020-01-04 08:42:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711974", "2020-01-04 08:42:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711975", "2020-01-04 08:43:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711976", "2020-01-04 08:43:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711977", "2020-01-04 08:43:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711978", "2020-01-04 08:44:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711979", "2020-01-04 08:44:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711980", "2020-01-04 08:44:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711981", "2020-01-04 08:45:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711982", "2020-01-04 08:45:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711983", "2020-01-04 08:45:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711984", "2020-01-04 08:46:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711985", "2020-01-04 08:46:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711986", "2020-01-04 08:47:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711987", "2020-01-04 08:47:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711988", "2020-01-04 08:47:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711989", "2020-01-04 08:48:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711990", "2020-01-04 08:48:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711991", "2020-01-04 08:49:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711992", "2020-01-04 08:49:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711993", "2020-01-04 08:50:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711994", "2020-01-04 08:50:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711995", "2020-01-04 08:50:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711996", "2020-01-04 08:51:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711997", "2020-01-04 08:51:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711998", "2020-01-04 08:51:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1711999", "2020-01-04 08:52:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712000", "2020-01-04 08:53:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712001", "2020-01-04 08:53:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712002", "2020-01-04 08:53:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712003", "2020-01-04 08:54:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712004", "2020-01-04 08:54:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712005", "2020-01-04 08:54:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712006", "2020-01-04 08:55:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712007", "2020-01-04 08:55:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712008", "2020-01-04 08:56:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712009", "2020-01-04 08:56:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712010", "2020-01-04 08:56:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712011", "2020-01-04 08:57:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712012", "2020-01-04 08:57:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712013", "2020-01-04 08:57:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712014", "2020-01-04 08:58:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712015", "2020-01-04 08:58:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712016", "2020-01-04 08:59:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712017", "2020-01-04 08:59:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712018", "2020-01-04 09:00:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712019", "2020-01-04 09:00:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712020", "2020-01-04 09:00:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712021", "2020-01-04 09:01:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712022", "2020-01-04 09:01:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712023", "2020-01-04 09:02:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712024", "2020-01-04 09:02:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712025", "2020-01-04 09:02:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712026", "2020-01-04 09:03:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712027", "2020-01-04 09:03:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712028", "2020-01-04 09:03:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712029", "2020-01-04 09:04:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712030", "2020-01-04 09:04:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712031", "2020-01-04 09:04:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712032", "2020-01-04 09:05:18", "/summerville-sc/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1712033", "2020-01-04 09:05:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712034", "2020-01-04 09:05:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712035", "2020-01-04 09:06:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712036", "2020-01-04 09:06:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712037", "2020-01-04 09:06:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712038", "2020-01-04 09:07:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712039", "2020-01-04 09:07:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712040", "2020-01-04 09:08:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712041", "2020-01-04 09:08:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712042", "2020-01-04 09:08:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712043", "2020-01-04 09:09:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712044", "2020-01-04 09:09:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712045", "2020-01-04 09:09:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712046", "2020-01-04 09:10:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712047", "2020-01-04 09:10:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712048", "2020-01-04 09:11:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712049", "2020-01-04 09:12:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712050", "2020-01-04 09:12:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712051", "2020-01-04 09:12:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712052", "2020-01-04 09:13:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712053", "2020-01-04 09:13:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712054", "2020-01-04 09:13:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712055", "2020-01-04 09:14:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712056", "2020-01-04 09:14:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712057", "2020-01-04 09:14:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712058", "2020-01-04 09:15:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712059", "2020-01-04 09:15:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712060", "2020-01-04 09:15:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712061", "2020-01-04 09:16:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712062", "2020-01-04 09:16:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712063", "2020-01-04 09:16:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712064", "2020-01-04 09:17:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712065", "2020-01-04 09:17:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712066", "2020-01-04 09:18:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712067", "2020-01-04 09:18:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712068", "2020-01-04 09:18:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712069", "2020-01-04 09:19:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712070", "2020-01-04 09:19:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712071", "2020-01-04 09:20:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712072", "2020-01-04 09:20:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712073", "2020-01-04 09:21:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712074", "2020-01-04 09:21:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712075", "2020-01-04 09:21:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712076", "2020-01-04 09:22:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712077", "2020-01-04 09:22:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712078", "2020-01-04 09:23:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712079", "2020-01-04 09:23:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712080", "2020-01-04 09:24:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712081", "2020-01-04 09:24:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712082", "2020-01-04 09:24:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712083", "2020-01-04 09:25:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712084", "2020-01-04 09:25:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712085", "2020-01-04 09:26:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712086", "2020-01-04 09:26:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712087", "2020-01-04 09:26:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712088", "2020-01-04 09:27:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712089", "2020-01-04 09:27:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712090", "2020-01-04 09:28:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712091", "2020-01-04 09:28:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712092", "2020-01-04 09:29:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712093", "2020-01-04 09:29:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712094", "2020-01-04 09:29:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688340", "2019-12-28 14:31:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688339", "2019-12-28 14:31:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688338", "2019-12-28 14:30:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688337", "2019-12-28 14:30:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688336", "2019-12-28 14:30:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688335", "2019-12-28 14:29:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688334", "2019-12-28 14:29:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688333", "2019-12-28 14:29:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688332", "2019-12-28 14:29:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688331", "2019-12-28 14:28:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688330", "2019-12-28 14:28:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688329", "2019-12-28 14:28:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688328", "2019-12-28 14:28:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688327", "2019-12-28 14:27:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688326", "2019-12-28 14:27:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688325", "2019-12-28 14:27:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688324", "2019-12-28 14:26:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688323", "2019-12-28 14:26:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688322", "2019-12-28 14:26:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688321", "2019-12-28 14:26:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688320", "2019-12-28 14:26:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688319", "2019-12-28 14:26:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688318", "2019-12-28 14:25:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688317", "2019-12-28 14:25:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688316", "2019-12-28 14:24:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688315", "2019-12-28 14:24:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688314", "2019-12-28 14:24:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688313", "2019-12-28 14:24:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688312", "2019-12-28 14:24:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688311", "2019-12-28 14:24:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688310", "2019-12-28 14:23:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688309", "2019-12-28 14:23:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688308", "2019-12-28 14:23:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688307", "2019-12-28 14:22:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688306", "2019-12-28 14:22:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688305", "2019-12-28 14:22:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688304", "2019-12-28 14:22:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688303", "2019-12-28 14:21:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688302", "2019-12-28 14:21:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688301", "2019-12-28 14:21:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688300", "2019-12-28 14:21:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688299", "2019-12-28 14:21:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688298", "2019-12-28 14:20:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688297", "2019-12-28 14:20:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688296", "2019-12-28 14:20:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688295", "2019-12-28 14:19:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688294", "2019-12-28 14:19:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688293", "2019-12-28 14:19:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688292", "2019-12-28 14:19:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688291", "2019-12-28 14:18:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685479", "2019-12-27 20:03:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685478", "2019-12-27 20:02:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685477", "2019-12-27 20:02:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685476", "2019-12-27 20:02:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685475", "2019-12-27 20:01:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685474", "2019-12-27 20:01:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685473", "2019-12-27 20:00:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685472", "2019-12-27 19:59:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685471", "2019-12-27 19:59:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685470", "2019-12-27 19:58:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685469", "2019-12-27 19:58:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685468", "2019-12-27 19:58:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685467", "2019-12-27 19:57:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685466", "2019-12-27 19:57:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685465", "2019-12-27 19:57:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685464", "2019-12-27 19:56:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685463", "2019-12-27 19:55:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685462", "2019-12-27 19:55:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685461", "2019-12-27 19:55:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685460", "2019-12-27 19:54:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685459", "2019-12-27 19:54:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685458", "2019-12-27 19:53:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685457", "2019-12-27 19:53:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685456", "2019-12-27 19:52:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685455", "2019-12-27 19:52:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685454", "2019-12-27 19:52:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685453", "2019-12-27 19:51:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685452", "2019-12-27 19:51:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685451", "2019-12-27 19:51:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685450", "2019-12-27 19:50:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685449", "2019-12-27 19:50:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685448", "2019-12-27 19:49:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685447", "2019-12-27 19:49:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685446", "2019-12-27 19:49:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685445", "2019-12-27 19:48:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685444", "2019-12-27 19:47:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685443", "2019-12-27 19:47:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685442", "2019-12-27 19:46:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685441", "2019-12-27 19:46:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685440", "2019-12-27 19:46:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685439", "2019-12-27 19:45:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685438", "2019-12-27 19:45:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685437", "2019-12-27 19:44:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685436", "2019-12-27 19:44:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685435", "2019-12-27 19:44:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685434", "2019-12-27 19:43:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685433", "2019-12-27 19:43:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712418", "2020-01-04 11:33:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712419", "2020-01-04 11:34:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712420", "2020-01-04 11:34:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712421", "2020-01-04 11:34:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712422", "2020-01-04 11:35:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712423", "2020-01-04 11:35:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712424", "2020-01-04 11:35:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712425", "2020-01-04 11:36:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712426", "2020-01-04 11:36:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712427", "2020-01-04 11:37:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712428", "2020-01-04 11:37:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712429", "2020-01-04 11:38:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712430", "2020-01-04 11:38:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712431", "2020-01-04 11:38:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712432", "2020-01-04 11:39:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712433", "2020-01-04 11:39:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712434", "2020-01-04 11:39:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712435", "2020-01-04 11:40:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712436", "2020-01-04 11:40:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712437", "2020-01-04 11:40:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712438", "2020-01-04 11:41:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712439", "2020-01-04 11:41:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712440", "2020-01-04 11:41:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712441", "2020-01-04 11:42:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712442", "2020-01-04 11:42:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712443", "2020-01-04 11:42:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712444", "2020-01-04 11:43:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712445", "2020-01-04 11:43:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712446", "2020-01-04 11:43:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712447", "2020-01-04 11:44:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712448", "2020-01-04 11:44:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712449", "2020-01-04 11:44:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712450", "2020-01-04 11:45:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712451", "2020-01-04 11:45:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712452", "2020-01-04 11:45:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712453", "2020-01-04 11:46:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712454", "2020-01-04 11:46:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712455", "2020-01-04 11:46:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712456", "2020-01-04 11:47:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712457", "2020-01-04 11:47:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712458", "2020-01-04 11:47:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712459", "2020-01-04 11:48:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712460", "2020-01-04 11:48:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712461", "2020-01-04 11:48:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712462", "2020-01-04 11:49:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712463", "2020-01-04 11:49:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712464", "2020-01-04 11:49:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712465", "2020-01-04 11:50:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712466", "2020-01-04 11:50:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712467", "2020-01-04 11:50:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712468", "2020-01-04 11:51:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712469", "2020-01-04 11:51:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712470", "2020-01-04 11:51:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712471", "2020-01-04 11:52:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712472", "2020-01-04 11:52:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712473", "2020-01-04 11:52:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712474", "2020-01-04 11:53:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712475", "2020-01-04 11:53:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712476", "2020-01-04 11:53:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712477", "2020-01-04 11:54:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712478", "2020-01-04 11:54:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712479", "2020-01-04 11:54:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1712480", "2020-01-04 11:55:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688290", "2019-12-28 14:18:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688289", "2019-12-28 14:18:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688288", "2019-12-28 14:18:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688287", "2019-12-28 14:18:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688286", "2019-12-28 14:17:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688285", "2019-12-28 14:17:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688284", "2019-12-28 14:17:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688283", "2019-12-28 14:16:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688282", "2019-12-28 14:16:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688281", "2019-12-28 14:16:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688280", "2019-12-28 14:15:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688279", "2019-12-28 14:15:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688278", "2019-12-28 14:15:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688277", "2019-12-28 14:15:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688276", "2019-12-28 14:15:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688274", "2019-12-28 14:14:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688275", "2019-12-28 14:14:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688273", "2019-12-28 14:13:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688271", "2019-12-28 14:13:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688272", "2019-12-28 14:13:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688270", "2019-12-28 14:12:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688269", "2019-12-28 14:12:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688268", "2019-12-28 14:12:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688267", "2019-12-28 14:11:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688266", "2019-12-28 14:10:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688265", "2019-12-28 14:10:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688264", "2019-12-28 14:10:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688263", "2019-12-28 14:10:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688262", "2019-12-28 14:09:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688261", "2019-12-28 14:09:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688260", "2019-12-28 14:09:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688259", "2019-12-28 14:09:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688258", "2019-12-28 14:08:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688257", "2019-12-28 14:08:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688256", "2019-12-28 14:08:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688255", "2019-12-28 14:07:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688254", "2019-12-28 14:07:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688253", "2019-12-28 14:06:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688252", "2019-12-28 14:06:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688251", "2019-12-28 14:06:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688250", "2019-12-28 14:06:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688249", "2019-12-28 14:06:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688248", "2019-12-28 14:05:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688247", "2019-12-28 14:05:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688246", "2019-12-28 14:05:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688245", "2019-12-28 14:04:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688244", "2019-12-28 14:04:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688243", "2019-12-28 14:03:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688242", "2019-12-28 14:03:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688241", "2019-12-28 14:02:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688240", "2019-12-28 14:02:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688239", "2019-12-28 14:02:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688238", "2019-12-28 14:01:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688237", "2019-12-28 14:01:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688236", "2019-12-28 14:01:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688235", "2019-12-28 14:01:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688234", "2019-12-28 14:00:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688233", "2019-12-28 14:00:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688232", "2019-12-28 14:00:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688231", "2019-12-28 13:59:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688230", "2019-12-28 13:59:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688229", "2019-12-28 13:59:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688228", "2019-12-28 13:59:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688227", "2019-12-28 13:59:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688226", "2019-12-28 13:58:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688225", "2019-12-28 13:58:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688224", "2019-12-28 13:58:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688223", "2019-12-28 13:57:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688222", "2019-12-28 13:57:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688221", "2019-12-28 13:57:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688220", "2019-12-28 13:56:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688219", "2019-12-28 13:56:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688218", "2019-12-28 13:56:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688217", "2019-12-28 13:56:07", "/router.php", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0", NULL, "3999");
INSERT INTO `wp_redirection_404` VALUES("1688216", "2019-12-28 13:55:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688215", "2019-12-28 13:55:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688214", "2019-12-28 13:55:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688213", "2019-12-28 13:54:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688212", "2019-12-28 13:54:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688211", "2019-12-28 13:54:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688210", "2019-12-28 13:53:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688209", "2019-12-28 13:53:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688208", "2019-12-28 13:53:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688207", "2019-12-28 13:52:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688206", "2019-12-28 13:52:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688205", "2019-12-28 13:52:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688204", "2019-12-28 13:52:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688203", "2019-12-28 13:51:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688202", "2019-12-28 13:51:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688201", "2019-12-28 13:51:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688200", "2019-12-28 13:51:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688199", "2019-12-28 13:50:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688198", "2019-12-28 13:50:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688197", "2019-12-28 13:50:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688196", "2019-12-28 13:49:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688195", "2019-12-28 13:49:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688194", "2019-12-28 13:49:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688193", "2019-12-28 13:48:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688192", "2019-12-28 13:48:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688191", "2019-12-28 13:48:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688190", "2019-12-28 13:48:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688189", "2019-12-28 13:47:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688188", "2019-12-28 13:47:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688187", "2019-12-28 13:47:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688186", "2019-12-28 13:46:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688185", "2019-12-28 13:46:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688184", "2019-12-28 13:46:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688183", "2019-12-28 13:45:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688182", "2019-12-28 13:45:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688181", "2019-12-28 13:45:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688180", "2019-12-28 13:45:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688179", "2019-12-28 13:44:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688178", "2019-12-28 13:44:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688177", "2019-12-28 13:44:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688176", "2019-12-28 13:43:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688175", "2019-12-28 13:43:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688174", "2019-12-28 13:43:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688173", "2019-12-28 13:42:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688172", "2019-12-28 13:42:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688171", "2019-12-28 13:42:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688170", "2019-12-28 13:42:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688169", "2019-12-28 13:41:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688168", "2019-12-28 13:41:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688167", "2019-12-28 13:41:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688166", "2019-12-28 13:41:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688165", "2019-12-28 13:40:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688164", "2019-12-28 13:40:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688163", "2019-12-28 13:40:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688162", "2019-12-28 13:39:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688161", "2019-12-28 13:39:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688160", "2019-12-28 13:39:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688159", "2019-12-28 13:38:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688158", "2019-12-28 13:38:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688157", "2019-12-28 13:38:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688156", "2019-12-28 13:37:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688155", "2019-12-28 13:37:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688154", "2019-12-28 13:37:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688153", "2019-12-28 13:36:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688152", "2019-12-28 13:36:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688151", "2019-12-28 13:36:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688150", "2019-12-28 13:36:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688149", "2019-12-28 13:35:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688148", "2019-12-28 13:35:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688147", "2019-12-28 13:35:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688146", "2019-12-28 13:34:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688145", "2019-12-28 13:34:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688144", "2019-12-28 13:34:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688143", "2019-12-28 13:33:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688142", "2019-12-28 13:33:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688141", "2019-12-28 13:33:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688140", "2019-12-28 13:32:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688139", "2019-12-28 13:32:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688138", "2019-12-28 13:32:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688137", "2019-12-28 13:32:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688136", "2019-12-28 13:31:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688135", "2019-12-28 13:31:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688134", "2019-12-28 13:31:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688133", "2019-12-28 13:30:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688132", "2019-12-28 13:30:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688131", "2019-12-28 13:30:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688130", "2019-12-28 13:29:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688129", "2019-12-28 13:29:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688128", "2019-12-28 13:29:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688127", "2019-12-28 13:28:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688126", "2019-12-28 13:28:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688125", "2019-12-28 13:28:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688124", "2019-12-28 13:27:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688123", "2019-12-28 13:27:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688122", "2019-12-28 13:27:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688121", "2019-12-28 13:26:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688120", "2019-12-28 13:26:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688119", "2019-12-28 13:26:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688118", "2019-12-28 13:26:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688117", "2019-12-28 13:25:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688116", "2019-12-28 13:25:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688115", "2019-12-28 13:25:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688114", "2019-12-28 13:24:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688113", "2019-12-28 13:24:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688112", "2019-12-28 13:24:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688111", "2019-12-28 13:23:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688110", "2019-12-28 13:23:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688109", "2019-12-28 13:23:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688108", "2019-12-28 13:22:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688107", "2019-12-28 13:22:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688106", "2019-12-28 13:22:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688105", "2019-12-28 13:21:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688104", "2019-12-28 13:21:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688103", "2019-12-28 13:21:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688102", "2019-12-28 13:20:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688101", "2019-12-28 13:20:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688100", "2019-12-28 13:19:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688099", "2019-12-28 13:19:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688098", "2019-12-28 13:19:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688097", "2019-12-28 13:18:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688096", "2019-12-28 13:18:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688095", "2019-12-28 13:18:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688094", "2019-12-28 13:17:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688093", "2019-12-28 13:17:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688092", "2019-12-28 13:17:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688091", "2019-12-28 13:17:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688090", "2019-12-28 13:16:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688089", "2019-12-28 13:16:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688088", "2019-12-28 13:16:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688087", "2019-12-28 13:15:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688086", "2019-12-28 13:15:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688085", "2019-12-28 13:15:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688084", "2019-12-28 13:14:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688083", "2019-12-28 13:14:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688082", "2019-12-28 13:14:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688081", "2019-12-28 13:13:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688080", "2019-12-28 13:13:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688079", "2019-12-28 13:12:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688078", "2019-12-28 13:12:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688077", "2019-12-28 13:12:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688076", "2019-12-28 13:12:05", "/2016/01/08/unique-pizza-toppings-never-tried/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1688075", "2019-12-28 13:12:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688074", "2019-12-28 13:12:01", "/story.php", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "4077");
INSERT INTO `wp_redirection_404` VALUES("1688073", "2019-12-28 13:11:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688072", "2019-12-28 13:11:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688071", "2019-12-28 13:11:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688070", "2019-12-28 13:10:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688069", "2019-12-28 13:10:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688068", "2019-12-28 13:10:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688067", "2019-12-28 13:09:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688066", "2019-12-28 13:09:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688065", "2019-12-28 13:09:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688064", "2019-12-28 13:08:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688063", "2019-12-28 13:08:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688062", "2019-12-28 13:08:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688061", "2019-12-28 13:07:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688060", "2019-12-28 13:07:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688059", "2019-12-28 13:07:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688058", "2019-12-28 13:06:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688057", "2019-12-28 13:06:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688056", "2019-12-28 13:06:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688055", "2019-12-28 13:05:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688054", "2019-12-28 13:05:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688053", "2019-12-28 13:05:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688052", "2019-12-28 13:04:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688051", "2019-12-28 13:04:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688050", "2019-12-28 13:04:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688049", "2019-12-28 13:03:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688048", "2019-12-28 13:03:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688047", "2019-12-28 13:03:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688046", "2019-12-28 13:02:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688045", "2019-12-28 13:02:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688044", "2019-12-28 13:02:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688043", "2019-12-28 13:01:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688042", "2019-12-28 13:01:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688041", "2019-12-28 13:01:26", "/owa/auth/logon.aspx?replaceCurrent=1&url=", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "149255");
INSERT INTO `wp_redirection_404` VALUES("1688040", "2019-12-28 13:01:26", "/owa/auth/logon.aspx?replaceCurrent=1&url=", "Mozilla/5.0 (Windows NT 10.0; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0", NULL, "149255");
INSERT INTO `wp_redirection_404` VALUES("1688039", "2019-12-28 13:01:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688038", "2019-12-28 13:00:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688037", "2019-12-28 13:00:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688036", "2019-12-28 13:00:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688035", "2019-12-28 12:59:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688034", "2019-12-28 12:59:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688033", "2019-12-28 12:59:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688032", "2019-12-28 12:58:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688031", "2019-12-28 12:58:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688030", "2019-12-28 12:58:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688029", "2019-12-28 12:58:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688028", "2019-12-28 12:57:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688027", "2019-12-28 12:57:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688026", "2019-12-28 12:57:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688025", "2019-12-28 12:56:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688024", "2019-12-28 12:56:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688023", "2019-12-28 12:56:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688022", "2019-12-28 12:55:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688021", "2019-12-28 12:55:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688020", "2019-12-28 12:55:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688019", "2019-12-28 12:54:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688018", "2019-12-28 12:54:48", "/pizza-parties/wine-pairing-pizza-toppings/", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/65.0.3325.181 Safari/537.36/1.0 (built with StormCrawler Archetype 1.8; http://someorganization.com/; someone@someorganization.com)", NULL, "5212");
INSERT INTO `wp_redirection_404` VALUES("1688017", "2019-12-28 12:54:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688016", "2019-12-28 12:54:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688015", "2019-12-28 12:53:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688014", "2019-12-28 12:53:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688013", "2019-12-28 12:53:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688012", "2019-12-28 12:53:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688011", "2019-12-28 12:52:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688010", "2019-12-28 12:52:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688009", "2019-12-28 12:52:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688008", "2019-12-28 12:51:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688007", "2019-12-28 12:51:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688006", "2019-12-28 12:51:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688005", "2019-12-28 12:50:49", "/pizza-places/10-best-pizza-places-los-angeles-2015/", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/65.0.3325.181 Safari/537.36/1.0 (built with StormCrawler Archetype 1.8; http://someorganization.com/; someone@someorganization.com)", NULL, "5212");
INSERT INTO `wp_redirection_404` VALUES("1688004", "2019-12-28 12:50:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688003", "2019-12-28 12:50:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688002", "2019-12-28 12:49:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688001", "2019-12-28 12:49:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1688000", "2019-12-28 12:49:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687999", "2019-12-28 12:48:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687998", "2019-12-28 12:48:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687997", "2019-12-28 12:48:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687996", "2019-12-28 12:47:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687995", "2019-12-28 12:47:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687994", "2019-12-28 12:47:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687993", "2019-12-28 12:46:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687992", "2019-12-28 12:46:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687991", "2019-12-28 12:46:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687990", "2019-12-28 12:45:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687989", "2019-12-28 12:45:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687988", "2019-12-28 12:45:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687987", "2019-12-28 12:45:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687986", "2019-12-28 12:44:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687985", "2019-12-28 12:44:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687984", "2019-12-28 12:44:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687983", "2019-12-28 12:43:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687982", "2019-12-28 12:43:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687981", "2019-12-28 12:43:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687980", "2019-12-28 12:42:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687979", "2019-12-28 12:42:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687978", "2019-12-28 12:42:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687977", "2019-12-28 12:41:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687976", "2019-12-28 12:41:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687975", "2019-12-28 12:41:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687974", "2019-12-28 12:40:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687973", "2019-12-28 12:40:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687972", "2019-12-28 12:40:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687971", "2019-12-28 12:39:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687970", "2019-12-28 12:39:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687969", "2019-12-28 12:39:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687968", "2019-12-28 12:38:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687967", "2019-12-28 12:38:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687966", "2019-12-28 12:38:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687965", "2019-12-28 12:38:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687964", "2019-12-28 12:37:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687963", "2019-12-28 12:37:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687962", "2019-12-28 12:37:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687961", "2019-12-28 12:36:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687960", "2019-12-28 12:36:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687959", "2019-12-28 12:36:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687958", "2019-12-28 12:35:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687957", "2019-12-28 12:35:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687956", "2019-12-28 12:35:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687955", "2019-12-28 12:34:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687954", "2019-12-28 12:34:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687953", "2019-12-28 12:34:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687952", "2019-12-28 12:34:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687951", "2019-12-28 12:33:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687950", "2019-12-28 12:33:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687949", "2019-12-28 12:33:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687948", "2019-12-28 12:32:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687947", "2019-12-28 12:32:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687946", "2019-12-28 12:32:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687945", "2019-12-28 12:31:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687944", "2019-12-28 12:31:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687943", "2019-12-28 12:31:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687942", "2019-12-28 12:30:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687941", "2019-12-28 12:30:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687940", "2019-12-28 12:30:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687939", "2019-12-28 12:29:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687938", "2019-12-28 12:28:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687937", "2019-12-28 12:28:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687936", "2019-12-28 12:28:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687935", "2019-12-28 12:27:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687934", "2019-12-28 12:26:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687933", "2019-12-28 12:26:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687932", "2019-12-28 12:25:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687931", "2019-12-28 12:25:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687930", "2019-12-28 12:24:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687929", "2019-12-28 12:24:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687928", "2019-12-28 12:23:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687927", "2019-12-28 12:23:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687926", "2019-12-28 12:22:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687925", "2019-12-28 12:22:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687924", "2019-12-28 12:22:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687923", "2019-12-28 12:21:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687922", "2019-12-28 12:21:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687921", "2019-12-28 12:21:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687920", "2019-12-28 12:20:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687919", "2019-12-28 12:20:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687918", "2019-12-28 12:20:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687917", "2019-12-28 12:20:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687916", "2019-12-28 12:19:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687915", "2019-12-28 12:19:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687914", "2019-12-28 12:19:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687913", "2019-12-28 12:18:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687912", "2019-12-28 12:18:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687911", "2019-12-28 12:18:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687910", "2019-12-28 12:17:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687909", "2019-12-28 12:17:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687908", "2019-12-28 12:17:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687907", "2019-12-28 12:16:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687906", "2019-12-28 12:16:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687905", "2019-12-28 12:16:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687904", "2019-12-28 12:15:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687903", "2019-12-28 12:15:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687902", "2019-12-28 12:15:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687901", "2019-12-28 12:14:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687900", "2019-12-28 12:14:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687899", "2019-12-28 12:14:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687898", "2019-12-28 12:13:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687897", "2019-12-28 12:13:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687896", "2019-12-28 12:13:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687895", "2019-12-28 12:12:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687894", "2019-12-28 12:12:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687893", "2019-12-28 12:11:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687892", "2019-12-28 12:11:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687891", "2019-12-28 12:10:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687890", "2019-12-28 12:10:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687889", "2019-12-28 12:10:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687888", "2019-12-28 12:09:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687887", "2019-12-28 12:09:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687886", "2019-12-28 12:08:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687885", "2019-12-28 12:08:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687884", "2019-12-28 12:08:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687883", "2019-12-28 12:07:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687882", "2019-12-28 12:07:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687881", "2019-12-28 12:07:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687880", "2019-12-28 12:06:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687879", "2019-12-28 12:06:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687878", "2019-12-28 12:06:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687877", "2019-12-28 12:05:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687876", "2019-12-28 12:05:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687875", "2019-12-28 12:05:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687874", "2019-12-28 12:04:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687873", "2019-12-28 12:04:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687872", "2019-12-28 12:04:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687871", "2019-12-28 12:03:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687870", "2019-12-28 12:03:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687869", "2019-12-28 12:03:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687868", "2019-12-28 12:02:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687867", "2019-12-28 12:02:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687866", "2019-12-28 12:01:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687865", "2019-12-28 12:01:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687864", "2019-12-28 12:01:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687863", "2019-12-28 12:00:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687862", "2019-12-28 12:00:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687861", "2019-12-28 11:59:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687860", "2019-12-28 11:59:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687859", "2019-12-28 11:58:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687858", "2019-12-28 11:58:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687857", "2019-12-28 11:58:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687856", "2019-12-28 11:57:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687855", "2019-12-28 11:57:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687854", "2019-12-28 11:57:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687853", "2019-12-28 11:56:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687852", "2019-12-28 11:56:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687851", "2019-12-28 11:56:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687850", "2019-12-28 11:55:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687849", "2019-12-28 11:55:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687848", "2019-12-28 11:55:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687847", "2019-12-28 11:54:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687846", "2019-12-28 11:54:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687845", "2019-12-28 11:54:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687844", "2019-12-28 11:53:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687843", "2019-12-28 11:53:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687842", "2019-12-28 11:53:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687841", "2019-12-28 11:52:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687840", "2019-12-28 11:52:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687839", "2019-12-28 11:52:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687838", "2019-12-28 11:51:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687837", "2019-12-28 11:51:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687836", "2019-12-28 11:51:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687835", "2019-12-28 11:50:56", "/include/calendar/calendar-cn.js", "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Win64; x64; Trident/5.0)", "http://www.buckspizza.com/include/calendar/calendar-cn.js", "3998");
INSERT INTO `wp_redirection_404` VALUES("1687834", "2019-12-28 11:50:56", "/js/comm.js", "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Win64; x64; Trident/5.0)", "http://www.buckspizza.com/js/comm.js", "3998");
INSERT INTO `wp_redirection_404` VALUES("1687832", "2019-12-28 11:50:56", "/public/ui/v1/js/sea.js", "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Win64; x64; Trident/5.0)", "http://www.buckspizza.com/public/ui/v1/js/sea.js", "3998");
INSERT INTO `wp_redirection_404` VALUES("1687833", "2019-12-28 11:50:56", "/js/common.js", "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Win64; x64; Trident/5.0)", "http://www.buckspizza.com/js/common.js", "3998");
INSERT INTO `wp_redirection_404` VALUES("1687829", "2019-12-28 11:50:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687830", "2019-12-28 11:50:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687831", "2019-12-28 11:50:56", "/public/js/wind.js", "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Win64; x64; Trident/5.0)", "http://www.buckspizza.com/public/js/wind.js", "3998");
INSERT INTO `wp_redirection_404` VALUES("1687828", "2019-12-28 11:50:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687827", "2019-12-28 11:49:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687826", "2019-12-28 11:49:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687825", "2019-12-28 11:49:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687824", "2019-12-28 11:48:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687823", "2019-12-28 11:48:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687822", "2019-12-28 11:48:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687821", "2019-12-28 11:47:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687820", "2019-12-28 11:47:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687819", "2019-12-28 11:46:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687818", "2019-12-28 11:46:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687817", "2019-12-28 11:46:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687575", "2019-12-28 10:15:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687576", "2019-12-28 10:16:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687577", "2019-12-28 10:16:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687578", "2019-12-28 10:16:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687579", "2019-12-28 10:17:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687580", "2019-12-28 10:17:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687581", "2019-12-28 10:17:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687582", "2019-12-28 10:18:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687583", "2019-12-28 10:18:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687584", "2019-12-28 10:19:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687585", "2019-12-28 10:19:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687586", "2019-12-28 10:19:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687587", "2019-12-28 10:20:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687588", "2019-12-28 10:20:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687589", "2019-12-28 10:20:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687590", "2019-12-28 10:21:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687591", "2019-12-28 10:22:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687592", "2019-12-28 10:22:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687593", "2019-12-28 10:23:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687594", "2019-12-28 10:23:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687595", "2019-12-28 10:23:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687596", "2019-12-28 10:24:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687597", "2019-12-28 10:24:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687598", "2019-12-28 10:24:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687599", "2019-12-28 10:25:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687600", "2019-12-28 10:25:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687601", "2019-12-28 10:26:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687602", "2019-12-28 10:26:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687603", "2019-12-28 10:26:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687604", "2019-12-28 10:27:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687605", "2019-12-28 10:27:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687606", "2019-12-28 10:27:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687607", "2019-12-28 10:28:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687608", "2019-12-28 10:28:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687609", "2019-12-28 10:28:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687610", "2019-12-28 10:29:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687611", "2019-12-28 10:29:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687612", "2019-12-28 10:29:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687613", "2019-12-28 10:30:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687614", "2019-12-28 10:30:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687615", "2019-12-28 10:31:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687616", "2019-12-28 10:31:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687617", "2019-12-28 10:32:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687618", "2019-12-28 10:32:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687619", "2019-12-28 10:32:36", "/clearfield-pa/wing-day-wednesdays/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1687620", "2019-12-28 10:32:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687621", "2019-12-28 10:33:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687622", "2019-12-28 10:33:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687623", "2019-12-28 10:34:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687624", "2019-12-28 10:34:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687625", "2019-12-28 10:34:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687626", "2019-12-28 10:35:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687627", "2019-12-28 10:35:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687628", "2019-12-28 10:35:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687629", "2019-12-28 10:36:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687630", "2019-12-28 10:36:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687631", "2019-12-28 10:36:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687632", "2019-12-28 10:37:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687633", "2019-12-28 10:37:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687634", "2019-12-28 10:37:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687635", "2019-12-28 10:38:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687636", "2019-12-28 10:38:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687637", "2019-12-28 10:39:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687638", "2019-12-28 10:39:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687639", "2019-12-28 10:39:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687640", "2019-12-28 10:40:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687641", "2019-12-28 10:40:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687642", "2019-12-28 10:41:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687643", "2019-12-28 10:41:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687644", "2019-12-28 10:41:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687645", "2019-12-28 10:42:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687646", "2019-12-28 10:42:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687647", "2019-12-28 10:42:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687648", "2019-12-28 10:43:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687649", "2019-12-28 10:43:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687650", "2019-12-28 10:44:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687651", "2019-12-28 10:44:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687652", "2019-12-28 10:44:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687653", "2019-12-28 10:45:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687654", "2019-12-28 10:45:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687655", "2019-12-28 10:45:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687656", "2019-12-28 10:46:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687657", "2019-12-28 10:46:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687658", "2019-12-28 10:46:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687659", "2019-12-28 10:47:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687660", "2019-12-28 10:47:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687661", "2019-12-28 10:47:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687662", "2019-12-28 10:48:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687663", "2019-12-28 10:48:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687664", "2019-12-28 10:49:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687665", "2019-12-28 10:49:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687666", "2019-12-28 10:50:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687667", "2019-12-28 10:50:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687668", "2019-12-28 10:51:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687669", "2019-12-28 10:51:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687670", "2019-12-28 10:51:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687671", "2019-12-28 10:52:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687672", "2019-12-28 10:52:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687673", "2019-12-28 10:52:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687674", "2019-12-28 10:53:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687675", "2019-12-28 10:53:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687676", "2019-12-28 10:53:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687677", "2019-12-28 10:54:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687678", "2019-12-28 10:54:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687679", "2019-12-28 10:54:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687680", "2019-12-28 10:55:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687681", "2019-12-28 10:55:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687682", "2019-12-28 10:56:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687683", "2019-12-28 10:56:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687684", "2019-12-28 10:56:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687685", "2019-12-28 10:57:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687686", "2019-12-28 10:57:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687687", "2019-12-28 10:57:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687688", "2019-12-28 10:59:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687689", "2019-12-28 10:59:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687690", "2019-12-28 10:59:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687691", "2019-12-28 11:00:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687692", "2019-12-28 11:00:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687693", "2019-12-28 11:00:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687694", "2019-12-28 11:01:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687695", "2019-12-28 11:01:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687696", "2019-12-28 11:01:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687697", "2019-12-28 11:02:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687698", "2019-12-28 11:02:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687699", "2019-12-28 11:02:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687700", "2019-12-28 11:03:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687701", "2019-12-28 11:03:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687702", "2019-12-28 11:03:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687703", "2019-12-28 11:04:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687704", "2019-12-28 11:04:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687705", "2019-12-28 11:04:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687706", "2019-12-28 11:05:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687707", "2019-12-28 11:05:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687708", "2019-12-28 11:05:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687709", "2019-12-28 11:06:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687710", "2019-12-28 11:06:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687711", "2019-12-28 11:06:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687712", "2019-12-28 11:07:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687713", "2019-12-28 11:07:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687714", "2019-12-28 11:08:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687715", "2019-12-28 11:09:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687716", "2019-12-28 11:09:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687717", "2019-12-28 11:09:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687718", "2019-12-28 11:10:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687719", "2019-12-28 11:10:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687720", "2019-12-28 11:10:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687721", "2019-12-28 11:11:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687722", "2019-12-28 11:11:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687723", "2019-12-28 11:11:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687724", "2019-12-28 11:12:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687725", "2019-12-28 11:12:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687726", "2019-12-28 11:12:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687727", "2019-12-28 11:13:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687728", "2019-12-28 11:13:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687729", "2019-12-28 11:13:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687730", "2019-12-28 11:14:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687731", "2019-12-28 11:14:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687732", "2019-12-28 11:14:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687733", "2019-12-28 11:15:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687734", "2019-12-28 11:15:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687735", "2019-12-28 11:15:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687736", "2019-12-28 11:16:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687737", "2019-12-28 11:16:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687738", "2019-12-28 11:16:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687739", "2019-12-28 11:17:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687740", "2019-12-28 11:17:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687741", "2019-12-28 11:18:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687742", "2019-12-28 11:18:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687743", "2019-12-28 11:18:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687744", "2019-12-28 11:19:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687745", "2019-12-28 11:19:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687746", "2019-12-28 11:20:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687747", "2019-12-28 11:20:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687748", "2019-12-28 11:20:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687749", "2019-12-28 11:21:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687750", "2019-12-28 11:21:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687751", "2019-12-28 11:22:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687752", "2019-12-28 11:22:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687753", "2019-12-28 11:22:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687754", "2019-12-28 11:23:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687755", "2019-12-28 11:23:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687756", "2019-12-28 11:23:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687757", "2019-12-28 11:24:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687758", "2019-12-28 11:24:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687759", "2019-12-28 11:24:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687760", "2019-12-28 11:25:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687761", "2019-12-28 11:26:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687762", "2019-12-28 11:26:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687763", "2019-12-28 11:26:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687764", "2019-12-28 11:27:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687765", "2019-12-28 11:27:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687766", "2019-12-28 11:27:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687767", "2019-12-28 11:28:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687768", "2019-12-28 11:28:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687769", "2019-12-28 11:28:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687770", "2019-12-28 11:29:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687771", "2019-12-28 11:29:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687772", "2019-12-28 11:29:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687773", "2019-12-28 11:30:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687774", "2019-12-28 11:30:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687775", "2019-12-28 11:30:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687776", "2019-12-28 11:31:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687777", "2019-12-28 11:31:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687778", "2019-12-28 11:31:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687779", "2019-12-28 11:32:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687780", "2019-12-28 11:32:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687781", "2019-12-28 11:32:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687782", "2019-12-28 11:33:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687783", "2019-12-28 11:33:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687784", "2019-12-28 11:33:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687785", "2019-12-28 11:34:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687786", "2019-12-28 11:35:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687787", "2019-12-28 11:35:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687788", "2019-12-28 11:36:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687789", "2019-12-28 11:36:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687790", "2019-12-28 11:36:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687791", "2019-12-28 11:37:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687792", "2019-12-28 11:37:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687793", "2019-12-28 11:37:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687794", "2019-12-28 11:38:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687795", "2019-12-28 11:38:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687796", "2019-12-28 11:38:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687797", "2019-12-28 11:39:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687798", "2019-12-28 11:39:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687799", "2019-12-28 11:39:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687800", "2019-12-28 11:40:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687801", "2019-12-28 11:40:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687802", "2019-12-28 11:40:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687803", "2019-12-28 11:41:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687804", "2019-12-28 11:41:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687805", "2019-12-28 11:41:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687806", "2019-12-28 11:42:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687807", "2019-12-28 11:42:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687808", "2019-12-28 11:42:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687809", "2019-12-28 11:43:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687810", "2019-12-28 11:43:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687811", "2019-12-28 11:43:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687812", "2019-12-28 11:44:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687813", "2019-12-28 11:44:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687814", "2019-12-28 11:45:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687815", "2019-12-28 11:45:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1687816", "2019-12-28 11:45:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709849", "2020-01-03 19:54:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709848", "2020-01-03 19:53:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709847", "2020-01-03 19:53:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709846", "2020-01-03 19:53:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709845", "2020-01-03 19:52:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709844", "2020-01-03 19:52:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709843", "2020-01-03 19:52:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709842", "2020-01-03 19:51:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709841", "2020-01-03 19:51:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709840", "2020-01-03 19:50:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709839", "2020-01-03 19:50:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709838", "2020-01-03 19:49:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709837", "2020-01-03 19:49:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709836", "2020-01-03 19:49:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709835", "2020-01-03 19:48:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709834", "2020-01-03 19:48:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709833", "2020-01-03 19:48:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709832", "2020-01-03 19:47:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709831", "2020-01-03 19:47:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709830", "2020-01-03 19:47:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709829", "2020-01-03 19:46:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709828", "2020-01-03 19:46:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709827", "2020-01-03 19:45:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709826", "2020-01-03 19:45:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709825", "2020-01-03 19:45:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709824", "2020-01-03 19:44:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709823", "2020-01-03 19:44:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709822", "2020-01-03 19:44:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709821", "2020-01-03 19:42:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709820", "2020-01-03 19:42:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709819", "2020-01-03 19:42:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709818", "2020-01-03 19:41:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709817", "2020-01-03 19:41:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709816", "2020-01-03 19:41:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709815", "2020-01-03 19:40:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709814", "2020-01-03 19:40:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709813", "2020-01-03 19:39:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709812", "2020-01-03 19:39:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709811", "2020-01-03 19:38:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709810", "2020-01-03 19:38:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709809", "2020-01-03 19:37:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709808", "2020-01-03 19:37:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709807", "2020-01-03 19:37:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709806", "2020-01-03 19:36:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709805", "2020-01-03 19:36:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709804", "2020-01-03 19:35:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709803", "2020-01-03 19:35:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709802", "2020-01-03 19:35:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709801", "2020-01-03 19:34:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709800", "2020-01-03 19:34:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709799", "2020-01-03 19:34:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709798", "2020-01-03 19:33:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709797", "2020-01-03 19:33:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709796", "2020-01-03 19:32:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709795", "2020-01-03 19:31:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709794", "2020-01-03 19:31:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709793", "2020-01-03 19:31:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709792", "2020-01-03 19:30:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709791", "2020-01-03 19:30:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709790", "2020-01-03 19:30:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709789", "2020-01-03 19:29:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709788", "2020-01-03 19:29:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709787", "2020-01-03 19:28:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709786", "2020-01-03 19:27:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709785", "2020-01-03 19:27:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709784", "2020-01-03 19:27:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709783", "2020-01-03 19:26:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709782", "2020-01-03 19:26:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709781", "2020-01-03 19:26:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709780", "2020-01-03 19:18:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709779", "2020-01-03 19:18:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709778", "2020-01-03 19:17:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709777", "2020-01-03 19:17:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709776", "2020-01-03 19:17:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709775", "2020-01-03 19:15:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709774", "2020-01-03 19:15:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709773", "2020-01-03 19:15:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709772", "2020-01-03 19:14:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709771", "2020-01-03 19:13:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709770", "2020-01-03 19:13:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709769", "2020-01-03 19:13:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709768", "2020-01-03 19:12:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709767", "2020-01-03 19:12:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709766", "2020-01-03 19:12:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709765", "2020-01-03 19:11:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709764", "2020-01-03 19:11:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709763", "2020-01-03 19:11:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709762", "2020-01-03 19:10:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709761", "2020-01-03 19:10:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709760", "2020-01-03 19:09:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709759", "2020-01-03 19:09:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709758", "2020-01-03 19:08:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709757", "2020-01-03 19:08:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709756", "2020-01-03 19:08:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709755", "2020-01-03 19:07:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709754", "2020-01-03 19:07:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709753", "2020-01-03 19:06:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709752", "2020-01-03 19:06:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709751", "2020-01-03 19:06:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709750", "2020-01-03 19:05:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709749", "2020-01-03 19:05:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709748", "2020-01-03 19:04:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709747", "2020-01-03 19:04:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709746", "2020-01-03 19:04:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709745", "2020-01-03 19:03:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709744", "2020-01-03 19:03:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709743", "2020-01-03 19:03:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709742", "2020-01-03 19:02:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709741", "2020-01-03 19:02:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709740", "2020-01-03 19:02:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709739", "2020-01-03 19:02:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709738", "2020-01-03 19:01:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709737", "2020-01-03 19:01:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709736", "2020-01-03 19:00:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709735", "2020-01-03 19:00:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709734", "2020-01-03 18:59:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709733", "2020-01-03 18:59:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709732", "2020-01-03 18:58:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709731", "2020-01-03 18:58:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709730", "2020-01-03 18:57:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709729", "2020-01-03 18:57:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709728", "2020-01-03 18:57:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709727", "2020-01-03 18:56:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709726", "2020-01-03 18:56:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709725", "2020-01-03 18:56:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709724", "2020-01-03 18:55:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709723", "2020-01-03 18:55:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709722", "2020-01-03 18:55:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709721", "2020-01-03 18:54:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709720", "2020-01-03 18:53:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709719", "2020-01-03 18:53:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709718", "2020-01-03 18:53:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709717", "2020-01-03 18:52:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709716", "2020-01-03 18:52:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709715", "2020-01-03 18:52:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709714", "2020-01-03 18:51:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709713", "2020-01-03 18:51:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709712", "2020-01-03 18:51:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709711", "2020-01-03 18:50:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709710", "2020-01-03 18:50:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709709", "2020-01-03 18:50:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709708", "2020-01-03 18:49:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709707", "2020-01-03 18:49:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709706", "2020-01-03 18:48:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709705", "2020-01-03 18:48:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709704", "2020-01-03 18:47:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709703", "2020-01-03 18:47:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709702", "2020-01-03 18:46:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709701", "2020-01-03 18:46:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709700", "2020-01-03 18:45:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709699", "2020-01-03 18:45:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709698", "2020-01-03 18:45:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709697", "2020-01-03 18:44:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709695", "2020-01-03 18:44:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709696", "2020-01-03 18:44:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709694", "2020-01-03 18:43:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709692", "2020-01-03 18:43:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709693", "2020-01-03 18:43:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709690", "2020-01-03 18:41:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709691", "2020-01-03 18:42:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709689", "2020-01-03 18:41:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709688", "2020-01-03 18:41:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709687", "2020-01-03 18:40:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709686", "2020-01-03 18:40:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709685", "2020-01-03 18:39:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709684", "2020-01-03 18:39:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709683", "2020-01-03 18:39:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709682", "2020-01-03 18:39:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709681", "2020-01-03 18:38:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709680", "2020-01-03 18:37:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709679", "2020-01-03 18:37:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709678", "2020-01-03 18:37:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709677", "2020-01-03 18:37:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709676", "2020-01-03 18:36:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709675", "2020-01-03 18:36:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709673", "2020-01-03 18:35:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709674", "2020-01-03 18:35:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709672", "2020-01-03 18:34:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709671", "2020-01-03 18:34:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709670", "2020-01-03 18:34:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709669", "2020-01-03 18:33:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709668", "2020-01-03 18:33:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709667", "2020-01-03 18:32:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709666", "2020-01-03 18:32:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709664", "2020-01-03 18:31:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709665", "2020-01-03 18:32:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709663", "2020-01-03 18:31:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709662", "2020-01-03 18:31:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709661", "2020-01-03 18:30:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709660", "2020-01-03 18:30:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709659", "2020-01-03 18:29:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709658", "2020-01-03 18:29:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709657", "2020-01-03 18:29:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709656", "2020-01-03 18:28:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709655", "2020-01-03 18:27:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709654", "2020-01-03 18:26:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709653", "2020-01-03 18:26:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709652", "2020-01-03 18:26:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709651", "2020-01-03 18:25:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709650", "2020-01-03 18:25:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709649", "2020-01-03 18:25:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709648", "2020-01-03 18:24:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709647", "2020-01-03 18:24:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709646", "2020-01-03 18:24:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709645", "2020-01-03 18:23:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709644", "2020-01-03 18:23:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709643", "2020-01-03 18:23:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709642", "2020-01-03 18:22:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709641", "2020-01-03 18:22:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709640", "2020-01-03 18:22:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709639", "2020-01-03 18:21:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709638", "2020-01-03 18:20:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709637", "2020-01-03 18:20:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709636", "2020-01-03 18:20:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709635", "2020-01-03 18:19:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709634", "2020-01-03 18:19:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709633", "2020-01-03 18:19:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709632", "2020-01-03 18:18:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709631", "2020-01-03 18:17:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709630", "2020-01-03 18:17:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709629", "2020-01-03 18:16:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709628", "2020-01-03 18:16:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709627", "2020-01-03 18:15:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709626", "2020-01-03 18:15:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709625", "2020-01-03 18:14:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709624", "2020-01-03 18:14:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709623", "2020-01-03 18:13:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709622", "2020-01-03 18:13:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709621", "2020-01-03 18:13:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709620", "2020-01-03 18:12:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709619", "2020-01-03 18:12:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709618", "2020-01-03 18:11:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709617", "2020-01-03 18:11:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709616", "2020-01-03 18:10:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709615", "2020-01-03 18:10:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709614", "2020-01-03 18:10:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709612", "2020-01-03 18:09:44", "/admin/login.php", NULL, NULL, "47105");
INSERT INTO `wp_redirection_404` VALUES("1709613", "2020-01-03 18:09:45", "/manager/login.php", NULL, NULL, "47105");
INSERT INTO `wp_redirection_404` VALUES("1709610", "2020-01-03 18:09:44", "/htadmin/login.php", NULL, NULL, "47105");
INSERT INTO `wp_redirection_404` VALUES("1709611", "2020-01-03 18:09:44", "/manage/login.php", NULL, NULL, "47105");
INSERT INTO `wp_redirection_404` VALUES("1709608", "2020-01-03 18:09:44", "/admindede/login.php", NULL, NULL, "47105");
INSERT INTO `wp_redirection_404` VALUES("1709609", "2020-01-03 18:09:44", "/dede/login.php", NULL, NULL, "47105");
INSERT INTO `wp_redirection_404` VALUES("1709607", "2020-01-03 18:09:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709606", "2020-01-03 18:09:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709605", "2020-01-03 18:09:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709604", "2020-01-03 18:08:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709603", "2020-01-03 18:08:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709602", "2020-01-03 18:07:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709601", "2020-01-03 18:07:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709600", "2020-01-03 18:06:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709599", "2020-01-03 18:06:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709598", "2020-01-03 18:06:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709597", "2020-01-03 18:05:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709596", "2020-01-03 18:05:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709595", "2020-01-03 18:05:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709594", "2020-01-03 18:04:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709593", "2020-01-03 18:04:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709592", "2020-01-03 18:04:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709591", "2020-01-03 18:03:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709590", "2020-01-03 18:02:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709589", "2020-01-03 18:02:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709588", "2020-01-03 18:02:01", "/pizza-places/10-best-pizza-places-los-angeles-2015/", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/65.0.3325.181 Safari/537.36/1.0 (built with StormCrawler Archetype 1.8; http://someorganization.com/; someone@someorganization.com)", NULL, "34220");
INSERT INTO `wp_redirection_404` VALUES("1709587", "2020-01-03 18:01:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709586", "2020-01-03 18:01:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709585", "2020-01-03 18:01:13", "/pizza-recipes/spicy-pizza-recipes/", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/49.0.2623.75 Safari/537.36 Google Favicon", NULL, "2409");
INSERT INTO `wp_redirection_404` VALUES("1709584", "2020-01-03 18:01:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709583", "2020-01-03 18:00:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709582", "2020-01-03 18:00:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709581", "2020-01-03 17:59:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709580", "2020-01-03 17:59:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709579", "2020-01-03 17:59:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709578", "2020-01-03 17:58:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709577", "2020-01-03 17:58:27", "/pizza-parties/wine-pairing-pizza-toppings/", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/65.0.3325.181 Safari/537.36/1.0 (built with StormCrawler Archetype 1.8; http://someorganization.com/; someone@someorganization.com)", NULL, "34220");
INSERT INTO `wp_redirection_404` VALUES("1709576", "2020-01-03 17:58:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709575", "2020-01-03 17:58:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709574", "2020-01-03 17:57:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709572", "2020-01-03 17:56:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709573", "2020-01-03 17:56:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709571", "2020-01-03 17:55:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709570", "2020-01-03 17:55:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709569", "2020-01-03 17:55:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709568", "2020-01-03 17:54:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709567", "2020-01-03 17:53:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709566", "2020-01-03 17:53:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709565", "2020-01-03 17:53:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709564", "2020-01-03 17:52:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709563", "2020-01-03 17:52:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709562", "2020-01-03 17:51:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709561", "2020-01-03 17:51:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709560", "2020-01-03 17:51:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709559", "2020-01-03 17:50:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709558", "2020-01-03 17:49:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709557", "2020-01-03 17:49:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709556", "2020-01-03 17:48:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709555", "2020-01-03 17:48:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709554", "2020-01-03 17:48:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709553", "2020-01-03 17:47:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709552", "2020-01-03 17:47:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709551", "2020-01-03 17:46:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709550", "2020-01-03 17:46:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709549", "2020-01-03 17:46:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709548", "2020-01-03 17:46:25", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1107.1 Darwin/19.0.0", NULL, "7388");
INSERT INTO `wp_redirection_404` VALUES("1709547", "2020-01-03 17:46:25", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1107.1 Darwin/19.0.0", NULL, "7388");
INSERT INTO `wp_redirection_404` VALUES("1709546", "2020-01-03 17:46:23", "/temp/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1709545", "2020-01-03 17:46:22", "/web/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1709544", "2020-01-03 17:46:21", "/portal/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1709543", "2020-01-03 17:46:20", "/dev/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1709542", "2020-01-03 17:46:19", "/cms/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1709541", "2020-01-03 17:46:18", "/tmp/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1709540", "2020-01-03 17:46:17", "/home/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1709539", "2020-01-03 17:46:16", "/demo/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1709538", "2020-01-03 17:46:15", "/backup/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1709537", "2020-01-03 17:46:14", "/site/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1709536", "2020-01-03 17:46:13", "/main/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1709535", "2020-01-03 17:46:12", "/test/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1709534", "2020-01-03 17:46:10", "/old/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1709533", "2020-01-03 17:46:09", "/new/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1709532", "2020-01-03 17:46:07", "/wp/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1709531", "2020-01-03 17:46:06", "/wordpress/", "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:63.0) Gecko/20100101 Firefox/63.0", NULL, "21292");
INSERT INTO `wp_redirection_404` VALUES("1709530", "2020-01-03 17:45:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709529", "2020-01-03 17:45:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709528", "2020-01-03 17:45:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709527", "2020-01-03 17:44:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709526", "2020-01-03 17:44:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709525", "2020-01-03 17:43:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709524", "2020-01-03 17:43:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709523", "2020-01-03 17:42:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709522", "2020-01-03 17:42:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709521", "2020-01-03 17:41:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709520", "2020-01-03 17:41:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709519", "2020-01-03 17:40:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709518", "2020-01-03 17:40:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709517", "2020-01-03 17:40:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709516", "2020-01-03 17:39:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709515", "2020-01-03 17:38:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709514", "2020-01-03 17:38:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709513", "2020-01-03 17:37:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709512", "2020-01-03 17:37:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709511", "2020-01-03 17:37:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709510", "2020-01-03 17:36:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709509", "2020-01-03 17:36:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709508", "2020-01-03 17:35:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709507", "2020-01-03 17:35:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709506", "2020-01-03 17:34:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709505", "2020-01-03 17:34:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709504", "2020-01-03 17:34:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709503", "2020-01-03 17:33:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709502", "2020-01-03 17:33:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709501", "2020-01-03 17:32:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709500", "2020-01-03 17:32:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709499", "2020-01-03 17:31:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709498", "2020-01-03 17:31:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709497", "2020-01-03 17:31:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709496", "2020-01-03 17:31:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709495", "2020-01-03 17:30:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709494", "2020-01-03 17:29:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709492", "2020-01-03 17:28:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709493", "2020-01-03 17:29:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709491", "2020-01-03 17:28:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709490", "2020-01-03 17:28:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709489", "2020-01-03 17:27:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709488", "2020-01-03 17:27:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709487", "2020-01-03 17:26:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709485", "2020-01-03 17:26:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709486", "2020-01-03 17:26:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709484", "2020-01-03 17:25:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709483", "2020-01-03 17:25:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709481", "2020-01-03 17:24:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709482", "2020-01-03 17:24:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709480", "2020-01-03 17:24:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709479", "2020-01-03 17:23:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709478", "2020-01-03 17:23:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709477", "2020-01-03 17:23:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709476", "2020-01-03 17:22:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709475", "2020-01-03 17:22:28", "/about.php", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1709474", "2020-01-03 17:22:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709473", "2020-01-03 17:22:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709472", "2020-01-03 17:21:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709471", "2020-01-03 17:21:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709470", "2020-01-03 17:21:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709469", "2020-01-03 17:20:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709468", "2020-01-03 17:20:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709467", "2020-01-03 17:19:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709466", "2020-01-03 17:18:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709465", "2020-01-03 17:18:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709464", "2020-01-03 17:18:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709463", "2020-01-03 17:17:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709462", "2020-01-03 17:17:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709461", "2020-01-03 17:17:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709460", "2020-01-03 17:17:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709459", "2020-01-03 17:16:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709458", "2020-01-03 17:16:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709457", "2020-01-03 17:16:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709456", "2020-01-03 17:15:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709455", "2020-01-03 17:14:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709454", "2020-01-03 17:14:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709453", "2020-01-03 17:14:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709452", "2020-01-03 17:13:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709451", "2020-01-03 17:13:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709450", "2020-01-03 17:12:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709449", "2020-01-03 17:12:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709448", "2020-01-03 17:11:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709447", "2020-01-03 17:11:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709446", "2020-01-03 17:11:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709445", "2020-01-03 17:10:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709444", "2020-01-03 17:10:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709443", "2020-01-03 17:10:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709442", "2020-01-03 17:09:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709441", "2020-01-03 17:09:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709440", "2020-01-03 17:08:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709439", "2020-01-03 17:08:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709438", "2020-01-03 17:08:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709437", "2020-01-03 17:07:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709436", "2020-01-03 17:07:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709435", "2020-01-03 17:07:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709434", "2020-01-03 17:06:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709433", "2020-01-03 17:06:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709432", "2020-01-03 17:06:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709431", "2020-01-03 17:05:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709430", "2020-01-03 17:05:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709429", "2020-01-03 17:04:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709428", "2020-01-03 17:04:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709427", "2020-01-03 17:03:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709426", "2020-01-03 17:03:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709425", "2020-01-03 17:03:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709424", "2020-01-03 17:02:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709423", "2020-01-03 17:02:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709422", "2020-01-03 17:01:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709421", "2020-01-03 17:01:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709420", "2020-01-03 17:01:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709419", "2020-01-03 17:00:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709418", "2020-01-03 16:59:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709417", "2020-01-03 16:59:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709416", "2020-01-03 16:58:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709415", "2020-01-03 16:58:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709414", "2020-01-03 16:58:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709413", "2020-01-03 16:57:44", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709412", "2020-01-03 16:57:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709411", "2020-01-03 16:57:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709410", "2020-01-03 16:56:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709409", "2020-01-03 16:56:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709408", "2020-01-03 16:56:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709407", "2020-01-03 16:55:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1709406", "2020-01-03 16:55:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685809", "2019-12-27 22:25:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685808", "2019-12-27 22:24:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685807", "2019-12-27 22:23:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685806", "2019-12-27 22:23:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685805", "2019-12-27 22:22:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685804", "2019-12-27 22:22:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685803", "2019-12-27 22:21:59", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685802", "2019-12-27 22:21:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685801", "2019-12-27 22:21:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685800", "2019-12-27 22:20:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685799", "2019-12-27 22:19:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685798", "2019-12-27 22:19:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685797", "2019-12-27 22:19:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685796", "2019-12-27 22:18:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685795", "2019-12-27 22:17:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685794", "2019-12-27 22:17:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685793", "2019-12-27 22:16:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685792", "2019-12-27 22:16:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685791", "2019-12-27 22:16:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685790", "2019-12-27 22:14:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685789", "2019-12-27 22:14:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685788", "2019-12-27 22:14:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685787", "2019-12-27 22:13:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685786", "2019-12-27 22:13:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685785", "2019-12-27 22:12:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685784", "2019-12-27 22:11:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685783", "2019-12-27 22:11:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685782", "2019-12-27 22:11:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685781", "2019-12-27 22:10:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685780", "2019-12-27 22:10:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685779", "2019-12-27 22:09:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685778", "2019-12-27 22:09:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685777", "2019-12-27 22:08:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685776", "2019-12-27 22:08:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685775", "2019-12-27 22:07:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685774", "2019-12-27 22:07:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685773", "2019-12-27 22:06:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685772", "2019-12-27 22:06:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685771", "2019-12-27 22:05:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685770", "2019-12-27 22:05:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685769", "2019-12-27 22:04:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685768", "2019-12-27 22:04:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685767", "2019-12-27 22:03:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685766", "2019-12-27 22:03:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685765", "2019-12-27 22:02:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685764", "2019-12-27 22:02:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685763", "2019-12-27 22:02:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685762", "2019-12-27 22:01:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685761", "2019-12-27 22:01:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685760", "2019-12-27 22:01:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685759", "2019-12-27 22:00:08", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "173125");
INSERT INTO `wp_redirection_404` VALUES("1685758", "2019-12-27 22:00:08", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "173125");
INSERT INTO `wp_redirection_404` VALUES("1685757", "2019-12-27 22:00:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685756", "2019-12-27 21:59:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685755", "2019-12-27 21:59:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685754", "2019-12-27 21:58:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685753", "2019-12-27 21:58:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685752", "2019-12-27 21:57:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685751", "2019-12-27 21:57:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685750", "2019-12-27 21:56:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685749", "2019-12-27 21:56:23", "/contact.php", "Mozilla/5.0 (iPhone; CPU iPhone OS 13_2 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/13.0.3 Mobile/15E148 Safari/604.1", NULL, "99203");
INSERT INTO `wp_redirection_404` VALUES("1685748", "2019-12-27 21:56:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685747", "2019-12-27 21:55:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685746", "2019-12-27 21:54:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685745", "2019-12-27 21:54:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685744", "2019-12-27 21:53:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685743", "2019-12-27 21:53:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685742", "2019-12-27 21:52:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685741", "2019-12-27 21:52:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685740", "2019-12-27 21:51:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685739", "2019-12-27 21:51:30", "/?author=10", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "220173");
INSERT INTO `wp_redirection_404` VALUES("1685738", "2019-12-27 21:51:27", "/?author=9", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "220173");
INSERT INTO `wp_redirection_404` VALUES("1685737", "2019-12-27 21:51:25", "/?author=8", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "220173");
INSERT INTO `wp_redirection_404` VALUES("1685736", "2019-12-27 21:51:23", "/?author=7", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "220173");
INSERT INTO `wp_redirection_404` VALUES("1685735", "2019-12-27 21:51:21", "/?author=6", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "220173");
INSERT INTO `wp_redirection_404` VALUES("1685734", "2019-12-27 21:51:19", "/?author=5", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "220173");
INSERT INTO `wp_redirection_404` VALUES("1685733", "2019-12-27 21:51:17", "/?author=4", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "220173");
INSERT INTO `wp_redirection_404` VALUES("1685732", "2019-12-27 21:51:15", "/?author=3", "Mozilla/5.0 (Windows NT 6.1; rv:60.0) Gecko/20100101 Firefox/60.0", NULL, "220173");
INSERT INTO `wp_redirection_404` VALUES("1685731", "2019-12-27 21:51:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685730", "2019-12-27 21:51:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685729", "2019-12-27 21:50:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685728", "2019-12-27 21:49:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685727", "2019-12-27 21:49:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685726", "2019-12-27 21:48:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685725", "2019-12-27 21:48:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685724", "2019-12-27 21:48:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685723", "2019-12-27 21:47:42", "/2016/03/10/pizza-crust-alternatives/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1685722", "2019-12-27 21:47:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685721", "2019-12-27 21:46:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685720", "2019-12-27 21:45:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685719", "2019-12-27 21:45:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685718", "2019-12-27 21:44:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685717", "2019-12-27 21:43:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685716", "2019-12-27 21:43:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685715", "2019-12-27 21:42:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685714", "2019-12-27 21:42:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685713", "2019-12-27 21:40:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685712", "2019-12-27 21:39:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685711", "2019-12-27 21:39:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685710", "2019-12-27 21:38:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685709", "2019-12-27 21:38:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685708", "2019-12-27 21:37:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685707", "2019-12-27 21:37:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685706", "2019-12-27 21:36:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685705", "2019-12-27 21:36:07", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685704", "2019-12-27 21:35:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685703", "2019-12-27 21:35:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685702", "2019-12-27 21:35:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685701", "2019-12-27 21:34:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685700", "2019-12-27 21:33:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685699", "2019-12-27 21:33:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685698", "2019-12-27 21:32:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685697", "2019-12-27 21:32:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685696", "2019-12-27 21:32:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685695", "2019-12-27 21:30:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685694", "2019-12-27 21:30:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685693", "2019-12-27 21:30:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685692", "2019-12-27 21:29:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685691", "2019-12-27 21:29:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685690", "2019-12-27 21:29:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685689", "2019-12-27 21:28:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685688", "2019-12-27 21:28:13", "/about.php", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "20746");
INSERT INTO `wp_redirection_404` VALUES("1685687", "2019-12-27 21:28:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685686", "2019-12-27 21:28:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685685", "2019-12-27 21:27:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685684", "2019-12-27 21:26:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685683", "2019-12-27 21:26:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685682", "2019-12-27 21:26:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685681", "2019-12-27 21:25:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685680", "2019-12-27 21:24:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685679", "2019-12-27 21:24:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685678", "2019-12-27 21:24:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685677", "2019-12-27 21:23:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685676", "2019-12-27 21:23:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685675", "2019-12-27 21:22:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685674", "2019-12-27 21:21:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685673", "2019-12-27 21:21:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685672", "2019-12-27 21:21:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685671", "2019-12-27 21:21:09", "/2016/03/10/pizza-crust-alternatives/", "Mozilla/5.0 (compatible; bingbot/2.0; +http://www.bing.com/bingbot.htm)", NULL, "15755");
INSERT INTO `wp_redirection_404` VALUES("1685670", "2019-12-27 21:20:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685669", "2019-12-27 21:20:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685668", "2019-12-27 21:20:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685667", "2019-12-27 21:19:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685666", "2019-12-27 21:18:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685665", "2019-12-27 21:18:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685664", "2019-12-27 21:18:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685663", "2019-12-27 21:17:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685662", "2019-12-27 21:17:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685661", "2019-12-27 21:16:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685660", "2019-12-27 21:15:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685659", "2019-12-27 21:15:55", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685658", "2019-12-27 21:15:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685657", "2019-12-27 21:14:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685656", "2019-12-27 21:14:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685655", "2019-12-27 21:14:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685654", "2019-12-27 21:13:38", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685653", "2019-12-27 21:13:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685652", "2019-12-27 21:13:16", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685651", "2019-12-27 21:12:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685650", "2019-12-27 21:12:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685649", "2019-12-27 21:11:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685648", "2019-12-27 21:10:54", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685647", "2019-12-27 21:10:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685646", "2019-12-27 21:10:37", "/apple-touch-icon-120x120.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "174250");
INSERT INTO `wp_redirection_404` VALUES("1685645", "2019-12-27 21:10:36", "/apple-touch-icon-120x120-precomposed.png", "MobileSafari/604.1 CFNetwork/1121.2.2 Darwin/19.2.0", NULL, "174250");
INSERT INTO `wp_redirection_404` VALUES("1685644", "2019-12-27 21:10:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685643", "2019-12-27 21:09:24", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685642", "2019-12-27 21:08:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685641", "2019-12-27 21:08:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685640", "2019-12-27 21:08:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685639", "2019-12-27 21:07:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685638", "2019-12-27 21:07:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685637", "2019-12-27 21:06:53", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685636", "2019-12-27 21:06:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685635", "2019-12-27 21:06:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685634", "2019-12-27 21:05:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685633", "2019-12-27 21:05:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685632", "2019-12-27 21:05:00", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685631", "2019-12-27 21:04:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685630", "2019-12-27 21:03:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685629", "2019-12-27 21:03:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685628", "2019-12-27 21:03:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685627", "2019-12-27 21:03:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685626", "2019-12-27 21:02:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685625", "2019-12-27 21:02:28", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685624", "2019-12-27 21:02:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685623", "2019-12-27 21:01:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685622", "2019-12-27 21:01:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685621", "2019-12-27 21:00:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685620", "2019-12-27 21:00:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685619", "2019-12-27 21:00:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685618", "2019-12-27 20:59:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685617", "2019-12-27 20:59:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685616", "2019-12-27 20:59:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685615", "2019-12-27 20:58:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685614", "2019-12-27 20:58:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685613", "2019-12-27 20:58:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685612", "2019-12-27 20:57:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685611", "2019-12-27 20:57:21", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685610", "2019-12-27 20:57:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685609", "2019-12-27 20:56:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685608", "2019-12-27 20:56:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685607", "2019-12-27 20:55:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685606", "2019-12-27 20:55:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685605", "2019-12-27 20:55:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685604", "2019-12-27 20:54:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685603", "2019-12-27 20:53:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685602", "2019-12-27 20:53:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685601", "2019-12-27 20:53:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685600", "2019-12-27 20:52:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685599", "2019-12-27 20:52:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685598", "2019-12-27 20:52:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685597", "2019-12-27 20:52:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685596", "2019-12-27 20:51:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685595", "2019-12-27 20:51:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685594", "2019-12-27 20:51:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685593", "2019-12-27 20:50:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685592", "2019-12-27 20:49:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685591", "2019-12-27 20:49:48", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685590", "2019-12-27 20:49:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685589", "2019-12-27 20:49:08", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685588", "2019-12-27 20:48:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685587", "2019-12-27 20:48:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685586", "2019-12-27 20:48:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685585", "2019-12-27 20:47:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685584", "2019-12-27 20:47:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685583", "2019-12-27 20:46:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685582", "2019-12-27 20:46:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685581", "2019-12-27 20:46:11", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685580", "2019-12-27 20:45:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685579", "2019-12-27 20:44:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685578", "2019-12-27 20:44:43", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685577", "2019-12-27 20:44:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685576", "2019-12-27 20:43:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685575", "2019-12-27 20:43:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685574", "2019-12-27 20:43:22", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685573", "2019-12-27 20:42:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685572", "2019-12-27 20:42:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685571", "2019-12-27 20:41:42", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685570", "2019-12-27 20:41:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685569", "2019-12-27 20:40:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685568", "2019-12-27 20:40:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685567", "2019-12-27 20:40:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685566", "2019-12-27 20:39:34", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685565", "2019-12-27 20:38:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685564", "2019-12-27 20:38:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685563", "2019-12-27 20:38:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685562", "2019-12-27 20:37:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685561", "2019-12-27 20:37:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685560", "2019-12-27 20:36:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685559", "2019-12-27 20:36:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685558", "2019-12-27 20:35:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685557", "2019-12-27 20:35:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685556", "2019-12-27 20:35:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685555", "2019-12-27 20:34:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685554", "2019-12-27 20:34:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685553", "2019-12-27 20:33:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685552", "2019-12-27 20:32:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685551", "2019-12-27 20:32:15", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685550", "2019-12-27 20:32:05", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685549", "2019-12-27 20:31:04", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685548", "2019-12-27 20:30:50", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685547", "2019-12-27 20:30:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685546", "2019-12-27 20:29:49", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685545", "2019-12-27 20:29:36", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685544", "2019-12-27 20:29:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685543", "2019-12-27 20:28:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685542", "2019-12-27 20:28:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685541", "2019-12-27 20:28:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685540", "2019-12-27 20:27:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685539", "2019-12-27 20:27:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685538", "2019-12-27 20:27:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685537", "2019-12-27 20:26:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685536", "2019-12-27 20:26:14", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685535", "2019-12-27 20:26:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685534", "2019-12-27 20:25:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685533", "2019-12-27 20:25:06", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685532", "2019-12-27 20:24:56", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685531", "2019-12-27 20:24:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685530", "2019-12-27 20:24:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685528", "2019-12-27 20:23:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685529", "2019-12-27 20:23:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685527", "2019-12-27 20:22:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685526", "2019-12-27 20:22:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685525", "2019-12-27 20:21:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685524", "2019-12-27 20:21:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685523", "2019-12-27 20:21:31", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685522", "2019-12-27 20:20:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685521", "2019-12-27 20:20:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685520", "2019-12-27 20:20:19", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685519", "2019-12-27 20:18:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685518", "2019-12-27 20:18:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685517", "2019-12-27 20:18:51", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685516", "2019-12-27 20:18:01", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685515", "2019-12-27 20:17:45", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685514", "2019-12-27 20:17:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685513", "2019-12-27 20:17:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685512", "2019-12-27 20:16:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685511", "2019-12-27 20:16:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685510", "2019-12-27 20:16:03", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685509", "2019-12-27 20:15:29", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685508", "2019-12-27 20:15:26", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685507", "2019-12-27 20:14:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685506", "2019-12-27 20:14:37", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685505", "2019-12-27 20:14:35", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685504", "2019-12-27 20:13:47", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685503", "2019-12-27 20:13:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685501", "2019-12-27 20:12:58", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685502", "2019-12-27 20:13:18", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685499", "2019-12-27 20:12:10", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685500", "2019-12-27 20:12:30", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685497", "2019-12-27 20:11:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685498", "2019-12-27 20:11:41", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685496", "2019-12-27 20:10:40", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685495", "2019-12-27 20:10:27", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685494", "2019-12-27 20:10:25", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685493", "2019-12-27 20:09:12", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685491", "2019-12-27 20:08:32", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685492", "2019-12-27 20:08:33", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685489", "2019-12-27 20:07:17", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685490", "2019-12-27 20:07:52", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685487", "2019-12-27 20:06:39", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685488", "2019-12-27 20:07:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685485", "2019-12-27 20:06:13", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685486", "2019-12-27 20:06:23", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685484", "2019-12-27 20:05:46", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685482", "2019-12-27 20:05:02", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685483", "2019-12-27 20:05:20", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685480", "2019-12-27 20:03:57", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");
INSERT INTO `wp_redirection_404` VALUES("1685481", "2019-12-27 20:04:09", "/locatestore.php", "Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)", NULL, "66249");

/* INSERT TABLE DATA: wp_redirection_groups */
INSERT INTO `wp_redirection_groups` VALUES("1", "DuBois", "1", "1", "enabled", "0");
INSERT INTO `wp_redirection_groups` VALUES("2", "Clearfield", "1", "1", "enabled", "1");

/* INSERT TABLE DATA: wp_redirection_items */
INSERT INTO `wp_redirection_items` VALUES("1", "/dubois", "0", "0", "132", "2020-01-03 15:00:22", "1", "enabled", "url", "301", "/dubois-pa", "url", "");
INSERT INTO `wp_redirection_items` VALUES("2", "/clearfield", "0", "0", "145", "2020-01-03 14:07:02", "2", "enabled", "url", "301", "/clearfield-pa", "url", NULL);
INSERT INTO `wp_redirection_items` VALUES("3", "/amazwing-wingnesday", "0", "1", "4936", "2018-07-11 20:49:49", "2", "enabled", "url", "301", "/clearfield-pa/wing-day-wednesdays/", "url", "");

/* INSERT TABLE DATA: wp_redirection_logs */
INSERT INTO `wp_redirection_logs` VALUES("5212", "2020-01-03 19:58:10", "/dubois", "/dubois-pa", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", NULL, "1", "73.154.63.2", "0", "1");
INSERT INTO `wp_redirection_logs` VALUES("5213", "2020-01-03 20:07:02", "/clearfield", "/clearfield-pa", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", NULL, "2", "73.154.63.2", "0", "2");
INSERT INTO `wp_redirection_logs` VALUES("5214", "2020-01-03 21:00:22", "/dubois", "/dubois-pa", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36", NULL, "1", "73.154.63.2", "0", "1");

/* INSERT TABLE DATA: wp_sl_setting */
INSERT INTO `wp_sl_setting` VALUES("1", "sl_db_version", "3");
INSERT INTO `wp_sl_setting` VALUES("2", "sl_vars", "a:60:{s:17:\"sl_latest_version\";N;s:28:\"sl_latest_version_check_time\";s:19:\"2020-01-04 11:49:29\";s:15:\"current_updater\";s:6:\"backup\";s:19:\"sl_addons_page_name\";s:10:\"Go Premium\";s:12:\"thanks_count\";i:21;s:20:\"file_perm_check_time\";s:19:\"2019-05-28 03:17:04\";s:17:\"perms_need_update\";i:0;s:15:\"sl_pt_data_time\";s:19:\"2017-10-16 21:48:10\";s:10:\"sl_pt_data\";N;s:17:\"sl_pt_data_status\";s:8:\"inactive\";s:8:\"jfxn_ver\";s:5:\"3.100\";s:4:\"jfxn\";s:9031:\"var keyStr = \"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=\";function encode64(input) {var output = \"\";var chr1, chr2, chr3;var enc1, enc2, enc3, enc4;var i = 0;do {chr1 = input.charCodeAt(i++);chr2 = input.charCodeAt(i++);chr3 = input.charCodeAt(i++);enc1 = chr1 >> 2;enc2 = (chr1 & 3) << 4 | chr2 >> 4;enc3 = (chr2 & 15) << 2 | chr3 >> 6;enc4 = chr3 & 63;if (isNaN(chr2)) {enc3 = enc4 = 64;} else {if (isNaN(chr3)) {enc4 = 64;}}output = output + keyStr.charAt(enc1) + keyStr.charAt(enc2) + keyStr.charAt(enc3) + keyStr.charAt(enc4);} while (i < input.length);return output;}function decode64(input) {var output = \"\";var chr1, chr2, chr3;var enc1, enc2, enc3, enc4;var i = 0;input = input.replace(/[^A-Za-z0-9\\+\\/\\=]/g, \"\");do {enc1 = keyStr.indexOf(input.charAt(i++));enc2 = keyStr.indexOf(input.charAt(i++));enc3 = keyStr.indexOf(input.charAt(i++));enc4 = keyStr.indexOf(input.charAt(i++));chr1 = enc1 << 2 | enc2 >> 4;chr2 = (enc2 & 15) << 4 | enc3 >> 2;chr3 = (enc3 & 3) << 6 | enc4;output = output + String.fromCharCode(chr1);if (enc3 != 64) {output = output + String.fromCharCode(chr2);}if (enc4 != 64) {output = output + String.fromCharCode(chr3);}} while (i < input.length);return output;}function anim2(imgObj, url) {imgObj.src = url;}function anim(name, type) {if (type == 0) {document.images[name].src = \"/images/\" + name + \".gif\";}if (type == 1) {document.images[name].src = \"/images/\" + name + \"_over.gif\";}if (type == 2) {document.images[name].src = \"/images/\" + name + \"_down.gif\";}}function checkAll(cbox, formObj) {var i = 0;if (cbox.checked == true) {cbox.checked == false;} else {cbox.checked == true;}while (formObj.elements[i] != null) {formObj.elements[i].checked = cbox.checked;i++;}}function checkEvent(formObj) {var key = -1;var shift;key = event.keyCode;shift = event.shiftKey;if (!shift && key == 13) {formObj.submit();}}function show(block) {theBlock = document.getElementById(block);if (theBlock.style.display == \"none\") {theBlock.style.display = \"block\";} else {theBlock.style.display = \"none\";}}function confirmClick(message, href) {if (confirm(message)) {location.href = href;} else {return false;}}function showLoadImg(cmd, img_id) {loadImg = document.getElementById(img_id);if (cmd == \"show\") {loadImg.style.opacity = 1;loadImg.style.filter = \"alpha(opacity=100)\";} else {loadImg.style.opacity = 0;loadImg.style.filter = \"alpha(opacity=0)\";}}if (typeof jQuery != \"undefined\") {var tk_twitter_pop = function(text, event) {window.open(\"http://twitter.com/intent/tweet?text=\" + text, \"\", \"width=400px,height=550px,left=\" + (event.pageX - 300) + \"px,top=\" + (event.pageY - 300) + \"px\");};var validate_addons = function(formObj) {var e = formObj.elements;var val_arr = \"\";for (x in e) {if (typeof e[x].value != \"undefined\" && e[x].value != \"\") {val_arr += \"&\" + e[x].name + \"=\" + e[x].value;}}jQuery.get(sl_includes_base + \"/update-keys.php?\" + val_arr, function(data) {jQuery(\"#validation_status div\").html(data);jQuery(\"#validation_status_link\").click();showLoadImg(\"stop\", \"module-keys\");setTimeout(function() {location.reload();}, 1E4);});};var level3_links = function(sublink_obj, mainlink_id, show) {if (typeof tsn_link_arr[sublink_obj.id] != \"undefined\") {l3n = document.getElementById(\"level3_nav\");i_d_width = document.getElementById(\"inner_div\").offsetWidth;if (show == \"show\") {jQuery(\"#level3_nav\").hover(function() {l3n.style.position = \"absolute\";l3n.style.width = ((i_d_width < 200)? 200 : i_d_width) + \"px\";l3n.style.left = document.getElementById(mainlink_id).offsetLeft + \"px\";l3n.style.top = document.getElementById(mainlink_id).offsetTop + document.getElementById(mainlink_id).offsetHeight + document.getElementById(\"top_sub_nav\").offsetHeight - 0 + \"px\";l3n.style.visibility = \"visible\";jQuery(\"#level3_nav\").html(tsn_link_arr[sublink_obj.id]).fadeIn();}, function() {jQuery(\"#level3_nav\").html(tsn_link_arr[sublink_obj.id]).fadeOut();});l3n.style.position = \"absolute\";l3n.style.width = ((i_d_width < 200)? 200 : i_d_width) + \"px\";l3n.style.left = document.getElementById(mainlink_id).offsetLeft + \"px\";l3n.style.top = document.getElementById(mainlink_id).offsetTop + document.getElementById(mainlink_id).offsetHeight + document.getElementById(\"top_sub_nav\").offsetHeight - 0 + \"px\";l3n.style.visibility = \"visible\";jQuery(\"#level3_nav\").html(tsn_link_arr[sublink_obj.id]).fadeIn();} else {}}};var sl_top_nav = function(sl_admin_page, tab_obj, link_array, the_action) {if (link_array[sl_admin_page] != \"\") {tsnfC = document.getElementById(\"top_sub_nav\").firstChild;tsnfC.style.visibility = \"hidden\";if (the_action == \"show\") {jQuery(\"#top_sub_nav div\").hover(function() {tsnfC.style.position = \"absolute\";tsnfC.style.left = tab_obj.offsetLeft + \"px\";tsnfC.style.visibility = \"visible\";tsnfC.innerHTML = link_array[sl_admin_page];}, function() {});tsnfC.style.position = \"absolute\";tsnfC.style.left = tab_obj.offsetLeft + \"px\";tsnfC.style.visibility = \"visible\";tsnfC.innerHTML = link_array[sl_admin_page];}}};var sl_top_nav_init = function(link_arr) {if (typeof document.getElementById(\"top_sub_nav\") != \"undefined\") {tsnfC = document.getElementById(\"top_sub_nav\").firstChild;tsnfC.style.visibility = \"hidden\";tsnfC.style.position = \"absolute\";tsnfC.style.left = document.getElementById(\"current_top_link\").offsetLeft + \"px\";tsnfC.style.visibility = \"visible\";}$tnl = jQuery(\".top_nav_li\");jQuery.each($tnl, function($key, $val) {$val.onmouseover = function() {sl_top_nav($val.className.replace(\"top_nav_li \", \"\"), this, link_arr, \"show\");};});};jQuery(document).ready(function() {if (typeof tsn_link_arr != \"undefined\") {sl_top_nav_init(tsn_link_arr);}});jQuery(document).ready(function() {if (jQuery(\"#clickme\").length > 0) {jQuery(\"#clickme\").toggle(function() {jQuery(\"#slideout\").animate({width:\"+=880px\", height:\"+=630px\"}, {queue:false, duration:500});jQuery(\"#slidecontent\").animate({width:\"+=880px\"}, {queue:false, duration:500, complete:function() {jQuery(\"#slidecontent div\").fadeIn();}});}, function() {jQuery(\"#slidecontent div\").fadeOut(function() {jQuery(\"#slideout\").animate({width:\"-=880px\", height:\"-=630px\"}, {queue:false, duration:500});jQuery(\"#slidecontent\").animate({width:\"-=880px\"}, {queue:false, duration:500});});});}});jQuery(document).ready(function() {if (jQuery(\"#slidecontainer\").length > 0) {orig_html = document.getElementById(\"slidecontainer\").innerHTML;jQuery(document).on(\"click\", \"#readme_button\", function() {jQuery.get(sl_pages_base + \"/readme.php\", function(readme_data) {jQuery(\"#slidecontainer\").fadeOut(function() {jQuery(this).html(\"<div style=\'overflow:scroll; height:616px; padding:7px; background-color:white; border:solid silver 1px\'><a href=\'#\' class=\'sl_back_to_dashboard\'><b>&larr;&nbsp;Back to Dashboard</b></a><br>\" + readme_data + \"<br><a href=\'#\' class=\'sl_back_to_dashboard\'><b>&larr;&nbsp;Back to Dashboard</b></a></div>\").fadeIn();});});});jQuery(document).on(\"click\", \".sl_back_to_dashboard\", function() {jQuery(\"#slidecontainer\").fadeOut(function() {jQuery(this).html(orig_html).fadeIn();});});jQuery(document).on(\"click\", \"#server_caps_button\", function() {jQuery.prettyPhoto.open(\"#server_caps\");});jQuery(document).on(\"click\", \"#shortcode_params_button\", function() {jQuery.prettyPhoto.open(\"#shortcode_params\");});jQuery(document).on(\"click\", \"#env_vars_button\", function() {jQuery.prettyPhoto.open(\"#env_vars\");});}});if (typeof jQuery.prettyPhoto != \"undefined\") {jQuery(document).ready(function($) {$(\"a[href$=\'.jpg\'], a[href$=\'.jpeg\'], a[href$=\'.gif\'], a[href$=\'.png\'], a[rel^=\'sl_pop\'], input[rel^=\'sl_pop\'], img[rel^=\'sl_pop\']\").prettyPhoto({animationSpeed:\"fast\", padding:40, opacity:.5, showTitle:true, deeplinking:false, social_tools:false});});}jQuery(document).ready(function() {jQuery(document).on(\"click\", \".twitter_button\", function(e) {tk_twitter_pop(jQuery(this).attr(\"rel\"), e);});jQuery(document).on(\"click\", \".star_button\", function() {window.open(\"http://wordpress.org/support/view/plugin-reviews/store-locator?filter=5#postform\");});jQuery(\'#loc_table tr[id^=\"sl_tr-\"]\').mousedown(function(e) {$this = jQuery(this);$curr_id = $this.attr(\"id\");$loc_id = $curr_id.split(\"-\")[1];$curr_cbx = jQuery(\"#\" + $curr_id + \" input[type=\'checkbox\']\");if (e.target == jQuery(\"#edit_loc-\" + $loc_id)[0] || e.target == jQuery(\"#del_loc-\" + $loc_id)[0]) {} else {if (e.target != $curr_cbx[0]) {$this.toggleClass(\"location_selected\");$curr_cbx[0].checked = $this.hasClass(\"location_selected\") ? true : false;} else {if ($curr_cbx[0].checked == false) {$this.addClass(\"location_selected\");} else {$this.removeClass(\"location_selected\");}}}});jQuery(document).keyup(function(e) {$act_elem = jQuery(\":focus\");text_field_is_focused = $act_elem.attr(\"name\") == jQuery(\"#mgmt_bar input:text\").attr(\"name\") || $act_elem.attr(\"name\") == jQuery(\".mng_loc_forms_links input:text\").attr(\"name\");if (e.keyCode == 68 && jQuery(\'input[name=\"sl_id[]\"]:checked\').length > 0 && location.search.indexOf(\"edit=\") == -1 && !text_field_is_focused) {jQuery(\"#mgmt_bar input[type=\'button\']\")[0].click(); }});});};\";s:7:\"jsl_ver\";s:5:\"3.100\";s:3:\"jsl\";s:20049:\"var sl_map;var sl_geocoder;var sl_info_window;var sl_marker_array = [];var sl_marker_type;var sl_geo_flag = 0;if (!is_array(sl_categorization_array)) {var sl_categorization_array = []}var sl_marker_categorization_field = is_array(sl_categorization_array) && sl_categorization_array.length > 0 ? sl_categorization_array[0] : \"type\";var sl_ccTLD = sl_google_map_domain.match(/\\.([^\\.]+)$/);var sl_ccTLD_not_set = typeof sl_ccTLD[1] == \"undefined\" || sl_ccTLD[1] == \"null\" || sl_ccTLD[1] == \"\";if (sl_ccTLD_not_set || sl_ccTLD[1] == \"com\") {var sl_ccTLD = sl_ccTLD_not_set || sl_google_map_domain.indexOf(\"ditu\") == -1 ? \"us\" : \"cn\"} else {var sl_ccTLD = sl_ccTLD[1]}var sl_mvc_instances = [];if (typeof sl_map_params != \"undefined\") {sl_map_params = sl_map_params.split(\"=\").join(\"[]=\");}if (!function_exists(\"sl_details_filter\")) {var sl_details_filter = function(sl_details) {return sl_details;}}if (window.location.host.indexOf(\"www.\") != -1 && sl_base.indexOf(\"www.\") == -1) {sl_base = sl_base.split(\"http://\").join(\"http://www.\");} else {if (window.location.host.indexOf(\"www.\") == -1 && sl_base.indexOf(\"www.\") != -1) {sl_base = sl_base.split(\"http://www.\").join(\"http://\");}}function sl_load() {map_type_check();sl_geocoder = new google.maps.Geocoder;if (\"undefined\" != typeof document.getElementById(\"sl_map\") && null != document.getElementById(\"sl_map\")) {sl_map = new google.maps.Map(document.getElementById(\"sl_map\"));if (typeof sl_infowindow_type != \"undefined\") {sl_info_window = new sl_infowindow_type;} else {sl_info_window = new google.maps.InfoWindow;}if (function_exists(\"start_sl_load\")) {start_sl_load();}if (sl_geolocate == \"1\") {showLoadImg(\"show\", \"loadImg\");try {if (typeof navigator.geolocation === \"undefined\") {ng = google.gears.factory.create(\"beta.geolocation\");} else {ng = navigator.geolocation;}} catch (e) {}if (ng) {if (sl_geo_flag != 1) {do_load_options();}ng.getCurrentPosition(sl_geo_success, sl_geo_error);} else {do_load_options();}} else {do_load_options();}if (function_exists(\"end_sl_load\")) {google.maps.event.addDomListenerOnce(sl_map, \"tilesloaded\", end_sl_load);}}}google.maps.event.addDomListener(window, \"load\", sl_load);function sl_geo_success(point) {sl_geo_flag = 1;var the_coords = new google.maps.LatLng(point.coords.latitude, point.coords.longitude);sl_geocoder.geocode({\"location\":the_coords}, function(results) {aI = document.getElementById(\"addressInput\");aI.value = results[0].formatted_address;searchLocationsNear(the_coords, aI.value);});}function sl_geo_error(err) {sl_geo_flag = 1;do_load_options();}function do_load_options() {if (sl_load_locations_default == \"0\") {sl_geocoder.geocode({\"address\":sl_google_map_country}, function(results, status) {var myOptions = {center:results[0].geometry.location, zoom:sl_zoom_level, mapTypeId:sl_map_type_v3, overviewMapControl:sl_map_overview_control, disableDefaultUI:false, mapTypeControlOptions:{style:google.maps.MapTypeControlStyle.DROPDOWN_MENU}};if (typeof sl_map_options != \"undefined\" && typeof sl_map_options === \"object\") {myOptions = mergeArray(sl_map_options, myOptions);}sl_map.setOptions(myOptions);});}if (sl_load_locations_default == \"1\") {var bounds = new google.maps.LatLngBounds;var searchUrl = sl_base + \"/sl-xml.php\";if (typeof sl_map_params != \"undefined\") {searchUrl += \"?\" + sl_map_params;}retrieveData(searchUrl, function(data) {var xml = data.responseXML;var markerNodes = xml.documentElement.getElementsByTagName(\"marker\");var sidebar = document.getElementById(\"map_sidebar\");sidebar.innerHTML = \"\";for (var i = 0;i < markerNodes.length;i++) {var sl_details = buildDetails(markerNodes[i]);sl_marker_type = markerNodes[i].getAttribute(sl_marker_categorization_field);if (sl_marker_type == \"\" || sl_marker_type == null) {sl_marker_type = \"sl_map_end_icon\";}var icon = typeof sl_icons != \"undefined\" && typeof sl_icons[sl_marker_type] != \"undefined\" ? sl_icons[sl_marker_type] : {url:sl_map_end_icon, name:\"Default\"};var marker = createMarker(sl_details, sl_marker_type, icon);if (sl_load_results_with_locations_default == \"1\") {var sidebarEntry = createSidebarEntry(marker, sl_details);sidebarEntry.id = \"sidebar_div_\" + i;sidebar.appendChild(sidebarEntry);}bounds.extend(sl_details[\"point\"]);}if (markerNodes.length == 0) {sl_geocoder.geocode({\"address\":sl_google_map_country}, function(results, status) {var myOptions = {center:results[0].geometry.location, zoom:sl_zoom_level, mapTypeId:sl_map_type_v3, overviewMapControl:sl_map_overview_control, disableDefaultUI:false, mapTypeControlOptions:{style:google.maps.MapTypeControlStyle.DROPDOWN_MENU}};if (typeof sl_map_options != \"undefined\" && typeof sl_map_options === \"object\") {myOptions = mergeArray(sl_map_options, myOptions);}if (typeof sl_mvc_objects != \"undefined\" && typeof sl_mvc_objects[\"type\"] != \"undefined\" && typeof sl_mvc_objects[\"options\"] != \"undefined\") {for (mvc in sl_mvc_objects[\"type\"]) {sl_mvc_instances[mvc] = new sl_mvc_objects[\"type\"][mvc](sl_mvc_objects[\"options\"][mvc]);sl_mvc_instances[mvc].setMap(sl_map);}}sl_map.setOptions(myOptions);});} else {var myOptions = {center:bounds.getCenter(), mapTypeId:sl_map_type_v3, overviewMapControl:sl_map_overview_control, disableDefaultUI:false, mapTypeControlOptions:{style:google.maps.MapTypeControlStyle.DROPDOWN_MENU}};if (typeof sl_map_options != \"undefined\" && typeof sl_map_options === \"object\") {myOptions = mergeArray(sl_map_options, myOptions);}if (typeof sl_mvc_objects != \"undefined\" && typeof sl_mvc_objects[\"type\"] != \"undefined\" && typeof sl_mvc_objects[\"options\"] != \"undefined\") {for (mvc in sl_mvc_objects[\"type\"]) {sl_mvc_instances[mvc] = new sl_mvc_objects[\"type\"][mvc](sl_mvc_objects[\"options\"][mvc]);sl_mvc_instances[mvc].setMap(sl_map);}}sl_map.setOptions(myOptions);sl_map.fitBounds(bounds);}if (sl_map.getZoom() > 16) {sl_map.setZoom(9);}});}showLoadImg(\"stop\", \"loadImg\");}function searchLocations() {if (function_exists(\"start_searchLocations\")) {start_searchLocations();}var address = document.getElementById(\"addressInput\").value;sl_geocoder.geocode({\"address\":address, \"region\":sl_ccTLD}, function(results, status) {if (status != google.maps.GeocoderStatus.OK) {showLoadImg(\"stop\", \"loadImg\");if (sl_location_not_found_message.split(\" \").join(\"\") != \"\") {alert(sl_location_not_found_message);} else {alert(address + \" Not Found\");}} else {searchLocationsNear(results[0].geometry.location, address);}});if (function_exists(\"end_searchLocations\")) {end_searchLocations();}}function searchLocationsNear(center, homeAddress) {if (function_exists(\"start_searchLocationsNear\")) {start_searchLocationsNear();}var radius = document.getElementById(\"radiusSelect\").value;var searchUrl = sl_base + \"/sl-xml.php?mode=gen&lat=\" + center.lat() + \"&lng=\" + center.lng() + \"&radius=\" + radius;if (typeof sl_map_params != \"undefined\") {searchUrl += sl_map_params;}retrieveData(searchUrl, function(data) {var xml = data.responseXML;var markerNodes = xml.documentElement.getElementsByTagName(\"marker\");clearLocations();var bounds = new google.maps.LatLngBounds;var point = new google.maps.LatLng(center.lat(), center.lng());var markerOpts = {map:sl_map, position:point, icon:sl_map_home_icon};if (typeof sl_marker_options != \"undefined\" && typeof sl_marker_options === \"object\") {markerOpts = mergeArray(sl_marker_options, markerOpts);}var icon = {url:sl_map_home_icon};bounds.extend(point);var homeMarker = new google.maps.Marker(markerOpts);determineShadow(icon, homeMarker);var html = \'<div id=\"sl_info_bubble\"><span class=\"your_location_label\">Your Location:</span> <br/>\' + homeAddress + \"</div>\";bindInfoWindow(homeMarker, sl_map, sl_info_window, html);var sidebar = document.getElementById(\"map_sidebar\");sidebar.innerHTML = \"\";if (markerNodes.length == 0) {showLoadImg(\"stop\", \"loadImg\");sidebar.innerHTML = \'<div class=\"text_below_map\">\' + sl_no_results_found_message + \"</div>\";sl_marker_array.push(homeMarker);sl_map.setCenter(point);return;}for (var i = 0;i < markerNodes.length;i++) {var sl_details = buildDetails(markerNodes[i]);sl_marker_type = markerNodes[i].getAttribute(sl_marker_categorization_field);if (sl_marker_type == \"\" || sl_marker_type == null) {sl_marker_type = \"sl_map_end_icon\";}var icon = typeof sl_icons != \"undefined\" && typeof sl_icons[sl_marker_type] != \"undefined\" ? sl_icons[sl_marker_type] : {url:sl_map_end_icon, name:\"Default\"};var marker = createMarker(sl_details, sl_marker_type, icon);var sidebarEntry = createSidebarEntry(marker, sl_details);sidebarEntry.id = \"sidebar_div_\" + i;sidebar.appendChild(sidebarEntry);bounds.extend(sl_details[\"point\"]);}sl_marker_array.push(homeMarker);sl_map.setCenter(bounds.getCenter());sl_map.fitBounds(bounds);showLoadImg(\"stop\", \"loadImg\");});if (function_exists(\"end_searchLocationsNear\")) {end_searchLocationsNear();}}function createMarker(sl_details, type, icon) {var markerOpts = {map:sl_map, position:sl_details[\"point\"], icon:icon.url};if (typeof sl_marker_options != \"undefined\" && typeof sl_marker_options === \"object\") {markerOpts = mergeArray(sl_marker_options, markerOpts);}var marker = new google.maps.Marker(markerOpts);determineShadow(icon, marker);if (function_exists(\"start_createMarker\")) {start_createMarker();}html = buildMarkerHTML(sl_details);bindInfoWindow(marker, sl_map, sl_info_window, html);sl_marker_array.push(marker);if (function_exists(\"end_createMarker\")) {end_createMarker();}return marker;}var resultsDisplayed = 0;var bgcol = \"white\";function createSidebarEntry(marker, sl_details) {if (function_exists(\"start_createSidebarEntry\")) {start_createSidebarEntry();}if (document.getElementById(\"map_sidebar_td\") != null) {document.getElementById(\"map_sidebar_td\").style.display = \"block\";}var div = document.createElement(\"div\");var html = buildSidebarHTML(sl_details);div.innerHTML = html;div.className = \"results_entry\";div.setAttribute(\"name\", \"results_entry\");resultsDisplayed++;google.maps.event.addDomListener(div, \"click\", function() {google.maps.event.trigger(marker, \"click\");});if (function_exists(\"end_createSidebarEntry\")) {end_createSidebarEntry();}return div;}function retrieveData(url, callback) {var request = window.ActiveXObject ? new ActiveXObject(\"Microsoft.XMLHTTP\") : new XMLHttpRequest;request.onreadystatechange = function() {if (request.readyState == 4) {request.onreadystatechange = doNothing;callback(request, request.status);if (function_exists(\"end_retrieveData\")) {end_retrieveData();}}};request.open(\"GET\", url, true);request.send(null);}function doNothing() {}function bindInfoWindow(marker, map, infoWindow, html) {var infowindow_click_function = function() {infoWindow.close();infoWindow.setContent(html);if (typeof sl_infowindow_options != \"undefined\" && typeof sl_infowindow_options === \"object\") {infoWindow.setOptions(sl_infowindow_options);}infoWindow.open(map, marker);};google.maps.event.addListener(marker, \"click\", infowindow_click_function);google.maps.event.addListener(marker, \"visible_changed\", function() {infoWindow.close();});}function clearLocations() {sl_info_window.close();for (var i = 0;i < sl_marker_array.length;i++) {sl_marker_array[i].setMap(null);}sl_marker_array.length = 0;}function determineShadow(icon, marker) {if (icon.url.indexOf(\"flag\") != \"-1\") {marker.setShadow(sl_base + \"/icons/flag_shadow_v3.png\");} else {if (icon.url.indexOf(\"arrow\") != \"-1\") {marker.setShadow(sl_base + \"/icons/arrow_shadow_v3.png\");} else {if (icon.url.indexOf(\"bubble\") != \"-1\") {marker.setShadow(sl_base + \"/icons/bubble_shadow_v3.png\");} else {if (icon.url.indexOf(\"marker\") != \"-1\") {marker.setShadow(sl_base + \"/icons/marker_shadow_v3.png\");} else {if (icon.url.indexOf(\"sign\") != \"-1\") {marker.setShadow(sl_base + \"/icons/sign_shadow_v3.png\");} else {if (icon.url.indexOf(\"droplet\") != \"-1\") {marker.setShadow(sl_base + \"/icons/droplet_shadow_v3.png\");} else {marker.setShadow(sl_base + \"/icons/blank.png\");}}}}}}}function map_type_check() {if (sl_map_type == \"G_NORMAL_MAP\") {sl_map_type_v3 = google.maps.MapTypeId.ROADMAP;} else {if (sl_map_type == \"G_SATELLITE_MAP\") {sl_map_type_v3 = google.maps.MapTypeId.SATELLITE;} else {if (sl_map_type == \"G_HYBRID_MAP\") {sl_map_type_v3 = google.maps.MapTypeId.HYBRID;} else {if (sl_map_type == \"G_PHYSICAL_MAP\") {sl_map_type_v3 = google.maps.MapTypeId.TERRAIN;} else {if (sl_map_type != google.maps.MapTypeId.ROADMAP && sl_map_type != google.maps.MapTypeId.SATELLITE && sl_map_type != google.maps.MapTypeId.HYBRID && sl_map_type != google.maps.MapTypeId.TERRAIN) {sl_map_type_v3 = google.maps.MapTypeId.ROADMAP;} else {sl_map_type_v3 = sl_map_type;}}}}}}function function_exists(func) {return eval(\"typeof window.\" + func + \" === \'function\'\");}function is_array(arr) {return eval(typeof arr === \"object\" && arr instanceof Array);}function empty(value) {return eval(typeof value === \"undefined\");}function isset(value) {return eval(typeof value !== \"undefined\");}function mergeArray(array1, array2) {for (item in array1) {array2[item] = array1[item];}return array2;}function determineDirectionsLink(sl_details, html) {var homeAddress = sl_details[\"homeAddress\"];if (homeAddress.split(\" \").join(\"\") != \"\") {html = html.split(\"sl_details[\'sl_directions_link\']\").join(\"\'<a href=\\\"http://\" + sl_google_map_domain + \"/maps?saddr=\" + encodeURIComponent(homeAddress) + \"&daddr=\" + encodeURIComponent(sl_details[\"fullAddress\"]) + \'\" target=\"_blank\" class=\"storelocatorlink\">\' + sl_directions_label + \"</a>\'\");} else {html = html.split(\"sl_details[\'sl_directions_link\']\").join(\"\'<a href=\\\"http://\" + sl_google_map_domain + \"/maps?q=\" + encodeURIComponent(sl_details[\"fullAddress\"]) + \'\" target=\"_blank\" class=\"storelocatorlink\">\' + sl_map_link_label + \"</a>\'\");}return html;}function sl_nl2br(str, is_xhtml) {var breakTag = is_xhtml || typeof is_xhtml === \"undefined\" ? \"<br />\" : \"<br>\";return str.replace(/\\|\\|sl-nl\\|\\|/g, breakTag);}if (!function_exists(\"buildSidebarHTML\")) {var buildSidebarHTML = function(sl_details) {var street = sl_details[\"sl_address\"];if (street.split(\" \").join(\"\") != \"\") {street += \"<br/>\";} else {street = \"\";}if (sl_details[\"sl_address2\"].split(\" \").join(\"\") != \"\") {street += sl_details[\"sl_address2\"] + \"<br/>\";}var city = sl_details[\"sl_city\"];if (city.split(\" \").join(\"\") != \"\") {city += \", \";} else {city = \"\";}var state_zip = sl_details[\"sl_state\"] + \" \" + sl_details[\"sl_zip\"];if (sl_details[\"fullAddress\"].split(\",\").join(\"\").split(\" \").join(\"\") == \"\") {sl_details[\"fullAddress\"] = sl_details[\"sl_latitude\"] + \",\" + sl_details[\"sl_longitude\"];}var homeAddress = sl_details[\"homeAddress\"];var name = sl_details[\"sl_store\"];var distance = sl_details[\"sl_distance\"];var url = sl_details[\"sl_url\"];if (url.search(/^https?\\:\\/\\//i) != -1 && url.indexOf(\".\") != -1) {link = \"&nbsp;|&nbsp;<a href=\'\" + url + \"\' target=\'_blank\' class=\'storelocatorlink\'><nobr>\" + sl_website_label + \"</nobr></a>\";} else {url = \"\";link = \"\";}sl_details[\"sl_distance_unit\"] = sl_distance_unit;sl_details[\"sl_google_map_domain\"] = sl_google_map_domain;if (function_exists(\"sl_results_template\") && sl_results_template(sl_details)) {var html = decode64(sl_results_template(sl_details));html = determineDirectionsLink(sl_details, html);html = eval(\"\'\" + html + \"\'\");} else {var distance_display = distance.toFixed(1) != \"\" && distance.toFixed(1) != \"null\" && distance.toFixed(1) != \"NaN\" ? \"<br>\" + distance.toFixed(1) + \" \" + sl_distance_unit : \"\";var html = \'<center><table class=\"searchResultsTable\"><tr><td class=\"results_row_left_column\"><span class=\"location_name\">\' + name + \"</span>\" + distance_display + \'</td><td class=\"results_row_center_column\">\' + street + city + state_zip + \' </td><td class=\"results_row_right_column\"> <a href=\"http://\' + sl_google_map_domain + \"/maps?saddr=\" + encodeURIComponent(homeAddress) + \"&daddr=\" + encodeURIComponent(sl_details[\"fullAddress\"]) + \'\" target=\"_blank\" class=\"storelocatorlink\">\' + sl_directions_label +\"</a> \" + link + \"</td></tr></table></center>\";}return html;}}if (function_exists(\"buildMarkerHTML\") != true) {var buildMarkerHTML = function(sl_details) {var street = sl_details[\"sl_address\"];if (street.split(\" \").join(\"\") != \"\") {street += \"<br/>\";} else {street = \"\";}if (sl_details[\"sl_address2\"].split(\" \").join(\"\") != \"\") {street += sl_details[\"sl_address2\"] + \"<br/>\";}var city = sl_details[\"sl_city\"];if (city.split(\" \").join(\"\") != \"\") {city += \", \";} else {city = \"\";}var state_zip = sl_details[\"sl_state\"] + \" \" + sl_details[\"sl_zip\"];if (sl_details[\"fullAddress\"].split(\",\").join(\"\").split(\" \").join(\"\") == \"\") {sl_details[\"fullAddress\"] = sl_details[\"sl_latitude\"] + \",\" + sl_details[\"sl_longitude\"];}var homeAddress = sl_details[\"homeAddress\"];var name = sl_details[\"sl_store\"];var distance = sl_details[\"sl_distance\"];var url = sl_details[\"sl_url\"];var image = sl_details[\"sl_image\"];var description = sl_details[\"sl_description\"];var hours = sl_details[\"sl_hours\"];var phone = sl_details[\"sl_phone\"];var fax = sl_details[\"sl_fax\"];var email = sl_details[\"sl_email\"];var more_html = \"\";if (url.search(/^https?\\:\\/\\//i)!=-1 && url.indexOf(\".\")!=-1) {more_html+=\"| <a href=\'\"+url+\"\' target=\'_blank\' class=\'storelocatorlink\'><nobr>\" + sl_website_label +\"</nobr></a>\";} else {url=\"\";}if (image.indexOf(\".\")!=-1) {more_html+=\"<br/><img src=\'\"+image+\"\' class=\'sl_info_bubble_main_image\'>\";} else {image=\"\";}if (description!=\"\") {more_html+=\"<br/>\"+description+\"\";} else {description=\"\";}if (hours!=\"\") {more_html+=\"<br/><span class=\'location_detail_label\'>\"+sl_hours_label+\":</span> \"+hours;} else {hours=\"\";}if (phone!=\"\") {more_html+=\"<br/><span class=\'location_detail_label\'>\"+sl_phone_label+\":</span> \"+phone;} else {phone=\"\";}if (fax!=\"\") {more_html+=\"<br/><span class=\'location_detail_label\'>\"+sl_fax_label+\":</span> \"+fax;} else {fax=\"\";}if (email!=\"\") {more_html+=\"<br/><span class=\'location_detail_label\'>\"+sl_email_label+\":</span> \"+email;} else {email=\"\";}sl_details[\"sl_more_html\"] = more_html;sl_details[\"sl_distance_unit\"] = sl_distance_unit;sl_details[\"sl_google_map_domain\"] = sl_google_map_domain;if (function_exists(\"sl_bubble_template\") && sl_bubble_template(sl_details)) {sl_details[\"sl_distance\"] = distance.toFixed(1);var html = decode64(sl_bubble_template(sl_details));html = determineDirectionsLink(sl_details, html);html = eval(\"\'\" + html + \"\'\");} else {var html = \'<div id=\"sl_info_bubble\"><strong>\' + name + \"</strong><br>\" + street + city + state_zip + \'<br/> <a href=\"http://\' + sl_google_map_domain + \"/maps?saddr=\" + encodeURIComponent(homeAddress) + \"&daddr=\" + encodeURIComponent(sl_details[\"fullAddress\"]) + \'\" target=\"_blank\" class=\"storelocatorlink\">\' + sl_directions_label + \"</a> \" + more_html + \"<br/></div>\"}return html;}}if (function_exists(\"buildDetails\") != true) {var buildDetails = function(markerNode) {var details_array = {\"fullAddress\":markerNode.getAttribute(\"address\"), \"sl_address\":markerNode.getAttribute(\"street\"), \"sl_address2\":markerNode.getAttribute(\"street2\"), \"sl_city\":markerNode.getAttribute(\"city\"), \"sl_state\":markerNode.getAttribute(\"state\"), \"sl_zip\":markerNode.getAttribute(\"zip\"), \"sl_latitude\":markerNode.getAttribute(\"lat\"), \"sl_longitude\":markerNode.getAttribute(\"lng\"), \"sl_store\":markerNode.getAttribute(\"name\"), \"sl_description\":sl_nl2br(markerNode.getAttribute(\"description\")),\"sl_url\":markerNode.getAttribute(\"url\"), \"sl_hours\":sl_nl2br(markerNode.getAttribute(\"hours\")), \"sl_phone\":markerNode.getAttribute(\"phone\"), \"sl_fax\":markerNode.getAttribute(\"fax\"), \"sl_email\":markerNode.getAttribute(\"email\"), \"sl_image\":markerNode.getAttribute(\"image\"), \"sl_tags\":markerNode.getAttribute(\"tags\"), \"sl_distance\":parseFloat(markerNode.getAttribute(\"distance\")), \"homeAddress\":document.getElementById(\"addressInput\").value, \"point\":new google.maps.LatLng(parseFloat(markerNode.getAttribute(\"lat\")),parseFloat(markerNode.getAttribute(\"lng\")))};if (typeof sl_xml_properties_array != \"undefined\") {if (is_array(sl_xml_properties_array)) {for (key in sl_xml_properties_array) {details_array[sl_xml_properties_array[key]] = sl_nl2br(markerNode.getAttribute(sl_xml_properties_array[key]));}}}details_array = sl_details_filter(details_array);return details_array;}};\";s:8:\"map_type\";s:29:\"google.maps.MapTypeId.ROADMAP\";s:21:\"num_initial_displayed\";s:3:\"500\";s:12:\"scripts_load\";s:9:\"selective\";s:17:\"scripts_load_home\";s:1:\"1\";s:25:\"scripts_load_archives_404\";s:1:\"1\";s:15:\"use_city_search\";s:1:\"1\";s:20:\"map_overview_control\";i:0;s:9:\"geolocate\";s:1:\"1\";s:22:\"load_locations_default\";s:1:\"1\";s:35:\"load_results_with_locations_default\";s:1:\"1\";s:12:\"search_label\";s:7:\"Address\";s:12:\"radius_label\";s:6:\"Radius\";s:13:\"website_label\";s:7:\"Website\";s:16:\"directions_label\";s:10:\"Directions\";s:14:\"map_link_label\";s:3:\"Map\";s:19:\"instruction_message\";s:37:\"Enter Your Zip Code or Address Above.\";s:19:\"city_dropdown_label\";s:18:\"--Search By City--\";s:26:\"location_not_found_message\";s:0:\"\";s:24:\"no_results_found_message\";s:16:\"No Results Found\";s:11:\"hours_label\";s:5:\"Hours\";s:11:\"phone_label\";s:5:\"Phone\";s:9:\"fax_label\";s:3:\"Fax\";s:11:\"email_label\";s:5:\"Email\";s:10:\"zoom_level\";s:1:\"4\";s:6:\"height\";s:3:\"350\";s:5:\"width\";s:3:\"100\";s:12:\"height_units\";s:2:\"px\";s:11:\"width_units\";s:1:\"%\";s:13:\"distance_unit\";s:5:\"miles\";s:5:\"radii\";s:26:\"1,5,10,25,(50),100,200,500\";s:5:\"theme\";s:0:\"\";s:14:\"remove_credits\";i:0;s:4:\"icon\";s:78:\"http://buckspizza.com/wp-content/plugins/store-locator/icons/droplet_green.png\";s:5:\"icon2\";s:76:\"http://buckspizza.com/wp-content/plugins/store-locator/icons/droplet_red.png\";s:6:\"sensor\";s:4:\"true\";s:7:\"api_key\";s:39:\"AIzaSyBk9wOgfZw64-KO60OPXYk_XdcY_Zmj6Q4\";s:18:\"google_map_country\";s:13:\"United States\";s:17:\"google_map_domain\";s:15:\"maps.google.com\";s:10:\"map_region\";s:0:\"\";s:12:\"map_language\";s:2:\"en\";s:22:\"map_character_encoding\";s:0:\"\";s:5:\"start\";s:19:\"2017-05-04 19:12:24\";s:4:\"name\";s:13:\"LotsOfLocales\";s:24:\"admin_locations_per_page\";s:3:\"100\";s:19:\"location_table_view\";s:6:\"Normal\";s:30:\"data_response_codes_check_time\";s:19:\"2019-05-28 03:17:05\";}");

/* INSERT TABLE DATA: wp_store_locator */
INSERT INTO `wp_store_locator` VALUES("1", "DuBois&#44; Pennsylvania", "53 Industrial Drive", "", "DuBois", "PA", "15801", "41.1299436", "-78.7368421", "", "", "", "", "814-371-4500", "", "", "", NULL, "", "");
INSERT INTO `wp_store_locator` VALUES("4", "Peachtree City&#44; Georgia", "1200 Highway 74 South", "", "Peachtree", "GA", "30269", "33.3427629", "-84.5361373", "", "", "", "", "770-631-8989", "", "", "", NULL, "", "");
INSERT INTO `wp_store_locator` VALUES("5", "Buffalo&#44; Minnesota", "405 MN-55", "", "Buffalo", "MN", "55313", "45.1797609", "-93.8717759", "", "", "", "", "763-682-0000", "", "", "", NULL, "", "");
INSERT INTO `wp_store_locator` VALUES("6", "Gloversville&#44; New York", "23 South Main Street", "", "Gloversville", "NY", "12078", "43.0499054", "-74.3458087", "", "", "", "", "518-773-8200", "", "", "", NULL, "", "");
INSERT INTO `wp_store_locator` VALUES("7", "Morganton&#44; North Carolina", "305 East Union Street", "", "Morganton", "NC", "28655", "35.7480974", "-81.6863355", "", "", "", "", "828-433-9006", "", "", "", NULL, "", "");
INSERT INTO `wp_store_locator` VALUES("8", "Tryon&#44; North Carolina ", "30 North Trade Street", "", "Tryon", "NC", "28782", "35.2090763", "-82.2385179", "", "", "", "", "828-859-0400", "", "", "", NULL, "", "");
INSERT INTO `wp_store_locator` VALUES("9", "Clearfield&#44; Pennsylvania", "3055 Park Place", "", "Clearfield", "PA", "16830", "41.027535", "-78.437134", "", "", "", "", "814-765-7767", "", "", "", NULL, "", "");
INSERT INTO `wp_store_locator` VALUES("10", "Charleston&#44; South Carolina", "1660 Sam Rittenberg Blvd.", "", "Charleston", "SC", "29407", "32.8060639", "-80.012618", "", "", "", "", "843-766-3233", "", "", "", NULL, "", "");
INSERT INTO `wp_store_locator` VALUES("11", "Lexington&#44; South Carolina", "1856 B South Lake Drive", "", "Lexington ", "SC", "29073", "33.9088875", "-81.2253279", "", "", "", "", "803-957-6100", "", "", "", NULL, "", "");
INSERT INTO `wp_store_locator` VALUES("12", "Walterboro&#44; South Carolina", "113 Robertson Blvd", "", "Walterboro", "SC", "29488", "32.9210408", "-80.6771022", "", "", "", "", "843-549-1995", "", "", "", NULL, "", "");
INSERT INTO `wp_store_locator` VALUES("13", "Clear Lake&#44; Texas", "907 El Dorado Blvd.", "", "Clear Lake", "TX", "77062", "29.5666032", "-95.1347551", "", "", "", "", "281-474-2825", "", "", "", NULL, "", "");
INSERT INTO `wp_store_locator` VALUES("14", "Hidalgo&#44; Texas", "802 North Jackson Road", "", "Hidalgo", "TX", "78557", "26.2076627", "-98.2021135", "", "", "", "", "956-843-9899", "", "", "", NULL, "", "");
INSERT INTO `wp_store_locator` VALUES("16", "Mission&#44; Texas", "2401 South Shary Road", "Suite A", "Mission", "TX", "78572", "26.1804084", "-98.2910683", "", "", "", "", "956-581-8611", "", "", "", NULL, "", "");
INSERT INTO `wp_store_locator` VALUES("17", "Mont Belvieu&#44; Texas", "11540 Eagle Drive", "", "Mont Belview", "TX", "77523", "29.8568543", "-94.8636802", "", "", "", "", "281-576-2825", "", "", "", NULL, "", "");
INSERT INTO `wp_store_locator` VALUES("19", "Antigo&#44; Wisconsin ", "614 Century Ave.", "", "Antigo", "WI", "54409", "45.162366", "-89.1506763", "", "", "", "", "715-623-2222", "", "", "", NULL, "", "");

/* INSERT TABLE DATA: wp_term_relationships */
INSERT INTO `wp_term_relationships` VALUES("19", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("20", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("21", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("22", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("334", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("348", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("452", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("455", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("455", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("457", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("459", "8", "0");
INSERT INTO `wp_term_relationships` VALUES("461", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("461", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("463", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("463", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("503", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("503", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("506", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("506", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("511", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("511", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("547", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("547", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("549", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("549", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("554", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("591", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("591", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("594", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("603", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("620", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("634", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("634", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("634", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("634", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("634", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("634", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("634", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("634", "14", "0");
INSERT INTO `wp_term_relationships` VALUES("643", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("643", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("643", "15", "0");
INSERT INTO `wp_term_relationships` VALUES("643", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("643", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("643", "18", "0");
INSERT INTO `wp_term_relationships` VALUES("643", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("643", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("654", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("669", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("672", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("672", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("676", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("691", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("691", "21", "0");
INSERT INTO `wp_term_relationships` VALUES("700", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("700", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("724", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("724", "21", "0");
INSERT INTO `wp_term_relationships` VALUES("728", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("742", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("742", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("751", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("764", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("764", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("769", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("769", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("786", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("809", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("809", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("816", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("854", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("854", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("1024", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("1024", "22", "0");
INSERT INTO `wp_term_relationships` VALUES("1024", "23", "0");
INSERT INTO `wp_term_relationships` VALUES("1024", "24", "0");
INSERT INTO `wp_term_relationships` VALUES("1024", "25", "0");
INSERT INTO `wp_term_relationships` VALUES("1024", "26", "0");
INSERT INTO `wp_term_relationships` VALUES("1024", "27", "0");
INSERT INTO `wp_term_relationships` VALUES("1024", "28", "0");
INSERT INTO `wp_term_relationships` VALUES("1042", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("1042", "22", "0");
INSERT INTO `wp_term_relationships` VALUES("1042", "23", "0");
INSERT INTO `wp_term_relationships` VALUES("1042", "24", "0");
INSERT INTO `wp_term_relationships` VALUES("1042", "25", "0");
INSERT INTO `wp_term_relationships` VALUES("1042", "26", "0");
INSERT INTO `wp_term_relationships` VALUES("1042", "27", "0");
INSERT INTO `wp_term_relationships` VALUES("1042", "28", "0");
INSERT INTO `wp_term_relationships` VALUES("1061", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("1212", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("1212", "22", "0");
INSERT INTO `wp_term_relationships` VALUES("1212", "23", "0");
INSERT INTO `wp_term_relationships` VALUES("1212", "27", "0");
INSERT INTO `wp_term_relationships` VALUES("1212", "29", "0");
INSERT INTO `wp_term_relationships` VALUES("1212", "30", "0");
INSERT INTO `wp_term_relationships` VALUES("1224", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("1252", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("1252", "31", "0");

/* INSERT TABLE DATA: wp_term_taxonomy */
INSERT INTO `wp_term_taxonomy` VALUES("1", "1", "category", "", "0", "5");
INSERT INTO `wp_term_taxonomy` VALUES("2", "2", "nav_menu", "", "0", "7");
INSERT INTO `wp_term_taxonomy` VALUES("3", "3", "category", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("5", "5", "category", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("6", "6", "category", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("7", "7", "category", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("8", "8", "category", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("9", "9", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("10", "10", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("11", "11", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("12", "12", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("13", "13", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("14", "14", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("15", "15", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("16", "16", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("17", "17", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("18", "18", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("19", "19", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("20", "20", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("21", "21", "category", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("22", "22", "post_tag", "", "0", "3");
INSERT INTO `wp_term_taxonomy` VALUES("23", "23", "post_tag", "", "0", "3");
INSERT INTO `wp_term_taxonomy` VALUES("24", "24", "post_tag", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("25", "25", "post_tag", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("26", "26", "post_tag", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("27", "27", "post_tag", "", "0", "3");
INSERT INTO `wp_term_taxonomy` VALUES("28", "28", "post_tag", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("29", "29", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("30", "30", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("31", "31", "post_tag", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("32", "32", "qmn_log_type", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("33", "33", "qmn_log_type", "", "0", "0");

/* INSERT TABLE DATA: wp_terms */
INSERT INTO `wp_terms` VALUES("1", "Uncategorized", "uncategorized", "0");
INSERT INTO `wp_terms` VALUES("2", "Main Menu", "main-menu", "0");
INSERT INTO `wp_terms` VALUES("3", "Pizza Recipes", "pizza-recipes", "0");
INSERT INTO `wp_terms` VALUES("5", "Pizza Parties", "pizza-parties", "0");
INSERT INTO `wp_terms` VALUES("6", "Pizza News", "pizza-news", "0");
INSERT INTO `wp_terms` VALUES("7", "Pizza Places", "pizza-places", "0");
INSERT INTO `wp_terms` VALUES("8", "Pizza Tech", "pizza-tech", "0");
INSERT INTO `wp_terms` VALUES("9", "bacon", "bacon", "0");
INSERT INTO `wp_terms` VALUES("10", "portobello", "portobello", "0");
INSERT INTO `wp_terms` VALUES("11", "carrot", "carrot", "0");
INSERT INTO `wp_terms` VALUES("12", "cauliflower", "cauliflower", "0");
INSERT INTO `wp_terms` VALUES("13", "almond flour", "almond-flour", "0");
INSERT INTO `wp_terms` VALUES("14", "crust", "crust", "0");
INSERT INTO `wp_terms` VALUES("15", "meat", "meat", "0");
INSERT INTO `wp_terms` VALUES("16", "olives", "olives", "0");
INSERT INTO `wp_terms` VALUES("17", "cheese", "cheese", "0");
INSERT INTO `wp_terms` VALUES("18", "yellow squash", "yellow-squash", "0");
INSERT INTO `wp_terms` VALUES("19", "spinach", "spinach", "0");
INSERT INTO `wp_terms` VALUES("20", "pickles", "pickles", "0");
INSERT INTO `wp_terms` VALUES("21", "Pizza Ingredients", "pizza-ingredients", "0");
INSERT INTO `wp_terms` VALUES("22", "pizza", "pizza", "0");
INSERT INTO `wp_terms` VALUES("23", "food", "food", "0");
INSERT INTO `wp_terms` VALUES("24", "where to eat", "where-to-eat", "0");
INSERT INTO `wp_terms` VALUES("25", "pizza near me", "pizza-near-me", "0");
INSERT INTO `wp_terms` VALUES("26", "restaurant", "restaurant", "0");
INSERT INTO `wp_terms` VALUES("27", "Italian food", "italian-food", "0");
INSERT INTO `wp_terms` VALUES("28", "Italian restaurant", "italian-restaurant", "0");
INSERT INTO `wp_terms` VALUES("29", "tomatoes", "tomatoes", "0");
INSERT INTO `wp_terms` VALUES("30", "sauce", "sauce", "0");
INSERT INTO `wp_terms` VALUES("31", "dough", "dough", "0");
INSERT INTO `wp_terms` VALUES("32", "error", "error", "0");
INSERT INTO `wp_terms` VALUES("33", "event", "event", "0");

/* INSERT TABLE DATA: wp_totalsoft_new_plugin */
INSERT INTO `wp_totalsoft_new_plugin` VALUES("1", "Pricing Table", "Poll", "0");
INSERT INTO `wp_totalsoft_new_plugin` VALUES("2", "Poll Question", "Poll", "0");

/* INSERT TABLE DATA: wp_totalsoft_poll_answers */
INSERT INTO `wp_totalsoft_poll_answers` VALUES("1", "1", "Yes", "", "", "#dd3333", "", "", "", "", "");
INSERT INTO `wp_totalsoft_poll_answers` VALUES("2", "1", "No", "", "", "#dd9933", "", "", "", "", "");
INSERT INTO `wp_totalsoft_poll_answers` VALUES("3", "1", "Not at All", "", "", "#81d742", "", "", "", "", "");
INSERT INTO `wp_totalsoft_poll_answers` VALUES("4", "1", "Of Course", "", "", "#1e73be", "", "", "", "", "");
INSERT INTO `wp_totalsoft_poll_answers` VALUES("5", "1", "The Best Plugin Ever", "", "", "#8224e3", "", "", "", "", "");

/* INSERT TABLE DATA: wp_totalsoft_poll_dbt */
INSERT INTO `wp_totalsoft_poll_dbt` VALUES("1", "Total Soft Poll 1", "Standard Poll");
INSERT INTO `wp_totalsoft_poll_dbt` VALUES("2", "Total Soft Poll 2", "Standard Poll");
INSERT INTO `wp_totalsoft_poll_dbt` VALUES("3", "Total Soft Poll 3", "Standard Poll");
INSERT INTO `wp_totalsoft_poll_dbt` VALUES("4", "Total Soft Poll 4", "Standard Poll");
INSERT INTO `wp_totalsoft_poll_dbt` VALUES("5", "Total Soft Image Poll 1", "Image Poll");
INSERT INTO `wp_totalsoft_poll_dbt` VALUES("6", "Total Soft Image Poll 2", "Image Poll");
INSERT INTO `wp_totalsoft_poll_dbt` VALUES("7", "Total Soft Video Poll 1", "Video Poll");
INSERT INTO `wp_totalsoft_poll_dbt` VALUES("8", "Total Soft Video Poll 2", "Video Poll");
INSERT INTO `wp_totalsoft_poll_dbt` VALUES("9", "Standard Without Button 1", "Standard Without Button");
INSERT INTO `wp_totalsoft_poll_dbt` VALUES("10", "Standard Without Button 2", "Standard Without Button");
INSERT INTO `wp_totalsoft_poll_dbt` VALUES("11", "Image Without Button 1", "Image Without Button");
INSERT INTO `wp_totalsoft_poll_dbt` VALUES("12", "Image Without Button 2", "Image Without Button");
INSERT INTO `wp_totalsoft_poll_dbt` VALUES("13", "Video Without Button 1", "Video Without Button");
INSERT INTO `wp_totalsoft_poll_dbt` VALUES("14", "Video Without Button 2", "Video Without Button");
INSERT INTO `wp_totalsoft_poll_dbt` VALUES("15", "Image in Question 1", "Image in Question");
INSERT INTO `wp_totalsoft_poll_dbt` VALUES("16", "Image in Question 2", "Image in Question");
INSERT INTO `wp_totalsoft_poll_dbt` VALUES("17", "Video in Question 1", "Video in Question");
INSERT INTO `wp_totalsoft_poll_dbt` VALUES("18", "Video in Question 2", "Video in Question");

/* INSERT TABLE DATA: wp_totalsoft_poll_id */
INSERT INTO `wp_totalsoft_poll_id` VALUES("1", "1");

/* INSERT TABLE DATA: wp_totalsoft_poll_iminqu */
INSERT INTO `wp_totalsoft_poll_iminqu` VALUES("1", "15", "Image in Question 1", "Image in Question", "100", "center", "4", "#ffffff", "2", "", "true", "Arial", "#828282", "#e8e8e8", "#000000", "24", "Vijaya", "center", "200", "2", "50", "90", "1", "#828282", "solid", "Background", "18", "#e8e8e8", "#6a3b6d", "#ffffff", "0", "#1e73be", "2", "medium 1", "f10c", "#ffffff", "f192", "#d1d1d1", "", "#eaeaea", "90", "1", "#828282", "solid", "false", "right", "#309979", "19", "f1fe", "before", "true", "right", "3", "#ffffff", "2", "#e8e8e8", "#ffffff", "#000000", "21", "Vijaya");
INSERT INTO `wp_totalsoft_poll_iminqu` VALUES("2", "16", "Image in Question 2", "Image in Question", "100", "center", "2", "#ffffff", "3", "", "true", "Arial", "#b7b7b7", "#dd8500", "#ffffff", "21", "Aldhabi", "center", "200", "8", "50", "0", "0", "rgba(0,0,0,0)", "none", "Color", "18", "#ffffff", "#ffffff", "#ffffff", "0", "#ffffff", "0", "medium 1", "f096", "#000000", "f046", "#000000", "", "", "0", "0", "rgba(0,0,0,0)", "none", "false", "left", "rgba(0,0,0,0)", "28", "", "after", "true", "right", "0", "#dd8500", "0", "#dd8500", "#dd8500", "#ffffff", "19", "Aldhabi");
INSERT INTO `wp_totalsoft_poll_iminqu` VALUES("3", "17", "Video in Question 1", "Video in Question", "100", "center", "3", "#bc0032", "10", "", "true", "Arial", "#ffffff", "#ffffff", "#bc0032", "18", "Abadi MT Condensed Light", "center", "260", "1", "70", "70", "2", "#bc0032", "solid", "Nothing", "16", "#ffffff", "#bc0032", "#ffffff", "0", "#ffffff", "10", "small", "f10c", "#ffffff", "f00c", "#ffffff", "#bc1c47", "#ffffff", "50", "3", "rgba(0,0,0,0)", "none", "false", "left", "rgba(0,0,0,0)", "28", "", "after", "true", "right", "2", "#bc0032", "11", "#bc0032", "#bc103e", "#ffffff", "28", "Abadi MT Condensed Light");
INSERT INTO `wp_totalsoft_poll_iminqu` VALUES("4", "18", "Video in Question 2", "Video in Question", "100", "center", "0", "rgba(0,0,0,0)", "0", "", "true", "Arial", "#068ea3", "#068ea3", "#ffffff", "17", "Andalus", "center", "260", "1", "60", "100", "1", "#ffffff", "dotted", "Nothing", "14", "#068ea3", "#068ea3", "#ffffff", "0", "#ffffff", "0", "small", "f0c8", "#ffffff", "f00c", "#ffffff", "", "", "100", "1", "#ffffff", "dotted", "false", "left", "rgba(0,0,0,0)", "28", "", "after", "true", "right", "1", "#ffffff", "5", "#068ea3", "#068ea3", "#ffffff", "21", "Andalus");

/* INSERT TABLE DATA: wp_totalsoft_poll_iminqu_1 */
INSERT INTO `wp_totalsoft_poll_iminqu_1` VALUES("1", "15", "Image in Question 1", "Image in Question", "f124", "before", "17", "#ffffff", "#000000", "true", "left", "3", "#ffffff", "2", "#ffffff", "#000000", "21", "Vijaya", "f05a", "before", "17", "#ffffff", "#000000", "Background", "#e8e8e8", "#ffffff", "#000000", "bothlab", "7", "#e8e8e8", "full", "#ffffff", "#e8e8e8", "#000000", "f177", "before", "#e8e8e8", "#000000", "Total", "Back", "Result", "Vote");
INSERT INTO `wp_totalsoft_poll_iminqu_1` VALUES("2", "16", "Image in Question 2", "Image in Question", "f1d8", "after", "17", "#dd8500", "#ffffff", "true", "right", "0", "#dd8500", "0", "#dd8500", "#ffffff", "19", "Aldhabi", "f201", "after", "17", "#dd8500", "#ffffff", "Color", "#ffffff", "#dd8500", "#ffffff", "bothlab", "3", "#dd8500", "right", "#dd8500", "#dd8500", "#ffffff", "f00d", "after", "#dd8500", "#ffffff", "Total", "Back", "Results", "Vote");
INSERT INTO `wp_totalsoft_poll_iminqu_1` VALUES("3", "17", "Video in Question 1", "Video in Question", "f005", "after", "20", "#bc0032", "#ffffff", "false", "left", "2", "#dd3333", "11", "#ffffff", "#ffffff", "28", "Abadi MT Condensed Light", "", "after", "20", "#dd3333", "#ffffff", "Nothing", "#bc0032", "#bc1844", "#ffffff", "bothlab", "5", "#bc0032", "right", "#bc0032", "#bc0032", "#ffffff", "f00d", "after", "#bc0032", "#ffffff", "Total", "Back", "Results", "Vote");
INSERT INTO `wp_totalsoft_poll_iminqu_1` VALUES("4", "18", "Video in Question 2", "Video in Question", "f0e5", "after", "16", "#068ea3", "#ffffff", "false", "right", "1", "#565656", "5", "#adadad", "#a3a3a3", "21", "Andalus", "f1fe", "before", "16", "#000000", "#adadad", "Nothing", "#068ea3", "#068ea3", "#ffffff", "bothlab", "3", "#ffffff", "right", "#068ea3", "#068ea3", "#ffffff", "f015", "after", "#068ea3", "#ffffff", "Total", "Back", "Results", "Vote");

/* INSERT TABLE DATA: wp_totalsoft_poll_impoll */
INSERT INTO `wp_totalsoft_poll_impoll` VALUES("1", "5", "Total Soft Image Poll 1", "Image Poll", "100", "center", "0", "#000000", "8", "", "true", "Arial", "#7c7c7c", "#ffffff", "#000000", "20", "Abadi MT Condensed Light", "center", "80", "1", "#939393", "solid", "2", "160", "Nothing", "14", "#ffffff", "#cccccc", "#000000", "Position 3", "false", "medium 1", "f10c", "#000000", "f192", "#1e73be", "#ffffff", "#000000", "true", "#ffffff", "66", "2", "#ffffff", "solid", "rgba(30,115,190,0.5)", "#ffffff", "bothlab", "1", "#ffffff", "right", "3", "#000000", "", "", "", "");
INSERT INTO `wp_totalsoft_poll_impoll` VALUES("2", "6", "Total Soft Image Poll 2", "Image Poll", "100", "center", "0", "#000000", "8", "", "true", "Arial", "#7c7c7c", "#1e73be", "#ffffff", "25", "Gabriola", "center", "80", "1", "#ffffff", "solid", "3", "160", "Background", "15", "#ffffff", "#cccccc", "#ffffff", "Position 3", "false", "medium 1", "f096", "#ffffff", "f046", "#ffffff", "#1e73be", "#ffffff", "true", "#1e73be", "66", "2", "#1e73be", "solid", "rgba(0,0,0,0.5)", "#ffffff", "bothlab", "0", "#ffffff", "right", "3", "#1e73be", "", "", "", "");
INSERT INTO `wp_totalsoft_poll_impoll` VALUES("3", "7", "Total Soft Video Poll 1", "Video Poll", "100", "center", "0", "#000000", "8", "", "true", "Arial", "#7c7c7c", "#ffffff", "#000000", "20", "Abadi MT Condensed Light", "center", "80", "1", "#939393", "solid", "2", "160", "Nothing", "14", "#ffffff", "#cccccc", "#000000", "Position 3", "false", "medium 1", "f10c", "#000000", "f192", "#1e73be", "#ffffff", "#000000", "true", "#ffffff", "66", "2", "#ffffff", "solid", "rgba(30,115,190,0.5)", "#ffffff", "bothlab", "1", "#ffffff", "right", "3", "#000000", "#ffffff", "42", "rgba(0,0,0,0.43)", "f04b");
INSERT INTO `wp_totalsoft_poll_impoll` VALUES("4", "8", "Total Soft Video Poll 2", "Video Poll", "100", "center", "0", "#000000", "8", "", "true", "Arial", "#7c7c7c", "#1e73be", "#ffffff", "25", "Gabriola", "center", "80", "1", "#ffffff", "solid", "3", "160", "Background", "15", "#ffffff", "#cccccc", "#ffffff", "Position 3", "false", "medium 1", "f096", "#ffffff", "f046", "#ffffff", "#1e73be", "#ffffff", "true", "#1e73be", "66", "2", "#1e73be", "solid", "rgba(0,0,0,0.5)", "#ffffff", "bothlab", "0", "#ffffff", "right", "3", "#1e73be", "#ffffff", "40", "rgba(30,115,190,0.5)", "f144");

/* INSERT TABLE DATA: wp_totalsoft_poll_impoll_1 */
INSERT INTO `wp_totalsoft_poll_impoll_1` VALUES("1", "5", "Total Soft Image Poll 1", "Image Poll", "2", "#000000", "#ffffff", "20", "Abadi MT Condensed Light", "Vote", "", "after", "21", "#000000", "#cccccc", "true", "right", "3", "#000000", "2", "#000000", "#ffffff", "20", "Abadi MT Condensed Light", "Results", "", "before", "21", "#000000", "#cccccc", "#ffffff", "full", "#000000", "#000000", "#ffffff", "Back", "f015", "after", "#000000", "#cccccc");
INSERT INTO `wp_totalsoft_poll_impoll_1` VALUES("2", "6", "Total Soft Image Poll 2", "Image Poll", "5", "#1e73be", "#ffffff", "24", "Gabriola", "Vote", "f0fb", "after", "18", "#1e73be", "#cccccc", "true", "left", "3", "#1e73be", "5", "#1e73be", "#ffffff", "24", "Gabriola", "Results", "f129", "before", "18", "#1e73be", "#cccccc", "#ffffff", "full", "#1e73be", "#1e73be", "#ffffff", "Back", "f015", "after", "#1e73be", "#cccccc");
INSERT INTO `wp_totalsoft_poll_impoll_1` VALUES("3", "7", "Total Soft Video Poll 1", "Video Poll", "2", "#000000", "#ffffff", "20", "Abadi MT Condensed Light", "Vote", "", "after", "20", "#000000", "#cccccc", "true", "right", "3", "#000000", "2", "#000000", "#ffffff", "20", "Abadi MT Condensed Light", "Results", "", "before", "20", "#000000", "#cccccc", "#ffffff", "full", "#000000", "#000000", "#ffffff", "Back", "f015", "after", "#000000", "#cccccc");
INSERT INTO `wp_totalsoft_poll_impoll_1` VALUES("4", "8", "Total Soft Video Poll 2", "Video Poll", "5", "#1e73be", "#ffffff", "24", "Gabriola", "Vote", "f0fb", "after", "18", "#1e73be", "#cccccc", "true", "left", "3", "#1e73be", "5", "#1e73be", "#ffffff", "24", "Gabriola", "Results", "f129", "before", "18", "#1e73be", "#cccccc", "#ffffff", "full", "#1e73be", "#1e73be", "#ffffff", "Back", "f015", "after", "#1e73be", "#cccccc");

/* INSERT TABLE DATA: wp_totalsoft_poll_imwibu */
INSERT INTO `wp_totalsoft_poll_imwibu` VALUES("1", "11", "Image Without Button 1", "Image Without Button", "100", "center", "0", "#ffffff", "22", "", "true", "Arial", "#848484", "#ffffff", "#000000", "24", "Abadi MT Condensed Light", "center", "78", "1", "#a5a5a5", "solid", "Nothing", "18", "#ffffff", "#ffffff", "#000000", "2", "#a5a5a5", "10", "Abadi MT Condensed Light", "#6394bf", "#000000", "80", "4", "rgba(99,148,191,0.55)", "f030", "#ffffff", "25", "true", "f00d", "#6394bf", "10", "#ffffff", "80", "1", "#a5a5a5", "solid", "true", "right", "#a5a5a5");
INSERT INTO `wp_totalsoft_poll_imwibu` VALUES("2", "12", "Image Without Button 2", "Image Without Button", "100", "center", "0", "#ffffff", "0", "", "false", "Arial", "#ffffff", "#dd3333", "#ffffff", "23", "Abadi MT Condensed Light", "center", "0", "1", "#ffffff", "solid", "Background", "23", "#ffffff", "#ffffff", "#ffffff", "0", "#ffffff", "0", "Abadi MT Condensed Light", "#dd3333", "#ffffff", "110", "8", "rgba(221,51,51,0.5)", "", "#ffffff", "30", "false", "", "#ffffff", "0", "#ffffff", "50", "0", "#ffffff", "none", "false", "right", "#ffffff");
INSERT INTO `wp_totalsoft_poll_imwibu` VALUES("3", "13", "Video Without Button 1", "Video Without Button", "100", "center", "0", "#ffffff", "10", "", "true", "Arial", "#cccccc", "#ffffff", "#dd9933", "21", "Abadi MT Condensed Light", "center", "50", "1", "#dd9933", "solid", "Nothing", "22", "#ffffff", "#ffffff", "#dd9933", "1", "#cccccc", "5", "Abadi MT Condensed Light", "#ffffff", "#dd9933", "100", "2", "rgba(0,0,0,0.5)", "f26c", "#dd9933", "30", "true", "f00d", "#ffffff", "10", "#000000", "50", "1", "#dd9933", "solid", "true", "right", "#dd9933");
INSERT INTO `wp_totalsoft_poll_imwibu` VALUES("4", "14", "Video Without Button 2", "Video Without Button", "100", "center", "3", "#ffffff", "4", "", "false", "Arial", "#a8a8a8", "#000000", "#ffffff", "20", "Abadi MT Condensed Light", "center", "50", "1", "#ffffff", "solid", "Nothing", "17", "#000000", "#000000", "#ffffff", "0", "#ffffff", "4", "Abadi MT Condensed Light", "#2b2b2b", "#ffffff", "75", "2", "rgba(30,115,190,0.5)", "f04b", "#ffffff", "28", "true", "f00d", "#ffffff", "10", "#000000", "47", "1", "#ffffff", "solid", "true", "left", "#729bbf");

/* INSERT TABLE DATA: wp_totalsoft_poll_imwibu_1 */
INSERT INTO `wp_totalsoft_poll_imwibu_1` VALUES("1", "11", "Image Without Button 1", "Image Without Button", "20", "Total Votes", "f200", "before", "true", "left", "2", "#6394bf", "10", "#ffffff", "#6394bf", "#ffffff", "20", "Abadi MT Condensed Light", "Results", "", "before", "21", "#6394bf", "#ffffff", "Nothing", "#ffffff", "#6394bf", "#000000", "bothlab", "2", "#6394bf", "full", "#6394bf", "#6394bf", "#ffffff", "Back", "f00d", "before", "#6394bf", "#ffffff");
INSERT INTO `wp_totalsoft_poll_imwibu_1` VALUES("2", "12", "Image Without Button 2", "Image Without Button", "26", "Total", "", "before", "false", "right", "0", "#dd3333", "13", "#ffffff", "#ffffff", "#dd3333", "27", "Abadi MT Condensed Light", "Results", "", "before", "26", "#ffffff", "#ffffff", "Background", "#ffffff", "#ffffff", "#000000", "both", "6", "#ffffff", "right", "#ffffff", "#ffffff", "#ffffff", "Back", "", "before", "#ffffff", "#ffffff");
INSERT INTO `wp_totalsoft_poll_imwibu_1` VALUES("3", "13", "Video Without Button 1", "Video Without Button", "17", "Total", "f200", "before", "false", "right", "3", "#dd9933", "14", "#ffffff", "#ffffff", "#dd9933", "25", "Abadi MT Condensed Light", "Results", "f1fe", "before", "20", "#ffffff", "#000000", "Color", "#ffffff", "#dd9933", "#ffffff", "bothlab", "9", "#ffffff", "right", "#dd9933", "#dd9933", "#ffffff", "Back", "f015", "before", "#dd9933", "#ffffff");
INSERT INTO `wp_totalsoft_poll_imwibu_1` VALUES("4", "14", "Video Without Button 2", "Video Without Button", "18", "Total", "f201", "after", "false", "right", "2", "#ffffff", "5", "#000000", "#ffffff", "#ffffff", "23", "Abadi MT Condensed Light", "Results", "f0c9", "after", "22", "#ffffff", "#ffffff", "Background", "#000000", "#ffffff", "#ffffff", "both", "3", "#000000", "right", "#000000", "#000000", "#ffffff", "Back", "f015", "after", "#000000", "#ffffff");

/* INSERT TABLE DATA: wp_totalsoft_poll_manager */
INSERT INTO `wp_totalsoft_poll_manager` VALUES("1", "Do You Like Our Plugin?", "1", "5");

/* INSERT TABLE DATA: wp_totalsoft_poll_quest_im */
INSERT INTO `wp_totalsoft_poll_quest_im` VALUES("1", "1", "", "", "1", "", "", "", "");

/* INSERT TABLE DATA: wp_totalsoft_poll_results */
INSERT INTO `wp_totalsoft_poll_results` VALUES("1", "1", "1", "50");
INSERT INTO `wp_totalsoft_poll_results` VALUES("2", "1", "2", "20");
INSERT INTO `wp_totalsoft_poll_results` VALUES("3", "1", "3", "30");
INSERT INTO `wp_totalsoft_poll_results` VALUES("4", "1", "4", "70");
INSERT INTO `wp_totalsoft_poll_results` VALUES("5", "1", "5", "110");

/* INSERT TABLE DATA: wp_totalsoft_poll_setting */
INSERT INTO `wp_totalsoft_poll_setting` VALUES("1", "Total Soft Poll Setting 1", "true", "", "", "Coming Soon", "Thank You !", "rgba(209,209,209,0.79)", "#000000", "32", "Gabriola", "false", "ipaddress", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "");

/* INSERT TABLE DATA: wp_totalsoft_poll_stpoll */
INSERT INTO `wp_totalsoft_poll_stpoll` VALUES("1", "1", "Total Soft Poll 1", "Standard Poll", "85", "center", "6", "#ffffff", "15", "", "true", "Arial", "#848484", "#ffffff", "#000000", "23", "Gabriola", "center", "80", "1", "#1e73be", "solid", "17", "true", "#ffffff", "#1e73be", "false", "medium 1", "f10c", "#000000", "f192", "#000000", "#ffffff", "#333333", "80", "1", "#1e73be", "solid", "#ffffff", "right", "1", "#e8e8e8", "10", "#ffffff", "#000000", "20", "Gabriola", "Vote", "f0a1", "before", "18", "#ffffff", "#515151", "true", "left", "1", "#e8e8e8", "10", "#ffffff", "#000000", "20", "Gabriola", "Results", "f084", "after");
INSERT INTO `wp_totalsoft_poll_stpoll` VALUES("2", "2", "Total Soft Poll 2", "Standard Poll", "70", "center", "4", "#000000", "10", "", "false", "Arial", "#848484", "#000000", "#ffffff", "23", "Gabriola", "center", "80", "0", "#1e73be", "solid", "17", "true", "#000000", "#dd9933", "false", "small", "f10c", "#dd9933", "f192", "#dd9933", "#000000", "#ffffff", "80", "1", "#dd9933", "solid", "#000000", "right", "1", "#000000", "10", "#dd9933", "#ffffff", "18", "Gabriola", "Vote", "f1d8", "before", "18", "#dd9933", "#ffffff", "true", "left", "1", "#000000", "10", "#dd9933", "#ffffff", "18", "Gabriola", "Results", "f05a", "after");
INSERT INTO `wp_totalsoft_poll_stpoll` VALUES("3", "3", "Total Soft Poll 3", "Standard Poll", "85", "center", "0", "#dd3333", "15", "", "true", "Arial", "#848484", "#ffffff", "#dd0000", "23", "Gabriola", "center", "80", "1", "#000000", "solid", "17", "false", "#ffffff", "#1e73be", "true", "medium 1", "f096", "#000000", "f14a", "#000000", "#ffffff", "#333333", "80", "1", "#000000", "solid", "#ffffff", "right", "1", "#dd3333", "10", "#ffffff", "#dd3333", "16", "Aldhabi", "Vote", "f124", "before", "18", "#ffffff", "#dd0000", "true", "left", "1", "#dd3333", "10", "#ffffff", "#dd3333", "16", "Aldhabi", "Results", "f128", "after");
INSERT INTO `wp_totalsoft_poll_stpoll` VALUES("4", "4", "Total Soft Poll 4", "Standard Poll", "85", "center", "4", "#ffffff", "15", "", "true", "Arial", "#848484", "#ff0044", "#ffffff", "23", "Gabriola", "center", "80", "1", "#ffffff", "solid", "17", "true", "#ff0044", "#ffffff", "false", "medium 1", "f10c", "#ffffff", "f192", "#ffffff", "#dd003b", "#ffffff", "80", "1", "#ffffff", "solid", "#ff0044", "right", "1", "#ffffff", "10", "#ffffff", "#ff0044", "18", "Gabriola", "Vote", "f25a", "before", "18", "#ff0044", "#ffffff", "true", "left", "1", "#ffffff", "10", "#ffffff", "#ff0044", "18", "Arial", "Results", "f080", "after");

/* INSERT TABLE DATA: wp_totalsoft_poll_stpoll_1 */
INSERT INTO `wp_totalsoft_poll_stpoll_1` VALUES("1", "1", "Total Soft Poll 1", "Standard Poll", "18", "#ffffff", "#515151", "1", "#ffffff", "false", "FCTA", "#ffffff", "#000000", "80", "1", "#1e73be", "solid", "#d1d1d1", "#000000", "both", "#ffffff", "0", "80", "1", "#1e73be", "solid", "right", "#ffffff", "#ffffff", "#000000", "Back", "f021", "before", "#ffffff", "#515151", "#ffffff", "#ffffff", "#ffffff");
INSERT INTO `wp_totalsoft_poll_stpoll_1` VALUES("2", "2", "Total Soft Poll 2", "Standard Poll", "18", "#dd9933", "#ffffff", "1", "#ffffff", "false", "FTTB", "#000000", "#ffffff", "80", "1", "#ffffff", "solid", "#000000", "#dd9933", "both", "#ffffff", "1", "80", "1", "#ffffff", "solid", "full", "#dd9933", "#dd9933", "#ffffff", "Back", "f021", "before", "#dd9933", "#ffffff", "#000000", "#000000", "#000000");
INSERT INTO `wp_totalsoft_poll_stpoll_1` VALUES("3", "3", "Total Soft Poll 3", "Standard Poll", "18", "#ffffff", "#ff0000", "1", "#ffffff", "true", "FTTB", "#ffffff", "#dd3333", "80", "1", "#000000", "solid", "#eaeaea", "#000000", "both", "#000000", "10", "80", "1", "#000000", "solid", "right", "#ff0000", "#ffffff", "#ff0000", "Back", "f021", "before", "#ffffff", "#dd3333", "#ffffff", "#ffffff", "#ffffff");
INSERT INTO `wp_totalsoft_poll_stpoll_1` VALUES("4", "4", "Total Soft Poll 4", "Standard Poll", "18", "#ff0044", "#ffffff", "4", "#ffffff", "false", "FTTB", "#ff0044", "#ffffff", "80", "1", "#ffffff", "solid", "#ffffff", "#e8e8e8", "count", "#ff0044", "0", "80", "1", "#ffffff", "solid", "full", "#ffffff", "#ffffff", "#ff0044", "Back", "f021", "before", "#ff0044", "#ffffff", "#ff0044", "#ff0044", "#ff0044");

/* INSERT TABLE DATA: wp_totalsoft_poll_stwibu */
INSERT INTO `wp_totalsoft_poll_stwibu` VALUES("1", "9", "Standard Without Button 1", "Standard Without Button", "100", "center", "3", "#ffffff", "15", "", "true", "Arial", "#a0a0a0", "#ffffff", "#dd0000", "20", "Abadi MT Condensed Light", "center", "60", "1", "#dd0000", "solid", "Nothing", "17", "#ffffff", "#ffffff", "#dd0000", "1", "#d8d8d8", "6", "true", "medium 1", "f0c8", "#d8d8d8", "f14a", "#d8d8d8", "#d8d8d8", "#dd0000", "90", "2", "#ffffff", "solid", "#ffffff");
INSERT INTO `wp_totalsoft_poll_stwibu` VALUES("2", "10", "Standard Without Button 2", "Standard Without Button", "100", "center", "0", "#ffffff", "15", "", "false", "Arial", "#a0a0a0", "#ffffff", "#000000", "20", "Abadi MT Condensed Light", "center", "60", "0", "#ffffff", "solid", "Background", "17", "#ffffff", "#ffffff", "#ffffff", "1", "#ffffff", "6", "false", "medium 1", "f0c8", "#d8d8d8", "f14a", "#d8d8d8", "#ffffff", "#000000", "90", "2", "#ffffff", "solid", "#ffffff");

/* INSERT TABLE DATA: wp_totalsoft_poll_stwibu_1 */
INSERT INTO `wp_totalsoft_poll_stwibu_1` VALUES("1", "9", "Standard Without Button 1", "Standard Without Button", "true", "right", "#000000", "18", "Total Votes", "f200", "true", "left", "2", "#d8d8d8", "6", "#d8d8d8", "#000000", "20", "Abadi MT Condensed Light", "Result", "f080", "before", "19", "#d8d8d8", "#4f4f4f", "Nothing", "#dd3e3e", "#dd0000", "#ffffff", "both", "9", "#ffffff", "full", "#d8d8d8", "#d8d8d8", "#000000", "Back", "f015", "before", "#d8d8d8", "#000000", "before");
INSERT INTO `wp_totalsoft_poll_stwibu_1` VALUES("2", "10", "Standard Without Button 2", "Standard Without Button", "true", "right", "#000000", "18", "Total Votes", "f201", "false", "left", "2", "#d8d8d8", "6", "#d8d8d8", "#000000", "20", "Abadi MT Condensed Light", "Result", "f080", "before", "19", "#d8d8d8", "#4f4f4f", "Background", "#ffffff", "#5000b2", "#000000", "bothlab", "9", "#ffffff", "full", "#d8d8d8", "#d8d8d8", "#000000", "Back", "f015", "before", "#d8d8d8", "#000000", "before");

/* INSERT TABLE DATA: wp_usermeta */
INSERT INTO `wp_usermeta` VALUES("1", "1", "nickname", "BucksAdmin");
INSERT INTO `wp_usermeta` VALUES("2", "1", "first_name", "Matt");
INSERT INTO `wp_usermeta` VALUES("3", "1", "last_name", "Checchio");
INSERT INTO `wp_usermeta` VALUES("4", "1", "description", "");
INSERT INTO `wp_usermeta` VALUES("5", "1", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("6", "1", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("7", "1", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("8", "1", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("9", "1", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("10", "1", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("11", "1", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("12", "1", "dismissed_wp_pointers", "wp360_locks,wp390_widgets,wp410_dfw,tp09_edit_drag_drop_sort,wp496_privacy,theme_editor_notice,plugin_editor_notice,text_widget_custom_html,wpsl_signup_pointer");
INSERT INTO `wp_usermeta` VALUES("13", "1", "show_welcome_panel", "0");
INSERT INTO `wp_usermeta` VALUES("15", "1", "wp_dashboard_quick_press_last_post_id", "2121");
INSERT INTO `wp_usermeta` VALUES("17", "1", "wp_user-settings", "hidetb=1&libraryContent=browse&editor=html&imgsize=full&post_dfw=off&urlbutton=none&wplink=1&posts_list_mode=list&align=none&advImgDetails=show&editor_plain_text_paste_warning=1");
INSERT INTO `wp_usermeta` VALUES("18", "1", "wp_user-settings-time", "1586887082");
INSERT INTO `wp_usermeta` VALUES("19", "1", "managenav-menuscolumnshidden", "a:4:{i:0;s:11:\"link-target\";i:1;s:11:\"css-classes\";i:2;s:3:\"xfn\";i:3;s:11:\"description\";}");
INSERT INTO `wp_usermeta` VALUES("20", "1", "metaboxhidden_nav-menus", "a:3:{i:0;s:8:\"add-post\";i:1;s:15:\"add-html5-blank\";i:2;s:12:\"add-post_tag\";}");
INSERT INTO `wp_usermeta` VALUES("21", "1", "nav_menu_recently_edited", "2");
INSERT INTO `wp_usermeta` VALUES("22", "1", "closedpostboxes_page", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("23", "1", "metaboxhidden_page", "a:4:{i:0;s:10:\"postcustom\";i:1;s:16:\"commentstatusdiv\";i:2;s:7:\"slugdiv\";i:3;s:9:\"authordiv\";}");
INSERT INTO `wp_usermeta` VALUES("24", "1", "meta-box-order_page", "a:3:{s:4:\"side\";s:36:\"submitdiv,pageparentdiv,postimagediv\";s:6:\"normal\";s:78:\"gmp-box,revisionsdiv,postcustom,commentstatusdiv,commentsdiv,slugdiv,authordiv\";s:8:\"advanced\";s:0:\"\";}");
INSERT INTO `wp_usermeta` VALUES("25", "1", "screen_layout_page", "2");
INSERT INTO `wp_usermeta` VALUES("26", "1", "edit_page_per_page", "60");
INSERT INTO `wp_usermeta` VALUES("27", "1", "wpseo_ignore_tour", "1");
INSERT INTO `wp_usermeta` VALUES("28", "1", "closedpostboxes_post", "a:1:{i:0;s:7:\"gmp-box\";}");
INSERT INTO `wp_usermeta` VALUES("29", "1", "metaboxhidden_post", "a:6:{i:0;s:7:\"gmp-box\";i:1;s:11:\"postexcerpt\";i:2;s:13:\"trackbacksdiv\";i:3;s:10:\"postcustom\";i:4;s:16:\"commentstatusdiv\";i:5;s:7:\"slugdiv\";}");
INSERT INTO `wp_usermeta` VALUES("30", "1", "manageedit-postcolumnshidden", "a:3:{i:0;s:11:\"wpseo-score\";i:1;s:11:\"wpseo-title\";i:2;s:13:\"wpseo-focuskw\";}");
INSERT INTO `wp_usermeta` VALUES("31", "1", "_yoast_wpseo_profile_updated", "1578164869");
INSERT INTO `wp_usermeta` VALUES("32", "1", "wpseo_title", "");
INSERT INTO `wp_usermeta` VALUES("33", "1", "wpseo_metadesc", "");
INSERT INTO `wp_usermeta` VALUES("34", "1", "wpseo_metakey", "");
INSERT INTO `wp_usermeta` VALUES("35", "1", "wpseo_noindex_author", "");
INSERT INTO `wp_usermeta` VALUES("36", "1", "googleplus", "");
INSERT INTO `wp_usermeta` VALUES("37", "1", "twitter", "buckspizzaHQ");
INSERT INTO `wp_usermeta` VALUES("38", "1", "facebook", "");
INSERT INTO `wp_usermeta` VALUES("39", "1", "meta-box-order_post", "a:3:{s:4:\"side\";s:51:\"postimagediv,submitdiv,categorydiv,tagsdiv-post_tag\";s:6:\"normal\";s:90:\"wpseo_meta,gmp-box,postexcerpt,trackbacksdiv,postcustom,commentstatusdiv,slugdiv,authordiv\";s:8:\"advanced\";s:0:\"\";}");
INSERT INTO `wp_usermeta` VALUES("40", "1", "screen_layout_post", "2");
INSERT INTO `wp_usermeta` VALUES("41", "1", "wp_tablepress_user_options", "{\"user_options_db_version\":40,\"admin_menu_parent_page\":\"middle\",\"message_first_visit\":true}");
INSERT INTO `wp_usermeta` VALUES("43", "1", "managetablepress_listcolumnshidden", "a:1:{i:0;s:22:\"table_last_modified_by\";}");
INSERT INTO `wp_usermeta` VALUES("46", "1", "community-events-location", "a:1:{s:2:\"ip\";s:12:\"107.77.226.0\";}");
INSERT INTO `wp_usermeta` VALUES("53", "1", "wpseo_content_analysis_disable", "");
INSERT INTO `wp_usermeta` VALUES("54", "1", "wpseo_keyword_analysis_disable", "");
INSERT INTO `wp_usermeta` VALUES("55", "1", "locale", "");
INSERT INTO `wp_usermeta` VALUES("61", "1", "jetpack_tracks_anon_id", "jetpack:G5EeNMxkmEkwJnXojVBMaITX");
INSERT INTO `wp_usermeta` VALUES("69", "2", "nickname", "joshb");
INSERT INTO `wp_usermeta` VALUES("70", "2", "first_name", "Josh");
INSERT INTO `wp_usermeta` VALUES("71", "2", "last_name", "Benton");
INSERT INTO `wp_usermeta` VALUES("72", "2", "description", "");
INSERT INTO `wp_usermeta` VALUES("73", "2", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("74", "2", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("75", "2", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("76", "2", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("77", "2", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("78", "2", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("79", "2", "locale", "");
INSERT INTO `wp_usermeta` VALUES("80", "2", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("81", "2", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("82", "2", "_yoast_wpseo_profile_updated", "1578164869");
INSERT INTO `wp_usermeta` VALUES("83", "2", "dismissed_wp_pointers", "wp496_privacy,theme_editor_notice,wpsl_signup_pointer");
INSERT INTO `wp_usermeta` VALUES("84", "2", "session_tokens", "a:1:{s:64:\"3aebf7db6200a9476b666d785c55326d5bdf282c3b19521075ac6ad76be03092\";a:4:{s:10:\"expiration\";i:1588018319;s:2:\"ip\";s:13:\"73.174.234.88\";s:2:\"ua\";s:129:\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.102 Safari/537.36 Edge/18.18363\";s:5:\"login\";i:1586808719;}}");
INSERT INTO `wp_usermeta` VALUES("85", "2", "wp_dashboard_quick_press_last_post_id", "2118");
INSERT INTO `wp_usermeta` VALUES("87", "2", "community-events-location", "a:1:{s:2:\"ip\";s:12:\"73.174.234.0\";}");
INSERT INTO `wp_usermeta` VALUES("88", "2", "closedpostboxes_page", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("89", "2", "metaboxhidden_page", "a:5:{i:0;s:10:\"postcustom\";i:1;s:16:\"commentstatusdiv\";i:2;s:11:\"commentsdiv\";i:3;s:7:\"slugdiv\";i:4;s:9:\"authordiv\";}");
INSERT INTO `wp_usermeta` VALUES("91", "2", "wp_user-settings", "editor=tinymce&hidetb=0&mfold=o");
INSERT INTO `wp_usermeta` VALUES("92", "2", "wp_user-settings-time", "1558479114");
INSERT INTO `wp_usermeta` VALUES("121", "1", "wp_yoast_notifications", "a:1:{i:0;a:2:{s:7:\"message\";s:908:\"<strong>Upgrade WordPress to the most recent version</strong><br/>We’ve noticed that you’re not on the latest WordPress version, which might cause an issue soon. Yoast (for reasons of security and stability) only supports the current and previous version of WordPress. When the next version of WordPress comes out, that means that we will support WordPress 5.3 and 5.4. This means you will not get any updates to Yoast SEO until you update your WordPress, so please make sure to upgrade to the latest WordPress version soon!<br/><br/><br/><br/>Read <a href=\"https://yoa.st/old-wp-support?php_version=5.4&platform=wordpress&platform_version=5.1.4&software=free&software_version=12.4&days_active=30plus&user_language=en_US\" target=\"_blank\" rel=\"nofollow\">this post for more information about why we’re not supporting older versions.<span class=\"screen-reader-text\">(Opens in a new browser tab)</span></a>\";s:7:\"options\";a:10:{s:4:\"type\";s:5:\"error\";s:2:\"id\";s:31:\"wpseo-dismiss-wordpress-upgrade\";s:4:\"user\";O:7:\"WP_User\":8:{s:4:\"data\";O:8:\"stdClass\":10:{s:2:\"ID\";s:1:\"1\";s:10:\"user_login\";s:10:\"BucksAdmin\";s:9:\"user_pass\";s:34:\"$P$BjtmIjdOdwTPe1OpVwMgYjXFaVG11U0\";s:13:\"user_nicename\";s:10:\"bucksadmin\";s:10:\"user_email\";s:16:\"mmc229@gmail.com\";s:8:\"user_url\";s:0:\"\";s:15:\"user_registered\";s:19:\"2015-05-14 22:21:27\";s:19:\"user_activation_key\";s:0:\"\";s:11:\"user_status\";s:1:\"0\";s:12:\"display_name\";s:12:\"Buck\'s Pizza\";}s:2:\"ID\";i:1;s:4:\"caps\";a:1:{s:13:\"administrator\";b:1;}s:7:\"cap_key\";s:15:\"wp_capabilities\";s:5:\"roles\";a:1:{i:0;s:13:\"administrator\";}s:7:\"allcaps\";a:88:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:22:\"tablepress_edit_tables\";b:1;s:24:\"tablepress_delete_tables\";b:1;s:22:\"tablepress_list_tables\";b:1;s:21:\"tablepress_add_tables\";b:1;s:22:\"tablepress_copy_tables\";b:1;s:24:\"tablepress_import_tables\";b:1;s:24:\"tablepress_export_tables\";b:1;s:32:\"tablepress_access_options_screen\";b:1;s:30:\"tablepress_access_about_screen\";b:1;s:29:\"tablepress_import_tables_wptr\";b:1;s:23:\"tablepress_edit_options\";b:1;s:20:\"wpseo_manage_options\";b:1;s:20:\"manage_wpsl_settings\";b:1;s:10:\"edit_store\";b:1;s:10:\"read_store\";b:1;s:12:\"delete_store\";b:1;s:11:\"edit_stores\";b:1;s:18:\"edit_others_stores\";b:1;s:14:\"publish_stores\";b:1;s:19:\"read_private_stores\";b:1;s:13:\"delete_stores\";b:1;s:21:\"delete_private_stores\";b:1;s:23:\"delete_published_stores\";b:1;s:20:\"delete_others_stores\";b:1;s:19:\"edit_private_stores\";b:1;s:21:\"edit_published_stores\";b:1;s:13:\"administrator\";b:1;}s:6:\"filter\";N;s:16:\"\0WP_User\0site_id\";i:1;}s:5:\"nonce\";N;s:8:\"priority\";d:0.5;s:9:\"data_json\";a:0:{}s:13:\"dismissal_key\";N;s:12:\"capabilities\";a:1:{i:0;s:20:\"wpseo_manage_options\";}s:16:\"capability_check\";s:3:\"all\";s:14:\"yoast_branding\";b:0;}}}");
INSERT INTO `wp_usermeta` VALUES("122", "2", "wp_yoast_notifications", "a:1:{i:0;a:2:{s:7:\"message\";s:908:\"<strong>Upgrade WordPress to the most recent version</strong><br/>We’ve noticed that you’re not on the latest WordPress version, which might cause an issue soon. Yoast (for reasons of security and stability) only supports the current and previous version of WordPress. When the next version of WordPress comes out, that means that we will support WordPress 5.3 and 5.4. This means you will not get any updates to Yoast SEO until you update your WordPress, so please make sure to upgrade to the latest WordPress version soon!<br/><br/><br/><br/>Read <a href=\"https://yoa.st/old-wp-support?php_version=5.4&platform=wordpress&platform_version=5.1.4&software=free&software_version=12.4&days_active=30plus&user_language=en_US\" target=\"_blank\" rel=\"nofollow\">this post for more information about why we’re not supporting older versions.<span class=\"screen-reader-text\">(Opens in a new browser tab)</span></a>\";s:7:\"options\";a:10:{s:4:\"type\";s:5:\"error\";s:2:\"id\";s:31:\"wpseo-dismiss-wordpress-upgrade\";s:4:\"user\";O:7:\"WP_User\":8:{s:4:\"data\";O:8:\"stdClass\":10:{s:2:\"ID\";s:1:\"2\";s:10:\"user_login\";s:5:\"joshb\";s:9:\"user_pass\";s:34:\"$P$BI6H9FsOBBtwSzyXkS3PWr3zUl1py//\";s:13:\"user_nicename\";s:5:\"joshb\";s:10:\"user_email\";s:19:\"josh@buckspizza.com\";s:8:\"user_url\";s:0:\"\";s:15:\"user_registered\";s:19:\"2018-05-10 14:25:29\";s:19:\"user_activation_key\";s:45:\"1525962329:$P$BqP4JffX0/sLXYzkli8pYzR.6ok5IH1\";s:11:\"user_status\";s:1:\"0\";s:12:\"display_name\";s:11:\"Josh Benton\";}s:2:\"ID\";i:2;s:4:\"caps\";a:1:{s:13:\"administrator\";b:1;}s:7:\"cap_key\";s:15:\"wp_capabilities\";s:5:\"roles\";a:1:{i:0;s:13:\"administrator\";}s:7:\"allcaps\";a:88:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:22:\"tablepress_edit_tables\";b:1;s:24:\"tablepress_delete_tables\";b:1;s:22:\"tablepress_list_tables\";b:1;s:21:\"tablepress_add_tables\";b:1;s:22:\"tablepress_copy_tables\";b:1;s:24:\"tablepress_import_tables\";b:1;s:24:\"tablepress_export_tables\";b:1;s:32:\"tablepress_access_options_screen\";b:1;s:30:\"tablepress_access_about_screen\";b:1;s:29:\"tablepress_import_tables_wptr\";b:1;s:23:\"tablepress_edit_options\";b:1;s:20:\"wpseo_manage_options\";b:1;s:20:\"manage_wpsl_settings\";b:1;s:10:\"edit_store\";b:1;s:10:\"read_store\";b:1;s:12:\"delete_store\";b:1;s:11:\"edit_stores\";b:1;s:18:\"edit_others_stores\";b:1;s:14:\"publish_stores\";b:1;s:19:\"read_private_stores\";b:1;s:13:\"delete_stores\";b:1;s:21:\"delete_private_stores\";b:1;s:23:\"delete_published_stores\";b:1;s:20:\"delete_others_stores\";b:1;s:19:\"edit_private_stores\";b:1;s:21:\"edit_published_stores\";b:1;s:13:\"administrator\";b:1;}s:6:\"filter\";N;s:16:\"\0WP_User\0site_id\";i:1;}s:5:\"nonce\";N;s:8:\"priority\";d:0.5;s:9:\"data_json\";a:0:{}s:13:\"dismissal_key\";N;s:12:\"capabilities\";a:1:{i:0;s:20:\"wpseo_manage_options\";}s:16:\"capability_check\";s:3:\"all\";s:14:\"yoast_branding\";b:0;}}}");
INSERT INTO `wp_usermeta` VALUES("126", "2", "jetpack_tracks_anon_id", "jetpack:Besa96QrYYW9AZL3lwfOJhrO");
INSERT INTO `wp_usermeta` VALUES("128", "1", "session_tokens", "a:3:{s:64:\"19408d7c29fad7820ae9fb688cc394839207e3b431380ae5635ed5694bacc595\";a:4:{s:10:\"expiration\";i:1586963446;s:2:\"ip\";s:13:\"107.77.226.21\";s:2:\"ua\";s:114:\"Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.149 Safari/537.36\";s:5:\"login\";i:1586790646;}s:64:\"f477634a073868d907a46b313fcbed2b06f92d52c7b1b2e483db34fb4decbec0\";a:4:{s:10:\"expiration\";i:1586982134;s:2:\"ip\";s:13:\"107.77.226.21\";s:2:\"ua\";s:114:\"Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.149 Safari/537.36\";s:5:\"login\";i:1586809334;}s:64:\"7a8132acbbb537cf6c816239983678a62633722598f534ff10a7c38255cdcce8\";a:4:{s:10:\"expiration\";i:1587080005;s:2:\"ip\";s:13:\"107.77.226.21\";s:2:\"ua\";s:114:\"Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.149 Safari/537.36\";s:5:\"login\";i:1586907205;}}");

/* INSERT TABLE DATA: wp_users */
INSERT INTO `wp_users` VALUES("1", "BucksAdmin", "$P$BjtmIjdOdwTPe1OpVwMgYjXFaVG11U0", "bucksadmin", "mmc229@gmail.com", "", "2015-05-14 22:21:27", "", "0", "Buck\'s Pizza");
INSERT INTO `wp_users` VALUES("2", "joshb", "$P$BI6H9FsOBBtwSzyXkS3PWr3zUl1py//", "joshb", "josh@buckspizza.com", "", "2018-05-10 14:25:29", "1525962329:$P$BqP4JffX0/sLXYzkli8pYzR.6ok5IH1", "0", "Josh Benton");

/* INSERT TABLE DATA: wp_wp_sap_answers */
INSERT INTO `wp_wp_sap_answers` VALUES("2603186", "1", "Yes", "1", "1");
INSERT INTO `wp_wp_sap_answers` VALUES("2603186", "1", "No", "0", "2");
INSERT INTO `wp_wp_sap_answers` VALUES("2603186", "2", "Yes", "0", "1");
INSERT INTO `wp_wp_sap_answers` VALUES("2603186", "2", "No", "1", "2");

/* INSERT TABLE DATA: wp_wp_sap_questions */
INSERT INTO `wp_wp_sap_questions` VALUES("1", "2603186", "Test");
INSERT INTO `wp_wp_sap_questions` VALUES("2", "2603186", "test . 2");

/* INSERT TABLE DATA: wp_wp_sap_surveys */
INSERT INTO `wp_wp_sap_surveys` VALUES("2603186", "Test", "[\\\"bottom\\\",\\\"easeInOutBack\\\",\\\"\\\",\\\"linear-gradient(top, rgb(228, 228, 228) 35%, rgb(228, 228, 228) 70%); -o-linear-gradient(top, rgb(228, 228, 228) 35%, rgb(228, 228, 228) 70%); -ms-linear-gradient(top, rgb(228, 228, 228) 35%, rgb(228, 228, 228) 70%); -moz-linear-gradient(top, rgb(228, 228, 228) 35%, rgb(228, 228, 228) 70%); -webkit-linear-gradient(top, rgb(228, 228, 228) 35%, rgb(228, 228, 228) 70%);\\\",\\\"rgb(81, 81, 81)\\\",\\\"rgb(188, 188, 188)\\\",\\\"1\\\",\\\"5\\\",\\\"20\\\",\\\"20\\\",\\\"20\\\",500,\\\"Thank you for your feedback!\\\",\\\"0\\\",\\\"0\\\",\\\"0\\\"]", "0000-00-00 00:00:00", "0000-00-00 00:00:00", "0", "1");

/* INSERT TABLE DATA: wp_wpgmza */
INSERT INTO `wp_wpgmza` VALUES("1", "1", "California", "", "", "", "", "36.778261", "-119.4179323999", "", "", "", "0", "1", "0", "0", "", "");
INSERT INTO `wp_wpgmza` VALUES("2", "1", "251 Buck Creek Plaza, Alabaster, AL 35007, United States", "", "", "", "", "33.2190573", "-86.82539739999999", "0", "", "0", "", "1", "0", "0", "", "");
INSERT INTO `wp_wpgmza` VALUES("3", "1", "251 Buck Creek Plaza, Alabaster, AL 35007, United States", "", "", "", "", "33.2190573", "-86.82539739999999", "0", "", "0", "", "1", "0", "0", "", "");

/* INSERT TABLE DATA: wp_wpgmza_maps */
INSERT INTO `wp_wpgmza_maps` VALUES("1", "My first map", "100", "400", "45.950464", "-109.815505", "45.950464398418106,-109.81550500000003", "2", "0", "1", "1", "1", "0", "", "0", "", "2", "2", "1", "250", "0", "0", "0", "0", "0", "", "\\%", "px", "1", "0", "1", "2", "0", "", "a:10:{s:21:\"store_locator_enabled\";i:1;s:22:\"store_locator_distance\";i:1;s:20:\"store_locator_bounce\";i:1;s:26:\"store_locator_query_string\";s:40:\"251 Buck Creek Plaza Alabaster, AL 35007\";s:29:\"wpgmza_store_locator_restrict\";s:0:\"\";s:12:\"map_max_zoom\";s:1:\"3\";s:13:\"weather_layer\";i:2;s:23:\"weather_layer_temp_type\";i:1;s:11:\"cloud_layer\";i:2;s:15:\"transport_layer\";i:2;}");

/* INSERT TABLE DATA: wp_yoast_seo_links */
INSERT INTO `wp_yoast_seo_links` VALUES("3516", "http://buckspizza.com/locations/", "26", "11", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("3515", "http://buckspizza.com/locations/", "26", "11", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("3514", "http://buckspizza.com/locations/", "26", "11", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("3513", "http://buckspizza.com/locations/", "26", "11", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("3964", "http://leafletjs.com", "56", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("3965", "http://www.openstreetmap.org/copyright", "56", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("84", "http://buckspizza.com/dubois-pa/menu/", "974", "140", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("3972", "tel:843-549-1995", "64", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("3973", "http://leafletjs.com", "64", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1293", "http://www.openstreetmap.org/copyright", "80", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("88", "http://buckspizza.com/dubois-pa/", "1037", "54", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("89", "http://buckspizza.com/clearfield-pa/", "1037", "52", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("93", "https://www.facebook.com/BucksPizzaHQ", "486", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1265", "http://www.openstreetmap.org/copyright", "68", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1222", "http://www.openstreetmap.org/copyright", "50", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4223", "https://secure.microworks.com/Bucks/Items/Index/1143/", "1901", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("99", "https://secure.microworks.com/Bucks/", "878", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("100", "http://buckspizza.com/clearfield-pa/menu/", "878", "357", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("101", "https://secure.microworks.com/Bucks/", "872", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("102", "http://buckspizza.com/dubois-pa/menu/", "872", "140", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("1241", "http://www.openstreetmap.org/copyright", "46", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("444", "https://secure.microworks.com/Bucks/", "32", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1273", "http://www.openstreetmap.org/copyright", "70", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("617", "https://secure.microworks.com/Bucks/", "1359", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4742", "http://buckspizza.com/locations/antigo-wi/", "11", "0", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4741", "http://buckspizza.com/locations/montbelvieu-tx/", "11", "0", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4739", "https://buckspizza.com/locations/hidalgo-bridge-tx/", "11", "0", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4740", "http://buckspizza.com/locations/mission-tx/", "11", "0", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4738", "http://buckspizza.com/locations/hidalgo-tx/", "11", "0", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4737", "http://buckspizza.com/locations/clearlake-tx/", "11", "0", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4735", "http://buckspizza.com/locations/lexington-sc/", "11", "0", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4736", "http://buckspizza.com/locations/walterboro-sc/", "11", "0", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4734", "http://buckspizza.com/locations/charleston-sc/", "11", "0", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4733", "http://buckspizza.com/st-marys-pa/", "11", "1778", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("1249", "tel:803-957-6100", "60", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4180", "tel:843-851-3888", "62", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1274", "tel:956-581-8611", "74", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("3976", "tel:281-576-2825", "76", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("3977", "http://leafletjs.com", "76", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1244", "http://www.openstreetmap.org/copyright", "48", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("3969", "http://www.openstreetmap.org/copyright", "40", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("138", "http://buckspizza.com/locations/", "15", "11", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("2310", "http://www.openstreetmap.org/copyright", "78", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("141", "http://organicvillefoods.com/category/products/pizza-sauces/", "691", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("142", "http://organicvillefoods.com/", "691", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("143", "http://www.villabertolli.com/products/bertolli-organic-traditional-tomato-basil-sauce", "691", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("144", "http://www.villabertolli.com/products/bertolli-organic-olive-oil-basil-garlic-sauce", "691", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("145", "http://www.muirglen.com/products/tomato-sauces-pastes-and-purees/pizza-sauce-15-oz", "691", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("146", "http://mycadia.com/product.php?p=Food&amp;c=Staples&amp;s=25276", "691", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("147", "http://mycadia.com/", "691", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("148", "http://www.foodnetwork.com/recipes/duff-goldman/thanksgiving-pizza-recipe.html", "463", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("149", "http://www.food.com/recipe/thanksgiving-pizza-265701", "463", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("150", "http://www.tablespoon.com/recipes/thanksgiving-pizza/6adb0856-0730-42f1-8200-79b2aa2923e4", "463", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("151", "http://abcnews.go.com/GMA/recipe/lindy-grundys-leftover-thanksgiving-pizza-15027681", "463", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("152", "http://www.bakedbyrachel.com/leftover-thanksgiving-turkey-pizza/", "463", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("153", "http://www.copykat.com/2012/11/18/double-daves-thanksgiving-pizza/", "463", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("154", "http://whiteonricecouple.com/recipes/bbq-turkey-pizza/", "463", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("155", "http://www.landolakes.com/recipe/4036/thanksgiving-leftovers-pizza", "463", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("156", "http://www.completelydelicious.com/2014/11/thanksgiving-leftovers-pizza.html", "463", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("157", "http://allrecipes.com/recipe/235452/thanksgiving-leftover-pizza/", "463", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("158", "http://jellytoastblog.com/thanksgiving-leftover-pizza/", "463", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("159", "http://www.myrecipes.com/recipe/turkey-alfredo-pizza-0", "463", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("160", "https://www.angelicbakehouse.com/recipe/thanksgiving-leftovers-flatzza-recipe/", "463", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("161", "http://www.foodnetwork.com/recipes/food-network-kitchens/waffled-margherita-pizza-recipe.html", "511", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("162", "http://www.food.com/recipe/pizza-eggs-86388", "511", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("163", "http://tastykitchen.com/recipes/breakfastbrunch/eggs-breakfastbrunch/leftover-pizza-quiche/", "511", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("164", "http://allrecipes.com/recipe/229489/leftover-pizza-breakfast-casserole/", "511", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("165", "http://www.food.com/recipe/leftover-pizza-frittata-using-leftover-pizza-433837", "511", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("166", "http://www.vegwithanedge.com/2013/08/14/leftover-pizza-potato-cakes-a-classy-way-to-reuse-last-nights-pizza/", "511", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("167", "http://www.thekitchn.com/leftover-pizza-use-the-topping-143424", "511", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("168", "http://www.fratellosdeli.com/", "769", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("169", "http://sobropizza.com/", "769", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("170", "http://www.barbarosanantonio.com/", "769", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("171", "http://20ninewine.com/", "769", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("172", "https://www.grimaldispizzeria.com/", "769", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("173", "http://www.tribeca212.com/", "769", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("174", "http://www.foodnetwork.com/", "769", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("175", "http://www.rachaelraymag.com/", "769", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("176", "http://www.doughpizzeria.com/", "769", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("177", "http://mellowmushroom.com/", "769", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("178", "http://www.cerronispurplegarlic.com/", "769", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("179", "http://www.travelchannel.com/", "769", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("180", "http://www.travelchannel.com/shows/man-v-food/episodes/san-antonio", "769", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("181", "http://biglouspizza-satx.com/", "769", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("182", "http://www.luigispizzafresca.com/philadelphia.php", "700", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("183", "http://rusticaphilly.com/", "700", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("184", "http://www.rosasfreshpizza.com/", "700", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("185", "http://www.kermitsbakeshoppe.com/", "700", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("186", "http://www.lorenzoandsons.com/", "700", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("187", "http://www.pizzabrain.org/", "700", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("188", "http://www.slicepa.com/", "700", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("189", "http://golittleitalypizza.com/", "700", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("190", "http://www.francoluigis.com/", "700", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("191", "http://www.paleocupboard.com/paleo-pizza.html", "549", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("192", "http://www.theluckypennyblog.com/2013/02/the-best-cauliflower-crust-pizza.html", "549", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("193", "http://pureandsimple.typepad.com/myblog/2013/02/sweet-potato-goat-cheese-and-kale-pizza.html", "549", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("194", "http://www.theironyou.com/2013/02/paleo-pizza-marinara.html", "549", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("195", "http://www.strandsofmylife.com/pizza-paleo-style/", "549", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("196", "http://fromfriestofit.com/low-carb-deep-dish-veggie-pizza/", "549", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("197", "http://primal-icious.blogspot.com/2012/06/ode-to-pizza.html", "549", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("198", "https://almostprimal.wordpress.com/2012/10/11/back-for-more-again/", "549", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("199", "http://andiamopizzamiami.com/", "503", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("200", "http://www.bigcheesemiami.com/", "503", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("201", "http://spris.cc/", "503", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("202", "http://harryspizzeria.com/", "503", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("203", "http://www.pizzaironside.com/", "503", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("204", "http://www.blockspizza.com/", "503", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("205", "https://www.facebook.com/Steves-Pizza-159716410727467/timeline", "503", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("206", "http://www.visao1.com/", "503", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("207", "http://chakalacka.wix.com/fratelli-milano#!", "503", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("208", "http://www.kingscountypizza.com/", "503", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("209", "http://www.greetingsisland.com/invitations/party/summer-and-pool-party", "672", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("210", "http://www.scrapbook.com/titles/cat/100.html", "672", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("211", "http://privatescreens.com/privacy-screens/", "672", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("212", "http://www.amazon.com/Melissa-Doug-Sunny-Patch-Kickboard/dp/B007CWM7HI/ref=sr_1_cc_5?s=aps&amp;ie=UTF8&amp;qid=1464274645&amp;sr=1-5-catcorr&amp;keywords=styrofoam+pool+floats", "672", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("213", "http://www.incourage.me/2012/06/4th-of-july-ideas.html", "742", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("214", "http://keepcalmanddecorate.blogspot.com/2014/06/easy-patriotic-luminaries.html", "742", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("215", "https://www.brit.co/kite-garland/", "742", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("216", "http://foxeslovelemons.com/sonoran-hot-dogs/", "742", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("217", "http://guestofaguest.com/new-york/food/7-tropical-inspired-hors-doeuvre-recipes-to-serve-before-summer-ends/all", "854", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("218", "http://allrecipes.com/recipes/1656/holidays-and-events/events-and-gatherings/special-themes/tropical/", "854", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("219", "http://patioscenes.com", "854", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("220", "https://www.pinterest.com/explore/tropical-party-decorations/", "854", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("221", "http://buckspizza.com/dubois-pa/menu/", "1042", "140", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("222", "http://buckspizza.com/dubois-pa/menu/", "1024", "140", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("618", "https://www.facebook.com/buckspizza.dubois", "1296", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4653", "http://buckspizza.com/party-paks/", "1778", "1454", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("445", "tel:256-829-0887", "32", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4651", "https://buckspizza.com/jobs/", "1778", "2097", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4650", "https://secure.microworks.com/Bucks/ordering?store=3265", "1778", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("241", "http://buckspizza.com/clearfield-pa/menu/", "881", "357", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("242", "https://bnc.lt/get-in-line-with-nowait", "881", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4732", "http://buckspizza.com/locations/dubois-pa/", "11", "0", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4731", "http://buckspizza.com/locations/clearfield-pa/", "11", "0", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4730", "http://buckspizza.com/locations/tryon-nc/", "11", "0", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4729", "http://buckspizza.com/locations/morganton-nc/", "11", "0", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("2906", "http://buckspizza.com/dubois-pa/", "1717", "54", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("2907", "http://buckspizza.com/clearfield-pa/", "1717", "52", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("619", "https://www.facebook.com/buckspizza.clearfield/", "1296", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("620", "http://buckspizza.com/dubois-pa/", "1296", "54", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("621", "http://buckspizza.com/clearfield-pa/", "1296", "52", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("616", "https://www.facebook.com/buckspizza.clearfield/", "1359", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("615", "https://www.facebook.com/buckspizza.dubois/", "1359", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("613", "https://www.facebook.com/buckspizza.dubois/", "1359", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("614", "https://www.facebook.com/buckspizza.clearfield/", "1359", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("791", "http://www.viadat.com/store-locator", "1384", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("785", "https://www.google.com/maps?saddr&#038;daddr=907+El+Dorado+Blvd.,+Clear+Lake,+TX+77062", "1384", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("786", "https://www.google.com/maps?saddr&#038;daddr=802+North+Jackson+Road,+Hidalgo,+TX+78557", "1384", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("787", "https://www.google.com/maps?saddr&#038;daddr=2401+South+Shary+Road+Suite+A,+Mission,+TX+78572", "1384", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("788", "https://www.google.com/maps?saddr&#038;daddr=11540+Eagle+Drive,+Mont+Belview,+TX+77523", "1384", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("789", "https://www.google.com/maps?saddr&#038;daddr=3901+39th+Street,+Nitro,+WV+25143", "1384", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("790", "https://www.google.com/maps/dir//614+Century+Ave,+Antigo,+WI+54409/@45.1623284,-89.2207527,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x4d54c614647cf6f3:0x4a1fb5f95863e713!2m2!1d-89.1507129!2d45.1623498", "1384", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("784", "https://www.google.com/maps?saddr&#038;daddr=113+Robertson+Blvd,+Walterboro,+SC+29488", "1384", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("782", "https://www.google.com/maps/dir//1660+Sam+Rittenberg+Blvd,+Charleston,+SC+29407/@32.8060402,-80.082615,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x88fe7c790957fe4b:0x2897a0494e191984!2m2!1d-80.0125748!2d32.8060597", "1384", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("783", "https://www.google.com/maps?saddr&#038;daddr=1856+B+South+Lake+Drive,+Lexington+,+SC+29073", "1384", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("781", "https://www.google.com/maps?saddr&#038;daddr=3055+Park+Place,+Clearfield,+PA+16830", "1384", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("779", "https://www.google.com/maps/dir//305+E+Union+St,+Morganton,+NC+28655/@35.7480974,-81.6885242,17z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x8850d1d74d6f2e05:0x3b642339e8c8ffb7!2m2!1d-81.6863355!2d35.7480974", "1384", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("780", "https://www.google.com/maps/dir//30+N+Trade+St,+Tryon,+NC+28782/@35.2089968,-82.2407333,17z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x8859d8c0464a901b:0xb21962af91206f58!2m2!1d-82.2385446!2d35.2089968", "1384", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("778", "https://www.google.com/maps/dir//23+S+Main+St,+Gloversville,+NY+12078/@43.0498986,-74.4158992,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x89def3088c0caddf:0x31538448d12e7c9a!2m2!1d-74.3458594!2d43.04992", "1384", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("777", "https://www.google.com/maps?saddr&#038;daddr=405+MN-55,+Buffalo,+MN+55313", "1384", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("774", "https://www.google.com/maps?saddr&#038;daddr=53+Industrial+Drive,+DuBois,+PA+15801", "1384", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("775", "https://www.google.com/maps?saddr&#038;daddr=350+Dauphin+Street,+Mobile,+AL+36602", "1384", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("776", "https://www.google.com/maps/dir//1200+Hwy+74+S,+Georgia/@33.3393016,-84.5235281,17z/data=!4m8!4m7!1m0!1m5!1m1!1s0x88f4eca0054429f9:0x11aadd106dd8f9d3!2m2!1d-84.5213394!2d33.3393016", "1384", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("772", "http://leafletjs.com", "1384", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("773", "http://www.openstreetmap.org/copyright", "1384", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("792", "http://www.viadat.com", "1384", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4222", "https://secure.microworks.com/Bucks/Items/Index/1143/", "1901", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4631", "https://secure.microworks.com/Bucks/Items.aspx?store=2800", "52", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4632", "https://buckspizza.com/jobs/", "52", "2097", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4759", "https://www.google.com/maps?saddr&amp;daddr=11540+Eagle+Drive,+Mont+Belview,+TX+77523", "11", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4760", "https://www.google.com/maps/dir//614+Century+Ave,+Antigo,+WI+54409/@45.1623284,-89.2207527,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x4d54c614647cf6f3:0x4a1fb5f95863e713!2m2!1d-89.1507129!2d45.1623498", "11", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4758", "https://www.google.com/maps?saddr&amp;daddr=2401+South+Shary+Road+Suite+A,+Mission,+TX+78572", "11", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4756", "https://www.google.com/maps?saddr&amp;daddr=802+North+Jackson+Road,+Hidalgo,+TX+78557", "11", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4757", "https://www.google.com/maps?saddr&amp;daddr=400+South+International+Boulevard,+Hidalgo,+TX+78557", "11", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4753", "https://www.google.com/maps?saddr&amp;daddr=1856+B+South+Lake+Drive,+Lexington+,+SC+29073", "11", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4754", "https://www.google.com/maps?saddr&amp;daddr=113+Robertson+Blvd,+Walterboro,+SC+29488", "11", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4755", "https://www.google.com/maps?saddr&amp;daddr=907+El+Dorado+Blvd.,+Clear+Lake,+TX+77062", "11", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4751", "https://www.google.com/maps?saddr&amp;daddr=3055+Park+Place,+Clearfield,+PA+16830", "11", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4752", "https://www.google.com/maps/dir//1660+Sam+Rittenberg+Blvd,+Charleston,+SC+29407/@32.8060402,-80.082615,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x88fe7c790957fe4b:0x2897a0494e191984!2m2!1d-80.0125748!2d32.8060597", "11", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4749", "https://www.google.com/maps/dir//305+E+Union+St,+Morganton,+NC+28655/@35.7480974,-81.6885242,17z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x8850d1d74d6f2e05:0x3b642339e8c8ffb7!2m2!1d-81.6863355!2d35.7480974", "11", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4750", "https://www.google.com/maps/dir//30+N+Trade+St,+Tryon,+NC+28782/@35.2089968,-82.2407333,17z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x8859d8c0464a901b:0xb21962af91206f58!2m2!1d-82.2385446!2d35.2089968", "11", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("3746", "http://buckspizza.com/clearfield-pa/", "1783", "52", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("3745", "http://buckspizza.com/dubois-pa/", "1783", "54", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4284", "http://buckspizza.com/family-specials/", "1868", "1901", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4625", "http://buckspizza.com/employment-pa/", "54", "1794", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4621", "http://buckspizza.com/party-paks/", "54", "1454", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4624", "http://buckspizza.com/dubois-pa/menu/", "54", "140", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4623", "http://buckspizza.com/wp-content/uploads/2016/11/Bucks-Pizza-Whats-for-Dinner-November-2016.mp3", "54", "0", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4622", "tel:814-371-4500", "54", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4325", "http://buckspizza.com/pick-a-pasta/", "140", "2023", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4628", "http://buckspizza.com/clearfield-pa/menu/", "52", "357", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4629", "http://buckspizza.com/community-fundraiser-clearfield-pa/", "52", "865", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4283", "http://buckspizza.com/st-marys-pa/", "1868", "1778", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("3751", "http://buckspizza.com/clearfield-pa/", "1832", "52", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4142", "http://buckspizza.com/dubois-pa/", "1839", "54", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("3840", "http://buckspizza.com/clearfield-pa/", "1849", "52", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("3839", "http://buckspizza.com/dubois-pa/", "1849", "54", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("3517", "http://buckspizza.com/locations/", "26", "11", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("3966", "https://secure.microworks.com/bucks/ordering?store=817", "40", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("3970", "https://www.google.com/maps/dir//1200+Hwy+74+S,+Georgia/@33.3393016,-84.5235281,17z/data=!4m8!4m7!1m0!1m5!1m1!1s0x88f4eca0054429f9:0x11aadd106dd8f9d3!2m2!1d-84.5213394!2d33.3393016", "40", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("3968", "http://leafletjs.com", "40", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("3967", "tel:770-631-8989", "40", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1238", "http://www.openstreetmap.org/copyright", "44", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4317", "http://buckspizza.com/pick-a-pasta/", "357", "2023", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4221", "https://secure.microworks.com/Bucks/Items/Index/1143/", "1901", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4322", "http://buckspizza.com/dubois-pa/", "140", "54", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4314", "http://buckspizza.com/clearfield-pa/", "357", "52", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("3888", "http://buckspizza.com/mobile-al-menu/", "36", "1529", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("3889", "http://buckspizza.com/wp-content/uploads/2018/09/Mobile-Alabama-Menu.pdf", "36", "0", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("3890", "tel:251-431-9444", "36", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("3891", "http://leafletjs.com", "36", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("3892", "http://www.openstreetmap.org/copyright", "36", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("3893", "https://www.google.com/maps/dir//1200+Hwy+74+S,+Georgia/@33.3393016,-84.5235281,17z/data=!4m8!4m7!1m0!1m5!1m1!1s0x88f4eca0054429f9:0x11aadd106dd8f9d3!2m2!1d-84.5213394!2d33.3393016", "36", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1236", "tel:763-682-0000", "44", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1240", "http://leafletjs.com", "46", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1239", "tel:518-773-8200", "46", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1243", "http://leafletjs.com", "48", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1242", "tel:828-433-9006", "48", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1221", "http://leafletjs.com", "50", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1220", "tel:828-859-0400", "50", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1237", "http://leafletjs.com", "44", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("3963", "tel:843-766-3233", "56", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("3962", "https://secure.microworks.com/bucks/ordering?store=1787", "56", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1250", "http://leafletjs.com", "60", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1251", "http://www.openstreetmap.org/copyright", "60", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("3974", "http://www.openstreetmap.org/copyright", "64", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("3971", "https://secure.microworks.com/Bucks/ordering?store=1604", "64", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1264", "http://leafletjs.com", "68", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1263", "tel:281-474-2825", "68", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1272", "http://leafletjs.com", "70", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1271", "tel:956-843-9899", "70", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1270", "https://secure.microworks.com/Bucks/", "70", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1275", "http://leafletjs.com", "74", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1276", "http://www.openstreetmap.org/copyright", "74", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("3978", "http://www.openstreetmap.org/copyright", "76", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("3975", "https://secure.microworks.com/Bucks/ordering?store=2225", "76", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("2309", "http://leafletjs.com", "78", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("2308", "tel:304-722-4000", "78", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1292", "http://leafletjs.com", "80", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("1291", "tel:715-623-2222", "80", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4728", "http://buckspizza.com/locations/gloversville-ny/", "11", "0", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4727", "http://buckspizza.com/locations/buffalo-mn/", "11", "0", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4726", "http://buckspizza.com/locations/peachtreecity-ga/", "11", "0", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("2210", "http://buckspizza.com/mobile-al/", "1529", "36", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4654", "http://buckspizza.com/employment-pa/", "1778", "1794", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4633", "http://buckspizza.com/family-specials/", "52", "1901", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4634", "http://buckspizza.com/party-paks/", "52", "1454", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4620", "http://buckspizza.com/family-specials/", "54", "1901", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4619", "https://buckspizza.com/jobs/", "54", "2097", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("2831", "http://www.openstreetmap.org/copyright", "1563", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("2830", "http://leafletjs.com", "1563", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("2829", "http://buckspizza.com/contact/", "1563", "17", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("2828", "http://buckspizza.com/locations/", "1563", "11", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4639", "https://bnc.lt/get-in-line-with-nowait", "52", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4638", "http://buckspizza.com/employment-pa/", "52", "1794", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("3585", "tel:8143713076", "1794", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4636", "http://buckspizza.com/wp-content/uploads/2016/11/Bucks-Pizza-Whats-for-Dinner-November-2016.mp3", "52", "0", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4637", "http://buckspizza.com/clearfield-pa/menu/", "52", "357", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("2827", "http://buckspizza.com/locations/", "1563", "11", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("2826", "http://buckspizza.com/locations/", "1563", "11", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("2825", "http://buckspizza.com/locations/", "1563", "11", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("2824", "http://buckspizza.com/locations/", "1563", "11", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("3512", "http://buckspizza.com/locations/", "1734", "11", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("3511", "http://buckspizza.com/locations/", "1734", "11", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("3510", "http://buckspizza.com/locations/", "1734", "11", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("3508", "http://buckspizza.com/locations/", "1734", "11", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("3509", "http://buckspizza.com/locations/", "1734", "11", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4171", "http://buckspizza.com/dubois-pa/", "1947", "54", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4172", "http://buckspizza.com/clearfield-pa/", "1947", "52", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4173", "http://buckspizza.com/st-marys-pa/", "1947", "1778", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4649", "http://buckspizza.com/st-marys-pa/menu/", "1778", "1868", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4635", "tel:814-765-7767", "52", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4626", "https://bnc.lt/get-in-line-with-nowait", "54", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4618", "https://secure.microworks.com/Bucks/Items.aspx?store=2212", "54", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4616", "http://buckspizza.com/community-fundraiser-dubois-pa/", "54", "858", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4617", "http://buckspizza.com/pa-kids-menu/", "54", "1988", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4630", "http://buckspizza.com/pa-kids-menu/", "52", "1988", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4285", "http://buckspizza.com/locations/", "1048", "11", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4286", "http://buckspizza.com/locations/", "1048", "11", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4287", "http://buckspizza.com/locations/", "1048", "11", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4288", "http://www.viadat.com/store-locator", "1048", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4289", "http://www.viadat.com", "1048", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4315", "http://buckspizza.com/party-paks/", "357", "1454", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4324", "http://buckspizza.com/family-specials/", "140", "1901", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4316", "http://buckspizza.com/family-specials/", "357", "1901", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4323", "http://buckspizza.com/party-paks/", "140", "1454", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4652", "http://buckspizza.com/family-specials/", "1778", "1901", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4373", "https://secure.microworks.com/Bucks/Items/Index/1143/", "2060", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4374", "http://buckspizza.com/clearfield-pa/menu/", "2060", "357", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4372", "tel:8147657767", "2060", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4375", "tel:8143714500", "2072", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4376", "https://secure.microworks.com/Bucks/Items/Index/1143/", "2072", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4377", "http://buckspizza.com/dubois-pa/menu/", "2072", "140", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4383", "http://buckspizza.com/st-marys-pa/menu/", "2075", "1868", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4382", "https://secure.microworks.com/Bucks/Items/Index/1143/", "2075", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4381", "tel:8148341886", "2075", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4655", "tel:814-834-1886", "1778", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4648", "https://buckspizza.com/st-marys-pa/delivery/", "1778", "2075", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4530", "https://buckspizza.com/st-marys-pa/delivery/", "2097", "2075", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4529", "https://buckspizza.com/dubois-pa/delivery/", "2097", "2072", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4528", "https://buckspizza.com/clearfield-pa/delivery/", "2097", "2060", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4627", "https://buckspizza.com/clearfield-pa/delivery/", "52", "2060", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4614", "https://buckspizza.com/dubois-pa/delivery/", "54", "2072", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4615", "http://buckspizza.com/dubois-pa/menu/", "54", "140", "internal");
INSERT INTO `wp_yoast_seo_links` VALUES("4600", "http://www.openstreetmap.org/copyright", "2114", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4599", "http://leafletjs.com", "2114", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4598", "tel:956-800-5075", "2114", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4597", "https://secure.microworks.com/Bucks/", "2114", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4748", "https://www.google.com/maps/dir//23+S+Main+St,+Gloversville,+NY+12078/@43.0498986,-74.4158992,12z/data=!3m1!4b1!4m8!4m7!1m0!1m5!1m1!1s0x89def3088c0caddf:0x31538448d12e7c9a!2m2!1d-74.3458594!2d43.04992", "11", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4747", "https://www.google.com/maps?saddr&amp;daddr=405+MN-55,+Buffalo,+MN+55313", "11", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4743", "http://leafletjs.com", "11", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4744", "http://www.openstreetmap.org/copyright", "11", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4745", "https://www.google.com/maps?saddr&amp;daddr=53+Industrial+Drive,+DuBois,+PA+15801", "11", "0", "external");
INSERT INTO `wp_yoast_seo_links` VALUES("4746", "https://www.google.com/maps/dir//1200+Hwy+74+S,+Georgia/@33.3393016,-84.5235281,17z/data=!4m8!4m7!1m0!1m5!1m1!1s0x88f4eca0054429f9:0x11aadd106dd8f9d3!2m2!1d-84.5213394!2d33.3393016", "11", "0", "external");

/* INSERT TABLE DATA: wp_yoast_seo_meta */
INSERT INTO `wp_yoast_seo_meta` VALUES("26", "5", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("11", "17", "19");
INSERT INTO `wp_yoast_seo_meta` VALUES("56", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("974", "1", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("140", "4", "7");
INSERT INTO `wp_yoast_seo_meta` VALUES("444", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("64", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("80", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1037", "2", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("52", "10", "8");
INSERT INTO `wp_yoast_seo_meta` VALUES("54", "10", "8");
INSERT INTO `wp_yoast_seo_meta` VALUES("13", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("344", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("17", "0", "1");
INSERT INTO `wp_yoast_seo_meta` VALUES("44", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("486", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("191", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("144", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("146", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("68", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("840", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("50", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("187", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("161", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("357", "4", "5");
INSERT INTO `wp_yoast_seo_meta` VALUES("878", "1", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("872", "1", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("46", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("32", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("720", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("70", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("167", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("60", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("62", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("409", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("74", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("175", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("36", "2", "1");
INSERT INTO `wp_yoast_seo_meta` VALUES("76", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("179", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("48", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("185", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("40", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("15", "1", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("78", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("514", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("691", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("455", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("547", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("634", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("724", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("463", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("511", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("769", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("506", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("700", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("549", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("764", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("503", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("643", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("591", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("672", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("461", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("742", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("854", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("809", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1042", "1", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1024", "1", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1212", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1228", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1230", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("858", NULL, "1");
INSERT INTO `wp_yoast_seo_meta` VALUES("1224", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1252", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1108", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("865", NULL, "1");
INSERT INTO `wp_yoast_seo_meta` VALUES("1233", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("900", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("881", "1", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1260", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1264", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1265", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1269", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1270", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1271", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1272", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1273", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1275", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1101", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1199", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1278", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1279", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1280", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1281", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1283", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1282", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1284", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1285", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1262", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1107", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1274", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1276", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1289", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1287", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1288", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1292", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1296", "2", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1299", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1300", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1301", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1302", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1303", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1304", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1305", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1293", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1294", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1308", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1309", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1295", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1307", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1313", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1306", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1315", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1312", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1318", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1321", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1319", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1323", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1326", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1324", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1328", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1329", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1331", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1334", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1332", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1012", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1277", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1336", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1338", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1339", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1344", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1347", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1345", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1349", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1352", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1350", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1310", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1311", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1359", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1360", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1361", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1362", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1363", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1364", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1365", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1366", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1367", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1355", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1368", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1370", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1371", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1374", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1375", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1369", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1372", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1358", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1356", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1357", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1132", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1014", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1377", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1384", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1385", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1386", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1387", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1388", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1389", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1390", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1392", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1393", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1394", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1395", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1396", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1397", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1398", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1399", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1342", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1286", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1382", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1403", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1404", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1405", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1406", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1407", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1383", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1261", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1378", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1381", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1242", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1413", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1414", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1415", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1416", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1417", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1418", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1419", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1420", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1421", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1422", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1412", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1243", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1063", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1379", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1380", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1133", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1409", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1423", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1426", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1425", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1431", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1430", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1434", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1411", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1427", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1428", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1439", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1440", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1438", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1442", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1437", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1443", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1441", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1445", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1447", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1446", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1452", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1454", "0", "5");
INSERT INTO `wp_yoast_seo_meta` VALUES("1455", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1456", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1435", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1433", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1436", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1459", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1444", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("431", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1462", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1013", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1465", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1467", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1408", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1468", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1470", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1471", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1472", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1473", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1474", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1475", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1476", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1477", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1478", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1479", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1480", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1481", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1482", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1483", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1484", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1485", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1486", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1487", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1488", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1489", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1490", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1491", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1492", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1493", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1494", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1495", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1496", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1497", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1498", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1499", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1500", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1501", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("419", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("425", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1251", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("433", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("438", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1506", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1502", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1469", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1503", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1504", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1505", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1015", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("428", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1017", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1515", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("421", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1517", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1019", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("465", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1021", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1235", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("418", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1401", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1524", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1525", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1526", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1527", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1529", "1", "1");
INSERT INTO `wp_yoast_seo_meta` VALUES("1530", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1531", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1532", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1533", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1534", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1535", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1536", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1538", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1539", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1540", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1541", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1542", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1543", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1544", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1545", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1546", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1547", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1548", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1549", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1550", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1551", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1552", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1553", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1554", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1555", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1556", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1557", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1451", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1508", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1448", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1560", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1453", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1449", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1563", "6", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1564", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1565", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1566", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1567", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1568", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1569", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1570", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1571", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1572", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1573", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1574", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1575", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1576", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1577", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1578", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1579", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1580", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1581", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1582", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1583", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1585", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1584", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1586", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1587", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1588", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1589", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1590", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1591", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1592", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1593", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1594", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1595", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1596", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1597", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1598", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1599", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1600", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1601", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1602", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1603", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1604", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1605", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1606", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1607", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1608", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1609", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1610", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1611", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1612", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1613", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1614", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1615", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1616", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1617", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1618", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1619", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1620", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1621", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1622", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1558", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1624", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1625", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1626", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1627", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1628", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1629", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1630", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1466", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1201", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1623", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1634", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1635", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1636", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1637", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1638", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1639", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1640", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1641", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1642", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1643", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1644", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1632", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1528", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1461", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1458", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1460", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1651", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1650", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1561", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1562", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1656", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1646", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1649", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1645", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1660", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1290", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1291", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1663", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1665", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1664", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1667", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1668", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1669", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1666", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1671", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1658", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1673", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1674", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1659", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1676", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1675", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1662", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1661", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1680", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1681", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1682", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1683", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1684", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1685", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1686", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1687", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1688", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1690", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1691", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1692", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1693", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1694", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1695", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1696", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1697", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1689", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1698", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1699", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1700", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1701", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1702", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1703", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1704", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1705", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1706", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1707", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1708", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1710", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1709", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1711", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1677", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1713", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1657", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1678", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1679", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1717", "2", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1720", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1721", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1723", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1724", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1722", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1725", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1727", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1726", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1728", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1730", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1729", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1731", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1734", "5", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1059", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1735", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1736", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1737", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1738", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1739", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1740", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1741", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1742", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1743", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1744", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1745", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1746", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1747", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1748", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1749", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1750", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1716", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1733", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1402", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1756", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1758", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1760", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1762", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1764", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1766", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1768", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1770", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1772", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1752", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1714", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1715", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1778", "6", "3");
INSERT INTO `wp_yoast_seo_meta` VALUES("1780", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1781", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1783", "2", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1786", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1787", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1788", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1789", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1790", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1791", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1792", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1794", "0", "3");
INSERT INTO `wp_yoast_seo_meta` VALUES("1795", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1796", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1797", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1798", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1799", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1800", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1647", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1801", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1793", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1804", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1782", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1803", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1805", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1775", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1776", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1777", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1807", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1812", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1815", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1813", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1810", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1811", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1816", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1817", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1820", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1821", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1818", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1823", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1822", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1754", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1757", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1759", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1761", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1763", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1765", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1767", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1769", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1771", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1773", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1819", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1824", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1825", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1826", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1828", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1832", "1", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1835", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1836", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1837", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1839", "1", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1829", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1841", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1842", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1843", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1844", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1845", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1830", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1827", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1849", "2", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1850", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1652", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1852", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1854", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1856", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1857", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1858", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1859", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1862", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1848", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1814", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1868", "2", "2");
INSERT INTO `wp_yoast_seo_meta` VALUES("1870", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1867", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1872", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1871", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1866", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1847", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1846", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1875", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1559", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1802", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1881", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1513", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1509", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1516", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1521", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1876", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1878", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1889", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1102", NULL, "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1888", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1648", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1457", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1891", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1890", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1895", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1901", "0", "6");
INSERT INTO `wp_yoast_seo_meta` VALUES("1894", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1904", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1905", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1906", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1907", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1897", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1899", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1873", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1911", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1909", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1912", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1914", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1915", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1879", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1653", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1655", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1919", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1918", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1920", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1908", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1924", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1922", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1921", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1874", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1916", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1930", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1931", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1932", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1933", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1934", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1935", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1936", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1937", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1938", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1887", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1939", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1941", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1942", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1943", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1944", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1917", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1900", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1947", "3", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1945", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1949", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1950", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1952", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1955", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1956", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1957", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1958", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1959", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1960", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1961", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1946", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1963", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1926", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1927", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("436", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1969", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1970", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1971", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1974", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1977", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1978", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1979", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1980", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1981", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1982", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1983", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1964", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1965", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1929", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1985", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1988", "0", "2");
INSERT INTO `wp_yoast_seo_meta` VALUES("1989", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1990", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1913", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1910", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1987", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1994", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1996", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1925", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2000", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1995", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1993", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1992", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2002", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1967", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1966", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1999", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2005", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2006", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2007", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2009", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1928", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2010", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2011", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1991", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2008", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2013", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2014", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2012", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2016", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2021", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1138", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1048", "3", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2023", "0", "2");
INSERT INTO `wp_yoast_seo_meta` VALUES("2024", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2030", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2020", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2031", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2017", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2034", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2018", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2035", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2036", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2032", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2037", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2038", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2039", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2015", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2042", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1672", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1670", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2047", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2046", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2049", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2050", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2044", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2053", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1986", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2055", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2056", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2057", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2060", "1", "2");
INSERT INTO `wp_yoast_seo_meta` VALUES("2062", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2063", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2065", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2054", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2067", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2058", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2072", "1", "2");
INSERT INTO `wp_yoast_seo_meta` VALUES("2075", "1", "2");
INSERT INTO `wp_yoast_seo_meta` VALUES("2077", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1410", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2078", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2085", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2059", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2088", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2004", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2003", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2091", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2090", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2089", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2068", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2071", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2082", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2083", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2084", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2087", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1896", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2097", "3", "3");
INSERT INTO `wp_yoast_seo_meta` VALUES("2098", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2099", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2094", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2092", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2102", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2095", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2100", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2096", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2101", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2103", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2104", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2080", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2107", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2113", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2114", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2115", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2116", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2117", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2119", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2110", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2122", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2109", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2111", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2125", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("1882", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2127", "0", "0");
INSERT INTO `wp_yoast_seo_meta` VALUES("2128", "0", "0");

SET FOREIGN_KEY_CHECKS = 1; 

/* Duplicator WordPress Timestamp: 2020-04-14 23:38:27*/
/* DUPLICATOR_MYSQLDUMP_EOF */
